DHTML REF

网页制作完全手册

通过下列链接访问参考资料，可帮助你创建引人注目的 Web 页面。

动态 HTML (DHTML) 对象模型参考

  • DHTML 对象
  • DHTML 属性
  • DHTML 方法
  • DHTML 事件
  • DHTML 集合

HTML 参考

  • HTML 元素
  • HTML 字符集

样式表(CSS)参考

  • CSS 属性参考
  • CSS 长度单位参考

其他参考

  • 命令标识符
  • 缺省行为参考
  • htc 行为参考
  • 可视化滤镜和切换参考
  • HTML+TIME参考
  • 网页矢量图形标记语言
  • HTML 应用程序
  • 技巧
  • 语言代码
  • 颜色表

说明

  • 本手册由 lemon 整理编辑 OICQ:27550369 E_mail:lemon_zj@163.com lemon_zj4618@163.com
  • 本手册的内容全部来自Microsoft MSDN Library，若有疑问可直接访问Microsoft MSDN Library。
  • 由于链接众多，错误之处在所难免，希望各位用户指正。由此带来的一切后果，本人概不负责。
  • 其他参考文献(前台):
    1. script.chm Microsoft Windows 脚本技术 1.37MB
    2. Jscript.chm Microsoft JScript 语言参考 602KB
    3. vbscript.chm Microsoft VBScript 语言参考 530KB
    4. lsh_htccom1.chm Microsoft Windows 脚本部件 140KB
    5. wsh.chm Microsoft Windows 脚本宿主 136KB
    6. MSXML.chm Microsoft XML 4.0 Technology Preview 2.37MB
    7. css.chm css 2.0 中文手册(苏昱) 258KB
    8. cssfilter.chm 样式表滤镜中文手册(苏昱) 386KB
    9. behavior.chm 默认行为中文手册(苏昱) 149KB
    10. methods.chm 文档对象模型中文手册(苏昱) 187KB
  • 以上资料可在http://clgigi.8u8.com上下载。


objects

DHTML 对象

下面列出了由动态 HTML 定义的对象。点击链接即可前往对象的定义，其中包含了该对象的所有成员集。

对象

!DOCTYPE | 指定了 HTML 文档遵循的文档类型定义(DTD)。
a | 标明超链接的起始或目的位置。
acronym | 标明缩写词。
address | 特定信息，如地址、签名、作者、此文档的原创者。
applet | 在页面上放置可执行内容。
area | 定义一个客户端图像映射中一个超级链接区域的形状、坐标和关联 URL。
attribute | 以对象的形式代表了 HTML 元素的标签属性或属性。
b | 指定文本应以粗体渲染。
base | 指定一个显示 URL 用于解析对于外部源的链接和引用，如图像和样式表。
baseFont | 设置渲染文本时作为缺省字体的基础字体值。
bdo | 允许作者为选定文本片断禁用双向法则。
bgSound | 允许页面带有背景声音或创建音轨。
big | 指定内含文本要以比当前字体稍大的字体显示。
blockQuote | 设置文本中的一段引语。
body | 指定文档主体的开始和结束。
br | 插入一个换行符。
button | 指定其中所含的 HTML 要被渲染为一个按钮。
caption | 指定表格的简要描述。
center | 将后面的文本和图像居中显示。
cite | 用斜体显示标明引言。
clientInformation | 包含关于 Web 浏览器的信息。
clipboardData | 提供了对于预定义的剪贴板格式的访问，以便在编辑操作中使用。
code | 指定代码范例。
col | 指定基于列的表格缺省属性。
colGroup | 指定表格中一列或一组列的缺省属性。
comment | 标明不可见的注释。
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
custom | 代表了一个用户自定义元素。
dataTransfer | 提供了对于预定义的剪贴板格式的访问，以便在拖曳操作中使用。
dd | 在定义列表中表明定义。定义通常在定义列表中缩进。
defaults | 编程设定元素行为的缺省属性。
del | 表明文本已经从文档中删除。
dfn | 表明术语的定义实例。
对话框帮助协助程序 Microsoft® Internet Explorer 6 新增 | 提供对颜色对话框及块格式化和字体集合的访问。
dir | 引起目录列表。
div | 指定渲染 HTML 的容器。
dl | 引起定义列表。
document | 代表给定浏览器窗口中的 HTML 文档。
dt | 在定义列表中表明定义术语。
em | 强调文本，通常以斜体渲染。
embed | 允许嵌入任何文档。
event | 代表事件状态，如事件发生的元素，键盘状态，鼠标位置和鼠标按钮状态。
external | 允许访问由 Microsoft® Internet Explorer 浏览器组件宿主应用程序提供的附加对象模型。
fieldSet | 在字段集包含的文本和其它元素外面绘制一个方框。
font | 指定用于渲染所包含文本的新字体、大小和颜色。
form | 指定所包含控件在表单中起作用。
frame | 在 FRAMESET 元素内指定单个框架。
frameSet | 指定一个框架集，用于组织多个框架和嵌套框架集。
head | 提供了关于文档的无序信息集合。
history | 包含了用户已浏览的 URL 的信息。
hn | 以标题样式渲染文本。
hr | 绘制水平线。
html | 表明文档包含 HTML 元素。
HTML 注释 | 避免任何内含文本或 HTML 源代码被处理并在浏览器窗口中显示。
i | 指定文本应以斜体渲染，若可用的话。
iframe | 创建内嵌浮动框架。
img | 在文档中嵌入图像或视频剪辑。
implementation Microsoft® Internet Explorer 6 新增 | 包含了关于对象支持的模块信息。
IMPORT | 从元素行为中导入标签定义。
input | 创建各种表单输入控件。
input type=button | 创建按钮控件。
input type=checkbox | 创建复选框控件。
input type=file | 创建文件上载控件，该控件带有一个文本框和一个浏览按钮。
input type=hidden | 传输关于客户/服务器交互的状态信息。
input type=image | 创建一个图像控件，该控件单击后将导致表单立即被提交。
input type=password | 创建与 INPUT type=text 控件类似的单行文本输入控件，不过其中并不显示用户输入的内容。
input type=radio | 创建单选钮控件。
input type=reset | 创建一个按钮，该按钮单击后将重置表单控件为其缺省值。
input type=submit | 创建一个按钮，该按钮单击后将提交表单。
input type=text | 创建一个单行的文本输入控件。
ins | 指定被插入到文档中的文本。
isIndex | 使浏览器显示一个对话框，提示用户输入单行文本。
kbd | 以固定宽度字体渲染文本。
label | 为页面上的其它元素指定标签。
legend | 在 fieldSet 对象绘制的方框内插入一个标题。
li | 引起列表中的一个项目。
link | 允许当前文档和外部文档之间建立连接。
listing | 以固定字体渲染文本。
location | 包含关于当前 URL 的信息。
map | 包含客户端图像映射的坐标数据。
marquee | 创建一个滚动的文本字幕。
menu | 创建一个项目的无序列表。
meta | 向服务器和客户端传达关于文档的隐藏信息。
namespace | 向文档中动态导入一个元素行为。
navigator | 包含关于 Web 浏览器的信息。
nextID | 创建编辑软件可以读取的唯一标识符。
noBR | 不换行渲染文本。
noFrames | 包含对于那些不支持 FRAMESET 元素的浏览器使用的 HTML。
noScript | 指定要在不支持脚本的浏览器显示的 HTML。
object | 向 HTML 页面中插入对象。
ol | 绘制文本的编号列表。
optGroup Microsoft® Internet Explorer 6 新增 | 允许作者对 select 元素中的选项进行逻辑分组。
option | 引起 SELECT 元素中的一个选项。
p | 引起一段。
page | 代表 styleSheet 中的一条 @page 规则。
param | 设置 APPLET、EMBED 或 OBJECT 元素的属性初始值。
plainText | 以固定宽度字体渲染文本，不处理标签。
popup | 一种特殊的顶层窗口，主要用于出现在应用程序主窗口之外的对话框、消息框和其它临时窗口。
pre | 以固定宽度字体渲染文本。
q | 分离文本中的引语。
rt | 指明 RUBY 元素的注音文本。
ruby | 指明要放置在文本串之上或内嵌的注解或发音指南。
rule | 代表了层叠样式表(CSS)中由选择符和一个或多个声明组成的的样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
s | 以删除线字体渲染文本。
samp | 指定代码范例。
screen | 包含关于客户屏幕和渲染能力的信息。
script | 为脚本指定由脚本引擎解释的脚本。
select | 引起列表框或下拉框。
selection | 代表了当前激活选中区，即高亮文本块，和/或文档中用户可执行某些操作的其它元素。
small | 指定内含文本要以比当前字体稍小的字体显示。
span | 指定内嵌文本容器。
strike | 以删除线字体渲染文本。
strong | 以粗体渲染文本。
style | 代表了给定元素所有可能的内嵌样式的当前设置。
style | 指定页面的样式表。
styleSheet | 代表了文档中单一的样式表。
sub | 指定内含文本要以下标的形式显示，通常比当前字体稍小。
sup | 指定内含文本要以上标的形式显示，通常比当前字体稍小。
table | 指定所含内容要组织成行列的表格。
tBody | 指明行作为表格主体。
td | 指定表格中的单元格。
textArea | 指定多行文本输入控件。
TextNode | 将文本字符串代表为文档层次中的结点。
TextRange | 代表 HTML 元素中的文本。
TextRectangle | 指定包含元素或 TextRange 对象中一行文本的矩形。
tFoot | 指明行作为表尾。
th | 指定标题列。标题列将在单元格中居中并以粗体显示。
tHead | 指明行作为表头。
title | 包含文档的标题。
tr | 指定表格中的一行。
tt | 以固定宽度字体渲染文本。
u | 带下划线渲染文本。
ul | 绘制文本的项目符号列表。
userProfile | 提供了允许脚本对用户配置信息请求读取访问并执行读取操作的方法。
var | 定义编程变量。通常以斜体渲染。
wbr | 向一块 NOBR 文本中插入软换行。
window | 代表浏览器中一个打开的窗口。
xml | 在 HTML 页面上定义一个 XML 数据岛。
xmp | 以固定宽度字体渲染作为示例的字体。


DHTML 参考手册 -

!DOCTYPE

指定了 HTML 文档遵循的文档类型定义(DTD)。

Microsoft® Internet Explorer 6 的新增内容

你可使用此声明将 Internet Explorer 6 及以后版本切换到标准兼容模式下。

语法

HTML 顶级元素 可用性 "注册//组织//类型 标签//定义 语言""URL"

可能值

顶级元素 指定 DTD 中声明的顶级元素类型。这与声明的 SGML 文档类型相对应。
HTML 默认。HTML。
可用性 指定正式公开标识符(FPI)是可公开访问的对象还是系统资源。
PUBLIC | 默认。可公开访问的对象。
SYSTEM | 系统资源，如本地文件或 URL。
注册 指定组织是否由国际标准化组织(ISO)注册。
+ 默认。组织名称已注册。
- 组织名称未注册。Internet 工程任务组(IETF)和万维网协会(W3C)并非注册的 ISO 组织。
组织 指定表明负责由 !DOCTYPE 声明引用的 DTD 的创建和维护的团体或组织的名称，即 OwnderID。
IETF | IETF。
W3C | W3C。
类型 指定公开文本类，即所引用的对象类型。
DTD 默认。DTD。
标签 指定公开文本描述，即对所引用的公开文本的唯一描述性名称。后面可附带版本号。
HTML 默认。HTML。
定义 指定文档类型定义。
Frameset | 框架集文档。
Strict | 排除所有 W3C 专家希望逐步淘汰的代表性属性和元素，因为样式表已经很完善了。
Transitional | 包含除 frameSet 元素的全部内容。
语言 指定公开文本语言，即用于创建所引用对象的自然语言编码系统。该语言定义已编写为 ISO 639 非 Microsoft 链接 语言代码(大写两个字母)。
EN 默认。英语。
URL 指定所引用对象的位置。

注释

此声明必须出现在文档的起始处，出现在 html 标签之前。

!DOCTYPE 元素不需要关闭标签。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用。

你可使用此声明在 Internet Explorer 6 及以后版本中切换为严格的标准兼容模式。若想打开此开关，请在你的文档顶部包含 !DOCTYPE 声明，在声明中指定合法的标签，在某些情况下，还需要指定定义和/或 URL。下面的表格列出了标准兼容模式的开关情况。
DOCTYPE | 出现 URL | 未出现 URL
未出现 DOCTYPE | 关 | 关
HTML (无版本) | 关 | 关
HTML 2.0 | 关 | 关
HTML 3.0 | 关 | 关
HTML 4.0 | 开 | 开
HTML 4.0 Frameset | 开 | 关
HTML 4.0 Transitional | 开 | 关
HTML 4.0 Strict | 开 | 开
XHTML | 开 | 开
XML | 开 | 开
无法识别的 DOCTYPE | 开 | 开

注意 在标准兼容模式下，不能保证与其它版本的 Internet Explorer 保持兼容。当打开标准兼容模式时，文档的渲染行为也许与将来版本的 Internet Explorer 不同。若内容本来就是固定的(如刻录在 CD 上)，则不应该使用此模式。

示例

下面的例子演示了如何使用 !DOCTYPE 声明指定文档遵从的 DTD，并将 Internet Explorer 6 及更高版本切换到标准兼容模式。

下面例子中的声明都指定了遵从 HTML 4.0 DTD。第二种声明指定了“Strict”。第一种声明没有指定。这两种声明都将会把 Internet Explorer 6 及以后版本切换到标准兼容模式。

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN">
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Strict//EN">

下面例子中的声明都指定了遵从“Transitional”HTML 4.0 DTD。第二种声明指定了 DTD 的 URL。第一种声明没有指定。第二种声明将会把 Internet Explorer 6 及以后版本切换到标准兼容模式。第一种声明不会。

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。


A 元素 | a

A 元素 | a 对象

标明超链接的起始或目的位置。

成员表

下面的表格列出了 a 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
charset | 设置或获取用于解码对象的字符集。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
COORDS | coords | 设置或获取对象的坐标。
DATAFLD | dataFld | 设置或获取由 dataSrc 属性指定的绑定到指定对象的给定数据源的字段。
DATASRC | dataSrc | 设置或获取用于数据绑定的数据源。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hash | 设置或获取 href 属性中在井号“#”后面的分段。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
host | 设置或获取 location 或 URL 的 hostname 和 port 号码。
hostname | 设置或获取 location 或 URL 的主机名称部分。
HREF | href | 设置或获取目标 URL 或锚点。
HREFLANG Microsoft® Internet Explorer 6 新增 | hreflang | 设置或获取对象的语言代码。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
METHODS | Methods | 设置或获取该对象支持的 HTTP 方式清单。
NAME | name | 设置或获取对象的名称。
nameProp | 获取由对象的 href 或 src 属性指定的文件名。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
pathname | 设置或获取对象指定的文件名或路径。
port | 设置或获取与 URL 关联的端口号码。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
protocol | 设置或获取 URL 的协议部分。
readyState | 获取对象的当前状态。
recordNumber | 获取数据集中生成对象的原始记录。
REL | rel | 设置或获取对象和链接目的的关系。
REV | rev | 设置或获取对象和链接目的的关系。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
search | 设置或获取 href 属性中跟在问号后面的部分。
SHAPE | shape | 设置或获取图像映射中超级链接区域的形状。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TARGET | target | 设置或获取目标内容要显示于哪个窗口或框架。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
TYPE | type | 设置或获取对象的 MIME 类型。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。
URN | urn | 设置或获取目标文档的 URN。

行为

行为 | 描述
anchorClick | 允许浏览器导航到文件夹视图。
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onafterupdate | 当成功更新数据源对象中的关联对象后在数据绑定对象上触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onbeforeupdate | 当成功更新数据源对象中的关联对象前在数据绑定对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onerrorupdate | 更新数据源对象中的关联数据出错时在数据绑定对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素作为父对象的子结点。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
:active | :active | 设置当链接处于激活状态时 A 元素的样式。
:hover | :hover | 设置当用户将鼠标指针悬停在链接上时 A 元素的样式。
:link | :link | 设置当链接最近没有访问过时 A 元素的样式。
:visited | :visited | 设置当链接最近访问过时 A 元素的样式。
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
width | width | 设置或获取对象的宽度。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

A 元素需要指定 href 或 name 属性。

文本和图像都可包含在锚内。作为锚的图像有一个边框表明该链接是否访问过。要避免显示此边框，你可设置 IMG 元素的 BORDER 标签属性为 0 或者省略 BORDER 标签属性。你还可以使用样式表 CSS 来覆盖 A 和 IMG 元素的默认外观。

注意 TABLE 对象当包含在 A 标签内时可能工作不正常。

如果对 A 元素应用 time2 行为的话，那么该元素仅当在时间线上激活时才会变成链接。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 和脚本中可用。

此元素是内嵌元素。

此元素需要关闭标签。

示例

下面的例子使用了 A 元素链接文件，打开文件，包括图像作为链接的一部分，定义了锚，并调用了一个函数。

<!-- 链接到服务器。 -->
<A HREF="http://www.microsoft.com">Microsoft 主页。</A>
<!-- 链接到同目录的文件。 -->
<A HREF="home.htm">home.htm</A>
<!-- 在由 TARGET 指定的窗口中打开文件。 -->
<A TARGET="viewer" HREF="sample.htm">在窗口中打开</A>
<!-- 将 IMG 元素作为链接的一部分。 -->
<A HREF="http://www.microsoft.com"><IMG SRC="images/bullet.gif">链接</A>
<!-- 链接到锚。 -->
<A HREF="#anchor">锚</A>
<!-- 定义一个锚。 -->
<A NAME="anchor">
<!-- 调用 JScript 函数 -->
<A HREF="javascript:window.open()">链接</A>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 和万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。


ACRONYM 元素 | acronym

ACRONYM 元素 | acronym 对象

标明缩写词。

成员表

下面的表格列出了 acronym 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onblur | 在对象失去输入焦点时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 对象开始移动时触发。
onreadystatechange | 当对象状态变更时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 4.0 的 HTML 和脚本中可用。

此元素是内嵌元素。

此元素需要关闭标签。

示例

下面的例子演示了如何使用 ACRONYM 元素。

<ACRONYM>MSN</ACRONYM>

标准信息

此对象定义在 HTML 4.0 非 Microsoft 链接 中。

参看

address, cite, dfn, em, i


ADDRESS 元素 | address

ADDRESS 元素 | address 对象

特定信息，如地址、签名、作者、此文档的原创者。

成员表

下面的表格列出了 address 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
blockDirection | 获取表明块元素内容的绕排方向的值，是由左至右，还是由右至左。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
:first-letter | :first-letter | 在对象的第一个字符上应用一个或多个样式。
:first-line | :first-line | 在对象的第一行上应用一个或多个样式。
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-break | lineBreak | 设置或获取日本文本的换行规则。
line-height | lineHeight | 设置或获取对象两行间的距离。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
page-break-before | pageBreakBefore | 设置或获取表明对象前发生换页的字符串。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-align-last | textAlignLast | 设置或获取如何排列对象的最后一行或仅有的一行。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-justify | textJustify | 设置或获取对象内的文本所使用的对齐类型。
text-kashida-space | textKashidaSpace | 设置或获取对象内文本对齐行时所使用空白扩展的 kashida 扩展的倍率。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-break | wordBreak | 设置或获取单词内的换行行为，特别是对象中出现多语言的情况。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

Microsoft® Internet Explorer 将 ADDRESS 元素的内容以斜体显示。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是一个块元素。

此元素需要关闭标签。

示例

下面的例子使用了 ADDRESS 元素来对文本加上斜体的样式。

<ADDRESS>此文本将以斜体显示。</ADDRESS>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。

参看

acronym, cite, dfn, em, i


APPLET 元素 | applet

APPLET 元素 | applet 对象

在页面上放置可执行内容。

成员表

下面的表格列出了 applet 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ALIGN | align | 设置或获取对象针对其邻接文本如何排列。
ALT | alt | 设置或获取用于替代图像的文本。
altHTML | 设置可选的若对象装载失败时要执行的替换 HTML 脚本。
ARCHIVE | archive | 设置或获取可用于实现对象的你自己的 ch 功能的字符串。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CODE | code | 设置或获取包含已编译的 Java 类的文件的 URL。
CODEBASE | codeBase | 设置或获取组件的 URL。
DATAFLD | dataFld | 设置或获取由 dataSrc 属性指定的绑定到指定对象的给定数据源的字段。
DATASRC | dataSrc | 设置或获取用于数据绑定的数据源。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
HSPACE | hspace | 设置或获取对象的水平边距。
ID | id | 获取标识对象的字符串。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
NAME | name | 设置或获取对象的名称。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
object | 返回包含的对象。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
SRC | src | 设置或获取要由对象装入的 URL。
STYLE | 为该设置元素设置内嵌样式。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。
VSPACE | vspace | 设置或获取对象的垂直边距。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
oncellchange | 在数据供应者中的数据变更时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondataavailable | 每当异步传输数据的数据源对象的数据到达时触发。
ondatasetchanged | 当数据源对象对应的数据集发生变更时触发。
ondatasetcomplete | 触发就表明数据源对象所有数据都可用。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onload | 在浏览器完成对象的装载后立即触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onrowenter | 触发就表明当前行已经在数据源中更改，对象上有可用的新数据值。
onrowexit | 当数据源控件更改对象当前行前触发。
onrowsdelete | 当行将要从记录集中被删除时触发。
onrowsinserted | 当在当前记录集中插入新行后触发。
onscroll | 当用户滚动对象的滚动条时触发。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
namedRecordset | 根据来自于数据源对象(DSO)命名数据成员获取记录集。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeExpression | 从指定属性中删除表达式。
replaceAdjacentText | 替换元素的邻接文本。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
behavior | behavior | 设置或获取 DHTML 行为的位置。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
display | display | 设置或获取对象是否要渲染。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
scrollbar-3dlight-color | scrollbar3dLightColor | 设置或获取滚动条上滚动按钮和滚动滑块的左上颜色。
scrollbar-arrow-color | scrollbarArrowColor | 设置或获取滚动箭头标识的颜色。
scrollbar-base-color | scrollbarBaseColor | 设置或获取滚动条的主要颜色，其中包含滚动按钮和滚动滑块。
scrollbar-darkshadow-color | scrollbarDarkShadowColor | 设置或获取滚动条上滑槽的颜色。
scrollbar-face-color | scrollbarFaceColor | 设置或获取滚动条和滚动条的滚动箭头的颜色。
scrollbar-highlight-color | scrollbarHighlightColor | 设置或获取滚动框和滚动条滚动箭头的左上边缘颜色。
scrollbar-shadow-color | scrollbarShadowColor | 设置或获取滚动框和滚动条滚动箭头的右下边缘颜色。
scrollbar-track-color | scrollbarTrackColor | 设置或获取滚动条轨迹元素的颜色。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
visibility | visibility | 设置或获取对象的内容是否显示。
width | width | 设置或获取对象的宽度。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

要使用由 APPLET 元素指定的可执行内容，用户的计算机上必须安装 Microsoft 虚拟机。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是一个内嵌元素。

此元素需要关闭标签。

标准信息

此对象不是 HTML 非 Microsoft 链接 所建议的，但定义在万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。


AREA 元素 | area

AREA 元素 | area 对象

定义一个客户端图像映射中一个超级链接区域的形状、坐标和关联 URL。

成员表

下面的表格列出了 area 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ALT | alt | 设置或获取用于替代图像的文本。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
COORDS | coords | 设置或获取图像映射中超级链接区域的坐标。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hash | 设置或获取 href 属性中在井号“#”后面的分段。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
host | 设置或获取 location 或 URL 的 hostname 和 port 号码。
hostname | 设置或获取 location 或 URL 的主机名称部分。
HREF | href | 设置或获取目标 URL 或锚点。
ID | id | 获取标识对象的字符串。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
NOHREF | noHref | 设置或获取在此区域中单击是否引起操作。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
pathname | 设置或获取对象指定的文件名或路径。
port | 设置或获取与 URL 关联的端口号码。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
protocol | 设置或获取 URL 的协议部分。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
search | 设置或获取 href 属性中跟在问号后面的部分。
SHAPE | shape | 设置或获取图像映射中超级链接区域的形状。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TARGET | target | 设置或获取目标内容要显示于哪个窗口或框架。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeExpression | 从指定属性中删除表达式。
replaceAdjacentText | 替换元素的邻接文本。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

样式

样式标签属性 | 样式属性 | 描述
behavior | behavior | 设置或获取 DHTML 行为的位置。

注释

在同一个 MAP 元素中可包含任意多个 AREA 元素。

COORDS 值的格式取决于 SHAPE 标签属性的值。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素不会被渲染。

此元素需要关闭标签。

示例

下面的例子提供了一个太阳系的图像映射代码。该代码在 MAP 元素中使用 AREA 元素及其 COORDS 值和 SHAPE 标签属性创建了由图象映射指向单个行星图像的链接。要返回到太阳系图像映射，用户可以单击后退按钮。

<P><IMG SRC="solarsys.gif" WIDTH=504 HEIGHT=126 BORDER=0
ALT="太阳系" USEMAP="#SystemMap">
<MAP NAME="SystemMap">
<AREA SHAPE="rect" COORDS="0,0,82,126"
HREF="/workshop/graphics/sun.gif">
<AREA SHAPE="circle" COORDS="90,58,3"
HREF="/workshop/graphics/merglobe.gif">
<AREA SHAPE="circle" COORDS="124,58,8"
HREF="/workshop/graphics/venglobe.gif">
<AREA SHAPE="circle" COORDS="162,58,10"
HREF="/workshop/graphics/earglobe.gif">
<AREA SHAPE="circle" COORDS="203,58,8"
HREF="/workshop/graphics/marglobe.gif">
<AREA SHAPE="poly" COORDS="221,34,238,37,257,32,278,44,284,60,
281,75,288,91,267,87,253,89,237,81,229,64,228,54"
HREF="/workshop/graphics/jupglobe.gif">
<AREA SHAPE="poly" COORDS="288,19,316,39,330,37,348,47,351,66,
349,74,367,105,337,85,324,85,307,77,303,60,307,50"
HREF="/workshop/graphics/satglobe.gif">
<AREA SHAPE="poly" COORDS="405,39,408,50,411,57,410,71,404,78,
393,80,383,86,381,75,376,69,376,56,380,48,393,44"
HREF="/workshop/graphics/uraglobe.gif">
<AREA SHAPE="poly" COORDS="445,38,434,49,431,53,427,62,430,72,
435,77,445,92,456,77,463,72,463,62,462,53,455,47"
HREF="/workshop/graphics/nepglobe.gif">
<AREA SHAPE="circle" COORDS="479,66,3"
HREF="/workshop/graphics/pluglobe.gif">
</MAP>
此特性需要 Microsoft® Internet Explorer 4.0 或以后版本。请单击下面的图标安装最新版本。然后重新装入此页再查看示例。

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 和万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。


attribute

attribute 对象

以对象的形式代表了 HTML 元素的标签属性或属性。

成员表

下面的表格列出了 attribute 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
expando | 设置或获取表明是否可对象内创建任意变量的值。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
NAME | name | 设置或获取对象的名称。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentNode | 获取文档层次中的父对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
specified | 获取是否指定了该属性。
value Microsoft® Internet Explorer 6 新增 | 设置或获取对象的值。

集合

集合 | 描述
attributes | 获取对象标签属性的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。

方法

方法 | 描述
appendChild | 给对象追加一个子元素。
cloneNode | 从文档层次中复制对对象的引用。
hasChildNodes | 返回表明对象是否有子对象的值。
insertBefore | 在文档层次中插入元素作为父对象的子结点。
removeChild | 从元素上删除子结点。
replaceChild | 用新的子元素替换已有的子元素。

注释

attribute 对象可通过 attributes 集合访问。

一个合法的标签属性或属性可以是应用于该对象的任何动态 HTML (DHTML)属性或事件，或者是扩展属性。

此元素在 Microsoft® Internet Explorer 5.0 的脚本中可用。

示例

这个例子使用 attribute 对象来创建已指定的属性清单。

<SCRIPT>
function fnFind(){
for(var i=0;i<oList.attributes.length;i++){
if(oList.attributes[i].specified){
alert(oList.attributes[i].nodeName + " = "
+ oList.attributes[i].nodeValue);
}
}
}
</SCRIPT>
<UL onclick="fnFind()">
<LI ID = "oList" ACCESSKEY = "L">列表项目 1
</UL>

标准信息

没有应用于此对象的公共标准。


B 元素 | b

B 元素 | b 对象

指定文本应以粗体渲染。

成员表

下面的表格列出了 b 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
width | width | 设置或获取对象的宽度。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是内嵌元素。

此元素需要关闭标签。

示例

下面的例子使用了 B 元素将文本加粗显示。

<B>此文本将以粗体显示。</B>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。

参看

strong


BASE 元素 | base

BASE 元素 | base 对象

指定一个显式 URL 用于解析对于外部源的链接和引用，如图像和样式表。

成员表

下面的表格列出了 base 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
HREF | href | 设置或获取相对链接基于的 URL。
ID | id | 获取标识对象的字符串。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TARGET | target | 设置或获取目标内容要显示于哪个窗口或框架。
uniqueID | 获取为对象自动生成的唯一标识符。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onlayoutcomplete | 当打印或打印预览版面处理完成用来自于源文档的内容填充当前 LayoutRect 对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onreadystatechange | 当对象状态变更时触发。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
clearAttributes | 从对象中删除全部标签属性和值。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
replaceAdjacentText | 替换元素的邻接文本。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
swapNode | 交换文档层次中两个对象的位置。

样式

样式标签属性 | 样式属性 | 描述
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
behavior | behavior | 设置或获取 DHTML 行为的位置。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。

注释

当使用时，BASE 元素必须出现在文档的 HEAD 内，在任何对外部源的引用之前。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素不会被渲染。

此元素不需要关闭标签。

示例

下面的例子设置了文档的基础 URL 到一个引用文件夹。Internet Explorer 使用 BASE 元素来解析指向 http://msdn.microsoft.com/workshop/author/dhtml/reference/properties/href_2.html 的链接。

<HTML>
<HEAD>
<BASE HREF="http://msdn.microsoft.com/workshop/author/dhtml/reference/"/>
</HEAD>
<BODY>
单击<A href="../properties/href_2.html">此处</A>查看关于 href 属性的内容。
</BODY>
</HTML>

下面的例子从文档中获取基础 URL，若在文档中指定了合法的 BASE 元素。否则，此函数返回 null。

<SCRIPT>
function GetBase()
{
var oBaseColl = document.all.tags('BASE');
return ( (oBaseColl && oBaseColl.length) ? oBaseColl[0].href :
null );
}
</SCRIPT>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。


BASEFONT 元素 | baseFont

BASEFONT 元素 | baseFont 对象

设置渲染文本时作为默认字体的基础字体值。

成员表

下面的表格列出了 baseFont 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
COLOR | color | 设置或获取该对象要使用的颜色。
disabled | 获取表明用户是否可与该对象交互的值。
FACE | face | 设置或获取当前的字样家族。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
ID | id | 获取标识对象的字符串。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
SIZE | size | 设置或获取该对象的字体大小。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
uniqueID | 获取为对象自动生成的唯一标识符。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onlayoutcomplete | 当打印或打印预览版面处理完成用来自于源文档的内容填充当前 LayoutRect 对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onreadystatechange | 当对象状态变更时触发。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
clearAttributes | 从对象中删除全部标签属性和值。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
replaceAdjacentText | 替换元素的邻接文本。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
swapNode | 交换文档层次中两个对象的位置。

样式

样式标签属性 | 样式属性 | 描述
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
behavior | behavior | 设置或获取 DHTML 行为的位置。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
white-space | whiteSpace | 设置或获取对象中是否自动换行。

注释

此元素仅可在 body 元素或 HEAD 元素中使用。BASEFONT 应该出现在文档的 body 中任何显示文本之前。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素不会被渲染。

此元素不需要关闭标签。

示例

下面的例子使用 BASEFONT 元素来设置基础字体大小，而 FONT 元素用来临时覆盖此设置。

尚未指定 BASEFONT 字体大小。
<BASEFONT SIZE=4>设置 BASEFONT 字体大小。
<FONT SIZE=2>临时覆盖 BASEFONT 字体大小。</FONT>
重用 BASEFONT 字体大小。

标准信息

此对象不是 HTML 非 Microsoft 链接 所建议的，但定义在万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。


BDO 元素 | bdo

BDO 元素 | bdo 对象

允许作者为选定文本片断禁用双向法则。

成员表

下面的表格列出了 bdo 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。
filters | 获取应用于对象的滤镜集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onafterupdate | 当成功更新数据源对象中的关联对象后在数据绑定对象上触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onbeforeupdate | 当成功更新数据源对象中的关联对象前在数据绑定对象上触发。
onblur | 在对象失去输入焦点时触发。
oncellchange | 在数据供应者中的数据变更时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onerrorupdate | 更新数据源对象中的关联数据出错时在数据绑定对象上触发。
onfilterchange | 当可视滤镜更改状态或完成转换时触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onscroll | 当用户滚动对象的滚动条时触发。
onselectstart | 对象将要被选中时触发。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
clip | clip | 设置或获取定位对象的哪个部分可见。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
position | position | 设置或获取对象所使用的定位方式。
scrollbar-3dlight-color | scrollbar3dLightColor | 设置或获取滚动条上滚动按钮和滚动滑块的左上颜色。
scrollbar-arrow-color | scrollbarArrowColor | 设置或获取滚动箭头标识的颜色。
scrollbar-base-color | scrollbarBaseColor | 设置或获取滚动条的主要颜色，其中包含滚动按钮和滚动滑块。
scrollbar-darkshadow-color | scrollbarDarkShadowColor | 设置或获取滚动条上滑槽的颜色。
scrollbar-face-color | scrollbarFaceColor | 设置或获取滚动条和滚动条的滚动箭头的颜色。
scrollbar-highlight-color | scrollbarHighlightColor | 设置或获取滚动框和滚动条滚动箭头的左上边缘颜色。
scrollbar-shadow-color | scrollbarShadowColor | 设置或获取滚动框和滚动条滚动箭头的右下边缘颜色。
scrollbar-track-color | scrollbarTrackColor | 设置或获取滚动条轨迹元素的颜色。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
zoom | zoom | 设置或获取对象的放大比例。

注释

BDO 元素可用于控制文本块的阅读顺序。

Unicode 双向法则会根据所嵌入的字符序列的内在方向自动反转之。例如，英语文档的基本方向是由左至右(ltr)。如果此文档内某一段包含了阅读顺序为由右至左(rtl)的语言，你就可以应用此双向法则来反转该语言的方向。

双向法则和 DIR 标签属性通常足以应付嵌入方向的变更。但是，当你将格式化后的文本输出到双向法则时将可能发生不正确的表述。例如，为电子邮件格式化后的包含英语和希伯莱语的文本段将被双向法则不正确的转换。由于希伯莱语文本的阅读顺序在电子邮件中已经转换过了，对其应用双向法则将再一次对该文本进行转换。

BDO 元素将关闭双向法则并控制阅读顺序。当你使用 BDO 元素时必需附带 DIR 标签属性。

此元素在 Microsoft® Internet Explorer 5.0 的 HTML 和脚本中可用。

此元素是内嵌元素。

此元素需要关闭标签。

示例

下面的例子使用 BDO 元素来纠正一个文本块的阅读顺序。

下面的字符串包含了以由左至右的英语和由右至左的希伯莱语书写的文本: This fragment is in English, WERBEH NI SI TNEMGARF SIHT.

假定由右至左的文本(WERBEH NI SI TNEMGARF SIHT.)已经转换过了，也就是说其显示方向正确。如果你继续对此文本应用 Unicode 双向法则，此文本就会被第二次转换，以致会以由左至左而不是由右至左的方向显示。

解决办法是覆盖双向法则，将这一个阅读顺序正确的文本块放置在 DIR 标签属性设置为 ltr 的 BDO 元素内。

<BDO DIR="ltr">This fragment is in English,
WERBEH NI SI TNEMGARF SIHT.</BDO>

标准信息

此对象定义在 HTML 4.0 非 Microsoft 链接 中。

参看

direction


BGSOUND 元素 | bgSound

BGSOUND 元素 | bgSound 对象

允许页面带有背景声音或创建音轨。

成员表

下面的表格列出了 bgSound 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
BALANCE | balance | 设置或获取表明背景声音的音量如何分配在左右扬声器的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
disabled | 获取表明用户是否可与该对象交互的值。
ID | id | 获取标识对象的字符串。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
LOOP | loop | 设置或获取声音或视频剪辑在激活时的循环播放次数。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
SRC | src | 设置或获取要播放的声音的 URL。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
uniqueID | 获取为对象自动生成的唯一标识符。
VOLUME | volume | 设置或获取声音的音量设置。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。

事件

事件 | 描述
onlayoutcomplete | 当打印或打印预览版面处理完成用来自于源文档的内容填充当前 LayoutRect 对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onreadystatechange | 当对象状态变更时触发。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
clearAttributes | 从对象中删除全部标签属性和值。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getElementsByTagName | 获取基于指定元素名称的对象集合。
insertAdjacentElement | 在指定位置插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
swapNode | 交换文档层次中两个对象的位置。

样式

样式标签属性 | 样式属性 | 描述
behavior | behavior | 设置或获取 DHTML 行为的位置。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。

注释

BGSOUND 元素可出现在文档中的任何位置。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素不会被渲染。

此元素不需要关闭标签。

标准信息

此对象是微软对 HTML 非 Microsoft 链接 的扩展。


BIG 元素 | big

BIG 元素 | big 对象

指定内含文本要以比当前字体稍大的字体显示。

成员表

下面的表格列出了 big 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是内嵌元素。

此元素需要关闭标签。

示例

下面的例子使用了 BIG 元素将文本加大显示。

<BIG>此文本将加大显示。</BIG>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。


BLOCKQUOTE 元素 | blockQuote

BLOCKQUOTE 元素 | blockQuote 对象

设置文本中的一段引语。

成员表

下面的表格列出了 blockQuote 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
blockDirection | 获取表明块元素内容的绕排方向的值，是由左至右，还是由右至左。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CITE Microsoft® Internet Explorer 6 新增 | cite | 设置或获取关于 对象的参考信息。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
:first-letter | :first-letter | 在对象的第一个字符上应用一个或多个样式。
:first-line | :first-line | 在对象的第一行上应用一个或多个样式。
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-char | layoutGridChar | 设置或获取用于渲染元素文本内容的字符网格大小。
layout-grid-line | layoutGridLine | 设置或获取用于渲染元素文本内容的网格线值。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
layout-grid-type | layoutGridType | 设置或获取用于渲染元素文本内容的网格类型。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-break | lineBreak | 设置或获取日本文本的换行规则。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
page-break-after | pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
page-break-before | pageBreakBefore | 设置或获取表明对象前发生换页的字符串。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-align | textAlign | 设置或获取对象中的文本是左对齐、右对齐、居中对齐还是两端对齐。
text-align-last | textAlignLast | 设置或获取如何排列对象的最后一行或仅有的一行。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-indent | textIndent | 设置或获取对象中文本的缩进。
text-justify | textJustify | 设置或获取对象内的文本所使用的对齐类型。
text-kashida-space | textKashidaSpace | 设置或获取对象内文本对齐行时所使用空白扩展的 kashida 扩展的倍率。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-break | wordBreak | 设置或获取单词内的换行行为，特别是对象中出现多语言的情况。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是块元素。

此元素需要关闭标签。

示例

下面的例子使用了 BLOCKQUOTE 元素将文本设置为引语，效果是缩进显示。

<P>他说，
<BLOCKQUOTE>“你好!”</BLOCKQUOTE>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 和万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。

参看

q


BODY 元素 | body

BODY 元素 | body 对象

指定文档主体的开始和结束。

Microsoft® Internet Explorer 6 的新增内容

当你使用 !DOCTYPE 声明指定标准兼容模式的时候，此对象将不再代表文档内容所渲染的整个表面。该对象当然可从其内容中获得其大小，但你也可以像 div 对象那样精确设置其大小。

成员表

下面的表格列出了 body 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ALINK | aLink | 设置或获取元素中所有激活链接的颜色。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BACKGROUND | background | 设置或获取页面上文本和图像后平铺的背景图片。
BGCOLOR | bgColor | 设置或获取对象后面的背景颜色。
BGPROPERTIES | bgProperties | 设置或获取背景图片的属性。
blockDirection | 获取表明块元素内容的绕排方向的值，是由左至右，还是由右至左。
BOTTOMMARGIN | bottomMargin | 设置或获取页面整个主体的下边距。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
DISABLED | disabled | 设置或获取控件的状态。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
LEFTMARGIN | leftMargin | 设置或获取页面的整个主体的左边距，而不是默认的边距。
LINK | link | 设置或获取对象文档链接的颜色。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
NOWRAP | noWrap | 设置或获取浏览器是否自动执行换行。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
RIGHTMARGIN | rightMargin | 设置或获取页面整个主体的右边距。
scopeName | 获取为该元素定义的命名空间。
SCROLL | scroll | 设置或获取滚动是否关闭。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TEXT | text | 设置或获取文档主体的文本(前景)颜色。
t:TIMESTARTRULE | timeStartRule | 设置或获取文档时间线开始的点。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
TOPMARGIN | topMargin | 设置或获取页面的上边距。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。
VLINK | vLink | 设置或获取对象中已访问链接的颜色。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。
filters | 获取应用于对象的滤镜集合。
timeAll | 获取对所有定时元素的集合的引用。
timeChildren | 获取对所有定时的顶级子元素的集合的引用。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onafterprint | 对象所关联的文档打印或打印预览后立即在对象上触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onbeforeprint | 对象的关联文档打印或打印预览前在对象上触发。
onbeforeunload | 在页面将要被卸载前触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfilterchange | 当可视滤镜更改状态或完成转换时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onload | 当浏览器装入对象后立即触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onscroll | 当用户滚动对象的滚动条时触发。
onselect | 当当前选中区改变时触发。
onselectstart | 对象将要被选中时触发。
onunload | 在对象卸载前立即触发。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
createControlRange | 创建一个非文本元素的 controlRange 集合。
createTextRange | 为元素创建一个 TextRange 对象。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
doScroll | 模拟对滚动条组件的单击。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
pause | 暂停 HTML 文档的时间线。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
resume | 继续 HTML 文档已经暂停的时间线。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
:first-letter | :first-letter | 在对象的第一个字符上应用一个或多个样式。
:first-line | :first-line | 在对象的第一行上应用一个或多个样式。
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-char | layoutGridChar | 设置或获取用于渲染元素文本内容的字符网格大小。
layout-grid-line | layoutGridLine | 设置或获取用于渲染元素文本内容的网格线值。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
layout-grid-type | layoutGridType | 设置或获取用于渲染元素文本内容的网格类型。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-break | lineBreak | 设置或获取日本文本的换行规则。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
page-break-after | pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
page-break-before | pageBreakBefore | 设置或获取表明对象前发生换页的字符串。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
scrollbar-3dlight-color | scrollbar3dLightColor | 设置或获取滚动条上滚动按钮和滚动滑块的左上颜色。
scrollbar-arrow-color | scrollbarArrowColor | 设置或获取滚动箭头标识的颜色。
scrollbar-base-color | scrollbarBaseColor | 设置或获取滚动条的主要颜色，其中包含滚动按钮和滚动滑块。
scrollbar-darkshadow-color | scrollbarDarkShadowColor | 设置或获取滚动条上滑槽的颜色。
scrollbar-face-color | scrollbarFaceColor | 设置或获取滚动条和滚动条的滚动箭头的颜色。
scrollbar-highlight-color | scrollbarHighlightColor | 设置或获取滚动框和滚动条滚动箭头的左上边缘颜色。
scrollbar-shadow-color | scrollbarShadowColor | 设置或获取滚动框和滚动条滚动箭头的右下边缘颜色。
scrollbar-track-color | scrollbarTrackColor | 设置或获取滚动条轨迹元素的颜色。
text-align | textAlign | 设置或获取对象中的文本是左对齐、右对齐、居中对齐还是两端对齐。
text-align-last | textAlignLast | 设置或获取如何排列对象的最后一行或仅有的一行。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-indent | textIndent | 设置或获取对象中文本的缩进。
text-justify | textJustify | 设置或获取对象内的文本所使用的对齐类型。
text-kashida-space | textKashidaSpace | 设置或获取对象内文本对齐行时所使用空白扩展的 kashida 扩展的倍率。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
word-break | wordBreak | 设置或获取单词内的换行行为，特别是对象中出现多语言的情况。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
zoom | zoom | 设置或获取对象的放大比例。

注释

在 Microsoft® Internet Explorer 6 中，如果你使用 !DOCTYPE 声明指定为标准兼容模式，body 对象可以从其内容获取其大小，或者你可以像 div 对象那样严格的设置其大小。在标准兼容模式下，html 元素会代表文档可渲染内容的整个外观。如果 !DOCTYPE 声明并不指定标准兼容模式，以及较早版本的 Internet Explorer，则是 body 对象代表文档可渲染内容的整个外观。body 对象的大小无法更改，它等于窗口的大小。你在此对象上设置的边距位于此对象的边框和滚动条之内。

你可以在脚本中通过 document 对象来访问 body 元素。

body 元素的 window 对象可以处理 onblur, onfocus, onload, 或 onunload 事件。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是块元素。

此元素需要关闭标签。

示例

下面的例子在脚本中引用了 body 元素。

var oBody = document.body;

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 和万维网协会(W3C)文档对象模型 (DOM) 级别 1 非 Microsoft 链接 中。

应用到

document


BR 元素 | br

BR 元素 | br 对象

插入一个换行符。

成员表

下面的表格列出了 br 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
CLEAR | clear | 设置或获取当在文档中插入换行符后浮动对象在哪边不能定位。
disabled | 获取表明用户是否可与该对象交互的值。
ID | id | 获取标识对象的字符串。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
uniqueID | 获取为对象自动生成的唯一标识符。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。

集合

集合 | 描述
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。

事件

事件 | 描述
onlayoutcomplete | 当打印或打印预览版面处理完成用来自于源文档的内容填充当前 LayoutRect 对象时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onreadystatechange | 当对象状态变更时触发。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
clearAttributes | 从对象中删除全部标签属性和值。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeExpression | 从指定属性中删除表达式。
replaceAdjacentText | 替换元素的邻接文本。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
display | display | 设置或获取对象是否要渲染。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素不会被渲染。

此元素不需要关闭标签。

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 和万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。


BUTTON 元素 | button

BUTTON 元素 | button 对象

指定其中所含的 HTML 要被渲染为一个按钮。

成员表

下面的表格列出了 button 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DATAFLD | dataFld | 设置或获取由 dataSrc 属性指定的绑定到指定对象的给定数据源的字段。
DATAFORMATAS | dataFormatAs | 设置或获取如何渲染提供给对象的数据。
DATASRC | dataSrc | 设置或获取用于数据绑定的数据源。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
form | 获取对象所在表单的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
NAME | name | 设置或获取对象的名称。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
recordNumber | 获取数据集中生成对象的原始记录。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
TYPE | type | 获取按钮的分类和默认行为。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。
VALUE | value | 获取控件的默认或选中值。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。
filters | 获取应用于对象的滤镜集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onafterupdate | 当成功更新数据源对象中的关联对象后在数据绑定对象上触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onbeforeupdate | 当成功更新数据源对象中的关联对象前在数据绑定对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onerrorupdate | 更新数据源对象中的关联数据出错时在数据绑定对象上触发。
onfilterchange | 当可视滤镜更改状态或完成转换时触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
createTextRange | 为元素创建一个 TextRange 对象。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
page-break-after | pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-indent | textIndent | 设置或获取对象中文本的缩进。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
width | width | 设置或获取对象的宽度。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

当 BUTTON 元素在表单中提交的话，Microsoft® Internet Explorer 5 及以后版本将提交 VALUE 标签属性，若存在的话。否则就提交 innerText 属性。在 Internet Explorer 4.0 中，只会提交 innerText 值。

此元素在 Microsoft® Internet Explorer 4.0 的 HTML 和脚本中可用。

此元素是内嵌元素。

此元素需要关闭标签。

标准信息

此对象定义在 HTML 4.0 非 Microsoft 链接 中。


CAPTION 元素 | caption

CAPTION 元素 | caption 对象

指定表格的简要描述。

成员表

下面的表格列出了 caption 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ALIGN | align | 设置或获取标题或标志的排列。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。
VALIGN | vAlign | 设置或获取标题是表格的上面还是下面。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
page-break-after | pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
page-break-before | pageBreakBefore | 设置或获取表明对象前发生换页的字符串。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
width | width | 设置或获取对象的宽度。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

CAPTION 元素应该是 TABLE 元素的子对象。

TABLE 对象及其关联元素有一个独立的表格对象模型，该模式给出了不同于常规对象模型的实用方法。要获得关于表格对象模型更多的信息，请参看如何动态生成表格。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是内嵌元素。

此元素需要关闭标签。

示例

下面的例子使用了 CAPTION 元素提供了表格的简短描述。

<TABLE>
<CAPTION VALIGN=BOTTOM>
此标题将出现在表格下方。
</CAPTION>
<TBODY>
<TR>
<TD>
这是表格中的文本。
</TD>
</TR>
</TBODY>
</TABLE>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 和万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。


CENTER 元素 | center

CENTER 元素 | center 对象

将后面的文本和图像居中显示。

成员表

下面的表格列出了 center 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
blockDirection | 获取表明块元素内容的绕排方向的值，是由左至右，还是由右至左。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
:first-letter | :first-letter | 在对象的第一个字符上应用一个或多个样式。
:first-line | :first-line | 在对象的第一行上应用一个或多个样式。
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-char | layoutGridChar | 设置或获取用于渲染元素文本内容的字符网格大小。
layout-grid-line | layoutGridLine | 设置或获取用于渲染元素文本内容的网格线值。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
layout-grid-type | layoutGridType | 设置或获取用于渲染元素文本内容的网格类型。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-break | lineBreak | 设置或获取日本文本的换行规则。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
page-break-after | pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
page-break-before | pageBreakBefore | 设置或获取表明对象前发生换页的字符串。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-align | textAlign | 设置或获取对象中的文本是左对齐、右对齐、居中对齐还是两端对齐。
text-align-last | textAlignLast | 设置或获取如何排列对象的最后一行或仅有的一行。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-indent | textIndent | 设置或获取对象中文本的缩进。
text-justify | textJustify | 设置或获取对象内的文本所使用的对齐类型。
text-kashida-space | textKashidaSpace | 设置或获取对象内文本对齐行时所使用空白扩展的 kashida 扩展的倍率。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-break | wordBreak | 设置或获取单词内的换行行为，特别是对象中出现多语言的情况。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是块元素。

此元素需要关闭标签。

示例

下面的例子使用了 CENTER 元素将文本居于页面中央。

<CENTER>此文本将出现在页面中央。</CENTER>

标准信息

此对象不是 HTML 非 Microsoft 链接 所建议的。


CITE 元素 | cite

CITE 元素 | cite 对象

用斜体显示标明引言。

成员表

下面的表格列出了 cite 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

所谓引言，就是对一本书、一篇报告或其它出版的来源资料的引用。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是内嵌元素。

此元素需要关闭标签。

示例

下面的例子使用了 CITE 元素将引言以斜体显示。

<CITE>书的标题。</CITE>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。

参看

acronym, address, dfn, em, i


clientInformation

clientInformation 对象

包含关于 Web 浏览器的信息。

成员表

下面的表格列出了 clientInformation 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

属性

属性 | 描述
appCodeName | 获取浏览器的代码名称。
appMinorVersion | 获取应用程序的次版本值。
appName | 获取浏览器的名称。
appVersion | 获取浏览器运行的平台和版本。
browserLanguage | 获取浏览器的当前语言。
cookieEnabled | 获取客户端的永久 cookie 是否在浏览器中启用。永久 cookies 是储存在客户端计算机上的。
cpuClass | 获取指示 CPU 等级的字符串。
onLine | 获取表明系统是否处于全局脱机模式的值。
platform | 获取用户的操作系统名称。
systemLanguage | 获取操作系统适用的默认语言。
userAgent | 获取等同于 HTTP 用户代理请求头的字符串。
userLanguage | 获取操作系统的自然语言设置。

集合

集合 | 描述
plugins | 获取文档中所有 EMBED 对象的集合。

方法

方法 | 描述
javaEnabled | 返回 Java 是否已启用。
taintEnabled | 返回是否允许数据污点。

对象

对象 | 描述
userProfile | 提供了允许脚本对用户配置信息请求读取访问并执行读取操作的方法。

注释

此对象在 Microsoft® Internet Explorer 4.0 的脚本中可用。

示例

下面的例子演示了如何决定浏览器的 userAgent 是否包含 "MSIE"。如果是的话，浏览器就是 Internet Explorer。

<SCRIPT LANGUAGE="JScript">
if (window.clientInformation.userAgent.indexOf( "MSIE " ) > 0)
// 浏览器是 Microsoft Internet Explorer。
</SCRIPT>

下面的例子演示了如何决定浏览器是否可运行 Java 小程序。

<SCRIPT LANGUAGE="JScript">
if (window.clientInformation.javaEnabled() == true )
// Java 已启用，可运行小程序。
</SCRIPT>

标准信息

没有应用于此对象的公共标准。

应用到

window


clipboardData

clipboardData 对象

提供了对于预定义的剪贴板格式的访问，以便在编辑操作中使用。

成员表

下面的表格列出了 clipboardData 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

方法

方法 | 描述
clearData | 通过 dataTransfer 或 clipboardData 对象从剪贴板删除一种或多种数据格式。
getData | 通过 dataTransfer 或 clipboardData 对象从剪贴板获取指定格式的数据。
setData | 以指定格式给 dataTransfer 或 clipboardData 对象赋予数据。

注释

clipboardData 对象是为通过编辑菜单、快捷菜单和快捷键执行的编辑操作所保留的。该对象使用系统剪贴板传送信息并保留至下一个编辑操作冲掉它。数据传送的格式特别适合于多次粘贴相同的数据。

此对象在 Microsoft® Internet Explorer 5 的脚本中可用。

示例

下面的例子使用了 clipboardData 对象的 setData 和 getData 方法通过快捷菜单执行剪切粘贴操作。

<SCRIPT>
var bResult;
// 选中要剪切的文本。在剪切事件中文本选中区的尾随空格导致剪
// 切选快捷菜单项目保持无效。
function fnLoad() {
var r = document.body.createTextRange();
r.findText(oSource.innerText);
r.select();
}
// 启用剪切快捷菜单项目，该项目在 DIV 上时默认为无效
function fnBeforeCut() {
event.returnValue = false;
}
// 以文本格式给 window.clipboardData 对象赋予数据。
// 将 setData 方法的结果 (Boolean) 显示在下面的输入框内。
function fnCut(){
event.returnValue = false;
bResult = window.clipboardData.setData("Text",oSource.innerText);
oSource.innerText = "";
tText.innerText += bResult;
}
// 启用粘贴快捷菜单项目，该项目在 DIV 上时默认也为无效
function fnBeforePaste() {
event.returnValue = false;
}
// 在 onpaste 中取消 returnValue 以便输入文本，该操作有默认
// 的行为。
function fnPaste() {
event.returnValue = false;
oTarget.innerText = window.clipboardData.getData("Text");
}
</SCRIPT>
</HEAD>
<BODY onload="fnLoad()" TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="fixed" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<DIV CLASS="clsSource" ID="oSource" onbeforecut="fnBeforeCut()" oncut="fnCut()">选中并剪切此文本</DIV>
<DIV CLASS="clsTarget" ID="oTarget" onbeforepaste="fnBeforePaste()" onpaste="fnPaste()">将文本粘贴在这里</DIV><BR>
<SPAN CLASS="clsData">setData 结果:</SPAN>
<INPUT CLASS="clsText" ID="tText" TYPE="text" READONLY VALUE="" SIZE="6" TABINDEX="-1">
</BODY>
此特性需要 Microsoft® Internet Explorer 5.0 或以后版本。请单击下面的图标安装最新版本。然后重新装入此页再查看示例。

标准信息

没有应用于此对象的公共标准。

应用到

window


CODE 元素 | code

CODE 元素 | code 对象

指定代码范例。

成员表

下面的表格列出了 code 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是内嵌元素。

此元素需要关闭标签。

示例

下面的例子使用了 CODe 元素将文本以展现计算机代码的字体显示，如值和变量名。

<CODE>这里是以小型固定宽度字体显示的文本。</CODE>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 和万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。

参看

samp


COL 元素 | col

COL 元素 | col 对象

指定基于列的表格默认属性。

成员表

下面的表格列出了 col 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ALIGN | align | 设置或获取对象相对于显示或表格的排列方式。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BGCOLOR | 设置对象后面的背景颜色。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CH Microsoft® Internet Explorer 6 新增 | ch | 设置或获取可用于实现对象的你自己的 ch 功能的字符串。
CHOFF Microsoft® Internet Explorer 6 新增 | chOff | 设置或获取可用于实现对象的你自己的 chOff 功能的字符串。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
SPAN | span | 设置或获取组中的列数。
STYLE | 为该设置元素设置内嵌样式。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
uniqueID | 获取为对象自动生成的唯一标识符。
VALIGN | vAlign | 设置或获取文本和其它内容在对象内的垂直方向上如何排列。
WIDTH | width | 设置或获取对象的宽度。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onlayoutcomplete | 当打印或打印预览版面处理完成用来自于源文档的内容填充当前 LayoutRect 对象时触发。
onreadystatechange | 当对象状态变更时触发。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
clearAttributes | 从对象中删除全部标签属性和值。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
vertical-align | verticalAlign | 设置或获取对象的垂直排列。
visibility | visibility | 设置或获取对象的内容是否显示。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

COL 元素可嵌入于 COLGROUP 元素内。如果是这样的话，嵌套的 COL 属性将覆盖 COLGROUP 属性。

你可使用元素 COL 和 COLGROUP 用于类似的目的。但是，你必须使用 COLGROUP 元素来决定表格内部分隔线(规则)应该处于的位置。在本页后面有这样的例子。

使用 span 属性可以指定 COLGROUP 定义的表格列数。该属性的默认值为 1。

TABLE 对象及其关联元素有一个独立的表格对象模型，该模式给出了不同于常规对象模型的实用方法。要获得关于表格对象模型更多的信息，请参看如何动态生成表格。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是块元素。

此元素不需要关闭标签。

示例

下面的例子使用了 COL 元素指定表格中默认列的特征。

<HTML>
<BODY>
<TABLE BORDER="2" RULES="groups">
<!-- 规则设定为“groups”，这在本例中没有效果。要使此属
性工作，你必须使用 COLSPAN 定义列组。 -->
<COL SPAN="2" STYLE="color:red">
<COL STYLE="color:blue">
<TR>
<TD>此列位于第一组。</TD>
<TD>此列位于第一组。</TD>
<TD>此列位于第二组。</TD>
</TR>
<TR>
<TD>此列位于第一组。</TD>
<TD>此列位于第一组。</TD>
<TD>此列位于第二组。</TD>
</TR>
</TABLE>
</BODY>
</HTML>
此特性需要 Microsoft® Internet Explorer 4.0 或以后版本。请单击下面的图标安装最新版本。然后重新装入此页再查看示例。

标准信息

此对象定义在 HTML 4.0 非 Microsoft 链接 和万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。

参看

colGroup


COLGROUP 元素 | colGroup

COLGROUP 元素 | colGroup 对象

指定表格中一列或一组列的默认属性。

成员表

下面的表格列出了 colGroup 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ALIGN | align | 设置或获取对象相对于显示或表格的排列方式。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BGCOLOR | 设置对象后面的背景颜色。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
DIR | dir | 设置或获取对象的阅读顺序。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
SPAN | span | 设置或获取组中的列数。
STYLE | 为该设置元素设置内嵌样式。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
uniqueID | 获取为对象自动生成的唯一标识符。
VALIGN | vAlign | 设置或获取文本和其它内容在对象内的垂直方向上如何排列。
WIDTH | width | 设置或获取对象的宽度。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onreadystatechange | 当对象状态变更时触发。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
clearAttributes | 从对象中删除全部标签属性和值。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

嵌套的 COL 属性将覆盖 COLGROUP 属性。

使用 span 属性可以指定 COLGROUP 定义的表格列数。该属性的默认值为 1。

COL 元素可以出现在 COLGROUP 元素之外，这两个元素可用于类似的目的。但是，你必须使用 COLGROUP 元素来决定表格内部分隔线(规则)应该处于的位置。本页的第一个例子演示了此技术。

若在 COLGROUP 中嵌套了 COL 元素则应该避免在 COLGROUP 中使用 span 标签属性。这是因为属于嵌套的 COL 元素的 span 标签属性将覆盖 COLGROUP 元素中的标签属性。这可能引起代码的混乱及可能并非所愿的结果。在下面的第二个例子中演示了这一特性。

TABLE 对象及其关联元素有一个独立的表格对象模型，该模式给出了不同于常规对象模型的实用方法。要获得关于表格对象模型更多的信息，请参看如何动态生成表格。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是块元素。

此元素需要关闭标签。

示例

下面的例子使用了 COLGROUP 元素指定表格中两组列的特征。

<HTML>
<BODY>
<TABLE BORDER="2" RULES="groups">
<!-- 规则设定为“groups”，这将在由 COLGROUP 定义的
表格列周围放置内部分隔线。 -->
<COLGROUP SPAN="2" STYLE="color:red">
</COLGROUP>
<COLGROUP STYLE="color:blue">
</COLGROUP>
<TR>
<TD>此列位于第一组。</TD>
<TD>此列位于第一组。</TD>
<TD>此列位于第二组。</TD>
</TR>
<TR>
<TD>此列位于第一组。</TD>
<TD>此列位于第一组。</TD>
<TD>此列位于第二组。</TD>
</TR>
</TABLE>
</BODY>
</HTML>
此特性需要 Microsoft® Internet Explorer 4.0 或以后版本。请单击下面的图标安装最新版本。然后重新装入此页再查看示例。

若在 COLGROUP 中嵌套了 COL 元素，COL 元素的标签属性将覆盖 COLGROUP 元素的标签属性。下面的例子演示了这一点。

<HTML>
<BODY>
<TABLE BORDER="2">
<COLGROUP SPAN="3" STYLE="color:gren;background:black">
<!-- 样式仅应用于前两列，而不是所有的三列，而且字
体是红色而不是绿色。这是 COL 元素的标签属性导致的。 -->
<COL STYLE="color:red">
</COLGROUP>
<TR>
<TD>此列位于第一组。</TD>
<TD>此列位于第一组。</TD>
<TD>此列位于第二组。</TD>
</TR>
<TR>
<TD>此列位于第一组。</TD>
<TD>此列位于第一组。</TD>
<TD>此列位于第二组。</TD>
</TR>
</TABLE>
</BODY>
</HTML>
此特性需要 Microsoft® Internet Explorer 5.5 或以后版本。请单击下面的图标安装最新版本。然后重新装入此页再查看示例。

标准信息

此对象定义在 HTML 4.0 非 Microsoft 链接 中。

参看

col


COMMENT 元素 | comment

COMMENT 元素 | comment 对象

标明不可见的注释。

成员表

下面的表格列出了 comment 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
DATA | data | 设置或获取引用对象数据的 URL。
disabled | 获取表明用户是否可与该对象交互的值。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
ID | id | 获取标识对象的字符串。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
length | 设置或获取集合中对象的数目。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
text | 设置或获取对象文本的字符串形式。
uniqueID | 获取为对象自动生成的唯一标识符。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。

集合

集合 | 描述
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。

事件

事件 | 描述
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
appendData | 向对象末尾添加新的字符串。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
clearAttributes | 从对象中删除全部标签属性和值。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
deleteData | 从对象中删除指定范围的字符。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
insertData | 在对象的指定偏移量处插入新字符串。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceData Microsoft® Internet Explorer 6 新增 | 将对象中指定范围的字符替换为新字符串。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
substringData | 从对象中析取一定范围的字符。
swapNode | 交换文档层次中两个对象的位置。

样式

样式标签属性 | 样式属性 | 描述
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
behavior | behavior | 设置或获取 DHTML 行为的位置。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。

注释

COMMENT 元素将被看作无范围的元素也不含任何子对象。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

在 Internet Explorer 6 中可用的 comment.length 属性，将返回对象中的字符数。

此元素不会被渲染。

此元素需要关闭标签。

标准信息

此对象是微软对 HTML 非 Microsoft 链接 的扩展。

参看

HTML 注释元素


currentStyle

currentStyle 对象

代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。

成员表

下面的表格列出了 currentStyle 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

属性

属性 | 描述
blockDirection | 获取表明块元素内容的绕排方向的值，是由左至右，还是由右至左。
clipBottom | 获取对象剪裁区域的底边坐标。
clipLeft | 获取对象剪裁区域的左边坐标。
clipRight | 获取对象剪裁区域的右边坐标。
clipTop | 获取对象剪裁区域的顶边坐标。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。

方法

方法 | 描述
getAttribute | 获取指定标签属性的值。
getExpression | 获取给定属性的表达式。
setAttribute | 设置指定标签属性的值。
setExpression | 设置指定对象的表达式。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 获取表明对象是否包含快捷键的字符串。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-collapse | borderCollapse | 设置或获取表明表格行和单元格边框是组合为单一边框还是像标准 HTML 那样分离。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
ime-mode | imeMode | 获取输入方法编辑器(IME)的状态。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid-char | layoutGridChar | 设置或获取用于渲染元素文本内容的字符网格大小。
layout-grid-line | layoutGridLine | 设置或获取用于渲染元素文本内容的网格线值。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
layout-grid-type | layoutGridType | 设置或获取用于渲染元素文本内容的网格类型。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-break | lineBreak | 设置或获取日本文本的换行规则。
line-height | lineHeight | 设置或获取对象两行间的距离。
list-style-image | listStyleImage | 获取要为对象应用的列表项目符号的图像。
list-style-position | listStylePosition | 获取相对于对象内容如何绘制项目符号。
list-style-type | listStyleType | 获取对象预定义的项目符号类型。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
min-height Microsoft® Internet Explorer 6 新增 | minHeight | 设置或获取元素的最小高度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
page-break-after | pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
page-break-before | pageBreakBefore | 设置或获取表明对象前发生换页的字符串。
position | position | 设置或获取对象所使用的定位方式。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
ruby-align | rubyAlign | 获取由 RT 对象指定的注音文本的位置。
ruby-overhang | rubyOverhang | 获取由 RT 对象指定的注音文本的位置。
ruby-position | rubyPosition | 获取由 RT 对象指定的注音文本的位置。
scrollbar-3dlight-color | scrollbar3dLightColor | 设置或获取滚动条上滚动按钮和滚动滑块的左上颜色。
scrollbar-arrow-color | scrollbarArrowColor | 设置或获取滚动箭头标识的颜色。
scrollbar-base-color | scrollbarBaseColor | 设置或获取滚动条的主要颜色，其中包含滚动按钮和滚动滑块。
scrollbar-darkshadow-color | scrollbarDarkShadowColor | 设置或获取滚动条上滑槽的颜色。
scrollbar-face-color | scrollbarFaceColor | 设置或获取滚动条和滚动条的滚动箭头的颜色。
scrollbar-highlight-color | scrollbarHighlightColor | 设置或获取滚动框和滚动条滚动箭头的左上边缘颜色。
scrollbar-shadow-color | scrollbarShadowColor | 设置或获取滚动框和滚动条滚动箭头的右下边缘颜色。
scrollbar-track-color | scrollbarTrackColor | 设置或获取滚动条轨迹元素的颜色。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
table-layout | tableLayout | 获取表明表格布局是否固定的字符串。
text-align | textAlign | 设置或获取对象中的文本是左对齐、右对齐、居中对齐还是两端对齐。
text-align-last | textAlignLast | 设置或获取如何排列对象的最后一行或仅有的一行。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
text-indent | textIndent | 设置或获取对象中文本的缩进。
text-justify | textJustify | 设置或获取对象内的文本所使用的对齐类型。
text-kashida-space | textKashidaSpace | 设置或获取对象内文本对齐行时所使用空白扩展的 kashida 扩展的倍率。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
vertical-align | verticalAlign | 设置或获取对象的垂直排列。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-break | wordBreak | 设置或获取单词内的换行行为，特别是对象中出现多语言的情况。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

currentStyle 对象返回了元素上的样式表，但是 style 对象只返回通过 STYLE 标签属性应用到元素的内嵌样式。因此，通过 currentStyle 对象获取的样式值可能与通过 style 对象获取的样式值不同。例如，如果段落的 color 属性值通过链接或嵌入样式表设置为红色( red )，而不是内嵌的话，对象.currentStyle.color 将返回正确的颜色，而对象 style.color 不能返回值。但是，如果用户指定了 <P STYLE="color:'red'">，currentStyle 和 STYLE 对象都将返回值 red。

currentStyle 对象反映了样式表中的样式优先顺序。在 HTML 中此顺序为：

  1. 内嵌样式
  2. 样式表规则
  3. HTML 标签属性
  4. HTML 标签的内部定义

从而，currentStyle 对象将为 bold 标签返回 fontWeight 值 normal，若在样式表中为此标签指定了 normal。

currentStyle 返回反映页面所应用的样式设置的值，但可能并不反映获取值时渲染所采用的值。例如，样式值设置为 "color:red; display:none" 的对象，将返回 currentStyle.color 为 red，尽管该对象并不在页面上渲染。也就是说，currentStyle 对象并不受渲染与否的绑定。在下面示例区的第三个例子演示了此行为。禁用的样式表也不影响 currentStyle 值。

返回值的单位与设置对象时的单位相同。例如，若对象的颜色是以内嵌 STYLE="color:'green'" 的格式设置的，那么 object.currentStyle.color 将返回 green 而不是 #00FF00 (与绿色相等的红绿蓝十六进制值)。但是，当 currentStyle 对象返回对象值的时候出现在作者所设置的对象值中的大写和多余的空白将被去掉。

currentStyle 对象支持用户自定义的样式规则属性。请参看示例区的第二个例子。

currentStyle 对象是异步的。这意味着样式不可能被设置后马上就能查询，而是返回旧值。因此，对于含有 addImport 这样方法的想要获得所期待的 currentStyle 行为的脚本，该脚本需要包含一个调用方法的函数和一个检查 currentStyle 的函数。对于需要在页面装载的时候检查当前属性的脚本，脚本必须等到 body 元素装入且页面被选然后，否则 currentStyle 的值可能不反映所显示的情况。

此对象在 Microsoft® Internet Explorer 5 的脚本中可用。

示例

下面的例子使用 currentStyle 对象将文本颜色设置为棕色。如果你单击着色区域并且背景颜色与文本颜色相同，checkColor 函数就会更改背景颜色，以方便阅读文本。否则，该函数不做任何操作。

这个例子仅当主体和文本颜色同时使用颜色名称或 RGB 十六进制值时可用，混合使用时无效。

<SCRIPT>
function checkColor(oObj)
{
if (oObj.currentStyle.backgroundColor == 'brown')
{
oObj.style.backgroundColor = 'white';
}
else
:
}
</SCRIPT>
</HEAD>
:
<P STYLE="background-color: 'brown'"
onclick="checkColor(this)">
此特性需要 Microsoft® Internet Explorer 5.0 或以后版本。请单击下面的图标安装最新版本。然后重新装入此页再查看示例。

这个例子使用 currentStyle 对象获取创建于样式规则的用户自定义属性。alert 返回值 myvalue。

<STYLE>
P { myproperty:myvalue }
</STYLE>
<BODY>
<P ID=oPrgrph>
:
<SCRIPT>
alert(oPrgrph.currentStyle.myproperty)
</SCRIPT>
此特性需要 Microsoft® Internet Explorer 5.0 或以后版本。请单击下面的图标安装最新版本。然后重新装入此页再查看示例。

这个例子由 currentStyle 对象返回的 td 对象宽度是其层叠宽度值而不是屏幕上渲染的宽度值。

<BODY ID=oBdy>
:
<TABLE BORDER>
<TR><TD WIDTH=1100 ID=oTblD>text</TD></TR>
</TABLE>
:
<SCRIPT>
alert("TD 对象 currentStyle.width 为 " +
oTblD.currentStyle.width + ".\n" +
"窗口的宽度为 " + oBdy.clientWidth +
"px.\n屏幕的宽度为 " + screen.width + "px." )
</SCRIPT>
此特性需要 Microsoft® Internet Explorer 5.0 或以后版本。请单击下面的图标安装最新版本。然后重新装入此页再查看示例。

标准信息

没有应用于此对象的公共标准。

应用到

a, acronym, address, applet, b, bdo, big, blockQuote, body, br, button, caption, center, cite, code, col, colGroup, custom, dd, del, dfn, dir, div, dl, dt, em, embed, fieldSet, font, form, hn, html, i, img, input type=button, input type=checkbox, input type=file, input type=image, input type=password, input type=radio, input type=reset, input type=submit, input type=text, ins, isIndex, kbd, label, legend, li, listing, marquee, menu, noBr, object, ol, option, p, plainText, pre, q, s, samp, select, small, span, strike, strong, sub, sup, table, tBody, td, textArea, tFoot, th, tHead, tr, tt, u, ul, var, wbr, xmp

参看

style


CUSTOM 元素 | custom

CUSTOM 元素 | custom 对象

代表了一个用户自定义元素。

成员表

下面的表格列出了 custom 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
blockDirection | 获取表明块元素内容的绕排方向的值，是由左至右，还是由右至左。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
parentElement | 获取对象层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
UNSELECTABLE | 指定该元素不可被选中。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。
filters | 获取应用于对象的滤镜集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onafterupdate | 当成功更新数据源对象中的关联对象后在数据绑定对象上触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onbeforeupdate | 当成功更新数据源对象中的关联对象前在数据绑定对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onerrorupdate | 更新数据源对象中的关联数据出错时在数据绑定对象上触发。
onfilterchange | 当可视滤镜更改状态或完成转换时触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onscroll | 当用户滚动对象的滚动条时触发。
onselectstart | 对象将要被选中时触发。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
doScroll | 模拟对滚动条组件的单击。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeExpression | 从指定属性中删除表达式。
replaceAdjacentText | 替换元素的邻接文本。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
document | 代表给定浏览器窗口中的 HTML 文档。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
scrollbar-3dlight-color | scrollbar3dLightColor | 设置或获取滚动条上滚动按钮和滚动滑块的左上颜色。
scrollbar-arrow-color | scrollbarArrowColor | 设置或获取滚动箭头标识的颜色。
scrollbar-base-color | scrollbarBaseColor | 设置或获取滚动条的主要颜色，其中包含滚动按钮和滚动滑块。
scrollbar-darkshadow-color | scrollbarDarkShadowColor | 设置或获取滚动条上滑槽的颜色。
scrollbar-face-color | scrollbarFaceColor | 设置或获取滚动条和滚动条的滚动箭头的颜色。
scrollbar-highlight-color | scrollbarHighlightColor | 设置或获取滚动框和滚动条滚动箭头的左上边缘颜色。
scrollbar-shadow-color | scrollbarShadowColor | 设置或获取滚动框和滚动条滚动箭头的右下边缘颜色。
scrollbar-track-color | scrollbarTrackColor | 设置或获取滚动条轨迹元素的颜色。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-align-last | textAlignLast | 设置或获取如何排列对象的最后一行或仅有的一行。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-kashida-space | textKashidaSpace | 设置或获取对象内文本对齐行时所使用空白扩展的 kashida 扩展的倍率。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
vertical-align | verticalAlign | 设置或获取对象的垂直排列。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

Microsoft® Internet Explorer 对于 HTML 页面上自定义标签的支持需要为该标签定义命名空间。否则，自定义标签将在文档被处理时被作为未知标签对待。尽管在 Internet Explorer 中浏览带有未知标签的页面不会导致错误，未知标签仍然带有无法包含其它标签也无法对其应用行为的缺点。

要声明命名空间，请使用 HTML 元素的 XMLNS 标签属性。

当定义自定义标签时，你必须在 @media 包装内完成自定标签的定义。

自定义标签当应用 DHTML 行为时将会变得有趣得多。DHTML 行为(或称行为)应用到页面上元素的方法与和样式表属性一样。说得更明白一点，已提议的 CSS behavior 属性允许 Web 编著者指定行为的位置并将该行为应用到页面上的元素。

此元素在 Microsoft® Internet Explorer 5 的 HTML 和脚本中可用。

此元素是内嵌元素。

此元素需要关闭标签。

示例

下面的例子使用 custom 元素创建自定义 RED, GREEN 和 BLUE 元素。这些元素将更改文本的颜色为红、绿或蓝色，这取决于文本外围的标签是 RED, GREEN 还是 BLUE。在下面的例子中，RED, GREEN 和 BLUE 标签都定义在 CUSTOMTAG 的命名空间内。

<HTML XMLNS:CUSTOMTAG>
<HEAD>
<STYLE>
@media all {
CUSTOMTAG\:RED { color: red; }
CUSTOMTAG\:GREEN { color: green; }
CUSTOMTAG\:BLUE { color: blue; }
}
</STYLE>
</HEAD>
<BODY>
<CUSTOMTAG:RED>
此文本为红色，因为其包含在 CUSTOMTAG:RED 标签内。
</CUSTOMTAG:RED>
<CUSTOMTAG:GREEN>
此文本为绿色，因为其包含在 CUSTOMTAG:GREEN 标签内。
</CUSTOMTAG:GREEN>
<CUSTOMTAG:BLUE>
此文本为蓝色，因为其包含在 CUSTOMTAG:BLUE 标签内。
</CUSTOMTAG:BLUE>
</BODY>
</HTML>
此特性需要 Microsoft® Internet Explorer 5 或以后版本。请单击下面的图标安装最新版本。然后重新装入此页再查看示例。

标准信息

没有应用于此对象的公共标准。


dataTransfer

dataTransfer 对象

提供了对于预定义的剪贴板格式的访问，以便在拖曳操作中使用。

成员表

下面的表格列出了 dataTransfer 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

属性

属性 | 描述
dropEffect | 设置或获取拖曳操作的类型和要显示的光标类型。
effectAllowed | 设置或获取数据传送操作可应用于该对象的源元素。

方法

方法 | 描述
clearData | 通过 dataTransfer 或 clipboardData 对象从剪贴板删除一种或多种数据格式。
getData | 通过 dataTransfer 或 clipboardData 对象从剪贴板获取指定格式的数据。
setData | 以指定格式给 dataTransfer 或 clipboardData 对象赋予数据。

注释

dataTransfer 对象使得自定义处理拖曳操作成为可能。你可通过 event 对象完成这种功能。

dataTransfer 对象可于源对象和目标对象中使用。典型用法是，setData 方法用于源事件，以便提供关于将要进行传送的数据的数据。相应的，getData 方法用于目标事件以便确保获取的数据和数据格式。

此对象在 Microsoft® Internet Explorer 5 的脚本中可用。

示例

下面的例子使用了 dataTransfer 对象的 setData 和 getData 方法通过快捷菜单执行拖曳操作。

<HEAD>
<SCRIPT>
var sAnchorURL;
function InitiateDrag()
/*  setData 参数告诉源对象将数据传送为 URL 并提供
路径。*/
{
event.dataTransfer.setData("URL", oSource.href);
}
function FinishDrag()
/*  传递给 getData 的参数告诉目标对象所期望的数据
格式。*/
{
sAnchorURL = event.dataTransfer.getData("URL");
oTarget.innerText = sAnchorURL;
}
</SCRIPT>
</HEAD>
<BODY>
<A ID=oSource HREF="about:Example_Complete" onclick="return(false)"
ondragstart="InitiateDrag()">测试锚</A>
<SPAN ID=oTarget ondragenter="FinishDrag()">将链接拖曳到这里</SPAN>
</BODY>
此特性需要 Microsoft® Internet Explorer 5.0 或以后版本。请单击下面的图标安装最新版本。然后重新装入此页再查看示例。

标准信息

没有应用于此对象的公共标准。

应用到

event


DD 元素 | dd

DD 元素 | dd 对象

在定义列表中表明定义。定义通常在定义列表中缩进。

成员表

下面的表格列出了 dd 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
blockDirection | 获取表明块元素内容的绕排方向的值，是由左至右，还是由右至左。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
NOWRAP | noWrap | 设置或获取浏览器是否自动执行换行。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlayoutcomplete | 当打印或打印预览版面处理完成用来自于源文档的内容填充当前 LayoutRect 对象时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
:first-letter | :first-letter | 在对象的第一个字符上应用一个或多个样式。
:first-line | :first-line | 在对象的第一行上应用一个或多个样式。
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-char | layoutGridChar | 设置或获取用于渲染元素文本内容的字符网格大小。
layout-grid-line | layoutGridLine | 设置或获取用于渲染元素文本内容的网格线值。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
layout-grid-type | layoutGridType | 设置或获取用于渲染元素文本内容的网格类型。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-break | lineBreak | 设置或获取日本文本的换行规则。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
page-break-after | pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
page-break-before | pageBreakBefore | 设置或获取表明对象前发生换页的字符串。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-align | textAlign | 设置或获取对象中的文本是左对齐、右对齐、居中对齐还是两端对齐。
text-align-last | textAlignLast | 设置或获取如何排列对象的最后一行或仅有的一行。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-indent | textIndent | 设置或获取对象中文本的缩进。
text-justify | textJustify | 设置或获取对象内的文本所使用的对齐类型。
text-kashida-space | textKashidaSpace | 设置或获取对象内文本对齐行时所使用空白扩展的 kashida 扩展的倍率。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-break | wordBreak | 设置或获取单词内的换行行为，特别是对象中出现多语言的情况。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是块元素。

此元素需要关闭标签。

示例

下面的例子使用了 DD 元素和 DL、DT 元素创建定义列表。

<DL>
<DT>猫
<DD>一种可供饲养的小宠物。
<DT>蜥蜴
<DD>通常可在干燥区域发现的爬行动物。
</DL>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。


defaults

defaults 对象

编程设置元素行为的默认属性。

成员表

下面的表格列出了 defaults 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
blockDirection | 获取表明块元素内容的绕排方向的值，是由左至右，还是由右至左。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DISABLED | disabled | 设置或获取控件的状态。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
tabStop | 设置或获取元素行为是否可收到焦点并参与 Tab 序列。
viewInheritStyle | 设置或获取表明文档片段是否继承主文档中设置的 CSS 样式的值。
viewLink | 设置或获取给主元素提供内容的 document 对象。
viewMasterTab | 设置或获取表明 viewlink 的主元素是否包含在主文档的 Tab 序列中的值。

事件

事件 | 描述
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。

对象

对象 | 描述
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
scrollbar-3dlight-color | scrollbar3dLightColor | 设置或获取滚动条上滚动按钮和滚动滑块的左上颜色。
scrollbar-arrow-color | scrollbarArrowColor | 设置或获取滚动箭头标识的颜色。
scrollbar-base-color | scrollbarBaseColor | 设置或获取滚动条的主要颜色，其中包含滚动按钮和滚动滑块。
scrollbar-darkshadow-color | scrollbarDarkShadowColor | 设置或获取滚动条上滑槽的颜色。
scrollbar-face-color | scrollbarFaceColor | 设置或获取滚动条和滚动条的滚动箭头的颜色。
scrollbar-highlight-color | scrollbarHighlightColor | 设置或获取滚动框和滚动条滚动箭头的左上边缘颜色。
scrollbar-shadow-color | scrollbarShadowColor | 设置或获取滚动框和滚动条滚动箭头的右下边缘颜色。
scrollbar-track-color | scrollbarTrackColor | 设置或获取滚动条轨迹元素的颜色。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
vertical-align | verticalAlign | 设置或获取对象的垂直排列。
visibility | visibility | 设置或获取对象的内容是否显示。
z-index | zIndex | 设置或获取定位对象的堆叠次序。

注释

PUBLIC:DEFAULTS 元素是 defaults 对象的声明方式。

此对象在 Microsoft® Internet Explorer 5.5 的脚本中可用。

标准信息

没有应用于此对象的公共标准。


DEL 元素 | del

DEL 元素 | del 对象

表明文本已经从文档中删除。

成员表

下面的表格列出了 del 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CITE Microsoft® Internet Explorer 6 新增 | cite | 设置或获取关于 对象的参考信息。
CLASS | className | 设置或获取对象的类。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DATETIME Microsoft® Internet Explorer 6 新增 | dateTime | 设置或获取修改对象的日期和时间。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onblur | 在对象失去输入焦点时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onreadystatechange | 当对象状态变更时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
width | width | 设置或获取对象的宽度。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 4.0 的 HTML 和脚本中可用。

此元素是内嵌元素。

此元素需要关闭标签。

示例

下面的例子使用了 DEL 元素标明已删除的文本。

<DEL>此文本已被删除。</DEL>

标准信息

此对象定义在 HTML 4.0 非 Microsoft 链接 中。

参看

ins


DFN 元素 | dfn

DFN 元素 | dfn 对象

表明术语的定义实例。

成员表

下面的表格列出了 dfn 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-indent | textIndent | 设置或获取对象中文本的缩进。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
width | width | 设置或获取对象的宽度。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是一个块元素。

此元素需要关闭标签。

示例

下面的例子使用了 DFN 元素来标明术语定义。

<DFN>HTML 代表超文本标记语言。</DFN>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。

参看

acronym, address, cite, i


DIR 元素 | dir

DIR 元素 | dir 对象

引起目录列表。

成员表

下面的表格列出了 dir 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
COMPACT Microsoft® Internet Explorer 6 新增 | compact | 设置或获取表明列表是否应该通过删除列表对象间的额外空白来压缩的 Boolean 值。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-char | layoutGridChar | 设置或获取用于渲染元素文本内容的字符网格大小。
layout-grid-line | layoutGridLine | 设置或获取用于渲染元素文本内容的网格线值。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
layout-grid-type | layoutGridType | 设置或获取用于渲染元素文本内容的网格类型。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-break | lineBreak | 设置或获取日本文本的换行规则。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
page-break-after | pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-align | textAlign | 设置或获取对象中的文本是左对齐、右对齐、居中对齐还是两端对齐。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-indent | textIndent | 设置或获取对象中文本的缩进。
text-justify | textJustify | 设置或获取对象内的文本所使用的对齐类型。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-break | wordBreak | 设置或获取单词内的换行行为，特别是对象中出现多语言的情况。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是块元素。

此元素需要关闭标签。

示例

下面的例子使用了 DIR 元素创建了一个目录列表。

<DIR>
<LI>艺术
<LI>历史
<LI>文学
<LI>运动
<LI>娱乐
<LI>科学
</DIR>

标准信息

此对象不是 HTML 非 Microsoft 链接 所建议的，但定义在万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。


DIV 元素 | div

DIV 元素 | div 对象

指定渲染 HTML 的容器。

成员表

下面的表格列出了 div 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ALIGN | align | 设置或获取对象相对于显示或表格的排列方式。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
blockDirection | 获取表明块元素内容的绕排方向的值，是由左至右，还是由右至左。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DATAFLD | dataFld | 设置或获取由 dataSrc 属性指定的绑定到指定对象的给定数据源的字段。
DATAFORMATAS | dataFormatAs | 设置或获取如何渲染提供给对象的数据。
DATASRC | dataSrc | 设置或获取用于数据绑定的数据源。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
NOWRAP | noWrap | 设置或获取浏览器是否自动执行换行。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
recordNumber | 获取数据集中生成对象的原始记录。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。
filters | 获取应用于对象的滤镜集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onafterupdate | 当成功更新数据源对象中的关联对象后在数据绑定对象上触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onbeforeupdate | 当成功更新数据源对象中的关联对象前在数据绑定对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onerrorupdate | 更新数据源对象中的关联数据出错时在数据绑定对象上触发。
onfilterchange | 当可视滤镜更改状态或完成转换时触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlayoutcomplete | 当打印或打印预览版面处理完成用来自于源文档的内容填充当前 LayoutRect 对象时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onscroll | 当用户滚动对象的滚动条时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
doScroll | 模拟对滚动条组件的单击。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
:first-letter | :first-letter | 在对象的第一个字符上应用一个或多个样式。
:first-line | :first-line | 在对象的第一行上应用一个或多个样式。
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-char | layoutGridChar | 设置或获取用于渲染元素文本内容的字符网格大小。
layout-grid-line | layoutGridLine | 设置或获取用于渲染元素文本内容的网格线值。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
layout-grid-type | layoutGridType | 设置或获取用于渲染元素文本内容的网格类型。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-break | lineBreak | 设置或获取日本文本的换行规则。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
page-break-after | pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
page-break-before | pageBreakBefore | 设置或获取表明对象前发生换页的字符串。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
scrollbar-3dlight-color | scrollbar3dLightColor | 设置或获取滚动条上滚动按钮和滚动滑块的左上颜色。
scrollbar-arrow-color | scrollbarArrowColor | 设置或获取滚动箭头标识的颜色。
scrollbar-base-color | scrollbarBaseColor | 设置或获取滚动条的主要颜色，其中包含滚动按钮和滚动滑块。
scrollbar-darkshadow-color | scrollbarDarkShadowColor | 设置或获取滚动条上滑槽的颜色。
scrollbar-face-color | scrollbarFaceColor | 设置或获取滚动条和滚动条的滚动箭头的颜色。
scrollbar-highlight-color | scrollbarHighlightColor | 设置或获取滚动框和滚动条滚动箭头的左上边缘颜色。
scrollbar-shadow-color | scrollbarShadowColor | 设置或获取滚动框和滚动条滚动箭头的右下边缘颜色。
scrollbar-track-color | scrollbarTrackColor | 设置或获取滚动条轨迹元素的颜色。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-align | textAlign | 设置或获取对象中的文本是左对齐、右对齐、居中对齐还是两端对齐。
text-align-last | textAlignLast | 设置或获取如何排列对象的最后一行或仅有的一行。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-indent | textIndent | 设置或获取对象中文本的缩进。
text-justify | textJustify | 设置或获取对象内的文本所使用的对齐类型。
text-kashida-space | textKashidaSpace | 设置或获取对象内文本对齐行时所使用空白扩展的 kashida 扩展的倍率。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-break | wordBreak | 设置或获取单词内的换行行为，特别是对象中出现多语言的情况。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是块元素。

此元素需要关闭标签。

示例

下面的例子使用了两个 DIV 元素对两段文字进行了不同的排列。

<DIV>
此文本代表一段。
</DIV>
<DIV ALIGN=CENTER>
此文本代表另外一段，其中文本居中显示。
</DIV>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 和万维网协会(W3C)文档对象模型 (DOM) 级别 1 非 Microsoft 链接 中。


DL 元素 | dl

DL 元素 | dl 对象

引起定义列表。

成员表

下面的表格列出了 dl 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
blockDirection | 获取表明块元素内容的绕排方向的值，是由左至右，还是由右至左。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
COMPACT Microsoft® Internet Explorer 6 新增 | compact | 设置或获取表明列表是否应该通过删除列表对象间的额外空白来压缩的 Boolean 值。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onlayoutcomplete | 当打印或打印预览版面处理完成用来自于源文档的内容填充当前 LayoutRect 对象时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
:first-letter | :first-letter | 在对象的第一个字符上应用一个或多个样式。
:first-line | :first-line | 在对象的第一行上应用一个或多个样式。
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-char | layoutGridChar | 设置或获取用于渲染元素文本内容的字符网格大小。
layout-grid-line | layoutGridLine | 设置或获取用于渲染元素文本内容的网格线值。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
layout-grid-type | layoutGridType | 设置或获取用于渲染元素文本内容的网格类型。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-break | lineBreak | 设置或获取日本文本的换行规则。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
page-break-after | pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
page-break-before | pageBreakBefore | 设置或获取表明对象前发生换页的字符串。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-align | textAlign | 设置或获取对象中的文本是左对齐、右对齐、居中对齐还是两端对齐。
text-align-last | textAlignLast | 设置或获取如何排列对象的最后一行或仅有的一行。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-indent | textIndent | 设置或获取对象中文本的缩进。
text-justify | textJustify | 设置或获取对象内的文本所使用的对齐类型。
text-kashida-space | textKashidaSpace | 设置或获取对象内文本对齐行时所使用空白扩展的 kashida 扩展的倍率。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-break | wordBreak | 设置或获取单词内的换行行为，特别是对象中出现多语言的情况。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是块元素。

此元素需要关闭标签。

示例

下面的例子使用 DL 元素和 DD 及 DT 元素创建了定义列表。

<DL>
<DT>猫
<DD>一种可供饲养的小宠物。
<DT>蜥蜴
<DD>通常可在干燥区域发现的爬行动物。
</DL>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 和万维网协会(W3C)文档对象模型 (DOM) 级别 1 非 Microsoft 链接 中。


document

document 对象

代表给定浏览器窗口中的 HTML 文档。

成员表

下面的表格列出了 document 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

属性

属性 | 描述
activeElement | 获取当父 document 拥有焦点时获得焦点的对象。
alinkColor | 设置或获取元素中所有激活链接的颜色。
bgColor | 不赞成。设置或获取表明对象后面的背景颜色的值。
charset | 设置或获取用于解码对象的字符集。
cookie | 设置或获取 cookie 的字符串值。
defaultCharset | 从当前的区域语言中获取默认字符集。
designMode | 设置或获取表明文档是否可被编辑的值。
dir | 设置或获取表明对象的阅读顺序的值。
doctype Microsoft® Internet Explorer 6 新增 | 获取与当前文档关联的文档类型声明。
documentElement | 获取对文档根结点的引用。
domain | 设置或获取文档的安全域名。
expando | 设置或获取表明是否可对象内创建任意变量的值。
fgColor | 设置或获取文档的前景(文本)颜色。
fileCreatedDate | 获取文件创建的日期。
fileModifiedDate | 获取文件上次修改的日期。
fileSize | 获取文件大小。
implementation Microsoft® Internet Explorer 6 新增 | 获取当前文档的 implementation 对象。
lastModified | 获取页面上次修改的日期，若页面提供的话。
linkColor | 设置或获取对象文档链接的颜色。
parentWindow | 获取容器对象所在窗口的引用。
protocol | 设置或获取 URL 的协议部分。
readyState | 获取表明对象当前状态的值。
referrer | 获取将用户引入当前页面的位置 URL。
uniqueID | 获取为对象自动生成的唯一标识符。
URL | 设置或获取当前文档的 URL。
URLUnencoded | 获取文档的 URL，去除所有字符编码。
vlinkColor | 设置或获取用户已访问过的链接颜色。
XMLDocument | 获取对由对象引出的的 XML 文档对象模型(DOM)的引用。
XSLDocument | 获取对 XSL 文档的顶层结点的引用。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
anchors | 获取所有带有 name 和/或 id 属性的 a 对象的集合。此集合中的对象以 HTML 源顺序排列。
applets | 获取文档中所有 applet 对象的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
embeds | 获取文档中所有 embed 对象的集合。
forms | 获取以源顺序排列的文档中所有 form 对象的集合。
frames | 获取给定文档定义或与给定窗口关联的文档定义的所有 window 对象的集合。
images | 获取以源顺序排列的文档中所有 img 对象的集合。
links | 获取文档中所有指定了 HREF 属性的 a 对象和所有 area 对象的集合。
namespaces | 获取 namespace 对象的集合。
scripts | 获取文档中所有 script 对象的集合。
styleSheets | 获取代表与文档中每个 link 或 style 对象的实例相对应的样式表的 styleSheet 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectionchange | 当文档的选中状态改变时触发。
onstop | 当用户单击停止按钮或离开 Web 页面时触发。

方法

方法 | 描述
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
clear | 目前尚未支持。
close | 关闭输出流并强制将数据发送到显示。
createAttribute Microsoft® Internet Explorer 6 新增 | 以指定名称创建 attribute 对象。
createComment Microsoft® Internet Explorer 6 新增 | 以指定数据创建 comment 对象。
createDocumentFragment | 创建一个新文档。
createElement | 为指定标签创建一个元素的实例。
createEventObject | 生成当使用 fireEvent 方法时用于传递事件相关信息的 event 对象。
createStyleSheet | 为文档创建样式表。
createTextNode | 从指定值中创建文本字符串。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
elementFromPoint | 返回指定 x 和 y 坐标的元素。
execCommand | 在当前文档、当前选中区或给定范围上执行命令。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getElementById | 获取对 ID 标签属性为指定值的第一个对象的引用。
getElementsByName | 根据 NAME 标签属性的值获取对象的集合。
getElementsByTagName | 获取基于指定元素名称的对象集合。
hasFocus | 获取表明对象目前是否拥有焦点的值。
mergeAttributes | 复制所有读/写标签属性到指定元素。
open | 此方法以两种方式工作。该方法打开一个文档用于收集 write 和 writeln 方法的输出。在这种情况下，只使用前两个参数 url 和 name。若指定了附加参数，此方法将打开一个窗口，这与 window 对象的 window.open 方法相同。
queryCommandEnabled | 返回表明指定命令是否可于给定文档当前状态下使用 execCommand 命令成功执行的 Boolean 值。
queryCommandIndeterm | 返回表明指定命令是否处于模糊状态的 Boolean 值。
queryCommandState | 返回表明命令当前状态的 Boolean 值。
queryCommandSupported | 返回表明当前命令是否在当前区域上支持的 Boolean 值。
queryCommandValue | 返回文档、范围或当前选中区对于给定命令的当前值。
recalc | 重新计算当前文档中的全部动态属性。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
setActive | 设置对象为当前对象而不将对象置为焦点。
write | 在指定窗口的文档中写入一个或多个 HTML 表达式。
writeln | 在指定窗口的文档中写入一个或多个 HTML 表达式，后面追加一个换行符。

对象

元素 | 对象 | 描述
BODY | body | 指定文档主体的开始和结束。
implementation Microsoft® Internet Explorer 6 新增 | 包含了关于对象支持的模块信息。
location | 包含关于当前 URL 的信息。
selection | 代表了当前激活选中区，即高亮文本块，和/或文当中用户可执行某些操作的其它元素。
TITLE | title | 包含文档的标题。

样式

样式属性 | 描述
compatMode Microsoft® Internet Explorer 6 新增 | 设置或获取表明此对象是否应用标准兼容模式的值。

注释

此对象在 Microsoft® Internet Explorer 3.0 的脚本中可用。

使用 document 对象可以对 HTML 文档进行检查、修改或添加内容，并处理该文档内部的事件。在 Web 页面上，document 对象可通过 window 对象的 document 属性引用，或者直接引用。

document 对象在主文档的任意时间均可用，但是对于目前正在轻便动态 HTML(DHTML) 行为中使用的 HTML 组件(HTC)来说却不可用。这是因为轻便的行为仅当在 HTC 文件中不使用 document 对象时才可被定义。结果将使得轻便的行为比常规行为运行更加快速和有效率。但是，轻便的 DHTML 行为可以与常规的 DHTML 行为一样的方法访问主文档的 document 对象。

ondocumentready 事件将通知 DHTML 行为包含该行为的主 Web 页面的 document 对象可用。只要 ondocumentready 被触发，行为就可以开始处理主 document 属性。

行为中的脚本可以在 HTC 或主文档中引用 document 对象。如果要在 HTC 文件中编码脚本，应使用 element.document 来引用主文档的 document 对象。

示例

下面的例子使用了 document 对象检查文档标题并在消息框中显示该标题(如果非空)。

if (document.title!="")
alert("标题为 " + document.title)

下面的例子演示了在浏览器的状态栏上显示鼠标当前位置的事件句柄函数，所得位置相对于文档的左上角。

<HTML>
<HEAD><TITLE>报告鼠标移动</TITLE>
<SCRIPT LANGUAGE="JScript">
function reportMove()
{
window.status = "X=" + window.event.x + " Y=" + window.event.y;
}
</SCRIPT>
<BODY onmousemove="reportMove()">
<H1>欢迎!</H1>
</BODY>
</HTML>

标准信息

没有应用于此对象的公共标准。

应用到

CUSTOM, window


DT 元素 | dt

DT 元素 | dt 对象

在定义列表中表明定义术语。

成员表

下面的表格列出了 dt 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
blockDirection | 获取表明块元素内容的绕排方向的值，是由左至右，还是由右至左。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
NOWRAP | noWrap | 设置或获取浏览器是否自动执行换行。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlayoutcomplete | 当打印或打印预览版面处理完成用来自于源文档的内容填充当前 LayoutRect 对象时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
:first-letter | :first-letter | 在对象的第一个字符上应用一个或多个样式。
:first-line | :first-line | 在对象的第一行上应用一个或多个样式。
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-char | layoutGridChar | 设置或获取用于渲染元素文本内容的字符网格大小。
layout-grid-line | layoutGridLine | 设置或获取用于渲染元素文本内容的网格线值。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
layout-grid-type | layoutGridType | 设置或获取用于渲染元素文本内容的网格类型。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-break | lineBreak | 设置或获取日本文本的换行规则。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
page-break-after | pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
page-break-before | pageBreakBefore | 设置或获取表明对象前发生换页的字符串。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-align | textAlign | 设置或获取对象中的文本是左对齐、右对齐、居中对齐还是两端对齐。
text-align-last | textAlignLast | 设置或获取如何排列对象的最后一行或仅有的一行。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-indent | textIndent | 设置或获取对象中文本的缩进。
text-justify | textJustify | 设置或获取对象内的文本所使用的对齐类型。
text-kashida-space | textKashidaSpace | 设置或获取对象内文本对齐行时所使用空白扩展的 kashida 扩展的倍率。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-break | wordBreak | 设置或获取单词内的换行行为，特别是对象中出现多语言的情况。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是块元素。

此元素需要关闭标签。

示例

下面的例子使用了 DT 元素和 DD、DL 元素创建定义列表。

<DL>
<DT>猫
<DD>一种可供饲养的小宠物。
<DT>蜥蜴
<DD>通常可在干燥区域发现的爬行动物。
</DL>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。


EM 元素 | em

EM 元素 | em 对象

强调文本，通常以斜体渲染。

成员表

下面的表格列出了 em 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 目前尚未实现。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是内嵌元素。

此元素需要关闭标签。

示例

下面的例子使用了 EM 元素来强调文本。

<EM>此文本将以某种方式强调(最可能为斜体)。</EM>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。

参看

acronym, address, cite, i


EMBED 元素 | embed

EMBED 元素 | embed 对象

允许嵌入任何文档。

成员表

下面的表格列出了 embed 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ALIGN | align | 设置或获取对象针对其邻接文本如何排列。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
HEIGHT | height | 设置或获取对象的高度。
hidden | 设置或获取表明嵌入对象是否可见的值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
NAME | name | 设置或获取对象的名称。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
palette | 获取用于嵌入文档的调色板。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
PLUGINSPAGE | pluginspage | 获取用于查看嵌入文档的插件 URL。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
SRC | src | 设置或获取要由对象装入的 URL。
STYLE | 为该设置元素设置内嵌样式。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNITS | units | 设置或获取 embed 对象的高度和宽度单位。
UNSELECTABLE | 指定该元素不可被选中。
WIDTH | width | 设置或获取对象的宽度。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onload | 在浏览器完成对象的装载后立即触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onscroll | 当用户滚动对象的滚动条时触发。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeExpression | 从指定属性中删除表达式。
replaceAdjacentText | 替换元素的邻接文本。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
scrollbar-3dlight-color | scrollbar3dLightColor | 设置或获取滚动条上滚动按钮和滚动滑块的左上颜色。
scrollbar-arrow-color | scrollbarArrowColor | 设置或获取滚动箭头标识的颜色。
scrollbar-base-color | scrollbarBaseColor | 设置或获取滚动条的主要颜色，其中包含滚动按钮和滚动滑块。
scrollbar-darkshadow-color | scrollbarDarkShadowColor | 设置或获取滚动条上滑槽的颜色。
scrollbar-face-color | scrollbarFaceColor | 设置或获取滚动条和滚动条的滚动箭头的颜色。
scrollbar-highlight-color | scrollbarHighlightColor | 设置或获取滚动框和滚动条滚动箭头的左上边缘颜色。
scrollbar-shadow-color | scrollbarShadowColor | 设置或获取滚动框和滚动条滚动箭头的右下边缘颜色。
scrollbar-track-color | scrollbarTrackColor | 设置或获取滚动条轨迹元素的颜色。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
zoom | zoom | 设置或获取对象的放大比例。

注释

EMBED 元素必须出现在文档的 BODY 元素内。

用户需要在计算机上安装了能够查看此种数据的应用程序。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是一个内嵌元素。

此元素需要关闭标签。

标准信息

此对象是对 HTML 非 Microsoft 链接 的扩展。


event

event 对象

代表事件状态，如事件发生的元素，键盘状态，鼠标位置和鼠标按钮状态。

成员表

下面的表格列出了 event 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

属性

属性 | 描述
Abstract Microsoft® Internet Explorer 6 新增 | 使用 event 对象获取高级流重定向器(ASX)文件中项目横幅的 Abstract 内容。
altKey | 设置或获取 Alt 键的状态。
altLeft | 设置或获取左 Alt 键的状态。
Banner Microsoft® Internet Explorer 6 新增 | 使用 event 对象获取高级流重定向器(ASX)文件中项目的 Banner 内容。
button | 设置或获取用户所按的鼠标按钮。
cancelBubble | 设置或获取当前事件是否要在事件句柄中向上冒泡。
clientX | 设置或获取鼠标指针位置相对于窗口客户区域的 x 坐标，其中客户区域不包括窗口自身的控件和滚动条。
clientY | 设置或获取鼠标指针位置相对于窗口客户区域的 y 坐标，其中客户区域不包括窗口自身的控件和滚动条。
contentOverflow | 获取表明文档处理当前 LayoutRect 对象后是否包含附加的内容。
ctrlKey | 设置或获取 Ctrl 键的状态。
ctrlLeft | 设置或获取左 Ctrl 键的状态。
dataFld | 设置或获取 oncellchange 事件影响的数据列。
fromElement | 设置或获取事件发生时激活或鼠标将要离开的对象。
keyCode | 设置或获取与导致事件的按键关联的 Unicode 按键代码。
MoreInfo Microsoft® Internet Explorer 6 新增 | 通过 event 对象获取高级流重定向器(ASX)文件中项目横幅的 MoreInfo 内容。
nextPage | 获取打印模板中下页的位置。
offsetX | 设置或获取鼠标指针位置相对于触发事件的对象的 x 坐标。
offsetY | 设置或获取鼠标指针位置相对于触发事件的对象的 y 坐标。
propertyName | 设置或获取对象上发生更改的属性名称。
qualifier | 设置或获取由数据源对象提供的数据成员的名称。
reason | 设置或获取数据源对象的数据传输结果。
recordset | 从数据源对象设置或获取对默认数据集的引用。
repeat | 获取 onkeydown 事件是否正在重复。
returnValue | 设置或获取事件的返回值。
saveType | 当 oncontentsave 触发时获取剪贴板类型。
screenX | 设置或获取获取鼠标指针位置相对于用户屏幕的 x 坐标。
screenY | 设置或获取鼠标指针位置相对于用户屏幕的 y 坐标。
shiftKey | 设置或获取 Shift 键的状态。
shiftLeft | 设置或获取左 Shift 键的状态。
srcElement | 设置或获取触发事件的对象。
srcFilter | 设置或获取触发 onfilterchange 事件的滤镜对象。
srcUrn | 获取触发事件的行为的统一资源名称(URN)。
toElement | 设置或获取用户要将鼠标指针移动指向的对象的引用。
type | 从 event 对象中获取事件名称。
wheelDelta Microsoft® Internet Explorer 6 新增 | 设置或获取滚轮按钮滚动的距离和方向。
x | 设置或获取鼠标指针位置相对于父文档的 x 像素坐标。
y | 设置或获取鼠标指针位置相对于父文档的 y 像素坐标。

集合

集合 | 描述
bookmarks | 返回捆绑到当前事件所影响的行上的 ActiveX® 数据对象(ADO)书签的集合。
boundElements | 返回页面上所有绑定到给定数据集的所有元素的集合。

对象

对象 | 描述
dataTransfer | 提供了对于预定义的剪贴板格式的访问，以便在拖曳操作中使用。

注释

event 对象仅在事件中可用──这意味着，你可以在事件句柄中使用该对象，但不能在其它代码中使用。

尽管所有事件属性都可通过所有的 event 对象访问，但是在某些事件中某些属性可能无意义。例如，fromElement 和 toElement 属性仅当处理 onmouseover 和 onmouseout 事件时有意义。

在 Microsoft Visual Basic® 脚本版本(VBScript)中，你必须通过 window 对象访问 event 对象。

此对象在 Microsoft® Internet Explorer 4.0 的脚本中可用。

示例

下面的例子使用了 event 对象来决定用户单击的位置是否在链接上，并且避免在 SHIFT 键按下时导航到链接。

<HTML>
<HEAD><TITLE>取消链接</TITLE>
<SCRIPT LANGUAGE="JScript">
function cancelLink() {
if (window.event.srcElement.tagName == "A" && window.event.shiftKey)
window.event.returnValue = false;
}
</SCRIPT>
<BODY onclick="cancelLink()">

下面的例子将在浏览器的状态窗口上显示当前鼠标位置。

<BODY onmousemove="window.status = 'X=' +  window.event.x + ' Y='
+ window.event.y">

标准信息

此对象定义在万维网协会(W3C)文档对象模型(DOM) 级别 2 非 Microsoft 链接 中。

应用到

window


external

external 对象

允许访问由 Microsoft® Internet Explorer 浏览器组件宿主应用程序提供的附加对象模型。

成员表

下面的表格列出了 external 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

属性

属性 | 描述
menuArguments | 返回快捷菜单执行所在的窗口对象。

方法

方法 | 描述
AddChannel | 显示一个对话框，允许用户输入指定的频道，或当已安装时更改频道的 URL。
AddDesktopComponent | 向 Microsoft® 活动桌面® 中添加 Web 站点或图像。
AddFavorite | 出现一个对话框提示用户将指定的 URL 添加到收藏夹内。
AutoCompleteSaveForm | 将指定表单保存到自动完成数据存储中。
AutoScan | 通过完成模板传递指定查询试图连接到 Web 服务器。
ImportExportFavorites | 处理导入和导出 Microsoft® Internet Explorer® 收藏夹。
IsSubscribed | 获取表明客户是否订阅了给定频道的值。
NavigateAndFind | 前往指定的 URL 并选中指定文本。
ShowBrowserUI | 打开指定的浏览器对话框。

注释

在宿主程序的情况下，对象模式是由包含 Internet Explorer 组件的应用程序(参看宿主应用程序的文档)定义的。要获得更多关于如何实现对动态 HTML(DHTML)对象模式的扩展的信息，请参看浏览器。

此对象在 HTML 应用程序中不支持。

此对象在 Microsoft® Internet Explorer 4.0 的脚本中可用。

标准信息

没有应用于此对象的公共标准。

应用到

window


FIELDSET 元素 | fieldSet

FIELDSET 元素 | fieldSet 对象

在字段集包含的文本和其它元素外面绘制一个方框。

成员表

下面的表格列出了 fieldSet 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ALIGN | align | 设置或获取对象针对其邻接文本如何排列。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
blockDirection | 获取表明块元素内容的绕排方向的值，是由左至右，还是由右至左。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DATAFLD | dataFld | 设置或获取由 dataSrc 属性指定的绑定到指定对象的给定数据源的字段。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
form | 获取对象所在表单的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。
filters | 获取应用于对象的滤镜集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfilterchange | 当可视滤镜更改状态或完成转换时触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
:first-letter | :first-letter | 在对象的第一个字符上应用一个或多个样式。
:first-line | :first-line | 在对象的第一行上应用一个或多个样式。
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-char | layoutGridChar | 设置或获取用于渲染元素文本内容的字符网格大小。
layout-grid-line | layoutGridLine | 设置或获取用于渲染元素文本内容的网格线值。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
layout-grid-type | layoutGridType | 设置或获取用于渲染元素文本内容的网格类型。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-break | lineBreak | 设置或获取日本文本的换行规则。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
page-break-after | pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
page-break-before | pageBreakBefore | 设置或获取表明对象前发生换页的字符串。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-align | textAlign | 设置或获取对象中的文本是左对齐、右对齐、居中对齐还是两端对齐。
text-align-last | textAlignLast | 设置或获取如何排列对象的最后一行或仅有的一行。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-indent | textIndent | 设置或获取对象中文本的缩进。
text-justify | textJustify | 设置或获取对象内的文本所使用的对齐类型。
text-kashida-space | textKashidaSpace | 设置或获取对象内文本对齐行时所使用空白扩展的 kashida 扩展的倍率。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-break | wordBreak | 设置或获取单词内的换行行为，特别是对象中出现多语言的情况。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素用于对表单中的元素进行分组并在文档中区别标出文本。

FIELDSET 元素与窗口框架的行为有些相似。因为窗口框架没有滚动条，为 overflow 属性指定为 scroll 将导致渲染的结果与该值为 hidden 相同。

此元素在 Microsoft® Internet Explorer 4.0 HTML 和的脚本中可用。

此元素是块元素。

此元素需要关闭标签。

标准信息

此对象定义在 HTML 4.0 非 Microsoft 链接 和万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。


FONT 元素 | font

FONT 元素 | font 对象

指定用于渲染所包含文本的新字体、大小和颜色。

成员表

下面的表格列出了 font 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
COLOR | color | 设置或获取该对象要使用的颜色。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
FACE | face | 设置或获取当前的字样家族。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
SIZE | size | 设置或获取该对象的字体大小。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlayoutcomplete | 当打印或打印预览版面处理完成用来自于源文档的内容填充当前 LayoutRect 对象时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是内嵌元素。

此元素需要关闭标签。

标准信息

此对象不是 HTML 非 Microsoft 链接 所建议的，但定义在万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。


FORM 元素 | form

FORM 元素 | form 对象

指定所包含控件在表单中起作用。

成员表

下面的表格列出了 form 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCEPTCHARSET | acceptCharset | 设置或获取处理表单的服务器必须接受的输入数据所用的字符编码方式列表。
ACTION | action | 设置或获取表单内容要发送处理的 URL。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
AUTOCOMPLETE | autocomplete | 设置或获取对象的自动完成状态。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
blockDirection | 获取表明块元素内容的绕排方向的值，是由左至右，还是由右至左。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
DISABLED | disabled | 设置或获取控件的状态。
ENCTYPE | encoding | 设置或获取表单的 MIME 编码。
ENCTYPE | enctype | 设置或获取表单的多用途网际邮件扩展(MIME)编码。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
length | 设置或获取集合中对象的数目。
METHOD | method | 设置或获取如何将表单数据发送到服务器。
NAME | name | 设置或获取对象的名称。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TARGET | target | 设置或获取目标内容要显示于哪个窗口或框架。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。
elements | 获取以源顺序排列的给定表单中所有控件的集合。input type=image 对象不在此集合内。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onreset | 当用户重置表单时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
onsubmit | 当表单将要被提交时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
item | 从 all 集合或各种其它集合中获取对象。
mergeAttributes | 复制所有读/写标签属性到指定元素。
namedItem Microsoft® Internet Explorer 6 新增 | 从指定集合中获取对象或集合。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
reset | 模拟单击对所调用表单重置按钮的单击。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
submit | 提交表单。
swapNode | 交换文档层次中两个对象的位置。
urns | 获取附加了指定行为的全部对象的集合。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
:first-letter | :first-letter | 在对象的第一个字符上应用一个或多个样式。
:first-line | :first-line | 在对象的第一行上应用一个或多个样式。
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-char | layoutGridChar | 设置或获取用于渲染元素文本内容的字符网格大小。
layout-grid-line | layoutGridLine | 设置或获取用于渲染元素文本内容的网格线值。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
layout-grid-type | layoutGridType | 设置或获取用于渲染元素文本内容的网格类型。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-break | lineBreak | 设置或获取日本文本的换行规则。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
page-break-after | pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
page-break-before | pageBreakBefore | 设置或获取表明对象前发生换页的字符串。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-align | textAlign | 设置或获取对象中的文本是左对齐、右对齐、居中对齐还是两端对齐。
text-align-last | textAlignLast | 设置或获取如何排列对象的最后一行或仅有的一行。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-indent | textIndent | 设置或获取对象中文本的缩进。
text-justify | textJustify | 设置或获取对象内的文本所使用的对齐类型。
text-kashida-space | textKashidaSpace | 设置或获取对象内文本对齐行时所使用空白扩展的 kashida 扩展的倍率。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-break | wordBreak | 设置或获取单词内的换行行为，特别是对象中出现多语言的情况。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

表单允许客户端的用户以标准格式向服务器提交数据。表单的创建者为了收集所需数据，使用了各种控件设计表单如 INPUT 或 SELECT。查看表单的用户只需填充数据并单击提交按钮即可向服务器发送数据。服务器上的脚本会处理这些数据。

如果数据要发送出去的话，那么必须定义每个控件元素的 NAME 标签属性。表单中的元素可使用 name 属性或 id 属性，或通过 elements 集合引用。

如果焦点位于表单中的控件时用户按 Esc 键，该控件的值将会恢复到上次的值。如果用户再次按 Esc 键，整个表单都会重置。如果焦点位于表单中但并不在某个控件时用户按了 Esc 键，整个表单都会重置。

如果表单仅包含一个文本框时用户按下回车键，onsubmit 事件将触发。如果表单有 INPUT type=submit 元素，该元素将会变为带有黑色边框，这意味着用户按下回车键即可提交表单。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 和脚本中可用。

此元素是块元素。

此元素需要关闭标签。

示例

下面的例子使用 FORM 元素创建了一个简单的表单，其中包含一个用于输入用户姓名的文本框和用于选择喜爱冰淇淋口味的选择框。当用户单击提交按钮时，表单将把数据发送到 ACTION 标签属性列出的 URL。METHOD 标签属性的值决定了将服务器发送到服务器的方式。

<HTML>
<FORM ACTION="http://example.microsoft.com/sample.html" METHOD="POST">
输入你的姓名: <INPUT NAME="FName"><BR>
喜爱的冰淇淋口味:
<SELECT NAME="Flavor">
<OPTION VALUE="Chocolate">巧克力
<OPTION VALUE="Strawberry">草莓
<OPTION VALUE="Vanilla" SELECTED>香草
</SELECT>
<P><INPUT TYPE=SUBMIT>
</FORM>
</HTML>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 和万维网协会(W3C)文档对象模型 (DOM) 级别 1 非 Microsoft 链接 中。


FRAME 元素 | frame

FRAME 元素 | frame 对象

在 FRAMESET 元素内指定单个框架。

成员表

下面的表格列出了 frame 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ALLOWTRANSPARENCY | allowTransparency | 设置或获取对象是否可为透明。
APPLICATION | APPLICATION | 表明对象的内容是否为 HTML 应用程序(HTA)，以便免除浏览器安全模式。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BORDERCOLOR | borderColor | 设置或获取对象的边框颜色。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
contentWindow | 获取指定的 frame 或 iframe 的 window 对象。
DATAFLD | dataFld | 设置或获取由 dataSrc 属性指定的绑定到指定对象的给定数据源的字段。
DATASRC | dataSrc | 设置或获取用于数据绑定的数据源。
disabled | 获取表明用户是否可与该对象交互的值。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
FRAMEBORDER | frameBorder | 设置或获取是否显示框架的边框。
HEIGHT | height | 设置或获取对象的高度。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
longDesc Microsoft® Internet Explorer 6 新增 | 设置或获取对象长描述的统一资源标识符(URI)。
MARGINHEIGHT | marginHeight | 设置或获取显示框架中文本之前的上下边距高度。
MARGINWIDTH | marginWidth | 设置或获取显示框架中文本之前的左右边距宽度。
NAME | name | 设置或获取框架的名称。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
NORESIZE | noResize | 设置或获取用户是否可缩放框架。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取表明对象当前状态的值。
recordNumber | 获取数据集中生成对象的原始记录。
scopeName | 获取为该元素定义的命名空间。
SCROLLING | scrolling | 设置或获取框架是否可被滚动。
SECURITY Microsoft® Internet Explorer 6 新增 | SECURITY | 获取表明 frame 或 iframe 的源文件是否应用了特定的安全限制的值。
self | 获取对当前窗口或框架的引用。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
SRC | src | 设置或获取要由对象装入的 URL。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。
WIDTH | width | 设置或获取对象的宽度。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onafterupdate | 当成功更新数据源对象中的关联对象后在数据绑定对象上触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeupdate | 当成功更新数据源对象中的关联对象前在数据绑定对象上触发。
onblur | 在对象失去输入焦点时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
onerrorupdate | 更新数据源对象中的关联数据出错时在数据绑定对象上触发。
onfocus | 当对象获得焦点时触发。
onload | 在浏览器完成对象的装载后立即触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getElementsByTagName | 获取基于指定元素名称的对象集合。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
replaceAdjacentText | 替换元素的邻接文本。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
height | height | 设置或获取对象的高度。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
zoom | zoom | 设置或获取对象的放大比例。

注释

你可以通过 frame 对象所在页面的对象模型访问 frame 对象的属性(而不是其内容)。例如，访问 frame 对象的 border 样式的语法为：

sBorderValue = document.all.oFrame.style.border;

如果用户在框架中打开了 Web 文件夹后单击了 Web 文件夹中的内容，那么被单击的文件或文件夹将取代整个窗口。例如，假设页面包含两个框架，一个框架指向 http://www.microsoft.com 第二个框架指向网络驱动器。如果用户单击第二个框架中的文件或文件夹，该框架将活动整个窗口的控制，包括第一个框架。对于浏览器不能处理的文件类型，如 *.txt 文件，将会打开对应的应用程序窗口。

尽管 Web 文件夹是文件系统层次的一部分，但是该技术并不总是表示文件系统中的实际内容。一个典型的例子就是网络邻居。

Internet Explorer 5.5 支持 FRAME 的内容透明。如果想要为 FRAME 定义透明内容，则必须满足下列条件。

  1. 与 FRAME 元素一起使用的 ALLOWTRANSPARENCY 标签属性必须设置为 true。
  2. 在 FRAME 内容源文档，background-color 或 BODY 元素的 BGCOLOR 标签属性必须设置为 transparent。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 和脚本中可用。

此元素是一个块元素。

此元素不需要关闭标签。

示例

下面的例子使用了 FRAME 元素定义框架的属性，包括由框架装入的页面的位置。

<FRAME FRAMEBORDER=0 SCROLLING=NO SRC="sample.htm">

下面的例子演示了如何从位于同一框架集的框架中引用 FRAME2 中的 ID=sID 对象。

parent.frames.FRAME2.sID.innerText

标准信息

此对象定义在 HTML 4.0 非 Microsoft 链接 和万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。

参看

frameSet


FRAMESET 元素 | frameSet

FRAMESET 元素 | frameSet 对象

指定一个框架集，用于组织多个框架和嵌套框架集。

成员表

下面的表格列出了 frameSet 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BORDER | border | 设置或获取框架间的空间，包括 3D 边框。
BORDERCOLOR | borderColor | 设置或获取对象的边框颜色。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
COLS | cols | 设置或获取对象的框架宽度。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
FRAMEBORDER | frameBorder | 设置或获取是否显示框架的边框。
FRAMESPACING | frameSpacing | 设置或获取框架间附加空间总量。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
NAME | name | 设置或获取框架的名称。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
ROWS | rows | 设置或获取对象的框架高度。
scopeName | 获取为该元素定义的命名空间。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。
WIDTH | width | 设置或获取对象的宽度。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onafterprint | 对象所关联的文档打印或打印预览后立即在对象上触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeprint | 对象的关联文档打印或打印预览前在对象上触发。
onbeforeunload | 在页面将要被卸载前触发。
onblur | 在对象失去输入焦点时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
onfocus | 当对象获得焦点时触发。
onload | 在浏览器完成对象的装载后立即触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onunload | 在对象卸载前立即触发。

滤镜

滤镜属性 | 描述
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getElementsByTagName | 获取基于指定元素名称的对象集合。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-right | borderRight | 设置或获取对象右边框的属性。
border-top | borderTop | 设置或获取对象上边框的属性。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
height | height | 设置或获取对象的高度。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
zoom | zoom | 设置或获取对象的放大比例。

注释

FRAMESET 元素是 FRAME 元素的容器。HTML 文档可包含 FRAMESET 元素或 BODY 元素之一，而不能同时包含两者。

如果用户在框架中打开了 Web 文件夹后单击了 Web 文件夹中的内容，那么被单击的文件或文件夹将取代整个窗口。例如，假设页面包含两个框架，一个框架指向 http://www.microsoft.com 第二个框架指向网络驱动器。如果用户单击第二个框架中的文件或文件夹，该框架将活动整个窗口的控制，包括第一个框架。对于浏览器不能处理的文件类型，如 *.txt 文件，将会打开对应的应用程序窗口。

尽管 Web 文件夹是文件系统层次的一部分，但是该技术并不总是表示文件系统中的实际内容。一个典型的例子就是网络邻居。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是一个内嵌元素。

此元素需要关闭标签。

示例

下面的例子使用了 FRAMESET 元素来定义页面中的三列矩形。

<FRAMESET COLS="25%, 50%, *">
<FRAME SRC="contents.htm">
<FRAME SRC="info.htm">
<FRAME SCROLLING="NO" SRC="graphic.htm">
</FRAMESET>

标准信息

此对象定义在 HTML 4.0 非 Microsoft 链接 和万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。

参看

frame


HEAD 元素 | head

HEAD 元素 | head 对象

提供了关于文档的无序信息集合。

成员表

下面的表格列出了 head 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
disabled | 获取表明用户是否可与该对象交互的值。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
ID | id | 获取标识对象的字符串。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
PROFILE Microsoft® Internet Explorer 6 新增 | profile | 设置或获取对象的属性和及这些属性的合法值所定义的一个或多个 URI。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
uniqueID | 获取为对象自动生成的唯一标识符。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onlayoutcomplete | 当打印或打印预览版面处理完成用来自于源文档的内容填充当前 LayoutRect 对象时触发。
onreadystatechange | 当对象状态变更时触发。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
clearAttributes | 从对象中删除全部标签属性和值。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getElementsByTagName | 获取基于指定元素名称的对象集合。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertBefore | 在文档层次中插入元素作为父对象的子结点。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
swapNode | 交换文档层次中两个对象的位置。

样式

样式标签属性 | 样式属性 | 描述
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
behavior | behavior | 设置或获取 DHTML 行为的位置。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
zoom | zoom | 设置或获取对象的放大比例。

注释

HEAD 元素提供了不影响文档渲染效果但对于浏览器可能非常有用的信息。此元素内可出现下列标签：

  • BASE
  • BASEFONT
  • BGSOUND
  • LINK
  • META
  • nextID
  • SCRIPT
  • STYLE
  • TITLE

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素不会被渲染。

此元素需要关闭标签。

示例

下面的例子使用了 HEAD 元素创建了文档标题。

<HEAD>
<TITLE>一个简单文档</TITLE>
</HEAD>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。


history

history 对象

包含了用户已浏览的 URL 的信息。

成员表

下面的表格列出了 history 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

属性

属性 | 描述
length | 获取历史列表中的元素数目。

方法

方法 | 描述
back | 从历史列表中装入前一个 URL。
forward | 从历史列表中装入下一个 URL。
go | 从历史列表中装入 URL。

注释

为安全起见，history 对象并不给出浏览器历史的实际 URL。该对象只提供了通过 back, forward 和 go 方法在浏览器历史中导航的功能。浏览器历史中的特定文档可以由与当前页面相对的索引值代表。例如，指定 -1 作为 go 方法的参数和单击“后退”按钮一样。

此对象在 Microsoft® Internet Explorer 3.0 的脚本中可用。

标准信息

没有应用于此对象的公共标准。

应用到

window


Hn 元素 | hn

Hn 元素 | hn 对象

以标题样式渲染文本。

成员表

下面的表格列出了 hn 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ALIGN | align | 设置或获取对象相对于显示或表格的排列方式。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
blockDirection | 获取表明块元素内容的绕排方向的值，是由左至右，还是由右至左。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
:first-letter | :first-letter | 在对象的第一个字符上应用一个或多个样式。
:first-line | :first-line | 在对象的第一行上应用一个或多个样式。
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-char | layoutGridChar | 设置或获取用于渲染元素文本内容的字符网格大小。
layout-grid-line | layoutGridLine | 设置或获取用于渲染元素文本内容的网格线值。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
layout-grid-type | layoutGridType | 设置或获取用于渲染元素文本内容的网格类型。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-break | lineBreak | 设置或获取日本文本的换行规则。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
page-break-after | pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
page-break-before | pageBreakBefore | 设置或获取表明对象前发生换页的字符串。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-align | textAlign | 设置或获取对象中的文本是左对齐、右对齐、居中对齐还是两端对齐。
text-align-last | textAlignLast | 设置或获取如何排列对象的最后一行或仅有的一行。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-indent | textIndent | 设置或获取对象中文本的缩进。
text-justify | textJustify | 设置或获取对象内的文本所使用的对齐类型。
text-kashida-space | textKashidaSpace | 设置或获取对象内文本对齐行时所使用空白扩展的 kashida 扩展的倍率。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-break | wordBreak | 设置或获取单词内的换行行为，特别是对象中出现多语言的情况。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
zoom | zoom | 设置或获取对象的放大比例。

注释

使用 H1 到 H6 来指定不同的标题大小和样式。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是块元素。

此元素需要关闭标签。

示例

下面的例子使用了 H1 元素为所含文本应用了级别 1 的标题样式。

<H1>欢迎使用 Internet Explorer!</H1>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 和万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。


HR 元素 | hr

HR 元素 | hr 对象

绘制水平线。

成员表

下面的表格列出了 hr 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ALIGN | align | 设置或获取对象相对于显示或表格的排列方式。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
COLOR | color | 设置或获取该对象要使用的颜色。
disabled | 获取表明用户是否可与该对象交互的值。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
NOSHADE | noShade | 设置或获取水平线是否要绘制 3D 阴影。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
SIZE | size | 设置或获取 hr 对象的高度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlayoutcomplete | 当打印或打印预览版面处理完成用来自于源文档的内容填充当前 LayoutRect 对象时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeExpression | 从指定属性中删除表达式。
replaceAdjacentText | 替换元素的邻接文本。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
display | display | 设置或获取对象是否要渲染。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-char | layoutGridChar | 设置或获取用于渲染元素文本内容的字符网格大小。
layout-grid-line | layoutGridLine | 设置或获取用于渲染元素文本内容的网格线值。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
layout-grid-type | layoutGridType | 设置或获取用于渲染元素文本内容的网格类型。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
line-break | lineBreak | 设置或获取日本文本的换行规则。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-align | textAlign | 设置或获取对象中的文本是左对齐、右对齐、居中对齐还是两端对齐。
text-align-last | textAlignLast | 设置或获取如何排列对象的最后一行或仅有的一行。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-indent | textIndent | 设置或获取对象中文本的缩进。
text-justify | textJustify | 设置或获取对象内的文本所使用的对齐类型。
text-kashida-space | textKashidaSpace | 设置或获取对象内文本对齐行时所使用空白扩展的 kashida 扩展的倍率。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-break | wordBreak | 设置或获取单词内的换行行为，特别是对象中出现多语言的情况。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是块元素。

此元素不需要关闭标签。

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 和万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。


HTA:APPLICATION Element | HTA:APPLICATION

HTA:APPLICATION Element | HTA:APPLICATION Object

Internet Development Index

Enables an extended object model for building HTML Applications (HTA).

Members Table

The following table lists the members exposed by the HTA:APPLICATION object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
APPLICATIONNAME | applicationName | Sets or retrieves the name of the HTML Application (HTA).
BORDER | border | Sets or retrieves the type of window border for the HTML Application (HTA).
BORDERSTYLE | borderStyle | Sets or retrieves the style set for the content border within the HTML Application (HTA) window.
CAPTION | caption | Sets or retrieves a Boolean value that indicates whether the window is set to display a title bar or caption, for the HTML Application (HTA).
commandLine | Retrieves the argument used to launch the HTML Application (HTA).
CONTEXTMENU | contextMenu | Sets or retrieves whether the context menu is displayed when the right mouse button is clicked.
ICON | icon | Sets or retrieves the name and location of the icon specified in the HTML Application (HTA).
INNERBORDER | innerBorder | Sets or retrieves whether the inside 3-D border is displayed.
MAXIMIZEBUTTON | maximizeButton | Sets or retrieves a Boolean value that indicates whether a Maximize button is displayed in the title bar of the HTML Application (HTA) window.
MINIMIZEBUTTON | minimizeButton | Sets or retrieves a Boolean value that indicates whether a Minimize button is displayed in the title bar of the HTML Application (HTA) window.
NAVIGABLE | navigable | Sets or retrieves whether linked documents will be loaded in the main HTML Application (HTA) window or in a new browser window.
SCROLL | scroll | Sets or retrieves whether the scroll bars are displayed.
SCROLLFLAT | scrollFlat | Sets or retrieves whether the scroll bar is 3-D or flat.
SELECTION | selection | Sets or retrieves whether the content can be selected with the mouse or keyboard.
SHOWINTASKBAR | showInTaskBar | Sets or retrieves a value that indicates whether the HTML Application (HTA) is displayed in the Microsoft® Windows® taskbar.
SINGLEINSTANCE | singleInstance | Sets or retrieves a value that indicates whether only one instance of the specified HTML Application (HTA) can run at a time.
SYSMENU | sysMenu | Sets or retrieves a Boolean value that indicates whether a system menu is displayed in the HTML Application (HTA).
VERSION | version | Sets or retrieves the version number of the HTML Application (HTA).
WINDOWSTATE | windowState | Sets or retrieves the initial size of the HTA window.

Remarks

Warning HTAs can potentially expose the client machine to malicious script. HTAs, like .exe files have read/write access to the files and system registry on the client machine. Powerful executables can be produced and delivered quickly with a few short script statements. Use of HTAs is not recommended where security or the source of the file is questionable.

You can create an HTA by saving an existing HTML page with an .hta extension. However, to set application window properties, such as those listed in the Members table, include the HTA:APPLICATION tag within the head element.

The HTA:APPLICATION element requires a closing tag.

<HTA:APPLICATION ... > ... </HTA:APPLICATION>
Because the HTA:APPLICATION element is an empty tag, it can also be closed using the following shortcut.
<HTA:APPLICATION ...  />

Note When using the shortcut, the forward slash must be preceded by a blank space.

This element is not rendered.

This element requires a closing tag.

Example

This example retrieves all the properties exposed by HTA:APPLICATION.

<HTML>
<HEAD>
<TITLE>HTA Demo</TITLE>
<HTA:APPLICATION ID="oHTA"
APPLICATIONNAME="myApp"
BORDER="thin"
BORDERSTYLE="normal"
CAPTION="yes"
ICON=""
MAXIMIZEBUTTON="yes"
MINIMIZEBUTTON="yes"
SHOWINTASKBAR="no"
SINGLEINSTANCE="no"
SYSMENU="yes"
VERSION="1.0"
WINDOWSTATE="maximize"/>
<SCRIPT>
/* This function also retrieves the value of the commandLine property,
which cannot be set as an attribute.  */
function window.onload()
{
sTempStr = "applicationName  = " + oHTA.applicationName + "\n" +
"border           = " + oHTA.border          + "\n" +
"borderStyle      = " + oHTA.borderStyle     + "\n" +
"caption          = " + oHTA.caption         + "\n" +
"commandLine      = " + oHTA.commandLine     + "\n" +
"icon             = " + oHTA.icon            + "\n" +
"maximizeButton   = " + oHTA.maximizeButton  + "\n" +
"minimizeButton   = " + oHTA.minimizeButton  + "\n" +
"showInTaskBar    = " + oHTA.showInTaskbar   + "\n" +
"singleInstance   = " + oHTA.singleInstance  + "\n" +
"sysMenu          = " + oHTA.sysMenu         + "\n" +
"version          = " + oHTA.version         + "\n" +
"windowState      = " + oHTA.windowState     + "\n" ;
oPre.innerText = sTempStr;
}
</SCRIPT>
</HEAD>
<BODY SCROLL="no">
<PRE ID=oPre>  </PRE>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

See Also

Introduction to HTML Applications (HTAs)


HTML 元素 | html

HTML 元素 | html 对象

表明文档包含 HTML 元素。

Microsoft® Internet Explorer 6 的新增内容

当你使用 !DOCTYPE 声明指定标准兼容模式，此元素将代表画布──也就是文档内容将渲染到的整个表面。

成员表

下面的表格列出了 html 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
SCROLL | scroll | 设置或获取滚动是否关闭。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
uniqueID | 获取为对象自动生成的唯一标识符。
VERSION Microsoft® Internet Explorer 6 新增 | version | 设置或获取管理当前文档的文档类型定义(DTD)版本。
XMLNS | XMLNS | 声明 HTML 文档中自定义标签的命名空间。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onlayoutcomplete | 当打印或打印预览版面处理完成用来自于源文档的内容填充当前 LayoutRect 对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onreadystatechange | 当对象状态变更时触发。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
clearAttributes | 从对象中删除全部标签属性和值。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getElementsByTagName | 获取基于指定元素名称的对象集合。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
display | display | 设置或获取对象是否要渲染。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
visibility | visibility | 设置或获取对象的内容是否显示。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

Microsoft® Internet Explorer 6 新增 在 Microsoft® Internet Explorer 6 及以后版本中，如果你使用 !DOCTYPE 声明指定为标准兼容模式，此元素将表示文档内容渲染的整个表面。当你切换到标准兼容模式时，此元素也将作为所有没有设置定位基准的定位对象的定位容器。如果 !DOCTYPE 声明并不指定标准兼容模式，以及较早版本的 Internet Explorer，则是 body 对象代表文档可渲染内容的整个外观。

此元素不会被渲染。

此元素需要关闭标签。

示例

下面的例子使用了 HTML 元素将文档标识为 HTML 文档。

<HTML>
<BODY>
<P>这是一个 HTML 文档。</P>
</BODY>
</HTML>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。


HTML

HTML 注释对象

避免任何内含文本或 HTML 源代码被处理并在浏览器窗口中显示。

成员表

下面的表格列出了 HTML 注释 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

属性

属性 | 描述
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
tagName | 获取对象的标签名称。
text | 设置或获取对象文本的字符串形式。

事件

事件 | 描述
onlayoutcomplete | 当打印或打印预览版面处理完成用来自于源文档的内容填充当前 LayoutRect 对象时触发。

注释

注释可以包含其它 HTML 元素，但不能嵌套。

需要开始和结束标签。

示例

下面是 HTML 注释的例子。

<!-- 此文本不会出现在浏览器窗口中。 -->

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。

参看

comment


I 元素 | i

I 元素 | i 对象

指定文本应以斜体渲染，若可用的话。

成员表

下面的表格列出了 i 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是内嵌元素。

此元素需要关闭标签。

示例

下面的例子使用了 I 元素将文本以斜体显示。

<I>此文本将以斜体显示。</I>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。

参看

address, cite, dfn, em


IFRAME 元素 | iframe

IFRAME 元素 | iframe 对象

创建内嵌浮动框架。

成员表

下面的表格列出了 iframe 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ALIGN | align | 设置或获取表格排列。
ALLOWTRANSPARENCY | allowTransparency | 设置或获取对象是否可为透明。
APPLICATION | APPLICATION | 表明对象的内容是否为 HTML 应用程序(HTA)，以便免除浏览器安全模式。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
BORDER | border | 设置或获取框架间的空间，包括 3D 边框。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
contentWindow | 获取指定的 frame 或 iframe 的 window 对象。
DATAFLD | dataFld | 设置或获取由 dataSrc 属性指定的绑定到指定对象的给定数据源的字段。
DATASRC | dataSrc | 设置或获取用于数据绑定的数据源。
disabled | 获取表明用户是否可与该对象交互的值。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
FRAMEBORDER | frameBorder | 设置或获取是否显示框架的边框。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HEIGHT | height | 设置或获取对象的高度。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
HSPACE | hspace | 设置或获取对象的水平边距。
ID | id | 获取标识对象的字符串。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
longDesc Microsoft® Internet Explorer 6 新增 | 设置或获取对象长描述的统一资源标识符(URI)。
MARGINHEIGHT | marginHeight | 设置或获取显示框架中文本之前的上下边距高度。
MARGINWIDTH | marginWidth | 设置或获取显示框架中文本之前的左右边距宽度。
NAME | name | 设置或获取框架的名称。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
readyState | 获取表明对象当前状态的值。
recordNumber | 获取数据集中生成对象的原始记录。
scopeName | 获取为该元素定义的命名空间。
SCROLLING | scrolling | 设置或获取框架是否可被滚动。
SECURITY Microsoft® Internet Explorer 6 新增 | SECURITY | 获取表明 frame 或 iframe 的源文件是否应用了特定的安全限制的值。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
SRC | src | 设置或获取要由对象装入的 URL。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。
VSPACE | vspace | 设置或获取对象的垂直边距。
WIDTH | width | 设置或获取对象的宽度。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onafterupdate | 当成功更新数据源对象中的关联对象后在数据绑定对象上触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeupdate | 当成功更新数据源对象中的关联对象前在数据绑定对象上触发。
onblur | 在对象失去输入焦点时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
onerrorupdate | 更新数据源对象中的关联数据出错时在数据绑定对象上触发。
onfocus | 当对象获得焦点时触发。
onload | 在浏览器完成对象的装载后立即触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onreadystatechange | 当对象状态变更时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素作为父对象的子结点。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
height | height | 设置或获取对象的高度。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
visibility | visibility | 设置或获取对象的内容是否显示。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

IFRAME 元素也就是文档中的文档，或者好像浮动的框架(FRAME)。frames 集合提供了对 IFRAME 内容的访问。请使用 frames 集合读写 IFRAME 内包含的元素。例如，如果要访问 iframe 内 body 对象的 backgroundColor 样式，语法应为:

sColor = document.frames("sFrameName").document.body.style.backgroundColor;

通过 iframe 对象所在页面的对象模型，你可以访问 iframe 对象的属性，但不能访问其内容。例如，访问 iframe 对象的 border 样式的语法应为:

sBorderValue = document.all.oFrame.style.border;

注意 iframe 的属性必须使用前缀 document.all 访问，例如 document.all.iframeId.marginWidth。

Internet Explorer 5.5 支持浮动框架的内容透明。如果想要为浮动框架定义透明内容，则必须满足下列条件。

  1. 与 IFRAME 元素一起使用的 ALLOWTRANSPARENCY 标签属性必须设置为 true。
  2. 在 IFRAME 内容源文档，background-color 或 BODY 元素的 BGCOLOR 标签属性必须设置为 transparent。
参看使用透明的浮动框架可以获得关于透明浮动框架更多的信息。

此元素在 Microsoft® Internet Explorer 4.0 的 HTML 和脚本中可用。

此元素是一个块元素。

此元素需要关闭标签。

示例

下面的例子使用了 IFRAME 元素创建了包含页面 sample.htm 的框架。

<IFRAME ID=IFrame1 FRAMEBORDER=0 SCROLLING=NO SRC="sample.htm"></IFRAME>

下面的例子返回了对 IFRAME 包含的文档的 all 集合的引用。

var collAll = document.frames("IFrame1").document.all

标准信息

此对象定义在 HTML 4.0 非 Microsoft 链接 和万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。

参看

使用 IFRAME 元素


IMG 元素 | img

IMG 元素 | img 对象

在文档中嵌入图像或视频剪辑。

成员表

下面的表格列出了 img 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ALIGN | align | 设置或获取对象针对其邻接文本如何排列。
ALT | alt | 设置或获取用于替代图像的文本。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
BORDER | border | 设置或获取绘制对象周围边框的宽度。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
complete | 获取对象是否已完全装入。
DATAFLD | dataFld | 设置或获取由 dataSrc 属性指定的绑定到指定对象的给定数据源的字段。
DATASRC | dataSrc | 设置或获取用于数据绑定的数据源。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
DYNSRC | dynsrc | 设置或获取要在窗口中显示的视频剪辑或 VRML 世界。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
fileCreatedDate | 获取文件创建的日期。
fileModifiedDate | 获取文件上次修改的日期。
fileSize | 获取文件大小。
fileUpdatedDate | 获取文件上次更新的日期。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
GALLERYIMG Microsoft® Internet Explorer 6 新增 | galleryImg | 设置或获取对于当前图像我的图片支持图像工具栏是否可见。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HEIGHT | height | 设置或获取对象的高度。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
HSPACE | hspace | 设置或获取对象的水平边距。
ID | id | 获取标识对象的字符串。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
ISMAP | isMap | 设置或获取图像是否为服务器端图像映射。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
longDesc Microsoft® Internet Explorer 6 新增 | 设置或获取对象长描述的统一资源标识符(URI)。
LOOP | loop | 设置或获取声音或视频剪辑在激活时的循环播放次数。
LOWSRC | lowsrc | 设置或获取要显示的较低分辨率图像。
NAME | name | 设置或获取对象的名称。
nameProp | 获取由对象的 href 或 src 属性指定的文件名。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
protocol | 设置或获取 URL 的协议部分。
readyState | 获取表明对象当前状态的值。
recordNumber | 获取数据集中生成对象的原始记录。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
SRC | src | 设置或获取要由对象装入的 URL。
start | start | 设置或获取视频剪辑文件应该开始播放的时间。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。
USEMAP | useMap | 设置或获取用于客户端图像映射的 URL，通常带有一个书签扩展(#name)。
VSPACE | vspace | 设置或获取对象的垂直边距。
WIDTH | width | 设置或获取对象的计算宽度。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
imageRollover | 提供了图像的翻转效果。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。
filters | 获取应用于对象的滤镜集合。

事件

事件 | 描述
onabort | 当用户中断下载图像时触发。
onactivate | 当对象设置为活动元素时触发。
onafterupdate | 当成功更新数据源对象中的关联对象后在数据绑定对象上触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onbeforeupdate | 当成功更新数据源对象中的关联对象前在数据绑定对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onerror | 当对象装载过程中发生错误时触发。
onerrorupdate | 更新数据源对象中的关联数据出错时在数据绑定对象上触发。
onfilterchange | 当可视滤镜更改状态或完成转换时触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onload | 在浏览器完成对象的装载后立即触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeExpression | 从指定属性中删除表达式。
replaceAdjacentText | 替换元素的邻接文本。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
vertical-align | verticalAlign | 设置或获取对象的垂直排列。
visibility | visibility | 设置或获取对象的内容是否显示。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
zoom | zoom | 设置或获取对象的放大比例。

注释

当此元素收到输入焦点时，并不会触发 onfocus 事件，除非该元素已经与 MAP 元素关联了起来。

在 Internet Explorer 5 中支持下列图像和视频文件格式。

  • .avi - 交错音频视频 (AVI)
  • .bmp - Windows 位图 (BMP)
  • .emf - Windows 增强图元文件 (EMF)
  • .gif - 图像交换格式 (GIF)
  • .jpg, .jpeg - 移动图像专家组 (JPEG)
  • .mov - Apple QuickTime 电影 (MOV)
  • .mpg, .mpeg - 移动图像专家组 (MPEG)
  • .png - 便携网络图像 (PNG)
  • .wmf - Windows 图元文件 (WMF)
  • .xbm - X 位图 (XBM)

当使用 IMG 元素显示静态图像时，请用 SRC 标签属性指定图像文件的 URL。当使用 IMG 元素显示视频剪辑或虚拟现实模型语言(VRML)世界时，请用 DYNSRC 标签属性指定 URL。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是一个内嵌元素。

此元素不需要关闭标签。

示例

下面的例子演示了如何在页面上使用 IMG 元素嵌入 BMP 图像。

<IMG SRC=mygraphic.bmp>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 和万维网协会(W3C)文档对象模型 (DOM) 级别 1 非 Microsoft 链接 中。

参看

input


implementation

implementation 对象 Microsoft® Internet Explorer 6 新增

包含了关于对象支持的模块信息。

成员表

下面的表格列出了 implementation 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

方法

方法 | 描述
hasFeature Microsoft® Internet Explorer 6 新增 | 返回表明对象是否实现了指定的文档对象模型(DOM)标准的值。

标准信息

此对象定义在万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。

应用到

document


IMPORT

IMPORT 处理指令

从元素行为中导入标签定义。

语法

<?IMPORT
    namespace = "sNameSpace"
    implementation = "sImplementation"
>

属性

namespace
必需。指定了先前定义的标签定义将要导入的命名空间。
implementation
必需。下列值之一:
#default | Microsoft® Internet Explorer 5.5 或更高版本内建的元素行为。
#objectID | 指定 object 标签 id 属性的字符串。
sImplementation | 指定包含标签定义的 HTML 组件(HTC)文件。

处理指令信息

出现次数 | 无限
父元素 | BODY, head
最低版本 | Internet Explorer 5.5
最低操作系统 | Windows 95, Windows NT 4.0

注释

在一个 Web 页上可以多次出现 IMPORT 处理指令(PI)。

在 html 标签中定义的 XMLNS 属性的值，必须与在 IMPORT 处理指令 namespace 属性的值相对应。否则该导入标签定义将不会被使用。

如果 implementation 属性的值非法则导入的标签将不会渲染。如果你正在使用 HTC 文件，那么该文件也必须遵从与行为相同的安全规则。要获得关于安全性更多的信息，请参看 DHTML 行为方面的文章。

IMPORT 处理指令可以放置在文档 body 关闭标签之前的任何地方。但是，IMPORT 处理值令必须放置在使用导入标签定义的自定义元素第一次出现之前。如果 IMPORT 处理指令放置在自定义元素之后，行为就不会被附加到自定义元素上。这还意味着不应该使用 document.write 方法向文档中添加 IMPORT 处理指令。

作为 IMPORT 处理指令的一种替代形式，使用 doImport 方法可以动态导入元素行为。doImport 方法一般与 createElement 方法联合使用以便插入附加行为的自定义元素。

IMPORT 处理指令只在文档的初始化处理时执行。因此，使用元素行为的文档必须在 HTML 文件中包含 IMPORT 处理指令。假如 IMPORT 处理指令是在主文档中指定的，就可以使用 document.write 方法添加附加行为的自定义元素。

IMPORT 处理指令不是 all 集合的成员。但是，IMPORT 处理指令的内容可通过 document.body.innerHTML 属性访问。

示例

下面的例子演示了 IMPORT 处理指令的用途。html 标签中定义的 XMLNS 属性被用于匹配 IMPORT 处理指令的 namespace 属性。

<HTML xmlns:games>
<?IMPORT namespace="games" implementation="checkers.htc">
<BODY>
<games:checkers/>
</BODY>
</HTML>

标准信息

没有应用于此处理指令的公共标准。

参看

doImport, Viewlink, 元素行为, DeviceRect


INPUT 元素 | input

INPUT 元素 | input 对象

创建各种表单输入控件。

成员表

下面的表格列出了 input 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCEPT Microsoft® Internet Explorer 6 新增 | accept | 设置或获取以逗号分隔的内容类型列表。
ALIGN | align | 设置或获取对象针对其邻接文本如何排列。
ALT | alt | 设置或获取用于替代图像的文本。
complete | 获取对象是否已完全装入。
DYNSRC | dynsrc | 设置或获取要在窗口中显示的视频剪辑或 VRML 世界。
HSPACE | hspace | 设置或获取对象的水平边距。
LOOP | loop | 设置或获取声音或视频剪辑在激活时的循环播放次数。
LOWSRC | lowsrc | 设置或获取要显示的较低分辨率图像。
start | start | 设置或获取视频剪辑文件应该开始播放的时间。
USEMAP | useMap | 设置或获取用于客户端图像映射的 URL，通常带有一个书签扩展(#name)。
VALUE | value | 获取控件的默认或选中值。
VSPACE | vspace | 设置或获取对象的垂直边距。

行为

行为 | 描述
mask | 为 DHTML 对象指定遮罩编辑行为。

样式

样式标签属性 | 样式属性 | 描述
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
zoom | zoom | 设置或获取对象的放大比例。

注释

INPUT 元素的 TYPE 标签属性用于指定下列表单输入控件之一:

button checkbox file hidden image
password radio reset submit text

此元素是一个内嵌元素。

此元素不需要关闭标签。

示例

下面的例子演示了如何使用 INPUT 元素创建不同类型的输入控件。

<FORM ACTION="http://intranet/survey" METHOD=POST>
<P>姓名</P>
<BR><INPUT NAME="CONTROL1" TYPE=TEXT VALUE="你的姓名">
<P>密码</P>
<BR><INPUT TYPE="PASSWORD" NAME="CONTROL2">
<P>颜色</P>
<BR><INPUT TYPE="RADIO" NAME="CONTROL3" VALUE="0" CHECKED>红色
<INPUT TYPE="RADIO" NAME="CONTROL3" VALUE="1">绿色
<INPUT TYPE="RADIO" NAME="CONTROL3" VALUE="2">蓝色
<P>评论</P>
<BR><INPUT TYPE="TEXT" NAME="CONTROL4" SIZE="20,5" MAXLENGTH="250">
<P><INPUT NAME="CONTROL5" TYPE=CHECKBOX CHECKED>发送收条</P>
<P><INPUT TYPE="SUBMIT" VALUE="确定"><INPUT TYPE="RESET" VALUE="重置"></P>
</FORM>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 和万维网协会(W3C)文档对象模型 (DOM) 级别 1 非 Microsoft 链接 中。

参看

button, select, textArea


INPUT type=button 元素 | input type=button

INPUT type=button 元素 | input type=button 对象

创建按钮控件。

成员表

下面的表格列出了 input type=button 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DATAFLD | dataFld | 设置或获取由 dataSrc 属性指定的绑定到指定对象的给定数据源的字段。
DATAFORMATAS | dataFormatAs | 设置或获取如何渲染提供给对象的数据。
DATASRC | dataSrc | 设置或获取用于数据绑定的数据源。
defaultValue | 设置或获取对象的初始内容。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
form | 获取对象所在表单的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
NAME | name | 设置或获取对象的名称。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取表明对象当前状态的值。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
SIZE | size | 设置或获取控件的大小。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
TYPE | type | 获取或初始设置对象所代表的 input 控件类型。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。
VALUE | value | 获取控件的默认或选中值。
WIDTH | width | 设置或获取对象的计算宽度。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
filters | 获取应用于对象的滤镜集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfilterchange | 当可视滤镜更改状态或完成转换时触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
createTextRange | 为元素创建一个 TextRange 对象。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
select | 突出显示表单元素的输入区域。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 和脚本中可用。

此元素是一个内嵌元素。

此元素不需要关闭标签。

示例

下面的例子使用 INPUT type=button 元素定义了立即响应点击的按钮。

<INPUT TYPE=button ID=btnEmergency VALUE="出现紧急情况时请按此钮!"
onClick="alert('铃……铃……!!!!')">

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。

参看

button, input


INPUT type=checkbox 元素 | input type=checkbox

INPUT type=checkbox 元素 | input type=checkbox 对象

创建复选框控件。

成员表

下面的表格列出了 input type=checkbox 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CHECKED | checked | 设置或获取复选框或单选钮的状态。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
DATAFLD | dataFld | 设置或获取由 dataSrc 属性指定的绑定到指定对象的给定数据源的字段。
DATASRC | dataSrc | 设置或获取用于数据绑定的数据源。
defaultChecked | 设置或获取复选框或单选钮的状态。
defaultValue | 设置或获取对象的初始内容。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
form | 获取对象所在表单的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
indeterminate | 设置或获取用户是否已经更改了复选框的状态。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
NAME | name | 设置或获取对象的名称。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取表明对象当前状态的值。
recordNumber | 获取数据集中生成对象的原始记录。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
SIZE | size | 设置或获取控件的大小。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
status | 设置或获取表明控件是否选中的值。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
TYPE | type | 获取或初始设置对象所代表的 input 控件类型。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。
VALUE | value | 获取控件的默认或选中值。
WIDTH | width | 设置或获取对象的计算宽度。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
filters | 获取应用于对象的滤镜集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onafterupdate | 当成功更新数据源对象中的关联对象后在数据绑定对象上触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onbeforeupdate | 当成功更新数据源对象中的关联对象前在数据绑定对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onerrorupdate | 更新数据源对象中的关联数据出错时在数据绑定对象上触发。
onfilterchange | 当可视滤镜更改状态或完成转换时触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
select | 突出显示表单元素的输入区域。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

当 INPUT type=checkbox 元素被选中时，将向 FORM 提交名称/值的配对。INPUT type=checkbox 的默认值是 on。

INPUT type=checkbox 元素的 height 和 width 样式是在 Internet Explorer 5 中实现的。元素的大小设置基于由作者提供的值，除非给定的大小显然低于所需的最小值。大小的尺寸计算如下:

  • 若 height 或 width 大于 20 像素，复选框的四周留空将设置为 4 像素，内部高度或宽度将设置为 8 像素。
  • 若 height 或 width 小于 20 像素但大于 13 像素，复选框的四周留空将等于所指定的 height 或 width 减去 13 的差的一半。例如，若指定复选框的 width 是 17，四周留空将是: (17-13)/2 = 2 像素。
  • 若 height 或 width 小于 12 像素，复选框的四周留空将设置为 0 且内部宽度将设置为作者指定的值。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 和脚本中可用。

此元素是一个内嵌元素。

此元素不需要关闭标签。

示例

下面的例子使用 INPUT type=checkbox 元素创建了两个带有解释性文本的复选框。onclick 事件将调用两个脚本函数。第一个复选框默认选中。

<INPUT TYPE=checkbox CHECKED ID=chk1 onclick="choosebox1()">取消此框的选中
可以获得免费的建议。
<P><INPUT TYPE=checkbox ID=chk2 onclick="choosebox2()">不然，选中此框可以
从我们的赞助商那里获得更多的灵感。
<P ID=SampText>

下面的例子就是用户单击复选框时调用的脚本。

<SCRIPT>
function choosebox1(){
alert("免费的谁不想要!")
}
function choosebox2(){
SampText.insertAdjacentHTML("AfterBegin","看看这些小礼品!");
}
</SCRIPT>

标准信息

没有应用于此对象的公共标准。

参看

input


INPUT type=file 元素 | input type=file

INPUT type=file 元素 | input type=file 对象

创建文件上载控件，该控件带有一个文本框和一个浏览按钮。

成员表

下面的表格列出了 input type=file 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
defaultValue | 设置或获取对象的初始内容。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
form | 获取对象所在表单的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
NAME | name | 设置或获取对象的名称。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取表明对象当前状态的值。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
SIZE | size | 设置或获取控件的大小。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
TYPE | type | 获取或初始设置对象所代表的 input 控件类型。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。
value | 当文本通过用户输入设置后获取 input 对象的文件名。
WIDTH | width | 设置或获取对象的计算宽度。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
filters | 获取应用于对象的滤镜集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfilterchange | 当可视滤镜更改状态或完成转换时触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
select | 突出显示表单元素的输入区域。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

要使得文件上载能够成功:

  • INPUT type=file 元素必须出现在 FORM 元素内。
  • 必须为 INPUT type=file 元素指定 NAME 标签属性的值。
  • FORM 元素 METHOD 标签属性的值必须设置为 post。
  • FORM 元素 ENCTYPE 标签属性的值必须设置为 multipart/form-data。

要处理上载到服务器的文件，服务器端进程必须可以处理 multipart/form-data 的提交。例如，Microsoft Posting Acceptor 能够允许 Microsoft Internet Information Server (IIS) 接受文件上载。而在网上也可找到附加的 CGI 脚本用于处理 multipart/form-data 提交。

此元素在 Microsoft® Internet Explorer 4.0 的 HTML 和脚本中可用。而文件上载附件要求在 Internet Explorer 3.02 中使用 input type=file 元素。用户可以在文本框中输入文件路径或者单击浏览按钮在文件系统中浏览。

此元素是一个内嵌元素。

此元素不需要关闭标签。

示例

下面的例子使用 INPUT type=file 元素将文件上载到服务器上。第一个例子要求 Microsoft Posting Acceptor，该程序可与 IIS 或 Personal Web Server 一起使用。

下面的例子使用 HTML 代码提交用户选中的文件到 Cpshost.dll，该服务器组件由 Posting Acceptor 安装。

<FORM NAME="oForm"
ACTION="repost.asp"
ENCTYPE="multipart/form-data"
METHOD="post">
<INPUT TYPE="file" NAME="oFile1"/>
<INPUT TYPE="submit" VALUE="上载文件">
</FORM>

下面的例子显示了 Repost.asp 的 ASP 内容。请注意，提交的文件可从提交表单中访问。

<%@ LANGUAGE = JScript %>
<%
Response.buffer=true;
%>
<HTML>
<TITLE>重投范例</TITLE>
<BODY>
<H1>上载状态</H1>
<P>
目的位置: <B><% Response.Write(Request.Form("TargetURL")) %></B>
</P>
<%
Response.write("<P>文件名: " + Request.Form("FileName") + "</P>");
Response.write("<P>长度: " + Request.Form("FileSize") + "</P>");
Response.write("<P>路径: " + Request.Form("FilePath") + "</P>");
%>
</BODY>
</HTML>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。

参看

input


INPUT type=hidden 元素 | input type=hidden

INPUT type=hidden 元素 | input type=hidden 对象

传输关于客户/服务器交互的状态信息。

成员表

下面的表格列出了 input type=hidden 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
DATAFLD | dataFld | 设置或获取由 dataSrc 属性指定的绑定到指定对象的给定数据源的字段。
DATASRC | dataSrc | 设置或获取用于数据绑定的数据源。
defaultValue | 设置或获取对象的初始内容。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
form | 获取对象所在表单的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
NAME | name | 设置或获取对象的名称。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取表明对象当前状态的值。
recordNumber | 获取数据集中生成对象的原始记录。
scopeName | 获取为该元素定义的命名空间。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TYPE | type | 获取或初始设置对象所代表的 input 控件类型。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。
VALUE | value | 获取控件的默认或选中值。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onafterupdate | 当成功更新数据源对象中的关联对象后在数据绑定对象上触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforeupdate | 当成功更新数据源对象中的关联对象前在数据绑定对象上触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
onerrorupdate | 更新数据源对象中的关联数据出错时在数据绑定对象上触发。
onfocus | 当对象获得焦点时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
clearAttributes | 从对象中删除全部标签属性和值。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
createTextRange | 为元素创建一个 TextRange 对象。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getExpression | 获取给定属性的表达式。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
behavior | behavior | 设置或获取 DHTML 行为的位置。
hasLayout | 获取表明对象是否有布局的值。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
zoom | zoom | 设置或获取对象的放大比例。

注释

这种输入类型用户无法控制，但是却在提交表单时发送 value 属性的值。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 和脚本中可用。

此元素不会被渲染。

此元素不需要关闭标签。

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。

参看

input, input type=submit


INPUT type=image 元素 | input type=image

INPUT type=image 元素 | input type=image 对象

创建一个图像控件，该控件单击后将导致表单立即被提交。

成员表

下面的表格列出了 input type=image 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ALIGN | align | 设置或获取对象针对其邻接文本如何排列。
ALT | alt | 设置或获取用于替代图像的文本。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
complete | 获取对象是否已完全装入。
DATAFLD | dataFld | 设置或获取由 dataSrc 属性指定的绑定到指定对象的给定数据源的字段。
DATASRC | dataSrc | 设置或获取用于数据绑定的数据源。
defaultValue | 设置或获取对象的初始内容。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
DISABLED | disabled | 设置或获取控件的状态。
DYNSRC | dynsrc | 设置或获取要在窗口中显示的视频剪辑或 VRML 世界。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
form | 获取对象所在表单的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
HSPACE | hspace | 设置或获取对象的水平边距。
ID | id | 获取标识对象的字符串。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
LOOP | loop | 设置或获取声音或视频剪辑在激活时的循环播放次数。
LOWSRC | lowsrc | 设置或获取要显示的较低分辨率图像。
NAME | name | 设置或获取对象的名称。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取表明对象当前状态的值。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
SIZE | size | 设置或获取控件的大小。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
SRC | src | 设置或获取要由对象装入的 URL。
start | start | 设置或获取视频剪辑文件应该开始播放的时间。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
TYPE | type | 获取或初始设置对象所代表的 input 控件类型。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。
VSPACE | vspace | 设置或获取对象的垂直边距。
WIDTH | width | 设置或获取对象的计算宽度。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
filters | 获取应用于对象的滤镜集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfilterchange | 当可视滤镜更改状态或完成转换时触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
select | 突出显示表单元素的输入区域。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

x 坐标将以控件名称后加 .x 提交，y 坐标将以空间名称后加 .y 提交。任何 value 属性都将被忽略。src 属性指定了 IMG 元素。

在 Internet Explorer 5 中支持下列图像和视频文件格式。

  • .avi - 交错音频视频 (AVI)
  • .bmp - Windows 位图 (BMP)
  • .emf - Windows 增强图元文件 (EMF)
  • .gif - 图像交换格式 (GIF)
  • .jpg, .jpeg - 移动图像专家组 (JPEG)
  • .mov - Apple QuickTime 电影 (MOV)
  • .mpg, .mpeg - 移动图像专家组 (MPEG)
  • .png - 便携网络图像 (PNG)
  • .wmf - Windows 图元文件 (WMF)
  • .xbm - X 位图 (XBM)

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 和脚本中可用。

此元素是一个内嵌元素。

此元素不需要关闭标签。

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。

参看

image, input


INPUT type=password 元素 | input type=password

INPUT type=password 元素 | input type=password 对象

创建与 INPUT type=text 控件类似的单行文本输入控件，不过其中并不显示用户输入的内容。

成员表

下面的表格列出了 input type=password 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
AUTOCOMPLETE | autocomplete | 设置或获取对象的自动完成状态。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DATAFLD | dataFld | 设置或获取由 dataSrc 属性指定的绑定到指定对象的给定数据源的字段。
DATASRC | dataSrc | 设置或获取用于数据绑定的数据源。
defaultValue | 设置或获取对象的初始内容。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
form | 获取对象所在表单的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
MAXLENGTH | maxLength | 设置或获取用户可在文本控件中输入的最多字符数。
NAME | name | 设置或获取对象的名称。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
READONLY | readOnly | 设置或获取表明对象内容是否为只读的值。
readyState | 获取表明对象当前状态的值。
recordNumber | 获取数据集中生成对象的原始记录。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
SIZE | size | 设置或获取控件的大小。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
TYPE | type | 获取或初始设置对象所代表的 input 控件类型。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。
VALUE | value | 设置或获取控件对象的显示值。当控件对象提交时此值将返回给服务器。
VCARD_NAME | vcard_name | 设置或获取对象的 vCard 值，以便用于自动完成框。
WIDTH | width | 设置或获取对象的计算宽度。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
filters | 获取应用于对象的滤镜集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onafterupdate | 当成功更新数据源对象中的关联对象后在数据绑定对象上触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onbeforeupdate | 当成功更新数据源对象中的关联对象前在数据绑定对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onerrorupdate | 更新数据源对象中的关联数据出错时在数据绑定对象上触发。
onfilterchange | 当可视滤镜更改状态或完成转换时触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
createTextRange | 为元素创建一个 TextRange 对象。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
select | 突出显示表单元素的输入区域。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-align | textAlign | 设置或获取对象中的文本是左对齐、右对齐、居中对齐还是两端对齐。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 和脚本中可用。

此元素是一个内嵌元素。

此元素不需要关闭标签。

示例

下面的例子使用 INPUT type=password 元素定义了密码域。

用户名 <INPUT TYPE=button ID=txtUser>
密码 <INPUT TYPE=password ID=txtPassword>

下面的例子使用脚本决定了密码对于指定用户是否合法。

<SCRIPT>
if (txtUser.value == "Paul")
if (txtPassword.value == "2ifbysea")
{
alert("密码已接受。请享受你的旅程。");
return true;
}
</SCRIPT>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。

参看

input


INPUT type=radio 元素 | input type=radio

INPUT type=radio 元素 | input type=radio 对象

创建单选钮控件。

成员表

下面的表格列出了 input type=radio 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CHECKED | checked | 设置或获取复选框或单选钮的状态。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DATAFLD | dataFld | 设置或获取由 dataSrc 属性指定的绑定到指定对象的给定数据源的字段。
DATASRC | dataSrc | 设置或获取用于数据绑定的数据源。
defaultChecked | 设置或获取复选框或单选钮的状态。
defaultValue | 设置或获取对象的初始内容。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
form | 获取对象所在表单的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
NAME | name | 设置或获取对象的名称。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取表明对象当前状态的值。
recordNumber | 获取数据集中生成对象的原始记录。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
SIZE | size | 设置或获取控件的大小。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
status | 设置或获取表明控件是否选中的值。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
TYPE | type | 获取或初始设置对象所代表的 input 控件类型。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。
VALUE | value | 获取控件的默认或选中值。
WIDTH | width | 设置或获取对象的计算宽度。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
filters | 获取应用于对象的滤镜集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onafterupdate | 当成功更新数据源对象中的关联对象后在数据绑定对象上触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onbeforeupdate | 当成功更新数据源对象中的关联对象前在数据绑定对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onerrorupdate | 更新数据源对象中的关联数据出错时在数据绑定对象上触发。
onfilterchange | 当可视滤镜更改状态或完成转换时触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
select | 突出显示表单元素的输入区域。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

使用单选钮可以将用户可选择的范围限制到一组值中的一个。要完成这一功能，你必须为每组互相排斥的单选钮组设置相同的 name。

当用户提交表单时，选中的单选钮仅当改按钮指定了 value 时才会生成名称/值的配对。

要将一组单选钮中的一个设置为默认按钮，请将该单选钮的 checked 属性设置为 true。

仅当单选钮指定了 name 属性时用户才可选择该单选钮。要清除对某单选钮的选中，用户必须选择该单选钮组中的另外一个。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 和脚本中可用。

此元素是一个内嵌元素。

此元素不需要关闭标签。

示例

下面的例子使用 INPUT type=radio 元素创建了三个单选钮。

<INPUT type=radio name="radio" CHECKED>1-10 岁
<INPUT type=radio name="radio">11 岁
<INPUT type=radio name="radio">12-120 岁

下面的例子使用脚本来决定用户选择的是哪个单选钮。

<SCRIPT>
function detect()
{
if (radio[0].checked)
alert("你在 1 岁到 10 岁之间。")
else if (radio[1].checked)
alert("你 11 岁。")
else
alert("你在 12 到 120 岁之间。")
}
</SCRIPT>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。

参看

input


INPUT type=reset 元素 | input type=reset

INPUT type=reset 元素 | input type=reset 对象

创建一个按钮，该按钮单击后将重置表单控件为其默认值。

成员表

下面的表格列出了 input type=reset 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
defaultValue | 设置或获取对象的初始内容。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
form | 获取对象所在表单的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
NAME | name | 设置或获取对象的名称。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取表明对象当前状态的值。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
SIZE | size | 设置或获取控件的大小。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
TYPE | type | 获取或初始设置对象所代表的 input 控件类型。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。
VALUE | value | 获取控件的默认或选中值。
WIDTH | width | 设置或获取对象的计算宽度。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
filters | 获取应用于对象的滤镜集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfilterchange | 当可视滤镜更改状态或完成转换时触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
createTextRange | 为元素创建一个 TextRange 对象。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
select | 突出显示表单元素的输入区域。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

value 属性指定了显示在重置按钮上的标签，这和 INPUT type=submit 按钮一样。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 和脚本中可用。

此元素是一个内嵌元素。

此元素不需要关闭标签。

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。

参看

button, input


INPUT type=submit 元素 | input type=submit

INPUT type=submit 元素 | input type=submit 对象

创建一个按钮，该按钮单击后将提交表单。

成员表

下面的表格列出了 input type=submit 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
defaultValue | 设置或获取对象的初始内容。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
form | 获取对象所在表单的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
NAME | name | 设置或获取对象的名称。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取表明对象当前状态的值。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
SIZE | size | 设置或获取控件的大小。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
TYPE | type | 获取或初始设置对象所代表的 input 控件类型。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。
VALUE | value | 获取控件的默认或选中值。
WIDTH | width | 设置或获取对象的计算宽度。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
filters | 获取应用于对象的滤镜集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfilterchange | 当可视滤镜更改状态或完成转换时触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
createTextRange | 为元素创建一个 TextRange 对象。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
select | 突出显示表单元素的输入区域。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

使用 VALUE 标签属性将创建无法由用户编辑的显示标签。默认的文字是提交查询。如果用户单击提交按钮提交了表单，并且按钮指定了 name 标签属性，那么该按钮也将在提交数据中添加名称/值的配对。

如果 INPUT type=submit 元素是 FORM 元素的一部分，则该按钮将以粗边框显示，这代表着用户按 ENTER 就可提交表单。

如果在同一表单中有多个 INPUT type=submit 按钮，按回车键将使用第一个 INPUT type=submit 按钮提交表单，除非此时正有另一个 INPUT type=submit 按钮获得了焦点。如果另外一个 INPUT type=submit 按钮已获得焦点，按回车键将使用该 INPUT type=submit 按钮提交表单。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 和脚本中可用。

此元素是一个内嵌元素。

此元素不需要关闭标签。

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。

参看

button, input


INPUT type=text 元素 | input type=text

INPUT type=text 元素 | input type=text 对象

创建一个单行的文本输入控件。

成员表

下面的表格列出了 input type=text 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
AUTOCOMPLETE | autocomplete | 设置或获取对象的自动完成状态。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DATAFLD | dataFld | 设置或获取由 dataSrc 属性指定的绑定到指定对象的给定数据源的字段。
DATASRC | dataSrc | 设置或获取用于数据绑定的数据源。
defaultValue | 设置或获取对象的初始内容。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
form | 获取对象所在表单的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
MAXLENGTH | maxLength | 设置或获取用户可在文本控件中输入的最多字符数。
NAME | name | 设置或获取对象的名称。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
READONLY | readOnly | 设置或获取表明对象内容是否为只读的值。
readyState | 获取表明对象当前状态的值。
recordNumber | 获取数据集中生成对象的原始记录。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
SIZE | size | 设置或获取控件的大小。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
TYPE | type | 获取或初始设置对象所代表的 input 控件类型。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。
VALUE | value | 设置或获取控件对象的显示值。当控件对象提交时此值将返回给服务器。
VCARD_NAME | vcard_name | 设置或获取对象的 vCard 值，以便用于自动完成框。
WIDTH | width | 设置或获取对象的计算宽度。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
colorpick | 添加一个可用于从预设调色板中选择指定颜色的颜色拾取器。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
filters | 获取应用于对象的滤镜集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onafterupdate | 当成功更新数据源对象中的关联对象后在数据绑定对象上触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onbeforeupdate | 当成功更新数据源对象中的关联对象前在数据绑定对象上触发。
onblur | 在对象失去输入焦点时触发。
onchange | 当对象或选中区的内容改变时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onerrorupdate | 更新数据源对象中的关联数据出错时在数据绑定对象上触发。
onfilterchange | 当可视滤镜更改状态或完成转换时触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselect | 当当前选中区改变时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
createTextRange | 为元素创建一个 TextRange 对象。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
select | 突出显示表单元素的输入区域。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
ime-mode | imeMode | 获取输入方法编辑器(IME)的状态。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-align | textAlign | 设置或获取对象中的文本是左对齐、右对齐、居中对齐还是两端对齐。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

SIZE 属性设置 INPUT type=text 元素中可见字符的个数。而 MAXLENGTH 属性设置可输入的字符个数。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 和脚本中可用。

此元素是一个内嵌元素。

此元素不需要关闭标签。

示例

下面的例子使用 INPUT type=text 元素创建可允许输入用户无需滚动即可查看 15 个字符的空文本控件。

<INPUT TYPE=text VALUE="" NAME="textbox" SIZE=15>

下面的例子使用脚本检测文本框的内容并将其显示在对话框中。

<SCRIPT>
function detectEntry()
{
alert("你的姓名是 " + textbox.value)
}
</SCRIPT>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。

参看

input, textArea


INS 元素 | ins

INS 元素 | ins 对象

指定被插入到文档中的文本。

成员表

下面的表格列出了 ins 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CITE Microsoft® Internet Explorer 6 新增 | cite | 设置或获取关于 对象的参考信息。
CLASS | className | 设置或获取对象的类。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DATETIME Microsoft® Internet Explorer 6 新增 | dateTime | 设置或获取修改对象的日期和时间。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onblur | 在对象失去输入焦点时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
onfocus | 当对象获得焦点时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onreadystatechange | 当对象状态变更时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
zoom | zoom | 设置或获取对象的放大比例。

注释

INS 元素包含的文本将以下划线渲染。

此元素在 Microsoft® Internet Explorer 4.0 的 HTML 和脚本中可用。

此元素是内嵌元素。

此元素需要关闭标签。

示例

下面的例子使用了 INS 元素指定要插入到文档中的文本。

<INS datetime="1997-10-01T12:15:30-05:00">此文本已被插入。</INS>

标准信息

此对象定义在 HTML 4.0 非 Microsoft 链接 中。

参看

del


ISINDEX 元素 | isIndex

ISINDEX 元素 | isIndex 对象

使浏览器显示一个对话框，提示用户输入单行文本。

成员表

下面的表格列出了 isIndex 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ACTION | action | 设置或获取表单内容要发送处理的 URL。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
blockDirection | 获取表明块元素内容的绕排方向的值，是由左至右，还是由右至左。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
disabled | 获取表明用户是否可与该对象交互的值。
DISABLED | disabled | 设置或获取控件的状态。
form | 获取对象所在表单的引用。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
parentElement | 获取对象层次中的父对象。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
STYLE | 为该设置元素设置内嵌样式。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。

集合

集合 | 描述
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onblur | 在对象失去输入焦点时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
onfocus | 当对象获得焦点时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。

滤镜

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
blur | 使元素失去焦点并触发 onblur 事件。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。

样式

样式标签属性 | 样式属性 | 描述
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
page-break-after | pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
page-break-before | pageBreakBefore | 设置或获取表明对象前发生换页的字符串。
position | position | 设置或获取对象所使用的定位方式。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-align-last | textAlignLast | 设置或获取如何排列对象的最后一行或仅有的一行。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-indent | textIndent | 设置或获取对象中文本的缩进。
text-kashida-space | textKashidaSpace | 设置或获取对象内文本对齐行时所使用空白扩展的 kashida 扩展的倍率。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

在 HTML 4 中，此元素是不推荐使用的，而推荐使用 INPUT 元素。isIndex 的 tagName 属性将返回 input。

ISINDEX 元素属于文档的 body 中。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素将被看作 form 对象中的一个 input 对象。要使用脚本访问元素，你必须使用 document 对象的 all 集合。例如，要访问一个 isIndex 对象的 disabled 属性的语法为:

document.all.oIsindex.disabled=false;

此元素是一个块元素。

此元素需要关闭标签。

示例

下面的例子使用 ISINDEX 元素提换了默认的提示。

<ISINDEX PROMPT="输入要搜索的索引关键字">

标准信息

此对象不是 HTML 非 Microsoft 链接 所建议的。


KBD 元素 | kbd

KBD 元素 | kbd 对象

以固定宽度字体渲染文本。

成员表

下面的表格列出了 kbd 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是内嵌元素。

此元素需要关闭标签。

示例

下面的例子使用了 KBD 元素将文本以固定宽度字体渲染。

<KBD>此文本将以固定宽度字体渲染。</KBD>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。


LABEL 元素 | label

LABEL 元素 | label 对象

为页面上的其它元素指定标签。

成员表

下面的表格列出了 label 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DATAFLD | dataFld | 设置或获取由 dataSrc 属性指定的绑定到指定对象的给定数据源的字段。
DATAFORMATAS | dataFormatAs | 设置或获取如何渲染提供给对象的数据。
DATASRC | dataSrc | 设置或获取用于数据绑定的数据源。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
DISABLED | disabled | 设置或获取控件的状态。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
form | 获取对象所在表单的引用。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
FOR | htmlFor | 设置或获取给定标签对象指定到的对象。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
recordNumber | 获取数据集中生成对象的原始记录。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onafterupdate | 当成功更新数据源对象中的关联对象后在数据绑定对象上触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onbeforeupdate | 当成功更新数据源对象中的关联对象前在数据绑定对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onerrorupdate | 更新数据源对象中的关联数据出错时在数据绑定对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

要将 LABEL 绑定到其它的控件，请将 LABEL 元素的 FOR 属性设置为与该控件的 ID 相同。将 LABEL 绑定到控件的 NAME 属性毫无用处。但是，要提交表单，你必须为将 LABEL 元素所绑定到的控件指定 NAME。

有两种方法给所指定的快捷键添加下划线。LABEL 元素所支持的丰富文本使得在标签文本中把由 ACCESSKEY 属性所指定的快捷键字符两侧加上 U 元素成为可能。如果你更愿意使用样式表(CSS)来应用格式化样式，可以将该字符包含在 SPAN 中，并设置样式为“text-decoration: underline”。

如果用户单击 LABEL，则会先触发 LABEL 上的 onclick 事件，然后触发由 htmlFor 属性所指定的控件上的 onclick 事件。按下 LABEL 设定的快捷键将设置焦点但并不触发 onclick 事件。

标签不允许嵌套。

此元素在 Microsoft® Internet Explorer 4.0 的 HTML 和脚本中可用。

此元素是内嵌元素。

此元素需要关闭标签。

示例

下面的例子使用了 LABEL 元素和 ACCESSKEY 属性设置文本框的焦点。

<LABEL FOR="oCtrlID" ACCESSKEY="1">
#<SPAN style="text-decoration:underline;">1</SPAN>: 按 Alt+1 将焦点设置为文本框
</LABEL>
<INPUT TYPE="text" NAME="TXT1" VALUE="绑定示例 1"
SIZE="20" TABINDEX="1" ID="oCtrlID">
此特性需要 Microsoft® Internet Explorer 4.0 或以后版本。请单击下面的图标安装最新版本。然后重新装入此页再查看示例。

标准信息

此对象定义在 HTML 4.0 非 Microsoft 链接 中。


LEGEND 元素 | legend

LEGEND 元素 | legend 对象

在 fieldSet 对象绘制的方框内插入一个标题。

成员表

下面的表格列出了 legend 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ALIGN | align | 设置或获取标题或标志的排列。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DATAFORMATAS | dataFormatAs | 设置或获取如何渲染提供给对象的数据。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
form | 获取对象所在表单的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
recordNumber | 获取数据集中生成对象的原始记录。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onafterupdate | 当成功更新数据源对象中的关联对象后在数据绑定对象上触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onbeforeupdate | 当成功更新数据源对象中的关联对象前在数据绑定对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
onerrorupdate | 更新数据源对象中的关联数据出错时在数据绑定对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
:first-letter | :first-letter | 在对象的第一个字符上应用一个或多个样式。
:first-line | :first-line | 在对象的第一行上应用一个或多个样式。
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-break | lineBreak | 设置或获取日本文本的换行规则。
line-height | lineHeight | 设置或获取对象两行间的距离。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-justify | textJustify | 设置或获取对象内的文本所使用的对齐类型。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-break | wordBreak | 设置或获取单词内的换行行为，特别是对象中出现多语言的情况。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

LEGEND 元素必须是 FIELDSET 内的第一个元素。

此元素在 Microsoft® Internet Explorer 4.0 的 HTML 和脚本中可用。

此元素是块元素。

此元素需要关闭标签。

标准信息

此对象定义在 HTML 4.0 非 Microsoft 链接 和万维网协会(W3C)文档对象模型 (DOM) 级别 1 非 Microsoft 链接 中。


LI 元素 | li

LI 元素 | li 对象

引起列表中的一个项目。

成员表

下面的表格列出了 li 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
blockDirection | 获取表明块元素内容的绕排方向的值，是由左至右，还是由右至左。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
TYPE | type | 设置或获取列表的样式。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。
VALUE | value | 设置或获取列表项目的值。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlayoutcomplete | 当打印或打印预览版面处理完成用来自于源文档的内容填充当前 LayoutRect 对象时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
:first-letter | :first-letter | 在对象的第一个字符上应用一个或多个样式。
:first-line | :first-line | 在对象的第一行上应用一个或多个样式。
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-char | layoutGridChar | 设置或获取用于渲染元素文本内容的字符网格大小。
layout-grid-line | layoutGridLine | 设置或获取用于渲染元素文本内容的网格线值。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
layout-grid-type | layoutGridType | 设置或获取用于渲染元素文本内容的网格类型。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-break | lineBreak | 设置或获取日本文本的换行规则。
line-height | lineHeight | 设置或获取对象两行间的距离。
list-style | listStyle | 设置或获取对象最多三个独立的 listStyle 属性。
list-style-image | listStyleImage | 获取要为对象应用的列表项目符号的图像。
list-style-position | listStylePosition | 获取相对于对象内容如何绘制项目符号。
list-style-type | listStyleType | 获取对象预定义的项目符号类型。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
page-break-after | pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
page-break-before | pageBreakBefore | 设置或获取表明对象前发生换页的字符串。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-align | textAlign | 设置或获取对象中的文本是左对齐、右对齐、居中对齐还是两端对齐。
text-align-last | textAlignLast | 设置或获取如何排列对象的最后一行或仅有的一行。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-indent | textIndent | 设置或获取对象中文本的缩进。
text-justify | textJustify | 设置或获取对象内的文本所使用的对齐类型。
text-kashida-space | textKashidaSpace | 设置或获取对象内文本对齐行时所使用空白扩展的 kashida 扩展的倍率。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-break | wordBreak | 设置或获取单词内的换行行为，特别是对象中出现多语言的情况。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

TYPE 标签属性的值 disc, circle 和 square 应用于无序列表；值 1, a, A, i 和 I 应用于有序列表。

当 LI 元素使用样式表(CSS)绝对定位时，列表项目的符号并不渲染。

在 Internet Explorer 6 中，此元素 display 属性的默认值为 list-item。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是块元素。

此元素不需要关闭标签。

示例

下面的例子使用了 LI 元素创建了目录列表中的单个项目。

<DIR>
<LI>艺术
<LI>历史
<LI>文学
<LI>运动
<LI>娱乐
<LI>科学
</DIR>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 和万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。

参看

dir, menu, ol, ul


LINK 元素 | link

LINK 元素 | link 对象

允许当前文档和外部文档之间建立连接。

成员表

下面的表格列出了 link 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
charset | 设置或获取用于解码对象的字符集。
disabled | 设置或获取是否已为对象应用样式表。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
HREF | href | 设置或获取目标 URL 或锚点。
HREFLANG Microsoft® Internet Explorer 6 新增 | hreflang | 设置或获取对象的语言代码。
ID | id | 获取标识对象的字符串。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
NAME | name | 设置或获取对象的名称。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取表明对象当前状态的值。
REL | rel | 设置或获取对象和链接目的的关系。
REV | rev | 设置或获取对象和链接目的的关系。
scopeName | 获取为该元素定义的命名空间。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TARGET | target | 设置或获取目标内容要显示于哪个窗口或框架。
TYPE | type | 设置或获取对象的 MIME 类型。
uniqueID | 获取为对象自动生成的唯一标识符。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onload | 在浏览器完成对象的装载后立即触发。
onreadystatechange | 当对象状态变更时触发。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
clearAttributes | 从对象中删除全部标签属性和值。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
replaceAdjacentText | 替换元素的邻接文本。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
swapNode | 交换文档层次中两个对象的位置。

样式

样式标签属性 | 样式属性 | 描述
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
behavior | behavior | 设置或获取 DHTML 行为的位置。
MEDIA | media | 设置或获取媒体类型。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。

注释

LINK 元素只能在 HEAD 标签内使用。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素不会被渲染。

此元素不需要关闭标签。

示例

下面的例子使用了 LINK 元素为页面应用了一个叫做 styles.css 的外部样式表。

<LINK REL=stylesheet HREF="styles.css" type="text/css">

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 和万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。


LISTING 元素 | listing

LISTING 元素 | listing 对象

以固定字体渲染文本。

成员表

下面的表格列出了 listing 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
blockDirection | 获取表明块元素内容的绕排方向的值，是由左至右，还是由右至左。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
:first-letter | :first-letter | 在对象的第一个字符上应用一个或多个样式。
:first-line | :first-line | 在对象的第一行上应用一个或多个样式。
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-char | layoutGridChar | 设置或获取用于渲染元素文本内容的字符网格大小。
layout-grid-line | layoutGridLine | 设置或获取用于渲染元素文本内容的网格线值。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
layout-grid-type | layoutGridType | 设置或获取用于渲染元素文本内容的网格类型。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-break | lineBreak | 设置或获取日本文本的换行规则。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
page-break-after | pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
page-break-before | pageBreakBefore | 设置或获取表明对象前发生换页的字符串。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-align | textAlign | 设置或获取对象中的文本是左对齐、右对齐、居中对齐还是两端对齐。
text-align-last | textAlignLast | 设置或获取如何排列对象的最后一行或仅有的一行。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-indent | textIndent | 设置或获取对象中文本的缩进。
text-justify | textJustify | 设置或获取对象内的文本所使用的对齐类型。
text-kashida-space | textKashidaSpace | 设置或获取对象内文本对齐行时所使用空白扩展的 kashida 扩展的倍率。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-break | wordBreak | 设置或获取单词内的换行行为，特别是对象中出现多语言的情况。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

此标签不再推荐使用。请换用 PRE 或 SAMP 标签。

此元素是块元素。

此元素需要关闭标签。

标准信息

此对象不是 HTML 非 Microsoft 链接 所建议的。


location

location 对象

包含关于当前 URL 的信息。

成员表

下面的表格列出了 location 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

属性

属性 | 描述
hash | 设置或获取 href 属性中在井号“#”后面的分段。
host | 设置或获取 location 或 URL 的 hostname 和 port 号码。
hostname | 设置或获取 location 或 URL 的主机名称部分。
href | 设置或获取整个 URL 为字符串。
pathname | 设置或获取对象指定的文件名或路径。
port | 设置或获取与 URL 关联的端口号码。
protocol | 设置或获取 URL 的协议部分。
search | 设置或获取 href 属性中跟在问号后面的部分。

方法

方法 | 描述
assign | 装入新的 HTML 文档。
reload | 重新装入当前页面。
replace | 装入指定 URL 的另外文档来替换当前文档。

注释

href 属性包含了整个 URL，而其它属性包含了 URL 的各个部分。location 对象的默认属性就是 location.href。例如，设置 location='http://microsoft.com' 的结果就等于设置 location.href='http://microsoft.com'。

当设置此列出的任何属性后，浏览器都将立即前往指定 URL。

此对象在 Microsoft® Internet Explorer 3.0 的脚本中可用。

标准信息

没有应用于此对象的公共标准。

应用到

document, window


MAP 元素 | map

MAP 元素 | map 对象

包含客户端图像映射的坐标数据。

成员表

下面的表格列出了 map 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
NAME | name | 设置或获取对象的名称。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
areas | 获取给定 map 对象所定义的 area 对象集合。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onscroll | 当用户滚动对象的滚动条时触发。
onselectstart | 对象将要被选中时触发。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
swapNode | 交换文档层次中两个对象的位置。

样式

样式标签属性 | 样式属性 | 描述
behavior | behavior | 设置或获取 DHTML 行为的位置。

注释

所谓图像映射，就是带有预先定义区域的图像，这些区域包含了指向其它文档或锚的链接。例如，你可以在一副太阳系的图像上创建用户点击后可前往不同星球的链接。

map 对象由 IMG 元素的 USEMAP 属性引用，格式如下：

<IMG SRC="solarsys.gif" USEMAP="#SystemMap">

MAP 元素包含一组定义图像中链接区域的 AREA 元素。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素不会被渲染。

此元素需要关闭标签。

示例

下面的例子提供了一个太阳系的图像映射代码。该代码在 MAP 元素中使用 AREA 元素及其 COORDS 值和 SHAPE 标签属性创建了由图象映射指向单个行星图像的链接。要返回到太阳系图像映射，用户可以单击后退按钮。

<P><IMG SRC="solarsys.gif" WIDTH=504 HEIGHT=126 BORDER=0
ALT="太阳系" USEMAP="#SystemMap">
<MAP NAME="SystemMap">
<AREA SHAPE="rect" COORDS="0,0,82,126"
HREF="/workshop/graphics/sun.gif">
<AREA SHAPE="circle" COORDS="90,58,3"
HREF="/workshop/graphics/merglobe.gif">
<AREA SHAPE="circle" COORDS="124,58,8"
HREF="/workshop/graphics/venglobe.gif">
<AREA SHAPE="circle" COORDS="162,58,10"
HREF="/workshop/graphics/earglobe.gif">
<AREA SHAPE="circle" COORDS="203,58,8"
HREF="/workshop/graphics/marglobe.gif">
<AREA SHAPE="poly" COORDS="221,34,238,37,257,32,278,44,284,60,
281,75,288,91,267,87,253,89,237,81,229,64,228,54"
HREF="/workshop/graphics/jupglobe.gif">
<AREA SHAPE="poly" COORDS="288,19,316,39,330,37,348,47,351,66,
349,74,367,105,337,85,324,85,307,77,303,60,307,50"
HREF="/workshop/graphics/satglobe.gif">
<AREA SHAPE="poly" COORDS="405,39,408,50,411,57,410,71,404,78,
393,80,383,86,381,75,376,69,376,56,380,48,393,44"
HREF="/workshop/graphics/uraglobe.gif">
<AREA SHAPE="poly" COORDS="445,38,434,49,431,53,427,62,430,72,
435,77,445,92,456,77,463,72,463,62,462,53,455,47"
HREF="/workshop/graphics/nepglobe.gif">
<AREA SHAPE="circle" COORDS="479,66,3"
HREF="/workshop/graphics/pluglobe.gif">
</MAP>
此特性需要 Microsoft® Internet Explorer 4.0 或以后版本。请单击下面的图标安装最新版本。然后重新装入此页再查看示例。

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 和万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。


MARQUEE 元素 | marquee

MARQUEE 元素 | marquee 对象

创建一个滚动的文本字幕。

成员表

下面的表格列出了 marquee 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
BEHAVIOR | behavior | 设置或获取文本如何在字幕中滚动。
BGCOLOR | bgColor | 不推荐。设置或获取对象后面的背景颜色。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DATAFLD | dataFld | 设置或获取由 dataSrc 属性指定的绑定到指定对象的给定数据源的字段。
DATAFORMATAS | dataFormatAs | 设置或获取如何渲染提供给对象的数据。
DATASRC | dataSrc | 设置或获取用于数据绑定的数据源。
DIR | dir | 设置或获取对象的阅读顺序。
DIRECTION | direction | 设置或获取文本滚动的方向。
disabled | 获取表明用户是否可与该对象交互的值。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HEIGHT | height | 设置或获取对象的高度。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
HSPACE | hspace | 设置或获取对象的水平边距。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
LOOP | loop | 设置或获取字幕播放的次数。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
recordNumber | 获取数据集中生成对象的原始记录。
scopeName | 获取为该元素定义的命名空间。
SCROLLAMOUNT | scrollAmount | 设置或获取介于每个字幕绘制序列之间的文本滚动像素数。
SCROLLDELAY | scrollDelay | 设置或获取字幕滚动的速度。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
TRUESPEED | trueSpeed | 设置或获取字幕的位置是否使用 scrollDelay 和 scrollAmount 属性计算，已过的实际时间来自于时钟计时。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。
VSPACE | vspace | 设置或获取对象的垂直边距。
WIDTH | width | 设置或获取对象的宽度。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。
filters | 获取应用于对象的滤镜集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onafterupdate | 当成功更新数据源对象中的关联对象后在数据绑定对象上触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onbeforeupdate | 当成功更新数据源对象中的关联对象前在数据绑定对象上触发。
onblur | 在对象失去输入焦点时触发。
onbounce | 当 marquee 对象的 behavior 属性设置为“alternate”且字幕的内容到达窗口一边时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onerrorupdate | 更新数据源对象中的关联数据出错时在数据绑定对象上触发。
onfilterchange | 当可视滤镜更改状态或完成转换时触发。
onfinish | 当字幕循环完成后触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onscroll | 当用户滚动对象的滚动条时触发。
onselectstart | 对象将要被选中时触发。
onstart | 在 marquee 对象的每次循环开始时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
start | 开始滚动字幕。
stop | 停止字幕的滚动。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
:first-letter | :first-letter | 在对象的第一个字符上应用一个或多个样式。
:first-line | :first-line | 在对象的第一行上应用一个或多个样式。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-char | layoutGridChar | 设置或获取用于渲染元素文本内容的字符网格大小。
layout-grid-line | layoutGridLine | 设置或获取用于渲染元素文本内容的网格线值。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
layout-grid-type | layoutGridType | 设置或获取用于渲染元素文本内容的网格类型。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-break | lineBreak | 设置或获取日本文本的换行规则。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
page-break-after | pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-align | textAlign | 设置或获取对象中的文本是左对齐、右对齐、居中对齐还是两端对齐。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-indent | textIndent | 设置或获取对象中文本的缩进。
text-justify | textJustify | 设置或获取对象内的文本所使用的对齐类型。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
word-break | wordBreak | 设置或获取单词内的换行行为，特别是对象中出现多语言的情况。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

MARQUEE 元素的默认宽度与其父元素的宽度相等。如果 MARQUEE 位于没有指定宽度的 TD 内，你就需要明确设置 MARQUEE 的宽度。如果 MARQUEE 和 TD 的宽度都没有指定，那么滚动字幕就将限定于 1 个像素宽。

要创建垂直滚动的字幕，请将其 scrollLeft 属性设定为 0。要创建水平滚动的字幕，请将其 scrollTop 属性设定为 0，这将覆盖任何脚本设置。

scrollLeft 和 scrollTop 属性当字幕滚动时为只读。当不处于滚动状态时，scrollLeft 对于设置为水平滚动的字幕来说为可读写，scrollTop 对于设置为垂直滚动的字幕来说为可读写。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是块元素。

此元素需要关闭标签。

示例

下面的例子使用了 MARQUEE 元素创建了由左向右的滚动字幕，移动速度为每 200 毫秒 10 像素。

<MARQUEE DIRECTION=RIGHT BEHAVIOR=SCROLL SCROLLAMOUNT=10 SCROLLDELAY=200>
这是一个滚动字幕。
</MARQUEE>

下面的例子显示了 marquee 元素的 scrollLeft 和 scrollTop 属性的一些用途。

<MARQUEE id=m1 direction=right style="border-width:2px;border-style:solid;"
width=200 height=200>向右</MARQUEE><BR>
<!-- 单击此按钮可在字幕滚动时读取 scrollLeft 和 scrollTop 属性的值。 -->
<BUTTON onclick="alert('scrollLeft: ' + m1.scrollLeft + ' scrollRight: ' + m1.scrollTop)">
读取</BUTTON>
<!-- 当字幕停止时，你可以设置水平字幕的 scrollLeft，或者设置垂直字幕的 scrollTop。 -->
<BUTTON onclick="m1.stop();m1.scrollLeft = 190;">停止并设置 scrollLeft=190</BUTTON>
<BUTTON onclick="m1.start();">开始</BUTTON>

标准信息

此对象是微软对 HTML 非 Microsoft 链接 的扩展。


MENU 元素 | menu

MENU 元素 | menu 对象

创建一个项目的无序列表。

成员表

下面的表格列出了 menu 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
blockDirection | 获取表明块元素内容的绕排方向的值，是由左至右，还是由右至左。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
COMPACT Microsoft® Internet Explorer 6 新增 | compact | 设置或获取表明列表是否应该通过删除列表对象间的额外空白来压缩的 Boolean 值。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
:first-letter | :first-letter | 在对象的第一个字符上应用一个或多个样式。
:first-line | :first-line | 在对象的第一行上应用一个或多个样式。
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-char | layoutGridChar | 设置或获取用于渲染元素文本内容的字符网格大小。
layout-grid-line | layoutGridLine | 设置或获取用于渲染元素文本内容的网格线值。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
layout-grid-type | layoutGridType | 设置或获取用于渲染元素文本内容的网格类型。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-break | lineBreak | 设置或获取日本文本的换行规则。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
page-break-after | pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
page-break-before | pageBreakBefore | 设置或获取表明对象前发生换页的字符串。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-align | textAlign | 设置或获取对象中的文本是左对齐、右对齐、居中对齐还是两端对齐。
text-align-last | textAlignLast | 设置或获取如何排列对象的最后一行或仅有的一行。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-indent | textIndent | 设置或获取对象中文本的缩进。
text-justify | textJustify | 设置或获取对象内的文本所使用的对齐类型。
text-kashida-space | textKashidaSpace | 设置或获取对象内文本对齐行时所使用空白扩展的 kashida 扩展的倍率。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-break | wordBreak | 设置或获取单词内的换行行为，特别是对象中出现多语言的情况。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是块元素。

此元素需要关闭标签。

示例

下面的例子使用了 MENU 元素创建了一个包含两个元素的菜单。

<MENU>
<LI>这是菜单中的第一个项目。
<LI>这是菜单中的第二个项目。
</MENU>

标准信息

此对象不是 HTML 非 Microsoft 链接 所建议的，但定义在万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。


META 元素 | meta

META 元素 | meta 对象

向服务器和客户端传达关于文档的隐藏信息。

成员表

下面的表格列出了 meta 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
charset | 设置或获取用于解码对象的字符集。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENT | content | 设置或获取与 HTTP-EQUIV 或 NAME 关联的资源信息。
disabled | 获取表明用户是否可与该对象交互的值。
HTTP-EQUIV | httpEquiv | 设置或获取用于将 META 标签的 content 绑定到 HTTP 响应头的信息。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
NAME | name | 设置或获取 meta 对象的 CONTENT 标签属性中指定的值。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
SCHEME Microsoft® Internet Explorer 6 新增 | scheme | 设置或获取用于解释为对象指定的属性值的方案。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
tagName | 获取对象的标签名称。

事件

事件 | 描述
onlayoutcomplete | 当打印或打印预览版面处理完成用来自于源文档的内容填充当前 LayoutRect 对象时触发。

方法

方法 | 描述
contains | 检查对象中是否包含给定元素。
dragDrop | 初始化拖曳事件。
getAttribute | 获取指定标签属性的值。
removeAttribute | 删除对象的给定标签属性。
setAttribute | 设置指定标签属性的值。

样式

样式标签属性 | 样式属性 | 描述
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。

注释

META 元素同时嵌入了某些搜索引擎用于索引并分类万维网上的文档时所用的文档信息。

此元素只能在 HEAD 元素内使用。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素不会被渲染。

此元素不需要关闭标签。

示例

下面的例子禁用了文档的主题支持。

<META HTTP-EQUIV="MSTHEMECOMPATIBLE" CONTENT="no">

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。


namespace

namespace 对象

向文档中动态导入一个元素行为。

成员表

下面的表格列出了 namespace 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
name | 获取命名空间的名称。
readyState | 获取对象的当前状态。
URN | urn | 设置或获取目标文档的 URN。

事件

事件 | 描述
onreadystatechange | 当对象状态变更时触发。

方法

方法 | 描述
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
doImport | 动态导入元素行为。

注释

此元素在 Microsoft® Internet Explorer 5.5 的脚本中可用。

标准信息

没有应用于此对象的公共标准。

参看

查看链接, 元素行为


navigator

navigator 对象

包含关于 Web 浏览器的信息。

成员表

下面的表格列出了 navigator 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

属性

属性 | 描述
appCodeName | 获取浏览器的代码名称。
appMinorVersion | 获取应用程序的次版本值。
appName | 获取浏览器的名称。
appVersion | 获取浏览器运行的平台和版本。
browserLanguage | 获取浏览器的当前语言。
cookieEnabled | 获取客户端的永久 cookie 是否在浏览器中启用。永久 cookies 是储存在客户端计算机上的。
cpuClass | 获取指示 CPU 等级的字符串。
onLine | 获取表明系统是否处于全局脱机模式的值。
platform | 获取用户的操作系统名称。
systemLanguage | 获取操作系统适用的默认语言。
userAgent | 获取等同于 HTTP 用户代理请求头的字符串。
userLanguage | 获取操作系统的自然语言设置。

集合

集合 | 描述
plugins | 获取文档中所有 EMBED 对象的集合。

方法

方法 | 描述
javaEnabled | 返回 Java 是否已启用。
taintEnabled | 返回是否允许数据污点。

对象

对象 | 描述
userProfile | 提供了允许脚本对用户配置信息请求读取访问并执行读取操作的方法。

注释

此对象在 Microsoft® Internet Explorer 3.0 的脚本中可用。

标准信息

没有应用于此对象的公共标准。

应用到

window


NEXTID 元素 | nextID

NEXTID 元素 | nextID 对象

创建编辑软件可以读取的唯一标识符。

成员表

下面的表格列出了 nextID 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。

集合

集合 | 描述
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。
filters | 获取应用于对象的滤镜集合。

事件

事件 | 描述
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
onfilterchange | 当可视滤镜更改状态或完成转换时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onreadystatechange | 当对象状态变更时触发。
onselectstart | 对象将要被选中时触发。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
clearAttributes | 从对象中删除全部标签属性和值。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
fireEvent | 触发对象的指定事件。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
swapNode | 交换文档层次中两个对象的位置。

样式

样式标签属性 | 样式属性 | 描述
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
behavior | behavior | 设置或获取 DHTML 行为的位置。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。

注释

此元素只能在 HEAD 元素内使用。

此元素在 Microsoft® Internet Explorer 4.0 的 HTML 和脚本中可用。

标准信息

此对象不是 HTML 非 Microsoft 链接 所建议的。


NOBR 元素 | noBR

NOBR 元素 | noBR 对象

不换行渲染文本。

成员表

下面的表格列出了 noBR 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
HEIGHT | height | 设置或获取对象的高度。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
parentElement | 获取对象层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。

集合

集合 | 描述
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。

事件

事件 | 描述
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onselectstart | 对象将要被选中时触发。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
click | 触发 onclick 事件来模拟单击。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getExpression | 获取给定属性的表达式。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeExpression | 从指定属性中删除表达式。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
background | background | 设置或获取对象最多五个独立的背景属性。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
color | color | 设置或获取对象文本的颜色。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
width | width | 设置或获取对象的宽度。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 4.0 的 HTML 和脚本中可用。

此元素不会被渲染。

此元素需要关闭标签。

示例

下面的例子使用了 NOBR 元素避免文本换行。

<NOBR>这里是一行不该换行的文本 . . .
这是文本行的结尾。</NOBR>

标准信息

此对象是对 HTML 非 Microsoft 链接 的扩展。


NOFRAMES 元素 | noFrames

NOFRAMES 元素 | noFrames 对象

包含对于那些不支持 FRAMESET 元素的浏览器使用的 HTML。

成员表

下面的表格列出了 noFrames 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
ID | id | 获取标识对象的字符串。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
parentElement | 获取对象层次中的父对象。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。

集合

集合 | 描述
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。

事件

事件 | 描述
onreadystatechange | 当对象状态变更时触发。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
fireEvent | 触发对象的指定事件。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。

样式

样式标签属性 | 样式属性 | 描述
behavior | behavior | 设置或获取 DHTML 行为的位置。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是内嵌元素。

此元素需要关闭标签。

示例

下面的例子使用了 NOFRAMES 元素指定了当浏览器无法显示框架时要渲染的 HTML。

<FRAMESET>
<NOFRAMES>你需要 Internet Explorer 版本 3.0 或更高版本才能查看框架!</NOFRAMES>
</FRAMESET>

标准信息

此对象定义在 HTML 4.0 非 Microsoft 链接 中。

参看

frame


NOSCRIPT 元素 | noScript

NOSCRIPT 元素 | noScript 对象

指定要在不支持脚本的浏览器显示的 HTML。

成员表

下面的表格列出了 noScript 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
ID | id | 获取标识对象的字符串。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
parentElement | 获取对象层次中的父对象。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。

集合

集合 | 描述
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。

事件

事件 | 描述
onreadystatechange | 当对象状态变更时触发。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
fireEvent | 触发对象的指定事件。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。

样式

样式标签属性 | 样式属性 | 描述
behavior | behavior | 设置或获取 DHTML 行为的位置。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是内嵌元素。

此元素需要关闭标签。

标准信息

此对象定义在 HTML 4.0 非 Microsoft 链接 中。


OBJECT 元素 | object

OBJECT 元素 | object 对象

向 HTML 页面中插入对象。

成员表

下面的表格列出了 object 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ALIGN | align | 设置或获取对象针对其邻接文本如何排列。
ALT | alt | 设置或获取用于替代图像的文本。
altHTML | 设置可选的若对象装载失败时要执行的替换 HTML 脚本。
ARCHIVE | archive | 设置或获取可用于实现对象的你自己的 archive 功能的字符串。
BaseHref | 获取可找到对象标签的 URL 字符串。这通常是对象所在文档的 href，或者由 base 元素设置的值。
BORDER | border | 设置或获取绘制对象周围边框的宽度。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASSID | classid | 设置或获取对象的类标识符。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CODE | code | 设置或获取包含已编译的 Java 类的文件的 URL。
CODEBASE | codeBase | 设置或获取组件的 URL。
CODETYPE | codeType | 设置或获取于对相关联代码的 Internet 媒体类型。
DATA | data | 设置或获取引用对象数据的 URL。
DECLARE Microsoft® Internet Explorer 6 新增 | declare | 设置或获取可用于实现对象的你自己的 declare 功能的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
form | 获取对象所在表单的引用。
HEIGHT | height | 设置或获取对象的高度。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
HSPACE | hspace | 设置或获取对象的水平边距。
ID | id | 获取标识对象的字符串。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
NAME | name | 设置或获取对象的名称。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
object | 返回包含的对象。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
recordset | 从数据源对象设置或获取对默认数据集的引用。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STANDBY Microsoft® Internet Explorer 6 新增 | standby | 设置或获取可用于实现对象的你自己的 standby 功能的字符串。
STYLE | 为该设置元素设置内嵌样式。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
TYPE | type | 设置或获取对象的 MIME 类型。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。
USEMAP | useMap | 设置或获取用于客户端图像映射的 URL，通常带有一个书签扩展(#name)。
VSPACE | vspace | 设置或获取对象的垂直边距。
WIDTH | width | 设置或获取对象的宽度。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onblur | 在对象失去输入焦点时触发。
oncellchange | 在数据供应者中的数据变更时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
ondataavailable | 每当异步传输数据的数据源对象的数据到达时触发。
ondatasetchanged | 当数据源对象对应的数据集发生变更时触发。
ondatasetcomplete | 触发就表明数据源对象所有数据都可用。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onerror | 当对象装载过程中发生错误时触发。
onfocus | 当对象获得焦点时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onrowenter | 触发就表明当前行已经在数据源中更改，对象上有可用的新数据值。
onrowexit | 当数据源控件更改对象当前行前触发。
onrowsdelete | 当行将要从记录集中被删除时触发。
onrowsinserted | 当在当前记录集中插入新行后触发。
onscroll | 当用户滚动对象的滚动条时触发。
onselectstart | 对象将要被选中时触发。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getExpression | 获取给定属性的表达式。
insertAdjacentElement | 在指定位置插入元素。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
namedRecordset | 根据来自于数据源对象(DSO)命名数据成员获取记录集。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
scrollbar-3dlight-color | scrollbar3dLightColor | 设置或获取滚动条上滚动按钮和滚动滑块的左上颜色。
scrollbar-arrow-color | scrollbarArrowColor | 设置或获取滚动箭头标识的颜色。
scrollbar-base-color | scrollbarBaseColor | 设置或获取滚动条的主要颜色，其中包含滚动按钮和滚动滑块。
scrollbar-darkshadow-color | scrollbarDarkShadowColor | 设置或获取滚动条上滑槽的颜色。
scrollbar-face-color | scrollbarFaceColor | 设置或获取滚动条和滚动条的滚动箭头的颜色。
scrollbar-highlight-color | scrollbarHighlightColor | 设置或获取滚动框和滚动条滚动箭头的左上边缘颜色。
scrollbar-shadow-color | scrollbarShadowColor | 设置或获取滚动框和滚动条滚动箭头的右下边缘颜色。
scrollbar-track-color | scrollbarTrackColor | 设置或获取滚动条轨迹元素的颜色。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
zoom | zoom | 设置或获取对象的放大比例。

注释

对象可出现在文档的 head 或 body 内。

如果对象因为任何原因创建失败，浏览器将会渲染 OBJECT 元素内的 HTML。这提供了一种便捷方式可通知用户对象装入失败。下面的代码段演示了此技术。

<OBJECT CLASSID="clsid:22D6F312-B0F6-11D0-94AB-0080C74C7E95">
<SPAN STYLE="color:red">ActiveX 控件装入失败!
-- 请检查浏览器的安全设置。</SPAN>
</OBJECT>

OBJECT 元素可能的返回值，即由动态 HTML(DHTML)对象模型属性生成的值取决于对象的实现。例如，若对象无法实现 readyState 属性，则 readyState 属性将返回 null 或错误。对象的 DHTML 对象模型属性的可用与否取决于对象的内容。要获得关于所支持的属性的更多信息，请参看单个对象的文档。

事件是直接发送到 OBJECT 元素的。如果事件由嵌入对象返回，那么该事件将接续触发。如果事件不返回，那么将不接续触发。

OBJECT 的事件处理句柄也可以由脚本定义(参看示例)。

注意 如果对象实现的 DHTML 模型成员与 DHTML 定义的成员冲突的话，你可以使用 object 元素的 object 属性来强制使用由对象实现的成员。例如，如果 object 实现了一个 item 方法，而 DHTML 也有一个 item 方法，请使用 document.all.objectID.object.item() 来访问对象自己定义的该方法。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是一个内嵌元素。

此元素需要关闭标签。

示例

下面的例子使用了脚本来定义 object 元素的事件处理句柄。

<SCRIPT FOR=oObject EVENT=eEvent>
:
</SCRIPT>
<OBJECT ID=oObject CLASSID="xyz">
</OBJECT>

标准信息

此对象定义在 HTML 4.0 非 Microsoft 链接 和万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。


OL 元素 | ol

OL 元素 | ol 对象

绘制文本的编号列表。

成员表

下面的表格列出了 ol 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
blockDirection | 获取表明块元素内容的绕排方向的值，是由左至右，还是由右至左。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
COMPACT Microsoft® Internet Explorer 6 新增 | compact | 设置或获取表明列表是否应该通过删除列表对象间的额外空白来压缩的 Boolean 值。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
START | start | 设置或获取编号列表的起始编号。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
TYPE | type | 设置或获取列表的样式。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlayoutcomplete | 当打印或打印预览版面处理完成用来自于源文档的内容填充当前 LayoutRect 对象时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-char | layoutGridChar | 设置或获取用于渲染元素文本内容的字符网格大小。
layout-grid-line | layoutGridLine | 设置或获取用于渲染元素文本内容的网格线值。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
layout-grid-type | layoutGridType | 设置或获取用于渲染元素文本内容的网格类型。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-break | lineBreak | 设置或获取日本文本的换行规则。
line-height | lineHeight | 设置或获取对象两行间的距离。
list-style | listStyle | 设置或获取对象最多三个独立的 listStyle 属性。
list-style-image | listStyleImage | 获取要为对象应用的列表项目符号的图像。
list-style-position | listStylePosition | 获取相对于对象内容如何绘制项目符号。
list-style-type | listStyleType | 获取对象预定义的项目符号类型。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
page-break-after | pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
page-break-before | pageBreakBefore | 设置或获取表明对象前发生换页的字符串。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-align | textAlign | 设置或获取对象中的文本是左对齐、右对齐、居中对齐还是两端对齐。
text-align-last | textAlignLast | 设置或获取如何排列对象的最后一行或仅有的一行。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-indent | textIndent | 设置或获取对象中文本的缩进。
text-justify | textJustify | 设置或获取对象内的文本所使用的对齐类型。
text-kashida-space | textKashidaSpace | 设置或获取对象内文本对齐行时所使用空白扩展的 kashida 扩展的倍率。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-break | wordBreak | 设置或获取单词内的换行行为，特别是对象中出现多语言的情况。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

TYPE 标签属性设置了所有后续的列表类型，除非设置了不同的 type 值。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是块元素。

此元素需要关闭标签。

示例

下面的例子使用了 OL 元素创建了一个编号列表。

<OL>
<LI>这是列表的第一个项目。
<LI>这是列表的第二个项目。
</OL>
<OL START=3>
<LI>这是以编号 3 起始的项目。
</OL>
<OL TYPE=A>
<LI>这是项目 A。
</OL>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 和万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。

参看

li


OPTGROUP 元素 | optGroup

OPTGROUP 元素 | optGroup 对象 Microsoft® Internet Explorer 6 新增

允许作者对 select 元素中的选项进行逻辑分组。

成员表

下面的表格列出了 optGroup 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
DISABLED Microsoft® Internet Explorer 6 新增 | disabled | 设置或获取可用于实现对象的你自己的 disabled 功能的字符串。
LABEL Microsoft® Internet Explorer 6 新增 | label | 设置或获取选项组的标签。

注释

在 HTML 4.0 非 Microsoft 链接 中，所有的 OPTGROUP 元素必须在 SELECT 元素中直接指定。组不允许嵌套。

你仅可以向与被创建的 OPTGROUP 元素位于同一窗口的 SELECT 元素添加 OPTGROUP。

此元素在 Microsoft® Internet Explorer 6 的 HTML 中可用。

此元素是块元素。

此元素需要关闭标签。

示例

下面的例子演示了如何使用 OPTGROUP 元素创建下拉列表框中的项目组。

<SELECT>
<OPTGROUP LABEL="碱性金属">
<OPTION>锂 (Li)</OPTION>
<OPTION>纳 (Na)</OPTION>
<OPTION>钾 (K)</OPTION>
</OPTGROUP>
<OPTGROUP LABEL="卤素">
<OPTION>氟 (F)</OPTION>
<OPTION>氯 (Cl)</OPTION>
<OPTION>溴 (Br)</OPTION>
</OPTGROUP>
</SELECT>

标准信息

此对象定义在万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。


OPTION 元素 | option

OPTION 元素 | option 对象

引起 SELECT 元素中的一个选项。

成员表

下面的表格列出了 option 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
defaultSelected | 设置或获取选项的状态。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED Microsoft® Internet Explorer 6 新增 | disabled | 设置或获取可用于实现对象的你自己的 disabled 功能的字符串。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
form | 获取对象所在表单的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
ID | id | 获取标识对象的字符串。
index | 设置或获取列表框中选项的依序位置。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LABEL Microsoft® Internet Explorer 6 新增 | label | 设置或获取可用于实现对象的你自己的 label 功能的字符串。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
SELECTED | selected | 设置或获取列表框中的选项是否为默认项目。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
text | 设置或获取由 option 标签指定的字符串。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
uniqueID | 获取为对象自动生成的唯一标识符。
VALUE | value | 设置或获取当表单控件提交时返回给服务器的值。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onlayoutcomplete | 当打印或打印预览版面处理完成用来自于源文档的内容填充当前 LayoutRect 对象时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
behavior | behavior | 设置或获取 DHTML 行为的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
color | color | 设置或获取对象文本的颜色。
direction | direction | 设置或获取对象的阅读顺序。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
width | width | 设置或获取对象的宽度。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
zoom | zoom | 设置或获取对象的放大比例。

注释

在 Internet Explorer 5 及以后版本中，OPTION 元素是 all 集合的一部分。而在较早版本中，你只能通过 SELECT 元素的 options 集合获得对这些元素的访问。

如果想要向 SELECT 元素中添加 OPTION 元素的话，那么 SELECT 元素必须位于 OPTION 元素被创建的窗口。

除了 background-color 和 color，通过 style 为 option 元素指定的样式设置都将被忽略。此外，直接应用到单个 options 的样式都将全部覆盖应用到 SELECT 元素容器的样式。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 和脚本中可用。

此元素是一个块元素。

此元素不需要关闭标签。

示例

下面的例子使用 OPTION 元素创建了下拉列表框中的单个项目。

<SELECT ID="oCars" SIZE="1" onchange="fnChange()">
<OPTION VALUE="1">宝马
<OPTION VALUE="2">保时捷
<OPTION VALUE="3" SELECTED>奔驰
</SELECT>
<TEXTAREA ID="oData"></TEXTAREA>

下面的例子使用 options 集合将列表框中选中的项目追加到文本区域中。

<SCRIPT LANGUAGE="JScript">
function fnChange(){
oData.value+=oCars.options[oCars.selectedIndex].text + "\n";
}
</SCRIPT>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。

参看

multiple


P 元素 | p

P 元素 | p 对象

引起一段。

成员表

下面的表格列出了 p 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ALIGN | align | 设置或获取对象相对于显示或表格的排列方式。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
blockDirection | 获取表明块元素内容的绕排方向的值，是由左至右，还是由右至左。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlayoutcomplete | 当打印或打印预览版面处理完成用来自于源文档的内容填充当前 LayoutRect 对象时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
:first-letter | :first-letter | 在对象的第一个字符上应用一个或多个样式。
:first-line | :first-line | 在对象的第一行上应用一个或多个样式。
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-char | layoutGridChar | 设置或获取用于渲染元素文本内容的字符网格大小。
layout-grid-line | layoutGridLine | 设置或获取用于渲染元素文本内容的网格线值。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
layout-grid-type | layoutGridType | 设置或获取用于渲染元素文本内容的网格类型。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-break | lineBreak | 设置或获取日本文本的换行规则。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
page-break-after | pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
page-break-before | pageBreakBefore | 设置或获取表明对象前发生换页的字符串。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-align | textAlign | 设置或获取对象中的文本是左对齐、右对齐、居中对齐还是两端对齐。
text-align-last | textAlignLast | 设置或获取如何排列对象的最后一行或仅有的一行。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-indent | textIndent | 设置或获取对象中文本的缩进。
text-justify | textJustify | 设置或获取对象内的文本所使用的对齐类型。
text-kashida-space | textKashidaSpace | 设置或获取对象内文本对齐行时所使用空白扩展的 kashida 扩展的倍率。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-break | wordBreak | 设置或获取单词内的换行行为，特别是对象中出现多语言的情况。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是块元素。

此元素不需要关闭标签。

示例

下面的例子使用了 P 元素创建了一段。

<P>这是一段。</P>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 和万维网协会(W3C)文档对象模型 (DOM) 级别 1 非 Microsoft 链接 中。


page

page 对象

代表 styleSheet 中的一条 @page 规则。

成员表

下面的表格列出了 page 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

属性

属性 | 描述
pseudoClass | 获取标识 @page 规则应用到的页面的伪类的字符串。
selector | 获取标识 @page 规则应用到的页的字符串。

注释

尽管 page 对象在 Microsoft® Internet Explorer 5.5 及以后版本中在样式表(CSS)中代表，该对象仍然不会被 Internet Explorere 用作默认的打印模板。在专为 MSHTML 宿主程序开发的打印模板中可以明确代表此对象。

标准信息

此元素定义于 CSS 级别 2 (CSS2) 非 Microsoft 链接 中。

应用到

pages, styleSheet


PARAM 元素 | param

PARAM 元素 | param 对象

设置 APPLET、EMBED 或 OBJECT 元素的属性初始值。

成员表

下面的表格列出了 param 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
DATAFLD | 设置用于数据绑定的给定数据源的字段。
DATAFORMATAS | 设置或获取如何渲染提供给对象的数据。
DATASRC | 设置或获取用于数据绑定的数据源。
NAME | name | 设置或获取元素的输入参数的名称。
TYPE Microsoft® Internet Explorer 6 新增 | type | 设置或获取 value 标签属性指明的资源内容类型。
VALUE | value | 设置或获取元素的输入参数值。
VALUETYPE Microsoft® Internet Explorer 6 新增 | valueType | 设置或获取 value 标签属性的数据类型。

注释

PARAM 元素仅在 APPLET, EMBED 和 OBJECT 元素内有效。

注意 由 PARAM 元素设置的属性不可由 PARAM 对象变更。

在 APPLET, EMBED 或 OBJECT 元素实例创建完成后，由 PARAM 元素设置的属性无法用 param 对象更改。要更改对象的属性，请使用由对象引出的脚本属性。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用。

此元素不会被渲染。

此元素不需要关闭标签。

示例

下面的例子显示了 Internet Explorer 数据绑定组件的 outerHTML，这样你就可以查看由 PARAM 元素指定的属性。执行这样的检查可以在调试 OBJECT 元素属性时收集信息。除非重新初始化 outerHTML 对象，否则无法编辑对象的 outerHTML 属性。

// 下面的 OBJECT CLASSID 是 Microsoft
// Internet Explorer 数据绑定组件
// 仅使用下面的 HTML 并单击按钮
<OBJECT
ID=tdcContents
CLASSID="clsid:333C7BC4-460F-11D0-BC04-0080C7055A83">
<PARAM NAME="DataURL" VALUE="DataBinding.csv">
</OBJECT>
<BUTTON onclick="oTxt.value=tdcContents.outerHTML">
显示对象的 outerHTML</BUTTON><BR/>
<TEXTAREA ID="oTxt"  STYLE="height:400; width:450;padding:3; overflow=auto;"> </TEXTAREA>
// 单击按钮后会在 TEXTAREA 中以未格式化的形式显示对象
// PARAM 元素的完整列表如下:
<OBJECT id=tdcContents classid=clsid:333C7BC4-460F-11D0-BC04-0080C7055A83>
<PARAM NAME="RowDelim" VALUE="&#10;"><PARAM NAME="FieldDelim" VALUE=",">
<PARAM NAME="TextQualifier" VALUE='"'><PARAM NAME="EscapeChar" VALUE="">
<PARAM NAME="UseHeader" VALUE="0"><PARAM NAME="SortAscending" VALUE="-1">
<PARAM NAME="SortColumn" VALUE=""><PARAM NAME="FilterValue" VALUE="">
<PARAM NAME="FilterCriterion" VALUE="??"><PARAM NAME="FilterColumn" VALUE="">
<PARAM NAME="CharSet" VALUE=""><PARAM NAME="Language" VALUE="">
<PARAM NAME="CaseSensitive" VALUE="-1"><PARAM NAME="Sort" VALUE="">
<PARAM NAME="Filter" VALUE=""><PARAM NAME="AppendData" VALUE="0">
<PARAM NAME="DataURL" VALUE="DataBinding.csv">
<PARAM NAME="ReadyState" VALUE="4">
</OBJECT>

标准信息

此对象定义在 HTML 4.0 非 Microsoft 链接 和万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。


PLAINTEXT 元素 | plainText

PLAINTEXT 元素 | plainText 对象

现在已不支持。

注释

此元素不被推荐使用。请换用 pre 元素。

此元素是内嵌元素。

此元素不需要关闭标签。

标准信息

此对象是微软对 HTML 非 Microsoft 链接 的扩展。


popup

popup 对象

一种特殊的顶层窗口，主要用于出现在应用程序主窗口之外的对话框、消息框和其它临时窗口。

成员表

下面的表格列出了 popup 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

属性

属性 | 描述
document | 获取给定弹出窗口中的 HTML 文档。
isOpen | 获取表明弹出窗口是否已打开的值。

方法

方法 | 描述
hide | 关闭弹出窗口。
show | 在屏幕上显示弹出窗口。

注释

此对象在 Microsoft® Internet Explorer 5.5 的脚本中可用。

示例

下面的例子演示了 popup 对象的使用。该代码创建了弹出窗口并显示之。

<SCRIPT LANGUAGE="JScript">
var oPopup = window.createPopup();
var oPopupBody = oPopup.document.body;
oPopupBody.innerHTML = "在这里显示 <B>HTML</B>。";
oPopup.show(100, 100, 200, 50, document.body);
</SCRIPT>

下面的例子演示了 popup 对象的几种不同用途。

此特性需要 Microsoft® Internet Explorer 5.5 或以后版本。请单击下面的图标安装最新版本。然后重新装入此页再查看示例。

标准信息

没有应用于此对象的公共标准。

参看

createPopup


PRE 元素 | pre

PRE 元素 | pre 对象

以固定宽度字体渲染文本。

成员表

下面的表格列出了 pre 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
blockDirection | 获取表明块元素内容的绕排方向的值，是由左至右，还是由右至左。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。
WIDTH Microsoft® Internet Explorer 6 新增 | width | 设置或获取可用于实现对象的你自己的 width 功能的字符串。
WRAP | wrap | 设置或获取如何处理对象中的自动换行。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
:first-letter | :first-letter | 在对象的第一个字符上应用一个或多个样式。
:first-line | :first-line | 在对象的第一行上应用一个或多个样式。
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-char | layoutGridChar | 设置或获取用于渲染元素文本内容的字符网格大小。
layout-grid-line | layoutGridLine | 设置或获取用于渲染元素文本内容的网格线值。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
layout-grid-type | layoutGridType | 设置或获取用于渲染元素文本内容的网格类型。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-break | lineBreak | 设置或获取日本文本的换行规则。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
page-break-after | pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
page-break-before | pageBreakBefore | 设置或获取表明对象前发生换页的字符串。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-align | textAlign | 设置或获取对象中的文本是左对齐、右对齐、居中对齐还是两端对齐。
text-align-last | textAlignLast | 设置或获取如何排列对象的最后一行或仅有的一行。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-indent | textIndent | 设置或获取对象中文本的缩进。
text-justify | textJustify | 设置或获取对象内的文本所使用的对齐类型。
text-kashida-space | textKashidaSpace | 设置或获取对象内文本对齐行时所使用空白扩展的 kashida 扩展的倍率。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-break | wordBreak | 设置或获取单词内的换行行为，特别是对象中出现多语言的情况。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

PRE 元素内的文字是已经格式化的。空格和回车都是预留的。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是块元素。

此元素需要关闭标签。

示例

下面的例子使用了 PRE 元素格式化文本，以便渲染时与输入时相同。

<PRE>
此文本的格式化效果
与
输入
时
完全
相同。
</PRE>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 和万维网协会(W3C)文档对象模型 (DOM) 级别 1 非 Microsoft 链接 中。

参看

xmp


Q 元素 | q

Q 元素 | q 对象

分离文本中的引语。

成员表

下面的表格列出了 q 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CITE Microsoft® Internet Explorer 6 新增 | cite | 设置或获取关于 对象的参考信息。
CLASS | className | 设置或获取对象的类。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onblur | 在对象失去输入焦点时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onreadystatechange | 当对象状态变更时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 4.0 的 HTML 和脚本中可用。

此元素是内嵌元素。

此元素需要关闭标签。

示例

下面的例子使用了 Q 元素分离文本中的引语。

<P>他说，
<Q>“你好!”</Q>

标准信息

此对象定义在 HTML 4.0 非 Microsoft 链接 和万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。

参看

blockQuote


RT 元素 | rt

RT 元素 | rt 对象

指明 RUBY 元素的注音文本。

成员表

下面的表格列出了 rt 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
NAME | name | 设置或获取对象的名称。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
parentElement | 获取对象层次中的父对象。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
STYLE | 为该设置元素设置内嵌样式。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。

集合

集合 | 描述
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。
filters | 获取应用于对象的滤镜集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onafterupdate | 当成功更新数据源对象中的关联对象后在数据绑定对象上触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onbeforeupdate | 当成功更新数据源对象中的关联对象前在数据绑定对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
onerrorupdate | 更新数据源对象中的关联数据出错时在数据绑定对象上触发。
onfilterchange | 当可视滤镜更改状态或完成转换时触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onreadystatechange | 当对象状态变更时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
blur | 使元素失去焦点并触发 onblur 事件。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getExpression | 获取给定属性的表达式。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeExpression | 从指定属性中删除表达式。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setExpression | 设置指定对象的表达式。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
behavior | behavior | 设置或获取 DHTML 行为的位置。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
height | height | 设置或获取对象的高度。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
width | width | 设置或获取对象的宽度。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
zoom | zoom | 设置或获取对象的放大比例。

注释

注音文本就是一串文本的注解或发音指南。由 ruby 给出的文本就是基准文本。

由 RT 元素指定的注音文本根据 rubyPosition 属性的不同定位于基准文本的上面或内嵌。不支持 RT 元素的浏览器将会把注音文本渲染内嵌在基准文本。

此元素在 Microsoft® Internet Explorer 5 的 HTML 和脚本中可用。

此元素是内嵌元素。

此元素不需要关闭标签。

示例

下面的例子使用了 RT 元素指定一串文本作为基准文本的发音指南。

<RUBY>
基准文本
<RT>注音文本
</RUBY>
此特性需要 Microsoft® Internet Explorer 5 或以后版本。请单击下面的图标安装最新版本。然后重新装入此页再查看示例。

标准信息

此对象是对 HTML 非 Microsoft 链接 建议附加的一部分。

参看

ruby


RUBY 元素 | ruby

RUBY 元素 | ruby 对象

指明要放置在文本串之上或内嵌的注解或发音指南。

成员表

下面的表格列出了 ruby 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
NAME | name | 设置或获取对象的名称。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
parentElement | 获取对象层次中的父对象。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
STYLE | 为该设置元素设置内嵌样式。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。

集合

集合 | 描述
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。
filters | 获取应用于对象的滤镜集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onafterupdate | 当成功更新数据源对象中的关联对象后在数据绑定对象上触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onbeforeupdate | 当成功更新数据源对象中的关联对象前在数据绑定对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
onerrorupdate | 更新数据源对象中的关联数据出错时在数据绑定对象上触发。
onfilterchange | 当可视滤镜更改状态或完成转换时触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onreadystatechange | 当对象状态变更时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
blur | 使元素失去焦点并触发 onblur 事件。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getExpression | 获取给定属性的表达式。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeExpression | 从指定属性中删除表达式。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setExpression | 设置指定对象的表达式。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
behavior | behavior | 设置或获取 DHTML 行为的位置。
clip | clip | 设置或获取定位对象的哪个部分可见。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
ruby-align | rubyAlign | 设置或获取由 rt 对象指定的注音文本的位置。
ruby-overhang | rubyOverhang | 设置或获取由 rt 对象指定的注音文本的位置。
ruby-position | rubyPosition | 设置或获取由 rt 对象指定的注音文本的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
width | width | 设置或获取对象的宽度。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
zoom | zoom | 设置或获取对象的放大比例。

注释

注音文本就是一串文本的注解或发音指南。由 ruby 给出的文本就是基准文本。

RUBY 元素内唯一合法的对象就是 RT 元素。不包含在注音文本对象 RT 内的文本将被认为是基准文本的一部分。

此元素在 Microsoft® Internet Explorer 5.0 的 HTML 和脚本中可用。

此元素是内嵌元素。

此元素需要关闭标签。

示例

下面的例子使用了 RUBY 元素指定了第一串文本为基准文本，使用了 RT 元素指定了第二串文本为注音文本。

<RUBY>
基准文本
<RT>注音文本
</RUBY>
此特性需要 Microsoft® Internet Explorer 5 或以后版本。请单击下面的图标安装最新版本。然后重新装入此页再查看示例。

标准信息

此对象是对 HTML 非 Microsoft 链接 建议附加的一部分。

参看

rt


rule

rule 对象

代表了层叠样式表(CSS)中由选择符和一个或多个声明组成的的样式。

成员表

下面的表格列出了 rule 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

属性

属性 | 描述
readOnly | 获取规则或样式表是定义在页面上还是导入的。
selectorText | 获取标识相应的样式表规则应用到的元素的字符串。

对象

对象 | 描述
style | 代表了给定元素所有可能的内嵌样式的当前设置。

注释

rule 对象定义了应用到一组 HTML 元素上的 CSS 属性。例如，一条包括选择器 H1 和声明 font-family:Arial 的规则定义了全部的 H1 元素都要以 Arial 字体渲染。

此对象在 Microsoft® Internet Explorer 5.0 的脚本中可用。

示例

下面的例子使用了包括选择器 H1 的 rule 对象定义了一条规则将文档中的全部 H1 标题都变成红色。

<STYLE>
H1 { color: red }
</STYLE>

标准信息

没有应用于此对象的公共标准。

参看

rules


runtimeStyle

runtimeStyle 对象

代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。

成员表

下面的表格列出了 runtimeStyle 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

属性

属性 | 描述
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gray | 以灰度显示对象内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
MotionBlur | 以运动模糊的效果显示对象内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Xray | 更改对象内容的颜色深度将其以黑白显示。

方法

方法 | 描述
getAttribute | 获取指定标签属性的值。
getExpression | 获取给定属性的表达式。
removeAttribute | 删除对象的给定标签属性。
removeExpression | 从指定属性中删除表达式。
setAttribute | 设置指定标签属性的值。
setExpression | 设置指定对象的表达式。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-collapse | borderCollapse | 设置或获取表明表格行和单元格边框是组合为单一边框还是像标准 HTML 那样分离。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cssText | 设置或获取样式规则的永久表述。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
height | height | 设置或获取对象的高度。
ime-mode | imeMode | 获取输入方法编辑器(IME)的状态。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-char | layoutGridChar | 设置或获取用于渲染元素文本内容的字符网格大小。
layout-grid-line | layoutGridLine | 设置或获取用于渲染元素文本内容的网格线值。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
layout-grid-type | layoutGridType | 设置或获取用于渲染元素文本内容的网格类型。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-break | lineBreak | 设置或获取日本文本的换行规则。
line-height | lineHeight | 设置或获取对象两行间的距离。
list-style | listStyle | 设置或获取对象最多三个独立的 listStyle 属性。
list-style-image | listStyleImage | 获取要为对象应用的列表项目符号的图像。
list-style-position | listStylePosition | 获取相对于对象内容如何绘制项目符号。
list-style-type | listStyleType | 获取对象预定义的项目符号类型。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
min-height Microsoft® Internet Explorer 6 新增 | minHeight | 设置或获取元素的最小高度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
page-break-after | pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
page-break-before | pageBreakBefore | 设置或获取表明对象前发生换页的字符串。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
ruby-align | rubyAlign | 获取由 RT 对象指定的注音文本的位置。
ruby-overhang | rubyOverhang | 获取由 RT 对象指定的注音文本的位置。
ruby-position | rubyPosition | 获取由 RT 对象指定的注音文本的位置。
scrollbar-3dlight-color | scrollbar3dLightColor | 设置或获取滚动条上滚动按钮和滚动滑块的左上颜色。
scrollbar-arrow-color | scrollbarArrowColor | 设置或获取滚动箭头标识的颜色。
scrollbar-base-color | scrollbarBaseColor | 设置或获取滚动条的主要颜色，其中包含滚动按钮和滚动滑块。
scrollbar-darkshadow-color | scrollbarDarkShadowColor | 设置或获取滚动条上滑槽的颜色。
scrollbar-face-color | scrollbarFaceColor | 设置或获取滚动条和滚动条的滚动箭头的颜色。
scrollbar-highlight-color | scrollbarHighlightColor | 设置或获取滚动框和滚动条滚动箭头的左上边缘颜色。
scrollbar-shadow-color | scrollbarShadowColor | 设置或获取滚动框和滚动条滚动箭头的右下边缘颜色。
scrollbar-track-color | scrollbarTrackColor | 设置或获取滚动条轨迹元素的颜色。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
table-layout | tableLayout | 获取表明表格布局是否固定的字符串。
text-align | textAlign | 设置或获取对象中的文本是左对齐、右对齐、居中对齐还是两端对齐。
text-align-last | textAlignLast | 设置或获取如何排列对象的最后一行或仅有的一行。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-indent | textIndent | 设置或获取对象中文本的缩进。
text-justify | textJustify | 设置或获取对象内的文本所使用的对齐类型。
text-kashida-space | textKashidaSpace | 设置或获取对象内文本对齐行时所使用空白扩展的 kashida 扩展的倍率。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
vertical-align | verticalAlign | 设置或获取对象的垂直排列。
visibility | visibility | 设置或获取对象的内容是否显示。
width | width | 设置或获取对象的宽度。
word-break | wordBreak | 设置或获取单词内的换行行为，特别是对象中出现多语言的情况。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

runtimeStyle 对象设置并获取对象的格式和样式，并且在过程中覆盖已有的格式和样式。除了比 style 对象的优先级高而且不是永久的，runtimeStyle 对象与 style 对象相等。

示例

下面的例子使用 runtimeStyle 对象来影响 currentStyle 对象，而不是 style 对象。

<SCRIPT>
function fnChangeValue(sValue){
if(oDIV.runtimeStyle.backgroundColor == oDIV.style.backgroundColor){
sValue="";
}
oDIV.runtimeStyle.backgroundColor = sValue;
alert(oDIV.style.backgroundColor +
"\n" + oDIV.currentStyle.backgroundColor +
"\n" + oDIV.runtimeStyle.backgroundColor);
}
</SCRIPT>
<DIV ID = "oDIV">
这是一个演示 DIV。
</DIV>
<INPUT TYPE = "button" VALUE = "更改颜色" onclick="fnChangeValue('blue')">
此特性需要 Microsoft® Internet Explorer 5.0 或以后版本。请单击下面的图标安装最新版本。然后重新装入此页再查看示例。

标准信息

没有应用于此对象的公共标准。

应用到

A, ACRONYM, ADDRESS, APPLET, B, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

参看

currentStyle


S 元素 | s

S 元素 | s 对象

以删除线字体渲染文本。

成员表

下面的表格列出了 s 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是内嵌元素。

此元素需要关闭标签。

示例

下面的例子使用了 S 元素带删除线显示。

<S>此文本将带删除线显示。</S>

标准信息

此对象不是 HTML 非 Microsoft 链接 所建议的。

参看

strike


SAMP 元素 | samp

SAMP 元素 | samp 对象

指定代码范例。

成员表

下面的表格列出了 samp 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
width | width | 设置或获取对象的宽度。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是内嵌元素。

此元素需要关闭标签。

示例

下面的例子使用了 SAMP 元素创建了代码范例。

<SAMP>这里的文本将以固定宽度显示。</SAMP>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。

参看

code


screen

screen 对象

包含关于客户屏幕和渲染能力的信息。

成员表

下面的表格列出了 screen 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

属性

属性 | 描述
availHeight | 获取系统屏幕的工作区域高度，排除 Microsoft® Windows® 任务栏。
availWidth | 获取系统屏幕的工作区域宽度，排除 Windows 任务栏。
bufferDepth | 设置或获取用于画面外位图缓冲颜色的每像素位数。
colorDepth | 获取用于目标设置或缓冲区的颜色每像素位数。
deviceXDPI Microsoft® Internet Explorer 6 新增 | 设置或获取系统屏幕水平每英寸点数(DPI)的数值。
deviceYDPI Microsoft® Internet Explorer 6 新增 | 设置或获取系统屏幕垂直每英寸点数(DPI)的数值。
fontSmoothingEnabled | 获取用户是否在控制面板的显示设置中启用了圆整屏幕字体边角的选项。
height | 获取屏幕的垂直分辨率。
logicalXDPI Microsoft® Internet Explorer 6 新增 | 获取系统屏幕水平每英寸点数(DPI)的常规数值。
logicalYDPI Microsoft® Internet Explorer 6 新增 | 获取系统屏幕垂直每英寸点数(DPI)的常规数值。
updateInterval | 设置或获取屏幕的更新间隔。
width | 获取屏幕的垂直分辨率。

注释

此对象在 Microsoft® Internet Explorer 4.0 的脚本中可用。

标准信息

没有应用于此对象的公共标准。

应用到

window


SCRIPT 元素 | script

SCRIPT 元素 | script 对象

为脚本指定由脚本引擎解释的脚本。

成员表

下面的表格列出了 script 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
charset | 设置或获取用于解码对象的字符集。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
DEFER | defer | 设置或获取脚本的状态。
disabled | 获取表明用户是否可与该对象交互的值。
EVENT | event | 设置或获取脚本编写用于的事件。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
FOR | htmlFor | 设置或获取绑定到事件脚本的对象。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取表明对象当前状态的值。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
SRC | src | 获取包含有源代码或数据的外部文件的 URL。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
text | 设置或获取对象文本的字符串形式。
TYPE | type | 设置或获取关联的脚本引擎的 MIME 类型。
uniqueID | 获取为对象自动生成的唯一标识符。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
saveSnapshot | 允许对象在 Web 页保存时留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onload | 在浏览器完成对象的装载后立即触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
clearAttributes | 从对象中删除全部标签属性和值。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getElementsByTagName | 获取基于指定元素名称的对象集合。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
replaceAdjacentText | 替换元素的邻接文本。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
swapNode | 交换文档层次中两个对象的位置。

样式

样式标签属性 | 样式属性 | 描述
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
behavior | behavior | 设置或获取 DHTML 行为的位置。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。

注释

SCRIPT 块内的代码如果不包含在函数内，那么将会在页面装入时立即执行。要保证脚本不在较低版本的浏览器中显示，应该将 SCRIPT 块嵌套在 COMMENT 块内。

FRAMESET 元素后出现的脚本将被忽略。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

只要没有在 SCRIPT 对象中定义 language 属性，MSHTML 就会尝试使用恰当的脚本引擎。如果选择了错误的脚本引擎，那么通常会产生错误。如果在一个页面中使用了多个 SCRIPT 对象，则可能需要为每个 SCRIPT 对象指定 language 属性，而且推荐这么做。一个文档中 SCRIPT 对象的顺序也很重要，特别是为文档中一个或多个元素指定的脚本事件句柄。扩展标记语言(XML)是 SCRIPT 对象的合法内容，但 XML 并不是一种脚本语言。因此，如果 MSHTML 把包含事件句柄函数的 SCRIPT 对象看作了 XML 数据岛，将会发生错误。之所以会产生这样的结果，是因为 MSHTML 会将第一个有 language 属性的 SCRIPT 对象作为事件句柄的默认引擎块。有关更多信息，请参看示例。

此元素不会被渲染。

此元素需要关闭标签。

示例

下面的代码段提供了发生错误的典型例子。

<html>
<head>
<SCRIPT LANGUAGE="XML" id="mySrc1">
<offerings>
<class><materials>这将被渲染。</materials>
<time>1.5 小时</time></class>
</offerings>
</SCRIPT>
<SCRIPT LANGUAGE="Javascript">
function returnIslandRootName()
{
var islandRoot = document.all["mySrc1"].XMLDocument;
alert(islandRoot.nodeName);
}
</SCRIPT>
</head>
<body>
<button onclick="returnIslandRootName()">测试 XML 数据岛</button>
</body>
</html>

由于 XML 数据岛是定义了 langauge 属性的第一个 SCRIPT 对象，MSHTML 会尝试将 returnIslandRootName 函数以 XML 装入，这当然会导致失败。要修正这个例子，只需要更改 SCRIPT 对象的顺序，如下所示:

<html>
<head>
<SCRIPT LANGUAGE="Javascript">
function returnIslandRootName()
{
var islandRoot = document.all["mySrc1"].XMLDocument;
alert(islandRoot.nodeName);
}
</SCRIPT>
<SCRIPT LANGUAGE="XML" id="mySrc1">
<offerings>
<class><materials>这将被渲染。</materials>
<time>1.5 小时</time></class>
</offerings>
</SCRIPT>
</head>
<body>
<button onclick="returnIslandRootName()">测试 XML 数据岛</button>
</body>
</html>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。

参看

acronym, address, cite, i


SELECT 元素 | select

SELECT 元素 | select 对象

引起列表框或下拉框。

成员表

下面的表格列出了 select 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ALIGN | align | 设置或获取对象针对其邻接文本如何排列。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
DATAFLD | dataFld | 设置或获取由 dataSrc 属性指定的绑定到指定对象的给定数据源的字段。
DATASRC | dataSrc | 设置或获取用于数据绑定的数据源。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
DISABLED | disabled | 设置或获取控件的状态。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
form | 获取对象所在表单的引用。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
length | 设置或获取集合中对象的数目。
MULTIPLE | multiple | 设置或获取表明列表中是否可选中多个项目的 Boolean 值。
NAME | name | 设置或获取对象的名称。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
recordNumber | 获取数据集中生成对象的原始记录。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
selectedIndex | 设置或获取选中选项位于 select 对象中的位置。
SIZE | size | 设置或获取列表中的行数。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
type | 根据 MULTIPLE 属性的值获取 select 控件的类型。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。
VALUE | value | 设置或获取当表单控件提交时返回给服务器的值。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
dataselect | 为 select 元素添加数据绑定的能力。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。
options | 获取 select 对象中 option 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onafterupdate | 当成功更新数据源对象中的关联对象后在数据绑定对象上触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onbeforeupdate | 当成功更新数据源对象中的关联对象前在数据绑定对象上触发。
onblur | 在对象失去输入焦点时触发。
onchange | 当对象或选中区的内容改变时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onerrorupdate | 更新数据源对象中的关联数据出错时在数据绑定对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。

方法

方法 | 描述
add | 向 areas, controlRange 或 options 集合中添加一个元素。
addBehavior | 给元素附加一个行为。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
remove | 从集合中删除一个元素。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。
urns | 获取附加了指定行为的全部对象的集合。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
behavior | behavior | 设置或获取 DHTML 行为的位置。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
width | width | 设置或获取对象的宽度。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用。

此元素是窗口控件，不支持 z-index 属性。

此元素是内嵌元素。

此元素需要关闭标签。

示例

下面的例子使用 SELECT 元素创建了一个下拉列表框。

<SELECT NAME="Cats" SIZE="1">
<OPTION VALUE="1">Calico
<OPTION VALUE="2">Tortie
<OPTION VALUE="3" SELECTED>Siamese
</SELECT>

下面的例子使用 select 元素创建了多项选择列表框，方法是设置了 SIZE 和 MULTIPLE 标签属性。要获得多项选择列表框的选中选项，则必须遍历 options 集合并检查 SELECTED 是否被设为 true。

<SELECT ID="oSelect" NAME="Cars" SIZE="3" MULTIPLE>
<OPTION VALUE="1" SELECTED>宝马
<OPTION VALUE="2">保时捷
<OPTION VALUE="3" SELECTED>奔驰
</SELECT>

下面的例子在上面创建的 SELECT 列表的底部添加了一个新选项。新选项的构造程序也可在 Microsoft JScript® 中使用。

<SCRIPT LANGUAGE="JScript">
var oOption = document.createElement("OPTION");
oOption.text="法拉利";
oOption.value="4";
oSelect.add(oOption);
</SCRIPT>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 和万维网协会(W3C)文档对象模型 (DOM) 级别 2 非 Microsoft 链接 中。

参看

option


selection

selection 对象

代表了当前激活选中区，即高亮文本块，和/或文档中用户可执行某些操作的其它元素。

成员表

下面的表格列出了 selection 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

属性

属性 | 描述
type | 获取选中区的类型。
typeDetail | 获取选中区类型的名称。

行为

行为 | 描述
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。

集合

集合 | 描述
TextRange | 获取 TextRange 对象的集合。

事件

事件 | 描述
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

方法

方法 | 描述
clear | 清除选中区的内容。
createRange | 从当前文本选中区中创建 TextRange 对象，或从控件选中区中创建 controlRange 集合。
createRangeCollection | 从当前选中区中创建一个 TextRange 对象。
empty | 取消当前选中区，将选中区类型设置为 none，将其 item 属性设置为 null。

注释

selection 对象的典型用途是作为用户的输入，以便识别正在对文档的哪一部分正在处理，或者作为某一操作的结果输出给用户。

用户和脚本都可以创建选中区。用户创建选中区的办法是拖曳文档的一部分。脚本创建选中区的办法是在文本区域或类似对象上调用 select 方法。要获取当前选中区，请对 document 对象应用 selection 关键字。要对选中区执行操作，请先用 createRange 方法从选中区创建一个文本区域对象。

一个文档同一时间只能有一个选中区。选中区的类型决定了其中为空或者包含文本和/或元素块。尽管空的选中区不包含任何内容，你仍然可以用它作为文档中的位置标志。

此对象在 Microsoft® Internet Explorer 4.0 的脚本中可用。

标准信息

没有应用于此对象的公共标准。

应用到

document


SMALL 元素 | small

SMALL 元素 | small 对象

指定内含文本要以比当前字体稍小的字体显示。

成员表

下面的表格列出了 small 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是内嵌元素。

此元素需要关闭标签。

示例

下面的例子使用了 SMALL 元素将文本减小显示。

<SMALL>此文本将减小显示。</SMALL>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。


SPAN 元素 | span

SPAN 元素 | span 对象

指定内嵌文本容器。

成员表

下面的表格列出了 span 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DATAFLD | dataFld | 设置或获取由 dataSrc 属性指定的绑定到指定对象的给定数据源的字段。
DATAFORMATAS | dataFormatAs | 设置或获取如何渲染提供给对象的数据。
DATASRC | dataSrc | 设置或获取用于数据绑定的数据源。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
recordNumber | 获取数据集中生成对象的原始记录。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。
filters | 获取应用于对象的滤镜集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onafterupdate | 当成功更新数据源对象中的关联对象后在数据绑定对象上触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onbeforeupdate | 当成功更新数据源对象中的关联对象前在数据绑定对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onerrorupdate | 更新数据源对象中的关联数据出错时在数据绑定对象上触发。
onfilterchange | 当可视滤镜更改状态或完成转换时触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
doScroll | 模拟对滚动条组件的单击。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
vertical-align | verticalAlign | 设置或获取对象的垂直排列。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

SPAN 元素特别用于应用样式表(CSS)样式。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是内嵌元素。

此元素需要关闭标签。

示例

下面的例子使用了 SPAN 元素分离文本中的引语。

<P>本段包含了单独的<SPAN STYLE="color: blue">蓝色</SPAN>单词。

标准信息

此对象定义在 HTML 4.0 非 Microsoft 链接 和万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。


STRIKE 元素 | strike

STRIKE 元素 | strike 对象

以删除线字体渲染文本。

成员表

下面的表格列出了 strike 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是内嵌元素。

此元素需要关闭标签。

示例

下面的例子使用了 STRIKE 元素带删除线显示。

<STRIKE>此文本将带删除线显示。</STRIKE>

标准信息

此对象不是 HTML 非 Microsoft 链接 所建议的。

参看

s


STRONG 元素 | strong

STRONG 元素 | strong 对象

以粗体渲染文本。

成员表

下面的表格列出了 strong 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 目前尚未实现。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是内嵌元素。

此元素需要关闭标签。

示例

下面的例子使用了 STRONG 元素来以粗体强调文本。

<STRONG>此文本将被强烈强调(以粗体显示)。</STRONG>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。

参看

acronym, address, b, cite


style

style 对象

代表了给定元素所有可能的内嵌样式的当前设置。

成员表

下面的表格列出了 style 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

属性

属性 | 描述
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gray | 以灰度显示对象内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
MotionBlur | 以运动模糊的效果显示对象内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Xray | 更改对象内容的颜色深度将其以黑白显示。

方法

方法 | 描述
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getExpression | 获取给定属性的表达式。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeExpression | 从指定属性中删除表达式。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setExpression | 设置指定对象的表达式。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-collapse | borderCollapse | 设置或获取表明表格行和单元格边框是组合为单一边框还是像标准 HTML 那样分离。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cssText | 设置或获取样式规则的永久表述。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
height | height | 设置或获取对象的高度。
ime-mode | imeMode | 获取输入方法编辑器(IME)的状态。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-char | layoutGridChar | 设置或获取用于渲染元素文本内容的字符网格大小。
layout-grid-line | layoutGridLine | 设置或获取用于渲染元素文本内容的网格线值。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
layout-grid-type | layoutGridType | 设置或获取用于渲染元素文本内容的网格类型。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-break | lineBreak | 设置或获取日本文本的换行规则。
line-height | lineHeight | 设置或获取对象两行间的距离。
list-style | listStyle | 设置或获取对象最多三个独立的 listStyle 属性。
list-style-image | listStyleImage | 获取要为对象应用的列表项目符号的图像。
list-style-position | listStylePosition | 获取相对于对象内容如何绘制项目符号。
list-style-type | listStyleType | 获取对象预定义的项目符号类型。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
min-height Microsoft® Internet Explorer 6 新增 | minHeight | 设置或获取元素的最小高度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
page-break-after | pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
page-break-before | pageBreakBefore | 设置或获取表明对象前发生换页的字符串。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
ruby-align | rubyAlign | 获取由 RT 对象指定的注音文本的位置。
ruby-overhang | rubyOverhang | 获取由 RT 对象指定的注音文本的位置。
ruby-position | rubyPosition | 获取由 RT 对象指定的注音文本的位置。
scrollbar-3dlight-color | scrollbar3dLightColor | 设置或获取滚动条上滚动按钮和滚动滑块的左上颜色。
scrollbar-arrow-color | scrollbarArrowColor | 设置或获取滚动箭头标识的颜色。
scrollbar-base-color | scrollbarBaseColor | 设置或获取滚动条的主要颜色，其中包含滚动按钮和滚动滑块。
scrollbar-darkshadow-color | scrollbarDarkShadowColor | 设置或获取滚动条上滑槽的颜色。
scrollbar-face-color | scrollbarFaceColor | 设置或获取滚动条和滚动条的滚动箭头的颜色。
scrollbar-highlight-color | scrollbarHighlightColor | 设置或获取滚动框和滚动条滚动箭头的左上边缘颜色。
scrollbar-shadow-color | scrollbarShadowColor | 设置或获取滚动框和滚动条滚动箭头的右下边缘颜色。
scrollbar-track-color | scrollbarTrackColor | 设置或获取滚动条轨迹元素的颜色。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
table-layout | tableLayout | 获取表明表格布局是否固定的字符串。
text-align | textAlign | 设置或获取对象中的文本是左对齐、右对齐、居中对齐还是两端对齐。
text-align-last | textAlignLast | 设置或获取如何排列对象的最后一行或仅有的一行。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-indent | textIndent | 设置或获取对象中文本的缩进。
text-justify | textJustify | 设置或获取对象内的文本所使用的对齐类型。
text-kashida-space | textKashidaSpace | 设置或获取对象内文本对齐行时所使用空白扩展的 kashida 扩展的倍率。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
vertical-align | verticalAlign | 设置或获取对象的垂直排列。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-break | wordBreak | 设置或获取单词内的换行行为，特别是对象中出现多语言的情况。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

所谓内嵌样式，是指你使用 STYLE 标签属性直接为单个 HTML 元素应用的样式表(CSS)指派。使用 style 对象可以检查这些指派，并进行新的指派或更改已有的。

要使用 style 对象，应该在元素对象上使用 style 关键字。要获得内嵌样式的当前设置，应该在 style 上使用对应的 style 属性。

style 对象并不提供对定义在样式表中的样式指派的访问。要获得样式表中样式的信息，请使用 styleSheets 集合访问定义于文档中的单个样式表。

当 rule 对象访问 style 对象时，下列属性不可用: posHeight, posWidth, posTop, posLeft, pixelHeight, pixelWidth, pixelTop 和 pixelLeft。

此对象在 Microsoft® Internet Explorer 4.0 的脚本中可用。

示例

下面的例子使用 style 对象将文档主体文本的字体设置为 Verdana。

document.body.style.fontFamily = "Verdana"

这个例子将给定文档中的全部绝对定位的图像都放置在文档顶部。

var oImages = document.all.tags("IMG");
if (oImages.length) {
for (var iImg = 0; iImg < oImages.length; iImg++) {
var oImg = oImages(iImg);
if (oImg.style.position == "absolute") {
oImg.style.top = 0;
}
}
}

这个例子将第二个元素(div2)的内嵌样式复制到了第一个元素(div1)中，同时还保留第二个的样式。div1 的背景颜色将在指派的过程中被覆盖。

<DIV ID="div1" STYLE="background-color:blue;font-weight:bold">项目 1</DIV>
<DIV ID="div2" STYLE="background-color:red;font-size:18pt;
font-family:Verdana;">项目 2</DIV>
<SCRIPT>
div1.style.cssText += (';' + div2.style.cssText);
</SCRIPT>

标准信息

没有应用于此对象的公共标准。

应用到

A, ACRONYM, ADDRESS, APPLET, B, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, rule, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


STYLE 元素 | style

STYLE 元素 | style 对象

指定页面的样式表。

成员表

下面的表格列出了 style 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
disabled | 设置或获取是否已为对象应用样式表。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。

集合

集合 | 描述
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。

事件

事件 | 描述
onerror | 当对象装载过程中发生错误时触发。
onreadystatechange | 当对象状态变更时触发。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
dragDrop | 初始化拖曳事件。
removeBehavior | 分离元素的行为。
removeNode | 从文档层次中删除对象。

样式

样式标签属性 | 样式属性 | 描述
MEDIA | media | 设置或获取媒体类型。
TYPE | type | 获取样式表编写所用的样式表(CSS)语言。

注释

STYLE 元素只能在 HTML 文档的 HEAD 节内使用。Microsoft® Internet Explorer 4.0 及以后版本允许多个样式块。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素不会被渲染。

此元素需要关闭标签。

示例

下面的例子在 STYLE 元素中包含了样式声明，然后使用 style 对象更改了其中的设置之一。

<HEAD>
<STYLE>
BODY {  background-color: white; color: black;  }
H1 {  font: 8pt Arial bold;  }
P  {  font: 10pt Arial; text-indent: 0.5in;  }
A  {  text-decoration: none; color: blue;  }
</STYLE>
</HEAD>
<BODY>
<P id=oParagraph>示例段落文本</P>
<SCRIPT>
oParagraph.style.fontSize = 14;
</SCRIPT>
</BODY>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。


styleSheet

styleSheet 对象

代表了文档中单一的样式表。

成员表

下面的表格列出了 styleSheet 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
disabled | 设置或获取是否已为对象应用样式表。
href | 设置或获取链接样式表的 URL。
ID | id | 获取标识对象的字符串。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
owningElement | 获取 HTML 层次中的下个对象。
parentStyleSheet | 获取导入到当前样式表的样式表。
readOnly | 获取规则或样式表是定义在页面上还是导入的。
TITLE | title | 设置或获取样式表的标题。
type | 获取样式表编写所用的样式表(CSS)语言。

集合

集合 | 描述
imports | 获取为每个 styleSheet 对象定义的所有导入样式表的集合。
pages | 获取代表 styleSheet 中的 @page 规则的 page 对象的集合。
rules | 获取样式表中所定义规则的集合。

方法

方法 | 描述
addImport | 为指定样式表向 imports 集合中添加样式表。
addPageRule | 为样式表创建新的 page 对象。
addRule | 为样式表创建新规则。
fireEvent | 触发对象的指定事件。
removeRule | 删除 styleSheet 对象中的已有样式规则，并调整对应 rules 集合的索引。

对象

对象 | 描述
page | 代表 styleSheet 中的一条 @page 规则。

样式

样式标签属性 | 样式属性 | 描述
cssText | 设置或获取样式规则的永久表述。
MEDIA | media | 设置或获取媒体类型。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。

注释

你可以使用此对象获取样式表信息, 比如样式表源文件的 URL 以及文档中拥有(定义了)样式表的元素。你还可以使用此对象修改样式表。

你可以从 styleSheets 集合或 imports 集合中获取 styleSheet 对象。这些集合中的每个项目都是一个样式表。而若要一个样式表对应的 styleSheet 对象可用，则该样式表必须位于带有 style 或 link 元素的文档中，或者位于 style 元素的 @import 语句中。

此元素在 Microsoft® Internet Explorer 4.0 的脚本中可用。

示例

下面的例子使用了 styleSheet 对象更改内嵌和导入样式的样式表值。

<STYLE>
BODY {background-color: #CFCFCF;}
@import url("otherStyleSheet.css");
</STYLE>
<SCRIPT>
window.onload=fnInit;
function fnInit(){
// 访问 styleSheet 中的一条规则, 将其 backgroundColor 改为蓝色。
var oStyleSheet=document.styleSheets[0];
var oRule=oStyleSheet.rules[0];
oRule.style.backgroundColor="#0000FF";
// 为 P 元素添加一条规则, 将其背景色设为黄色。
oStyleSheet.addRule("P","background-color: #FFFF00;");
// 更改导入的规则:
oStyleSheet.imports[0].color="#000000";
}
</SCRIPT>

标准信息

没有应用于此对象的公共标准。

应用到

styleSheets


SUB 元素 | sub

SUB 元素 | sub 对象

指定内含文本要以下标的形式显示，通常比当前字体稍小。

成员表

下面的表格列出了 sub 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是内嵌元素。

此元素需要关闭标签。

示例

下面的例子使用了 SUB 元素将一些文本更改为下标字体。

(X<SUB>1</SUB>,Y<SUB>1</SUB>)

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。

参看

sup


SUP 元素 | sup

SUP 元素 | sup 对象

指定内含文本要以上标的形式显示，通常比当前字体稍小。

成员表

下面的表格列出了 sup 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是内嵌元素。

此元素需要关闭标签。

示例

下面的例子使用了 SUP 元素将一些文本更改为上标字体。

(X<SUP>2</SUP> + Y<SUP>2</SUP>)

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。

参看

sub


TABLE 元素 | table

TABLE 元素 | table 对象

指定所含内容要组织成行列的表格。

成员表

下面的表格列出了 table 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ALIGN | align | 设置或获取表格排列。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BACKGROUND | background | 设置或获取对象中文本和图像后平铺的背景图片。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
BGCOLOR | bgColor | 不推荐。设置或获取对象后面的背景颜色。
BORDER | border | 设置或获取绘制对象周围边框的宽度。
BORDERCOLOR | borderColor | 设置或获取对象的边框颜色。
borderColorDark | 设置或获取用于绘制对象 3D 边框的两种颜色的一种。
borderColorLight | 设置或获取用于绘制对象 3D 边框的两种颜色的一种。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
caption | 获取表格的 caption 对象。
CELLPADDING | cellPadding | 设置或获取介于单元格边框和单元格内容之间的空间总量。
CELLSPACING | cellSpacing | 设置或获取表格中单元格之间的空间总量。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
COLS | cols | 设置或获取表格的列数。
DATAPAGESIZE | dataPageSize | 设置或获取绑定到数据源的表格中显示的记录数。
DATASRC | dataSrc | 设置或获取用于数据绑定的数据源。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
FRAME | frame | 设置或获取表格周围的边框显示的方式。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HEIGHT | height | 设置或获取对象的高度。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取表明对象当前状态的值。
RULES | rules | 设置或获取要显示哪些分隔线(内部边框)。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SUMMARY Microsoft® Internet Explorer 6 新增 | summary | 设置或获取对象的描述和/或结构。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
tFoot | 获取表格的 tFoot 对象。
tHead | 获取表格的 tHead 对象。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。
WIDTH | width | 设置或获取对象的宽度。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
rowover | 允许表格元素的行阴影和行突显效果。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
cells | 获取表格行或整个表格中所有单元格的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。
filters | 获取应用于对象的滤镜集合。
rows | 获取来自于 table 对象的 tr (表格行)对象的集合。
tBodies | 获取表格中所有 tBody 对象的集合。此集合中的对象以 HTML 源顺序排列。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfilterchange | 当可视滤镜更改状态或完成转换时触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onscroll | 当用户滚动对象的滚动条时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
createCaption | 在表格中创建空的 caption 元素。
createTFoot | 在表格中创建空的 tFoot 元素。
createTHead | 在表格中创建空的 tHead 元素。
deleteCaption | 从表格中删除 caption 元素及其内容。
deleteRow | 从表格及 rows 集合中删除指定行(tr)。
deleteTFoot | 从表格中删除 tFoot 元素及其内容。
deleteTHead | 从表格中删除 tHead 元素及其内容。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
firstPage | 显示绑定表格的数据集的第一页记录。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertBefore | 在文档层次中插入元素作为父对象的子结点。
insertRow | 在表格中创建新行(tr)，并将行添加到 rows 集合中。
lastPage | 显示绑定表格的数据集的最后一页记录。
mergeAttributes | 复制所有读/写标签属性到指定元素。
moveRow | 将表格行移动到新位置。
nextPage | 显示绑定表格的数据集的下一页记录。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
previousPage | 显示绑定表格的数据集的上一页记录。
refresh | 刷新表格中的内容。当调用 removeRule 这样的方法后这可能是必需的，因为此时页面可能不会自动更新。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-collapse | borderCollapse | 设置或获取表明表格行和单元格边框是组合为单一边框还是像标准 HTML 那样分离。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-char | layoutGridChar | 设置或获取用于渲染元素文本内容的字符网格大小。
layout-grid-line | layoutGridLine | 设置或获取用于渲染元素文本内容的网格线值。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
layout-grid-type | layoutGridType | 设置或获取用于渲染元素文本内容的网格类型。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-break | lineBreak | 设置或获取日本文本的换行规则。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
page-break-after | pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
page-break-before | pageBreakBefore | 设置或获取表明对象前发生换页的字符串。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
table-layout | tableLayout | 获取表明表格布局是否固定的字符串。
text-align | textAlign | 设置或获取对象中的文本是左对齐、右对齐、居中对齐还是两端对齐。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-indent | textIndent | 设置或获取对象中文本的缩进。
text-justify | textJustify | 设置或获取对象内的文本所使用的对齐类型。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
word-break | wordBreak | 设置或获取单词内的换行行为，特别是对象中出现多语言的情况。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

下列标签可在表格结构中出现: CAPTION, COL, COLGROUP, TBODY, TD, TFOOT, TH, THEAD 和 TR。

对于每个 table 对象，仅可指定一个 tHead 和 tFoot。

在文档装入的过程中，对表格的修改将被禁止，直到 onload 事件发生。任何时刻都允许只读访问。

表格对象模型对于数据绑定的表格是只读的。例如，用于删除表格行的脚本可以在未绑定的表格上正确运行，但无法在已绑定数据的表格上运行。table 对象的属性仍旧可用，但是对表格中的绑定数据进行的更改必须通过数据源。

表格的属性区分于表格中所包含的单元格的属性。例如，多列表格的 offsetLeft 属性与表格中最左端单元格的 offsetLeft 属性并不相同。请在编写脚本时选择正确的表格和/或单元格对象。

table 对象及其相关的元素有独立的表格对象模型，这与常规对象模型所采用的方法有很大不同。要获得关于表格对象模型更多的信息，请参看如何动态生成表格。

在脚本中访问 height 属性时，请使用 pixelHeight 或 posHeight 属性测量高度的数值。

如果想要对高度和宽度进行动态变更，那么原始值必须是通过样式指定的(例如，style="height:200px; width:200px")，而不是通过 height 和 width 标签属性。

表格的许多样式并不从其父对象中继承。这其中包括: font-size; font-weight; line-height; text-align; font-style; font-variant。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是一个块元素。

此元素需要关闭标签。

示例

下面的例子使用了 TABLE 元素和 THEAD, TR 及 TH 创建了三行两列的表格。

<TABLE BORDER=1 WIDTH=80%>
<THEAD>
<TR>
<TH>标题 1</TH>
<TH>标题 2</TH>
</TR>
</THEAD>
<TBODY>
<TR>
<TD>第 1 行, 第 1 列文本。</TD>
<TD>第 1 行, 第 2 列文本。</TD>
</TR>
<TR>
<TD>第 2 行, 第 1 列文本。</TD>
<TD>第 2 行, 第 2 列文本。</TD>
</TR>
</TBODY>
</TABLE>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 和万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。

参看

如何动态生成表格


TBODY 元素 | tBody

TBODY 元素 | tBody 对象

指明行作为表格主体。

成员表

下面的表格列出了 tBody 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ALIGN | align | 设置或获取对象相对于显示或表格的排列方式。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
BGCOLOR | bgColor | 不推荐。设置或获取对象后面的背景颜色。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CH Microsoft® Internet Explorer 6 新增 | ch | 设置或获取可用于实现对象的你自己的 ch 功能的字符串。
CHOFF Microsoft® Internet Explorer 6 新增 | chOff | 设置或获取可用于实现对象的你自己的 chOff 功能的字符串。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
DIR | dir | 设置或获取对象的阅读顺序。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取表明对象当前状态的值。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。
VALIGN | vAlign | 设置或获取文本和其它内容在对象内的垂直方向上如何排列。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。
rows | 获取来自于 table 对象的 tr (表格行)对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
deleteRow | 从表格及 rows 集合中删除指定行(tr)。
deleteTFoot | 从表格中删除 tFoot 元素及其内容。
deleteTHead | 从表格中删除 tHead 元素及其内容。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertBefore | 在文档层次中插入元素作为父对象的子结点。
insertRow | 在表格中创建新行(tr)，并将行添加到 rows 集合中。
mergeAttributes | 复制所有读/写标签属性到指定元素。
moveRow | 将表格行移动到新位置。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
page-break-after | pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
page-break-before | pageBreakBefore | 设置或获取表明对象前发生换页的字符串。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
vertical-align | verticalAlign | 设置或获取对象的垂直排列。
visibility | visibility | 设置或获取对象的内容是否显示。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

TBODY 元素内包含的有效标签有：

  • TD
  • TH
  • TR

TBODY 元素会为全部表格自动定义，就算表格没有显式定义 TBODY 元素。

table 对象及其相关的元素有独立的表格对象模型，这与常规对象模型所采用的方法有很大不同。要获得关于表格对象模型更多的信息，请参看如何动态生成表格。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素不会被渲染。

此元素需要关闭标签。

示例

下面的例子使用了 TBODY 元素和 TABLE, TD, THEAD 和 TR 元素创建了一个第一行是表格标题第二行是表格主体的表格。

<TABLE>
<THEAD>
<TR>
<TD>
这是 THEAD 中的文本。
</TD>
</TR>
</THEAD>
<TBODY>
<TR>
<TD>
这是 TBODY 中的文本。
</TD>
</TR>
</TBODY>
</TABLE>

标准信息

此对象定义在 HTML 4.0 非 Microsoft 链接 中。

参看

如何动态生成表格


TD 元素 | td

TD 元素 | td 对象

指定表格中的单元格。

成员表

下面的表格列出了 td 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ABBR Microsoft® Internet Explorer 6 新增 | abbr | 设置或获取对象的缩写文本。
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ALIGN | align | 设置或获取对象相对于显示或表格的排列方式。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
AXIS Microsoft® Internet Explorer 6 新增 | axis | 设置或获取以逗号分隔的与对象关联的概念分类列表。
BACKGROUND | background | 设置或获取对象中文本和图像后平铺的背景图片。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
BGCOLOR | bgColor | 不推荐。设置或获取对象后面的背景颜色。
BORDERCOLOR | borderColor | 设置或获取对象的边框颜色。
borderColorDark | 设置或获取用于绘制对象 3D 边框的两种颜色的一种。
borderColorLight | 设置或获取用于绘制对象 3D 边框的两种颜色的一种。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
cellIndex | 获取对象于所在行的 cells 集合中的位置。
CH Microsoft® Internet Explorer 6 新增 | ch | 设置或获取可用于实现对象的你自己的 ch 功能的字符串。
CHOFF Microsoft® Internet Explorer 6 新增 | chOff | 设置或获取可用于实现对象的你自己的 chOff 功能的字符串。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
COLSPAN | colSpan | 设置或获取对象应该跨越的表格列数。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HEADERS Microsoft® Internet Explorer 6 新增 | headers | 设置或获取为对象提供信息的标题单元格。
HEIGHT | height | 设置或获取对象的高度。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
NOWRAP | noWrap | 设置或获取浏览器是否自动执行换行。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取表明对象当前状态的值。
ROWSPAN | rowSpan | 设置或获取单元格要跨越表格的多少行。
SCOPE Microsoft® Internet Explorer 6 新增 | scope | 设置或获取对象的信息所应用的标格单元格组。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。
VALIGN | vAlign | 设置或获取文本和其它内容在对象内的垂直方向上如何排列。
WIDTH | width | 设置或获取对象的宽度。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。
filters | 获取应用于对象的滤镜集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfilterchange | 当可视滤镜更改状态或完成转换时触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素作为父对象的子结点。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-char | layoutGridChar | 设置或获取用于渲染元素文本内容的字符网格大小。
layout-grid-line | layoutGridLine | 设置或获取用于渲染元素文本内容的网格线值。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
layout-grid-type | layoutGridType | 设置或获取用于渲染元素文本内容的网格类型。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-break | lineBreak | 设置或获取日本文本的换行规则。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
min-height Microsoft® Internet Explorer 6 新增 | minHeight | 设置或获取元素的最小高度。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
page-break-before | pageBreakBefore | 设置或获取表明对象前发生换页的字符串。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
text-align | textAlign | 设置或获取对象中的文本是左对齐、右对齐、居中对齐还是两端对齐。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-indent | textIndent | 设置或获取对象中文本的缩进。
text-justify | textJustify | 设置或获取对象内的文本所使用的对齐类型。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
vertical-align | verticalAlign | 设置或获取对象的垂直排列。
visibility | visibility | 设置或获取对象的内容是否显示。
word-break | wordBreak | 设置或获取单词内的换行行为，特别是对象中出现多语言的情况。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

table 对象及其相关的元素有独立的表格对象模型，这与常规对象模型所采用的方法有很大不同。要获得关于表格对象模型更多的信息，请参看如何动态生成表格。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是块元素。

此元素需要关闭标签。

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 和万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。

参看

如何动态生成表格, table, th, tr, borderCollapse


TEXTAREA 元素 | textArea

TEXTAREA 元素 | textArea 对象

指定多行文本输入控件。

成员表

下面的表格列出了 textArea 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
COLS | cols | 设置或获取对象的宽度。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DATAFLD | dataFld | 设置或获取由 dataSrc 属性指定的绑定到指定对象的给定数据源的字段。
DATASRC | dataSrc | 设置或获取用于数据绑定的数据源。
defaultValue | 设置或获取对象的初始内容。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
form | 获取对象所在表单的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
NAME | name | 设置或获取对象的名称。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
READONLY | readOnly | 设置或获取表明对象内容是否为只读的值。
readyState | 获取表明对象当前状态的值。
recordNumber | 获取数据集中生成对象的原始记录。
ROWS | rows | 设置或获取对象中包含的水平行数。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
status | 设置或获取表明控件是否选中的值。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
type | 获取控件类型。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。
value | 获取或设置 textArea 元素字段中的文本。
WRAP | wrap | 设置或获取如何处理对象中的自动换行。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。
filters | 获取应用于对象的滤镜集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onafterupdate | 当成功更新数据源对象中的关联对象后在数据绑定对象上触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onbeforeupdate | 当成功更新数据源对象中的关联对象前在数据绑定对象上触发。
onblur | 在对象失去输入焦点时触发。
onchange | 当对象或选中区的内容改变时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onerrorupdate | 更新数据源对象中的关联数据出错时在数据绑定对象上触发。
onfilterchange | 当可视滤镜更改状态或完成转换时触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onscroll | 当用户滚动对象的滚动条时触发。
onselect | 当当前选中区改变时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
createTextRange | 为元素创建一个 TextRange 对象。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
doScroll | 模拟对滚动条组件的单击。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
select | 突出显示表单元素的输入区域。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
ime-mode | imeMode | 获取输入方法编辑器(IME)的状态。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
scrollbar-3dlight-color | scrollbar3dLightColor | 设置或获取滚动条上滚动按钮和滚动滑块的左上颜色。
scrollbar-arrow-color | scrollbarArrowColor | 设置或获取滚动箭头标识的颜色。
scrollbar-base-color | scrollbarBaseColor | 设置或获取滚动条的主要颜色，其中包含滚动按钮和滚动滑块。
scrollbar-darkshadow-color | scrollbarDarkShadowColor | 设置或获取滚动条上滑槽的颜色。
scrollbar-face-color | scrollbarFaceColor | 设置或获取滚动条和滚动条的滚动箭头的颜色。
scrollbar-highlight-color | scrollbarHighlightColor | 设置或获取滚动框和滚动条滚动箭头的左上边缘颜色。
scrollbar-shadow-color | scrollbarShadowColor | 设置或获取滚动框和滚动条滚动箭头的右下边缘颜色。
scrollbar-track-color | scrollbarTrackColor | 设置或获取滚动条轨迹元素的颜色。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-align | textAlign | 设置或获取对象中的文本是左对齐、右对齐、居中对齐还是两端对齐。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
width | width | 设置或获取对象的宽度。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

默认字体是固定宽度的。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 和脚本中可用。

此元素是一个内嵌元素。

此元素不需要关闭标签。

示例

下面的例子使用了 TEXTAREA 元素，并将其样式表 (CSS) overflow 标签属性设置为“hidden”(隐藏)来删除 TEXTAREA 的滚动条。

<TEXTAREA STYLE="overflow:hidden" ID=txtComments>
悄悄的我走了，正如我悄悄的来；
我挥一挥衣袖，不带走一片云彩。
</TEXTAREA>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。

参看

input


TextNode

TextNode 对象

将文本字符串代表为文档层次中的结点。

成员表

下面的表格列出了 TextNode 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

属性

属性 | 描述
data | 设置或获取 TextNode 对象的值。
length | 获取 TextNode 对象中的字符数目。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
parentNode | 获取文档层次中的父对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。

方法

方法 | 描述
appendData Microsoft® Internet Explorer 6 新增 | 向对象末尾添加新的字符串。
deleteData Microsoft® Internet Explorer 6 新增 | 从对象中删除指定范围的字符。
insertData Microsoft® Internet Explorer 6 新增 | 在对象的指定偏移量处插入新字符串。
replaceData Microsoft® Internet Explorer 6 新增 | 将对象中指定范围的字符替换为新字符串。
splitText | 在指定索引处分割文本结点。
substringData Microsoft® Internet Explorer 6 新增 | 从对象中析取一定范围的字符。

注释

Use the createTextNode method to create a TextNode object. Once you create the TextNode, you can add to it using the appendChild, replaceNode, or insertBefore methods.

此对象在 Microsoft® Internet Explorer 5 的脚本中可用。

示例

下面的例子使用 TextNode 对象更改 li 对象的文本。

<SCRIPT>
function fnChangeText(){
var oTextNode = document.createTextNode("新建的列表项目 1");
var oReplaceNode = oItem1.firstChild.replaceNode(oTextNode);
}
</SCRIPT>
<UL onclick = "fnChangeText()">
<LI ID = oItem1>列表项目 1
</UL>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。


TextRange

TextRange 对象

代表 HTML 元素中的文本。

成员表

下面的表格列出了 TextRange 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

属性

属性 | 描述
boundingHeight | 获取绑定 TextRange 对象的矩形的高度。
boundingLeft | 获取绑定 TextRange 对象的矩形左边缘和包含 TextRange 对象的左侧之间的距离。
boundingTop | 获取绑定 TextRange 对象的上边缘和包含 TextRange 对象的顶边之间的距离。
boundingWidth | Retrieves the width of the rectangle that bounds the TextRange object.
htmlText | 获取绑定 TextRange 对象的矩形的宽度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
text | 设置或获取范围内包含的文本。

方法

方法 | 描述
collapse | 将插入点移动到当前范围的开始或结尾。
compareEndPoints | 比较 TextRange 对象的结束点和其它范围的结束点。
duplicate | 返回 TextRange 的副本。
execCommand | 在当前文档、当前选中区或给定范围上执行命令。
expand | 扩展范围以便完全包含指定单位的范围。
findText | 在文本中搜索文本并将范围的开始和结束点设置为包围搜索字符串。
getBookmark | 获取可用于使 moveToBookmark 返回相同范围的书签(白底字符串)。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
inRange | 返回一个范围是否被另一个范围包含。
isEqual | 返回指定范围是否与当前范围相等。
move | 折叠给定文本范围并将空范围移动给定单位数。
moveEnd | 更改范围的结束位置。
moveStart | 更改范围的开始位置。
moveToBookmark | 移动到书签。
moveToElementText | 移动文本范围以便范围的开始和结束位置能够完全包含给定元素的文本。
moveToPoint | 将文本范围的开始和结束位置移动到给定点。
parentElement | 获取给定文本范围的父元素。
pasteHTML | 将 HTML 文本粘贴入给定文本范围，替换范围内任何先前的文本和 HTML 元素。
queryCommandEnabled | 返回表明指定命令是否可于给定文档当前状态下使用 execCommand 命令成功执行的 Boolean 值。
queryCommandIndeterm | 返回表明指定命令是否处于模糊状态的 Boolean 值。
queryCommandState | 返回表明命令当前状态的 Boolean 值。
queryCommandSupported | 返回表明当前命令是否在当前区域上支持的 Boolean 值。
queryCommandValue | 返回文档、范围或当前选中区对于给定命令的当前值。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
select | 将当前选中区置为当前对象。
setEndPoint | 根据其它范围的结束点设置某范围的结束点。

注释

使用此对象可以获取并修改元素中的文本，定位文本中的指定字符串，以及执行影响文本外观的命令。

要获取一个文本范围对象，请对 body, button 或 textArea 元素或带有 TYPE 文本的 input 元素应用 createTextRange 方法。

如果想要修改文本范围的延展范围，可以使用 move, moveToElementText 和 findText 移动其起始和终止位置。在文本范围内，你可以获取并修改纯文本或 HTML 文本。这些格式的文本完全相同，只是 HTML 文本包含 HTML 标签，而春文本不包含。

此对象在 Microsoft® Internet Explorer 4.0 的脚本中可用。

示例

下面的例子通过 TextRange 对象将 button 元素的文本更改为“已单击”。

<SCRIPT LANGUAGE="JScript">
var b = document.all.tags("BUTTON");
if (b!=null) {
var r = b[0].createTextRange();
if (r != null) {
r.text = "已单击";
}
}
</SCRIPT>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。

参看

createTextRange


TextRectangle

TextRectangle 对象

指定包含元素或 TextRange 对象中一行文本的矩形。

成员表

下面的表格列出了 TextRectangle 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

属性

属性 | 描述
bottom | 设置或获取围绕对象内容的矩形上边坐标。
left | 设置或获取围绕对象内容的矩形左边坐标。
right | 设置或获取围绕对象内容的矩形右边坐标。
top | 设置或获取围绕对象内容的矩形下边坐标。

注释

对一个元素或文本范围对象应用 getClientRects 方法可以获得一个 TextRectangle 对象的集合。getClientRects 方法返回一个矩形的集合，其中包括每个矩形相对于客户区的上、下、左、右的坐标。

在下面取自徐志摩《再别康桥》的诗句中，b 元素(粗体文本)中共包含四个 TextRectangle 对象。

<P>悄悄的<B>我走了，<BR>
正如我悄悄的来；<BR>
我挥一挥衣袖，<BR>
不带走</B>一片云彩。
</P>

这四个 TextRectangle 对象是:

  1. “我走了，”
  2. “正如我悄悄的来；”
  3. “我挥一挥衣袖，”
  4. “不带走”

如果你更改包含此文本的窗口的大小，TextRectangle 对象不会更新。由于对象是布局的快照，应该在 onresize 事件触发后随之更新对象。

TextRectangle 的宽度可能与其包含的 TextRange 的宽度并不相等。因为 TextRange 与文本的宽度相等，而 TextRectangle 却与包含文本的元素宽度相等。

此对象在 Microsoft® Internet Explorer 5 的脚本中可用。

示例

下面的例子演示了如何使用 getClientRects 和 getBoundingClientRect 方法突出显示对象中的文本行。

<HEAD>
<SCRIPT>
var rcts;
var keyCount=0;
function Highlight(obj) {
rcts = obj.getClientRects();
rctLength= rcts.length;
if (keyCount > rctLength-1) {
idBeige.style.display="none";
keyCount = 0
}
// 设置黄色 DIV 的渲染属性
cdRight = rcts[keyCount].right + idBody.scrollLeft;
cdLeft = rcts[keyCount].left + idBody.scrollLeft;
cdTop = rcts[keyCount].top + idBody.scrollTop;
cdBottom = rcts[keyCount].bottom + idBody.scrollTop;
idYellow.style.top = cdTop;
idYellow.style.width = (cdRight-cdLeft) - 5;
idYellow.style.display = 'inline';
// 设置土色 DIV 的渲染属性
bndRight = obj.getBoundingClientRect().right +
idBody.scrollLeft;
bndLeft = obj.getBoundingClientRect().left +
idBody.scrollLeft;
bndTop = obj.getBoundingClientRect().top +
idBody.scrollTop;
idBeige.style.top = bndTop;
idBeige.style.width = (bndRight-bndLeft) - 5;
idBeige.style.height = cdTop - bndTop;
if (keyCount>0){
idBeige.style.display = 'inline';
}
keyCount++;
}
</SCRIPT>
</HEAD>
<BODY ID="idBody">
<DIV ID="oID_1" onclick="Highlight(this)"
onkeydown="Highlight(this)">
在此会有大量的文本。如果多次单击此处的文本，
将会看到每单击一次鼠标，就会有一行被突出显示。
如果每行都被突出显示了，这个过程就会从第一行
重新开始。
</DIV>
<DIV STYLE="position:absolute; left:5; top:400;
z-index:-1; background-color:yellow; display:none"
ID="idYellow"></DIV>
<DIV STYLE="position:absolute; left:5; top:400;
z-index:-1; background-color:beige; display:none"
ID="idBeige"></DIV>
</BODY>
此特性需要 Microsoft® Internet Explorer 5.0 或以后版本。请单击下面的图标安装最新版本。然后重新装入此页再查看示例。

下面的例子是用了 TextRectangle 集合和 getClientRects 及 getBoundingClientRect 方法决定元素中文本矩形的位置。在行中左对齐的文本并不扩展到包含文本的外框的右边。使用此集合，你可以确定仅仅围绕在每行内容外侧的矩形的坐标。示例代码将读取这些矩形的坐标并演示一个小球只在文本处划过，而不是行尾。

<HEAD>
<SCRIPT>
var timid = -1;
var timoID_2 = -1;
var nLine;
var nPosInLine;
var oRcts;
var nDivLen;
var nEraser;
function LoadDone() {
oTextRange = document.body.createTextRange();
// 获得范围的绑定矩形
oRcts = oTextRange.getClientRects();
nLine = 0;
oBndRct = obj.getBoundingClientRect();
nDivLen = oBndRct.right - oBndRct.left + 1;
MoveTo();
}
function MoveTo() {
if (nLine >= oRcts.length) {
nLine = 0;
}
obj.style.top = oRcts[nLine].top;
nPosInLine = oRcts[nLine].left;
nEraser = 0;
timoID_2 = setInterval("MoveToInLine()",60);
}
function MoveToInLine() {
if (nPosInLine >= oRcts[nLine].right - nDivLen) {
clearInterval(timoID_2);
timoID_2 = -1;
obj.style.left = oRcts[nLine].right - nDivLen;
nLine++;
timid = setTimeout("MoveTo()", 100);
return;
}
if (nEraser == 0) {
nEraser = 1;
}
else {
nEraser = 0;
}
im.src = "/workshop/graphics/dot.gif";
obj.style.left = nPosInLine;
nPosInLine += 3;
}
function End() {
if(timid != -1) {
clearInterval(timid);
timid = -1;
}
if(timoID_2 != -1) {
clearInterval(timoID_2);
timoID_2 = -1;
}
}
</SCRIPT>
</HEAD>
<BODY ID="bodyid" onload="LoadDone()"
onresize="End();LoadDone();" onunload="End()">
<P STYLE="text-align:center">
<B>The quick brown fox jumps over the lazy dog.</B>
</P>
<DIV ID="obj" STYLE="position:absolute">
<IMG ID="im" SRC="/workshop/graphics/dot.gif"
BORDER=0 HEIGHT=16 WIDTH=16>
</DIV>
</BODY>
此特性需要 Microsoft® Internet Explorer 5.0 或以后版本。请单击下面的图标安装最新版本。然后重新装入此页再查看示例。

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。


TFOOT 元素 | tFoot

TFOOT 元素 | tFoot 对象

指明行作为表尾。

成员表

下面的表格列出了 tFoot 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ALIGN | align | 设置或获取对象相对于显示或表格的排列方式。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
BGCOLOR | bgColor | 不推荐。设置或获取对象后面的背景颜色。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CH Microsoft® Internet Explorer 6 新增 | ch | 设置或获取可用于实现对象的你自己的 ch 功能的字符串。
CHOFF Microsoft® Internet Explorer 6 新增 | chOff | 设置或获取可用于实现对象的你自己的 chOff 功能的字符串。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
DIR | dir | 设置或获取对象的阅读顺序。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取表明对象当前状态的值。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。
VALIGN | vAlign | 设置或获取文本和其它内容在对象内的垂直方向上如何排列。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。
rows | 获取来自于 table 对象的 tr (表格行)对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
deleteRow | 从表格及 rows 集合中删除指定行(tr)。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertBefore | 在文档层次中插入元素作为父对象的子结点。
insertRow | 在表格中创建新行(tr)，并将行添加到 rows 集合中。
mergeAttributes | 复制所有读/写标签属性到指定元素。
moveRow | 将表格行移动到新位置。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
page-break-after | pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
page-break-before | pageBreakBefore | 设置或获取表明对象前发生换页的字符串。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
vertical-align | verticalAlign | 设置或获取对象的垂直排列。
visibility | visibility | 设置或获取对象的内容是否显示。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

TFOOT 元素内包含的有效标签有：

  • TD
  • TH
  • TR

任何给定的 table 对象都只能定义一个 tFoot。

table 对象及其相关的元素有独立的表格对象模型，这与常规对象模型所采用的方法有很大不同。要获得关于表格对象模型更多的信息，请参看如何动态生成表格。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素不会被渲染。

此元素需要关闭标签。

示例

这个例子使用了 TFOOT 元素和 TABLE, TBODY, TD 和 TR 元素创建了一个表格，第一行位于表格主体，第二行位于表格尾。

<TABLE>
<TBODY>
<TR>
<TD>
此文本位于表格主体。
</TD>
</TR>
</TBODY>
<TFOOT>
<TR>
<TD>
此文本位于表尾。
</TD>
</TR>
</TFOOT>
</TABLE>

标准信息

此对象定义在 HTML 4.0 非 Microsoft 链接 和万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。

参看

如何动态生成表格


TH 元素 | th

TH 元素 | th 对象

指定标题列。标题列将在单元格中居中并以粗体显示。

成员表

下面的表格列出了 th 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ABBR Microsoft® Internet Explorer 6 新增 | abbr | 设置或获取对象的缩写文本。
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ALIGN | align | 设置或获取对象相对于显示或表格的排列方式。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
AXIS Microsoft® Internet Explorer 6 新增 | axis | 设置或获取以逗号分隔的与对象关联的概念分类列表。
BACKGROUND | background | 设置或获取对象中文本和图像后平铺的背景图片。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
BGCOLOR | bgColor | 不推荐。设置或获取对象后面的背景颜色。
BORDERCOLOR | borderColor | 设置或获取对象的边框颜色。
borderColorDark | 设置或获取用于绘制对象 3D 边框的两种颜色的一种。
borderColorLight | 设置或获取用于绘制对象 3D 边框的两种颜色的一种。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CH Microsoft® Internet Explorer 6 新增 | ch | 设置或获取可用于实现对象的你自己的 ch 功能的字符串。
CHOFF Microsoft® Internet Explorer 6 新增 | chOff | 设置或获取可用于实现对象的你自己的 chOff 功能的字符串。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
COLSPAN | colSpan | 设置或获取对象应该跨越的表格列数。
DIR | dir | 设置或获取对象的阅读顺序。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HEADERS Microsoft® Internet Explorer 6 新增 | headers | 设置或获取为对象提供信息的标题单元格。
HEIGHT | height | 设置或获取对象的高度。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
NOWRAP | noWrap | 设置或获取浏览器是否自动执行换行。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取表明对象当前状态的值。
ROWSPAN | rowSpan | 设置或获取单元格要跨越表格的多少行。
SCOPE Microsoft® Internet Explorer 6 新增 | scope | 设置或获取对象的信息所应用的标格单元格组。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
VALIGN | vAlign | 设置或获取文本和其它内容在对象内的垂直方向上如何排列。
WIDTH | width | 设置或获取对象的宽度。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
filters | 获取应用于对象的滤镜集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
onfilterchange | 当可视滤镜更改状态或完成转换时触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素作为父对象的子结点。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-char | layoutGridChar | 设置或获取用于渲染元素文本内容的字符网格大小。
layout-grid-line | layoutGridLine | 设置或获取用于渲染元素文本内容的网格线值。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
layout-grid-type | layoutGridType | 设置或获取用于渲染元素文本内容的网格类型。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-break | lineBreak | 设置或获取日本文本的换行规则。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
min-height Microsoft® Internet Explorer 6 新增 | minHeight | 设置或获取元素的最小高度。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
page-break-after | pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
page-break-before | pageBreakBefore | 设置或获取表明对象前发生换页的字符串。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
text-align | textAlign | 设置或获取对象中的文本是左对齐、右对齐、居中对齐还是两端对齐。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-indent | textIndent | 设置或获取对象中文本的缩进。
text-justify | textJustify | 设置或获取对象内的文本所使用的对齐类型。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
vertical-align | verticalAlign | 设置或获取对象的垂直排列。
visibility | visibility | 设置或获取对象的内容是否显示。
word-break | wordBreak | 设置或获取单词内的换行行为，特别是对象中出现多语言的情况。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

table 对象及其相关的元素有独立的表格对象模型，这与常规对象模型所采用的方法有很大不同。要获得关于表格对象模型更多的信息，请参看如何动态生成表格。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是块元素。

此元素需要关闭标签。

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。

参看

如何动态生成表格, td, tr


THEAD 元素 | tHead

THEAD 元素 | tHead 对象

指明行作为表头。

成员表

下面的表格列出了 tHead 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ALIGN | align | 设置或获取对象相对于显示或表格的排列方式。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
BGCOLOR | bgColor | 不推荐。设置或获取对象后面的背景颜色。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CH Microsoft® Internet Explorer 6 新增 | ch | 设置或获取可用于实现对象的你自己的 ch 功能的字符串。
CHOFF Microsoft® Internet Explorer 6 新增 | chOff | 设置或获取可用于实现对象的你自己的 chOff 功能的字符串。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
DIR | dir | 设置或获取对象的阅读顺序。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取表明对象当前状态的值。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。
VALIGN | vAlign | 设置或获取文本和其它内容在对象内的垂直方向上如何排列。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。
rows | 获取来自于 table 对象的 tr (表格行)对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
deleteRow | 从表格及 rows 集合中删除指定行(tr)。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertBefore | 在文档层次中插入元素作为父对象的子结点。
insertRow | 在表格中创建新行(tr)，并将行添加到 rows 集合中。
mergeAttributes | 复制所有读/写标签属性到指定元素。
moveRow | 将表格行移动到新位置。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
page-break-after | pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
page-break-before | pageBreakBefore | 设置或获取表明对象前发生换页的字符串。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
vertical-align | verticalAlign | 设置或获取对象的垂直排列。
visibility | visibility | 设置或获取对象的内容是否显示。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

THEAD 元素内包含的有效标签有：

  • TD
  • TH
  • TR

任何给定的 table 对象都只能定义一个 tHead。

table 对象及其相关的元素有独立的表格对象模型，这与常规对象模型所采用的方法有很大不同。要获得关于表格对象模型更多的信息，请参看如何动态生成表格。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素不会被渲染。

此元素需要关闭标签。

示例

这个例子使用了 THEAD 元素和 TABLE, TBODY, TD 和 TR 元素创建了一个表格，第一行位于表头，第二行位于表格主体。

<TABLE>
<THEAD>
<TR>
<TD>
此文本位于表头。
</TD>
</TR>
</THEAD>
<TBODY>
<TR>
<TD>
此文本位于表格主体。
</TD>
</TR>
</TBODY>
</TABLE>

标准信息

此对象定义在 HTML 4.0 非 Microsoft 链接 和万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。

参看

如何动态生成表格


TITLE 元素 | title

TITLE 元素 | title 对象

包含文档的标题。

成员表

下面的表格列出了 title 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
disabled | 获取表明用户是否可与该对象交互的值。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
text | 设置或获取对象文本的字符串形式。
uniqueID | 获取为对象自动生成的唯一标识符。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onlayoutcomplete | 当打印或打印预览版面处理完成用来自于源文档的内容填充当前 LayoutRect 对象时触发。
onreadystatechange | 当对象状态变更时触发。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
clearAttributes | 从对象中删除全部标签属性和值。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getElementsByTagName | 获取基于指定元素名称的对象集合。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
replaceAdjacentText | 替换元素的邻接文本。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
swapNode | 交换文档层次中两个对象的位置。

样式

样式标签属性 | 样式属性 | 描述
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
behavior | behavior | 设置或获取 DHTML 行为的位置。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。

注释

TITLE 元素仅可在 HEAD 元素内使用。位于 TITLE 开闭标签之内的文本都会在浏览器的标题栏和 Microsoft Windows® 的任务栏上显示。对于 Web 页，“Internet Explorer”会被自动追加到标题后。而在 HTML 应用程序(HTA)中，仅会显示指定的标题。

要使用脚本在程序中设置标题，请使用 document.title 而不是设置 title 对象的 innerHTML 属性。有关更多信息，请参看 Q296113: 脚本无法更改 Web 页的文档标题。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是块元素。

此元素需要关闭标签。

示例

下面的例子使用了 TITLE 元素指定了文档的标题。

<HEAD>
<TITLE>"欢迎使用 Internet Explorer!"</TITLE>
</HEAD>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 和万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。

应用到

document


TR 元素 | tr

TR 元素 | tr 对象

指定表格中的一行。

成员表

下面的表格列出了 tr 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ALIGN | align | 设置或获取对象相对于显示或表格的排列方式。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
BGCOLOR | bgColor | 不推荐。设置或获取对象后面的背景颜色。
BORDERCOLOR | borderColor | 设置或获取对象的边框颜色。
borderColorDark | 设置或获取用于绘制对象 3D 边框的两种颜色的一种。
borderColorLight | 设置或获取用于绘制对象 3D 边框的两种颜色的一种。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CH Microsoft® Internet Explorer 6 新增 | ch | 设置或获取可用于实现对象的你自己的 ch 功能的字符串。
CHOFF Microsoft® Internet Explorer 6 新增 | chOff | 设置或获取可用于实现对象的你自己的 chOff 功能的字符串。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HEIGHT | height | 设置或获取对象的高度。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取表明对象当前状态的值。
rowIndex | 获取对象在表格的 rows 集合中的位置。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sectionRowIndex | 获取对象位于 tBody, tHead, tFoot 或 rows 集合中的位置。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
VALIGN | vAlign | 设置或获取文本和其它内容在对象内的垂直方向上如何排列。
WIDTH | width | 设置或获取对象的宽度。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
cells | 获取表格行或整个表格中所有单元格的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfilterchange | 当可视滤镜更改状态或完成转换时触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
deleteCell | 从表格行及 cells 集合中删除指定单元格(td)。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertBefore | 在文档层次中插入元素作为父对象的子结点。
insertCell | 在表格行(tr)中创建新单元格，并将单元格添加到 cells 集合中。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
height | height | 设置或获取对象的高度。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-char | layoutGridChar | 设置或获取用于渲染元素文本内容的字符网格大小。
layout-grid-line | layoutGridLine | 设置或获取用于渲染元素文本内容的网格线值。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
layout-grid-type | layoutGridType | 设置或获取用于渲染元素文本内容的网格类型。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-break | lineBreak | 设置或获取日本文本的换行规则。
line-height | lineHeight | 设置或获取对象两行间的距离。
min-height Microsoft® Internet Explorer 6 新增 | minHeight | 设置或获取元素的最小高度。
page-break-after | pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
page-break-before | pageBreakBefore | 设置或获取表明对象前发生换页的字符串。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
text-align | textAlign | 设置或获取对象中的文本是左对齐、右对齐、居中对齐还是两端对齐。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-indent | textIndent | 设置或获取对象中文本的缩进。
text-justify | textJustify | 设置或获取对象内的文本所使用的对齐类型。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
vertical-align | verticalAlign | 设置或获取对象的垂直排列。
visibility | visibility | 设置或获取对象的内容是否显示。
word-break | wordBreak | 设置或获取单词内的换行行为，特别是对象中出现多语言的情况。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

TD 和 TH 元素可以在行中出现。

要更改 TR 元素中的 HTML，请使用表格对象模型。例如，使用 rowIndex 属性或 rows 集合获取对特定表格行的引用。你可以使用 insertRow 和 deleteRow 方法添加或删除行。要获取对特定单元格的引用，请使用 cellIndex 属性或 cells 集合。你可以使用 insertCell 和 deleteCell 方法添加或删除单元格。要更改特定单元格的内容，请使用 innerHTML 或 innerText 属性。

table 对象及其相关的元素有独立的表格对象模型，这与常规对象模型所采用的方法有很大不同。要获得关于表格对象模型更多的信息，请参看如何动态生成表格。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是块元素。

此元素需要关闭标签。

示例

下面的例子演示了如何在 HTML 和脚本中创建表格行。

这个例子使用了 TR 元素和 TABLE, TD 及 TR 元素创建了两行的表格。

<TABLE>
<TR>
<TD>这是第一行。</TD>
</TR>
<TR>
<TD>这是第二行。</TD>
</TR>
</TABLE>

这个例子使用表格对象模型在用户单击按钮时向表格中动态添加了两行和两个单元格。

<SCRIPT>
function createRows(){
// 插入两行。
var oRow1=oTable.insertRow(oTable.rows.length);
var oRow2=oTable.insertRow(oTable.rows.length);
// 获取表格的行集合。
var aRows=oTable.rows;
// 获取第一行的单元格集合。
var aCells=oRow1.cells;
// 在第一行中插入两个单元格。
var oCell1_1=aRows(oRow1.rowIndex).insertCell(aCells.length);
var oCell1_2=aRows(oRow1.rowIndex).insertCell(aCells.length);
// 获取第二行的单元格集合。
aCells=oRow2.cells;
// 在第二行中插入两个单元格。
var oCell2_1=aRows(oRow2.rowIndex).insertCell(aCells.length);
var oCell2_2=aRows(oRow2.rowIndex).insertCell(aCells.length);
// 为 4 个新单元格添加规范的 HTML 值。
oCell1_1.innerHTML="<B>Cell 1.1!</B>";
oCell1_2.innerHTML="<B>Cell 1.2!</B>";
oCell2_1.innerHTML="<B>Cell 2.1!</B>";
oCell2_2.innerHTML="<B>Cell 2.2!</B>";
}
</SCRIPT>
<INPUT TYPE="button" VALUE="创建行" onclick="createRows()">
<TABLE BORDER=1 ID="oTable">
<TR><TD></TD></TR>
</TABLE>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 和万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。

参看

如何动态生成表格, table, borderCollapse


TT 元素 | tt

TT 元素 | tt 对象

以固定宽度字体渲染文本。

成员表

下面的表格列出了 tt 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。
WIDTH Microsoft® Internet Explorer 6 新增 | width | 设置或获取可用于实现对象的你自己的 width 功能的字符串。
WRAP | wrap | 设置或获取如何处理对象中的自动换行。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是内嵌元素。

此元素需要关闭标签。

示例

下面的例子使用了 TT 元素以固定宽度字体渲染文本。

<TT>此处是纯文本文字。;</TT>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。

参看

xmp


U 元素 | u

U 元素 | u 对象

带下划线渲染文本。

成员表

下面的表格列出了 u 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是内嵌元素。

此元素需要关闭标签。

示例

下面的例子使用了 U 元素将文本加下划线显示。

<B>此文本将带下划线显示。</B>

标准信息

此对象不是 HTML 非 Microsoft 链接 所建议的。


UL 元素 | ul

UL 元素 | ul 对象

绘制文本的项目符号列表。

成员表

下面的表格列出了 ul 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
blockDirection | 获取表明块元素内容的绕排方向的值，是由左至右，还是由右至左。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
COMPACT Microsoft® Internet Explorer 6 新增 | compact | 设置或获取表明列表是否应该通过删除列表对象间的额外空白来压缩的 Boolean 值。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
disabled | 获取表明用户是否可与该对象交互的值。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
TYPE | type | 设置或获取列表的样式。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlayoutcomplete | 当打印或打印预览版面处理完成用来自于源文档的内容填充当前 LayoutRect 对象时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
dragDrop | 初始化拖曳事件。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-char | layoutGridChar | 设置或获取用于渲染元素文本内容的字符网格大小。
layout-grid-line | layoutGridLine | 设置或获取用于渲染元素文本内容的网格线值。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
layout-grid-type | layoutGridType | 设置或获取用于渲染元素文本内容的网格类型。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-break | lineBreak | 设置或获取日本文本的换行规则。
line-height | lineHeight | 设置或获取对象两行间的距离。
list-style | listStyle | 设置或获取对象最多三个独立的 listStyle 属性。
list-style-image | listStyleImage | 获取要为对象应用的列表项目符号的图像。
list-style-position | listStylePosition | 获取相对于对象内容如何绘制项目符号。
list-style-type | listStyleType | 获取对象预定义的项目符号类型。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
page-break-after | pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
page-break-before | pageBreakBefore | 设置或获取表明对象前发生换页的字符串。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-align | textAlign | 设置或获取对象中的文本是左对齐、右对齐、居中对齐还是两端对齐。
text-align-last | textAlignLast | 设置或获取如何排列对象的最后一行或仅有的一行。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-indent | textIndent | 设置或获取对象中文本的缩进。
text-justify | textJustify | 设置或获取对象内的文本所使用的对齐类型。
text-kashida-space | textKashidaSpace | 设置或获取对象内文本对齐行时所使用空白扩展的 kashida 扩展的倍率。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-break | wordBreak | 设置或获取单词内的换行行为，特别是对象中出现多语言的情况。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

TYPE 标签属性设置了所有后续的列表类型，除非设置了不同的 type 值。

UL 元素从 BODY 的 font 属性的高度中继承 line-height。例如，如果 BODY 的 font-size 属性大于 UL 元素的 font-size 属性，那么 UL 中的列表项目就会根据 BODY 的 font-size 间距排列。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是块元素。

此元素需要关闭标签。

示例

下面的例子使用 UL 元素创建了项目符号号列表。

<UL>
<LI>这是项目符号列表中的第一个项目。
<LI>这是项目符号列表中的第二个项目。
</UL>

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 和万维网协会(W3C)文档对象模型(DOM) 级别 1 非 Microsoft 链接 中。

参看

li


userProfile

userProfile 对象

提供了允许脚本对用户配置信息请求读取访问并执行读取操作的方法。

成员表

下面的表格列出了 userProfile 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

方法

方法 | 描述
addReadRequest | 向读取需求队列中添加项。
clearRequest | 清除读取需求队列中的全部需求，以便准备一个新的配置信息需求。
doReadRequest | 执行所有位于读取需求队列中的需求。
getAttribute | 从 userProfile 对象中返回命名属性的值。
setAttribute | 设置指定标签属性的值。

注释

脚本请求将会在执行读写前排队。这将简化用户的体验，因为每执行一批请求的配置文件访问许可只需要一次提示。

此对象在 Microsoft® Internet Explorer 4.0 的脚本中可用。

示例

这个脚本示例在客户端运行，它将使用 userProfile 对象从配置文件信息中读取不同的值。

// 读取多个配置文件属性时排队。
navigator.userProfile.addReadRequest("vcard.displayname");
navigator.userProfile.addReadRequest("vcard.gender");
// 请求访问信息。
navigator.userProfile.doReadRequest(usage-code, "Acme Corporation");
// 现在将执行访问信息的读取操作。
name = navigator.userProfile.getAttribute("vcard.displayname");
gender = navigator.userProfile.getAttribute("vcard.gender");
// 脚本现在可以使用“name”和“gender”属性个性化内容
// 或者向服务器发送回信息了。
// 清除请求队列以便将来再次请求。
navigator.userProfile.clearRequest();

标准信息

没有应用于此对象的公共标准。

应用到

clientInformation, navigator


VAR 元素 | var

VAR 元素 | var 对象

定义编程变量。通常以斜体渲染。

成员表

下面的表格列出了 var 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setExpression | 设置指定对象的表达式。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-flow | layoutFlow | 设置或获取对象内容的方向和绕排方向。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
width | width | 设置或获取对象的宽度。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
writing-mode | writingMode | 设置或获取对象内容的方向和绕排。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

B>VAR 元素实际的格式化效果由浏览器决定。Internet Explorer 将 VAR 元素以斜体渲染。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素是内嵌元素。

此元素需要关闭标签。

示例

下面的例子使用了 VAR 元素将单词“文件名”以斜体字渲染。

请在对话框中输入<VAR>文件名</VAR>。

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。


WBR 元素 | wbr

WBR 元素 | wbr 对象

向一块 NOBR 文本中插入软换行。

成员表

下面的表格列出了 wbr 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
ID | id | 获取标识对象的字符串。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
parentElement | 获取对象层次中的父对象。
scopeName | 获取为该元素定义的命名空间。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。

集合

集合 | 描述
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
fireEvent | 触发对象的指定事件。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。

样式

样式标签属性 | 样式属性 | 描述
behavior | behavior | 设置或获取 DHTML 行为的位置。

注释

所谓软换行，是指位于 NOBR 区域内的一个点，该点处允许换行但不是必需的。

此元素在 Microsoft® Internet Explorer 3.0 的 HTML 中可用，在 Internet Explorer 4.0 的脚本中可用。

此元素不会被渲染。

此元素不需要关闭标签。

示例

下面的例子使用 WBR 元素创建了换行。对应的，NOBR 元素不断行。

<NOBR>此行文本不会断行，不管窗口的宽度如何。</NOBR>
<NOBR>但是，本行，<WBR>如果窗口的宽度
太小的话，将在“本行，”后断行。</NOBR>

标准信息

此对象是对 HTML 非 Microsoft 链接 的扩展。

参看

br


window

window 对象

代表浏览器中一个打开的窗口。

成员表

下面的表格列出了 window 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

属性

属性 | 描述
closed | 获取引用窗口是否已关闭。
defaultStatus | 设置或获取要在窗口底部的状态栏上显示的缺省信息。
dialogArguments | 设置或获取传递给模式对话框窗口的变量或变量数组。
dialogHeight | 设置或获取模式对话框的高度。
dialogLeft | 设置或获取模式对话框的左坐标。
dialogTop | 设置或获取模式对话框的顶坐标。
dialogWidth | 设置或获取模式对话框的宽度。
frameElement | 获取在父文档中生成 window 的 frame 或 iframe 对象。
length | 设置或获取集合中对象的数目。
name | 设置或获取表明窗口名称的值。
offscreenBuffering | 设置或获取对象在对用户可见之前是否要先在屏幕外绘制。
opener | 设置或获取创建当前窗口的窗口的引用。
parent | 获取对象层次中的父窗口。
returnValue | 设置或获取从模式对话框返回的值。
screenLeft | 获取浏览器客户区左上角相对于屏幕左上角的 x 坐标。
screenTop | 获取浏览器客户区左上角相对于屏幕左上角的 y 坐标。
self | 获取对当前窗口或框架的引用。
status | 设置或获取位于窗口底部状态栏的信息。
top | 获取最顶层的祖先窗口。

集合

集合 | 描述
frames | 获取给定文档定义或与给定窗口关联的文档定义的所有 window 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onafterprint | 对象所关联的文档打印或打印预览后立即在对象上触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeprint | 对象的关联文档打印或打印预览前在对象上触发。
onbeforeunload | 在页面将要被卸载前触发。
onblur | 在对象失去输入焦点时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
onerror | 当对象装载过程中发生错误时触发。
onfocus | 当对象获得焦点时触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onload | 在浏览器完成对象的装载后立即触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onscroll | 当用户滚动对象的滚动条时触发。
onunload | 在对象卸载前立即触发。

方法

方法 | 描述
alert | 显示包含由应用程序自定义消息的对话框。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearInterval | 使用 setInterval 方法取消先前开始的间隔事件。
clearTimeout | 取消先前用 setTimeout 方法设置的超时事件。
close | 关闭当前浏览器窗口或 HTML 应用程序(HTA)。
confirm | 显示一个确认对话框，其中包含一个可选的消息和确定取消按钮。
createPopup | 创建弹出窗口。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
execScript | 以给定语言执行指定的脚本。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
moveBy | 将窗口的位置移动指定 x 和 y 偏移值。
moveTo | 将窗口左上角的屏幕位置移动到指定的 x 和 y 位置。
navigate | 在当前窗口中装入指定 URL。
open | 打开新窗口并装入给定 URL 的文档。
print | 打印与窗口关联的文档。
prompt | 显示一个提示对话框，其中带有一条消息和一个输入框。
resizeBy | 更改窗口的当前位置缩放指定的 x 和 y 偏移量。
resizeTo | 将窗口的大小更改为指定的宽度和高度值。
scroll | 将窗口滚动到自左上角起指定的 x 和 y 偏移量。
scrollBy | 将窗口滚动 x 和 y 偏移量。
scrollTo | 将窗口滚动到指定的 x 和 y 偏移量。
setActive | 设置对象为当前对象而不将对象置为焦点。
setInterval | 每经过指定毫秒值后计算一个表达式。
setTimeout | 经过指定毫秒值后计算一个表达式。
showHelp | 显示帮助文件。此方法可用于 Microsoft HTML 帮助。
showModalDialog | 创建一个显示指定 HTML 文档的模式对话框。
showModelessDialog | 创建一个显示指定 HTML 文档的非模式对话框。

对象

对象 | 描述
clientInformation | 包含关于 Web 浏览器的信息。
clipboardData | 提供了对于预定义的剪贴板格式的访问，以便在编辑操作中使用。
document | 代表给定浏览器窗口中的 HTML 文档。
event | 代表事件状态，如事件发生的元素，键盘状态，鼠标位置和鼠标按钮状态。
external | 允许访问由 Microsoft® Internet Explorer 浏览器组件宿主应用程序提供的附加对象模型。
history | 包含了用户已浏览的 URL 的信息。
location | 包含关于当前 URL 的信息。
navigator | 包含关于 Web 浏览器的信息。
screen | 包含关于客户屏幕和渲染能力的信息。

注释

你可以使用 window 对象获取关于窗口状态的信息。你还可以使用此对象或的对窗口文档、窗口中发生的事件和影响窗口的浏览器的访问。

典型情况下，浏览器会在其打开一个 HTML 文档时创建一个对应的 window 对象。但是，如果一个文档定义了一个或多个框架(即，包含一个或多个 frame 或 iframe 标签)，浏览器就会为原始文档创建一个 window 对象，再为每个框架创建额外的 window 对象。这些额外的对象是原始窗口的 子窗口，可能被原始窗口中发生的事件所影响。例如，关闭原始窗口将导致关闭全部子窗口。如果想要创建新窗口(以及对应的 window 对象)，可以使用像 open, showModalDialog 和 showModelessDialog 这样的方法。

你可以对任何计算结果为 window 对象的变量或表达式应用任何 window 的属性、方法或集合，而不用管窗口是怎么创建的。除此以外，你可以在当前窗口中直接使用全部的属性、方法和集合──也就是说，无需在前面附加计算结果为当前 window 对象的表达式。但是，为了使得代码更加便于阅读以及避免潜在的漏洞，许多作者在访问当前窗口的属性、方法和集合时使用 window 关键字。此关键字总是代表当前窗口。

注意 窗口的属性、方法和集合的名称都是保留关键字，无法用于变量或例程的名称。

下面的表格列出了 window 对象某些属性的相关信息。

属性 | 方法 | 描述
opener | open | opener 属性仅在使用 window.open 方法打开的页面中可用。
parent, top | 无 | parent 和 top 属性对 frame 或 iframe 内打开的窗口可用。这两个属性分别返回立即父窗口和最上层的祖先窗口。
parent, top | open | parent 和 top 属性对于通过 open 方法打开或以对话框打开并返回到当前窗口的窗口可用。
length | 无 | 不管窗口是怎么打开的，length 属性总是返回窗口中的框架数目。
dialogArguments, dialogHeight, dialogLeft, dialogTop, dialogWidth, returnValue | showModalDialog 和 showModelessDialog | 这些属性仅对用列出的两个方法showModalDialog 和 showModelessDialog 打开的窗口可用。

此对象在 Microsoft® Internet Explorer 3.0 的脚本中可用。

示例

下面的例子在当前窗口显示了警告框。

alert("简单的消息。")

下面的示例检查当前窗口是否包含子窗口，如果是的话，显示这些子窗口的名称。

if ( window.frames != null ) {
for ( i = 0; i< window.frames.length; i++ )
window.alert ("子窗口 " +i+ " 的名称为 "+window.frames(i).name);
}

下面的示例显示了窗口 onload 事件的简单事件处理句柄。由于没有“window”元素，body 元素将作为下列 window 对象事件的宿主：onblur, onbeforeunload, onfocus, onload 和 onunload。

<BODY onload="window.status='页面已装载!'">

标准信息

此对象定义在 HTML 3.2 非 Microsoft 链接 中。


XML 元素 | xml

XML 元素 | xml 对象

在 HTML 页面上定义一个 XML 数据岛。

成员表

下面的表格列出了 xml 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
ID | id | 获取标识对象的字符串。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
parentElement | 获取对象层次中的父对象。
readyState | 获取对象的当前状态。
recordset | 从数据源对象设置或获取对默认数据集的引用。
scopeName | 获取为该元素定义的命名空间。
SRC | src | 设置或获取要由对象装入的 URL。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
XMLDocument | 获取对由对象引出的的 XML 文档对象模型(DOM)的引用。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。

集合

集合 | 描述
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。

事件

事件 | 描述
ondataavailable | 每当异步传输数据的数据源对象的数据到达时触发。
ondatasetchanged | 当数据源对象对应的数据集发生变更时触发。
ondatasetcomplete | 触发就表明数据源对象所有数据都可用。
onreadystatechange | 当对象状态变更时触发。
onrowenter | 触发就表明当前行已经在数据源中更改，对象上有可用的新数据值。
onrowexit | 当数据源控件更改对象当前行前触发。
onrowsdelete | 当行将要从记录集中被删除时触发。
onrowsinserted | 当在当前记录集中插入新行后触发。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
fireEvent | 触发对象的指定事件。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
namedRecordset | 根据来自于数据源对象(DSO)命名数据成员获取记录集。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。

样式

样式标签属性 | 样式属性 | 描述
behavior | behavior | 设置或获取 DHTML 行为的位置。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。

注释

XML 元素的 readyState 属性是一个字符串值，这与 XMLDOMDocument 对象的 readyState 属性不同，后者是长整型值。字符串值与 XML 文档对象的长整型的对比在示例区中做了演示。

XMLDocument 属性是默认属性。

此元素在 Microsoft® Internet Explorer 5 的 HTML 和脚本中可用。

此元素不会被渲染。

此元素需要关闭标签。

示例

下面的例子使用了 XML 元素定义了可直接嵌入 HTML 页的简单 XML 数据岛。

<XML ID="oMetaData">
<METADATA>
<AUTHOR>John Smith</AUTHOR>
<GENERATOR>Visual Notepad</GENERATOR>
<PAGETYPE>Reference</PAGETYPE>
<ABSTRACT>Specifies a data island</ABSTRACT>
</METADATA>
</XML>

下面的例子使用了 xml 对象的 readyState 属性决定 XML 数据岛 是否已经完全下载了。

if (oMetaData.readyState == "complete")
window.alert ("XML 文档已就绪。");

下面的例子使用了 XMLDOMDocument 对象的 readyState 属性决定 XML 数据岛 是否已经完全下载了。

if (oMetaData.XMLDocument.readyState == 4)
window.alert ("XML 文档已就绪。");

下面的脚本示例获取数据岛的 ABSTRACT 域所包含的文本。

var oNode = oMetaData.XMLDocument.selectSingleNode("METADATA/ABSTRACT");
alert(oNode.text);

标准信息

此对象是微软对 HTML 非 Microsoft 链接 的扩展。


XMP 元素 | xmp

XMP 元素 | xmp 对象

以固定宽度字体渲染作为示例的字体。

成员表

下面的表格列出了 xmp 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

标签属性/属性

标签属性 | 属性 | 描述
ACCESSKEY | accessKey | 设置或获取对象的快捷键。
ATOMICSELECTION | 指定元素及其内容是否可以一不可见单位统一选择。
BEGIN | begin | 设置或获取时间线在该元素上播放前的延迟时间。
blockDirection | 获取表明块元素内容的绕排方向的值，是由左至右，还是由右至左。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
CLASS | className | 设置或获取对象的类。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条或可能应用到该对象的补白。
CONTENTEDITABLE | contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
DIR | dir | 设置或获取对象的阅读顺序。
DISABLED | disabled | 设置或获取控件的状态。
END | end | 设置或获取表明元素结束时间的值，或者元素设置为重复的简单持续终止时间。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
hasMedia | 获取一个表明元素是否为 HTML+TIME 媒体元素的 Boolean 值。
HIDEFOCUS | hideFocus | 设置或获取表明对象是否显式标明焦点的值。
ID | id | 获取标识对象的字符串。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
LANG | lang | 设置或获取要使用的语言。
LANGUAGE | language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
onOffBehavior | 获取表明指定的 Microsoft® DirectAnimation® 行为是否正在运行的对象。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
readyState | 获取对象的当前状态。
scopeName | 获取为该元素定义的命名空间。
scrollHeight | 获取对象的滚动高度。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
STYLE | 为该设置元素设置内嵌样式。
SYNCMASTER | syncMaster | 设置或获取时间容器是否必须在此元素上同步回放。
SYSTEMBITRATE | 获取系统中大约可用带宽的 bps。
SYSTEMCAPTION | 表明是否要显示文本来代替演示的的音频部分。
SYSTEMLANGUAGE | 表明是否在用户计算机上的选项设置中选中了给定语言。
SYSTEMOVERDUBORSUBTITLE | 指定针对那些正在观看演示但对被播放的音频所使用的语言并不熟悉的用户来说是否要渲染配音或字幕。
TABINDEX | tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
TIMECONTAINER | timeContainer | 设置或获取与元素关联的时间线类型。
TITLE | title | 设置或获取对象的咨询信息(工具提示)。
uniqueID | 获取为对象自动生成的唯一标识符。
UNSELECTABLE | 指定该元素不可被选中。

行为

行为 | 描述
clientCaps | 提供关于 Internet Explorer 支持的特性的信息，以及提供即用即装的方法。
download | 下载文件并在下载完成后通知一个指定的回调函数。
homePage | 包含关于用户主页的信息。
httpFolder | 包含了允许浏览导航的文件夹视图的脚本特性。
saveFavorite | 允许对象在收藏夹中留存数据。
saveHistory | 允许对象在浏览器历史中留存数据。
saveSnapshot | 允许对象在 Web 页保存时留存数据。
time | 为 HTML 元素提供一个活动的时间线。
time2 | 为 HTML 元素或一组元素提供一个活动的时间线。
userData | 允许对象在用户数据中留存数据。

集合

集合 | 描述
all | 返回对象所包含的元素集合的引用。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。

事件

事件 | 描述
onactivate | 当对象设置为活动元素时触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onblur | 在对象失去输入焦点时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onselectstart | 对象将要被选中时触发。
ontimeerror | 当特定时间错误发生时无条件触发，通常由将属性设置为无效值导致。

滤镜

滤镜属性 | 描述
Alpha | 调整对象内容的不透明度。
AlphaImageLoader | 在对象的边界和对象背景到内容之间显示图像，可选剪裁或缩放图像大小。当装入便携网络图像(PNG)时，从 0 到 100% 的 透明度都是支持的。
Barn | 以开门或关门的运动方式显示对象的新内容。
BasicImage | 调整对象内容的颜色处理、图像旋转或不透明度。
BlendTrans | 以渐隐原始内容的形式显示对象的新内容。
Blinds | 以打开或关闭盲点的运动方式显示对象的新内容。
Blur | 模糊对象的内容以便使其看起来失去焦点。
CheckerBoard | 以揭开覆盖在原始内容上的棋盘的形式显示对象的新内容。
Chroma | 将对象内容的指定颜色显示为透明。
Compositor | 以新旧内容逻辑颜色组合的形式显示对象的新内容。每个版本的颜色和 alpha 值都会被计算用来决定输出图像的最终颜色。
DropShadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将使得内容看起来是浮动的因此会产生阴影。
Emboss | 使用灰度值对对象以浮雕纹理显示。
Engrave | 使用灰度值对对象以雕刻纹理显示。
Fade | 以渐隐原始内容的形式显示对象的新内容。
FlipH | 以沿水平方向翻转的形式显示对象内容。
FlipV | 以沿垂直方向翻转的形式显示对象内容。
Glow | 在对象边缘外侧添加光晕以便使其看起来像发光的样子。
Gradient | 在对象的背景和内容之间显示一个渐变色彩的表面。
GradientWipe | 以在原有内容上覆盖渐变带的形式显示对象的新内容。
Gray | 以灰度显示对象内容。
ICMFilter | 根据图像颜色管理(ICM)配置文件转换对象的彩色内容。这将允许指定内容的显示效果得以改善，或者在打印机或监视器等硬件设备上模拟显示。
Inset | 以对角线方向显示对象的新内容。
Invert | 反转对象内容的色调、饱和度和亮度。
Iris | 以彩虹效果显示对象的新内容，这与照相机光圈打开相似。
Light | 在对象的内容上创建灯光效果。
MaskFilter | 将对象内容的透明像素显示为彩色遮罩，将非透明像素显示为透明。
Matrix | 使用矩阵变换缩放、旋转或显现对象的内容。
MotionBlur | 以运动模糊的效果显示对象内容。
Pixelate | 将对象的内容显示为彩色方块，其颜色取决于该方块所替代区域的平均颜色值。此滤镜显示可用于切换。
RadialWipe | 以辐射状擦除的形式显现对象的新内容。
RandomBars | 以随机像素线爆炸的形式显现对象的新内容。
RandomDissolve | 以随机像素爆炸的形式显现对象的新内容。
Redirect | 目前还不支持。
RevealTrans | 使用 24 种预先定义的切换效果显现对象的新内容。
Shadow | 创建对象内容的实体阴影，偏移量位于指定方向。这将创建阴影效果。
Slide | 以图像滑行的形式显现对象的新内容。
Spiral | 以螺旋运动的形式显现对象的新内容。
Stretch | 以拉伸覆盖原始内容的形式显现对象的新内容。有一个选项类似立方体从一个表面转到另外一个表面。
Strips | 以条形覆盖的形式显现对象的原始内容，好像有一把锯将原始内容锯开。
Wave | 在对象的内容上执行垂直方向的正弦波扭曲。
Wheel | 以旋转运动的形式显现对象的新内容，好像轮子滚过原始内容。
Xray | 更改对象内容的颜色深度将其以黑白显示。
Zigzag | 在对象上将对象的新内容进行来回移动以便覆盖原始内容。

方法

方法 | 描述
addBehavior | 给元素附加一个行为。
appendChild | 给对象追加一个子元素。
applyElement | 使得元素成为其它元素的子元素或父元素。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
blur | 使元素失去焦点并触发 onblur 事件。
clearAttributes | 从对象中删除全部标签属性和值。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
contains | 检查对象中是否包含给定元素。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
fireEvent | 触发对象的指定事件。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getElementsByTagName | 获取基于指定元素名称的对象集合。
hasChildNodes | 返回表明对象是否有子对象的值。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertBefore | 在文档层次中插入元素。
mergeAttributes | 复制所有读/写标签属性到指定元素。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeNode | 从文档层次中删除对象。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceNode | 用其它元素替换对象。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
swapNode | 交换文档层次中两个对象的位置。

对象

对象 | 描述
currentStyle | 代表了在全局样式表、内嵌样式和 HTML 标签属性中指定的对象格式和样式。
runtimeStyle | 代表了居于全局样式表、内嵌样式和 HTML 标签属性指定的格式和样式之上的对象的格式和样式。
style | 代表了给定元素所有可能的内嵌样式的当前设置。

样式

样式标签属性 | 样式属性 | 描述
:first-letter | :first-letter | 在对象的第一个字符上应用一个或多个样式。
:first-line | :first-line | 在对象的第一行上应用一个或多个样式。
ACCELERATOR | accelerator | 设置或获取表明对象是否包含快捷键的字符串。
background | background | 设置或获取对象最多五个独立的背景属性。
background-attachment | backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
background-color | backgroundColor | 设置或获取对象内容后的颜色。
background-image | backgroundImage | 设置或获取对象的背景图像。
background-position | backgroundPosition | 设置或获取对象背景的位置。
background-position-x | backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
background-position-y | backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
background-repeat | backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
behavior | behavior | 设置或获取 DHTML 行为的位置。
border | border | 设置或获取对象周围边框的绘制属性。
border-bottom | borderBottom | 设置或获取对象下边框的属性。
border-bottom-color | borderBottomColor | 设置或获取对象下边框的颜色。
border-bottom-style | borderBottomStyle | 设置或获取对象下边框的样式。
border-bottom-width | borderBottomWidth | 设置或获取对象下边框的宽度。
border-color | borderColor | 设置或获取对象的边框颜色。
border-left | borderLeft | 设置或获取对象左边框的属性。
border-left-color | borderLeftColor | 设置或获取对象左边框的颜色。
border-left-style | borderLeftStyle | 设置或获取对象左边框的样式。
border-left-width | borderLeftWidth | 设置或获取对象左边框的宽度。
border-right | borderRight | 设置或获取对象右边框的属性。
border-right-color | borderRightColor | 设置或获取对象右边框的颜色。
border-right-style | borderRightStyle | 设置或获取对象右边框的样式。
border-right-width | borderRightWidth | 设置或获取对象右边框的宽度。
border-style | borderStyle | 设置或获取对象上下左右边框的样式。
border-top | borderTop | 设置或获取对象上边框的属性。
border-top-color | borderTopColor | 设置或获取对象上边框的颜色。
border-top-style | borderTopStyle | 设置或获取对象上边框的样式。
border-top-width | borderTopWidth | 设置或获取对象上边框的宽度。
border-width | borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
clear | clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clip | clip | 设置或获取定位对象的哪个部分可见。
color | color | 设置或获取对象文本的颜色。
cursor | cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
direction | direction | 设置或获取对象的阅读顺序。
display | display | 设置或获取对象是否要渲染。
filter | filter | 设置或获取应用于对象的滤镜或滤镜集合。
font | font | 设置或获取对象最多六个独立的字体属性。
font-family | fontFamily | 设置或获取对象文本所使用的字体名称。
font-size | fontSize | 设置或获取对象文本使用的字体大小。
font-style | fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
font-variant | fontVariant | 设置或获取对象文本是否以小型大写字母显示。
font-weight | fontWeight | 设置或获取对象的字体宽度。
hasLayout | 获取表明对象是否有布局的值。
height | height | 设置或获取对象的高度。
layout-grid | layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layout-grid-char | layoutGridChar | 设置或获取用于渲染元素文本内容的字符网格大小。
layout-grid-line | layoutGridLine | 设置或获取用于渲染元素文本内容的网格线值。
layout-grid-mode | layoutGridMode | 设置或获取文本布局网格是否使用二维。
layout-grid-type | layoutGridType | 设置或获取用于渲染元素文本内容的网格类型。
left | left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
letter-spacing | letterSpacing | 设置或获取对象的字符间附加空间的总和。
line-break | lineBreak | 设置或获取日本文本的换行规则。
line-height | lineHeight | 设置或获取对象两行间的距离。
margin | margin | 设置或获取对象的上下左右边距。
margin-bottom | marginBottom | 设置或获取对象的下边距宽度。
margin-left | marginLeft | 设置或获取对象的左边距宽度。
margin-right | marginRight | 设置或获取对象的右边距宽度。
margin-top | marginTop | 设置或获取对象的上边距宽度。
overflow | overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflow-x | overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflow-y | overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
padding | padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
padding-bottom | paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
padding-left | paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
padding-right | paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
padding-top | paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
page-break-after | pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
page-break-before | pageBreakBefore | 设置或获取表明对象前发生换页的字符串。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
right | right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
float | styleFloat | 设置或获取文本要绕排到对象的哪一侧。
text-align | textAlign | 设置或获取对象中的文本是左对齐、右对齐、居中对齐还是两端对齐。
text-align-last | textAlignLast | 设置或获取如何排列对象的最后一行或仅有的一行。
text-autospace | textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
text-decoration | textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
text-indent | textIndent | 设置或获取对象中文本的缩进。
text-justify | textJustify | 设置或获取对象内的文本所使用的对齐类型。
text-kashida-space | textKashidaSpace | 设置或获取对象内文本对齐行时所使用空白扩展的 kashida 扩展的倍率。
text-overflow Microsoft® Internet Explorer 6 新增 | textOverflow | 设置或获取表明是否显示省略号以表明文本溢出的值。
text-transform | textTransform | 设置或获取对象中文本的渲染方式。
text-underline-position | textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
top | top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
unicode-bidi | unicodeBidi | 设置或获取关于双向法则的嵌入级别。
visibility | visibility | 设置或获取对象的内容是否显示。
white-space | whiteSpace | 设置或获取对象中是否自动换行。
width | width | 设置或获取对象的宽度。
word-break | wordBreak | 设置或获取单词内的换行行为，特别是对象中出现多语言的情况。
word-spacing | wordSpacing | 设置或获取对象中单词间的附加空间总量。
word-wrap | wordWrap | 设置或获取当内容超过其容器边界时是否断词。
z-index | zIndex | 设置或获取定位对象的堆叠次序。
zoom | zoom | 设置或获取对象的放大比例。

注释

使用此元素不被推荐。请换用 PRE 或 SAMP 元素。

XMP 元素内的 HTML 元素将渲染为文本，而不是 HTML 格式化后的元素。

此元素是内嵌元素。

此元素需要关闭标签。

标准信息

此对象是微软对 HTML 非 Microsoft 链接 的扩展。

参看

tt


DHTML 参考手册 -

对话框协助程序对象 Microsoft® Internet Explorer 6 新增

提供对颜色对话框及块格式化和字体集合的访问。

成员表

下面的表格列出了 对话框协助程序 对象引出的成员。请单击左侧的标签来选择你想要查看的成员类型。

集合

集合 | 描述
blockFormats Microsoft® Internet Explorer 6 新增 | 获取指定可用块格式化标签的名称的字符串的集合。
fonts Microsoft® Internet Explorer 6 新增 | 获取所有系统支持的字体的集合。

方法

方法 | 描述
ChooseColorDlg Microsoft® Internet Explorer 6 新增 | 打开系统颜色选择对话框。
getCharset Microsoft® Internet Explorer 6 新增 | 获取指定特定字体的字符集的 Variant 值。

注释

要创建此对象，请使用 OBJECT 元素并提供对话框协助程序的类标识符(CLSID)。

示例

下面的代表创建了一个对话框协助程序对象，稍后可使用其 id 值引用之。

<OBJECT id=dlgHelper CLASSID="clsid:3050f819-98b5-11cf-bb82-00aa00bdce0b" width="0px" height="0px">
</OBJECT>


methods

DHTML 方法

下面列出了由动态 HTML(DHTML) 对象模型定义的方法。

方法

add | 向 areas, controlRange 或 options 集合中添加一个元素。
add | 创建一个新的 namespace 对象并将其添加到集合中。
addBehavior | 给元素附加一个行为。
AddChannel | 显示一个对话框，允许用户输入指定的频道，或当已安装时更改频道的 URL。
AddDesktopComponent | 向 Microsoft® 活动桌面® 中添加 Web 站点或图像。
AddFavorite | 出现一个对话框提示用户将指定的 URL 添加到收藏夹内。
addImport | 为指定样式表向 imports 集合中添加样式表。
addPageRule | 为样式表创建新的 page 对象。
addReadRequest | 向读取需求队列中添加项。
addRule | 为样式表创建新规则。
alert | 显示包含由应用程序自定义消息的对话框。
appendChild | 给对象追加一个子元素。
appendData Microsoft® Internet Explorer 6 新增 | 向对象末尾添加新的字符串。
applyElement | 使得元素成为其它元素的子元素或父元素。
assign | 装入新的 HTML 文档。
attachEvent | 将指定函数绑定到事件，以便每当该事件在对象上触发时都调用该函数。
AutoCompleteSaveForm | 将指定表单保存到自动完成数据存储中。
AutoScan | 通过完成模板传递指定查询试图连接到 Web 服务器。
back | 从历史列表中装入前一个 URL。
blur | 使元素失去焦点并触发 onblur 事件。
ChooseColorDlg Microsoft® Internet Explorer 6 新增 | 打开系统颜色选择对话框。
clear | 清除选中区的内容。
clear | 目前尚未支持。
clearAttributes | 从对象中删除全部标签属性和值。
clearData | 通过 dataTransfer 或 clipboardData 对象从剪贴板删除一种或多种数据格式。
clearInterval | 使用 setInterval 方法取消先前开始的间隔事件。
clearRequest | 清除读取需求队列中的全部需求，以便准备一个新的配置信息需求。
clearTimeout | 取消先前用 setTimeout 方法设置的超时事件。
click | 触发 onclick 事件来模拟单击。
cloneNode | 从文档层次中复制对对象的引用。
close | 关闭当前浏览器窗口或 HTML 应用程序(HTA)。
close | 关闭输出流并强制将数据发送到显示。
collapse | 将插入点移动到当前范围的开始或结尾。
compareEndPoints | 比较 TextRange 对象的结束点和其它范围的结束点。
componentFromPoint | 通过特定事件返回对象在指定坐标下的位置。
confirm | 显示一个确认对话框，其中包含一个可选的消息和确定取消按钮。
contains | 检查对象中是否包含给定元素。
createAttribute Microsoft® Internet Explorer 6 新增 | 以指定名称创建 attribute 对象。
createCaption | 在表格中创建空的 caption 元素。
createComment Microsoft® Internet Explorer 6 新增 | 以指定数据创建 comment 对象。
createControlRange | 创建一个非文本元素的 controlRange 集合。
createDocumentFragment | 创建一个新文档。
createElement | 为指定标签创建一个元素的实例。
createEventObject | 生成当使用 fireEvent 方法时用于传递事件相关信息的 event 对象。
createPopup | 创建弹出窗口。
createRange | 从当前文本选中区中创建 TextRange 对象，或从控件选中区中创建 controlRange 集合。
createRangeCollection | 从当前选中区中创建一个 TextRange 对象。
createStyleSheet | 为文档创建样式表。
createTextNode | 从指定值中创建文本字符串。
createTextRange | 为元素创建一个 TextRange 对象。
createTFoot | 在表格中创建空的 tFoot 元素。
createTHead | 在表格中创建空的 tHead 元素。
deleteCaption | 从表格中删除 caption 元素及其内容。
deleteCell | 从表格行及 cells 集合中删除指定单元格(td)。
deleteData Microsoft® Internet Explorer 6 新增 | 从对象中删除指定范围的字符。
deleteRow | 从表格及 rows 集合中删除指定行(tr)。
deleteTFoot | 从表格中删除 tFoot 元素及其内容。
deleteTHead | 从表格中删除 tHead 元素及其内容。
detachEvent | 从事件中取消指定函数的绑定，这样当事件触发时函数就不会收到通知了。
doImport | 动态导入元素行为。
doReadRequest | 执行所有位于读取需求队列中的需求。
doScroll | 模拟对滚动条组件的单击。
dragDrop | 初始化拖曳事件。
duplicate | 返回 TextRange 的副本。
elementFromPoint | 返回指定 x 和 y 坐标的元素。
empty | 取消当前选中区，将选中区类型设置为 none，将其 item 属性设置为 null。
execCommand | 在当前文档、当前选中区或给定范围上执行命令。
execScript | 以给定语言执行指定的脚本。
expand | 扩展范围以便完全包含指定单位的范围。
findText | 在文本中搜索文本并将范围的开始和结束点设置为包围搜索字符串。
fireEvent | 触发对象的指定事件。
firstPage | 显示绑定表格的数据集的第一页记录。
focus | 使得元素得到焦点并执行由 onfocus 事件指定的代码。
forward | 从历史列表中装入下一个 URL。
getAdjacentText | 返回邻接文本字符串。
getAttribute | 获取指定标签属性的值。
getAttribute | 从 userProfile 对象中返回命名属性的值。
getAttributeNode Microsoft® Internet Explorer 6 新增 | 获取由 attribute.name 属性引用的 attribute 对象。
getBookmark | 获取可用于使 moveToBookmark 返回相同范围的书签(白底字符串)。
getBoundingClientRect | 获取指定 TextRectangle 对象集合绑定的对象。
getClientRects | 获取描述对象内容或客户区内布局的矩形集合。每个矩形都描述了一条直线。
getData | 通过 dataTransfer 或 clipboardData 对象从剪贴板获取指定格式的数据。
getElementById | 获取对 ID 标签属性为指定值的第一个对象的引用。
getElementsByName | 根据 NAME 标签属性的值获取对象的集合。
getElementsByTagName | 获取基于指定元素名称的对象集合。
getExpression | 获取给定属性的表达式。
getNamedItem | 使用 attributes 集合获取由 name 属性指定的 attribute。
go | 从历史列表中装入 URL。
hasChildNodes | 返回表明对象是否有子对象的值。
hasFeature | 返回表明对象是否实现了指定的文档对象模型(DOM)标准的值。
hasFocus | 获取表明对象目前是否拥有焦点的值。
hide | 关闭弹出窗口。
ImportExportFavorites | 处理导入和导出 Microsoft® Internet Explorer® 收藏夹。
inRange | 返回一个范围是否被另一个范围包含。
insertAdjacentElement | 在指定位置插入元素。
insertAdjacentHTML | 在指定位置的元素中插入给定的 HTML 文本。
insertAdjacentText | 在指定位置插入给定的文本。
insertBefore | 在文档层次中插入元素作为父对象的子结点。
insertCell | 在表格行(tr)中创建新单元格，并将单元格添加到 cells 集合中。
insertData Microsoft® Internet Explorer 6 新增 | 在对象的指定偏移量处插入新字符串。
insertRow | 在表格中创建新行(tr)，并将行添加到 rows 集合中。
isEqual | 返回指定范围是否与当前范围相等。
IsSubscribed | 获取表明客户是否订阅了给定频道的值。
item | 从 all 集合或各种其它集合中获取对象。
item | 从 filters 集合或各种其它集合中获取对象。
item | 从 attributes 集合中获取元素的标签属性。
item | 从 behaviorUrns 集合中获取对象。
item | 从 namespaces 集合中获取 namespace 对象。
item | 从 rules 集合中获取对象。
item | 从 pages 集合中获取对象。
item | 从 controlRange 集合中获取对象。
item | 从 bookmarks 集合中获取对象。
item | 从 childNodes 或 children 集合中获取对象。
item Microsoft® Internet Explorer 6 新增 | 获取指定块格式化标签名称的字符串。
javaEnabled | 返回 Java 是否已启用。
lastPage | 显示绑定表格的数据集的最后一页记录。
mergeAttributes | 复制所有读/写标签属性到指定元素。
move | 折叠给定文本范围并将空范围移动给定单位数。
moveBy | 将窗口的位置移动指定 x 和 y 偏移值。
moveEnd | 更改范围的结束位置。
moveRow | 将表格行移动到新位置。
moveStart | 更改范围的开始位置。
moveTo | 将窗口左上角的屏幕位置移动到指定的 x 和 y 位置。
moveToBookmark | 移动到书签。
moveToElementText | 移动文本范围以便范围的开始和结束位置能够完全包含给定元素的文本。
moveToPoint | 将文本范围的开始和结束位置移动到给定点。
namedItem Microsoft® Internet Explorer 6 新增 | 从指定集合中获取对象或集合。
namedRecordset | 获取与来自于数据源对象(DSO)的命名数据成员相对应的记录集对象。
navigate | 在当前窗口中装入指定 URL。
NavigateAndFind | 前往指定的 URL 并选中指定文本。
nextPage | 显示绑定表格的数据集的下一页记录。
normalize Microsoft® Internet Explorer 6 新增 | 合并邻接 TextNode 对象以便生成一个常规的文档对象模型。
open | 打开新窗口并装入给定 URL 的文档。
open | 此方法以两种方式工作。该方法打开一个文档用于收集 write 和 writeln 方法的输出。在这种情况下，只使用前两个参数 url 和 name。若指定了附加参数，此方法将打开一个窗口，这与 window 对象的 window.open 方法相同。
parentElement | 获取给定文本范围的父元素。
pasteHTML | 将 HTML 文本粘贴入给定文本范围，替换范围内任何先前的文本和 HTML 元素。
previousPage | 显示绑定表格的数据集的上一页记录。
print | 打印与窗口关联的文档。
prompt | 显示一个提示对话框，其中带有一条消息和一个输入框。
queryCommandEnabled | 返回表明指定命令是否可于给定文档当前状态下使用 execCommand 命令成功执行的 Boolean 值。
queryCommandIndeterm | 返回表明指定命令是否处于模糊状态的 Boolean 值。
queryCommandState | 返回表明命令当前状态的 Boolean 值。
queryCommandSupported | 返回表明当前命令是否在当前区域上支持的 Boolean 值。
queryCommandValue | 返回文档、范围或当前选中区对于给定命令的当前值。
recalc | 重新计算当前文档中的全部动态属性。
refresh | 刷新表格中的内容。当调用 removeRule 这样的方法后这可能是必需的，因为此时页面可能不会自动更新。
releaseCapture | 释放当前文档中对象的鼠标捕捉。
reload | 重新装入当前页面。
remove | 从集合中删除一个元素。
removeAttribute | 删除对象的给定标签属性。
removeAttributeNode Microsoft® Internet Explorer 6 新增 | 从对象中删除删除 attribute 对象。
removeBehavior | 分离元素的行为。
removeChild | 从元素上删除子结点。
removeExpression | 从指定属性中删除表达式。
removeNamedItem | 从使用 attributes 集合的元素中删除带有指定 name 属性的 attribute 对象。
removeNode | 从文档层次中删除对象。
removeRule | 删除 styleSheet 对象中的已有样式规则，并调整对应 rules 集合的索引。
replace | 装入指定 URL 的另外文档来替换当前文档。
replaceAdjacentText | 替换元素的邻接文本。
replaceChild | 用新的子元素替换已有的子元素。
replaceData Microsoft® Internet Explorer 6 新增 | 将对象中指定范围的字符替换为新字符串。
replaceNode | 用其它元素替换对象。
reset | 模拟单击对所调用表单重置按钮的单击。
resizeBy | 更改窗口的当前位置缩放指定的 x 和 y 偏移量。
resizeTo | 将窗口的大小更改为指定的宽度和高度值。
scroll | 将窗口滚动到自左上角起指定的 x 和 y 偏移量。
scrollBy | 将窗口滚动 x 和 y 偏移量。
scrollIntoView | 将对象滚动到可见范围内，将其排列到窗口顶部或底部。
scrollTo | 将窗口滚动到指定的 x 和 y 偏移量。
select | 突出显示表单元素的输入区域。
select | 将当前选中区置为当前对象。
setActive | 设置对象为当前对象而不将对象置为焦点。
setAttribute | 设置指定标签属性的值。
setAttributeNode Microsoft® Internet Explorer 6 新增 | 设置 attribute 对象为对象的一部分。
setCapture | 设置属于当前文档的对象的鼠标捕捉。
setData | 以指定格式给 dataTransfer 或 clipboardData 对象赋予数据。
setEndPoint | 根据其它范围的结束点设置某范围的结束点。
setExpression | 设置指定对象的表达式。
setInterval | 每经过指定毫秒值后计算一个表达式。
setNamedItem | 向使用 attributes 集合的元素中添加一个 attribute 对象。
setTimeout | 经过指定毫秒值后计算一个表达式。
show | 在屏幕上显示弹出窗口。
ShowBrowserUI | 打开指定的浏览器对话框。
showHelp | 显示帮助文件。此方法可用于 Microsoft HTML 帮助。
showModalDialog | 创建一个显示指定 HTML 文档的模式对话框。
showModelessDialog | 创建一个显示指定 HTML 文档的非模式对话框。
splitText | 在指定索引处分割文本结点。
start | 开始滚动字幕。
stop | 停止字幕的滚动。
submit | 提交表单。
substringData Microsoft® Internet Explorer 6 新增 | 从对象中析取一定范围的字符。
swapNode | 交换文档层次中两个对象的位置。
tags | 拥有指定 HTML 标签名称的对象集合。
taintEnabled | 返回是否允许数据污点。
urns | 获取附加了指定行为的全部对象的集合。
write | 在指定窗口的文档中写入一个或多个 HTML 表达式。
writeln | 在指定窗口的文档中写入一个或多个 HTML 表达式，后面追加一个换行符。


add

add Method

Adds an element to the areas, controlRange, or options collection.

Syntax

object.add(oElement [, iIndex])

Parameters

oElement | Required. Object that specifies the element to add to the collection.
iIndex | Optional. Integer that specifies the index position in the collection where the element is placed. If no value is given, the method places the element at the end of the collection.

Return Value

No return value.

Remarks

Before you can add an element to a collection, you must create it first by using the createElement method.

This method can be used to add elements only after the page loads.

If the method is applied inline, a run-time error occurs.

Example

This example uses the add method to insert an object into the options collection of a select object.

<SELECT ID="oSelect">
<OPTION VALUE="1">One</OPTION>
</SELECT>
<SCRIPT>
var oOption = document.createElement("OPTION");
oSelect.options.add(oOption);
oOption.innerText = "Two";
oOption.value = "2";
</SCRIPT>

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

areas, controlRange, options, SELECT

See Also

remove


add

add Method

Creates a new namespace object and adds it to the collection.

Syntax

oNamespace = namespaces.add(sNamespace, sUrn [, sUrl])

Parameters

sNamespace | Required. String that specifies the name of the namespace.
sUrn | Required. String that specifies the Uniform Resource Name (URN) of the namespace to create.
sUrl | Optional. String that specifies the URL of the element behavior to import into the namespace. Specifying this parameter is the same as calling the doImport method.

Return Value

Returns a namespace object.

Remarks

Adding a new namespace with the same name as an existing namespace will replace the existing namespace.

Standards Information

There is no public standard that applies to this method.

Applies To

namespaces

See Also

Introduction to Viewlink, About Element Behaviors


addBehavior

addBehavior Method

Attaches a behavior to the element.

Syntax

iID = object.addBehavior(sUrl)

Parameters

sUrl Required. String that specifies one of the following values:
sValue | Location of the behavior, in URL format. The URL must be bounded by quotation marks, as illustrated in the code sample below.
#default#behaviorName | One of the Microsoft® Internet Explorer?A HREF="../reference.html">default behaviors, identified by its behavior name.
#objID | The ID attribute specified in an object tag for the binary implementation of a behavior.

Return Value

Returns an identifier that can be used later to detach the behavior from the element.

Remarks

This method, and the following remarks, apply only to attached behaviors, which are the original Dynamic HTML (DHTML) behaviors introduced in Internet Explorer 5. Element behaviors are a new feature in Internet Explorer 5.5 and cannot be added or removed from an element.

This method enables you to attach a behavior without using Cascading Style Sheets (CSS).

Unless the behavior specified in the addBehavior call is one of the default behaviors built into Internet Explorer, the addBehavior call causes Internet Explorer to download the behavior asynchronously, before the behavior is attached to the element.

Due to the asynchronous nature of the addBehavior method, its return value cannot be relied on to determine whether the behavior was successfully applied to the element. Waiting for the onreadystatechange event to fire and verifying that the readyState property of the element is set to complete ensure that the behavior is completely attached to the element, and that all the behavior's members are available for scripting. Otherwise, attempting to use any behavior-defined member before the behavior is attached to the element results in a scripting error indicating that the object does not support that particular member.

Note A behavior attached to an element using the addBehavior method, or by applying the proposed CSS?A HREF="../properties/behavior_1.html">behavior attribute inline, is not automatically detached from the element when the element is removed from the document hierarchy. However, a behavior attached using a style rule defined in the document is detached automatically as the element is removed from the document tree.

Example

This example uses the addBehavior method to dynamically attach a behavior that implements a mouseover highlighting effect to all li elements on a page.

<SCRIPT LANGUAGE="JScript">
var collBehaviorID = new Array();
var collLI = new Array ();
var countLI = 0;
function attachBehavior()
{
collLI = document.all.tags ("LI");
countLI = collLI.length;
for (i=0; i < countLI; i++)
{
var iID = collLI[i].addBehavior ("hilite.htc");
if (iID)
collBehaviorID[i] = iID;
}
}
</SCRIPT>
:
//Click <A HREF="javascript:attachBehavior()">here</A>
//to add a highlighting effect as you hover over each item below.
:
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, STYLE, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP

See Also

removeBehavior, Introduction to DHTML Behaviors, Using DHTML Behaviors, About Element Behaviors, Using HTML Components to Implement DHTML Behaviors in Script


AddChannel

AddChannel Method

Presents a dialog box that enables the user to either add the channel specified, or change the channel URL if it is already installed.

Syntax

window.external.AddChannel(sURLToCDF)

Parameters

sURLToCDF Required. String that specifies the URL of a Channel Definition Format (CDF) file to be installed.

Return Value

No return value.

Remarks

If the call fails, an error dialog box appears. You can suppress the dialog box by using the onerror event.

Note This method is intended for use by publishers shipping Microsoft® Active Channel™ content. Active Channel technology is available as of Microsoft Internet Explorer 4.0 and later.

This method is not supported in HTML Applications (HTAs).

Example

This example uses the AddChannel method to present a dialog box that enables the user to add the channel described in the specified CDF file.

window.external.AddChannel("http://domain/folder/file.cdf");

Standards Information

There is no public standard that applies to this method.

Applies To

external

See Also

Introduction to Active Channel Technology


AddDesktopComponent

AddDesktopComponent Method

Adds a Web site or image to the Microsoft® Active Desktop®.

Syntax

external.AddDesktopComponent(sURL, sType [, iLeft] [, iTop] [, iWidth] [, iHeight])

Parameters

sURL | Required. String that specifies the location of the Web site or image to be added to the Active Desktop.
sType Required. String containing one of the following values that specify the type of item to add.
image | Specifies the component is an image.
website | Specifies the component is a Web site.
iLeft | Optional. Integer that specifies the position of the left edge, in screen coordinates.
iTop | Optional. Integer that specifies the position of the top edge, in screen coordinates.
iWidth | Optional. Integer that specifies the width, in screen units.
iHeight | Optional. Integer that specifies the height, in screen units.

Return Value

No return value.

Remarks

The user must have Active Desktop installed for this method to work. If Active Desktop is not installed, this method is not invoked.

This method is not supported in HTML Applications (HTAs).

Example

This example uses the AddDesktopComponent method to add the Microsoft Web site as an Active Desktop component.

window.external.AddDesktopComponent(
"http://www.microsoft.com",
"website",
100,100,200,200
);

Standards Information

There is no public standard that applies to this method.

Applies To

external


addElement

addElement Method

Adds an element to the controlRange collection.

Syntax

controlRange.addElement(oElement)

Parameters

oElement Required. Object that specifies the element to add to the collection.

Return Value

No return value.

Applies To

controlRange


AddFavorite

AddFavorite Method

Prompts the user with a dialog box to add the specified URL to the Favorites list.

Syntax

external.AddFavorite(sURL [, sTitle])

Parameters

sURL | Required. String that specifies the URL of the favorite to be added to the Favorites list.
sTitle | Optional. String that specifies the suggested title to be used in the Favorites list. The user can change the title in the Add Favorite dialog box.

Return Value

No return value.

Remarks

Calling the AddFavorite method prompts the user with the same dialog box that is presented when the user selects Add to Favorites from the Favorites menu.

This method is not supported in HTML Applications (HTAs).

Example

This example uses the AddFavorite method to prompt a user to add the current page to the Favorites list.

window.external.AddFavorite(location.href, document.title);

Standards Information

There is no public standard that applies to this method.

Applies To

external


addImport

addImport Method

Adds a style sheet to the imports collection for the specified style sheet.

Syntax

iIndexActual = styleSheet.addImport(sURL [, iIndexRequest])

Parameters

sURL | Required. String that specifies the location of the source file for the style sheet.
iIndexRequest | Optional. Integer that specifies the requested position for the style sheet in the collection. If this value is not given, the style sheet is added to the end of the collection.

Return Value

Integer. Returns a a zero-based index value indicating the position of the imported style sheet in the imports collection.

Standards Information

There is no public standard that applies to this method.

Applies To

styleSheet


addPageRule

addPageRule Method

Creates a new page object for a style sheet.

Syntax

plNewIndex = styleSheet.addPageRule(sSelector, sStyle, iIndex)

Parameters

sSelector | Required. String that specifies the selector for the new page object.
sStyle | Required. String that specifies the style assignments for this page object. This style takes the same form as an inline style specification. For example, "color:blue" is a valid style parameter.
iIndex Required. Integer that specifies the zero-based position in the pages collection where the new page object should be placed.
-1 Default. The page object is added to the end of the collection.

Return Value

Reserved. Always returns -1.

Remarks

Each page object represents a style sheet that corresponds to a @page rule in the document.

Standards Information

There is no public standard that applies to this method.

Applies To

styleSheet


addReadRequest

addReadRequest Method

Adds an entry to the queue for read requests.

Syntax

bSuccess = userProfile.addReadRequest(sAttributeName [, vReserved])

Parameters

sAttributeName | Required. String that specifies one of the standard vCard names. If anything else is used, the request is ignored and nothing is added to the read-requests queue.
vReserved | Optional. Microsoft® Internet Explorer currently ignores this parameter.

Return Value

Boolean. Returns one of the following possible values:

true | The request has been successfully added to the queue.
false | The attribute name was not recognized or the attribute already appeared in the request queue.

Remarks

This method appends a vCard name to the read-requests queue. The read-requests queue is a list of read requests waiting to be initiated. To initiate the accumulated, or compound, read requests in the queue, call doReadRequest. To clear the queue, call clearRequest.

Standards Information

There is no public standard that applies to this method.

Applies To

userProfile

See Also

getAttribute


addRule

addRule Method

Creates a new rule for a style sheet.

Syntax

plNewIndex = styleSheet.addRule(sSelector, sStyle [, iIndex])

Parameters

sSelector | Required. String that specifies the selector for the new rule. Single contextual selectors are valid. For example, "div?A HREF="../objects/p.html">p?A HREF="../objects/b.html">b" is a valid contextual selector.
sStyle | Required. String that specifies the style assignments for this style rule. This style takes the same form as an inline style specification. For example, "color:blue" is a valid style parameter.
iIndex Optional. Integer that specifies the zero-based position in the rules collection where the new style rule should be placed.
-1 Default. The rule is added to the end of the collection.

Return Value

Reserved. Always returns -1.

Remarks

You can apply rules to a disabled styleSheet, but they do not apply to the document until you enable the styleSheet.

Example

This example uses the addRule method to add a rule that sets all bold text appearing in a DIV to the color blue.

<STYLE>
</STYLE>
<DIV>
Internet Explorer makes <B>HTML</B> dynamic.
</DIV>
<SCRIPT>
var new_rule;
new_rule = document.styleSheets[0].addRule("DIV B", "color:blue", 0);
</SCRIPT>

Standards Information

There is no public standard that applies to this method.

Applies To

styleSheet

See Also

removeRule, rules, styleSheets


alert

alert Method

Displays a dialog box containing an application-defined message.

Syntax

window.alert( [sMessage])

Parameters

sMessage Optional. String that specifies the message to display in the dialog box.

Return Value

No return value.

Remarks

You cannot change the title bar of the Alert dialog box.

Standards Information

There is no public standard that applies to this method.

Applies To

window

See Also

confirm, prompt


appendChild

appendChild Method

Appends an element as a child to the object.

What's New for Microsoft® Internet Explorer 6

This method now applies to the attribute object.

Syntax

oElement = object.appendChild(oNode)

Parameters

oNode Required. Object that specifies the element to append.

Return Value

Returns a reference to the element that is appended to the object.

Remarks

The appendChild method appends elements to the end of the childNodes collection.

To display new elements on the page, you must append them within the body element. For example, the following syntax demonstrates how to add a div element to the body.

var oDiv=document.createElement("DIV");
document.body.appendChild(oDiv);

This method is accessible at run time. If elements are removed at run time, before the closing tag is parsed, areas of the document might not render.

Example

This example uses the appendChild method to add an item to an unordered list.

<SCRIPT>
function fnAppend(){
var oNewNode = document.createElement("LI");
oList.appendChild(oNewNode);
oNewNode.innerText="List node 5";
}
</SCRIPT>
<BODY>
<UL ID = oList>
<LI>List node 1
<LI>List node 2
<LI>List node 3
<LI>List node 4
</UL>
<INPUT
TYPE = "button"
VALUE = "Append Child"
onclick = "fnAppend()">
</BODY>

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, attribute, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAMESET, HEAD, hn, HTML, I, IFRAME, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, nextID, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

cloneNode, insertBefore, About the W3C Document Object Model


appendData

appendData Method

Adds a new character string to the end of the object.

Syntax

object.appendData(sString)

Parameters

sString Required. String that specifies the new character string.

Return Value

No return value.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

COMMENT, TextNode


applyElement

applyElement Method

Makes the element either a child or parent of another element.

Syntax

oElement = object.applyElement(oNewElement [, sWhere])

Parameters

oNewElement Required. Object that becomes the child or parent of the current element.
sWhere Optional. String that specifies one of the following values:
outside | Default. Specified element becomes a parent of the current element.
inside | Specified element becomes a child of the current element, but contains all children of the current element.

Return Value

Returns a reference to the applied element.

Remarks

This method is accessible at run time. If elements are removed at run time before the closing tag is parsed, areas of the document might not render.

Calling the applyElement method on an element that has been created with the createElement method, but not yet added to the document tree, will cause the element to lose the contents of its innerHTML property.

Example

This example uses the applyElement method to apply the i element to an unordered list.

<SCRIPT>
function fnApply(){
var oNewNode = document.createElement("I");
oList.applyElement(oNewNode);
}
</SCRIPT>
<UL ID = oList>
<LI>List item 1
<LI>List item 2
<LI>List item 3
<LI>List item 4
</UL>
<INPUT
TYPE="button"
VALUE="Apply Element"
onclick="fnApply()"
>

Standards Information

There is no public standard that applies to this method.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

getAdjacentText, insertAdjacentElement, replaceAdjacentText, About the W3C Document Object Model


assign

assign Method

Loads a new HTML document.

Syntax

location.assign(sURL)

Parameters

sURL Required. String that specifies the URL of the document to load.

Return Value

No return value.

Standards Information

There is no public standard that applies to this method.

Applies To

location


attachEvent

attachEvent Method

Binds the specified function to an event, so that the function gets called whenever the event fires on the object.

Syntax

bSuccess = object.attachEvent(sEvent, fpNotify)

Parameters

sEvent | Required. String that specifies any of the standard DHTML Events.
fpNotify | Required. Pointer that specifies the function to call when sEvent fires.

Return Value

Boolean. Returns one of the following possible values:

true | The function was bound successfully to the event.
false | The function was not bound to the event.

Remarks

When sEvent fires on the object, the object's sEvent handler is called before fpNotify , the specified function. If you attach multiple functions to the same event on the same object, the functions are called in random order, immediately after the object's event handler is called.

The attachEvent method enables a behavior to handle events that occur on the containing page. This method is not limited, however, to behaviors. You can also define a function on a page that attaches to events fired on the same page.

Behaviors that attach to events using the attachEvent method must explicitly call the detachEvent method to stop receiving notifications from the page when the ondetach event fires.

A behavior that attaches to events on the page using the HTML Component (HTC)?A HREF="/workshop/components/htc/reference/elements/attach.html">PUBLIC:ATTACH element automatically stops receiving notifications when the behavior detaches from the element, and does not need to call the detachEvent method.

Note To use the attachEvent method with Microsoft® Visual Basic® Scripting Edition (VBScript), you need to use the GetRef to obtain a function pointer. The function pointer can then be passed to attachEvent.

Examples

This example shows how to implement a mouseover highlighting effect by calling the attachEvent method from an HTC.

<PUBLIC:ATTACH EVENT="ondetach" ONEVENT="cleanup()" />
<SCRIPT LANGUAGE="JScript">
attachEvent ('onmouseover', Hilite);
attachEvent ('onmouseout', Restore);
function cleanup()
{
detachEvent ('onmouseover', Hilite);
detachEvent ('onmouseout', Restore);
}
function Hilite()
{
if (event.srcElement == element)
{
normalColor = style.color;
runtimeStyle.color  = "red";
runtimeStyle.cursor = "hand";
}
}
function Restore()
{
if (event.srcElement == element)
{
runtimeStyle.color  = normalColor;
runtimeStyle.cursor = "";
}
}
</SCRIPT>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The following example shows how to use the attachEvent method with VBScript. When you click on the span's text, the event handler changes the background color.

<HTML>
<BODY ONLOAD="setupEventHandler()" LANGUAGE="VBS">
<SCRIPT LANGUAGE="VBS">
function setupEventHandler()
set fpchgBackground = getRef("chgBackground")
call mySpan.attachEvent("onclick", fpChgBackground)
end function
function chgBackground()
document.bgColor = "lemonchiffon"
end function
</SCRIPT>
<SPAN ID="mySpan">SPAN</SPAN>
</BODY>
</HTML>

Standards Information

There is no public standard that applies to this method.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, namespace, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, window, XMP

See Also

detachEvent, Introduction to DHTML Behaviors, Using DHTML Behaviors, Using HTML Components to Implement DHTML Behaviors in Script


AutoCompleteSaveForm

AutoCompleteSaveForm Method

Saves the specified form in the AutoComplete data store.

Syntax

external.AutoCompleteSaveForm(oForm)

Parameters

oForm Required. Object that specifies a reference to a form element.

Return Value

No return value.

Remarks

Use this method, included in Microsoft® Internet Explorer 5 and later, to store input type=text and input type=password values to AutoComplete data storage. Once information is entered in a form and saved to AutoComplete storage, whenever a user visits a Web site and starts typing in a field with the same name as a stored field, the AUTOCOMPLETE attribute provides an AutoComplete box containing a list of previously stored data.

To enable the AutoComplete feature for forms, choose Internet Options from the Tools menu, click Content, and then click AutoComplete. To disable the feature for individual form controls and entire forms, use the AUTOCOMPLETE attribute.

This method is not supported in HTML Applications (HTAs).

Example

This example uses the AutoCompleteSaveForm method to save the value of a text field without submitting the form to a server.

<SCRIPT>
function fnSaveForm(){
window.external.AutoCompleteSaveForm(oForm);
oForm.AutoCompleteTest.value="";
oForm.AutoCompleteIgnore.value="";
}
</SCRIPT>
<FORM NAME="oForm">
This text is saved:
<INPUT TYPE="text" NAME="AutoCompleteTest">
This text is not saved:
<INPUT TYPE="text" NAME="AutoCompleteIgnore" AUTOCOMPLETE="off">
</FORM>
<INPUT TYPE=button VALUE="Save Value" onclick="fnSaveForm()">
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

external

See Also

Using AutoComplete in HTML Forms


AutoScan

AutoScan Method

Attempts to connect to a Web server by passing the specified query through completion templates.

Syntax

external.AutoScan(sUserQuery, sURL [, sTarget])

Parameters

sUserQuery | Required. String that specifies a domain address that begins with www., and ends with .com, .org, .net, or .edu.
sURL | Required. String that specifies the Web page to display if the domain address created from sUserQuery is invalid. The default Microsoft® Internet Explorer error page is displayed if a value is not provided.
sTarget | Optional. String that specifies the target window or frame where the results are displayed. The default value is the current window.

Return Value

No return value.

Remarks

The domain suffixes added to the user query are located in the system registry under HKEY_LOCAL_MACHINE\software\microsoft\internet explorer\main\urltemplate. Each suffix is appended in the following order until an existing server is found.

  1. .com
  2. .org
  3. .net
  4. .edu
If no server is found, the document specified by the sURL parameter is displayed.

This method is not supported in Introduction to HTML Applications (HTAs).

Example

This example uses the AutoScan method to connect to the www.microsoft.com Web site.

window.external.AutoScan("microsoft","InvalidSite.htm","_main");

Standards Information

There is no public standard that applies to this method.

Applies To

external


back

back Method

Loads a previous URL from the History list.

Syntax

history.back( [iDistance])

Parameters

iDistance Optional. Integer that specifies the number of URLs to go back. If no value is provided, the previous URL is loaded.

Return Value

No return value.

Remarks

This method performs the same action as a user clicking the Back button in the browser.

The back method works the same as history.go(-1).

An error does not occur if the user tries to go beyond the beginning of the history. Instead, the user remains at the current page.

Standards Information

There is no public standard that applies to this method.

Applies To

history

See Also

forward, go


blur

blur Method

Causes the element to lose focus and fires the onblur event.

Syntax

object.blur()

Return Value

No return value.

Remarks

This method shifts focus away from the element to which it is applied, but this does not set focus on the next element in the tab order.

As of Microsoft® Internet Explorer 5, elements that expose the blur method must have the TABINDEX attribute set.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, window, XMP

See Also

focus


ChooseColorDlg

ChooseColorDlg Method

Opens the system color-selection dialog box.

Syntax

rgbColor = Dialog Helper.ChooseColorDlg( [initColor])

Parameters

initColor Optional. Variant that specifies the RGB value of the initial color selected in the color-selection dialog box. The value is specified as 0xrrggbb where rr is the red hex value, gg is the green hex value, and bb is the blue hex value. For a complete list of colors, see Color Table.

Return Value

A Variant that specifies the decimal value of the color chosen in the color-selection dialog box. The value must be converted to its hexadecimal equivalent and is specified as 0xrrggbb.

Remarks

There is no way to persist custom colors in this dialog box.

The return value of this method must be converted from decimal to hexadecimal before it can be used to change an object's color. In addition, the hexadecimal number must contain six digits to represent the RRGGBB schema required by the color table. For numbers with less than six numbers, concatenate zeros to the beginning of the number. For more information, see the Color Table.

Example

The following example shows how to call the color dialog box. The return value of the method is converted to a hexadecimal value and applied to the font color.

//This variable needs to have global scope for the callColorDlg function to persist the chosen color
var sInitColor = null;
function callColorDlg(){
//if sInitColor is null, the color dialog box has not yet been called
if (sInitColor == null)
var sColor = dlgHelper.ChooseColorDlg();
else
//call the dialog box and initialize the color to the color previously chosen
var sColor = dlgHelper.ChooseColorDlg(sInitColor);
//change the return value from a decimal value to a hex value and make sure the value has 6
//digits to represent the RRGGBB schema required by the color table
sColor = sColor.toString(16);
if (sColor.length < 6) {
var sTempString = "000000".substring(0,6-sColor.length);
sColor = sTempString.concat(sColor);
}
document.execCommand("ForeColor", false, sColor);
//set the initialization color to the color chosen
sInitColor = sColor;
}
This feature requires Microsoft® Internet Explorer 6.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

Dialog Helper


clear

clear Method

Clears the contents of the selection.

Syntax

selection.clear()

Return Value

No return value.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

selection


clear

clear Method

Not currently supported. To clear all elements in the current document, use document.write(""), followed by document.close.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.


clearAttributes

clearAttributes Method

Removes all attributes and values from the object.

Syntax

object.clearAttributes()

Return Value

No return value.

Remarks

The clearAttributes method clears only persistent HTML attributes. The ID attribute, styles, and script-only properties are not affected.

Example

This example uses the clearAttributes method to remove user-defined attributes from an element.

<SCRIPT>
function fnClear(){
oSource.children[0].clearAttributes();
}
</SCRIPT>
<SPAN ID=oSource>
<DIV
ID="oDiv"
ATTRIBUTE1="true"
ATTRIBUTE2="true"
onclick="alert('click');"
onmouseover="this.style.color='#0000FF';"
onmouseout="this.style.color='#000000';"
>
This is a sample <b>DIV</b> element.
</DIV>
</SPAN>
<INPUT
TYPE="button"
VALUE="Clear Attributes"
onclick="fnClear()"
>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

mergeAttributes, About the W3C Document Object Model


clearData

clearData Method

Removes one or more data formats from the clipboard through dataTransfer or clipboardData object.

Syntax

pret = object.clearData( [sDataFormat])

Parameters

sDataFormat Optional. String that specifies one or more of the following data format values:
Text | Removes the text format.
URL | Removes the URL format.
File | Removes the file format.
HTML | Removes the HTML format.
Image | Removes the image format.

Return Value

No return value.

Remarks

If no sDataFormat parameter is passed, the data formats are cleared.

For drag-and-drop operations, the clearData method of the dataTransfer object is generally used in source events, such as ondragstart. When overriding the default behavior of the target, use clearData in the ondrop event. It is particularly useful for selectively removing data formats when multiple formats are specified.

Example

This example uses the clearData method to remove the Text data format from the clipboard through the dataTransfer object.

<HEAD>
<STYLE>
DIV {background-color:magenta; width: 300;}
SPAN {color:lightgreen;}
</STYLE>
<SCRIPT>
function Source_DragStart(){
event.dataTransfer.setData("Text", "This text will be cleared");
}
function Target_Enter(){
window.event.returnValue = false;
event.dataTransfer.clearData("Text");
oTarget.innerText = event.dataTransfer.getData("Text");
}
</SCRIPT>
</HEAD>
<BODY>
<P>Drag the green text and drop it over the magenta DIV.</P>
<SPAN ID="oSource" ondragstart="Source_DragStart()">
Drag this text.
</SPAN>
<P>Drop the text below. The word "null" will appear in the DIV.</P>
<DIV
ID="oTarget" ondragenter="Target_Enter()">
</DIV>
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

clipboardData, dataTransfer

See Also

About DHTML Data Transfer, getData, setData


clearInterval

clearInterval Method

Cancels the interval previously started using the setInterval method.

Syntax

window.clearInterval(iIntervalID)

Parameters

iIntervalID Required. Integer that specifies the interval to cancel. This value must have been previously returned by the setInterval method.

Return Value

No return value.

Standards Information

There is no public standard that applies to this method.

Applies To

window

See Also

setInterval


clearRequest

clearRequest Method

Clears all requests in the read-requests queue to prepare for new profile-information requests.

Syntax

userProfile.clearRequest()

Return Value

No return value.

Standards Information

There is no public standard that applies to this method.

Applies To

userProfile

See Also

addReadRequest, doReadRequest, getAttribute


clearTimeout

clearTimeout Method

Cancels a time-out that was set with the setTimeout method.

Syntax

window.clearTimeout(iTimeoutID)

Parameters

iTimeoutID Required. Integer that specifies the time-out setting returned by a previous call to the setTimeout method.

Return Value

No return value.

Standards Information

There is no public standard that applies to this method.

Applies To

window


click

click Method

Simulates a click by causing the onclick event to fire.

Syntax

object.click()

Return Value

No return value.

Remarks

Note Simulating a click using the click does not bring the element being clicked into focus. (See example below).

Example

The following example demonstrates how simulating a click using the click does not, by default, bring the element into focus.

<HTML>
<HEAD>
<SCRIPT>
function simclick1()
{
chk1.focus(); //focus is explicitly set
chk1.click();
}
function simclick2()
{
chk1.click();
}
</SCRIPT>
<SCRIPT FOR=chk1 EVENT=onfocus>
alert("check box is in focus!");
</SCRIPT>
</HEAD>
<BODY>
<P STYLE="font-family:sans-serif;font-weight:bold">DEMO: USING CLICK METHOD
DOES NOT SET FOCUS<P>
<UL STYLE="color:blue;font-family:sans-serif;font-weight:bold">
<LI>Both these buttons apply the click method to the check box. </LI>
<LI>An alert has been set to fire when the check box is put into focus.
</UL>
</PLI>
<INPUT Type="CHECKBOX" id=chk1></INPUT>
<br>
<BUTTON onclick="simclick1()">This button <B>applies the focus method</B> to
check box</BUTTON>
<br><BUTTON onclick="simclick2()">This button <B>does not apply the focus
method</B> to check box</BUTTON>
<br>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ADDRESS, APPLET, AREA, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


cloneNode

cloneNode Method

Copies a reference to the object from the document hierarchy.

What's New for Microsoft® Internet Explorer 6

This method applies to the attribute object as of Internet Explorer 6.

Syntax

oClone = object.cloneNode( [bCloneChildren])

Parameters

bCloneChildren Optional. Boolean that specifies one of the following values:
false | Default. Cloned objects do not include childNodes.
true | Cloned objects include childNodes.

Return Value

Returns a reference to the newly created node.

Remarks

The cloneNode method copies an object, attributes, and, if specified, the childNodes.

A collection is returned when referring to the ID of a cloned element.

The cloneNode method will not work on an IFRAME directly. You must call it through the all collection. The following example demonstrates how to call cloneNode on an IFRAME.

<HTML>
<SCRIPT>
function fnBegin(){
var fr = document.all.oFrame.cloneNode();
alert(document.body.innerHTML);
}
</SCRIPT>
<BODY onload="fnBegin()">
<IFRAME id="oFrame" src="about:blank"
style="border:1px solid black; position:absolute; top:20px; left:30px;
width:350px; height:300px;"></IFRAME>
</BODY>
</HTML>

Example

<SCRIPT>
function fnClone(){
/* the 'true' possible value specifies to clone
the childNodes as well.
*/
var oCloneNode = oList.cloneNode(true);
/* When the cloned node is added,
'oList' becomes a collection.
*/
document.body.insertBefore(oCloneNode);
}
</SCRIPT>
<UL ID="oList">
<LI>List node 1
<LI>List node 2
<LI>List node 3
<LI>List node 4
</UL>
<INPUT type="button" value="Clone List" onclick="fnClone()">

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, attribute, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

appendChild, removeNode, replaceNode, swapNode


close

close Method

Closes the current browser window or HTML Application (HTA).

Syntax

window.close()

Return Value

No return value.

Remarks

How a window is closed programmatically determines whether the user is prompted with a confirmation dialog box.

  • Invoking the window.close method on a window not opened with script displays a confirmation dialog box. Using script to close the last running instance of Microsoft® Internet Explorer also opens the confirmation dialog box.
  • Invoking the window.close method on an HTA closes the application without prompting the user because the HTA is trusted and follows a different security model. For more information on the security model of HTAs, please refer to The Power of Trust: HTAs and Security.

When a function fired by an event on any object calls the close method, the window.close method is implied.

<SCRIPT LANGUAGE="JScript">
function foo() {
close();}
</SCRIPT>
<BODY onclick="foo();">
Click this page and window.close() is called.
</BODY>

When an event on any object calls the close method, the document.close method is implied.

<BUTTON onclick="close();">
Click this button and document.close() is called.
</BUTTON>

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1s Non-Microsoft link.

Applies To

window


close

close Method

Closes an output stream and forces the sent data to display.

Syntax

document.close()

Return Value

No return value.

Remarks

When a function fired by an event on any object calls the close method, the window.close method is implied.

<SCRIPT LANGUAGE="JScript">
function foo() {
close();}
</SCRIPT>
<BODY onclick="foo();">
Click this page and window.close() is called.
</BODY>

When an event on any object calls the close method, the document.close method is implied.

Note When document.write or document.writeln is used in an event handler, document.close should also be used.
<BUTTON onclick="close();">
Click this button and document.close() is called.
</BUTTON>

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

document

See Also

open


collapse

collapse Method

Moves the insertion point to the beginning or end of the current range.

Syntax

TextRange.collapse( [bStart])

Parameters

bStart Optional. Boolean that specifies one of the following values:
true | Default. Moves the insertion point to the beginning of the text range.
false | Moves the insertion point to the end of the text range.

Return Value

No return value.

Remarks

This feature might not be available on non-Microsoft® Win32® platforms.

Standards Information

There is no public standard that applies to this method.

Applies To

TextRange

See Also

expand


compareEndPoints

compareEndPoints Method

Compares an end point of a TextRange object with an end point of another range.

Syntax

iResult = TextRange.compareEndPoints(sType, oRange)

Parameters

sType Required. String that specifies one of the following values:
StartToEnd | Compare the start of the TextRange object with the end of the oRange parameter.
StartToStart | Compare the start of the TextRange object with the start of the oRange parameter.
EndToStart | Compare the end of the TextRange object with the start of the oRange parameter.
EndToEnd | Compare the end of the TextRange object with the end of the oRange parameter.
oRange Required. TextRange object that specifies the range to compare with the object.

Return Value

Integer. Returns one of the following possible values:

-1 | The end point of the object is further to the left than the end point of oRange .
0 | The end point of the object is at the same location as the end point of oRange .
1 | The end point of the object is further to the right than the end point of oRange .

Remarks

A text range has two end points. One end point is located at the beginning of the text range, and the other is located at the end of the text range. An end point also can be characterized as the position between two characters in an HTML document.

As of Microsoft® Internet Explorer 4.0, an end point is relative to text only, not HTML tags.

There are four possible end points in the following HTML:

<BODY><P><B>abc

The possible end points are:

  • Before the letter a.
  • Between the letters a and b.
  • Between the letters b and c.
  • After the letter c.

An end point cannot be established between the body and the p. Such an end point is considered to be located before the letter a.

This method might not be available on non-Microsoft Win32® platforms.

Standards Information

There is no public standard that applies to this method.

Applies To

TextRange

See Also

setEndPoint


componentFromPoint

componentFromPoint Method

Returns the component located at the specified coordinates via certain events.

Syntax

sScrollComponent = object.componentFromPoint(iCoordX, iCoordY)

Parameters

iCoordX | Required. Integer that specifies the client window coordinate of x.
iCoordY | Required. Integer that specifies the client window coordinate of y.

Return Value

String. Returns one of the following possible values:

empty string | Component is inside the client area of the object.
outside | Component is outside the bounds of the object.
scrollbarDown | Down scroll arrow is at the specified location.
scrollbarHThumb | Horizontal scroll thumb or box is at the specified location.
scrollbarLeft | Left scroll arrow is at the specified location.
scrollbarPageDown | Page-down scroll bar shaft is at the specified location.
scrollbarPageLeft | Page-left scroll bar shaft is at the specified location.
scrollbarPageRight | Page-right scroll bar shaft is at the specified location.
scrollbarPageUp | Page-up scroll bar shaft is at the specified location.
scrollbarRight | Right scroll arrow is at the specified location.
scrollbarUp | Up scroll arrow is at the specified location.
scrollbarVThumb | Vertical scroll thumb or box is at the specified location.
handleBottom | Bottom sizing handle is at the specified location.
handleBottomLeft | Lower-left sizing handle is at the specified location.
handleBottomRight | Lower-right sizing handle is at the specified location.
handleLeft | Left sizing handle is at the specified location.
handleRight | Right sizing handle is at the specified location.
handleTop | Top sizing handle is at the specified location.
handleTopLeft | Upper-left sizing handle is at the specified location.
handleTopRight | Upper-right sizing handle is at the specified location.

Remarks

The componentFromPoint method, available as of Microsoft® Internet Explorer 5, is applicable to any object that can be given scroll bars through Cascading Style Sheets (CSS).

The componentFromPoint method may not consistently return the same object when used with the onmouseover event. Because a user's mouse speed and entry point can vary, different components of an element can fire the onmouseover event. For example, when a user moves the cursor over a textArea object with scroll bars, the event might fire when the mouse enters the component border, the scroll bars, or the client region. Once the event fires, the expected element may not be returned unless the scroll bars were the point of entry for the mouse. In this case, the onmousemove event can be used to provide more consistent results.

For the object's sizing handles to appear, designMode must be On and the object must be selected.

Example

This example uses the componentFromPoint method to determine which object the mouse pointer is hovering over.

<HTML>
<HEAD>
<SCRIPT>
/*When this function is activated, an alert pops up displays the component at the position of the pointer. */
function ComponentSnapShot(){
var sElem = "";
sElem = document.body.componentFromPoint(
event.clientX,
event.clientY
);
if (sElem=="")
alert("No component there!");
else
alert("Component: " + sElem);
}
function trackElement(){
var sElem = "";
sElem = document.body.componentFromPoint(
event.clientX,
event.clientY
);
window.status = "mousemove " + event.clientX + ", "
+ event.clientY +
" The mouse pointer is hovering over: " + sElem;
}
</SCRIPT>
</HEAD>
<!-- There are several different events that can be used with componentFromPoint. Below are a few of them.
Be carefull! Not all mouse events can be used with componentFromPoint.  -->
<BODY onmousemove="trackElement()" onmousedown="ComponentSnapShot()" onkeydown="ComponentSnapShot()" oncontextmenu="ComponentSnapShot()">
<TEXTAREA COLS=500 ROWS=500>
This text forces scroll bars to appear in the window.
</TEXTAREA>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP

See Also

doScroll, onscroll


confirm

confirm Method

Displays a confirmation dialog box that contains an optional message as well as OK and Cancel buttons.

Syntax

bConfirmed = window.confirm( [sMessage])

Parameters

sMessage Optional. String that specifies the message to display in the confirmation dialog box. If no value is provided, the dialog box does not contain a message.

Return Value

Boolean. Returns one of the following possible values:

true | The user clicked the OK button.
false | The user clicked Cancel button.

Remarks

The title bar of the confirmation dialog box cannot be changed.

Standards Information

There is no public standard that applies to this method.

Applies To

window

See Also

alert, prompt


contains

contains Method

Checks whether the given element is contained within the object.

Syntax

bContained = object.contains(oElement)

Parameters

oElement Required. Element object that specifies the element to check.

Return Value

Boolean. Returns one of the following possible values:

true | The element is contained within the object.
false | The element is not contained within the object.

Standards Information

There is no public standard that applies to this method.

Applies To

A, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, nextID, NOBR, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP


createAttribute

createAttribute Method

Creates an attribute object with a specified name.

Syntax

oAttribute = document.createAttribute(sName)

Parameters

sName Required. String that sets the attribute object's name.

Return Value

Returns a reference to the new attribute object.

Remarks

This method will fail if the sName parameter value contains invalid (non Unicode transformation format (UTF)-16) characters .

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

document


createCaption

createCaption Method

Creates an empty caption element in the table.

Syntax

oCaption = TABLE.createCaption()

Return Value

Returns a caption object.

Remarks

If no caption exists, the createCaption method creates an empty table caption, adds it to the table, and returns a pointer to it. If one or more captions already exist, the method returns a pointer to the first one on the list.

Example

This example uses the createCaption method to create a caption.

myCaption = document.all.myTable.createCaption()

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TABLE

See Also

createTFoot, createTHead, deleteCaption, deleteTFoot, deleteTHead


createComment

createComment Method

Creates a comment object with the specified data.

Syntax

oComment = document.createComment(sData)

Parameters

sData Required. String that sets the comment object's data.

Return Value

Returns a reference to the new comment object.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

document


createControlRange

createControlRange Method

Creates a controlRange collection of nontext elements.

Syntax

oControlRange = BODY.createControlRange()

Return Value

Returns a controlRange collection.

Remarks

Creates a selection range object for control-based selection rather than text-based selection.

If a controlRange already exists, createControlRange overwrites the existing element; otherwise, it returns a pointer to the element created.

Example

This example creates a controlRange using the createControlRange method.

oControlRange = document.body.createControlRange();

Standards Information

There is no public standard that applies to this method.

Applies To

BODY

See Also

createRange


createDocumentFragment

createDocumentFragment Method

Creates a new document.

Syntax

oNewDoc = document.createDocumentFragment()

Return Value

Returns the newly created document.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

document


createElement

createElement Method

Creates an instance of the element for the specified tag.

Syntax

oElement = document.createElement(sTag)

Parameters

sTag Required. String that specifies the name of an element.

Return Value

Returns a reference to the new element.

Remarks

In Microsoft® Internet Explorer 4.0, the only new elements you can create are img, area, and option. As of Internet Explorer 5, you can create all elements programmatically, except for frame and iframe. In addition, the properties of these created elements are read/write and can be accessed programmatically. Before you use new objects, you must explicitly add them to their respective collections or to the document. To insert new elements into the current document, use the insertBefore or appendChild methods.

You must perform a second step when using createElement to create the input element. The createElement method generates an input text box, because that is the default input?A HREF="../properties/type_7.html">type property. To insert any other kind of input element, first invoke createElement for input, then set the type property to the appropriate value in the next line of code.

Attributes can be included with the sTag as long as the entire string is valid HTML. You should do this if you wish to include the NAME attribute at run time on objects created with the createElement method.

Attributes should be included with the sTag when form elements are created that are to be reset using the reset method or a BUTTON with a TYPE attribute value of reset.

Examples

This example uses the createElement method to dynamically update the contents of a Web page by adding an element selected from a drop-down list box.

<SCRIPT>
function fnCreate(){
oData.innerHTML="";
var oOption=oSel.options[oSel.selectedIndex];
if(oOption.text.length>0){
var aElement=document.createElement(oOption.text);
eval("aElement." + oOption.value + "='" + oText.value + "'");
if(oOption.text=="A"){
aElement.href="javascript:alert('A link.')";
}
}
oData.appendChild(aElement);
}
</SCRIPT>
<SELECT ID="oSel" onchange="fnCreate()">
<OPTION VALUE="innerText">A
<OPTION VALUE="value">&lt;INPUT TYPE="button"&gt;
</SELECT>
<SELECT ID=oText onchange="fnCreate()">
<OPTION>
<OPTION VALUE="Text">Text
<OPTION VALUE="More and More Text">More and More Text
</SELECT>
<SPAN ID="oData" ></SPAN>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

You can also specify all the attributes inside the createElement method itself by using an HTML string for the method argument. The following example demonstrates how to dynamically create two radio buttons utilizing this technique.

<HTML>
<HEAD>
<SCRIPT>
function createRadioButton(){
// Create radio button object with value="First Choice" and then insert
// this element into the document hierarchy.
var newRadioButton = document.createElement("<INPUT TYPE='RADIO' NAME='RADIOTEST' VALUE='First Choice'>")
document.body.insertBefore(newRadioButton);
// Create radio button object with value="Second Choice" and then insert
// this element into the document hierarchy.
newRadioButton = document.createElement("<INPUT TYPE='RADIO' NAME='RADIOTEST' VALUE='Second Choice'>")
document.body.insertBefore(newRadioButton);
}
</SCRIPT>
</HEAD>
<BODY>
<INPUT TYPE="BUTTON" ONCLICK="createRadioButton()" VALUE="Create two Radio Buttons"><BR>
<INPUT TYPE="BUTTON" ONCLICK="alert ( document.body.outerHTML )" VALUE="Click here to see HTML">
<BODY>
</HTML>

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

document

See Also

add, cloneNode, removeNode, About the W3C Document Object Model


createEventObject

createEventObject Method

Generates an event object for passing event context information when using the fireEvent method.

Syntax

oNewEvent = document.createEventObject( [oExistingEvent])

Parameters

oExistingEvent Optional. Object that specifies an existing event object on which to base the new object.

Return Value

Returns an event object.

Example

The following sample shows how to use the createEventObject method with the fireEvent method.

<html>
<body>
<script>
function OuterClick() {
if(event.expando == "from_inner")
{
alert("Event actually fired by clicking on inner DIV!")
}
else
{
alert("Event fired by clicking on outer DIV!")
}
}
function InnerClick() {
var eventObj = document.createEventObject();
// Set an expando property on the event object. This will be used by the
// event handler to determine what element was clicked on.
eventObj.expando = "from_inner";
parent.document.all.Outer.fireEvent("onclick",eventObj);
event.cancelBubble = true;
}
</script>
<div id="Outer" onclick="OuterClick()" style="height:200;width:200;padding:50;background-color:mistyrose">
<div id="Inner" onclick="InnerClick()" style="height:100;width:100;padding:25;background-color:lavender"></div>
</div>
</body>
</html>

Standards Information

There is no public standard that applies to this method.

Applies To

document


createPopup

createPopup Method

Creates a popup window.

Syntax

oPopup = window.createPopup( [vArgs])

Parameters

vArgs Optional. This argument is reserved for future use.

Return Value

Returns the popup window object.

Remarks

The pop-up window is initially in a hidden state.

When an element has focus and causes a popup to appear, the element does not lose focus. Because of this, an onblur event associated with an element that creates a popup will not occur when the popup is displayed.

Example

The following example shows how to use the createPopup method to create and display a pop-up window.

<HTML>
<HEAD>
<TITLE>Popup Example</TITLE>
<SCRIPT LANGUAGE="JScript">
var oPopup = window.createPopup();
function ButtonClick()
{
var oPopBody = oPopup.document.body;
oPopBody.style.backgroundColor = "lightyellow";
oPopBody.style.border = "solid black 1px";
oPopBody.innerHTML = "Click outside <B>popup</B> to close.";
oPopup.show(100, 100, 180, 25, document.body);
}
</SCRIPT>
</HEAD>
<BODY>
<BUTTON onclick="ButtonClick()">Click Me!</BUTTON>
</BODY>
</HTML>

Standards Information

There is no public standard that applies to this method.

Applies To

window

See Also

Using the Popup Object, document, show, hide, isOpen


createRange

createRange Method

Creates a TextRange object from the current text selection, or a controlRange collection from a control selection.

Syntax

range = selection.createRange()

Return Value

Returns the created TextRange object.

Standards Information

There is no public standard that applies to this method.

Applies To

selection

See Also

createControlRange


createRangeCollection

createRangeCollection Method

Creates a TextRange object collection from the current selection.

Syntax

rangeCollection = selection.createRangeCollection()

Return Value

Returns a collection of TextRange objects.

Remarks

Microsoft® Internet Explorer 5.5 does not provide multiple selection. The default implementation of this method returns a collection consisting of a single TextRange object.

Host applications can provide a multiple selection mechanism and can return a collection of TextRange objects that represents discontinuous selections.

Standards Information

There is no public standard that applies to this method.

Applies To

selection


createStyleSheet

createStyleSheet Method

Creates a style sheet for the document.

Syntax

oStylesheet = document.createStyleSheet( [sURL] [, iIndex])

Parameters

sURL | Optional. String that specifies how to add the style sheet to the document. If a file name is specified for the URL, the style information will be added as a link object. If the URL contains style information, this information will be added to the style object.
iIndex | Optional. Integer that specifies the index that indicates where the new style sheet is inserted in the styleSheets collection. The default is to insert the new style sheet at the end of the collection.

Return Value

Returns a styleSheet object.

Example

This example uses the createStyleSheet method to create a link to a style sheet.

document.createStyleSheet('styles.css');

Standards Information

There is no public standard that applies to this method.

Applies To

document


createTextNode

createTextNode Method

Creates a text string from the specified value.

Syntax

oTextNode = document.createTextNode( [sText])

Parameters

sText Optional. String that specifies the nodeValue property of the text node.

Return Value

Returns the created TextNode object.

Example

<SCRIPT>
function fnChangeNode(){
var oTextNode = document.createTextNode("New Text");
var oReplaceNode = oSpan.childNodes(0);
oReplaceNode.replaceNode(oTextNode);
}
</SCRIPT>
<SPAN ID="oSpan" onclick="fnChangeNode()">
Original Text
</SPAN>

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

document

See Also

createElement, About the W3C Document Object Model


createTextRange

createTextRange Method

Creates a TextRange object for the element.

Syntax

oTextRange = object.createTextRange()

Return Value

Returns a TextRange object if successful, or null otherwise.

Remarks

Use a text range to examine and modify the text within an object.

Examples

This example uses the createTextRange method to create a text range for the document, and then uses the text range to display all the text and HTML tags in the document.

<SCRIPT LANGUAGE="JScript">
var rng = document.body.createTextRange( );
if (rng!=null) {
alert(rng.htmlText);
}
</SCRIPT>

This example uses the createTextRange method to create a text range for the first button element in the document, and then uses the text range to change the text in the button.

<SCRIPT LANGUAGE="JScript">
var coll = document.all.tags("BUTTON");
if (coll!=null && coll.length>0) {
var rng = coll[0].createTextRange();
rng.text = "Clicked";
}
</SCRIPT>

Standards Information

There is no public standard that applies to this method.

Applies To

BODY, BUTTON, INPUT type=button, INPUT type=hidden, INPUT type=password, INPUT type=reset, INPUT type=submit, INPUT type=text, TEXTAREA


createTFoot

createTFoot Method

Creates an empty tFoot element in the table.

Syntax

oTFoot = TABLE.createTFoot()

Return Value

Returns the tFoot element object if successful, or null otherwise.

Remarks

If a tFoot already exists for the table, the createTFoot method returns the existing element. Otherwise, it returns a pointer to the element created.

Example

This example uses the createTFoot method to create a table footer.

myTFoot = document.all.myTable.createTFoot()

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TABLE

See Also

createCaption, createTHead, deleteCaption, deleteTFoot, deleteTHead


createTHead

createTHead Method

Creates an empty tHead element in the table.

Syntax

oTHead = TABLE.createTHead()

Return Value

Returns the tHead element object if successful, or null otherwise.

Remarks

If a tHead already exists, createTHead returns the existing element. Otherwise, it returns a pointer to the element created.

Example

This example uses the createTHead method to create a table header.

myTHead = document.all.myTable.createTHead()

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TABLE

See Also

createCaption, createTFoot, deleteCaption, deleteTFoot, deleteTHead


deleteCaption

deleteCaption Method

Deletes the caption element and its contents from the table.

Syntax

TABLE.deleteCaption()

Return Value

No return value.

Remarks

If there are multiple captions in the table, the deleteCaption method deletes only the first caption and all its contents.

Example

This example uses the deleteCaption method to delete the caption element from the table.

document.all.myTable.deleteCaption()

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TABLE

See Also

createCaption, createTFoot, createTHead, deleteTFoot, deleteTHead


deleteCell

deleteCell Method

Removes the specified cell (td) from the table row, as well as from the cells collection.

Syntax

TR.deleteCell( [iIndex])

Parameters

iIndex Optional. Integer that specifies the zero-based position of the cell to remove from the table row. If no value is provided, the last cell in the cells collection is deleted.

Return Value

No return value.

Example

This example uses the deleteCell method to delete the last cell in the first row of the table.

document.all.myTable.rows[0].deleteCell()

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TR

See Also

deleteRow, insertCell


deleteData

deleteData Method

Removes a specified range of characters from the object.

Syntax

object.deleteData(nOffset, nCount)

Parameters

nOffset | Required. Integer that specifies the offset from which to start.
nCount | Required. Integer that specifies the number of characters to remove.

Return Value

No return value.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

COMMENT, TextNode


deleteRow

deleteRow Method

Removes the specified row (tr) from the element and from the rows collection.

Syntax

object.deleteRow( [iRowIndex])

Parameters

iRowIndex Optional. Integer that specifies the zero-based position in the rows collection of the row to remove.

Return Value

No return value.

Remarks

If you delete a row from a tFoot, tBody, or tHead, you also remove the row from the rows collection for the table. Deleting a row in the table also removes a row from the rows collection for the tBody.

If you delete a row from a tFoot, tBody, or tHead, iRowIndex must contain the sectionRowIndex of the tr. When deleting a row from the table, iRowIndex must contain the rowIndex of the tr.

Example

This example uses the deleteRow method to delete the specified row (tr) in the table.

document.all.myTable.deleteRow()

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TABLE, TBODY, TFOOT, THEAD

See Also

insertRow, rowIndex, rows, sectionRowIndex


deleteTFoot

deleteTFoot Method

Deletes the tFoot element and its contents from the table.

Syntax

object.deleteTFoot()

Return Value

No return value.

Remarks

If only one tFoot element exists in the source, the deleteTFoot method deletes the table footer. If multiple tFoot elements have been defined, the next tFoot element in the source order is promoted as the table footer.

Example

This example uses the deleteTFoot method to delete the tFoot element from the table.

document.all.myTable.deleteTFoot()

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TABLE, TBODY

See Also

createCaption, createTFoot, createTHead, deleteCaption, deleteTHead


deleteTHead

deleteTHead Method

Deletes the tHead element and its contents from the table.

Syntax

object.deleteTHead()

Return Value

No return value.

Remarks

If only one tHead element exists in the source, the deleteTHead method deletes the table header. If multiple tHead elements have been defined, the next tHead element in the source order is promoted as the table header.

Example

This example uses the deleteTHead method to delete the tHead element from the table.

document.all.myTable.deleteTHead()

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TABLE, TBODY

See Also

createCaption, createTFoot, createTHead, deleteCaption, deleteTFoot


detachEvent

detachEvent Method

Unbinds the specified function from the event, so that the function stops receiving notifications when the event fires.

Syntax

object.detachEvent(sEvent, fpNotify)

Parameters

sEvent | Required. String that specifies any of the standard DHTML Events.
fpNotify | Required. Pointer that specifies the function previously set using the attachEvent method.

Return Value

No return value.

Remarks

Behaviors that attach to events using the attachEvent method must explicitly call the detachEvent method to stop receiving notifications from the page when the ondetach event fires. Behaviors that attach to events using the PUBLIC:ATTACH element automatically stop receiving notifications when the behavior detaches from the element, and thus do not need to call the detachEvent method.

Example

This example calls the detachEvent method from an HTML Component (HTC) when the highlighting effect is removed from the page, causing the ondetach event to fire.

<PUBLIC:ATTACH EVENT="ondetach" ONEVENT="cleanup()" />
<SCRIPT LANGUAGE="JScript">
attachEvent ('onmouseover', Hilite);
attachEvent ('onmouseout', Restore);
function cleanup()
{
detachEvent ('onmouseover', Hilite);
detachEvent ('onmouseout', Restore);
}
function Hilite()
{
if (event.srcElement == element)
{
normalColor = style.color;
runtimeStyle.color  = "red";
runtimeStyle.cursor = "hand";
}
}
function Restore()
{
if (event.srcElement == element)
{
runtimeStyle.color  = normalColor;
runtimeStyle.cursor = "";
}
}
</SCRIPT>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, namespace, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, window, XMP

See Also

attachEvent, Introduction to DHTML Behaviors, Using DHTML Behaviors, Using HTML Components to Implement DHTML Behaviors in Script


doImport

doImport Method

Dynamically imports an element behavior.

Syntax

namespace.doImport(sUrl)

Parameters

sUrl Required. String that specifies the URL of the element behavior to import into the namespace.

Return Value

No return value.

Remarks

Once imported into a namespace by this method, an element behavior can be used on the page where the namespace has been declared.

Using this method alone is not enough to enable a element behavior to function on a Web page; it is also necessary to add a custom element to the body of the primary document, as illustrated in the following code snippet.

<body>
<myns:mycustomtag/>
</body>

The preceding sample shows how a custom element makes use of a custom namespace, which is declared on the XMLNS attribute of the HTML tag.

A script or binary behavior can also be used to insert a custom element. See the examples that follow for an illustration of this technique.

Examples

The following example declares a namespace called "TESTNS" and imports the default Microsoft® Internet Explorer behaviors into it.

<HTML XMLNS:TESTNS>
<HEAD>
<SCRIPT LANGUAGE="JScript">
document.namespaces("TESTNS").doImport("#default");
</SCRIPT>
</HEAD>

The following example shows how the doImport method can be used in conjunction with the createElement to insert a custom element to which an element behavior is attached.

<HTML xmlns:myns>
<BODY onload=Load()>
<SCRIPT>
var ns; // holds the newly created namespace object
function Load()
{
ns = document.namespaces[0];
ns.doImport("redbg.htc");
if(ns.readyState != "complete")
{
// Wait for the element behaviors to finish downloading
ns.attachEvent("onreadystatechange", addTagnamesToBody);
}
else
{
addTagnamesToBody();
}
return true;
}
function addTagnamesToBody()
{
if(ns.readyState != "complete") return;
var v = document.createElement("myns:abc");
v.innerText = "ElementBehavior";
document.body.appendChild(v);
ns.detachEvent("onreadystatechange", addTagnamesToBody);
}
</SCRIPT>
</BODY></HTML>

The following code shows the content of the HTML Component (HTC) file, redbg.htc, which simply applies a red background when the ondocumentready event fires.

<public:component tagName=abc >
<public:attach event=ondocumentready onevent=Doc_Ready() />
</public:component>
<script>
function Doc_Ready() {
element.document.bgColor = "red";
}
</script>

Standards Information

There is no public standard that applies to this method.

Applies To

namespace

See Also

IMPORT, Introduction to Viewlink, About Element Behaviors


doReadRequest

doReadRequest Method

Performs all requests located in the read-requests queue.

Syntax

userProfile.doReadRequest(vUsageCode [, vFriendlyName] [, vDomain] [, vPath] [, vExpiration] [, vReserved])

Parameters

vUsageCode Required. Integer that specifies the code that notifies the user of the type of access requested. This usage code should be one of the following 13 codes defined by the Internet Privacy Working Group (IPWG).
0 | Used for system administration.
1 | Used for research and product development.
2 | Used for completion and support of the current transaction.
3 | Used to customize the content and design of a site.
4 | Used to improve the content of a site that includes advertisements.
5 | Used for notifying visitors about updates to the site.
6 | Used for contacting visitors for marketing of services or products.
7 | Used for linking other collected information.
8 | Used by a site for other purposes.
9 | Disclosed to others for customization or improvement of the content and design of the site.
10 | Disclosed to others, who may contact the user, for marketing of services or products.
11 | Disclosed to others, who may contact the user, for marketing of services or products. The user can ask a site not to do this.
12 | Disclosed to others for any other purpose.
vFriendlyName | Optional. String that specifies the display name of the party requesting access to private information. For security reasons, it is not sufficient for the user agent to show this display name to the user. In addition to display name, the user agent must display the URL that originates the script requesting profile access. If this script originates from a secure connection (for example, SSL), the Web author can use the SSL certificate to reliably identify the party requesting access.
vDomain | Optional. String that specifies the pages that the user's choice applies to in the future, in addition to the current page. The specification follows the cookie standard. See RFC-2109 Non-Microsoft link.
vPath | Optional. String that specifies the path to the domain server requesting access. When vExpiration is set, the path is saved with the requested attributes.
vExpiration | Optional. Variant that specifies the amount of time the site has requested access to these attributes. This is currently ignored by Microsoft® Internet Explorer.
vReserved | Optional. This parameter is reserved.

Return Value

No return value.

Remarks

If the site does not have read access, the user is prompted with a list of requested attributes and can choose to allow or deny access.

Standards Information

There is no public standard that applies to this method.

Applies To

userProfile

See Also

addReadRequest, clearRequest, getAttribute


doScroll

doScroll Method

Simulates a click on a scroll-bar component.

Syntax

object.doScroll( [sScrollAction])

Parameters

sScrollAction Optional. String that specifies how the object scrolls, using one of the following values:
scrollbarDown | Default. Down scroll arrow is at the specified location.
scrollbarHThumb | Horizontal scroll thumb or box is at the specified location.
scrollbarLeft | Left scroll arrow is at the specified location.
scrollbarPageDown | Page-down scroll bar shaft is at the specified location.
scrollbarPageLeft | Page-left scroll bar shaft is at the specified location.
scrollbarPageRight | Page-right scroll bar shaft is at the specified location.
scrollbarPageUp | Page-up scroll bar shaft is at the specified location.
scrollbarRight | Right scroll arrow is at the specified location.
scrollbarUp | Up scroll arrow is at the specified location.
scrollbarVThumb | Vertical scroll thumb or box is at the specified location.
down | Composite reference to scrollbarDown.
left | Composite reference to scrollbarLeft.
pageDown | Composite reference to scrollbarPageDown.
pageLeft | Composite reference to scrollbarPageLeft.
pageRight | Composite reference to scrollbarPageRight.
pageUp | Composite reference to scrollbarPageUp.
right | Composite reference to scrollbarRight.
up | Composite reference to scrollbarUp.

Return Value

No return value.

Remarks

Cascading Style Sheets (CSS) allow you to scroll on all objects through the overflow property.

When the content of an element changes and causes scroll bars to display, the doScroll method might not work correctly immediately following the content update. When this happens, you can use the setTimeout method to enable the browser to recognize the dynamic changes that affect scrolling.

Examples

This example uses the doScroll method to scroll down when a button is clicked.

<HEAD>
<SCRIPT>
function scrollBehavior()
{
document.body.doScroll("scrollbarPageRight");
}
function scrollBehavior1()
{
txtScrollMe.doScroll("scrollbarDown");
}
function scrollBehavior2()
{
txtScrollMe.doScroll("scrollbarPageDown");
}
</SCRIPT>
</HEAD>
<BODY>
<BUTTON
onclick="scrollBehavior()"
CLASS="colorIt"
>
Click to Scroll Page
</BUTTON>
<BR>
<HR>
<BUTTON
onclick="scrollBehavior1()"
ondblclick="scrollBehavior2()"
CLASS="colorIt">
Click to Scroll Text Area
</BUTTON><BR><BR>
<TEXTAREA ID=txtScrollMe CLASS="colorIt">
This text area scrolls down	when
the "Click to Scroll the Text
Area" button is clicked. The doScroll
method scrolls it as if the down
arrow component of the scroll bar
had been clicked. Double-click the
button to scroll down a whole page.
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the doScroll method to scroll down a text area in one-second intervals.

<HEAD>
<SCRIPT>
var iTimer;
function timeIt()
{
iTimer = setInterval("scrollIt()", 1000);
}
function scrollIt()
{
oScrollMe.doScroll("down");
}
</SCRIPT>
</HEAD>
<BODY onload="timeIt()">
<DIV ID=oScrollMe STYLE="width:200px;height:75px;overflow:scroll">
</DIV>
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

BODY, CUSTOM, DIV, SPAN, TEXTAREA

See Also

componentFromPoint, onscroll


dragDrop

dragDrop Method

Initiates a drag event.

Syntax

bDragOK = object.dragDrop()

Return Value

Boolean. Returns one of the following values:

true | Drag operation was completed successfully.
false | Drag operation was cancelled.

Remarks

You can use this method to fire the ondragstart event. If the event is not cancelled, a drag operation is started. The method returns true when the mouse is released. If the ondragstart event is cancelled, the method immediately returns false.

Standards Information

There is no public standard that applies to this method.

Applies To

A, AREA, BASEFONT, BGSOUND, BODY, BR, BUTTON, CAPTION, COL, COMMENT, DD, DIV, DT, EMBED, FONT, FORM, FRAME, HEAD, HR, HTML, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, LABEL, LEGEND, LI, MAP, MARQUEE, META, OBJECT, OL, OPTION, P, SCRIPT, SELECT, SPAN, STYLE, TABLE, TD, TEXT, TEXTAREA, TITLE, TR, UL


duplicate

duplicate Method

Returns a duplicate of the TextRange.

Syntax

oTextRange = TextRange.duplicate()

Return Value

Returns a TextRange object.

Remarks

This feature might not be available on non-Microsoft® Win32® platforms.

Standards Information

There is no public standard that applies to this method.

Applies To

TextRange


elementFromPoint

elementFromPoint Method

Returns the element for the specified iX and iY coordinates.

Syntax

oElement = document.elementFromPoint(iX, iY)

Parameters

iX | Required. Integer that specifies the X-offset, in pixels.
iY | Required. Integer that specifies the Y-offset, in pixels.

Return Value

Returns an element object.

Remarks

Coordinates are supplied in client coordinates. The top left corner of the client area is (0,0). For elementFromPoint to exhibit expected behavior, the object or element located at position (x, y) must support and respond to mouse events.

Standards Information

There is no public standard that applies to this method.

Applies To

document

See Also

clientX, clientY


empty

empty Method

Cancels the current selection, sets the selection type to none, and sets the item property to null.

Syntax

selection.empty()

Return Value

No return value.

Standards Information

There is no public standard that applies to this method.

Applies To

selection


execCommand

execCommand Method

Executes a command on the current document, current selection, or the given range.

Syntax

bSuccess = object.execCommand(sCommand [, bUserInterface] [, vValue])

Parameters

sCommand | Required. String that specifies the command to execute. This command can be any of the command identifiers that can be executed in script.
bUserInterface Optional. Boolean that specifies one of the following values.
false | Default. Does not display a user interface.
true | Displays a user interface, if the command supports one.
vValue | Optional. Variant that specifies the string, number, or other value to assign. Possible values depend on sCommand .

Return Value

Returns True if the command is successful.

Remarks

Do not invoke the execCommand method until after the page loads.

The bUserInterface and vValue parameters might be required depending on the command being executed.

Example

The following example shows how to use the CreateLink constant as the sCommand of the execCommand method to allow the user to create a hyperlink from selected text. The scriptMicrosoft® JScript® then retrieves the specified URL and uses it to replace the selected text.

<HTML>
<BODY>
<H1 unselectable="on">Creating a Link and Retrieving the URL</H1>
<script>
function AddLink()
{//Identify selected text
var sText = document.selection.createRange();
if (!sText==""){
//Create link
document.execCommand("CreateLink");
//Replace text with URL
if (sText.parentElement().tagName == "A"){
sText.parentElement().innerText=sText.parentElement().href;
document.execCommand("ForeColor","false","#FF0033");
}
}
else{
alert("Please select some blue text!");
}
}
</script>
<P unselectable="on">Select any portion of the following blue text, such as "My favorite Web site". Click the button to turn the selected text into a link. The text will be changed to the URL that you specify.</P>
<P style="color=#3366CC">My favorite Web site is worth clicking on. Don't forget to check out my favorite music group!</P>
<BUTTON onclick="AddLink()" unselectable="on">Click to add link</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

document, controlRange, TextRange

See Also

queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue


execScript

execScript Method

Executes the specified script in the provided language.

Syntax

vReturn = window.execScript(sExpression, sLanguage)

Parameters

sExpression | Required. String that specifies the code to be executed.
sLanguage | Required. String that specifies the language in which the code is executed. The language defaults to Microsoft® JScript®.

Return Value

This method always returns null.

Remarks

Script executed through the execScript method can access all global variables available to the calling script. This can be useful when you want the functionality of another scripting language that would not otherwise be available in JScript, such as the Microsoft Visual Basic® Scripting Edition (VBScript) MsgBox function.

Standards Information

There is no public standard that applies to this method.

Applies To

window


expand

expand Method

Expands the range so that partial units are completely contained.

Syntax

bSuccess = TextRange.expand(sUnit)

Parameters

sUnit Required. String that specifies the units to move in the range, using one one of the following values:
character | Expands a character.
word | Expands a word. A word is a collection of characters terminated by a space or another white-space character, such as a tab.
sentence | Expands a sentence. A sentence is a collection of words terminated by an ending punctuation character, such as a period.
textedit | Expands to enclose the entire range.

Return Value

Boolean that returns one of the following values:

true | The range was successfully expanded.
false | The range was not expanded.

Remarks

This feature might not be available on non-Microsoft® Win32® platforms.

Example

This example creates a range from the current selection and uses the expand method to ensure that any word partially enclosed in the range becomes entirely enclosed in the range.

var rng = document.selection.createRange();
rng.expand("word");

Standards Information

There is no public standard that applies to this method.

Applies To

TextRange

See Also

collapse


findText

findText Method

Searches for text in the document and positions the start and end points of the range to encompass the search string.

Syntax

bFound = TextRange.findText(sText [, iSearchScope] [, iFlags])

Parameters

sText | Required. String that specifies the text to find.
iSearchScope | Optional. Integer that specifies the number of characters to search from the starting point of the range. A positive integer indicates a forward search; a negative integer indicates a backward search.
iFlags Optional. Integer that specifies one or more of the following flags to indicate the type of search:
0 | Default. Match partial words.
1 | Match backwards.
2 | Match whole words only.
4 | Match case.
131072 | Match bytes.
536870912 | Match diacritical marks.
1073741824 | Match Kashida character.
2147483648 | Match AlefHamza character.

Return Value

Boolean that returns one of the following values:

true | The search text was found.
false | The search text was not found.

Remarks

A range has two distinct states: degenerate and nondegenerate.

A degenerate range is like a text editor caret (insertion point) —it does not actually select any characters. Instead, it specifies a point between two characters. The end points of a degenerate range are adjacent.

A nondegenerate range is like a text editor selection, in that it selects a certain amount of text. The end points of a nondegenerate range are not adjacent.

The value passed for the iSearchScope parameter controls the part of the document, relative to the range, that is searched. The behavior of the findText method depends on whether the state is degenerate or nondegenerate:

  • If the range is degenerate, passing a large positive number causes the text to the right of the range to be searched. Passing a large negative number causes the text to the left of the range to be searched.
  • If the range is nondegenerate, passing a large positive number causes the text to the right of the start of the range to be searched. Passing a large negative number causes the text to the left of the end of the range to be searched. Passing 0 causes only the text selected by the range to be searched.

This feature might not be available on non-Microsoft® Win32® platforms.

A text range is not modified if the text specified for the findText method is not found.

Example

This example creates a TextRange over the body of the document, and then uses the findText method to search for text with various flag combinations. The results are indicated in the example code comments.

<HTML>
<BODY>
Leonardo da Vinci was one of the great masters of the High
Renaissance, especially in painting, sculpture, architecture,
engineering, and science.
</BODY>
</HTML>
<SCRIPT>
var oRange = document.body.createTextRange();
// record the current position in a bookmark
var sBookMark = oRange.getBookmark();
// true - case-insensitive and partial word match
oRange.findText('leo');
// reset the range using the bookmark
oRange.moveToBookmark(sBookMark);
// false - matches whole words only
oRange.findText('engineer', 0, 2);
oRange.moveToBookmark(sBookMark);
// false - case-sensitive
oRange.findText('high', 0, 4);
oRange.moveToBookmark(sBookMark);
// true - case-sensitive and matches whole words
oRange.findText('Leonardo', 0, 6);
// the degenerate case
oRange.moveToBookmark(sBookMark);
// make the range degenerate
oRange.collapse();
// false - must specify large character count in this case
oRange.findText('Leonardo', 0, 6);
// true - no third parameter passed, so no count needed
oRange.findText('Leonardo');
// true - a large count covers the range
oRange.findText('Leonardo', 1000000000, 6);
</SCRIPT>

Standards Information

There is no public standard that applies to this method.

Applies To

TextRange


fireEvent

fireEvent Method

Fires a specified event on the object.

Syntax

bFired = object.fireEvent(sEvent [, oEventObject])

Parameters

sEvent | Required. String that specifies the name of the event to fire.
oEventObject | Optional. Object that specifies the event object from which to obtain event object properties.

Return Value

Boolean. Returns one of the following values:

true | Event fired successfully.
false | Event was cancelled.

Remarks

If the event being fired cannot be cancelled, fireEvent always returns true.

Regardless of their values specified in the event object, the values of the four event properties—cancelBubble, returnValue, srcElement, and type—are automatically initialized to the values shown in the following table.

Event object property | Value
cancelBubble | false
returnValue | true
srcElement | element on which the event is fired
type | name of the event that is fired

Example

The following sample shows how to use the fireEvent method.

<HTML>
<HEAD>
<SCRIPT>
function fnFireEvents()
{
oDiv.innerText = "The cursor has moved over me!";
oButton.fireEvent("onclick");
}
</SCRIPT>
</HEAD>
<BODY>
<h1>Using the fireEvent method</h1>
By moving the cursor over the DIV below, the button is clicked.
<P>
<DIV ID="oDiv" onmouseover="fnFireEvents();">
Mouse over this!
</DIV>
<p>
<BUTTON ID="oButton" ONCLICK="this.innerText='I have been clicked!'" >
Button</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, styleSheet, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP

See Also

createEventObject


firstPage

firstPage Method

Displays the first page of records in the data set to which the table is bound.

Syntax

TABLE.firstPage()

Return Value

No return value.

Remarks

The dataPageSize property of the table determines the number of records displayed. You must set the DATAPAGESIZE attribute when designing the page, or set the corresponding dataPageSize property at run time for this method to have any effect.

Note You do not need to check for boundary conditions.

Standards Information

There is no public standard that applies to this method.

Applies To

TABLE

See Also

Introduction to Data Binding, lastPage, nextPage, previousPage


focus

focus Method

Causes the element to receive the focus and executes the code specified by the onfocus event.

Syntax

object.focus()

Return Value

No return value.

Remarks

This method fires the onfocus event.

As of Microsoft® Internet Explorer 5, elements that expose the focus method must have the TABINDEX attribute set.

Elements cannot receive focus until the document finishes loading.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CUSTOM, DD, DEL, DFN, DIR, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, window, XMP


forward

forward Method

Loads the next URL from the History list.

Syntax

history.forward()

Return Value

No return value.

Remarks

This method performs the same action as when a user clicks the Forward button in the browser. Calling the forward method works the same as calling the go method with a parameter of 1. An error does not occur if the user tries to go beyond the end of the history. Instead, the user remains at the current page.

Standards Information

There is no public standard that applies to this method.

Applies To

history

See Also

back, go


getAdjacentText

getAdjacentText Method

Returns the adjacent text string.

Syntax

text = object.getAdjacentText(sWhere)

Parameters

sWhere Required. String that specifies where the text is located using one of the following values:
beforeBegin | Text is returned immediately before the element.
afterBegin | Text is returned after the start of the element but before all other content in the element.
beforeEnd | Text is returned immediately before the end of the element but after all other content in the element.
afterEnd | Text is returned immediately after the end of the element.

Return Value

Returns the first adjacent text string.

Example

This example uses the getAdjacentText method to find specific text.

<SCRIPT>
function fnFind(){
var sWhere = oSel.options[oSel.selectedIndex].text;
alert(oPara.getAdjacentText(sWhere));
}
</SCRIPT>
This is the text before (beforeBegin).
<P ID=oPara>
This is the text after (afterBegin).
<B>A few extra words.</B>
This is the text before (beforeEnd).
</P>
This is the text after (afterEnd).
<SELECT ID=oSel>
<OPTION SELECTED>beforeBegin
<OPTION>afterBegin
<OPTION>beforeEnd
<OPTION>afterEnd
</SELECT>
<INPUT TYPE="button" VALUE="Find text" onclick="fnFind()">

Standards Information

There is no public standard that applies to this method.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP


getAttribute

getAttribute Method

Retrieves the value of the specified attribute.

Syntax

vAttrValue = object.getAttribute(sAttrName [, iFlags])

Parameters

sAttrName Required. String that specifies the name of the attribute.
iFlags Optional. Integer that specifies one or more of the following flags:
0 | Default. Performs a property search that is not case-sensitive, and returns an interpolated value if the property is found.
1 | Performs a case-sensitive property search. To find a match, the uppercase and lowercase letters in sAttrName must exactly match those in the attribute name. If the iFlags parameter for getAttribute is set to 1 and this option is set to 0 (default), the specified property name might not be found.
2 | Returns the value exactly as it was set in script or in the source document.

Return Value

Variant that returns a String, number, or Boolean value as defined by the attribute. If the attribute is not present, this method returns null.

Remarks

If two or more attributes have the same name (differing only in uppercase and lowercase letters) and iFlags is 0, the getAttribute method retrieves values only for the last attribute created with this name, and ignores all other attributes with the same name.

When retrieving the CLASS attribute using this method, set the sAttrName to be "className", which is the corresponding Dynamic HTML (DHTML) property.

This method is used only by events created from HTML Components.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, currentStyle, CUSTOM, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, nextID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XMP

See Also

removeAttribute, setAttribute


getAttribute

getAttribute Method

Returns the value of the named attribute from the userProfile object.

Syntax

sValue = userProfile.getAttribute(sAttributeName)

Parameters

sAttributeName Required. String that specifies one of the standard vCard names listed in Remarks. If one of these names is not used, the request is ignored.

Return Value

String. Returns a null value if read access for this attribute is not available.

Remarks

The following schema is used for the field names of the user data store. These names are specified when you use the getAttribute method on the userProfile object. Note that the format has changed from vCard_xxx to vCard.xxx, and that the older format no longer is supported.

vCard Names
vCard.Business.City | vCard.Business.Country | vCard.Business.Fax
vCard.Business.Phone | vCard.Business.State | vCard.Business.StreetAddress
vCard.Business.URL | vCard.Business.Zipcode | vCard.Cellular
vCard.Company | vCard.Department | vCard.DisplayName
vCard.Email | vCard.FirstName | vCard.Gender*
vCard.Home.City | vCard.Home.Country | vCard.Home.Fax
vCard.Home.Phone | vCard.Home.State | vCard.Home.StreetAddress
vCard.Home.Zipcode | vCard.Homepage | vCard.JobTitle
vCard.LastName | vCard.MiddleName | vCard.Notes
vCard.Office | vCard.Pager

Note An asterisk (*) denotes extensions to the vCard schema. Extensions are referenced as X- elements, as defined in the vCard schema.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

userProfile


getAttributeNode

getAttributeNode Method

Retrieves an attribute object referenced by the attribute.name property.

Syntax

oAttribute = object.getAttributeNode(sName)

Parameters

sName Required. String that specifies the name property of the requested attribute object.

Return Value

Returns a reference to an attribute object.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP


getBookmark

getBookmark Method

Retrieves a bookmark (opaque string) that can be used with moveToBookmark to return to the same range.

Syntax

sBookmark = TextRange.getBookmark()

Return Value

String. Returns the bookmark if successfully retrieved, or null otherwise.

Remarks

This feature might not be available on non-Microsoft® Win32® platforms.

Standards Information

There is no public standard that applies to this method.

Applies To

TextRange


getBoundingClientRect

getBoundingClientRect Method

Retrieves an object that specifies the bounds of a collection of TextRectangle objects.

Syntax

oRect = object.getBoundingClientRect()

Return Value

Returns a TextRectangle object. Each rectangle has four integer properties (top, left, right, and bottom) that represent a coordinate of the rectangle, in pixels.

Remarks

This method retrieves an object that exposes the left, top, right, and bottom coordinates of the union of rectangles relative to the client's upper-left corner. In Microsoft® Internet Explorer 5, the window's upper-left is at 2,2 (pixels) with respect to the true client.

Examples

This example uses the getClientRects and getBoundingClientRect methods to highlight text lines in an object.

<HEAD>
<SCRIPT>
var rcts;
var keyCount=0;
function Highlight(obj) {
rcts = obj.getClientRects();
rctLength= rcts.length;
if (keyCount > rctLength-1) {
idBeige.style.display="none";
keyCount = 0
}
// set the rendering properties for the yellow DIV
cdRight = rcts[keyCount].right + idBody.scrollLeft;
cdLeft = rcts[keyCount].left + idBody.scrollLeft;
cdTop = rcts[keyCount].top + idBody.scrollTop;
cdBottom = rcts[keyCount].bottom + idBody.scrollTop;
idYellow.style.top = cdTop;
idYellow.style.width = (cdRight-cdLeft) - 5;
idYellow.style.display = 'inline';
// set the rendering properties for the beige DIV
bndRight = obj.getBoundingClientRect().right +
idBody.scrollLeft;
bndLeft = obj.getBoundingClientRect().left +
idBody.scrollLeft;
bndTop = obj.getBoundingClientRect().top +
idBody.scrollTop;
idBeige.style.top = bndTop;
idBeige.style.width = (bndRight-bndLeft) - 5;
idBeige.style.height = cdTop - bndTop;
if (keyCount>0){
idBeige.style.display = 'inline';
}
keyCount++;
}
</SCRIPT>
</HEAD>
<BODY ID="idBody">
<DIV ID="oID_1" onclick="Highlight(this)"
onkeydown="Highlight(this)">
A large block of text should go here. Click this
block of text multiple times to see each line
highlight with every click of the mouse button.
Once each line has been highlighted, the process
begins again starting with the first line.
</DIV>
<DIV STYLE="position:absolute; left:5; top:400;
z-index:-1; background-color:yellow; display:none"
ID="idYellow"></DIV>
<DIV STYLE="position:absolute; left:5; top:400;
z-index:-1; background-color:beige; display:none"
ID="idBeige"></DIV>
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the TextRectangle collection with the getClientRects and getBoundingClientRect methods to determine the position of the text rectangle within an element. In each line, the left-justified text does not extend to the right margin of the box that contains the text. Using the collection, you can determine the coordinates of the rectangle that surrounds only the content in each line. The example code reads these rectangle coordinates and instructs the ball to move over the text only, and not to the end of the line.

<HEAD>
<SCRIPT>
var timid = -1;
var timoID_2 = -1;
var nLine;
var nPosInLine;
var oRcts;
var nDivLen;
var nEraser;
function LoadDone() {
oTextRange = document.body.createTextRange();
// Get bounding rect of the range
oRcts = oTextRange.getClientRects();
nLine = 0;
oBndRct = obj.getBoundingClientRect();
nDivLen = oBndRct.right - oBndRct.left + 1;
MoveTo();
}
function MoveTo() {
if (nLine >= oRcts.length) {
nLine = 0;
}
obj.style.top = oRcts[nLine].top;
nPosInLine = oRcts[nLine].left;
nEraser = 0;
timoID_2 = setInterval("MoveToInLine()",60);
}
function MoveToInLine() {
if (nPosInLine >= oRcts[nLine].right - nDivLen) {
clearInterval(timoID_2);
timoID_2 = -1;
obj.style.left = oRcts[nLine].right - nDivLen;
nLine++;
timid = setTimeout("MoveTo()", 100);
return;
}
if (nEraser == 0) {
nEraser = 1;
}
else {
nEraser = 0;
}
im.src = "../common/dot.gif";
obj.style.left = nPosInLine;
nPosInLine += 3;
}
function End() {
if(timid != -1) {
clearInterval(timid);
timid = -1;
}
if(timoID_2 != -1) {
clearInterval(timoID_2);
timoID_2 = -1;
}
}
</SCRIPT>
</HEAD>
<BODY ID="bodyid" onload="LoadDone()"
onresize="End();LoadDone();" onunload="End()">
<P STYLE="text-align:center">
<B>The quick brown fox jumps over the lazy dog.</B>
</P>
<DIV ID="obj" STYLE="position:absolute">
<IMG ID="im" SRC="../common/dot.gif"
BORDER=0 HEIGHT=16 WIDTH=16>
</DIV>
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, OBJECT, OL, OPTION, P, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TextRange, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


getCharset

getCharset Method

Retrieves a Variant that specifies the character set of the specified font.

Syntax

charset = Dialog Helper.getCharset(fontName)

Parameters

fontName Required. String that specifies the name of the font.

Return Value

Pointer to a Variant that specifies the character set of the given font. For a list of possible values, see Dialog Helper Character Sets.

Applies To

Dialog Helper


getClientRects

getClientRects Method

Retrieves a collection of rectangles that describes the layout of the contents of an object or range within the client. Each rectangle describes a single line.

Syntax

collRect = object.getClientRects()

Return Value

Returns the TextRectangle collection. Each rectangle has four integer properties (top, left, right, and bottom) that each represent a coordinate of the rectangle, in pixels.

Examples

This example uses the getClientRects and getBoundingClientRect methods to highlight text lines in an object.

<HEAD>
<SCRIPT>
var rcts;
var keyCount=0;
function Highlight(obj) {
rcts = obj.getClientRects();
rctLength= rcts.length;
if (keyCount > rctLength-1) {
idBeige.style.display="none";
keyCount = 0
}
// set the rendering properties for the yellow DIV
cdRight = rcts[keyCount].right + idBody.scrollLeft;
cdLeft = rcts[keyCount].left + idBody.scrollLeft;
cdTop = rcts[keyCount].top + idBody.scrollTop;
cdBottom = rcts[keyCount].bottom + idBody.scrollTop;
idYellow.style.top = cdTop;
idYellow.style.width = (cdRight-cdLeft) - 5;
idYellow.style.display = 'inline';
// set the rendering properties for the beige DIV
bndRight = obj.getBoundingClientRect().right +
idBody.scrollLeft;
bndLeft = obj.getBoundingClientRect().left +
idBody.scrollLeft;
bndTop = obj.getBoundingClientRect().top +
idBody.scrollTop;
idBeige.style.top = bndTop;
idBeige.style.width = (bndRight-bndLeft) - 5;
idBeige.style.height = cdTop - bndTop;
if (keyCount>0){
idBeige.style.display = 'inline';
}
keyCount++;
}
</SCRIPT>
</HEAD>
<BODY ID="idBody">
<DIV ID="oID_1" onclick="Highlight(this)"
onkeydown="Highlight(this)">
A large block of text should go here. Click this
block of text multiple times to see each line
highlight with every click of the mouse button.
Once each line has been highlighted, the process
begins again starting with the first line.
</DIV>
<DIV STYLE="position:absolute; left:5; top:400;
z-index:-1; background-color:yellow; display:none"
ID="idYellow"></DIV>
<DIV STYLE="position:absolute; left:5; top:400;
z-index:-1; background-color:beige; display:none"
ID="idBeige"></DIV>
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the TextRectangle collection with the getClientRects and getBoundingClientRect methods to determine the position of the text rectangle within an element. In each line, the left-justified text does not extend to the right margin of the box that contains the text. Using the collection, you can determine the coordinates of the rectangle that surrounds only the content in each line. The example code reads these rectangle coordinates and instructs the ball to move over the text only, and not to the end of the line.

<HEAD>
<SCRIPT>
var timid = -1;
var timoID_2 = -1;
var nLine;
var nPosInLine;
var oRcts;
var nDivLen;
var nEraser;
function LoadDone() {
oTextRange = document.body.createTextRange();
// Get bounding rect of the range
oRcts = oTextRange.getClientRects();
nLine = 0;
oBndRct = obj.getBoundingClientRect();
nDivLen = oBndRct.right - oBndRct.left + 1;
MoveTo();
}
function MoveTo() {
if (nLine >= oRcts.length) {
nLine = 0;
}
obj.style.top = oRcts[nLine].top;
nPosInLine = oRcts[nLine].left;
nEraser = 0;
timoID_2 = setInterval("MoveToInLine()",60);
}
function MoveToInLine() {
if (nPosInLine >= oRcts[nLine].right - nDivLen) {
clearInterval(timoID_2);
timoID_2 = -1;
obj.style.left = oRcts[nLine].right - nDivLen;
nLine++;
timid = setTimeout("MoveTo()", 100);
return;
}
if (nEraser == 0) {
nEraser = 1;
}
else {
nEraser = 0;
}
im.src = "../common/dot.gif";
obj.style.left = nPosInLine;
nPosInLine += 3;
}
function End() {
if(timid != -1) {
clearInterval(timid);
timid = -1;
}
if(timoID_2 != -1) {
clearInterval(timoID_2);
timoID_2 = -1;
}
}
</SCRIPT>
</HEAD>
<BODY ID="bodyid" onload="LoadDone()"
onresize="End();LoadDone();" onunload="End()">
<P STYLE="text-align:center">
<B>The quick brown fox jumps over the lazy dog.</B>
</P>
<DIV ID="obj" STYLE="position:absolute">
<IMG ID="im" SRC="../common/dot.gif"
BORDER=0 HEIGHT=16 WIDTH=16>
</DIV>
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, OBJECT, OL, OPTION, P, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TextRange, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

TextRectangle


getData

getData Method

Retrieves the data in the specified format from the clipboard through the dataTransfer or clipboardData objects.

Syntax

sRetrieveData = object.getData(sDataFormat)

Parameters

sDataFormat Required. String that specifies one of the following data format values:
Text | Retrieves data formatted as text.
URL | Retrieves data formatted as a URL.

Return Value

String. Returns the data in the format retrieved from clipboard through the dataTransfer or clipboardData object. Depending on the information contained in setData, this variable can retrieve a path to an image, text, or an anchor URL.

Remarks

The getData method enforces cross-frame security and allows data transfers within the same domain only. To the user this means that dragging a selection between different security protocols, such as HTTP and HTTPS, will fail. In addition, dragging a selection between two instances of the browser with different security levels, where the first instance is set to medium and the second is set to high, will fail. Finally, dragging a selection into the browser from another drag-enabled application, such as Microsoft® Word, also will fail.

To use the getData method to retrieve data from the clipboard within the oncopy or oncut event, specify window.event.returnValue=false within the event handler script.

Examples

The following examples use the setData and getData methods of the dataTransfer object to drop text in a new location and create a desktop shortcut.

This example uses the getData method to drag text and drop it in a new location.

<HEAD>
<SCRIPT>
function InitiateDrag(){
event.dataTransfer.setData(oSource.innerText);
}
function FinishDrag(){
window.event.returnValue=false;
oTarget.innerText = event.dataTransfer.getData("Text");
}
function OverDrag(){
window.event.returnValue=false;
}
</SCRIPT>
</HEAD>
<BODY>
<B ID="oSource"
ondragstart="InitiateDrag()">
drag this text</B>
<SPAN ID="oTarget"
ondragover="OverDrag()"
ondragenter="FinishDrag()"">
drop text here</SPAN>
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the getData method to create a desktop shortcut using a drag-and-drop operation.

<HEAD>
<SCRIPT>
function InitiateDrag(){
event.dataTransfer.setData("URL", oSource.href);
}
function FinishDrag(){
oTarget.innerText = event.dataTransfer.getData("URL");
}
</SCRIPT>
</HEAD>
<BODY>
<A ID=oSource HREF="about:Example_Complete"
onclick="return(false)" ondragstart="InitiateDrag()">Test Anchor</A>
<SPAN ID=oTarget ondrop="FinishDrag()">Drop Here</SPAN>
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

clipboardData, dataTransfer

See Also

About DHTML Data Transfer, clearData, setData


getElementById

getElementById Method

Returns a reference to the first object with the specified value of the ID attribute.

Syntax

oElement = document.getElementById(sIDValue)

Parameters

sIDValue Required. String that specifies the value of an ID attribute.

Return Value

Returns the first object with the same ID attribute as the specified value.

Remarks

If the ID value belongs to a collection, the getElementById method returns the first object in the collection.

Example

This example uses the getElementById method to return the first occurrence of the ID attribute value, oDiv.

<SCRIPT>
function fnGetId(){
// Returns the first DIV element in the collection.
var oVDiv=document.getElementById("oDiv1");
}
</SCRIPT>
<DIV ID="oDiv1">Div #1</DIV>
<DIV ID="oDiv2">Div #2</DIV>
<DIV ID="oDiv3">Div #3</DIV>
<INPUT TYPE="button" VALUE="Get Names" onclick="fnGetId()">

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

document

See Also

About the W3C Document Object Model


getElementsByName

getElementsByName Method

Retrieves a collection of objects based on the value of the NAME attribute.

Syntax

collObjects = document.getElementsByName(sNameValue)

Parameters

sNameValue Required. String that specifies the value of a NAME attribute.

Return Value

Returns a collection of objects with the same NAME attribute value.

Remarks

When you use the getElementsByName method, all elements in the document that have the specified NAME or ID attribute value are returned.

Elements that support both the NAME and the ID attribute are included in the collection returned by the getElementsByName method, but not elements with a NAME?A HREF="../properties/expando.html">expando.

Example

This example uses the getElementsByName method to return a collection of input type=text elements with the specified NAME attribute value, firstName.

<SCRIPT>
function fnGetNames(){
// Returns a collection with 2 INPUT type=text elements.
var aInput=document.getElementsByName("firstName");
}
</SCRIPT>
<INPUT TYPE="text" NAME="firstName">
<INPUT TYPE="text" NAME="firstName">
<INPUT TYPE="button" VALUE="Get Names" onclick="fnGetNames()">

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

document

See Also

About the W3C Document Object Model


getElementsByTagName

getElementsByTagName Method

Retrieves a collection of objects based on the specified element name.

Syntax

collObjects = object.getElementsByTagName(sTagName)

Parameters

sTagName Required. String that specifies the name of an element.

Return Value

Returns a collection of objects with the specified element name.

Remarks

The getElementsByTagName method is equivalent to using the tags method on the all collection. For example, the following code shows how to retrieve a collection of div elements from the body element, first using the Dynamic HTML (DHTML) Object Model and then the Document Object Model (DOM).

  • Using the DHTML Object Model:
    var aDivs = document.body.all.tags("DIV");
  • Using the DOM:
    var aDivs = document.body.getElementsByTagName("DIV");

When you use the getElementsByTagName method, all child and nested child elements with the specified tag name are returned. For example, all of the SPAN elements in the following example would be returned by the getElementsByTagName method.

<SCRIPT>
var aSpans = oDiv.getElementsByTagName("SPAN");
</SCRIPT>
<DIV id="oDiv">
<SPAN>Immediate Child
<DIV>
<SPAN>Child of Child DIV</SPAN>
</DIV>
</SPAN>
</DIV>

Example

The following example uses the getElementsByTagName method to return the children of a ul element based on the selected li element.

<SCRIPT>
function fnGetTags(){
var oWorkItem=event.srcElement;
var aReturn=oWorkItem.parentElement.getElementsByTagName("LI");
alert("Length: "
+ aReturn.length
+ "\nFirst Item: "
+ aReturn[0].childNodes[0].nodeValue);
}
</SCRIPT>
<UL onclick="fnGetTags()">
<LI>Item 1
<UL>
<LI>Sub Item 1.1
<OL>
<LI>Super Sub Item 1.1
<LI>Super Sub Item 1.2
</OL>
<LI>Sub Item 1.2
<LI>Sub Item 1.3
</UL>
<LI>Item 2
<UL>
<LI>Sub Item 2.1
<LI>Sub Item 2.3
</UL>
<LI>Item 3
</UL>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

About the W3C Document Object Model


getExpression

getExpression Method

Retrieves the expression for the given property.

Syntax

vExpression = object.getExpression(sPropertyName)

Parameters

sPropertyName Required. String that specifies the name of the property from which to retrieve the expression.

Return Value

Variant. Returns a variant value representing the expression of the property.

Remarks

The following syntax sections show how to retrieve an expression from supported Cascading Style Sheets (CSS) and DHTML Properties.

  • Use this syntax to retrieve an expression from a read/write property or from an expando property.
    var sExpression = object.getExpression(sPropertyName)
  • Use this syntax to retrieve an expression from a CSS attribute.
    var sExpression = object.style.getExpression(sPropertyName)

Examples

The following examples demonstrate how to use the getExpression method to retrieve CSS properties.

This example uses the getExpression method to retrieve the width property of a span object.

<body>
<span id="trueBlueSpan"
style="background-color:lightblue; width:100px">
The width of this blue span is set inline at 100 pixels.
</span>
<span id="oldYellowSpan" style="background-color:lightyellow;
width:200px">
The width of this yelllow span is set inline at 200 pixels.
</span>
<br>
<span id="AlGreenSpan" style="background-color:lightgreen;
width:expression(trueBlueSpan.style.pixelWidth +
oldYellowSpan.style.pixelWidth)">
Click the button below to see the expression used to set
the width of this span.
</span>
<br>
<button onclick=alert(AlGreenSpan.style.getExpression("width"));>
See Expression</button>
</body>

In the following example, the setExpression method is used to set the width property of a blue input type=text object equal to the sum of the values in two other input type=text objects. When the user clicks the input type=button element, the getExpression method is used to display the expression.

<html>
<head>
<script language="JScript">
var s;
function fnInit() {
Box3.style.setExpression("width","eval(Box1.value) + eval(Box2.value)",
"jscript");
}
function getexp() {
s=Box3.style.getExpression("width");
alert("Expression for the width of the blue box is \n\n" + s +
"\n\nThe width property has a value of " + Box3.style.width);
}
</script>
</head>
<body onload=fnInit();>
<input type=text id="Box1" value=40>
<br><input type=text id="Box2" value=40>
<br><input type=text id="Box3" style="background-color:blue">
<br><input type=button id="Button2" value="Get expression" onclick="getexp()">
</body>
</html>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

A, ACRONYM, ADDRESS, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR

See Also

CSS Attributes, About Dynamic Properties, recalc, removeExpression, setExpression


getNamedItem

getNamedItem Method

Retrieves an attribute specified with the name property using the attributes collection.

Syntax

oGetName = attributes.getNamedItem(sGetName)

Parameters

sGetName Required. String that specifies the name of the attribute to retrieve.

Return Value

Returns an attribute with the specified name.

Remarks

If the attribute applies to an element but is not specified, this method returns the attribute with the specified name set to an empty string.

If the attribute does not apply to the element and is not specified, then an error is returned.

If the attribute does not apply to the element and is specified, then the attribute with the specified name is returned.

Example

The following example shows how to use the getNamedItem method to retrieve the value of an attribute.

<HTML>
<HEAD>
<SCRIPT>
function Init()
{
var oAttrColl = oElem.attributes;
var oAttr = oAttrColl.getNamedItem("align");
alert("ALIGN attribute value: " + oAttr.value);
}
</SCRIPT>
</HEAD>
<BODY ONLOAD="Init()">
<P ID="oElem" ALIGN="center">An element.</P>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

attributes


go

go Method

Loads a URL from the History list.

Syntax

history.go(vLocation)

Parameters

vLocation Required. Variant that specifies an integer or a string. An integer indicates the relative position of a URL in the History list. A string indicates an exact URL in the History list.

Return Value

No return value.

Remarks

An error does not occur if the user tries to go beyond the beginning or end of the history. Instead, the user remains at the current page.

Standards Information

There is no public standard that applies to this method.

Applies To

history

See Also

back, forward


hasChildNodes

hasChildNodes Method

Returns a value that indicates whether the object has children.

What's New for Microsoft® Internet Explorer 6

This method now applies to the attribute object.

Syntax

bChildNodes = object.hasChildNodes()

Return Value

Returns one of the following possible values:

true | The object contains HTML Elements or TextNode objects.
false | The object does not contain HTML Elements or TextNodes.

Remarks

If the object contains HTML Elements or TextNodes, they can be accessed from the childNodes collection.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, attribute, B, BASE, BASEFONT, BDO, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

About the W3C Document Object Model


hasFeature

hasFeature Method

Returns a value that indicates whether the object implements a specific Document Object Model (DOM) standard.

Syntax

bImplemented = implementation.hasFeature(sFeature [, vVersion])

Parameters

sFeature Required. Name of the standard.
XML | DOM Core standard.
HTML | DOM HTML standard.
vVersion Optional. Version number of the standard.
1.0 Level 1.

Return Value

Returns one of the following possible values:

true | Standard is implemented.
false | Standard is not implemented.

Remarks

The sFeature parameter is case-insensitive.

Example

The code in the following example uses the hasFeature method to test whether the object implements the DOM HTML standard.

var bSupported = document.implementation.hasFeature("HTML","1.0");

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

implementation


hasFocus

hasFocus Method

Retrieves the value indicating whether the object currently has focus.

Syntax

bActive = document.hasFocus()

Return Value

Boolean. Returns one of the following values:

true | Document has focus.
false | Document does not have focus.

Example

The following example shows how to use the hasFocus method to determine if the document has focus.

<HTML>
<HEAD>
<SCRIPT>
function fnCallDialog()
{
showModelessDialog("myDialogHasFocus.htm",window,"status:false;dialogWidth:300px;dialogHeight:300px");
}
// Function displays the message DIV when the main document has focus
function fnOpenMessage()
{
if (document.hasFocus())
{
oMessageDiv.style.display = "block";
}
}
function fnCloseMessage()
{
oMessageDiv.style.display = "none";
}
</SCRIPT>
</HEAD>
<BODY>
<INPUT TYPE="button"
VALUE="Display Modeless Dialog" onclick="fnCallDialog()">
<P>
<SPAN STYLE= "color:darkmagenta;font-size:large;" onmouseout="fnCloseMessage();"
onmouseover="fnOpenMessage();">Mouse over this!</SPAN>
<div id="oMessageDiv" style="display:none;width:200;font-family:
arial;font-size:large; color: steelblue; border: 4 solid gold;">
A message for you!
</div>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

document


hide

hide Method

Closes the pop-up window.

Syntax

popup.hide()

Return Value

No return value.

Standards Information

There is no public standard that applies to this method.

Applies To

popup

See Also

Using the Popup Object, createPopup, show, document, isOpen


ImportExportFavorites

ImportExportFavorites Method

Handles the importing and exporting of Microsoft® Internet Explorer favorites.

Syntax

external.ImportExportFavorites(bImportExport, sImportExportPath)

Parameters

bImportExport Required. Boolean that specifies one of the following possible values.
true | Import is requested.
false | Export is requested.
sImportExportPath Required. String that specifies the location (URL) to import or export, depending on bImportExport . If a value is an empty string, a file dialog box is opened.

Return Value

No return value.

Remarks

Favorites that reference local files are not created during import. They are filtered out without comment and the program continues.

The ImportExportFavorites method imports favorites from or exports favorites to an HTML page in the Netscape bookmark format. Confirmation is required before the import or export begins.

All favorites are uploaded to the server when exported. Favorites are sent with a POST operation to the server URL specified in the sImportExportPath parameter. For more information, see HttpSendRequest and HTTP Sessions.

It is recommended that the server be configured to erase previously stored favorites before accepting the updates. Favorites imported from the server merge with existing favorites on the client. Deletions on the server do not propagate to the client.

This method is not supported in Introduction to HTML Applications (HTAs).

Examples

This example uses the ImportExportFavorites method to import Favorites information from the server.

// 'true' specifies that the Favorites are imported from the server.
window.external.ImportExportFavorites(
true,"http://www.your_server.com");

This example uses the ImportExportFavorites method to export Favorites information from the server.

// 'false' specifies that the Favorites are exported to the server.
window.external.ImportExportFavorites(
false,"http://www.your_server.com");

This example uses the ImportExportFavorites method to open a file dialog box.

// If the path given is an empty string, a dialog box is opened.
window.external.ImportExportFavorites(false, "");

Standards Information

There is no public standard that applies to this method.

Applies To

external

See Also

Netscape Bookmark File Format


inRange

inRange Method

Returns a value indicating whether one range is contained within another.

Syntax

bFound = TextRange.inRange(oRange)

Parameters

oRange Required. TextRange object that might be contained.

Return Value

Boolean that returns one of the following possible values.

true | oRange is contained within or is equal to the TextRange object on which the method is called.
false | oRange is not contained within the TextRange object on which the method is called.

Remarks

This feature might not be available on platforms other than Microsoft® Win32®.

Examples

The following example shows how to use the inRange method to show that two TextRange objects are equal.

<HTML>
<SCRIPT>
window.onload=fnCheck;
function fnCheck(){
var oRng1 = document.body.createTextRange();
var oRng2 = oRng1.duplicate();
var bInside = oRng1.inRange(oRng2); // returns true;
}
</SCRIPT>
<BODY>
<DIV ID=div1>
Content for division 1.
</DIV>
<DIV ID=div2>
Content for division 2.
</DIV>
</BODY>
</HTML>

The following example shows how to use the inRange method to show that two contained ranges are not equal.

<HTML>
<SCRIPT>
window.onload=fnCheck;
function fnCheck(){
var oRng1.moveToElementText(div1);
var oRng2.moveToElementText(div2);
var bInside = oRng1.inRange(oRng2); // returns false;
}
</SCRIPT>
<BODY>
<DIV ID=div1>
Content for division 1.
</DIV>
<DIV ID=div2>
Content for division 2.
</DIV>
</BODY>
</HTML>

The following example shows how to use the inRange method to show that a text range exists within another text range.

<HTML>
<SCRIPT>
window.onload=fnCheck;
function fnCheck(){
var oRng1 = document.body.createTextRange();
var oRng3 = oRng1.duplicate();
oRng3.findText('division 1');
var bInside = oRng1.inRange(oRng3); // returns true;
}
</SCRIPT>
<BODY>
<DIV ID=div1>
Content for division 1.
</DIV>
<DIV ID=div2>
Content for division 2.
</DIV>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

TextRange

See Also

isEqual


insertAdjacentElement

insertAdjacentElement Method

Inserts an element at the specified location.

Syntax

oElement = object.insertAdjacentElement(sWhere, oElement)

Parameters

sWhere Required. String that specifies where to insert the HTML element, using one of the following values:
beforeBegin | Inserts oElement immediately before the object.
afterBegin | Inserts oElement after the start of the object but before all other content in the object.
beforeEnd | Inserts oElement immediately before the end of the object but after all other content in the object.
afterEnd | Inserts oElement immediately after the end of the object.
oElement Required. Object that specifies the element to be inserted adjacent to the object that invoked the insertAdjacentElement method.

Return Value

Returns an element object.

Remarks

You cannot insert text while the document is loading. Wait for the onload event before attempting to call this method.

If you try to insert an object that already exists on the page, the existing object will be moved to the point that you specified in the insertAdjacentElement method; no new object will be created.

Example

This example uses the insertAdjacentElement method to add a new list item to an ol object.

<SCRIPT>
function fnAdd()
{
var oNewItem = document.createElement("LI");
oList.children(0).insertAdjacentElement("BeforeBegin",oNewItem);
oNewItem.innerText = "List Item 0";
}
</SCRIPT>
:
<BODY>
<OL ID = "oList">
<LI>List Item 1</LI>
<LI>List Item 2</LI>
<LI>List Item 3</LI>
</OL>
<INPUT TYPE = "button" VALUE = "Add Item" onclick="fnAdd()">
</BODY>

Standards Information

There is no public standard that applies to this method.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP


insertAdjacentHTML

insertAdjacentHTML Method

Inserts the given HTML text into the element at the location.

Syntax

object.insertAdjacentHTML(sWhere, sText)

Parameters

sWhere Required. String that specifies where to insert the HTML text, using one of the following values:
beforeBegin | Inserts sText immediately before the object.
afterBegin | Inserts sText after the start of the object but before all other content in the object.
beforeEnd | Inserts sText immediately before the end of the object but after all other content in the object.
afterEnd | Inserts sText immediately after the end of the object.
sText Required. String that specifies the HTML text to insert. The string can be a combination of text and HTML tags. This must be well-formed, valid HTML or this method will fail.

Return Value

No return value.

Remarks

If the text contains HTML tags, the method parses and formats the text as it is inserted.

You cannot insert text while the document is loading. Wait for the onload event to fire before attempting to call this method.

When using the insertAdjacentHTML method to insert script, you must include the DEFER attribute in the script element.

Example

This example uses the insertAdjacentHTML method to insert script into the page.

var sHTML="<input type=button onclick=" +
"go2()" + " value='Click Me'><BR>"
var sScript='<SCRIPT DEFER>'
sScript = sScript +
'function go2(){ alert("Hello from inserted script.") }'
sScript = sScript + '</script' + '>';
ScriptDiv.insertAdjacentHTML("afterBegin",sHTML + sScript);
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

A, ADDRESS, AREA, B, BASEFONT, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COMMENT, CUSTOM, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAMESET, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

innerHTML, insertAdjacentText, outerHTML


insertAdjacentText

insertAdjacentText Method

Inserts the given text into the element at the specified location.

Syntax

object.insertAdjacentText(sWhere, sText)

Parameters

sWhere Required. String that specifies where to insert the text, using one of the following values:
beforeBegin | Inserts the text immediately before the element.
afterBegin | Inserts the text after the start of the element but before all other content in the element.
beforeEnd | Inserts the text immediately before the end of the element but after all other content in the element.
afterEnd | Inserts the text immediately after the end of the element.
sText Required. String that specifies the text to insert.

Return Value

No return value.

Remarks

The text inserted into the element is plain text

You cannot insert text while the document loads. Wait for the onload event to fire before attempting to call this method.

Standards Information

There is no public standard that applies to this method.

Applies To

A, ADDRESS, AREA, B, BASEFONT, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COMMENT, CUSTOM, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAMESET, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OL, OPTION, P, PRE, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TD, TEXTAREA, TH, TT, U, UL, VAR

See Also

innerText, insertAdjacentHTML, outerText


insertBefore

insertBefore Method

Inserts an element into the document hierarchy as a child node of a parent object.

What's New for Microsoft® Internet Explorer 6

This method now applies to the attribute object.

Syntax

oElement = object.insertBefore(oNewNode [, oChildNode])

Parameters

oNewNode | Required. Object that specifies the new element to be inserted into the document hierarchy. Elements can be created with the createElement method.
oChildNode | Optional. Object that specifies the placement of the new element. If this parameter is specified, the new element will be inserted immediately before this existing child element.

Return Value

Returns a reference to the element that is inserted into the document.

Remarks

Do not specify the oChildNode parameter when inserting the first child node. If children already exist and you do not specify the oChildNode parameter, the oNewNode becomes the last child of the parent object.

This method is accessible at run time. If elements are removed at run time, before the closing tag has been parsed, areas of the document might not render.

Example

The following example shows how to use the insertBefore method to insert a new item into an existing list.

<SCRIPT>
function insertElement()
{
var nod=document.createElement("LI");
oUL1.insertBefore(nod, oLIYellow);
nod.innerText="Orange";
}
</SCRIPT>
</HEAD>
<BODY>
<SPAN onclick=insertElement()>Click <B>HERE</B> to add an item to the following list.</SPAN>
<UL id="oUL1">
<LI id="oLIRed">Red</LI>
<LI id="oLIYellow">Yellow</LI>
<LI id="oLIBlue">Blue</LI>
</UL>
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, attribute, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAMESET, HEAD, hn, HTML, I, IFRAME, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, nextID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

About the W3C Document Object Model


insertCell

insertCell Method

Creates a new cell in the table row (tr), and adds the cell to the cells collection.

Syntax

oTD = TR.insertCell( [iIndex])

Parameters

iIndex Optional. Integer that specifies where to insert the cell in the tr. The default value is -1, which appends the new cell to the end of the cells collection.

Return Value

Returns the td element object if successful, or null otherwise.

Remarks

The preferred technique for inserting a cell is to add the cell at the end of the cells collection. It is faster to add a cell at the end of a row than somewhere in the middle. To add a cell at the end of the collection, specify the -1 value, or the length of the cells collection minus 1.

Example

This example uses the insertCell method to add a cell to the end of the tr.

myNewCell = document.all.myTable.rows[0].insertCell()

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TR

See Also

deleteCell, insertRow


insertData

insertData Method

Inserts a new character string in the object at a specified offset.

Syntax

object.insertData(nOffset, sString)

Parameters

nOffset | Required. Integer that specifies the offset from which to start.
sString | Required. String that specifies the new character string.

Return Value

No return value.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

COMMENT, TextNode


insertRow

insertRow Method

Creates a new row (tr) in the table, and adds the row to the rows collection.

Syntax

oTR = object.insertRow( [iIndex])

Parameters

iIndex Optional. Integer that specifies where to insert the row in the rows collection. The default value is -1, which appends the new row to the end of the rows collection.

Return Value

Returns the tr element object if successful, or null otherwise.

Remarks

If you insert a row in a tFoot, tBody, or tHead, you also need to add the row to the rows collection for the table. If you insert a row in the table, you also need to add the row to the rows collection for the tBody. If you specify an index, the index should be relative to the rows collection for the element that first contains the tr. For example, if you call this method for a tBody, you must specify an index value relative to the rows collection that is on the tBody, not the table.

The preferred technique for inserting a row is to add the row at the end of the rows collection. It is faster to add a row at the end of a table than somewhere in the middle. To add a row at the end of the collection, specify the -1 value, or the length of the rows collection minus 1.

Example

This example uses the insertRow method to add a row to the table.

myNewRow = document.all.myTable.insertRow()

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TABLE, TBODY, TFOOT, THEAD

See Also

rowIndex, rows, sectionRowIndex


isEqual

isEqual Method

Returns a value indicating whether the specified range is equal to the current range.

Syntax

bEqual = TextRange.isEqual(oCompareRange)

Parameters

oCompareRange Required. TextRange object to compare with the current TextRange object.

Return Value

Boolean that returns one of the following possible values.

true | oCompareRange is equal to the parent object.
false | oCompareRange is not equal to the parent object.

Standards Information

There is no public standard that applies to this method.

Applies To

TextRange

See Also

inRange


IsSubscribed

IsSubscribed Method

Retrieves a value indicating whether the client subscribes to the given channel.

Syntax

bSubscribed = external.IsSubscribed(sURLToCDF)

Parameters

sURLToCDF Required. String that specifies the URL of a Channel Definition Format (CDF) file to be checked for a subscription.

Return Value

Boolean that receives one of the following possible values.

true | The client subscribes to the channel.
false | No subscription exists for the CDF file.

Remarks

For security purposes, if this method is used in an HTML page that is not in the same secondary domain specified in sURLToCDF , the method returns a scripting error.

For more information about Microsoft® Active Channel™, see Introduction to Active Channel Technology.

This method is not supported in Introduction to HTML Applications (HTAs).

Standards Information

There is no public standard that applies to this method.

Applies To

external


item

item Method

Retrieves an object from the all collection or various other collections.

Syntax

oItem = object.item(vIndex [, iSubindex])

Parameters

vIndex | Required. Integer or String that specifies the object or collection to retrieve. If this parameter is an integer, it is the zero-based index of the object. If this parameter is a string, all objects with matching name or id properties are retrieved, and a collection is returned if more than one match is made.
iSubindex | Optional. Integer that specifies the zero-based index of the object to retrieve when a collection is returned.

Return Value

Returns an object or a collection of objects if successful, or null otherwise.

Remarks

The item method cannot retrieve input type=image elements from a form. To access all elements contained in a form, use the children collection.

Examples

The following example uses the item method to retrieve each object from the document. In this case, the method parameter is a number, so the objects are retrieved in the order they appear in the document.

<SCRIPT LANGUAGE="JScript">
var coll = document.all;
if (coll!=null) {
for (i=0; i<coll.length; i++)
alert(coll.item(i).tagName);
}
</SCRIPT>

The next example uses the item method to retrieve a collection of all objects in the document that have "Sample" as an ID. The example then uses item again to retrieve each object from the "Sample" collection.

<SCRIPT LANGUAGE="JScript">
var coll = document.all.item("Sample");
If (coll != null) {
for (i=0; i<coll.length; i++) {
alert(coll.item(i).tagName);
}
}
</SCRIPT>

The last example is similar to the previous example, but uses the optional iSubindex parameter of item to retrieve individual objects.

<SCRIPT LANGUAGE="JScript">
var coll = document.all.item("Sample")
if (coll!=null) {
for (i=0; i<coll.length; i++)
alert(document.all.item("Sample",i).tagName);
}
</SCRIPT>

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

all, anchors, applets, areas, boundElements, cells, elements, embeds, forms, images, links, mimeTypes, options, plugins, rows, scripts, tBodies, FORM


item

item Method

Retrieves an object from the filters collection or various other collections.

Syntax

oItem = object.item(vIndex)

Parameters

vIndex Required. Integer or String that specifies the object or collection to retrieve. If this parameter is an integer, it is the zero-based index of the object. If this parameter is a string, all objects with matching name or id properties are retrieved, and a collection is returned if more than one match is made.

Return Value

Returns an object or a collection of objects if successful, otherwise null.

Examples

The following example uses the item method to retrieve each object from the document. In this case, the method parameter is a number, so the objects are retrieved in the order in which they appear in the document.

<SCRIPT LANGUAGE="JScript">
var oItem = document.all;
if (oItem!=null) {
for (i=0; i<oItem.length; i++)
alert(oItem.item(i).tagName);
}
</SCRIPT>

The next example uses the item method to retrieve a collection of all objects in the document that have "Sample" as an ID. It then uses item again to retrieve each object from the "Sample" collection.

<SCRIPT LANGUAGE="JScript">
var oItem = document.all.item("Sample");
If (oItem != null) {
for (i=0; i<oItem.length; i++) {
alert(oItem.item(i).tagName);
}
}
</SCRIPT>

Standards Information

There is no public standard that applies to this method.

Applies To

filters, frames, imports, styleSheets, TextRange, TextRectangle


item

item Method

Retrieves an attribute for an element from the attributes collection.

Syntax

oItem = attributes.item(vIndex)

Parameters

vIndex Required. Integer or String that specifies the attribute. If this parameter is an integer, it is the zero-based index of the attribute in the attributes collection. If this parameter is a string, the attribute whose name matches the string is retrieved.

Return Value

Returns an attribute if successful, otherwise null.

Remarks

This method returns an error if the attribute is not found. When retrieving an attribute by name, vIndex must match the case of the attribute.

Examples

This example uses the item method to retrieve the name and value of each attribute for an element and whether it has been specified.

<HTML>
<HEAD>
<SCRIPT>
function Init()
{
oAttrColl = oElem.attributes;
for (i = 0; i < oAttrColl.length; i++)
{
oAttr = oAttrColl.item(i);
bSpecified = oAttr.specified;
sName = oAttr.nodeName;
vValue = oAttr.nodeValue;
alert(sName + ": " + bSpecified + ": " + vValue);
}
}
</SCRIPT>
</HEAD>
<BODY ONLOAD="Init()">
<P ID="oElem">An element.</P>
</BODY>
</HTML>

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

attributes


item

item Method

Retrieves an object from the behaviorUrns collection.

Syntax

oItem = behaviorUrns.item(iIndex)

Parameters

iIndex Required. Integer variable that specifies the element or collection to retrieve. If this parameter is a number, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string, the method returns a collection of elements, where the value of the name or id property for each element is equal to the string.

Return Value

Returns an object or a collection of element objects if successful, or null otherwise.

Standards Information

There is no public standard that applies to this method.

Applies To

behaviorUrns


Item

Item Method

Retrieves a string that specifies the name of a block format tag.

Syntax

pbstrBlockFormat = object.Item(pvarIndex)

Parameters

pvarIndex Required. Variant that specifies the index number of the item in the collection.

Return Value

String that receives the name of the block format.

Applies To

blockFormats, fonts


item

item Method

Retrieves an object from the rules collection.

Syntax

oRule = rules.item(iIndex)

Parameters

iIndex Required. Integer that specifies the zero-based index of the object to retrieve.

Return Value

A?A HREF="../objects/rule.html">rule object if successful, otherwise null.

Standards Information

There is no public standard that applies to this method.

Applies To

rules


item

item Method

Retrieves an object from the pages collection.

Syntax

oItem = pages.item(index)

Parameters

index Required. Integer that specifies the zero-based index of the object to retrieve.

Return Value

Returns an object if successful, or null otherwise.

Standards Information

There is no public standard that applies to this method.

Applies To

pages


item

item Method

Retrieves an object from the controlRange collection.

Syntax

oElement = controlRange.item(iIndex)

Parameters

iIndex Required. Integer that specifies the zero-based index of the object to retrieve.

Return Value

Returns an element object if successful, otherwise null.

Standards Information

There is no public standard that applies to this method.

Applies To

controlRange


item

item Method

Retrieves an object from the bookmarks collection.

Syntax

oBookmark = bookmarks.item(iIndex)

Parameters

iIndex Required. Integer that specifies the zero-based index of the object to retrieve.

Return Value

Returns an object if successful, otherwise null.

Standards Information

There is no public standard that applies to this method.

Applies To

bookmarks


item

item Method

Retrieves an object from the childNodes or children collection.

Syntax

oItem = object.item(vIndex)

Parameters

vIndex Required. Integer that specifies the zero-based index of the item to retrieve.

Return Value

Returns an object, or a collection of objects, if successful, otherwise null.

Example

This example uses the item method to retrieve a collection of the children of the document body.

<SCRIPT LANGUAGE="JScript">
var oItem = document.body.children;
if (oItem!=null) {
for (i=0; i<oItem.length; i++)
alert(oItem.item(i).tagName);
}
</SCRIPT>

Standards Information

There is no public standard that applies to this method.

Applies To

childNodes, children


javaEnabled

javaEnabled Method

Returns whether Java is enabled.

Syntax

bEnabled = object.javaEnabled()

Return Value

Boolean. Returns one of the following possible values:

true | Java is enabled.
false | Java is not enabled.

Standards Information

There is no public standard that applies to this method.

Applies To

clientInformation, navigator


lastPage

lastPage Method

Displays the last page of records in the data set to which the table is bound.

Syntax

TABLE.lastPage()

Return Value

No return value.

Remarks

The dataPageSize property of the table determines the number of records displayed. You must set the DATAPAGESIZE attribute when designing the page, or set the corresponding dataPageSize property at run time for this method to have any effect.

Note You do not need to check for boundary conditions.

Standards Information

There is no public standard that applies to this method.

Applies To

TABLE

See Also

Introduction to Data Binding, firstPage, nextPage, previousPage


mergeAttributes

mergeAttributes Method

Copies all read/write attributes to the specified element.

Syntax

object.mergeAttributes(oSource [, bPreserve])

Parameters

oSource Required. Pointer to an Object that specifies the attributes copied to the object that invokes mergeAttributes.
bPreserve Optional. Available as of Microsoft® Internet Explorer 5.5. Pointer to a Boolean that specifies one of the following values:
true | Default. Preserve the identity of the object to which attributes are being merged.
false | Do not preserve the identity of the object to which attributes are being merged.

Return Value

No return value.

Remarks

The mergeAttributes method copies persistent HTML attributes, events, and styles.

In Internet Explorer 5 and earlier, attributes that are read-only, such as ID, are not merged.

As of Internet Explorer 5.5, by choosing not to preserve the identity of the destination object, you can merge all attributes of an object, including ID and NAME.

Example

This example uses the mergeAttributes method to copy attributes, events, and styles from one object to another.

<SCRIPT>
function fnMerge(){
oSource.children[1].mergeAttributes(oSource.children[0]);
}
</SCRIPT>
<SPAN ID=oSource>
<DIV
ID="oDiv"
ATTRIBUTE1="true"
ATTRIBUTE2="true"
onclick="alert('click');"
onmouseover="this.style.color='#0000FF';"
onmouseout="this.style.color='#000000';"
>
This is a sample <B>DIV</B> element.
</DIV>
<DIV ID="oDiv2">
This is another sample <B>DIV</B> element.
</DIV>
</SPAN>
<INPUT
TYPE="button"
VALUE="Merge Attributes"
onclick="fnMerge()"
>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

clearAttributes, About the W3C Document Object Model


METHODS Attribute | Methods

METHODS Attribute | Methods Property

Sets or retrieves the list of HTTP methods supported by the object.

Syntax

HTML | <A METHODS = sMethod... >
Scripting | A.Methods [ = sMethod ]

Possible Values

sMethod String that specifies or receives the comma-separated list of HTTP methods supported by the object for public use.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

These methods are more accurately given by the HTTP protocol when it is used. However, for reasons similar to those for the title property, it can be useful to include the information in advance in the link. The HTML user agent can choose a different rendering as a function of the methods allowed; for example, if an object has a method that supports searching, an icon denoting this can be rendered.

Standards Information

There is no public standard that applies to this property.

Applies To

A


move

move Method

Collapses the given text range and moves the empty range by the given number of units.

Syntax

iMoved = TextRange.move(sUnit [, iCount])

Parameters

sUnit Required. String that specifies the units to move, using one of the following values:
character | Moves one or more characters.
word | Moves one or more words. A word is a collection of characters terminated by a space or some other white-space character, such as a tab.
sentence | Moves one or more sentences. A sentence is a collection of words terminated by a punctuation character, such as a period.
textedit | Moves to the start or end of the original range.
iCount Optional. Integer that specifies the number of units to move. This can be positive or negative. The default is 1.

Return Value

Integer that returns the number of units moved.

Remarks

This feature might not be available on non-Microsoft® Win32® platforms.

Standards Information

There is no public standard that applies to this method.

Applies To

TextRange

See Also

moveEnd, moveStart


moveBy

moveBy Method

Moves the screen position of the window by the specified iX and iY offset values.

Syntax

window.moveBy(iX, iY)

Parameters

iX | Required. Integer that specifies the horizontal scroll offset in pixels. The value must be greater than or equal to 0.
iY | Required. Integer that specifies the vertical scroll offset in pixels. The value must be greater than or equal to 0.

Return Value

No return value.

Remarks

This method does not work on dialog windows. In order to move or size a dialog window, manipulate the dialogHeight, dialogWidth, dialogTop, and dialogLeft properties.

Standards Information

There is no public standard that applies to this method.

Applies To

window


moveEnd

moveEnd Method

Changes the end position of the range.

Syntax

iMoved = TextRange.moveEnd(sUnit [, iCount])

Parameters

sUnit Required. String that specifies the units to move, using one of the following values:
character | Moves one or more characters.
word | Moves one or more words. A word is a collection of characters terminated by a space or some other white-space character, such as a tab.
sentence | Moves one or more sentences. A sentence is a collection of words terminated by a punctuation character, such as a period.
textedit | Moves to the start or end of the original range.
iCount Optional. Integer that specifies the number of units to move. This can be positive or negative. The default is 1.

Return Value

Integer that returns the number of units moved.

Remarks

This feature might not be available on non-Microsoft® Win32® platforms.

Standards Information

There is no public standard that applies to this method.

Applies To

TextRange

See Also

move, moveStart


moveRow

moveRow Method

Moves a table row to a new position.

Syntax

oRow = object.moveRow(iSource, iTarget)

Parameters

iSource Required. Integer that specifies the index in the rows collection of the table row that is moved.
-1 Default.
iTarget Required. Integer that specifies where the row is moved within the rows collection.
-1 Default.

Return Value

Object. Returns a reference to the table row that is moved.

Remarks

Rows between the iSource and iTarget positions in the rows collection are shifted based on the direction the row moves.

Example

This example uses the moveRow method to exchange the first and second rows in a table when the user clicks a button.

<SCRIPT>
function fnMove(){
oTable.moveRow(0,1);
}
</SCRIPT>
<INPUT TYPE="button" VALUE="Change Rows" onclick="fnMove()">
<TABLE ID="oTable">
<TR><TD>Cell 1, Row 1</TD></TR>
<TR><TD>Cell 1, Row 2</TD></TR>
</TABLE>

Standards Information

There is no public standard that applies to this method.

Applies To

TABLE, TBODY, TFOOT, THEAD


moveStart

moveStart Method

Changes the start position of the range.

Syntax

iMoved = TextRange.moveStart(sUnit [, iCount])

Parameters

sUnit Required. String that specifies the units to move, using one of the following values:
character | Moves one or more characters.
word | Moves one or more words. A word is a collection of characters terminated by a space or other white-space character, such as a tab.
sentence | Moves one or more sentences. A sentence is a collection of words terminated by a punctuation character, such as a period.
textedit | Moves to the start or end of the original range.
iCount Optional. Integer that specifies the number of units to move. This can be positive or negative. The default is 1.

Return Value

Integer that returns the number of units moved.

Remarks

This feature might not be available on non-Microsoft® Win32® platforms.

Standards Information

There is no public standard that applies to this method.

Applies To

TextRange

See Also

move, moveEnd


moveTo

moveTo Method

Moves the screen position of the upper-left corner of the window to the specified iX and iY position.

Syntax

window.moveTo(iX, iY)

Parameters

iX | Required. Integer that specifies the horizontal scroll offset in pixels. The value must be greater than or equal to 0.
iY | Required. Integer that specifies the vertical scroll offset in pixels. The value must be greater than or equal to 0.

Return Value

No return value.

Remarks

This method does not work on dialog windows. In order to move or size a dialog window, manipulate the dialogHeight, dialogWidth, dialogTop, and dialogLeft properties.

Standards Information

There is no public standard that applies to this method.

Applies To

window


moveToBookmark

moveToBookmark Method

Moves to a bookmark.

Syntax

bSuccess = TextRange.moveToBookmark(sBookmark)

Parameters

sBookmark Required. String that specifies the bookmark to move to.

Return Value

Boolean that returns one of the following possible values:

true | Successfully moved to the bookmark.
false | Move to the bookmark failed.

Remarks

Bookmarks are opaque strings created with the getBookmark method.

This feature might not be available on non-Microsoft® Win32® platforms.

Standards Information

There is no public standard that applies to this method.

Applies To

TextRange


moveToElementText

moveToElementText Method

Moves the text range so that the start and end positions of the range encompass the text in the given element.

Syntax

TextRange.moveToElementText(oElement)

Parameters

oElement Required. Object that specifies the element object to move to.

Return Value

No return value.

Remarks

This feature might not be available on non-Microsoft® Win32® platforms.

Standards Information

There is no public standard that applies to this method.

Applies To

TextRange


moveToPoint

moveToPoint Method

Moves the start and end positions of the text range to the given point.

Syntax

TextRange.moveToPoint(iX, iY)

Parameters

iX | Required. Integer that specifies the horizontal offset relative to the upper-left corner of the window, in pixels.
iY | Required. Integer that specifies the vertical offset relative to the upper-left corner of the window, in pixels.

Return Value

No return value.

Remarks

The coordinates of the point must be in pixels and be relative to the upper-left corner of the window. The resulting text range is empty, but you can expand and move the range using methods such as expand and moveEnd.

This feature might not be available on non-Microsoft® Win32® platforms.

Example

This example uses the moveToPoint method to move the text range to the point where the user clicked the mouse, expands the range, and selects the text within the new range.

<SCRIPT FOR=document EVENT=onclick LANGUAGE="JScript">
var rng = document.body.createTextRange();
rng.moveToPoint(window.event.x, window.event.y);
rng.expand("word");
rng.select();
</SCRIPT>

Standards Information

There is no public standard that applies to this method.

Applies To

TextRange


namedItem

namedItem Method

Retrieves an object or a collection from the specified collection.

Syntax

oItem = object.namedItem(sName)

Parameters

sName Required. String that specifies the name or id property of the object to retrieve. A collection is returned if more than one match is made.

Return Value

Returns an object or a collection of objects if successful, or null otherwise.

Remarks

This method first searches for an object with a matching id attribute. If a match is not found, the method then searches for an object with a matching name attribute, but only on those elements that are allowed a name attribute.

Example

The following example shows how to use the namedItem method to retrieve a div and change its innerText property.

    <DIV id="oDIV1">This text will not change.</DIV>
<DIV id="oDIV2">This text will change.</DIV>
<BUTTON onclick="document.all.namedItem('oDIV2').innerText='Changed!';">
Change Option
</BUTTON>

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

all, anchors, applets, areas, boundElements, cells, elements, embeds, forms, images, links, mimeTypes, options, plugins, rows, scripts, tBodies, FORM, filters, frames, imports, styleSheets, TextRange, TextRectangle


namedRecordset

namedRecordset Method

Retrieves the recordset object corresponding to the named data member from a data source object (DSO).

Syntax

oRecordset = object.namedRecordset(sQualifier [, sSubChapter])

Parameters

sQualifier | Required. String that specifies the name of the data member, or an empty string, which indicates the default data member.
sSubChapter | Optional. String that specifies a path to a hierarchical data set.

Return Value

Object. Returns a recordset, or null if the specified data member or subchapter is unavailable.

Remarks

Valid names for a data member are specific to the DSO implementation. Check the DSO documentation to determine whether it supports named data members and to determine the valid names for those data members.

If null values or empty strings are passed to the namedRecordset method, the default recordset is returned. This is identical to referring to the recordset property directly.

If the second parameter is omitted, the top-level recordset is returned. If the first parameter is omitted but the second parameter is specified, the specified subchapter of the default recordset is returned.

Examples

In this example, the named recordset corresponds to the first seven cells of the first column of a spreadsheet. This example uses the namedRecordset method to traverse a named recordset in the handler for the ondatasetcomplete event of a hypothetical DSO that provides data from a spreadsheet. The name of the recordset corresponds to the value of the qualifier property of the event object.

<SCRIPT>
// Fired when all the data is available
function handle_dscomplete()
{
var oEvent = window.event;
// ignore the notification for the default recordset
if (oEvent.qualifier != "")
{
// get a reference to the named recordset as indicated by the
// qualifier property
var oNamedRS = oEvent.srcElement.namedRecordset(oEvent.qualifier);
// now walk the named recordset
oNamedRS.MoveFirst();
for (int i = 0; i < oNamedRS.RecordCount; i++)
{
var vValue = oNamedRS.Fields(0).value;
oNamedRS.MoveNext();
}
}
}
</SCRIPT>
<!-- The CLASSID below does not correspond to a valid object -->
<OBJECT CLASSID="clsid:00000000-0000-0000-0000-000000000000"
ID="dsoSpreadSheet" ondatasetcomplete="handle_dscomplete()">
<!-- Bind the TABLE to the named recordset "A1:A7" provided by the
spreadsheet control -->
<TABLE DATASRC="#dsoSpreadsheet.A1:A7">
<TR><TD><SPAN DATAFLD="A"></SPAN></TD></TR>
</TABLE>

While the XML data source object does not support named data members, it does support subchapters. This example uses the namedRecordset method to access the item subchapter within an XML data set representing a hierarchy of customers, orders, and items. A subset of the data set follows.

<XML ID="xmlCust">
<customers>
<customer>
<lname>Smith</lname>
<fname>John</fname>
<order id="1">
<item>
<name>gyoza</name>
<quantity>12</quantity>
</item>
<item>
<name>bamboo shoots</name>
<quantity>12</quantity>
</item>
</order>
<order id="2">
<item>
<name>tamari</name>
<quantity>100</quantity>
</item>
</order>
</customer>
</customers>
<customer>
<lname>La Croix</lname>
<fname>Jack</fname>
<order id="3">
<item>
<name>bamboo shoots</name>
<quantity>20</quantity>
</item>
<item>
<name>chili paste</name>
<quantity>20</quantity>
</item>
</order>
</customer>
</XML>

The following script uses the namedRecordset method several times. The first call retrieves the recordset corresponding to the default data member. This recordset contains the set of customers. The second call retrieves the recordset corresponding to the set of orders for the current customer. The third call retrieves the recordset corresponding to the set of items contained by the current order for the current customer. The name of each item is compared to the string passed as the first parameter to the GetTotalOf function. If the strings match, the quantity is accumulated and returned to the caller.

<SCRIPT>
function GetTotalOf(sItemName)
{
var iQuantity = 0;
// get the default data member
var oRSCustomers = xmlCust.recordset; // equivalent to xmlCust.namedRecordset("")
oRSCustomers.MoveFirst();
for (var iCust = 0; iCust < oRSCustomers.RecordCount; iCust++)
{
// get the set of orders for each customer
var oRSOrder = xmlCust.namedRecordset("", "order");
oRSOrder.MoveFirst();
for (var iOrder = 0; iOrder < oRSOrder.RecordCount; iOrder++)
{
// get the set of items for each order
var oRSItems = xmlCust.namedRecordset("", "order.item");
oRSItems.MoveFirst();
for (var iItem = 0; iItem < oRSItems.RecordCount; iItem++)
{
if (oRSItems.Fields("name").value == sItemName)
{
iQuantity += parseInt(oRSItems.Fields("quantity").value);
}
oRSItems.MoveNext();
}
oRSOrder.MoveNext();
}
oRSCustomers.MoveNext();
}
return iQuantity;
}
var iTotal = GetTotalOf("tamari"); // returns 20
iTotal = GetTotalOf("bamboo shoots"); // returns 40
</SCRIPT>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

APPLET, XML, OBJECT

See Also

Using a Data Source Object that Exposes Multiple Data Members


navigate

navigate Method

Loads the specified URL to the current window.

Syntax

window.navigate(sURL)

Parameters

sURL Required. String that specifies the URL to display.

Return Value

No return value.

Standards Information

There is no public standard that applies to this method.

Applies To

window

See Also

href


NavigateAndFind

NavigateAndFind Method

Navigates to the specified URL and selects the specified text.

Syntax

external.NavigateAndFind(sLocation, sQuery, sTargetFrame)

Parameters

sLocation | Required. String that specifies the URL of a Web page.
sQuery | Required. String that specifies the text to highlight on the Web page specified by sLocation .
sTargetFrame | Required. String that specifies the name of the target frame to query.

Return Value

No return value.

Remarks

This method requires a full qualified path, including a location prefix (http://, c:\, and so on).

The target frame argument might be empty.

This method is not supported in Introduction to HTML Applications (HTAs).

Example

This example uses the NavigateAndFind method to search for a word or phrase on another page.

<HEAD>
<SCRIPT>
function fnNAF(){
window.external.NavigateAndFind(
"http://www.domain.ext/path/file.htm",
oSearchText.options[oSearchText.selectedIndex].text,"");
}
</SCRIPT>
</HEAD>
<BODY>
<SELECT id=oSearchText onchange="fnNAF()">
<OPTION>Persnickety
<OPTION>Seattle rain
<OPTION;> ...
</SELECT>
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

external

See Also

window


nextPage

nextPage Method

Displays the next page of records in the data set to which the table is bound.

Syntax

TABLE.nextPage()

Return Value

No return value.

Remarks

The number of records displayed in the table is determined by the dataPageSize property of the table. You must set the DATAPAGESIZE attribute when designing the page, or set the corresponding dataPageSize property at run time for this method to have any effect.

Note You do not need to check for boundary conditions.

Standards Information

There is no public standard that applies to this method.

Applies To

TABLE

See Also

Introduction to Data Binding, firstPage, lastPage, previousPage


normalize

normalize Method

Merges adjacent TextNode objects to produce a normalized document object model.

Syntax

object.normalize()

Return Value

No return value.

Remarks

Calling object.normalize before manipulating the subelements of an object ensures that the document object model has a consistent structure. The normal form is useful for operations that require a consistent document tree structure, and it ensures that the document object model view is identical when saved and reloaded.

Note Adjacent CDATA sections will not be merged by the normalize method, allowing for an inconsistent object model when CDATA sections are present.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP


open

open Method

Opens a new window and loads the document specified by a given URL.

What's New for Microsoft® Internet Explorer 6

As of Internet Explorer 6, the _media value of the sName parameter specifies that this method loads a URL into the HTML content area of the Media Bar.

Syntax

oNewWindow = window.open( [sURL] [, sName] [, sFeatures] [, bReplace])

Parameters

sURL Optional. String that specifies the URL of the document to display. If no URL is specified, a new window with about:blank is displayed.
sName Optional. String that specifies the name of the window. This name is used as the value for the TARGET attribute on a form or an a element.
_blank | The sURL is loaded into a new, unnamed window.
_media | The sURL is loaded into the HTML content area of the Media Bar. Available in Internet Explorer 6 or later.
_parent | The sURL is loaded into the current frame's parent. If the frame has no parent, this value acts as the value _self.
_search | Available in Internet Explorer 5 and later. The sURL is opened in the browser's search pane.
_self | The current document is replaced with the specified sURL .
_top | sURL replaces any framesets that may be loaded. If there are no framesets defined, this value acts as the value _self.
sFeatures Optional. This String parameter is a list of items separated by commas. Each item consists of an option and a value, separated by an equals sign (for example, "fullscreen=yes, toolbar=yes"). The following features are supported.
channelmode = { yes | no | 1 | 0 } | Specifies whether to display the window in theater mode and show the channel band. The default is no.
directories = { yes | no | 1 | 0 } | Specifies whether to add directory buttons. The default is yes.
fullscreen = { yes | no | 1 | 0 } | Specifies whether to display the browser in full-screen mode. The default is no. Use full-screen mode carefully. Because this mode hides the browser's title bar and menus, you should always provide a button or other visual clue to help the user close the window. ALT+F4 closes the new window. A window in full-screen mode must also be in theater mode (channelmode).
height = number | Specifies the height of the window, in pixels. The minimum value is 100.
left = number | Specifies the left position, in pixels. This value is relative to the upper-left corner of the screen. The value must be greater than or equal to 0.
location = { yes | no | 1 | 0 } | Specifies whether to display the input field for entering URLs directly into the browser. The default is yes.
menubar = { yes | no | 1 | 0 } | Specifies whether to display the menu bar. The default is yes.
resizable = { yes | no | 1 | 0 } | Specifies whether to display resize handles at the corners of the window. The default is yes.
scrollbars = { yes | no | 1 | 0 } | Specifies whether to display horizontal and vertical scroll bars. The default is yes.
status = { yes | no | 1 | 0 } | Specifies whether to add a status bar at the bottom of the window. The default is yes.
titlebar = { yes | no | 1 | 0 } | Specifies whether to display a title bar for the window. This parameter is ignored unless the calling application is an HTML Application or a trusted dialog box. The default is yes.
toolbar = { yes | no | 1 | 0 } | Specifies whether to display the browser toolbar, making buttons such as Back, Forward, and Stop available. The default is yes.
top = number | Specifies the top position, in pixels. This value is relative to the upper-left corner of the screen. The value must be greater than or equal to 0.
width = number | Sets the width of the window, in pixels. The minimum value is 100.
bReplace Optional. When the sURL is loaded into the same window, this Boolean parameter specifies whether the sURL creates a new entry or replaces the current entry in the window's history list.
true | sURL replaces the current document in the history list
false | sURL creates a new entry in the history list.

Return Value

Returns a reference to the new window object. Use this reference to access properties and methods on the new window.

Remarks

By default, the open method creates a window that has a default width and height and the standard menu, toolbar, and other features of Internet Explorer. You can alter this set of features by using the sFeatures parameter. This parameter is a string consisting of one or more feature settings.

When the sFeatures parameter is specified, the features that are not defined in the parameter are disabled. Therefore, when using the sFeatures parameter, it is necessary to enable all the features that are to be included in the new window. If the sFeatures parameter is not specified, the window features maintain their default values. In addition to enabling a feature by setting it to a specific value, simply listing the feature name also enables that feature for the new window.

Internet Explorer 5 allows further control over windows through the implementation of title in the sFeatures parameter of the open method. Turn off the title bar by opening the window from a trusted application, such as Microsoft Visual Basic® or an HTML Application (HTA). These applications are considered trusted, because each uses Internet Explorer interfaces instead of the browser.

When a function fired by an event on any object calls the open method, the window.open method is implied.

<SCRIPT LANGUAGE="JScript">
function foo() {
open('about:blank');}
</SCRIPT>
<BODY onclick="foo();">
Click this page and window.open() is called.
</BODY>

When an event on any object calls the open method, the document.open method is implied.

<BUTTON onclick="open('Sample.htm');">
Click this button and document.open() is called.
</BUTTON>

Example

This example uses the open method to create a new window that contains Sample.htm. The new window is 200 pixels by 400 pixels and has a status bar, but it does not have a toolbar, menu bar, or address field.

window.open("Sample.htm",null,
"height=200,width=400,status=yes,toolbar=no,menubar=no,location=no");

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

window


open

open Method

This method works in two ways. It opens a document to collect the output of the write and writeln methods. In this case, only the first two parameters, sUrl and sName are used. When values for the additional parameters are specified, this method opens a window in the same way as the window.open method for the window object.

What's New for Microsoft® Internet Explorer 6

As of Internet Explorer 6, the _media value of the sName parameter specifies that this method loads a URL in the Media Bar.

Syntax

oNewDoc = document.open(sUrl [, sName] [, sFeatures] [, bReplace])

Parameters

sUrl Required. When opening a new document, sUrl is a String that specifies a Multipurpose Internet Mail Extensions (MIME) type for the document. When opening a new window, sUrl is a String that specifies the URL to render in the new window. If a sUrl is not specified, a new window with about:blank is displayed.
text/html Default. Currently the only MIME type supported for this method.
sName Optional. When opening up a new document, specifying the String?SPAN CLASS="clsLiteral">replace for sName designates that the new document is to replace the current document in the history list. If the value replace is not specified when opening up a document, a new entry will simply be added to the history list. When opening a window, this is a String that specifies the name of the window. The value of this parameter may be specified as the value of the TARGET attribute for a form or a element. This value will then will define this new window as the place to load a document.
replace | This value is only used for opening up a new document and specifies that the new document is to replace the current entry in the history list.
_blank | When opening a window, the sUrl is loaded into a new, unnamed window.
_parent | When opening a new window, the sUrl is loaded into the current frame's parent. If the frame has no parent, this value acts as the value _self.
_search | Available in Internet Explorer 5 and later. When opening a window, the sUrl is opened in the browser's search pane.
_self | When opening a window, the current document is replaced with the specified sUrl .
_top | sUrl replaces any framesets that may be loaded. If there are no framesets defined, this value acts as the value _self.
_media | Available in Internet Explorer 6 and later. The sUrl is loaded in the Media Bar.
sFeatures Optional. This String is only used when opening a new window and specifies the settings of the window's display features. This parameter is a list of items separated by commas. Each item consists of an option and a value, separated by an equals sign (for example, "fullscreen=yes, toolbar=yes"). The following features are supported.
channelmode = { yes | no | 1 | 0 } | Specifies whether to display the window in theater mode and show the channel band. The default is no.
directories = { yes | no | 1 | 0 } | Specifies whether to add directory buttons. The default is yes.
fullscreen = { yes | no | 1 | 0 } | Specifies whether to display the browser in full-screen mode. The default is no. Use full-screen mode carefully. Because this mode hides the browser's title bar and menus, you should always provide a button or other visual clue to help the user close the window. ALT+F4 closes the new window. A window in full-screen mode must also be in theater mode (channelmode).
height = number | Specifies the height of the window, in pixels. The minimum value is 100.
left = number | Specifies the left position, in pixels. This value is relative to the upper-left corner of the screen. The value must be greater than or equal to 0.
location = { yes | no | 1 | 0 } | Specifies whether to display the input field for entering URLs directly into the browser. The default is yes.
menubar = { yes | no | 1 | 0 } | Specifies whether to display the menu bar. The default is yes.
resizable = { yes | no | 1 | 0 } | Specifies whether to display resize handles at the corners of the window. The default is yes.
scrollbars = { yes | no | 1 | 0 } | Specifies whether to display horizontal and vertical scroll bars. The default is yes.
status = { yes | no | 1 | 0 } | Specifies whether to add a status bar at the bottom of the window. The default is yes.
titlebar = { yes | no | 1 | 0 } | Specifies whether to display a title bar for the window. This parameter is ignored unless the calling application is an HTML Application or a trusted dialog box. The default is yes.
toolbar = { yes | no | 1 | 0 } | Specifies whether to display the browser toolbar, making buttons such as Back, Forward, and Stop available. The default is yes.
top = number | Specifies the top position, in pixels. This value is relative to the upper-left corner of the screen. The value must be greater than or equal to 0.
width = number | Sets the width of the window, in pixels. The minimum value is 100.
bReplace Optional. When the sUrl is loaded into the same window, this Boolean parameter specifies whether the sUrl creates a new entry or replaces the current entry in the window's history list.
true | sUrl replaces the current document in the history list
false | sUrl creates a new entry in the history list.

Return Value

Returns a reference to the new document or window object. Use this reference to access properties and methods of the new document or window.

Remarks

When a function fired by an event on any object calls the open method, the window.open method is implied.

<SCRIPT LANGUAGE="JScript">
function foo() {
open('about:blank');}
</SCRIPT>
<BODY onclick="foo();">
Click this page and window.open() is called.
</BODY>

When an event on any object calls the open method, the document.open method is implied.

<BUTTON onclick="open('Sample.htm');">
Click this button and document.open() is called.
</BUTTON>

Example

The following example shows how to use the open method to replace the current document with a new document and display the HTML markup contained in the variable sMarkup.

<HTML>
<HEAD>
<TITLE>First Document</TITLE>
<script>
function replace(){
var oNewDoc = document.open("text/html", "replace");
var sMarkup = "<HTML><HEAD><TITLE>New Document</TITLE><BODY>Hello, world</BODY></HTML>";
oNewDoc.write(sMarkup);
oNewDoc.close();
}
</script>
</HEAD>
<BODY>
<h1>I just want to say</h1><br>
<!--Button will call the replace function and replace the current page with a new one-->
<Input type ="button" value = "Finish Sentence" onclick="replace();">
</BODY>
</html>

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

document

See Also

close, onbeforeunload


parentElement

parentElement Method

Retrieves the parent element for the given text range.

Syntax

oElement = TextRange.parentElement()

Return Value

Returns the parent element object if successful, or null otherwise.

Remarks

The parent element is the element that completely encloses the text in the range.

If the text range spans text in more than one element, this method returns the smallest element that encloses all the elements. When you insert text into a range that spans multiple elements, the text is placed in the parent element rather than in any of the contained elements.

This feature might not be available on non-Microsoft® Win32® platforms.

Example

This example uses the parentElement method to retrieve the parent element for the text range created from the current selection, and display the tag name of the element.

<SCRIPT LANGUAGE="JScript">
var sel = document.selection;
var rng = sel.createRange();
var el = rng.parentElement();
alert(el.tagName);
</SCRIPT>

Standards Information

There is no public standard that applies to this method.

Applies To

TextRange


pasteHTML

pasteHTML Method

Pastes HTML text into the given text range, replacing any previous text and HTML elements in the range.

Syntax

TextRange.pasteHTML(sHTMLText)

Parameters

sHTMLText Required. String that specifies the HTML text to paste. The string can contain text and any combination of the HTML tags described in HTML Elements.

Return Value

No return value.

Remarks

This method might alter the HTML text to make it fit the given text range. For example, pasting a table cell into a text range that does not contain a table might cause the method to insert a table element. For predictable results, paste only well-formed HTML text that fits within the given text range.

This method fails only when used inappropriately to paste HTML into a TEXTAREA element in Microsoft® Internet Explorer 5 and later.

This method is accessible at run time. If elements are removed at run time, before the closing tag is parsed, areas of the document might not render.

This feature might not be available on non-Microsoft Win32® platforms.

Example

This example uses the pasteHTML method to replace the current selection with a new paragraph.

<SCRIPT LANGUAGE="JScript">
var sel = document.selection;
if (sel!=null) {
var rng = sel.createRange();
if (rng!=null)
rng.pasteHTML("<P><B>Selection has been replaced.</B></P>");
}
</SCRIPT>

Standards Information

There is no public standard that applies to this method.

Applies To

TextRange


previousPage

previousPage Method

Displays the previous page of records in the data set to which the table is bound.

Syntax

TABLE.previousPage()

Return Value

No return value.

Remarks

The number of records displayed in the table is determined by the dataPageSize property of the table. You must set the DATAPAGESIZE attribute when designing the page, or set the corresponding dataPageSize property at run time for this method to have an effect.

Note You do not need to check for boundary conditions.

Standards Information

There is no public standard that applies to this method.

Applies To

TABLE

See Also

Introduction to Data Binding, firstPage, lastPage, nextPage


print

print Method

Prints the document associated with the window.

Syntax

window.print()

Return Value

No return value.

Remarks

Calling the print method has the same effect as choosing Print from the Microsoft® Internet Explorer File menu. The print method activates the Print dialog box, prompting the user to change print settings. When the user clicks the OK button, the following sequence of events occurs:

  1. The onbeforeprint event fires.
  2. The document prints.
  3. The onafterprint event fires.

The onbeforeprint and onafterprint events are particularly useful when not all the information on the page is visible at all times. Use the onbeforeprint to modify the document to make all the information on the page visible for printing. To return the document to its original state, use the onafterprint event.

Standards Information

There is no public standard that applies to this method.

Applies To

window


prompt

prompt Method

Displays a dialog box that prompts the user with a message and an input field.

Syntax

vTextData = window.prompt( [sMessage] [, sDefaultValue])

Parameters

sMessage | Optional. String that specifies the message to display in the dialog box. By default, this parameter is set to "".
sDefaultValue | Optional. String that specifies the default value of the input field. By default, this parameter is set to "undefined".

Return Value

String or Integer. Returns the value typed in by the user.

Remarks

The title of this dialog box cannot be changed.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

window


queryCommandEnabled

queryCommandEnabled Method

Returns a Boolean value that indicates whether a specified command can be successfully executed using execCommand, given the current state of the document.

Syntax

bEnabled = object.queryCommandEnabled(sCmdID)

Parameters

sCmdID Required. String that specifies a command identifier.

Return Value

Boolean that returns one of the following possible values:

true | The command is enabled.
false | The command is disabled.

Remarks

Using queryCommandEnabled ("delete") on a TextRange object returns true, while queryCommandEnabled ("delete") on a document object returns false. However, execCommand ("delete") can still be used to delete the selected text.

Standards Information

There is no public standard that applies to this method.

Applies To

document, controlRange, TextRange

See Also

execCommand, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue


queryCommandIndeterm

queryCommandIndeterm Method

Returns a Boolean value that indicates whether the specified command is in the indeterminate state.

Syntax

bIndeterminate = object.queryCommandIndeterm(sCmdID)

Parameters

sCmdID Required. String that specifies a command identifier.

Return Value

Boolean that returns one of the following possible values:

true | The command is in the indeterminate state.
false | The command is not in the indeterminate state.

Standards Information

There is no public standard that applies to this method.

Applies To

document, controlRange, TextRange

See Also

execCommand, queryCommandEnabled, queryCommandState, queryCommandSupported, queryCommandValue


queryCommandState

queryCommandState Method

Returns a Boolean value that indicates the current state of the command.

Syntax

bDone = object.queryCommandState(sCmdID)

Parameters

sCmdID Required. String that specifies a command identifier.

Return Value

Boolean that returns one of the following possible values:

true | The given command has been executed on the object.
false | The given command has not been executed on the object.

Standards Information

There is no public standard that applies to this method.

Applies To

document, controlRange, TextRange

See Also

execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandSupported, queryCommandValue


queryCommandSupported

queryCommandSupported Method

Returns a Boolean value that indicates whether the current command is supported on the current range.

Syntax

bSupported = object.queryCommandSupported(sCmdID)

Parameters

sCmdID Required. String that specifies a command identifier.

Return Value

Boolean that returns one of the following possible values:

true | The command is supported.
false | The command is not supported.

Standards Information

There is no public standard that applies to this method.

Applies To

document, controlRange, TextRange

See Also

execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandValue


queryCommandValue

queryCommandValue Method

Returns the current value of the document, range, or current selection for the given command.

Syntax

vCmdValue = object.queryCommandValue(sCmdID)

Parameters

sCmdID Required. String that specifies a command identifier.

Return Value

Variant that returns the command value for the document, range, or current selection, if supported. Possible values depend on sCmdID . If not supported, this method returns a Boolean set to false.

Standards Information

There is no public standard that applies to this method.

Applies To

document, controlRange, TextRange

See Also

execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported


recalc

recalc Method

Recalculates all dynamic properties in the current document.

Syntax

document.recalc( [bForceAll])

Parameters

bForceAll Optional. Boolean that specifies one of the following values:
false | Default. Recalculates only those expressions that have changed since the last recalculation.
true | Recalculates all expressions in the document.

Return Value

No return value.

Remarks

Implicit dependencies, internal property changes, and related properties can cause some expressions not to recalculate, even though the properties being referenced might have changed. For example, resizing the main window changes the clientWidth property. Expressions that reference clientWidth might not be recalculated, because the change might not be recognized.

Implicit dependencies refer to properties that can be altered by changes in other properties. For example, the height of a div implicitly depends on the innerHTML of the div. However, if an expression references the height, a change in the innerHTML, which might alter the height, does not cause a recalculation of the expression on a subsequent call to recalc.

Related properties can access or manipulate data or behaviors through one or more other properties. For example, pixelLeft and posLeft can set or retrieve the left position of the element. However, if an expression that references pixelLeft and posLeft is altered, the expression might not be recalculated on subsequent calls to recalc.

Related properties that can cause this behavior include the following: clientHeight, clientLeft, clientTop, clientWidth, height, left, offsetHeight, offsetLeft, offsetTop, offsetWidth, pixelHeight, pixelLeft, pixelTop, pixelWidth, posHeight, posLeft, posTop, posWidth, and top.

To force recalculations of all expressions, you should refer to the same property name or manually call recalc(true).

Example

The following example uses the recalc method in HTML and script to help create a timer. If the calls to recalc are commented out, the timer does not work correctly.

<HTML>
<HEAD>
<TITLE>Recalc Example</TITLE>
<STYLE>
BUTTON {font-size:14;width:150}
</STYLE>
<SCRIPT>
var timerID = null;
var seconds = 0;
//
// This function is called when the page loads.
// It sets up a couple of expressions.
//
function init()
{
A.style.setExpression("width","seconds*10");
B.setExpression("innerText","seconds.toString()");
}
//
// This function gets calls once a second and updates the seconds
// variable. Notice that without recalc, the expressions aren't
// updated until the mouse is moved.
//
function timer()
{
seconds++;
document.recalc();
}
//
// starts the timer
//
function starttimer()
{
if (timerID == null)
{
timerID = setInterval("timer()", 1000);
startButton.disabled = true;
stopButton.disabled = false;
}
}
//
// stops the timer
//
function stoptimer()
{
if (timerID != null)
{
clearInterval(timerID);
timerID = null;
startButton.disabled = false;
stopButton.disabled = true;
}
}
//
//  resets the timer
//
function resettimer()
{
seconds = 0;
}
</SCRIPT>
</HEAD>
<BODY onload="init()">
<DIV id=A style="background-color:lightblue" ></DIV>
<DIV id=B style="color:hotpink;font-weight:bold"></DIV>
<BR>
<BUTTON id="startButton" onclick="starttimer()">Start the Timer</BUTTON></BR>
<BUTTON id="stopButton" DISABLED="true" onclick="stoptimer()">Stop the Timer</BUTTON><BR>
<BUTTON id="resetButton" onclick="resettimer()">Reset the Timer</BUTTON><BR>
<P style="width:320;color:peru;background-color:wheat">
This example illustrates the use of document.recalc().  If the calls
to recalc are omitted in this example, expressions will not be updated
until the mouse is moved.
</P>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

document

See Also

About Dynamic Properties, getExpression, removeExpression, setExpression


refresh

refresh Method

Refreshes the content of the table. This might be necessary after a call to a method such as removeRule, when the page does not automatically reflow.

Syntax

TABLE.refresh()

Return Value

No return value.

Standards Information

There is no public standard that applies to this method.

Applies To

TABLE


releaseCapture

releaseCapture Method

Removes mouse capture from the object in the current document.

Syntax

object.releaseCapture()

Return Value

No return value.

Remarks

For releaseCapture to have an effect, you must set mouse capture through the setCapture method.

You can invoke the releaseCapture method on the document object. The releaseCapture method makes it unnecessary to determine which element has capture to programmatically release it. Other actions that release document capture include displaying a modal dialog box and switching focus to another application or browser window.

Example

This example invokes the releaseCapture method on the document object.

<BODY onload="oOwnCapture.setCapture();"
onclick="document.releaseCapture();">
<DIV ID=oOwnCapture
onmousemove="oWriteLocation.value =
event.clientX + event.clientY";
onlosecapture="alert(event.srcElement.id +
' has lost mouse capture.')">
<TEXTAREA ID=oWriteLocation COLS=2></TEXTAREA>
</DIV>
<HR>
<DIV ID=oNoCapture>
<P>Click the document to invoke the releaseCapture method.</P>
</DIV>
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

A, ADDRESS, APPLET, AREA, B, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IMG, INPUT type=submit, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

About Mouse Capture, onlosecapture, setCapture


reload

reload Method

Reloads the current page.

Syntax

location.reload( [bReloadSource])

Parameters

bReloadSource Optional. Boolean that specifies one of the following possible values:
false | Default. Reloads the page from the browser cache.
true | Reloads the page from the server.

Return Value

No return value.

Standards Information

There is no public standard that applies to this method.

Applies To

location


remove

remove Method

Removes an element from the collection.

Syntax

object.remove(iIndex)

Parameters

iIndex Required. Integer that specifies the zero-based index of the element to remove from the collection.

Return Value

No return value.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

areas, controlRange, options, SELECT

See Also

add


removeAttribute

removeAttribute Method

Removes the given attribute from the object.

Syntax

bSuccess = object.removeAttribute(sName [, iCaseSensitive])

Parameters

sName | Required. String that specifies the attribute name.
iCaseSensitive | Optional. Integer that specifies whether to use a case-sensitive search to locate the attribute. By default, this value is set to 1 to indicate that the uppercase and lowercase letters in the specified sName parameter must exactly match those in the attribute name. If there are multiple attributes specified with different case sensitivity, the attribute returned might vary across platforms.

Return Value

Boolean. Returns one of the following possible values:

true | The attribute was successfully removed.
false | The attribute was not removed.

Remarks

If two or more attributes have the same name—differing only in uppercase and lowercase letters—and iCaseSensitive is set to 0, this method removes only the last attribute to be created with this name. All other attributes of the same name are ignored.

When removing the CLASS attribute using this method, specify the sName to be "className", which is the corresponding Dynamic HTML (DHTML) property.

This method is used only by events created from HTML Components.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, nextID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XMP

See Also

getAttribute, setAttribute


removeAttributeNode

removeAttributeNode Method

Removes an attribute object from the object.

Syntax

oRetAttribute = object.removeAttributeNode(oSrcAttribute)

Parameters

oSrcAttribute Required. attribute object to be removed.

Return Value

Returns a reference to the removed attribute object.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP


removeBehavior

removeBehavior Method

Detaches a behavior from the element.

Syntax

bSuccess = object.removeBehavior(iID)

Parameters

iID Required. Integer that specifies the identifier returned from a previous addBehavior call.

Return Value

Returns one of the following possible values:

true | The behavior was successfully removed.
false | The behavior was not removed.

Remarks

This method applies only to attached behaviors, which are the original Dynamic HTML (DHTML) behaviors introduced in Microsoft® Internet Explorer 5. Element behaviors are a new feature in Internet Explorer 5.5 and cannot be added or removed from an element.

Example

This example uses the removeBehavior method to show how a behavior that implements a mouseover highlighting effect can be dynamically removed from all li elements on a page.

<SCRIPT LANGUAGE="JScript">
var collBehaviorID = new Array();
var collLI = new Array ();
var countLI = 0;
:
function detachBehavior()
{
for (i=0; i < countLI; i++)
collLI[i].removeBehavior (collBehaviorID [i]);
}
</SCRIPT>
:
Click <A HREF="javascript:detachBehavior()">here</A>
to remove highlighting effect.
:
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, STYLE, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP

See Also

addBehavior, Introduction to DHTML Behaviors, Using DHTML Behaviors, About Element Behaviors, Implementing DHTML Behaviors in Script


removeChild

removeChild Method

Removes a child node from the object.

What's New for Microsoft® Internet Explorer 6

This method now applies to the attribute object.

Syntax

oRemove = object.removeChild(oNode)

Parameters

oNode Required. Object that specifies the element to be removed from the document.

Return Value

Returns a reference to the object that is removed.

Remarks

The node to be removed must be an immediate child of the parent object.

This method is accessible at run time. If elements are removed at run time, before the closing tag is parsed, areas of the document might not render.

Example

This example uses the removeChild method to remove a bold element from a div.

<HEAD>
<SCRIPT>
function removeElement()
{
try
{
//The first child of the div is the bold element.
var oChild=Div1.children(0);
Div1.removeChild(oChild);
}
catch(x)
{
alert("You have already removed the bold element.
Page will be refreshed when you click OK.")
document.location.reload();
}
}
</SCRIPT>
</HEAD>
<BODY>
<DIV ID=Div1 onclick="removeElement()">
Click anywhere in this sentence to remove this <B>Bold</B> word.
</DIV>
</BODY>

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, attribute, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAMESET, HEAD, hn, HTML, I, IFRAME, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, nextID, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


removeExpression

removeExpression Method

Removes the expression from the specified property.

Syntax

bSuccess = object.removeExpression(sPropertyName)

Parameters

sPropertyName Required. String that specifies the name of the property from which to remove an expression.

Return Value

Returns one of the following possible values:

true | The expression was successfully removed.
false | The expression was not removed.

Remarks

After the expression is removed from the specified property, the value of the property equals the last computed value of the expression. To remove expressions set by the setExpression method, use removeExpression.

The following syntax sections show how to remove an expression from supported Cascading Style Sheets (CSS) attributes and DHTML Properties.

  • Use this syntax to remove an expression from a read/write property or from an expando property.
    object.removeExpression(sPropertyName)
  • Use this syntax to remove an expression from a CSS attribute.
    object.style.removeExpression(sPropertyName)

Example

This example uses the removeExpression method to remove an expression from the width property of a blue box.

<INPUT TYPE=text ID=oBox1 value=40>The sum of the values in these two text boxes determines the width <BR><INPUT TYPE=text ID=oBox2 value=40>of the blue text box below.
<BR><INPUT TYPE=text ID=oBox3 STYLE="background-color:blue">
<BR><BR><INPUT TYPE=button ID=Button1
value="Step 1: Get expression" onclick="getexp()">
<INPUT TYPE=button ID=Button2 value="Step 2: Remove expression"
onclick="remexp()">
<INPUT TYPE=button ID=Button3 value="Step 3: Get expression again"
onclick="getexp()">
<BR>
<HR>
<BR>
Right-click anywhere on this page to view the source code.
<SCRIPT>
var s;
var b;
oBox3.style.setExpression("width","eval(oBox1.value) +
eval(oBox2.value)","jscript");
function getexp()
{
s=oBox3.style.getExpression("width");
alert("Expression for the width of the blue box is \n\n" + s +
"\n\nThe width property has a value of " + oBox3.style.width);
}
function remexp()
{
b = oBox3.style.removeExpression("width");
alert("Expression removed successfully? \n" + b);
}
</SCRIPT>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR

See Also

About Dynamic Properties, getExpression, recalc


removeNamedItem

removeNamedItem Method

Removes an attribute specified with the name property from an element using the attributes collection.

Syntax

newretNode = attributes.removeNamedItem(sName)

Parameters

sName Required. String that specifies the name of an attribute to remove.

Return Value

Returns an attribute removed from the document if successful, otherwise null.

Remarks

An attribute that is removed with this method reverts to the default value of the attribute when applicable.

Example

The following example shows how to use the this method to remove an attribute from an element.

<HTML>
<HEAD>
<SCRIPT>
function removeAttrib()
{
var oAttrColl = myDIV.attributes;
oAttrColl.removeNamedItem("TITLE");
}
</SCRIPT>
</HEAD>
<BODY>
<DIV onclick="removeAttrib();" ID="myDIV" TITLE="THIS IS A TOOLTIP">
Click this DIV and the ToolTip will be inactivated.</DIV>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

attributes


removeNode

removeNode Method

Removes the object from the document hierarchy.

Syntax

oRemoved = object.removeNode( [bRemoveChildren])

Parameters

bRemoveChildren Optional. Boolean that specifies one of the following values:
false | Default. childNodes collection of the object is not removed.
true | childNodes collection of the object is removed.

Return Value

Returns a reference to the object that is removed.

Remarks

This property is accessible at run time. If elements are removed at run time, before the closing tag is parsed, areas of the document might not render.

Example

This example uses the removeNode method to remove a table from the document hierarchy.

<SCRIPT>
function fnRemove(){
// 'true' possible value specifies removal of childNodes also
oTable.removeNode(true);
}
</SCRIPT>
<TABLE ID = oTable>
<TR>
<TD>Cell 1</TD>
<TD>Cell 2</TD>
</TR>
</TABLE>
<INPUT TYPE = button VALUE = "Remove Table" onclick = "fnRemove()">

Standards Information

There is no public standard that applies to this method.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAMESET, HEAD, hn, HTML, I, IFRAME, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, nextID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, STYLE, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

appendChild, cloneNode, insertBefore, About the W3C Document Object Model


removeRule

removeRule Method

Deletes an existing style rule for the styleSheet object, and adjusts the index of the rules collection accordingly.

Syntax

styleSheet.removeRule( [iIndex])

Parameters

iIndex Optional. Integer that specifies the index value of the rule to be deleted from the style sheet. If an index is not provided, the first rule in the rules collection is removed.

Return Value

No return value.

Remarks

The page does not automatically reflow when the rule is removed. To see the change, you must reflow the page. You can reflow the objects affected using a number of methods. For example, you can reflow the style change only on affected text by setting the text equal to itself. Alternately, you can reload the entire page using the reload method. When you use the refresh method on a table, its content is reflowed.

Example

This example uses the removeRule method to delete a rule from the rules collection, which causes the text to reflow according to the new rules.

<STYLE>
P {color:green}
</STYLE>
:
<SCRIPT>
function removeTheRule() {
// Style sheets and rules are zero-based collections; therefore,
// the first item is item 0 in the collection.
var iSheets = document.styleSheets.length;
var iRules = document.styleSheets[iSheets-1].rules.length;
// make sure there is a rule to delete
if (1 < iRules) {
document.styleSheets[iSheets-1].removeRule(1);
// Force the page to render the change.
oEffectRules.innerHTML=oEffectRules.innerHTML;
}
}
</SCRIPT>
:
<P ID=oEffectRules>This text has the new style applied to it.
</P>
:
<BUTTON onclick="removeTheRule()">Remove the new rule.</BUTTON>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

styleSheet

See Also

addRule, rules, styleSheets


replace

replace Method

Replaces the current document by loading another document at the specified URL.

Syntax

location.replace(sURL)

Parameters

sURL Required. String that specifies the URL to insert into the session history.

Return Value

No return value.

Remarks

When a document is replaced, it is also removed from the history object. Moreover, the user interface navigation methods, such as the Back and Forward buttons, will no longer access the URL.

Standards Information

There is no public standard that applies to this method.

Applies To

location


replaceAdjacentText

replaceAdjacentText Method

Replaces the text adjacent to the element.

Syntax

oldText = object.replaceAdjacentText(sWhere, sReplaceText)

Parameters

sWhere Required. String that specifies where to locate the replacement text, using one of the following values:
beforeBegin | Replaces text immediately before the element.
afterBegin | Replaces text after the start of the element but before all other content in the element.
beforeEnd | Replaces text immediately before the end of the element but after all other content in the element.
afterEnd | Replaces text immediately after the end of the element.
sReplaceText Required. String that specifies the replacement text.

Return Value

Pointer to a String returning the old text.

Standards Information

There is no public standard that applies to this method.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

applyElement, getAdjacentText, insertAdjacentElement


replaceChild

replaceChild Method

Replaces an existing child element with a new child element.

What's New for Microsoft® Internet Explorer 6

This method now applies to the attribute object.

Syntax

oReplace = object.replaceChild(oNewNode, oChildNode)

Parameters

oNewNode | Required. Object that specifies the new element to be inserted into the document.
oChildNode | Required. Object that specifies the existing element to be replaced.

Return Value

Returns a reference to the object that is replaced.

Remarks

The node to be replaced must be an immediate child of the parent object. The new node must be created using the createElement method.

This property is accessible at run time. If elements are removed at run time, before the closing tag is parsed, areas of the document might not render.

Example

This example uses the replaceChild method to replace a bold element from a div with an italic element.

<HEAD>
<SCRIPT>
function replaceElement()
{
//The first child of the div is the bold element.
var oChild=Div1.children(0);
var sInnerHTML = oChild.innerHTML;
if (oChild.tagName=="B")
{
oNewChild=document.createElement("I");
Div1.replaceChild(oNewChild, oChild);
oNewChild.innerHTML=sInnerHTML
}
else
{
oNewChild=document.createElement("B");
Div1.replaceChild(oNewChild, oChild);
oNewChild.innerHTML=sInnerHTML
}
}
</SCRIPT>
</HEAD>
<BODY>
<DIV ID=Div1 onclick="replaceElement()">
Click anywhere in this sentence to toggle this <B>word</B>
between bold and italic.</DIV>
</BODY>

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, attribute, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAMESET, HEAD, hn, HTML, I, IFRAME, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, nextID, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


replaceData

replaceData Method

Replaces a specified range of characters in the object with a new character string.

Syntax

object.replaceData(nOffset, nCount, sString)

Parameters

nOffset | Required. Integer that specifies the offset from which to start.
nCount | Required. Integer that specifies the number of characters to replace.
sString | Required. String that specifies the new character string.

Return Value

No return value.

Remarks

If the sum of the nOffset and nCount parameters exceeds the number of characters in the object, then all the characters to the end of the data are replaced.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

COMMENT, TextNode


replaceNode

replaceNode Method

Replaces the object with another element.

Syntax

oReplace = object.replaceNode(oNewNode)

Parameters

oNewNode Required. Object that specifies the new element to replace the object.

Return Value

Returns a reference to the object that is replaced.

Remarks

When a node is replaced, all values associated with the replaced object are removed. For example, if a b object is replaced with an i object, any attributes and text between the opening and closing tags are also replaced. To preserve these values, copy them to the new element before the original object is replaced.

This method is accessible at run time. If elements are removed at run time before the closing tag is parsed, areas of the document might not render.

Example

This example uses the replaceNode method to replace an unordered list with an ordered list.

<SCRIPT>
function fnReplace(){
var sPreserve = oList.innerHTML;
var oNewNode = document.createElement("OL");
oList.replaceNode(oNewNode);
oNewNode.innerHTML = sPreserve;
}
</SCRIPT>
<UL ID = oList>
<LI>List Item 1
<LI>List Item 2
<LI>List Item 3
<LI>List Item 4
</UL>
<INPUT TYPE = button VALUE = "Replace List" onclick = "fnReplace()">

Standards Information

There is no public standard that applies to this method.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAMESET, HEAD, hn, HTML, I, IFRAME, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, nextID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

replaceChild, About the W3C Document Object Model


reset

reset Method

Simulates a mouse click on a reset button for the calling form.

Syntax

FORM.reset()

Return Value

No return value.

Remarks

The reset method fires the onreset event on the form.

Example

This example demonstrates how to use the reset method for a form object. When the button is pressed, the form is reset, resulting in the onreset event call on the form object. The onreset event calls an event handler which in turn adds the text Resetting form. to the text area below.

<HTML>
<HEAD>
<SCRIPT>
function doReset(){
oTextArea1.value += "Resetting form.  ";
}
</SCRIPT>
</HEAD>
<BODY>
<DIV id="oDiv1"
style="border:1px solid black; background:#EEEEEE; padding:10px;">
<B>Form</B>
<FORM name="form1" onreset="doReset();">
<b>Enter some text:</b> <INPUT type="text" name="oText1" value=""><BR><BR>
<BUTTON onclick="form.reset();">form.reset()</BUTTON>
</FORM>
</DIV>
<B>Text area</B><BR>
<TEXTAREA id="oTextArea1" value="" rows="5" cols="75"></TEXTAREA>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

FORM


resizeBy

resizeBy Method

Changes the current size of the window by the specified x- and y-offset.

Syntax

window.resizeBy(iX, iY)

Parameters

iX | Required. Integer that specifies the horizontal offset in pixels.
iY | Required. Integer that specifies the vertical offset in pixels.

Return Value

No return value.

Remarks

This method does not work on dialog windows. In order to move or size a dialog window, manipulate the dialogHeight, dialogWidth, dialogTop, and dialogLeft properties.

Standards Information

There is no public standard that applies to this method.

Applies To

window

See Also

resizeTo


resizeTo

resizeTo Method

Sets the size of the window to the specified width and height values.

Syntax

window.resizeTo(iWidth, iHeight)

Parameters

iWidth | Required. Integer that specifies the width of the window in pixels.
iHeight | Required. Integer that specifies the height of the window in pixels.

Return Value

No return value.

Remarks

This method does not work on dialog windows. In order to move or size a dialog window, manipulate the dialogHeight, dialogWidth, dialogTop, and dialogLeft properties.

Standards Information

There is no public standard that applies to this method.

Applies To

window

See Also

resizeBy


scroll

scroll Method

Causes the window to scroll to the specified x- and y-offset at the upper-left corner of the window.

Syntax

window.scroll(iX, iY)

Parameters

iX | Required. Integer that specifies the horizontal scroll offset, in pixels.
iY | Required. Integer that specifies the vertical scroll offset, in pixels.

Return Value

No return value.

Remarks

This method is provided for backward compatibility only. The recommended way to scroll a window is to use the scrollTo method.

Standards Information

There is no public standard that applies to this method.

Applies To

window


scrollBy

scrollBy Method

Causes the window to scroll relative to the current scrolled position by the specified x- and y-pixel offset.

Syntax

window.scrollBy(iX, iY)

Parameters

iX | Required. Integer that specifies the horizontal scroll offset, in pixels. Positive values scroll the window right, and negative values scroll it left.
iY | Required. Integer that specifies the vertical scroll offset, in pixels. Positive values scroll the window down, and negative values scroll it up.

Return Value

No return value.

Standards Information

There is no public standard that applies to this method.

Applies To

window

See Also

scrollTo


scrollIntoView

scrollIntoView Method

Causes the object to scroll into view, aligning it either at the top or bottom of the window.

Syntax

object.scrollIntoView( [bAlignToTop])

Parameters

bAlignToTop Optional. Boolean that specifies one of the following values:
true | Default. Scrolls the object so that top of the object is visible at the top of the window.
false | Scrolls the object so that the bottom of the object is visible at the bottom of the window.

Return Value

No return value.

Remarks

The scrollIntoView method is useful for immediately showing the user the result of some action without requiring the user to manually scroll through the document to find the result.

Depending on the size of the given object and the current window, this method might not be able to put the item at the very top or very bottom, but will position the object as close to the requested position as possible.

Example

This example uses the scrollIntoView method to underline the content of the document's fifth paragraph and scroll it into view at the top of the window.

   var coll = document.all.tags("P");
if (coll.length >= 5)
{
coll(4).style.textDecoration = "underline";
coll(4).scrollIntoView(true);
}

Standards Information

There is no public standard that applies to this method.

Applies To

A, ADDRESS, APPLET, AREA, B, BIG, BLOCKQUOTE, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, controlRange, CUSTOM, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TextRange, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, WBR, XMP


scrollTo

scrollTo Method

Scrolls the window to the specified x- and y-offset.

Syntax

window.scrollTo(iX, iY)

Parameters

iX | Required. Integer that specifies the horizontal scroll offset, in pixels.
iY | Required. Integer that specifies the vertical scroll offset, in pixels.

Return Value

No return value.

Remarks

The specified offsets are relative to the upper-left corner of the window.

Standards Information

There is no public standard that applies to this method.

Applies To

window

See Also

scrollBy


select

select Method

Highlights the input area of a form element.

Syntax

object.select()

Return Value

No return value.

Remarks

Use this method with the focus method to highlight a field and position the cursor for a user response.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, TEXTAREA

See Also

onselect


select

select Method

Makes the selection equal to the current object.

Syntax

object.select()

Return Value

No return value.

Remarks

When applied to a TextRange object, the select method causes the current object to be highlighted. The following function uses the findText method to set the current object to the text in the TextRange object. The function assumes an element that contains the text string "text here".

function TextRangeSelect() {
var r = document.body.createTextRange();
r.findText("text here");
r.select();
}

When applied to a controlRange collection, the select method produces a shaded rectangle around the elements in the controlRange. The following function uses the add method to set the current object to an element in the controlRange collection. The function assumes an element with an id of "aaa".

function ControlRangeSelect() {
var r = document.body.createControlRange();
r.add(document.all.aaa);
r.select();
}

This feature might not be available on non-Microsoft® Win32® platforms.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TextRange, controlRange


setActive

setActive Method

Sets the object as active without setting focus to the object.

Syntax

object.setActive()

Return Value

No return value.

Remarks

The setActive method does not cause the document to scroll to the active object in the current page or in another frame or window.

Examples

This example demonstrates how to use the setActive method between frames.

...
<SCRIPT>
function fnBottomActive(){
//Set the object with ID=btnLarger active in frame with ID=oFrame1.
window.parent.oFrame1.secondButton.setActive();
}
</SCRIPT>
...
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example demonstrates how to use the setActive method between windows. By clicking the 'SetActive' button in the left window, the method sets the 'Second Button' as the active object in the right window, though the object does not receive focus. The object only receives focus when its page receives focus. To confirm that the object is active, click on the right window's title bar. The button appears to be selected.

<HTML>
<HEAD>
<SCRIPT>
function fnOpen(){
//Open new window.
oWin1 = window.open("/workshop/samples/author/dhtml/refs/setactive_content.htm",
"oWin1",
"top=10px,left=480px,height=375px,width=200px,resizable=1");
//Set focus back to the parent window.
this.focus();
}
function fnBottomActive(){
//Set the object with ID=btnLarger active in the other window.
window.parent.oWin1.secondButton.setActive();
}
</SCRIPT>
</HEAD>
<BODY onload="fnOpen();">
<CENTER>
<TABLE border="1">
<TR><TD>
<BUTTON id="btn1" onclick="fnBottomActive();">Set Active</BUTTON></TD></TR>
</TABLE>
</CENTER>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CUSTOM, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, window, XMP


setAttribute

setAttribute Method

Sets the value of the specified attribute.

Syntax

object.setAttribute(sName, vValue [, iFlags])

Parameters

sName | Required. String that specifies the name of the attribute.
vValue | Required. Variant that specifies the string, number, or Boolean to assign to the attribute.
iFlags Optional. Integer that specifies one the following flags:
0 | When the attribute is set, it overwrites any attributes with the same name, regardless of their case.
1 | Default. The case of the attribute that you set is respected when it is set on the object.

Return Value

No return value.

Remarks

If the specified attribute is not already present, the setAttribute method adds the attribute to the object and sets the value.

Be careful when spelling attribute names. If you set iFlags to 1 and the sName parameter does not have the same uppercase and lowercase letters as the attribute, a new attribute is created for the object.

If two or more attributes have the same name, differing only in case, and iFlags is set to 0, this method assigns values only to the first attribute created with this name. All other attributes of the same name are ignored.

When setting the CLASS attribute using this method, set the sName to be "className", which is the corresponding Dynamic HTML (DHTML) property.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, currentStyle, CUSTOM, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, nextID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, userProfile, VAR, WBR, XMP

See Also

getAttribute, removeAttribute


setAttributeNode

setAttributeNode Method

Sets an attribute object node as part of the object.

Syntax

oRetAttribute = object.setAttributeNode(oSrcAttribute)

Parameters

oSrcAttribute Required. attribute object to be assigned.

Return Value

Returns a reference to the removed attribute object.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP


setCapture

setCapture Method

Sets the mouse capture to the object belonging to the current document.

Syntax

object.setCapture( [bContainerCapture])

Parameters

bContainerCapture Optional. Boolean that specifies one of the following values:
true | Default. Events originating within a container are captured by the container.
false | Events originating within a container are not captured by the container.

Return Value

No return value.

Remarks

Once mouse capture is set to an object, that object fires all mouse events for the document. Supported mouse events include onmousedown, onmouseup, onmousemove, onclick, ondblclick, onmouseover, and onmouseout. The srcElement property of the window event object always returns the object that is positioned under the mouse rather than the object that has mouse capture.

When a container object, such as a div, has mouse capture, events originating on objects within that container are fired by the div, unless the bContainerCapture parameter of the setCapture method is set to false. Passing the value false causes the container to no longer capture all document events. Instead, objects within that container still fire events, and those events also bubble as expected.

Drag-and-drop as well as text selection through the user interface are disabled when mouse capture is set programmatically.

The following key events are unaffected by mouse capture and fire as usual: onkeydown, onkeyup, and onkeypress.

The bContainerCapture is available only in Microsoft® Internet Explorer 5.5 or later. For earlier versions, do not specify a parameter.

Examples

The following examples use the setCapture method to show different aspects of mouse capture.

This example shows the difference between detecting events using event bubbling and mouse capture.

<BODY onload="oOwnCapture.setCapture()"
onclick="document.releaseCapture()">
<DIV ID=oOwnCapture
onmousemove="oWriteLocation.value = event.x + event.y";
onlosecapture="alert(event.srcElement.id +
' lost mouse capture.')">
<P>Mouse capture has been set to this gray division (DIV)
at load time using the setCapture method. The text area will
track the mousemove event through the <B>x</B>
and <B>y</B> properties of the event object.<BR>
<P>Event bubbling works as usual on objects within a
container that has mouse capture. Demonstrate this concept by
clicking the button below or changing the active window from
this one, and then back. After oOwnCapture loses mouse capture,
the text area continues tracking the mousemove events only
while the cursor is over objects it contains.</P>
<BR><BR>
<TEXTAREA ID=oWriteLocation COLS=2>
mouse location</TEXTAREA>
</DIV>
<HR>
<DIV ID=oNoCapture>
<P>This white division is here to illustrate that mousemove
events over objects it contains are captured on the gray
division, oOwnCapture.
<P>Click this text and check mouse coordinates captured in
the text area within the division above.</P>
<INPUT VALUE="Move mouse over this object.">
<INPUT TYPE=button VALUE="Click to End Mouse Capture">
</DIV>
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example shows how to use mouse capture to animate graphics.

<HEAD>
<SCRIPT>
var iRad = 25;
var iX01 = 165;
var iY01 = 170;
var iX02 = 285;
var iY02 = 170;
/* The doImgMouseMove function contains calculations to
reposition black.bmp in response to mouse movement  */
function doImgMouseMove()
{
var iX1 = event.x - iX01;
var iY1 = event.y - iY01;
var iX2 = event.x - iX02;
var iY2 = event.y - iY02;
var change1 = Math.sqrt(iX1 * iX1 + iY1 * iY1);
var change2 = Math.sqrt(iX2 * iX2 + iY2 * iY2);
oPupilLeft.style.left = iX01 + iRad * iX1 / change1;
oPupilLeft.style.top = iY01 + iRad * iY1 / change1;
oPupilRight.style.left = iX02 + iRad * iX2 / change2;
oPupilRight.style.top = iY02 + iRad * iY2 / change2;
}
</SCRIPT>
</HEAD>
<BODY onload="oEye.setCapture(false)"
onclick="oEye.releaseCapture()"
ondragstart="event.returnValue = false;">
<INPUT TYPE=button ID=oToggle VALUE="Switch Mouse Capture On"
onclick="doClick()">
<IMG ID=oEye SRC="../common/eye.gif"
onmousemove="doImgMouseMove()">
<IMG ID=oPupilLeft SRC="../common/black.gif">
<IMG ID=oPupilRight SRC="../common/black.gif">
<P>The eyeballs track pointer movement. When mouse
capture is on, they follow the pointer no matter where it
is positioned in the document. When mouse capture is off, they
detect and follow mouse position only while the pointer is
positioned over the eyeball graphic.</P>
<P>In this example, mouse capture is set when the document is
loaded. Click anywhere on the document to remove mouse
capture.</P>
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

A, ADDRESS, APPLET, AREA, B, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

About Mouse Capture, onlosecapture, releaseCapture


setData

setData Method

Assigns data in a specified format to the dataTransfer or clipboardData object.

Syntax

bSuccess = object.setData(sDataFormat, sData)

Parameters

sDataFormat Required. String that specifies the format of the data to be transferred, using one of the following values:
Text | Transfers data formatted as text.
URL | Transfers data formatted as a URL.
sData Required. String that specifies the data supplied by the source object. This information can be descriptive text, a source path to an image, or a URL for an anchor. When you pass "URL" as the sDataFormat parameter, you must use the sData parameter to provide the location of the object being transferred.

Return Value

Boolean. Returns one of the following possible values:

true | The data was successfully added.
false | The data was not added.

Remarks

The value of the sDataFormat parameter is not case-sensitive.

Example

This example uses the setData and getData methods with the dataTransfer object to create a shortcut to an image.

<HEAD>
<SCRIPT>
var sImageURL;
function InitiateDrag()
/*  The setData parameters tell the source object
to transfer data as a URL and provide the path.  */
{
event.dataTransfer.setData("URL", oImage.src);
}
function FinishDrag()
/*  The parameter passed to getData tells the target
object what data format to expect.  */
{
sImageURL = event.dataTransfer.getData("URL")
oTarget.innerText = sImageURL;
}
</SCRIPT>
</HEAD>
<BODY>
<P>This example demonstrates how to use the setData and
getData methods of the dataTransfer object to enable the
source path of the image to be dragged.</P>
<IMAGE ID=oImage SRC="../common/black.gif"
ondragstart="InitiateDrag()">
<SPAN ID=oTarget ondragenter="FinishDrag()">
Drop the image here
</SPAN>
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

clipboardData, dataTransfer

See Also

About DHTML Data Transfer, clearData, getData


setEndPoint

setEndPoint Method

Sets the endpoint of one range based on the endpoint of another range.

Syntax

TextRange.setEndPoint(sType, oTextRange)

Parameters

sType Required. String that specifies the endpoint to transfer using one of the following values.
StartToEnd | Move the start of the TextRange object to the end of the specified oTextRange parameter.
StartToStart | Move the start of the TextRange object to the start of the specified oTextRange parameter.
EndToStart | Move the end of the TextRange object to the start of the specified oTextRange parameter.
EndToEnd | Move the end of the TextRange object to the end of the specified oTextRange parameter.
oTextRange Required. TextRange object from which the source endpoint is to be taken.

Return Value

No return value.

Remarks

A text range has two endpoints: one at the beginning of the text range and one at the end. An endpoint can also be the position between two characters in an HTML document.

In Microsoft® Internet Explorer 4.0, an endpoint is relative to text only, not HTML tags.

There are four possible endpoint locations in the following HTML.

<BODY><P><B>abc

The possible endpoint locations are:

  • Before the letter a.
  • Between the letters a and b.
  • Between the letters b and c.
  • After the letter c.

In Internet Explorer 4.0, an endpoint cannot be established between body and p. Specifying an endpoint between body and p is interpreted as if it occurs before the letter a.

This feature might not be available on platforms other than Microsoft Win32®.

Example

The following example shows how to use the setEndPoint method to set the start point of the current range (r1) to the endpoint of the second range (r2).

<SCRIPT LANGUAGE="JScript">
r1.setEndPoint("StartToEnd", r2);
</SCRIPT>

Standards Information

There is no public standard that applies to this method.

Applies To

TextRange

See Also

compareEndPoints


setExpression

setExpression Method

Sets an expression for the specified object.

Syntax

object.setExpression(sPropertyName, sExpression [, sLanguage])

Parameters

sPropertyName | Required. String that specifies the name of the property to which sExpression is added.
sExpression | Required. String that specifies any valid script(JScript, JavaScript, VBSCript) statement without quotations or semicolons. This string can include references to other properties on the current page. Array references are not allowed on object properties included in this script.
sLanguage Optional. String that specifies one of the following values:
JScript | Default. Language is JScript.
VBScript | Language is VBScript.
JavaScript | Language is JavaScript.

Return Value

No return value.

Remarks

Use the setExpression method to add expressions to supported Cascading Style Sheets (CSS) attributes and read/write DHTML Properties. To remove expressions set by setExpression, use the removeExpression method.

The following syntax sections show how to set an expression on DHTML Properties and CSS attributes.

  • Use this syntax to set an expression on a read/write property or on an expando property.
    object.setExpression(sPropertyName, sExpression, sLanguage)
  • Use this syntax to set an expression on a CSS attribute.
    object.style.setExpression(sPropertyName, sExpression, sLanguage)
  • Use the expression() syntax to set an expression on a CSS attribute in HTML.
    <ELEMENT STYLE="sAttributeName:expression(sExpression)">

The data type of the evaluated expression in the sLanguage parameter must match one of the possible values allowed for the sExpression parameter. If the property or attribute specified by the first parameter requires a string, the data type of the second parameter must be a string. Otherwise, the second parameter is evaluated prior to invoking setExpression, causing the expression to be set to the result of the evaluation.

Use the uniqueID property of an object in an expression to refer back to the object. Using uniqueID is an alternative to specifying an id for expressions that use an object reference.

The cssText property is a unique property that is not compatible with the dynamic properties implementation. Do not use cssText with any dynamic property methods.

The following examples illustrate common problems encountered with the sExpression parameter in setExpression. The sExpression appears valid, but may not be.

  • The provided sExpression is invalid because document.style.fontSize is "npx" and will not add to 13
    object.style.setExpression("height","document.style.fontSize + 13");
  • The provided sExpression is invalid when document.body.style.fontSize is previously unspecified
    object.style.setExpression("width","document.body.style.fontSize");

Examples

The following examples use the setExpression method to change the width of a blue box. In each example, the width of the blue box is equal to the sum of the values of the first two text boxes. When a value in one of the text boxes changes, the width of the blue box recalculates.

This example shows the HTML implementation of setExpression.

<INPUT TYPE=text ID=oBox1 value=40>The sum of the values in
these two text boxes determines the width<BR>
<INPUT TYPE=text ID=oBox2 value=40>of the blue text box below.
<BR><INPUT TYPE=text ID=oBox3
STYLE="width:expression(eval(oBox1.value) +
eval(oBox2.value));background-color:blue">
<BR><INPUT TYPE=button ID=Button
value="Click to resize blue box above"
onclick="recalc()">
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the uniqueID property and the setExpression method to update the innerText property of a table row.

<SCRIPT>
window.onload=fnInit;
function fnInit(){
var iLen=oSheet.rows.length-1;
for(var i=1;i<iLen;i++){
var oRow=oSheet.rows[i];
var oCells=oRow.cells;
oCells(3).setExpression("innerText",
"fnGetValue(" + oRow.uniqueID + ")");
}
var oGrand=oSheet.rows(iLen).cells(1);
oGrand.setExpression("innerText","fnGetTotal()");
}
function fnGetTotal(){
var iValue=0;
var iLen=oSheet.rows.length-1;
for(var i=1;i<iLen;i++){
iValue+=parseFloat(oSheet.rows(i).cells(3).innerText);
}
return iValue;
}
function fnGetValue(oRow){
var oCells=oRow.cells;
var oPrice=oCells(2);
var oQuantity=oCells(1);
var sPrice;
var sQuantity;
if(oPrice.childNodes[0].nodeName=="#text"){
sPrice=oPrice.innerText;
}
else{
var vPrice=oPrice.childNodes[0].value;
sPrice=(vPrice==""?"0":vPrice);
}
if(oQuantity.childNodes[0].nodeName=="#text"){
sQuantity=oQuantity.innerText;
}
else{
var vQuantity=oQuantity.childNodes[0].value;
sQuantity=(vQuantity==""?"0":vQuantity);
}
var vAlg1=parseFloat(sPrice) * parseFloat(sQuantity);
return vAlg1;
}
</SCRIPT>
<TABLE ID="oSheet">
<TR><TH>Product</TH><TH>Quantity</TH>
<TH>Price per #</TH><TH>Totals</TH></TR>
<TR><TD>Browser Putty</TD><TD EDIT="true">2</TD>
<TD EDIT="true">4.99</TD><TD></TD></TR>
<TR><TH COLSPAN=3>Grand Total</TH><TH></TH></TR>
</TABLE>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR

See Also

About Dynamic Properties, getExpression, removeExpression, recalc


setInterval

setInterval Method

Evaluates an expression each time a specified number of milliseconds has elapsed.

Syntax

iTimerID = window.setInterval(vCode, iMilliSeconds [, sLanguage])

Parameters

vCode | Required. Variant that specifies a function pointer or string that indicates the code to be executed when the specified interval has elapsed.
iMilliSeconds | Required. Integer that specifies the number of milliseconds.
sLanguage | Optional. String that specifies any one of the possible values for the LANGUAGE attribute.

Return Value

Integer. Returns an identifier that cancels the timer with the clearInterval method.

Remarks

The setInterval method continuously evaluates the specified expression until the timer is removed with the clearInterval method.

In versions earlier than Microsoft® Internet Explorer 5, the first argument of setInterval must be a string. Evaluation of the string is deferred until the specified interval elapses.

As of Internet Explorer 5, the first argument of setInterval can be passed as a string or as a function pointer.

To pass a function as a string, be sure to suffix the function name with parentheses.

window.setInterval("someFunction()", 5000);

When passing a function pointer, do not include the parentheses.

window.setInterval(someFunction, 5000);

To retrieve a function pointer, use the code shown in the following example:

function callback()
{
alert("callback");
}
function callback2()
{
alert("callback2");
}
function chooseCallback(iChoice)
{
switch (iChoice)
{
case 0:
return callback;
case 1:
return callback2;
default:
return "";
}
}
// if i is 0, callback is invoked after 5 seconds
// if i is 1, callback2 is invoked
// otherwise, the timer is not set
window.setInterval(chooseCallback(i), 5000);

When you use the setInterval method with Introduction to DHTML Behaviors, the value of vCode should be a function pointer to call a function within the HTML Component (HTC) file or a string to call a function in the primary document.

Example

This example uses the setInterval method to create a Dynamic HTML (DHTML) clock. A variable is assigned to the interval, and can be used as a reference to stop the interval using the clearInterval method.

var oInterval = "";
function fnStartInterval(){
oInterval = window.setInterval("fnRecycle()",1000);
}
function fnRecycle(){
// Code to display hours, minutes, and seconds.
}
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

window

See Also

clearInterval, setTimeout, setTimeout


setNamedItem

setNamedItem Method

Adds an attribute to an element using an attributes collection.

Syntax

newretNode = attributes.setNamedItem(oNamedItem)

Parameters

oNamedItem Required. An attribute.

Return Value

Returns the previously existing attribute if it has the same name as the new attribute, otherwise null.

Remarks

An attribute that is set with this method does not have to apply to the element.

If an attribute with the same name is already present, it is replaced by the new attribute.

Example

The following example shows how to add an attribute to an element using the setNamedItem method.

<HTML>
<HEAD>
<SCRIPT>
function fnSetNamedItem(){
var nnm = myDIV.attributes;
var namedItem = document.createAttribute("title");
namedItem.value = "This is a ToolTip";
nnm.setNamedItem(namedItem);
}
</SCRIPT>
</HEAD>
<BODY onload="fnSetNamedItem();">
<DIV ID="myDIV">This DIV now has a ToolTip.</DIV>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

attributes


setTimeout

setTimeout Method

Evaluates an expression after a specified number of milliseconds has elapsed.

Syntax

iTimerID = window.setTimeout(vCode, iMilliSeconds [, sLanguage])

Parameters

vCode | Required. Variant that specifies the function pointer or string that indicates the code to be executed when the specified interval has elapsed.
iMilliSeconds | Required. Integer that specifies the number of milliseconds.
sLanguage Optional. String that specifies one of the following values:
JScript | Language is JScript.
VBScript | Language is VBScript.
JavaScript | Language is JavaScript.

Return Value

Integer. Returns an identifier that cancels the evaluation with the clearTimeout method.

Remarks

In versions earlier than Microsoft® Internet Explorer 5, the first argument of setTimeout must be a string. Evaluation of the string is deferred until the specified interval elapses.

As of Internet Explorer 5, the first argument of setTimeout can be a string or a function pointer.

The specified expression or function is evaluated once. For repeated evaluation, use the setInterval method.

When you use the setTimeout method with Introduction to DHTML Behaviors, the value of vCode should be a function pointer to call a function within the HTML Component (HTC) file or a string to call a function in the primary document.

Examples

The following example uses the setTimeout method to evaluate a simple expression after one second has elapsed.

window.setTimeout("alert('Hello, world')", 1000);

The following example uses the setTimeout method to evaluate a slightly more complex expression after one second has elapsed.

var sMsg = "Hello, world";
window.setTimeout("alert(" + sMsg + ")", 1000);

This example uses the setTimeout method to hide a input type=button object after three seconds. If the user clicks the Count Down button and then counts to three, the Now You See Me button disappears.

<SCRIPT>
function fnHide(oToHide){
window.setTimeout("fnHide2(" + oToHide.id + ")", 3000);
}
function fnHide2(sID){
var o = eval(sID);
o.style.display="none";
}
</SCRIPT>
<INPUT TYPE=button VALUE="Count Down"
ID="oHideButton" onclick="fnHide(this)">

This example uses a function pointer to pass the data. In this case, the data is stored in a global variable because it cannot be passed directly. In the preceding example, the ID of the button is passed as a parameter to the function invoked by the setTimeout method. This is possible only when a string is passed as the first argument.

<SCRIPT>
var g_oToHide = null;
function fnHide(oToHide){
g_oToHide = oToHide;
window.setTimeout(fnHide2, 3000);
}
function fnHide2(sID){
if (g_oToHide) {
g_oToHide.style.display="none";
}
}
</SCRIPT>
<INPUT TYPE=button VALUE="Now you see me ..." ID="oHideButton"
onclick="fnHide(this)">
This feature requires Microsoft® Internet Explorer 3.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

window

See Also

clearTimeout


show

show Method

Displays the pop-up window on the screen.

Syntax

popup.show(iX, iY, iWidth, iHeight [, oElement])

Parameters

iX | Required. Integer that specifies the x-coordinate of the pop-up window, in pixels.
iY | Required. Integer that specifies the y-coordinate of the pop-up window, in pixels.
iWidth | Required. Integer that specifies the width of the pop-up window, in pixels.
iHeight | Required. Integer that specifies the height of the pop-up window, in pixels.
oElement | Optional. Object that specifies the element to which the x,y coordinates are relative. If none is given, the x,y coordinates are relative to the desktop, where (0,0) is the upper left corner.

Return Value

No return value.

Example

The following example shows how to use the show method to create and display a pop-up window.

<html>
<head>
<SCRIPT LANGUAGE="JScript">
var oPopup = window.createPopup();
function window_onload() {
var oPopupBody = oPopup.document.body;
oPopupBody.style.backgroundColor = "lightyellow";
oPopupBody.style.border = "solid black 1px";
oPopupBody.innerHTML = "Display some <B>HTML</B> here.";
oPopup.show(100, 100, 200, 50, document.body);}
</SCRIPT>
</head>
<body onload="window_onload();">
</body>
</html>

Standards Information

There is no public standard that applies to this method.

Applies To

popup

See Also

Using the Popup Object, createPopup, hide, document, isOpen


ShowBrowserUI

ShowBrowserUI Method

Opens the specified browser dialog box.

Syntax

vReturn = external.ShowBrowserUI(sUI, null)

Parameters

sUI Required. String that specifies a browser dialog box, using one of the following values.
LanguageDialog | Opens the Language Preference dialog box.
OrganizeFavorites | Opens the Organize Favorites dialog box.
PrivacySettings | Microsoft® Internet Explorer 6 and later. Opens the Privacy Preferences dialog box.
ProgramAccessAndDefaults | Microsoft Windows® XP Service Pack 1 (SP1) and later. Opens the Set Program Access and Defaults dialog box.
null Required. Null value.

Return Value

Variant. Return value is determined by the dialog box.

Example

This example uses the ShowBrowserUI method to open a particular dialog box when a button is clicked.

<BUTTON onclick="window.external.ShowBrowserUI('LanguageDialog', null)">Show Language Dialog</BUTTON>
<BUTTON onclick="window.external.ShowBrowserUI('OrganizeFavorites', null)">Show Organize Favorites</BUTTON>

Standards Information

There is no public standard that applies to this method.

Applies To

external


showHelp

showHelp Method

Displays a Help file. This method can be used with Microsoft HTML Help.

Syntax

window.showHelp(sURL [, vContextID])

Parameters

sURL | Required. String that specifies the URL of the file to be displayed as help.
vContextID | Optional. Variant that specifies a string or integer that indicates a context identifier in a Help file.

Return Value

No return value.

Remarks

Only files of types .chm and .htm are supported as help files.

When implementing this method, a second Help dialog box appears when the user presses F1 or clicks Help on the menu bar. You can prevent the default Help dialog box from appearing by setting returnValue to false.

Standards Information

There is no public standard that applies to this method.

Applies To

window


showModalDialog

showModalDialog Method

Creates a modal dialog box that displays the specified HTML document.

Syntax

vReturnValue = window.showModalDialog(sURL [, vArguments] [, sFeatures])

Parameters

sURL | Required. String that specifies the URL of the document to load and display.
vArguments | Optional. Variant that specifies the arguments to use when displaying the document. Use this parameter to pass a value of any type, including an array of values. The dialog box can extract the values passed by the caller from the dialogArguments property of the window object.
sFeatures Optional. String that specifies the window ornaments for the dialog box, using one or more of the following semicolon-delimited values:
dialogHeight:sHeight | Sets the height of the dialog window (see Remarks for default unit of measure).
dialogLeft:sXPos | Sets the left position of the dialog window relative to the upper-left corner of the desktop.
dialogTop:sYPos | Sets the top position of the dialog window relative to the upper-left corner of the desktop.
dialogWidth:sWidth | Sets the width of the dialog window (see Remarks for default unit of measure).
center:{ yes | no | 1 | 0 | on | off } | Specifies whether to center the dialog window within the desktop. The default is yes.
dialogHide:{ yes | no | 1 | 0 | on | off } | Specifies whether the dialog window is hidden when printing or using print preview. This feature is only available when a dialog box is opened from a trusted application. The default is no.
edge:{ sunken | raised } | Specifies the edge style of the dialog window. The default is raised.
help:{ yes | no | 1 | 0 | on | off } | Specifies whether the dialog window displays the context-sensitive Help icon. The default is yes.
resizable:{ yes | no | 1 | 0 | on | off } | Specifies whether the dialog window has fixed dimensions. The default is no.
scroll:{ yes | no | 1 | 0 | on | off } | Specifies whether the dialog window displays scrollbars. The default is yes.
status:{ yes | no | 1 | 0 | on | off } | Specifies whether the dialog window displays a status bar. The default is yes for untrusted dialog windows and no for trusted dialog windows.
unadorned:{ yes | no | 1 | 0 | on | off } | Specifies whether the dialog window displays the border window chrome. This feature is only available when a dialog box is opened from a trusted application. The default is no.

Return Value

Variant. Returns the value of the returnValue property as set by the window of the document specified in sURL .

Remarks

A modal dialog box retains the input focus while open. The user cannot switch windows until the dialog box is closed.

Because a modal dialog box can include a URL to a resource in a different domain, do not pass information through the vArguments parameter that the user might consider private. The vArguments parameter can be referenced within the modal dialog box using the dialogArguments property of the window object. If the vArguments parameter is defined as a string, the maximum string length that can be passed to the modal dialog box is 4096 characters; longer strings are truncated.

As of Microsoft® Internet Explorer 4.0, you can eliminate scroll bars on dialog boxes. To turn off the scroll bar, set the SCROLL attribute to false in the body element for the dialog window, or call the modal dialog box from a trusted application.

Internet Explorer 5 allows further control over modal dialog boxes through the status and resizable values in the sFeatures parameter of the showModalDialog method. Turn off the status bar by calling the dialog box from a trusted application, such as Microsoft Visual Basic® or an HTML Application (HTA), or from a trusted window, such as a trusted modal dialog box. These applications are considered to be trusted because they use Internet Explorer interfaces instead of the browser. Any dialog box generated from a trusted source has the status bar turned off by default. Resizing is turned off by default, but you can turn it on by specifying resizable=yes in the sFeatures string of the showModalDialog method.

You can set the default font settings the same way you set Cascading Style Sheets (CSS) attributes (for example, "font:3;font-size:4"). To define multiple font values, use multiple font attributes.

The default unit of measure for dialogHeight and dialogWidth in Internet Explorer 4.0 is the pixel; in Internet Explorer 5 it is the em. The value can be an integer or floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For consistent results, specify the dialogHeight and dialogWidth in pixels when designing modal dialog boxes.

Although a user can manually adjust the height of a dialog box to a smaller value —provided the dialog box is resizable —the minimum dialogHeight you can specify is 100 pixels.

To override center, even though the default for center is yes, you can specify either dialogLeft and/or dialogTop.

Examples

This example uses the showModalDialog method to open a customized dialog box.

<SCRIPT>
function fnRandom(iModifier){
return parseInt(Math.random()*iModifier);
}
function fnSetValues(){
var iHeight=oForm.oHeight.options[
oForm.oHeight.selectedIndex].text;
if(iHeight.indexOf("Random")>-1){
iHeight=fnRandom(document.body.clientHeight);
}
var sFeatures="dialogHeight: " + iHeight + "px;";
return sFeatures;
}
function fnOpen(){
var sFeatures=fnSetValues();
window.showModalDialog("showModalDialog_target.htm", "",
sFeatures)
}
</SCRIPT>
<FORM NAME=oForm>
Dialog Height <SELECT NAME="oHeight">
<OPTION>-- Random --
<OPTION>150
<OPTION>200
<OPTION>250
<OPTION>300
</SELECT>
Create Modal Dialog Box
<INPUT TYPE="button" VALUE="Push To Create"
onclick="fnOpen()">
</FORM>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Below is an extended version of the above script, which demonstrates many of the features available for creating a custom dialog box.

This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

window


showModelessDialog

showModelessDialog Method

Creates a modeless dialog box that displays the specified HTML document.

Syntax

vReturnValue = window.showModelessDialog(sURL [, vArguments] [, sFeatures])

Parameters

sURL | Required. String that specifies the URL of the document to load and display.
vArguments | Optional. Variant that specifies the arguments to use when displaying the document. Use this parameter to pass a value of any type, including an array of values. The dialog box can extract the values passed by the caller from the dialogArguments property of the window object.
sFeatures Optional. Variant of type String that specifies the window ornaments for the dialog box, using one or more of the following semicolon-delimited values:
dialogHeight:sHeight | Sets the height of the dialog window (see Remarks for default unit of measure).
dialogLeft:sXPos | Sets the left position of the dialog window relative to the upper-left corner of the desktop.
dialogTop:sYPos | Sets the top position of the dialog window relative to the upper-left corner of the desktop.
dialogWidth:sWidth | Sets the width of the dialog window (see Remarks for default unit of measure).
center:{ yes | no | 1 | 0 | on | off } | Specifies whether to center the dialog window within the desktop. The default is yes.
dialogHide:{ yes | no | 1 | 0 | on | off } | Specifies whether the dialog window is hidden when printing or using print preview. This feature is only available when a dialog box is opened from a trusted application. The default is no.
edge:{ sunken | raised } | Specifies the edge style of the dialog window. The default is raised.
help:{ yes | no | 1 | 0 | on | off } | Specifies whether the dialog window displays the context-sensitive Help icon. The default is yes.
resizable:{ yes | no | 1 | 0 | on | off } | Specifies whether the dialog window has fixed dimensions. The default is no.
scroll:{ yes | no | 1 | 0 | on | off } | Specifies whether the dialog window displays scrollbars. The default is yes.
status:{ yes | no | 1 | 0 | on | off } | Specifies whether the dialog window displays a status bar. The default is yes for untrusted dialog windows and no for trusted dialog windows.
unadorned:{ yes | no | 1 | 0 | on | off } | Specifies whether the dialog window displays the border window chrome. This feature is only available when a dialog box is opened from a trusted application. The default is no.

Return Value

Variant that returns a reference to the new window object. Use this reference to script properties and methods on the new window.

Remarks

The modeless dialog box displays even when the user switches input focus to the window.

The showModelessDialog method is useful for menus and Help systems. When you invoke this method, a dialog box appears, layered in front of the browser window or HTML Application (HTA).

Because a modeless dialog box can include a URL to a resource in a different domain, do not pass information through the vArguments parameter that the user might consider private. The vArguments parameter can be referenced within the modeless dialog box using the dialogArguments property of the window object. If the vArguments parameter is defined as a string, the maximum string length that can be passed to the modeless dialog box is 4096 characters; longer strings are truncated.

By convention, modeless dialog boxes can differ from an application window in that they do not have scroll bar, status bar, or resize capabilities. To create this type of dialog box, implement the following steps:

  • Turn off the scroll bar. Use the SCROLL attribute by including the scroll="no" value in the body tag for the dialog window.
  • Turn off the status bar. Set the value of status to no in the sFeatures parameter of the showModelessDialog call. A second option is to call the dialog window from a trusted application, such as Microsoft® Visual Basic® or an HTA, or from a trusted window, such as a trusted dialog box. These are considered trusted because they use Microsoft Internet Explorer interfaces instead of the browser. The status bar of any dialog box generated from a trusted source is set to off by default.
  • Do not allow resizing. Resizing is set to off by default.

To create a return value for showModelessDialog, set the vArguments parameter to a callback function or an object in the showModelessDialog call. In the modeless dialog box, you can reference this function or object through the dialogArguments property of the window object. The same arguments are valid for the showModelessDialog and showModalDialog methods.

You can set the default font settings the same way you set Cascading Style Sheets (CSS) attributes (for example, "font:3; font-size:4"). To define multiple font values, use multiple font attributes.

To override center, even though the default for center is yes, you can specify either dialogLeft and/or dialogTop.

The default unit of measure for dialogHeight and dialogWidth in Internet Explorer 4.0 is the em; in Internet Explorer 5 it is the pixel. The value can be an integer or floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For consistent results, specify the dialogHeight and dialogWidth in pixels when designing modal dialog boxes.

Although a user can manually adjust the height of a dialog box to a smaller value —provided the dialog box is resizable —the minimum dialogHeight you can specify is 100 pixels.

Examples

This example uses the showModelessDialog method to create a return value. It also shows how to handle user actions in the modeless dialog box. Two sample documents are displayed below. The first one (showModelessDialogEX.htm) uses the showModelessDialog method to acccess the Dynamic HTML (DHTML) code found in the second sample document called myDialog.htm. This creates a modeless dialog box that prompts the user for a name, which can then be displayed in the parent window.

<HEAD>
<HTML>
<HEAD>
<TITLE>showModelessDialogEX.htm</TITLE>
<SCRIPT>
var sUserName="";
/*------------------------------------------------------------
Supplying the window object as a parameter allows for declaring the global
variable, sUserName, and using it to return information from the modeless
dialog box.
------------------------------------------------------------- */
function fnCallDialog()
{
showModelessDialog("myDialog.htm",window,"status:false;dialogWidth:300px;dialogHeight:300px");
}
/*-------------------------------------------------------------
The fnUpdate function takes the value passed into sUserName in myDialog.htm
to update the span text on this page. This function is called in both
fnGetInfo and fnCancel functions in myDialog.htm.
-------------------------------------------------------------*/
function fnUpdate()
{
oName.innerText = sUserName;
}
</SCRIPT>
</HEAD>
<BODY>
<P>Enter your first name: <SPAN ID="oName"
STYLE="color:red;font-size:24">Joan</SPAN></P> <INPUT TYPE="button"
VALUE="Display Modeless Dialog" onclick="fnCallDialog()">
</BODY>
</HTML>

Here is the code for "myDialog.htm".

<HTML>
<HEAD>
<TITLE>myDialog.htm</TITLE>
<SCRIPT>
/* -------------------------------------------------------------
This function makes use of the dialogArguments property of the
window object. dialogArguments allows the global variable sUserName
to feed the value supplied to the input in this dialog box back to
the window that called it.
---------------------------------------------------------------- */
function fnGetInfo()
{
var sData = dialogArguments;
sData.sUserName = oEnterName.value;
sData.fnUpdate();
}
/* -------------------------------------------------------------
This function cleans up in case the user has clicked the
Apply button before canceling.
---------------------------------------------------------------- */
function fnCancel()
{
var sData = dialogArguments;
sData.sUserName = "Joan";
sData.fnUpdate();
}
</SCRIPT>
</HEAD>
<BODY>
<LABEL FOR="oEnterName" ACCESSKEY="f">Enter your
<SPAN STYLE="text-decoration:underline">F</SPAN>irst Name</LABEL>
<INPUT ID=oEnterName><BR><BR>
<INPUT VALUE="Apply" TYPE=button onclick="fnGetInfo();">
<INPUT VALUE="Ok" TYPE=button onclick="fnGetInfo();window.close();">
<INPUT VALUE="Cancel" TYPE=button onclick="fnCancel();window.close();">
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The following example demonstrates many of the features available for creating a custom modeless dialog box.

This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

window


splitText

splitText Method

Divides a text node at the specified index.

Syntax

oSplitNode = TextNode.splitText( [iIndex])

Parameters

iIndex Optional. Integer that specifies the index of the string that indicates where the separation occurs. If a value is not provided, a new text node with no value is created.

Return Value

Returns a text node object.

Remarks

The text node that invokes the splitText method has a nodeValue equal to the substring of the value, from 0 to iIndex . The new text node has a nodeValue of the substring of the original value, from the specified index to the value length. Text node integrity is not preserved when the document is saved or persisted.

Example

This example uses the splitText method to divide a text node in half in a ul object. When the text node splits, the createElement method creates a new li object. The appendChild method appends the new li element and the split text node to the ul object.

<SCRIPT>
function fnSplitNode(){
var oNode=oList.firstChild.childNodes(0);
var oNewNode=document.createElement("LI");
var oSplitNode = oNode.splitText(oNode.nodeValue.length/2);
oList.appendChild(oNewNode);
oNewNode.appendChild(oSplitNode);
}
</SCRIPT>
<UL onclick="fnSplitNode()" id="oList">
<LI>This is a list item.
</UL>

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TextNode

See Also

createElement


start

start Method

Starts scrolling the marquee.

Syntax

MARQUEE.start()

Return Value

No return value.

Remarks

Invoking the start method does not fire the onstart event handler.

Standards Information

There is no public standard that applies to this method.

Applies To

MARQUEE

See Also

stop


stop

stop Method

Stops the marquee from scrolling.

Syntax

MARQUEE.stop()

Return Value

No return value.

Standards Information

There is no public standard that applies to this method.

Applies To

MARQUEE

See Also

start


submit

submit Method

Submits the form.

Syntax

FORM.submit()

Return Value

No return value.

Remarks

The submit method does not invoke the onsubmit event handler. Call the onsubmit event handler directly. When using Microsoft® Internet Explorer 5.5 and later, you can call the fireEvent method with a value of onsubmit in the sEvent parameter.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

FORM

See Also

input, reset


substringData

substringData Method

Extracts a range of characters from the object.

Syntax

sSubstring = object.substringData(nOffset, nCount)

Parameters

nOffset | Required. Integer that specifies the offset from which to start.
nCount | Required. Integer that specifies the number of characters to extract.

Return Value

Returns a reference to the substring.

Remarks

If the sum of the nOffset and nCount parameters exceeds the number of characters in the object, then an error is returned.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

COMMENT, TextNode


swapNode

swapNode Method

Exchanges the location of two objects in the document hierarchy.

Syntax

oSwapped = object.swapNode(oNode)

Parameters

oNode Required. Object that specifies the existing element.

Return Value

Returns a reference to the object that invoked the method.

Remarks

This method is accessible at run time. If elements are removed at run time, before the closing tag is parsed, areas of the document might not render.

Example

This example uses the swapNode method to exchange the location of two objects.

<SCRIPT>
function fnSwap(){
oList.children(0).swapNode(oList.children(1));
}
</SCRIPT>
<UL ID = oList>
<LI>List Item 1
<LI>List Item 2
<LI>List Item 3
<LI>List Item 4
</UL>
<INPUT TYPE = button VALUE = "Swap List" onclick = "fnSwap()">

Standards Information

There is no public standard that applies to this method.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

cloneNode, removeNode, replaceNode, About the W3C Document Object Model


tags

tags Method

Retrieves a collection of objects that have the specified HTML tag name.

Syntax

collElements = object.tags(sTag)

Parameters

sTag Required. Variant of type String that specifies an HTML tag. It can be any one of the objects exposed by the DHTML Object Model.

Return Value

Returns a collection of element objects if successful, or null otherwise.

Remarks

This method returns an empty collection if no elements having the given name are found. Use the length property on the collection to determine the number of elements it contains.

Example

This example uses the tags method to retrieve a collection of all p elements in the document, and then uses the textDecoration property to underline each element.

<SCRIPT LANGUAGE="JScript">
var coll = document.all.tags("P");
if (coll!=null)
{
for (i=0; i<coll.length; i++)
coll[i].style.textDecoration="underline";
}
</SCRIPT>

Standards Information

There is no public standard that applies to this method.

Applies To

all, anchors, applets, areas, boundElements, cells, children, elements, embeds, forms, images, links, options, plugins, rows, scripts, tBodies


taintEnabled

taintEnabled Method

Returns whether data tainting is enabled.

Syntax

bEnabled = object.taintEnabled()

Return Value

Returns one of the following possible values:

true | Data tainting is supported.
false | Data tainting is not supported.

Remarks

Microsoft® Internet Explorer 5 and earlier does not support data tainting and therefore always returns false.

Standards Information

There is no public standard that applies to this method.

Applies To

clientInformation, navigator


urns

urns Method

Retrieves a collection of all objects to which a specified behavior is attached.

Syntax

collObjects = object.urns(sUrn)

Parameters

sUrn Required. String that specifies the behavior's Uniform Resource Name (URN).

Return Value

Returns a collection of objects if successful, or null otherwise.

Remarks

This method returns an empty collection if no element has the specified behavior attached to it.

Use the length property on the collection to determine the number of elements it contains, and the item method to obtain a particular item in the collection.

Example

The following example shows how to use the urns method to retrieve a collection of all elements currently attached to the specified behavior and then display a comma-delimited list of these element IDs in a message box.

<SCRIPT LANGUAGE="JScript">
var coll  = document.all.urns("URN1");
var sText = '';
if (coll != null)
{
for (i=0; i<coll.length; i++)
sText += coll.item(i).id + ', ';
window.alert (sText);
}
</SCRIPT>

Standards Information

There is no public standard that applies to this method.

Applies To

all, anchors, applets, areas, boundElements, cells, childNodes, children, elements, embeds, FORM, forms, images, links, options, rows, scripts, SELECT, styleSheets, tBodies

See Also

behaviorUrns


write

write Method

Writes one or more HTML expressions to a document in the specified window.

Syntax

document.write(sText)

Parameters

sText Required. String that specifies the text and HTML tags to write.

Return Value

No return value.

Remarks

You should not use the write or writeln methods on the current document after the document has finished loading unless you first call the open method, which clears the current document's window and erases all variables.

Note When document.write or document.writeln is used in an event handler, document.close should also be used.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

document

See Also

writeln, open


writeln

writeln Method

Writes one or more HTML expressions, followed by a carriage return, to a document in the specified window.

Syntax

document.writeln(sText)

Parameters

sText Required. String that specifies the text and HTML tags to write.

Return Value

No return value.

Remarks

In HTML, the carriage return is ignored unless it occurs within preformatted text.

You should not use the write or writeln methods on the current document after the document has finished loading unless you first call the open method, which clears the current document's window and erases all variables.

Note When document.write or document.writeln is used in an event handler, document.close should also be used.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

document

See Also

write, open


collections

DHTML 集合

下面列出了由动态 HTML(DHTML) 对象模型定义的集合。

集合

all | 返回对象所包含的元素集合的引用。
anchors | 获取所有带有 name 和/或 id 属性的 a 对象的集合。此集合中的对象以 HTML 源顺序排列。
applets | 获取文档中所有 applet 对象的集合。
areas | 获取给定 map 对象所定义的 area 对象集合。
attributes | 获取对象标签属性的集合。
behaviorUrns | 返回标识附加到该元素行为的统一资源名称(URN)字符串的集合。
blockFormats Microsoft® Internet Explorer 6 新增 | 获取指定可用块格式化标签的名称的字符串的集合。
bookmarks | 返回捆绑到当前事件所影响的行上的 ActiveX® 数据对象(ADO)书签的集合。
boundElements | 返回页面上所有绑定到给定数据集的所有元素的集合。
cells | 获取表格行或整个表格中所有单元格的集合。
childNodes | 获取作为指定对象直接后代的 HTML 元素和 TextNode 对象的集合。
children | 获取作为对象直接后代的 DHTML 对象的集合。
controlRange | 由 createControlRange 或 createRange 方法返回的元素集合。
elements | 获取以源顺序排列的给定表单中所有控件的集合。input type=image 对象不在此集合内。
embeds | 获取文档中所有 embed 对象的集合。
filters | 获取应用于对象的滤镜集合。
fonts Microsoft® Internet Explorer 6 新增 | 获取所有系统支持的字体的集合。
forms | 获取以源顺序排列的文档中所有 form 对象的集合。
frames | 获取给定文档定义或与给定窗口关联的文档定义的所有 window 对象的集合。
images | 获取以源顺序排列的文档中所有 img 对象的集合。
imports | 获取为每个 styleSheet 对象定义的所有导入样式表的集合。
links | 获取文档中所有指定了 HREF 属性的 a 对象和所有 area 对象的集合。
mimeTypes | 目前尚未实现。
namespaces | 获取 namespace 对象的集合。
options | 获取 select 对象中 option 对象的集合。
pages | 获取代表 styleSheet 中的 @page 规则的 page 对象的集合。
plugins | 获取文档中所有 embed 对象的集合。
rows | 获取来自于 table 对象的 tr (表格行)对象的集合。
rules | 获取样式表中所定义规则的集合。
scripts | 获取文档中所有 script 对象的集合。
styleSheets | 获取代表与文档中每个 link 或 style 对象的实例相对应的样式表的 styleSheet 对象的集合。
tBodies | 获取表格中所有 tBody 对象的集合。此集合中的对象以 HTML 源顺序排列。
TextRange | 获取 TextRange 对象的集合。
TextRectangle | 由 getClientRects 方法返回的 TextRectangle 对象的集合。


all

all Collection

Returns a reference to the collection of elements contained by the object.

Syntax

[ collAll = ] object.all
[ oObject = ] object.all(vIndex [, iSubIndex])

Possible Values

collAll | Array of elements contained by the object.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members Table

The following table lists the members exposed by the all object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Sets or retrieves the number of objects in a collection.

Methods

Method | Description
item | Retrieves an object from the all collection or various other collections.
namedItem | Retrieves an object or a collection from the specified collection.
tags | Retrieves a collection of objects that have the specified HTML tag name.
urns | Retrieves a collection of all objects to which a specified behavior is attached.

Remarks

The all collection includes one element object for each valid HTML tag. If a valid tag has a matching end tag, both tags are represented by the same element object.

The collection returned by the document's all collection always includes a reference to the HTML, HEAD, and TITLE objects regardless of whether the tags are present in the document. If the BODY tag is not present, but other HTML tags are, a BODY object is added to the all collection.

If the document contains invalid or unknown tags, the collection includes one element object for each. Unlike valid end tags, unknown end tags are represented by their own element objects. The order of the element objects is the HTML source order. Although the collection indicates the order of tags, it does not indicate hierarchy.

The name property only applies to some elements such as form elements. If the vIndex is set to a string matching the value of a name property in an element that the name property does not apply, then that element will not be added to the collection.

Examples

This example, in Microsoft® JScript® (compatible with ECMA 262 language specification), shows how to display the names of all tags in the document in the order the tags appear in the document.

for(i = 0; i < document.all.length; i++){
alert(document.all(i).tagName);
}

This example, also in JScript, shows how to use the item method on the all collection to retrieve all element objects for which the name property or ID attribute is set to sample. Depending on the number of times the name or ID is defined in the document, the item method returns null, a single element object, or a collection of element objects. The value of the length property of the collection determines whether item returns a collection or a single object.

var oObject = document.all.item("sample");
if (oObject != null){
if (oObject.length != null){
for (i = 0; i < oObject.length; i++){
alert(oObject(i).tagName);
}
}
else{
alert(oObject.tagName);
}
}

Standards Information

There is no public standard that applies to this collection.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP


anchors

anchors Collection

Retrieves a collection of all a objects that have a name and/or id property. Objects in this collection are in HTML source order.

Syntax

[ collAnchors = ] document.anchors
[ oObject = ] document.anchors(vIndex [, iSubIndex])

Possible Values

collAnchors | Array of a objects.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members Table

The following table lists the members exposed by the anchors object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Sets or retrieves the number of objects in a collection.

Methods

Method | Description
item | Retrieves an object from the all collection or various other collections.
namedItem | Retrieves an object or a collection from the specified collection.
tags | Retrieves a collection of objects that have the specified HTML tag name.
urns | Retrieves a collection of all objects to which a specified behavior is attached.

Example

This example shows how to display the name property of the third anchor defined in the document.

alert(document.anchors(2).name);

Standards Information

This collection is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

document


applets

applets Collection

Retrieves a collection of all applet objects in the document.

Syntax

[ collApplets = ] document.applets
[ oObject = ] document.applets(vIndex [, iSubIndex])

Possible Values

collApplets | Array of applet objects.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members Table

The following table lists the members exposed by the applets object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Sets or retrieves the number of objects in a collection.

Methods

Method | Description
item | Retrieves an object from the all collection or various other collections.
namedItem | Retrieves an object or a collection from the specified collection.
tags | Retrieves a collection of objects that have the specified HTML tag name.
urns | Retrieves a collection of all objects to which a specified behavior is attached.

Standards Information

This collection is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

document


areas

areas Collection

Retrieves a collection of the area objects defined for the given map object.

Syntax

[ oColl = ] MAP.areas
[ oObject = ] MAP.areas(vIndex [, iSubIndex])

Possible Values

oColl | Array of area objects.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members Table

The following table lists the members exposed by the areas object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Sets or retrieves the number of objects in a collection.

Methods

Method | Description
add | Adds an element to the areas, controlRange, or options collection.
item | Retrieves an object from the all collection or various other collections.
namedItem | Retrieves an object or a collection from the specified collection.
remove | Removes an element from the collection.
tags | Retrieves a collection of objects that have the specified HTML tag name.
urns | Retrieves a collection of all objects to which a specified behavior is attached.

Remarks

Areas can be added to or removed from the collection. If duplicate identifiers are found, a collection of those items is returned. Collections of duplicates must be referenced subsequently by ordinal position.

Use of the Area operator is not supported for adding areas to the collection. Instead, use the createElement and add methods. Alternatively, use the insertAdjacentHTML method.

Standards Information

This collection is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

MAP


attributes

attributes Collection

Retrieves a collection of attributes of the object.

What's New for Microsoft® Internet Explorer 6

This collection now applies to the attribute object.

Syntax

[ oColl = ] object.attributes
[ oObject = ] object.attributes(iIndex)

Possible Values

oColl | Zero-based array of attributes applied to the object.
oObject | Reference to an individual item in the array of elements contained by the object.
iIndex | Required. Integer that specifies the zero-based index of the item to be returned.

Members Table

The following table lists the members exposed by the attributes object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Sets or retrieves the number of objects in a collection.

Methods

Method | Description
getNamedItem | Retrieves an attribute specified with the name property using the attributes collection.
item | Retrieves an attribute for an element from the attributes collection.
removeNamedItem | Removes an attribute specified with the name property from an element using the attributes collection.
setNamedItem | Adds an attribute to an element using an attributes collection.

Remarks

The expando properties of an object are included in the attributes collection of the object as of Internet Explorer 6. To access the expando properties of an object in earlier versions of Internet Explorer, use the Microsoft JScript®?B>for...in construct.

The attributes collection does not expose the style object. Use the cssText property of the object's style property to retrieve the persistent representation of the cascading styles associated with an object.

Unlike other DHTML collections, such as all and children, the attributes collection is static. Modifications to the properties of an object are not automatically reflected by an existing reference to the attributes collection of that object.

Example

This example shows how to iterate through the collection of attributes of the specified object, displaying the name and value of the attributes as well as the language of the attribute (HTML or script).

<SCRIPT>
function ShowAttribs(oElem)
{
txtAttribs.innerHTML = '';
// Retrieve the collection of attributes for the specified object.
var oAttribs = oElem.attributes;
// Iterate through the collection.
for (var i = 0; i < oAttribs.length; i++)
{
var oAttrib = oAttribs[i];
// Print the name and value of the attribute.
// Additionally print whether or not the attribute was specified
// in HTML or script.
txtAttribs.innerHTML += oAttrib.nodeName + '=' +
oAttrib.nodeValue + ' (' + oAttrib.specified + ')<BR>';
}
}
</SCRIPT>

Standards Information

This collection is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, attribute, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

About the W3C Document Object Model


behaviorUrns

behaviorUrns Collection

Returns a collection of Uniform Resource Name (URN) strings identifying the behaviors attached to the element.

Syntax

[ oColl = ] object.behaviorUrns
[ oObject = ] object.behaviorUrns(iIndex)

Possible Values

oColl | Array of URNs identifying the behaviors attached to the element.
oObject | Reference to an individual item in the array of elements contained by the object.
iIndex | Required. Integer that specifies the zero-based index of the item to be returned.

Members Table

The following table lists the members exposed by the behaviorUrns object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Sets or retrieves the number of objects in a collection.

Methods

Method | Description
item | Retrieves an object from the behaviorUrns collection.

Remarks

A behavior can specify a unique identifier in the form of a URN. If no URN is specified for a behavior, an empty string is specified in the collection. If no behaviors are attached to the element, an empty collection is returned.

Example

This example demonstrates how to determine the behaviors attached to a div.

<HEAD>
<STYLE>
DIV { behavior:url(fly.htc) url (zoom.htc) url (fade.htc)}
</STYLE>
function window.onload()
{
oColl = oDiv.behaviorUrns;
if (oColl != null)
{
for (i=0; i < oColl.length; i++)
alert (oColl(i));
}
}
</HEAD>
<DIV ID=oDiv>I just want to fly</DIV>

Standards Information

There is no public standard that applies to this collection.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, STYLE, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP

See Also

urns


blockFormats

blockFormats Collection

Retrieves a collection of strings that specify the names of the available block format tags.

Syntax

[ oColl = ] Dialog Helper.blockFormats
[ oObject = ] Dialog Helper.blockFormats(iIndex)

Possible Values

oColl | A collection of the names of the available block format tags.
oObject | Reference to an individual item in the array of elements contained by the object.
iIndex | Required. Integer that specifies the zero-based index of the item to be returned.

Members Table

The following table lists the members exposed by the blockFormats object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
Count | Retrieves the number of available block format tags.

Methods

Method | Description
Item | Retrieves a string that specifies the name of a block format tag.

Example

The following example displays the total number of block formats, and then displays a list of their names.

function testblockFormats()
{
var a=dlgHelper.blockFormats.count
alert(a); //show total number of block formats
for (i = 1;i < dlgHelper.blockFormats.count;i++)
{
var f= f  + "  " + dlgHelper.blockFormats(i)
}
alert(f) //show names of all block formats
}
This feature requires Microsoft® Internet Explorer 6.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

Dialog Helper


bookmarks

bookmarks Collection

Returns a collection of Microsoft® ActiveX® Data Objects (ADO) bookmarks tied to the rows affected by the current event.

Syntax

[ oColl = ] event.bookmarks
[ oObject = ] event.bookmarks(iIndex)

Possible Values

oColl | Array of ADO bookmarks.
oObject | Reference to an individual item in the array of elements contained by the object.
iIndex | Required. Integer that specifies the zero-based index of the item to be returned.

Members Table

The following table lists the members exposed by the bookmarks object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Sets or retrieves the number of objects in a collection.

Methods

Method | Description
item | Retrieves an object from the bookmarks collection.

Standards Information

There is no public standard that applies to this collection.

Applies To

event

See Also

Introduction to Data Binding, Bookmark Property - ADO


boundElements

boundElements Collection

Returns a collection of all elements on the page bound to a data set.

Syntax

[ oColl = ] event.boundElements
[ oObject = ] event.boundElements(vIndex [, iSubIndex])

Possible Values

oColl | Array of elements found on a page that are bound to a data set.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members Table

The following table lists the members exposed by the boundElements object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Sets or retrieves the number of objects in a collection.

Methods

Method | Description
item | Retrieves an object from the all collection or various other collections.
namedItem | Retrieves an object or a collection from the specified collection.
tags | Retrieves a collection of objects that have the specified HTML tag name.
urns | Retrieves a collection of all objects to which a specified behavior is attached.

Remarks

This collection is applicable only to data events.

Standards Information

There is no public standard that applies to this collection.

Applies To

event


cells

cells Collection

Retrieves a collection of all cells in the table row or in the entire table.

Syntax

[ oColl = ] object.cells
[ oObject = ] object.cells(vIndex [, iSubIndex])

Possible Values

oColl | Array of td and th elements contained by the object. If the object is a tr, the array contains elements only in that table row. If the object is a table, the array contains all elements in the table.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members Table

The following table lists the members exposed by the cells object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Sets or retrieves the number of objects in a collection.

Methods

Method | Description
item | Retrieves an object from the all collection or various other collections.
namedItem | Retrieves an object or a collection from the specified collection.
tags | Retrieves a collection of objects that have the specified HTML tag name.
urns | Retrieves a collection of all objects to which a specified behavior is attached.

Remarks

A cells collection is comprised of th and td objects.

When a cell spans multiple rows, that cell appears only in the cells collection for the first of the rows that the cell spans.

If duplicate identifiers are found, a collection of those items is returned. Collections of duplicates must be referenced subsequently by ordinal position.

Individual cells or an array of cells can be specified using a spreadsheet format. By specifying a colon-delimited string of the starting and ending cells, a cells collection can be retrieved from anywhere in the table. Specifying a particular cell with this format returns that object. The format of this string uses letters to indicate columns, starting with A, and numbers to indicate rows, starting with 1. A cells collection on a table row includes only the elements within that row if the vIndex string specifies a range of multiple rows using the spreadsheet format.

Example

This example shows how to use the rows collection on the table object and the cells collection to insert a number into each cell of the table.

<HTML>
<SCRIPT LANGUAGE="JScript">
function numberCells() {
var count=0;
for (i=0; i < document.all.oTable.rows.length; i++) {
for (j=0; j < document.all.oTable.rows(i).cells.length; j++) {
document.all.oTable.rows(i).cells(j).innerText = count;
count++;
}
}
}
</SCRIPT>
<BODY onload="numberCells()">
<TABLE id=oTable border=1>
<TR><TH>&nbsp;</TH><TH>&nbsp;</TH><TH>&nbsp;</TH><TH>&nbsp;</TH></TR>
<TR><TD>&nbsp;</TD><TD>&nbsp;</TD><TD>&nbsp;</TD><TD>&nbsp;</TD></TR>
<TR><TD>&nbsp;</TD><TD>&nbsp;</TD><TD>&nbsp;</TD><TD>&nbsp;</TD></TR>
</TABLE>
</BODY>
</HTML>

Standards Information

This collection is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TABLE, TR


childNodes

childNodes Collection

Retrieves a collection of HTML Elements and TextNode objects that are direct descendants of the specified object.

What's New for Microsoft® Internet Explorer 6

This collection now applies to the attribute object.

Syntax

[ oColl = ] object.childNodes
[ oObject = ] object.childNodes(iIndex)

Possible Values

oColl | Array containing the children of a specified object.
oObject | Reference to an individual item in the array of elements contained by the object.
iIndex | Required. Integer that specifies the zero-based index of the item to be returned.

Members Table

The following table lists the members exposed by the childNodes object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Sets or retrieves the number of objects in a collection.

Methods

Method | Description
item | Retrieves an object from the childNodes or children collection.
urns | Retrieves a collection of all objects to which a specified behavior is attached.

Remarks

The childNodes collection can contain HTML Elements and TextNode objects.

If you check the childNodes collection of an element created through standard HTML you will encounter TextNode objects in unexpected places, in place of line breaks, for example. Alternately, if you create an element via the Document Object Model (DOM), Internet Explorer will not create extraneous TextNode objects.

Examples

This example shows how to assign to a variable the childNodes collection of the body object.

<SCRIPT>
var aNodeList = oBody.childNodes;
</SCRIPT>
:
<BODY ID="oBody">
<SPAN ID="oSpan">A Span</SPAN>
</BODY>

This example shows how to assign to a variable the childNodes collection of a node created with the createElement method.

var oParentNode = document.createElement("DIV");
var oNode = document.createElement("B");
document.body.insertBefore(oParentNode);
oParentNode.insertBefore(oNode);
var aNodeList = oParentNode.childNodes;

Standards Information

This collection is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, attribute, B, BASE, BASEFONT, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

About the W3C Document Object Model


children

children Collection

Retrieves a collection of DHTML Objects that are direct descendants of the object.

Syntax

[ oColl = ] object.children
[ oObject = ] object.children(vIndex [, iSubIndex])

Possible Values

oColl | Array containing the direct descendants of an object.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members Table

The following table lists the members exposed by the children object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Sets or retrieves the number of objects in a collection.

Methods

Method | Description
item | Retrieves an object from the childNodes or children collection.
tags | Retrieves a collection of objects that have the specified HTML tag name.
urns | Retrieves a collection of all objects to which a specified behavior is attached.

Remarks

Similar to the objects contained in the all collection, the objects contained in the children collection are undefined if the child elements are overlapping tags.

The children collection can contain HTML elements.

Example

This example shows how to retrieve a collection of DHTML Objects using script. The children collection for oParentDIV includes input type=text, div and button. The children collection for oChildDIV includes p.

<HTML>
<HEAD>
...
<SCRIPT>
var oColl; //Collection for children.
var oRow, oCell; //Use for row and cell.
function fnCollection(){
oColl = oParentDIV.children;
//Call function to create cells for the top parent object.
getChildren(oColl, oParentDIV);
/*Call function to create cells for the child within the parent object
containing its own child.*/
oColl = oChildDIV.children;
getChildren(oColl, oChildDIV);
}
/*****************************************************************************
In:
oColl - Collection of children.
oCollection - Parent object.
Out:
Output to screen.
******************************************************************************/
function getChildren(oColl, oCollection){
for(x=0;x<oColl.length;x++){
//Create new row.
oRow = oTable.insertRow();
//Create cell with the array index of current child.
oCell = oRow.insertCell();
oCell.align = 'center';
oCell.style.color = '#0000FF';
oCell.innerText = x;
//Create cell with the tagName of current child.
oCell = oRow.insertCell();
oCell.align = 'center';
oCell.innerText = oCollection.children.item(x).tagName;
//Create cell with ID / name of current child.
oCell = oRow.insertCell();
oCell.align = 'center';
if(oCollection.children.item(x).name != null){
oCell.innerText = oCollection.children.item(x).name;
}else{
oCell.innerText = oCollection.children.item(x).id;
}
//Create cell with applicable Parent object to the child.
oCell = oRow.insertCell();
oCell.align = 'center';
oCell.innerText = oCollection.id;
}
}
</SCRIPT>
</HEAD>
<BODY>
<CENTER>
<SPAN class="oTitle">DIV Object (ID: oParentDIV)</SPAN>
<DIV id="oParentDIV" class="oDIV">
Some Input (non-editable): <INPUT type="text" name="SomeInputTextBox"
value="" size="5"  CONTENTEDITABLE="false">
<DIV id="oChildDIV">
<P id="oParagraph1">Some text in a paragraph</P>
</DIV>
<BUTTON name="SomeButton" onclick="alert('Some alert.');">The Label for
the Button</BUTTON>
</DIV>
<HR>
<BUTTON id="b1" onclick="fnCollection(); b1.disabled=true;"
style="cursor:hand">Retrieve Collection</BUTTON>
<BR><BR>
<TABLE border="1" id="oTable" alt="Child Listing">
<TR>
<TH>Array Index</TH><TH>Child Element</TH><TH>ID</TH><TH>Parent Object</TH>
</TR>
</TABLE>
</CENTER>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this collection.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, THEAD, TITLE, TR, TT, U, UL, VAR, XMP


controlRange

controlRange Collection

A collection of elements returned by the createControlRange or createRange method.

Members Table

The following table lists the members exposed by the controlRange object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Sets or retrieves the number of objects in a collection.

Methods

Method | Description
add | Adds an element to the areas, controlRange, or options collection.
addElement | Adds an element to the controlRange collection.
execCommand | Executes a command on the current document, current selection, or the given range.
item | Retrieves an object from the controlRange collection.
queryCommandEnabled | Returns a Boolean value that indicates whether a specified command can be successfully executed using execCommand, given the current state of the document.
queryCommandIndeterm | Returns a Boolean value that indicates whether the specified command is in the indeterminate state.
queryCommandState | Returns a Boolean value that indicates the current state of the command.
queryCommandSupported | Returns a Boolean value that indicates whether the current command is supported on the current range.
queryCommandValue | Returns the current value of the document, range, or current selection for the given command.
remove | Removes an element from the collection.
scrollIntoView | Causes the object to scroll into view, aligning it either at the top or bottom of the window.
select | Makes the selection equal to the current object.

Remarks

Instead of using the collection's item method, you can use an index to directly access an element in the collection. For example, the element returned from the collection represented by oColl(0) is the same as the element returned by oColl.item(0).

The controlRange collection is available as of Microsoft® Internet Explorer 5.

Example

This example demonstrates how to use the createRange method to retrieve the controlRange collection.

...
function fnChangeFontFamily    (){
if (document.selection.type == "Control"){
var oControlRange = document.selection.createRange();
for (i = 0; i < oControlRange.length; i++)
if (oControlRange(i).tagName != "IMG")
oControlRange(i).style.fontFamily=event.srcElement.style.fontFamily;
}
}
...
<!-- Text Font-Family Controls  -->
<SPAN  onclick="fnChangeFontFamily();">
<DIV STYLE="height: 25px; cursor:hand; font-family:times;
font-size:14pt; font-weight:normal; color:white">Times</DIV>
<DIV STYLE="height: 25px; cursor:hand; font-family:arial;
font-size:14pt; font-weight:normal; color:white">Arial</DIV>
<DIV STYLE="height: 25px; cursor:hand; font-family:georgia;
font-size:14pt; font-weight:normal; color:white">Georgia</DIV>
<DIV STYLE="height: 25px; cursor:hand; font-family:verdana;
font-size:14pt; font-weight:normal; color:white">Verdana</DIV>
</SPAN><BR/>
...
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this collection.

See Also

createControlRange, createRange


elements

elements Collection

Retrieves a collection, in source order, of all controls in a given form. input type=image objects are excluded from the collection.

Syntax

[ oColl = ] FORM.elements
[ oObject = ] FORM.elements(vIndex [, iSubIndex])

Possible Values

oColl | Array of button, input, select, and textArea objects.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members Table

The following table lists the members exposed by the elements object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Sets or retrieves the number of objects in a collection.

Methods

Method | Description
item | Retrieves an object from the all collection or various other collections.
namedItem | Retrieves an object or a collection from the specified collection.
tags | Retrieves a collection of objects that have the specified HTML tag name.
urns | Retrieves a collection of all objects to which a specified behavior is attached.

Remarks

This collection can contain any combination of the button, input, select, and textArea objects. For compatibility with existing Web content, however, input type=image objects are excluded.

A complete list of form controls is provided in the Introduction to Forms.

Standards Information

This collection is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

FORM


embeds

embeds Collection

Retrieves a collection of all embed objects in the document.

Syntax

[ oColl = ] document.embeds
[ oObject = ] document.embeds(vIndex [, iSubIndex])

Possible Values

oColl | Array of embed objects.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members Table

The following table lists the members exposed by the embeds object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Sets or retrieves the number of objects in a collection.

Methods

Method | Description
item | Retrieves an object from the all collection or various other collections.
namedItem | Retrieves an object or a collection from the specified collection.
tags | Retrieves a collection of objects that have the specified HTML tag name.
urns | Retrieves a collection of all objects to which a specified behavior is attached.

Standards Information

There is no public standard that applies to this collection.

Applies To

document


filters

filters Collection

Retrieves the collection of filters that have been applied to the object.

Syntax

[ oColl = ] object.filters
[ oObject = ] object.filters(vIndex [, iSubIndex])

Possible Values

oColl | Array of filters applied to the object.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members Table

The following table lists the members exposed by the filters object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Sets or retrieves the number of objects in a collection.

Methods

Method | Description
item | Retrieves an object from the filters collection or various other collections.
namedItem | Retrieves an object or a collection from the specified collection.

Remarks

For a filter to render, the span and div elements must have one of the following cascading style sheets (CSS) attributes: height, width, or position (absolute or relative).

Standards Information

There is no public standard that applies to this collection.

Applies To

BDO, BODY, BUTTON, CUSTOM, DIV, FIELDSET, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, MARQUEE, nextID, RT, RUBY, SPAN, TABLE, TD, TEXTAREA, TH


fonts

fonts Collection

Retrieves a collection of all the system-supported fonts.

Syntax

[ oColl = ] Dialog Helper.fonts
[ oObject = ] Dialog Helper.fonts(iIndex)

Possible Values

oColl | A collection of system-supported fonts.
oObject | Reference to an individual item in the array of elements contained by the object.
iIndex | Required. Integer that specifies the zero-based index of the item to be returned.

Members Table

The following table lists the members exposed by the fonts object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
Count | Retrieves the number of available block format tags.

Methods

Method | Description
Item | Retrieves a string that specifies the name of a block format tag.

Example

The following example displays the total number of system fonts, and then displays a list of their names.

function testFonts()
{
var a=dlgHelper.fonts.count;
alert(a); //show total number of system fonts
for (i = 1;i < dlgHelper.fonts.count;i++)
{
var f= f  + "  " + dlgHelper.fonts(i)
}
alert(f); //show names of all system fonts
}
This feature requires Microsoft® Internet Explorer 6.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

Dialog Helper


forms

forms Collection

Retrieves a collection, in source order, of all form objects in the document.

Syntax

[ oColl = ] document.forms
[ oObject = ] document.forms(vIndex [, iSubIndex])

Possible Values

oColl | Array of form objects.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members Table

The following table lists the members exposed by the forms object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Sets or retrieves the number of objects in a collection.

Methods

Method | Description
item | Retrieves an object from the all collection or various other collections.
namedItem | Retrieves an object or a collection from the specified collection.
tags | Retrieves a collection of objects that have the specified HTML tag name.
urns | Retrieves a collection of all objects to which a specified behavior is attached.

Standards Information

This collection is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

document


frames

frames Collection

Retrieves a collection of all window objects defined by the given document or defined by the document associated with the given window.

Syntax

[ oColl = ] object.frames
[ oObject = ] object.frames(vIndex [, iSubIndex])

Possible Values

oColl | Array of window objects.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members Table

The following table lists the members exposed by the frames object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Sets or retrieves the number of objects in a collection.

Methods

Method | Description
item | Retrieves an object from the filters collection or various other collections.
namedItem | Retrieves an object or a collection from the specified collection.

Remarks

If the HTML source document contains a body tag, the collection contains one window for each iframe object in the document. If the source document contains frameSet tags, the collection contains one window for each frame tag in the document. In both cases, the order is determined by the HTML source.

This collection contains only window objects and does not provide access to the corresponding frame and iframe objects. To access these objects, use the all collection for the document containing the objects.

Although you can use names with the item method on this collection, the method never returns a collection. Instead, it always returns the first window having the given name. To ensure that all windows are accessible, make sure that no two windows in a document have the same name.

Examples

This example in JScript® (compatible with ECMA 262 language specification) shows how to display the URLs of the HTML documents contained in windows created by the iframe objects in the document.

var frm = document.frames;
for (i=0; i < frm.length; i++)
alert(frm(i).location);

This example in JScript shows how to display the name of each window defined by frame tags in the parent window of the current document.

var frm = window.parent.frames;
for (i=0; i < frm.length; i++)
alert(frm(i).name);

Standards Information

There is no public standard that applies to this collection.

Applies To

document, window


images

images Collection

Retrieves a collection, in source order, of img objects in the document.

Syntax

[ oColl = ] document.images
[ oObject = ] document.images(vIndex [, iSubIndex])

Possible Values

oColl | Array of img objects.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members Table

The following table lists the members exposed by the images object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Sets or retrieves the number of objects in a collection.

Methods

Method | Description
item | Retrieves an object from the all collection or various other collections.
namedItem | Retrieves an object or a collection from the specified collection.
tags | Retrieves a collection of objects that have the specified HTML tag name.
urns | Retrieves a collection of all objects to which a specified behavior is attached.

Standards Information

This collection is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

document


imports

imports Collection

Retrieves a collection of all the imported style sheets defined for the respective styleSheet object.

Syntax

[ oColl = ] styleSheet.imports
[ oObject = ] styleSheet.imports(iIndex)

Possible Values

oColl | Array of imported style sheets.
oObject | Reference to an individual item in the array of elements contained by the object.
iIndex | Required. Integer that specifies the zero-based index of the item to be returned.

Members Table

The following table lists the members exposed by the imports object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Sets or retrieves the number of objects in a collection.

Methods

Method | Description
item | Retrieves an object from the filters collection or various other collections.
namedItem | Retrieves an object or a collection from the specified collection.

Remarks

An imported style sheet is one that is brought into the document using the cascading style sheets (CSS) @import rule.

Example

This example shows how to display the URL paths of the imported style sheets in the document.

for ( i = 0; i < document.styleSheets.length; i++ )
{
if ( document.styleSheets(i).owningElement.tagName == "STYLE" )
{
for ( j = 0; j < document.styleSheets(i).imports.length; j++ )
alert("Imported style sheet " + j + " is at " +
document.styleSheets(i).imports(j).href);
}
}

Standards Information

There is no public standard that applies to this collection.

Applies To

styleSheet


links

links Collection

Retrieves a collection of all a objects that specify the HREF property and all area objects in the document.

Syntax

[ oColl = ] document.links
[ oObject = ] document.links(iIndex)

Possible Values

oColl | Array of a objects.
oObject | Reference to an individual item in the array of elements contained by the object.
iIndex | Required. Integer that specifies the zero-based index of the item to be returned.

Members Table

The following table lists the members exposed by the links object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Sets or retrieves the number of objects in a collection.

Methods

Method | Description
item | Retrieves an object from the all collection or various other collections.
namedItem | Retrieves an object or a collection from the specified collection.
tags | Retrieves a collection of objects that have the specified HTML tag name.
urns | Retrieves a collection of all objects to which a specified behavior is attached.

Remarks

For a objects to appear in the collection, they must have a name and/or id property.

Example

This example shows how to display the HREF attribute of the third link defined in the document.

alert(document.links(2).href);

Standards Information

This collection is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

document


mimeTypes

mimeTypes Collection

Not currently implemented.

Standards Information

There is no public standard that applies to this collection.


namespaces

namespaces Collection

Retrieves a collection of namespace objects.

Syntax

[ oNamespace = ] document.namespaces
[ oObject = ] document.namespaces(iIndex)

Possible Values

oNamespace | Array of namespace objects.
oObject | Reference to an individual item in the array of elements contained by the object.
iIndex | Required. Integer that specifies the zero-based index of the item to be returned.

Members Table

The following table lists the members exposed by the namespaces object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Sets or retrieves the number of objects in a collection.

Methods

Method | Description
add | Creates a new namespace object and adds it to the collection.
item | Retrieves a namespace object from the namespaces collection.

Example

This sample demonstrates how to programmatically retrieve the names for all namespaces within the primary document.

<HTML XMLNS:firstNS
XMLNS:secondNS
XMLNS:thirdNS>
<HEAD>
<?IMPORT NAMESPACE="firstNS" IMPLEMENTATION="some_namespace.htc">
<?IMPORT NAMESPACE="secondNS" IMPLEMENTATION="some_namespace.htc">
<?IMPORT NAMESPACE="thirdNS" IMPLEMENTATION="some_namespace.htc">
<SCRIPT>
function getNS(){
// Retrieving the namespace's name two different ways.
var strInfo = "The following methods demonstrate how to retrieve a "
strInfo += "namespace's name.\n\n";
for(x = 0; x < document.namespaces.length; x++){
oRow = oTable.insertRow();
//Create cell with the Index.
oCell = oRow.insertCell();
oCell.align = 'center';
oCell.innerText = x;
/* Create cell with the namespace name using
document.namespaces.item(iIndex).name. */
oCell = oRow.insertCell();
oCell.align = 'center';
oCell.innerText = document.namespaces.item(x).name;
/* Create cell with the namespace name using
document.namespaces(iIndex).name. */
oCell = oRow.insertCell();
oCell.align = 'center';
oCell.innerText = document.namespaces(x).name;
}
}
</SCRIPT>
</HEAD>
<BODY>
<TABLE id="oTable" BORDER=1>
<TR>
<TH>Index</TH>
<TH>Using<BR>document.namespaces.item(iIndex).name</TH>
<TH>Using<BR>document.namespaces(iIndex).name</TH>
</TR>
</TABLE>
<BR>
<BUTTON id="btn1" onclick="getNS();">Retrieve names</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this collection.

Applies To

document

See Also

Introduction to Viewlink, About Element Behaviors


options

options Collection

Retrieves a collection of the option objects in a select object.

Syntax

[ oColl = ] SELECT.options
[ oObject = ] SELECT.options(vIndex [, iSubIndex])

Possible Values

oColl | Array of option objects.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members Table

The following table lists the members exposed by the options object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Sets or retrieves the number of objects in a collection.

Methods

Method | Description
add | Adds an element to the areas, controlRange, or options collection.
item | Retrieves an object from the all collection or various other collections.
namedItem | Retrieves an object or a collection from the specified collection.
remove | Removes an element from the collection.
tags | Retrieves a collection of objects that have the specified HTML tag name.
urns | Retrieves a collection of all objects to which a specified behavior is attached.

Remarks

To delete an option object from a select object, assign the option object a null value. This compresses the array.

If duplicate identifiers are found, a collection of those items is returned. Collections of duplicates must be referenced subsequently by ordinal position.

Example

This example shows how to display the text and values of all option objects in the first select object in the document.

var coll = document.all.tags("SELECT");
if (coll.length>0) {
for (i=0; i< coll(0).options.length; i++)
alert("Element " + i + " is " + coll(0).options(i).text +
" and has the value " + coll(0).options(i).value);
}

Standards Information

This collection is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

SELECT


pages

pages Collection

Retrieves a collection of page objects, which represent @page rules in a styleSheet.

Syntax

[ oColl = ] styleSheet.pages
[ oObject = ] styleSheet.pages(iIndex)

Possible Values

oColl | Array of page objects.
oObject | Reference to an individual item in the array of elements contained by the object.
iIndex | Required. Integer that specifies the zero-based index of the item to be returned.

Members Table

The following table lists the members exposed by the pages object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Retrieves the number of objects in a collection.

Methods

Method | Description
item | Retrieves an object from the pages collection.

Objects

Object | Description
page | Represents an @page rule within a styleSheet.

Remarks

Although this collection is represented in the Cascading Style Sheets (CSS) object model in Microsoft® Internet Explorer 5.5 and later, @page rules are not represented in the default print template for Internet Explorer. The rules can be used by print templates developed for applications that host MSHTML.

Standards Information

There is no public standard that applies to this collection.

Applies To

styleSheet

See Also

Print Templates


plugins

plugins Collection

Retrieves a collection of all embed objects within the document.

Syntax

[ oColl = ] object.plugins
[ oObject = ] object.plugins(iIndex)

Possible Values

oColl | Array that is empty.
oObject | Reference to an individual item in the array of elements contained by the object.
iIndex | Required. Integer that specifies the zero-based index of the item to be returned.

Members Table

The following table lists the members exposed by the plugins object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Sets or retrieves the number of objects in a collection.

Methods

Method | Description
item | Retrieves an object from the all collection or various other collections.
namedItem | Retrieves an object or a collection from the specified collection.
tags | Retrieves a collection of objects that have the specified HTML tag name.

Remarks

The plugins collection is exposed for compatibility with other browsers.

The collection is an alias for the embeds collection on the document.

Standards Information

There is no public standard that applies to this collection.

Applies To

clientInformation, navigator


rows

rows Collection

Retrieves a collection of tr (table row) objects from a table object.

Syntax

[ oColl = ] object.rows
[ oObject = ] object.rows(vIndex [, iSubIndex])

Possible Values

oColl | Array of tr objects.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members Table

The following table lists the members exposed by the rows object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Sets or retrieves the number of objects in a collection.

Methods

Method | Description
item | Retrieves an object from the all collection or various other collections.
namedItem | Retrieves an object or a collection from the specified collection.
tags | Retrieves a collection of objects that have the specified HTML tag name.
urns | Retrieves a collection of all objects to which a specified behavior is attached.

Remarks

The scope of the rows collection is for the tHead, tBody, or tFoot object of the table. In addition, there is also a rows collection for the table object, which contains all the rows for the entire table. A row that appears in one of the table sections also appears in the rows collection for the table. The tr object has two index properties, rowIndex and sectionRowIndex, that indicate where a given row appears. The rowIndex property indicates where the tr appears with respect to the rows collection for the whole table. By contrast, sectionRowIndex returns where the tr appears with respect to the rows collection for the specific table section in which it is located.

If duplicate identifiers are found, a collection of those items is returned. Collections of duplicates must be referenced subsequently by ordinal position.

Example

This example shows how to use the rows and cells collections to insert a number into each cell of the table.

<HTML>
<SCRIPT LANGUAGE="JScript">
function numberCells() {
var count=0;
for (i=0; i < document.all.oTable.rows.length; i++) {
for (j=0; j < document.all.oTable.rows(i).cells.length; j++) {
document.all.oTable.rows(i).cells(j).innerText = count;
count++;
}
}
}
</SCRIPT>
<BODY onload="numberCells()">
<TABLE id=oTable border=1>
<TR><TH>&nbsp;</TH><TH>&nbsp;</TH><TH>&nbsp;</TH><TH>&nbsp;</TH></TR>
<TR><TD>&nbsp;</TD><TD>&nbsp;</TD><TD>&nbsp;</TD><TD>&nbsp;</TD></TR>
<TR><TD>&nbsp;</TD><TD>&nbsp;</TD><TD>&nbsp;</TD><TD>&nbsp;</TD></TR>
</TABLE>
</BODY>
</HTML>

Standards Information

This collection is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TABLE, TBODY, TFOOT, THEAD


rules

rules Collection

Retrieves a collection of rules defined in a style sheet.

Syntax

[ oColl = ] styleSheet.rules
[ oObject = ] styleSheet.rules(iIndex)

Possible Values

oColl | Array of rules.
oObject | Reference to an individual item in the array of elements contained by the object.
iIndex | Required. Integer that specifies the zero-based index of the item to be returned.

Members Table

The following table lists the members exposed by the rules object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Sets or retrieves the number of objects in a collection.

Methods

Method | Description
item | Retrieves an object from the rules collection.

Remarks

This collection is always accessible, even if the style sheet is not enabled. Rules are added to the rules collection with the addRule method on the individual style sheet. A rule that is added to a disabled style sheet does not apply to the document unless the style sheet is enabled. Rules are deleted with the removeRule method.

The rules in this collection are in the source order of the document. As rules are added or deleted through the Cascading Style Sheets (CSS) Object Model, a rule's absolute position in the rules collection might change, but its position relative to other rules remains the same. When you add rules without specifying an index, the rule gets added to the document last. If you specify an index, however, the rule is inserted before the rule currently in that ordinal position in the collection. If the specified index is greater than the number of rules in the collection, the rule is added to the end.

Example

This example shows how to use the rules collection to identify the color specified in style sheet rules.

<HTML>
<HEAD>
<SCRIPT>
function ruleColor(ruleIndex) {
alert("The color of rule " + ruleIndex + " is " +
document.styleSheets[0].rules.item(ruleIndex).style.color + ".");
}
</SCRIPT>
<STYLE>
.rule0 {color:"red"}
.rule1 {color:"blue"}
</STYLE>
</HEAD>
<BODY>
<P class="rule0" id="oRule0Span">
Rule 0 is applied to this line.
</P>
<P class="rule1" id="oRule1Span">
Rule 1 is applied to this line.
</P>
<BUTTON onclick="ruleColor(0)">Color of Rule 0</BUTTON>
<BUTTON onclick="ruleColor(1)">Color of Rule 1</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This collection is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

styleSheet


scripts

scripts Collection

Retrieves a collection of all script objects in the document.

Syntax

[ oColl = ] document.scripts
[ oObject = ] document.scripts(vIndex [, iSubIndex])

Possible Values

oColl | Array of script objects.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members Table

The following table lists the members exposed by the scripts object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Sets or retrieves the number of objects in a collection.

Methods

Method | Description
item | Retrieves an object from the all collection or various other collections.
namedItem | Retrieves an object or a collection from the specified collection.
tags | Retrieves a collection of objects that have the specified HTML tag name.
urns | Retrieves a collection of all objects to which a specified behavior is attached.

Remarks

This collection contains all the scripts in the document in source order regardless of the script's location in the document (whether in the head or body).

If duplicate identifiers are found, a collection of those items is returned. Collections of duplicates must be referenced subsequently by ordinal position.

Standards Information

There is no public standard that applies to this collection.

Applies To

document


styleSheets

styleSheets Collection

Retrieves a collection of styleSheet objects representing the style sheets that correspond to each instance of a link or style object in the document.

Syntax

[ oColl = ] document.styleSheets
[ oObject = ] document.styleSheets(vIndex [, iSubIndex])

Possible Values

oColl | Array of styleSheet objects.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members Table

The following table lists the members exposed by the styleSheets object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Sets or retrieves the number of objects in a collection.

Methods

Method | Description
item | Retrieves an object from the filters collection or various other collections.
namedItem | Retrieves an object or a collection from the specified collection.
urns | Retrieves a collection of all objects to which a specified behavior is attached.

Objects

Object | Description
styleSheet | Represents a single style sheet in the document.

Remarks

Style sheets that are imported using the @import rule and are contained within the style object are available through the imports collection.

Example

This example shows how to display the titles of the style sheets in the document.

for ( i = 0; i < document.styleSheets.length; i++ )
{
alert("Style sheet " + i + " is titled " + document.styleSheets(i).title);
}

Standards Information

There is no public standard that applies to this collection.

Applies To

document


tBodies

tBodies Collection

Retrieves a collection of all tBody objects in the table. Objects in this collection are in source order.

Syntax

[ oColl = ] TABLE.tBodies
[ oObject = ] TABLE.tBodies(vIndex [, iSubIndex])

Possible Values

oColl | Array of tBody objects.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members Table

The following table lists the members exposed by the tBodies object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Sets or retrieves the number of objects in a collection.

Methods

Method | Description
item | Retrieves an object from the all collection or various other collections.
namedItem | Retrieves an object or a collection from the specified collection.
tags | Retrieves a collection of objects that have the specified HTML tag name.
urns | Retrieves a collection of all objects to which a specified behavior is attached.

Remarks

This collection can be indexed by name (ID). If duplicate names are found, a collection of those named items is returned. Collections of duplicate names must be referenced subsequently by ordinal position.

Example

This example shows how to put text in the first cell in the first row of the first tBody object in the table. For each table, an initial tBody object is synthesized in the HTML tree even if a tBody element does not exist in the HTML source.

document.all.oTable.tBodies[0].rows[0].cells[0].innerText =
"Text for the first table cell";

Standards Information

This collection is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TABLE


TextRange

TextRange Collection

Retrieves a collection of TextRange objects.

Syntax

[ oColl = ] selection.TextRange
[ oObject = ] selection.TextRange(vIndex [, iSubIndex])

Possible Values

oColl | Array of elements created with the createRangeCollection method.
oObject | Reference to an individual item in the array of elements contained by the object.
vIndex | Required. Integer or string that specifies the element or collection to retrieve. If this parameter is an integer, the method returns the element in the collection at the given position, where the first element has value 0, the second has 1, and so on. If this parameter is a string and there is more than one element with the name or id property equal to the string, the method returns a collection of matching elements.
iSubIndex | Optional. Position of an element to retrieve. This parameter is used when vIndex is a string. The method uses the string to construct a collection of all elements that have a name or id property equal to the string, and then retrieves from this collection the element at the position specified by iSubIndex.

Members Table

The following table lists the members exposed by the TextRange object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Sets or retrieves the number of objects in a collection.

Methods

Method | Description
item | Retrieves an object from the filters collection or various other collections.
namedItem | Retrieves an object or a collection from the specified collection.

Remarks

Elements can be accessed through the item method, or you can use an index to directly access an element in the collection. For example, the element returned from the collection represented by oColl(0) is the same as the element returned by oColl.item(0).

The TextRange collection is available as of Internet Explorer 5.5.

Standards Information

There is no public standard that applies to this collection.

Applies To

selection

See Also

createRangeCollection


TextRectangle

TextRectangle Collection

A collection of TextRectangle objects returned by the getClientRects method.

Members Table

The following table lists the members exposed by the TextRectangle object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Sets or retrieves the number of objects in a collection.

Methods

Method | Description
item | Retrieves an object from the filters collection or various other collections.
namedItem | Retrieves an object or a collection from the specified collection.

Remarks

The collection returns an empty collection for objects that do not have text.

If the window is resized, the collection is not updated. Because the collection is a snapshot of the layout, always update the collection following the onresize event.

The TextRectangle collection is available as of Internet Explorer 5.

Example

This example shows how to use the getClientRects method and the TextRectangle collection to iterate through the lines of text in an object.

<SCRIPT>
function newHighlite(obj) {
oRcts = obj.getClientRects();
iLength = oRcts.length
for (i = 0;i < iLength; i++)
{
alert("Line number " + (i + 1) + " is " +
(oRcts(i).right - oRcts(i).left) + " pixels wide.")
}
}
</SCRIPT>

Standards Information

There is no public standard that applies to this collection.

See Also

TextRectangle


events

DHTML 事件

下面列出了由动态 HTML(DHTML) 对象模型定义的事件。

事件

onabort | 当用户中断下载图像时触发。
onactivate | 当对象设置为活动元素时触发。
onafterprint | 对象所关联的文档打印或打印预览后立即在对象上触发。
onafterupdate | 当成功更新数据源对象中的关联对象后在数据绑定对象上触发。
onbeforeactivate Microsoft® Internet Explorer 6 新增 | 对象要被设置为当前元素前立即触发。
onbeforecopy | 当选中区复制到系统剪贴板之前在源对象触发。
onbeforecut | 当选中区从文档中删除之前在源对象触发。
onbeforedeactivate | 在 activeElement 从当前对象变为父文档其它对象之前立即触发。
onbeforeeditfocus | 在包含于可编辑元素内的对象进入用户界面激活状态前或可编辑容器变成控件选中区前触发。
onbeforepaste | 在选中区从系统剪贴板粘贴到文档前在目标对象上触发。
onbeforeprint | 对象的关联文档打印或打印预览前在对象上触发。
onbeforeunload | 在页面将要被卸载前触发。
onbeforeupdate | 当成功更新数据源对象中的关联对象前在数据绑定对象上触发。
onblur | 在对象失去输入焦点时触发。
onbounce | 当 marquee 对象的 behavior 属性设置为“alternate”且字幕的内容到达窗口一边时触发。
oncellchange | 在数据供应者中的数据变更时触发。
onchange | 当对象或选中区的内容改变时触发。
onclick | 在用户用鼠标左键单击对象时触发。
oncontextmenu | 在用户使用鼠标右键单击客户区打开上下文菜单时触发。
oncontrolselect | 当用户将要对该对象制作一个控件选中区时触发。
oncopy | 当用户复制对象或选中区，将其添加到系统剪贴板上时在源元素上触发。
oncut | 当对象或选中区从文档中删除并添加到系统剪贴板上时在源元素上触发。
ondataavailable | 每当异步传输数据的数据源对象的数据到达时触发。
ondatasetchanged | 当数据源对象对应的数据集发生变更时触发。
ondatasetcomplete | 触发就表明数据源对象所有数据都可用。
ondblclick | 当用户双击对象时触发。
ondeactivate | 当 activeElement 从当前对象变为父文档其它对象时触发。
ondrag | 当进行拖曳操作时在源对象上持续触发。
ondragend | 当用户在拖曳操作结束后释放鼠标时在源对象上触发。
ondragenter | 当用户拖曳对象到一个合法拖曳目标时在目标元素上触发。
ondragleave | 当用户在拖曳操作过程中将鼠标移出合法拖曳目标时在目标对象上触发。
ondragover | 当用户拖曳对象划过合法拖曳目标时持续在目标元素上触发。
ondragstart | 当用户开始拖曳文本选中区或选中对象时在源对象上触发。
ondrop | 当鼠标按钮在拖曳操作过程中释放时在目标对象上触发。
onerror | 当对象装载过程中发生错误时触发。
onerrorupdate | 更新数据源对象中的关联数据出错时在数据绑定对象上触发。
onfilterchange | 当可视滤镜更改状态或完成转换时触发。
onfinish | 当字幕循环完成后触发。
onfocus | 当对象获得焦点时触发。
onfocusin Microsoft® Internet Explorer 6 新增 | 当元素将要被设置为焦点之前触发。
onfocusout Microsoft® Internet Explorer 6 新增 | 在移动焦点到其它元素之后立即触发于当前拥有焦点的元素上触发。
onhelp | 当用户在浏览器为当前窗口时按 F1 键时触发。
onkeydown | 当用户按下键盘按键时触发。
onkeypress | 当用户按下字面键时触发。
onkeyup | 当用户释放键盘按键时触发。
onlayoutcomplete | 当打印或打印预览版面处理完成用来自于源文档的内容填充当前 LayoutRect 对象时触发。
onload | 在浏览器完成对象的装载后立即触发。
onlosecapture | 当对象失去鼠标捕捉时触发。
onmousedown | 当用户用任何鼠标按钮单击对象时触发。
onmouseenter | 当用户将鼠标指针移动到对象内时触发。
onmouseleave | 当用户将鼠标指针移出对象边界时触发。
onmousemove | 当用户将鼠标划过对象时触发。
onmouseout | 当用户将鼠标指针移出对象边界时触发。
onmouseover | 当用户将鼠标指针移动到对象内时触发。
onmouseup | 当用户在鼠标位于对象之上时释放鼠标按钮时触发。
onmousewheel Microsoft® Internet Explorer 6 新增 | 当鼠标滚轮按钮旋转时触发。
onmove | 当对象移动时触发。
onmoveend | 当对象停止移动时触发。
onmovestart | 当对象开始移动时触发。
onpaste | 当用户粘贴数据以便从系统剪贴板向文档传送数据时在目标对象上触发。
onpropertychange | 当在对象上发生对象上发生属性更改时触发。
onreadystatechange | 当对象状态变更时触发。
onreset | 当用户重置表单时触发。
onresize | 当对象的大小将要改变时触发。
onresizeend | 当用户更改完控件选中区中对象的尺寸时触发。
onresizestart | 当用户开始更改控件选中区中对象的尺寸时触发。
onrowenter | 触发就表明当前行已经在数据源中更改，对象上有可用的新数据值。
onrowexit | 当数据源控件更改对象当前行前触发。
onrowsdelete | 当行将要从记录集中被删除时触发。
onrowsinserted | 当在当前记录集中插入新行后触发。
onscroll | 当用户滚动对象的滚动条时触发。
onselect | 当当前选中区改变时触发。
onselectionchange | 当文档的选中状态改变时触发。
onselectstart | 对象将要被选中时触发。
onstart | 在 marquee 对象的每次循环开始时触发。
onstop | 当用户单击停止按钮或离开 Web 页面时触发。
onsubmit | 当表单将要被提交时触发。
onunload | 在对象卸载前立即触发。


onabort

onabort Event

Fires when the user aborts the download of an image.

Syntax

Inline HTML | <IMG onabort = "handler" ... > | All platforms
Event property | IMG.onabort = handler | JScript only
IMG.onabort = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = IMG EVENT = onabort> | Internet Explorer only

Event Information

Bubbles | No
Cancels | Yes
To invoke
  • Click an anchor.
  • Click the browser Stop button.
  • Navigate to another page.
Default action | Halts downloading of the designated image.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
returnValue | Sets or retrieves the return value from the event.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.

Standards Information

There is no public standard that applies to this event.

Applies To

IMG


onactivate

onactivate Event

Fires when the object is set as the active element.

Syntax

Inline HTML | <ELEMENT onactivate = "handler" ... > | All platforms
Event property | object.onactivate = handler | JScript only
object.onactivate = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onactivate> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | No
To invoke
  • Click an element, other than the active element of the document.
  • Use the keyboard to move focus from the active element to another element.
  • Invoke the setActive method on an element, when the element is not the active element.
Default action | Change activation from the event.fromElement to the event.srcElement.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

Note Using the setActive method has no effect on document focus. Using the focus method on an individual element causes the element to gain focus and become the active element.

When one object loses activation and another object becomes the activeElement, the onfocus event fires on the object becoming the activeElement only after the onblur event fires on the object losing activation.

Each document may have up to one active element. Set the active element with the setActive or focus methods.

Using the focus method on a document that does not have the focus moves the document to the front of the display. Additionally, the document's active element gains focus.

The onactivate event fires before the onload event for any of the objects listed in the Applies To section.

For Microsoft® Internet Explorer 5.5 and later, focus on a document, and the active element of a document can be managed separately. Use the onactivate event to manage formatting changes when an element is made active.

For Internet Explorer 6 and later, the event.fromElement property is now exposed by this event.

Example

The following example demonstrates the order of event firing for the onactivate and onload events. As each event fires, it appends a string to the div element within the document. The onactivate event fires before the onload event.

<HTML>
<HEAD>
<SCRIPT>
function fnActivate(){
oDIV1.innerHTML += "<BR><BR>The <B>onactivate</B> event, available as of \
Internet Explorer 5.5, fires first on the BODY element.";
}
function fnLoad(){
oDIV1.innerHTML += "<BR><BR>The <B>onload</B> event, available as of     \
Internet Explorer 4.0, fires after the <i>onactivate</i> event fires  \
on the BODY element.";
}
</SCRIPT>
</HEAD>
<BODY onactivate="fnActivate();" onload="fnLoad();">
<DIV id="oDIV1"></DIV>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this event.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CUSTOM, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, window, XMP

See Also

onbeforeactivate, onbeforedeactivate, ondeactivate, onfocusin, onfocusout


onafterprint

onafterprint Event

Fires on the object immediately after its associated document prints or previews for printing.

Syntax

Inline HTML | <ELEMENT onafterprint = "handler" ... > | All platforms
Event property | object.onafterprint = handler | JScript only
object.onafterprint = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onafterprint> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke
  • Choose Print or Print Preview from the File menu in Microsoft® Internet Explorer.
  • Press CTRL+P.
  • Right-click anywhere on a page, and choose Print.
  • Right-click on a link on a page, and choose Print.
  • From Windows Explorer, select an .htm file, and then choose Print from the File menu.
  • From Windows Explorer, right-click on an .htm file, and then choose Print.
Default action | None

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
button | Sets or retrieves the mouse button pressed by the user.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

This event is usually used with the onbeforeprint event. Use the onbeforeprint event to make changes to the document just before it prints or previews for printing. Use the onafterprint event to undo those changes, reverting the document back to its pre-print or pre-preview state.

Example

This example uses the onafterprint event to return the document to its pre-print state. In this case, because the onbeforeprint event handler makes all currently hidden sections of the page visible for printing, the onafterprint event sets those sections back to hidden.

function window.onafterprint()
{
// Walk through all the elements in the doc with CLASS="expanded"
// and set it to "collapsed" if expanded just for
// printing.
var coll = document.all.tags("DIV");
if (coll!=null)
{
for (i=0; i<coll.length; i++)
if ((coll[i].className == "expanded") &&
(coll[i].bExpandedForPrinting))
{
coll[i].className = "collapsed";
coll[i].bExpandedForPrinting = false;
}
}
}
function window.onbeforeprint()
{
// Walk through all the elements in the doc with CLASS="collapsed"
// and set it to "expanded" just for printing.
var coll = document.all.tags("DIV");
if (coll!=null)
{
for (i=0; i<coll.length; i++)
if (coll[i].className == "collapsed")
{
coll[i].className = "expanded";
// After printing, make sure to set
// CLASS="collapsed" only for those that were
// expanded just for printing.
coll[i].bExpandedForPrinting = true;
}
else if (coll[i].className == "expanded")
coll[i].bExpandedForPrinting = false;
}
}
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this event.

Applies To

window, BODY, FRAMESET

See Also

onbeforeprint, print


onafterupdate

onafterupdate Event

Fires on a databound object after successfully updating the associated data in the data source object.

Syntax

Inline HTML | <ELEMENT onafterupdate = "handler" ... > | All platforms
Event property | object.onafterupdate = handler | JScript only
object.onafterupdate = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onafterupdate> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | No
To invoke | Change the data that the object contains.
Default action | Confirms that data has been transferred.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.

Remarks

This event only fires when the object is databound and an onbeforeupdate event has fired (for example, because the data has changed).

Standards Information

There is no public standard that applies to this event.

Applies To

A, BDO, BUTTON, CUSTOM, DIV, FRAME, IFRAME, IMG, INPUT type=checkbox, INPUT type=hidden, INPUT type=password, INPUT type=radio, INPUT type=text, LABEL, LEGEND, MARQUEE, RT, RUBY, SELECT, SPAN, TEXTAREA

See Also

Introduction to Data Binding, onbeforeupdate


onbeforeactivate

onbeforeactivate Event

Fires immediately before the object is set as the active element.

Syntax

Inline HTML | <ELEMENT onbeforeactivate = "handler" ... > | All platforms
Event property | object.onbeforeactivate = handler | JScript only
object.onbeforeactivate = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onbeforeactivate> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | Yes
To invoke
  • Click on an element, other than the active element of the document.
  • Use the keyboard to move focus from the active element to another element.
  • Invoke the setActive method on an element, when the element is not the active element.
  • Invoke the focus method on an element, when the element is not the active element.
Default action | Change activation from the event.fromElement to the event.srcElement.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
wheelDelta | Sets or retrieves the distance and direction the wheel button has rolled.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
shiftKey | Sets or retrieves the state of the SHIFT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
fromElement | Sets or retrieves the object from which activation or the mouse pointer is exiting during the event.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

With Internet Explorer 5.5 and later, focus on a document, and the active element of a document can be managed separately. With Internet Explorer 6 and later, use the onbeforeactivate event to cancel setting an element as active. Canceling an element's onbeforeactivate event has three different behaviors, depending on the action which fired the event.

  • When fired by a user clicking on the element, canceling will force the focus on the parent element and bubble up the chain until it hits a focusable element.
  • When fired by a user tabbing through the document, canceling will force the focus on the next element in the taborder. Shift-tab will force the focus on the previous element in the taborder.
  • When fired programmatically by the focus or the document.setActive methods, canceling will have no effect.
Note The onbeforeactivate event cannot be canceled when fired programmatically.

Each document may have up to one active element. Set the active element with the setActive or focus methods. Using the setActive method has no effect on document focus. Using the focus method on an individual element causes the element to gain focus and become the active element.

Using the focus method on a document that does not have the focus moves the document to the front of the display. Additionally, the document's active element gains focus.

For a given display, only one element has focus at any given time. Striking a key directly affects only the element with focus. Events fired by that keystroke may be scripted to affect other documents and child elements.

Applies To

A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=reset, INPUT type=password, INPUT type=radio, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, OL, P, PLAINTEXT, PRE, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

onactivate, onbeforedeactivate, ondeactivate, onfocusin, onfocusout


onbeforecopy

onbeforecopy Event

Fires on the source object before the selection is copied to the system clipboard.

Syntax

Inline HTML | <ELEMENT onbeforecopy = "handler" ... > | All platforms
Event property | object.onbeforecopy = handler | JScript only
object.onbeforecopy = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onbeforecopy> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | Yes
To invoke
  • Right-click to display the shortcut menu and select Copy.
  • Or press CTRL+C.
Default action | None.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
dataTransfer | Provides access to predefined clipboard formats for use in drag-and-drop operations.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

The onbeforecopy event fires on the source element. Use the setData method to specify a data format for the selection.

Example

This example uses the onbeforecopy event to customize copy behavior.

<HEAD>
<SCRIPT>
var sNewValue = "copy event fired";
var bFired = false;
var sSave = "";
function Source_Beforecopy()
{
sSave = oSource.innerText;
bFired = true;
event.returnValue = false;
}
function Source_Copy()
{
window.clipboardData.setData("Text", sNewValue);
}
function Target_BeforePaste()
{
event.returnValue = false;
}
function Target_Paste()
{
event.returnValue = false;
oTarget.value = window.clipboardData.getData("Text");
}
</SCRIPT>
</HEAD>
<BODY>
<SPAN ID=oSource onbeforecopy="Source_Beforecopy()"
oncopy="Source_Copy()">copy this text</SPAN>
<INPUT ID=oTarget onbeforepaste="Target_BeforePaste()"
onpaste="Target_Paste()">
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this event.

Applies To

A, ADDRESS, AREA, B, BDO, BIG, BLOCKQUOTE, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, hn, I, IMG, LABEL, LEGEND, LI, LISTING, MENU, NOBR, OL, P, PLAINTEXT, PRE, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TD, TEXTAREA, TH, TR, TT, U, UL

See Also

About DHTML Data Transfer, onbeforecut, onbeforepaste, oncopy, oncut, onpaste, setData


onbeforecut

onbeforecut Event

Fires on the source object before the selection is deleted from the document.

Syntax

Inline HTML | <ELEMENT onbeforecut = "handler" ... > | All platforms
Event property | object.onbeforecut = handler | JScript only
object.onbeforecut = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onbeforecut> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | Yes
To invoke
  • Right-click to display the shortcut menu and select Cut.
  • Or press CTRL+X if the selection is within a text field.
Default action | None.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
dataTransfer | Provides access to predefined clipboard formats for use in drag-and-drop operations.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

Creating custom code for cutting requires several steps:

  1. Set event.returnValue=false in the onbeforecut event to enable the Cut shortcut menu item.
  2. Specify a data format in which to transfer the selection through the setData method of the clipboardData object.
  3. Invoke the setData method in the oncut event.

Example

This example uses the setData and getData methods with the clipboardData object to perform a cut-and-paste operation through the shortcut menu.

<HEAD>
<SCRIPT>
var sSave = "";
function fnBeforeCut() {
event.returnValue = false;
}
function fnCut() {
event.returnValue = false;
sSave = oSource.innerText;
oSource.innerText = "";
}
function fnBeforePaste() {
event.returnValue = false;
}
function fnPaste() {
event.returnValue = false;
oTarget.innerText = sSave;
}
</SCRIPT>
</HEAD>
<BODY>
<SPAN ID="oSource" onbeforecut="fnBeforeCut()"
oncut="fnCut()">Select and Cut this Text
</SPAN>
<BR>
<BR>
<DIV ID="oTarget" onbeforepaste="fnBeforePaste()"
onpaste="fnPaste()">Paste the Text Here
</DIV>
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this event.

Applies To

A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, OL, P, PLAINTEXT, PRE, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

About DHTML Data Transfer, onbeforecopy, onbeforepaste, oncopy, oncut, onpaste, setData


onbeforedeactivate

onbeforedeactivate Event

Fires immediately before the activeElement is changed from the current object to another object in the parent document.

Syntax

Inline HTML | <ELEMENT onbeforedeactivate = "handler" ... > | All platforms
Event property | object.onbeforedeactivate = handler | JScript only
object.onbeforedeactivate = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onbeforedeactivate> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | Yes
To invoke
  • Click on an element, other than the active element of the document.
  • Use the keyboard to move focus from the active element to another element.
  • Invoke the setActive method on an element, when the element is not the active element.
  • Invoke the focus method on an element, when the element is not the active element.
Default action | Change activation from the event.srcElement to the event.toElement.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
toElement | Sets or retrieves a reference to the object toward which the user is moving the mouse pointer.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

With Microsoft® Internet Explorer 5.5 and later, focus on a document, and the active element of a document can be managed separately. Use the onbeforedeactivate event to cancel moving activation from the current element.

Note When focus leaves the document, the active element does not change and the onbeforedeactivate event will not fire.

Each document may have up to one active element. Set the active element with the setActive or focus methods. Using the setActive method has no effect on document focus. Using the focus method on an individual element causes the element to gain focus and become the active element.

Using the focus method on a document that does not have the focus moves the document to the front of the display. Additionally, the document's active element gains focus.

For a given display, only one element has focus at any given time. Striking a key directly affects only the element with focus. Events fired by that keystroke may be scripted to affect other documents and child elements.

Standards Information

There is no public standard that applies to this event.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CUSTOM, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, window, XMP

See Also

ondeactivate, onbeforeactivate, onactivate, onfocusin, onfocusout


onbeforeeditfocus

onbeforeeditfocus Event

Fires before an object contained in an editable element enters a UI-activated state or when an editable container object is control selected.

Syntax

Inline HTML | <ELEMENT onbeforeeditfocus = "handler" ... > | All platforms
Event property | object.onbeforeeditfocus = handler | JScript only
object.onbeforeeditfocus = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onbeforeeditfocus> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | Yes
To invoke
  • Press the ENTER key or click an object when it has focus.
  • Double-click an object.
Default action | Moves the object into a UI-activated state.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

For the onbeforeeditfocus event to fire, document elements must be in edit mode. One way to invoke edit mode is to set the designMode property to On. As of Microsoft® Internet Explorer 5.5, Web authors can also set the contentEditable attribute to true on the body element, and if necessary, to specific elements in the body, to invoke edit mode.

The onbeforeeditfocus event differs from the onfocus event. The onbeforeeditfocus event fires before an object enters a UI-activated state, whereas the onfocus event fires when an object has focus.

Note This event also fires when an input or textArea object gets the focus in browse mode.

Standards Information

There is no public standard that applies to this event.

Applies To

defaults, A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, FIELDSET, FONT, FORM, hn, I, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TD, TEXTAREA, TR, TT, U, UL, VAR, XMP


onbeforepaste

onbeforepaste Event

Fires on the target object before the selection is pasted from the system clipboard to the document.

Syntax

Inline HTML | <ELEMENT onbeforepaste = "handler" ... > | All platforms
Event property | object.onbeforepaste = handler | JScript only
object.onbeforepaste = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onbeforepaste> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | Yes
To invoke After copying or cutting text:
  • Right-click to display the shortcut menu and select Paste.
  • Or press CTRL+V.
Default action | None.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
dataTransfer | Provides access to predefined clipboard formats for use in drag-and-drop operations.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

Creating custom code for pasting requires several steps:

  1. Set event.returnValue=false in the onbeforepaste event to enable the Paste shortcut menu item.
  2. Cancel the default behavior of the browser by including event.returnValue=false in the onpaste event handler. This guideline applies only to objects, such as the text box, that have a defined default behavior.
  3. Specify a data format in which to paste the selection through the getData method of the clipboardData object.
  4. Invoke the getData method in the onpaste event to execute custom code for pasting.

Standards Information

There is no public standard that applies to this event.

Applies To

A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, OL, P, PLAINTEXT, PRE, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

About DHTML Data Transfer, getData, onbeforecopy, onbeforecut, oncopy, oncut, onpaste


onbeforeprint

onbeforeprint Event

Fires on the object before its associated document prints or previews for printing.

Syntax

Inline HTML | <ELEMENT onbeforeprint = "handler" ... > | All platforms
Event property | object.onbeforeprint = handler | JScript only
object.onbeforeprint = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onbeforeprint> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke
  • Choose Print or Print Preview from the File menu in Microsoft® Internet Explorer.
  • Press CTRL+P.
  • Right-click anywhere on a page, and choose Print.
  • Right-click on a link on a page, and choose Print.
  • From Windows Explorer, select an .htm file and choose Print from the File menu.
  • From Windows Explorer, right-click on an .htm file and choose Print.
Default action | Prints the document associated with the object for which the event is specified.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
button | Sets or retrieves the mouse button pressed by the user.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

Use this event to modify the document just before it prints or previews for printing. In most cases it is used to make all the information on the page visible just before printing.

Use the event in conjunction with the onafterprint event to undo the changes made to the document in the onbeforeprint event.

Example

This example uses the onbeforeprint to make all hidden sections of the page visible just before the page prints. The onafterprint event is processed after the page prints to return the document to its original state.

function window.onbeforeprint()
{
// Walk through all the elements in the document with
// CLASS="collapsed" and set it to "expanded" just for printing.
var coll = document.all.tags("DIV");
if (coll!=null)
{
for (i=0; i<coll.length; i++)
if (coll[i].className == "collapsed")
{
coll[i].className = "expanded";
// After printing, make sure to set CLASS="collapsed"
// only for those that were expanded just for printing.
coll[i].bExpandedForPrinting = true;
}
else if (coll[i].className == "expanded")
coll[i].bExpandedForPrinting = false;
}
}
function window.onafterprint()
{
// Walk through all the elements in the doc with CLASS="expanded"
// and set it to "collapsed" if expanded just for
// printing.
var coll = document.all.tags("DIV");
if (coll!=null)
{
for (i=0; i < coll.length; i++)
if ((coll[i].className == "expanded") &&
(coll[i].bExpandedForPrinting))
{
coll[i].className = "collapsed";
coll[i].bExpandedForPrinting = false;
}
}
}
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this event.

Applies To

window, BODY, FRAMESET

See Also

onafterprint, print


onbeforeunload

onbeforeunload Event

Fires prior to a page being unloaded.

Syntax

Inline HTML | <ELEMENT onbeforeunload = "handler" ... > | All platforms
Event property | object.onbeforeunload = handler | JScript only
object.onbeforeunload = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onbeforeunload> | Internet Explorer only

Event Information

Bubbles | No
Cancels | Yes
To invoke
  • Close the current browser window.
  • Navigate to another location by entering a new address or selecting a Favorite.
  • Click the Back, Forward, Refresh, or Home button.
  • Click on an a that refers the browser to another Web page.
  • Invoke the a?A HREF="../methods/click.html">click method.
  • Invoke the document?A HREF="../methods/write.html">write method.
  • Invoke the document?A HREF="../methods/open_1.html">open method.
  • Invoke the document?A HREF="../methods/close_1.html">close method.
  • Invoke the window?A HREF="../methods/close_0.html">close method.
  • Invoke the window?A HREF="../methods/open_0.html">open method, providing the possible value _self for the window name.
  • Invoke the window?A HREF="../methods/navigate.html">navigate or NavigateAndFind method.
  • Invoke the location?A HREF="../methods/replace.html">replace method.
  • Invoke the location?A HREF="../methods/reload.html">reload method.
  • Specify a new value for the location?A HREF="../properties/href_3.html">href property.
  • Submit a form to the address specified in the action attribute via the input type=submit control, or invoke the form?A HREF="../methods/submit.html">submit method.
Default action | Signals that the page is about to be unloaded.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
returnValue | Sets or retrieves the return value from the event.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
type | Sets or retrieves the event name from the event object.

Remarks

When a string is assigned to the returnValue property of window.event, a dialog box appears that gives users the option to stay on the current page and retain the string that was assigned to it. The default statement that appears in the dialog box, "Are you sure you want to navigate away from this page? ... Press OK to continue, or Cancel to stay on the current page.", cannot be removed or altered.

Example

This example uses the onbeforeunload event to ask users whether they want to remain on the current page or navigate to a new URL. When the user clicks on the hyperlink or attempts to close the browser window, the onbeforeunload event fires on the body and a dialog box appears. If the user chooses 'OK', the page navigates to the new URL (www.microsoft.com) or closes the window; if the user chooses 'Cancel', the page remains the same.

<HTML>
<HEAD>
<SCRIPT>
function closeIt()
{
event.returnValue = "Any string value here forces a dialog box to \
appear before closing the window.";
}
</SCRIPT>
</HEAD>
<BODY onbeforeunload="closeIt()">
<a href="http://www.microsoft.com">Click here to navigate to
www.microsoft.com</a>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this event.

Applies To

BODY, FRAMESET, window

See Also

Introduction to Data Binding, onload, onunload


onbeforeupdate

onbeforeupdate Event

Fires on a databound object before updating the associated data in the data source object.

Syntax

Inline HTML | <ELEMENT onbeforeupdate = "handler" ... > | All platforms
Event property | object.onbeforeupdate = handler | JScript only
object.onbeforeupdate = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onbeforeupdate> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | Yes
To invoke | Cause an object to receive focus, change the value of the object, and either cause the object to lose focus or force the page to unload.
Default action | Signals that the data contained in an object has changed.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

If the onbeforeupdate event is canceled, the onafterupdate event does not fire.

Standards Information

There is no public standard that applies to this event.

Applies To

A, BUTTON, DIV, FRAME, IFRAME, IMG, INPUT type=checkbox, INPUT type=hidden, INPUT type=password, INPUT type=radio, INPUT type=text, TEXTAREA, LABEL, LEGEND, MARQUEE, SELECT, SPAN, BDO, CUSTOM, RT, RUBY

See Also

Introduction to Data Binding


onblur

onblur Event

Fires when the object loses the input focus.

Syntax

Inline HTML | <ELEMENT onblur = "handler" ... > | All platforms
Event property | object.onblur = handler | JScript only
object.onblur = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onblur> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke
  • Click the mouse on the document background or another control.
  • Use the keyboard to navigate from one object to the next.
  • Invoke the blur method when an object has focus.
  • Switch focus to a different application or open a second browser window.
Default action | Switches focus away from the object on which the event is fired.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

The onblur event fires on the original object before the onfocus or onclick event fires on the object that is receiving focus. Where applicable, the onblur event fires after the onchange event.

Use the focus events to determine when to prepare an object to receive or validate input from the user.

As of Microsoft® Internet Explorer 5, you must set the tabIndex attribute of elements that expose the onblur event.

For Internet Explorer 5 and later, the onblur event is asynchronous.

Example

This example shows how to display the name of the object that has lost focus, that is, the object that fires the onblur event.

<HTML>
<BODY>
<INPUT TYPE=text NAME=txtFName VALUE="First Name"
onblur="alert(event.srcElement.name)">
<INPUT TYPE=text NAME=txtLName VALUE="Last Name"
onblur="alert(event.srcElement.name)">
<INPUT TYPE=text NAME=txtPhone VALUE="Phone"
onblur="alert(event.srcElement.name)">
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This event is defined in HTML 4.0 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BUTTON, CAPTION, CENTER, CITE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, window, XMP

See Also

blur, focus, onfocusout


onbounce

onbounce Event

Fires when the behavior property of the marquee object is set to "alternate" and the contents of the marquee reach one side of the window.

Syntax

Inline HTML | <MARQUEE onbounce = "handler" ... > | All platforms
Event property | MARQUEE.onbounce = handler | JScript only
MARQUEE.onbounce = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = MARQUEE EVENT = onbounce> | Internet Explorer only

Event Information

Bubbles | No
Cancels | Yes
To invoke | Cause the marquee contents to loop.
Default action | The marquee contents begin to scroll in the opposite direction.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Example

This example shows how to display an alert each time the onbounce event occurs.

<BODY>
<MARQUEE ID=mqBounce BEHAVIOR=alternate
onbounce="alert('onbounce fired')" LOOP=3
WIDTH=200>Marquee text
</MARQUEE>
</BODY>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this event.

Applies To

MARQUEE

See Also

behavior


oncellchange

oncellchange Event

Fires when data changes in the data provider.

Syntax

Inline HTML | <ELEMENT oncellchange = "handler" ... > | All platforms
Event property | object.oncellchange = handler | JScript only
object.oncellchange = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = oncellchange> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | No
To invoke | Cause data in the data source to change.
Default action | Signals that the data contained in an object has changed.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
dataFld | Sets or retrieves the data column affected by the oncellchange event.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
qualifier | Sets or retrieves the name of the data member provided by a data source object.
recordset | Sets or retrieves from a data source object a reference to the default record set.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Standards Information

There is no public standard that applies to this event.

Applies To

APPLET, BDO, OBJECT

See Also

Introduction to Data Binding, onafterupdate, onbeforeupdate


onchange

onchange Event

Fires when the contents of the object or selection have changed.

Syntax

Inline HTML | <ELEMENT onchange = "handler" ... > | All platforms
Event property | object.onchange = handler | JScript only
object.onchange = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onchange> | Internet Explorer only

Event Information

Bubbles | No
Cancels | Yes
To invoke
  • Choose a different option in a select object using mouse or keyboard navigation.
  • Alter text in the text area and then navigate out of the object.
Default action | Changed text selection is committed.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

This event is fired when the contents are committed and not while the value is changing. For example, on a text box, this event is not fired while the user is typing, but rather when the user commits the change by leaving the text box that has focus. In addition, this event is executed before the code specified by onblur when the control is also losing the focus.

The onchange event does not fire when the selected option of the select object is changed programatically.

Example

This example uses the onchange event to retrieve the selected option of a select object.

<BODY>
<FORM>
<P>Select a different option in the
drop-down list box to trigger the onchange event.
<SELECT NAME=selTest
onchange="alert('Index: ' + this.selectedIndex
+ '\nValue: ' + this.options[this.selectedIndex].value)">
<OPTION VALUE="Books">Books
<OPTION VALUE="Clothing">Clothing
<OPTION VALUE="Housewares">Housewares
</SELECT>
</FORM>
</BODY>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This event is defined in HTML 4.0 Non-Microsoft link.

Applies To

INPUT type=text, SELECT, TEXTAREA

See Also

onkeypress


onclick

onclick Event

Fires when the user clicks the left mouse button on the object.

Syntax

Inline HTML | <ELEMENT onclick = "handler" ... > | All platforms
Event property | object.onclick = handler | JScript only
object.onclick = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onclick> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | Yes
To invoke
  • Click the object.
  • Invoke the click method.
  • Press the ENTER key in a form.
  • Press the access key for a control.
  • Select an item in a combo box or list box by clicking the left mouse button or by pressing the arrow keys and then pressing the ENTER key.
Default action | Initiates any action associated with the object. For example, if the user clicks an a object, the browser loads the document specified by the href property. To cancel the default behavior, set the returnValue property of the event object to FALSE.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

If the user clicks the left mouse button, the onclick event for an object occurs only if the mouse pointer is over the object and an onmousedown and an onmouseup event occur in that order. For example, if the user clicks the mouse on the object but moves the mouse pointer away from the object before releasing, no onclick event occurs.

The onclick event changes the value of a control in a group. This change initiates the event for the group, not for the individual control. For example, if the user clicks a radio button or check box in a group, the onclick event occurs after the onbeforeupdate and onafterupdate events for the control group.

If the user clicks an object that can receive the input focus but does not already have the focus, the onfocus event occurs for that object before the onclick event. If the user double-clicks the left mouse button in a control, an ondblclick event occurs immediately after the onclick event.

Although the onclick event is available on a large number of HTML elements, if a Web page is to be accessible to keyboard users, you should restrict its use to the a, input, area, and button elements. These elements automatically allow keyboard access through the TAB key, making Web pages that use the elements accessible to keyboard users. For more information, please see the section on writing accessible Dynamic HTML.

Examples

This example uses the event object to gain information about the origin of the click and cancels the default action if the onclick event is fired off an anchor while the SHIFT key is being pressed.

<SCRIPT LANGUAGE="JScript">
/* This code determines whether the click occurred in an anchor
and then cancels the event, preventing the jump, if the SHIFT
key is down. */
function clickIt()
{
txtOutput.value = window.event.srcElement.tagName;
txtOutput1.value = window.event.srcElement.type;
if ((window.event.srcElement.tagName) && ("A" +
window.event.shiftKey))
window.event.returnValue = false;
}
</SCRIPT>
<BODY onclick="clickIt()" TOPMARGIN="0" LEFTMARGIN="0">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example shows how to bind the onclick event to grouped controls.

<HEAD>
<SCRIPT LANGUAGE="JScript">
function CookieGroup()
{
txtOutput.value = window.event.srcElement.value;
}
</SCRIPT>
</HEAD>
<BODY>
<!-- Controls are grouped by giving them the same NAME but unique IDs. -->
<P>Grouped Radio Buttons<BR>
<INPUT TYPE=radio NAME=rdoTest ID=Cookies VALUE="accept_cookies" CHECKED
onclick="CookieGroup()"><BR>
<INPUT TYPE=radio NAME=rdoTest ID=NoCookies VALUE="refuse_cookies"
onclick="CookieGroup()"><BR>
<P>Ungrouped Radio Button<BR>
<INPUT TYPE=radio NAME=rdoTest1 VALUE="chocolate-chip_cookies"
onclick="CookieGroup()"><BR>
<P>Value of control on which the onclick event has fired<BR>
<TEXTAREA NAME=txtOutput STYLE="width:250"></TEXTAREA>
</BODY>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This event is defined in HTML 4.0 Non-Microsoft link.

Applies To

A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

click


oncontextmenu

oncontextmenu Event

Fires when the user clicks the right mouse button in the client area, opening the context menu.

Syntax

Inline HTML | <ELEMENT oncontextmenu = "handler" ... > | All platforms
Event property | object.oncontextmenu = handler | JScript only
object.oncontextmenu = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = oncontextmenu> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | Yes
To invoke | Right-click the object.
Default action | Opens the context menu. To cancel the default behavior, set the returnValue property of the event object to false.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Example

This example shows how to prevent a context menu from appearing by canceling the oncontextmenu event handler.

<SPAN STYLE="width:300; background-color:blue; color:white;" oncontextmenu="return false">
<P>The context menu never displays when you right-click in this box.</P>
</SPAN>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this event.

Applies To

A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, nextID, NOBR, OL, P, PLAINTEXT, PRE, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


oncontrolselect

oncontrolselect Event

Fires when the user is about to make a control selection of the object.

Syntax

Inline HTML | <ELEMENT oncontrolselect = "handler" ... > | All platforms
Event property | object.oncontrolselect = handler | JScript only
object.oncontrolselect = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = oncontrolselect> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | Yes
To invoke
  • Make a control selection of an object.
  • Add or Remove a control selected element from a multiple selection.
Default action | Activates sizing handles allowing the selected element to be resized.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

Only content editable objects can be included in a control selection. You can make objects content editable by setting the contentEditable property to true or by placing the parent document in design mode.

This event fires before the element is selected, so inspecting the selection object gives no information about the element to be selected.

Standards Information

There is no public standard that applies to this event.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CUSTOM, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, window, XMP


oncopy

oncopy Event

Fires on the source element when the user copies the object or selection, adding it to the system clipboard.

Syntax

Inline HTML | <ELEMENT oncopy = "handler" ... > | All platforms
Event property | object.oncopy = handler | JScript only
object.oncopy = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = oncopy> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | Yes
To invoke
  • Right-click to display the shortcut menu and select Copy.
  • Or press CTRL+C.
Default action | Duplicates the selection.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
dataTransfer | Provides access to predefined clipboard formats for use in drag-and-drop operations.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

Use the setData method to specify a data format for the selection.

Standards Information

There is no public standard that applies to this event.

Applies To

A, ADDRESS, AREA, B, BDO, BIG, BLOCKQUOTE, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, hn, HR, I, IMG, LEGEND, LI, LISTING, MENU, NOBR, OL, P, PLAINTEXT, PRE, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TD, TH, TR, TT, U, UL

See Also

About DHTML Data Transfer, onbeforecopy, onbeforecut, onbeforepaste, oncut, onpaste, setData


oncut

oncut Event

Fires on the source element when the object or selection is removed from the document and added to the system clipboard.

Syntax

Inline HTML | <ELEMENT oncut = "handler" ... > | All platforms
Event property | object.oncut = handler | JScript only
object.oncut = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = oncut> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | Yes
To invoke After selecting text:
  • Right-click to display the shortcut menu and select Cut.
  • Or press CTRL+X if the selection is within a text field.
Default action | Removes the selection from the document and persists it in the clipboard.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
dataTransfer | Provides access to predefined clipboard formats for use in drag-and-drop operations.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

Creating custom code for cutting requires several steps:

  1. Set event.returnValue=false in the onbeforecut event to enable the Cut shortcut menu item.
  2. Specify a data format in which to transfer the selection through the setData method of the clipboardData object.
  3. Invoke the setData method in the oncut event.

Set event.returnValue=false in the oncut event handler to cancel the default action. The default action must be canceled to sucessfully use the setData method. Web authors can use the innerHTML property or the createRange method to perform the cut operation once the event is cancelled.

Standards Information

There is no public standard that applies to this event.

Applies To

A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, OL, P, PLAINTEXT, PRE, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

About DHTML Data Transfer, onbeforecopy, onbeforecut, onbeforepaste, oncopy, onpaste, setData


ondataavailable

ondataavailable Event

Fires periodically as data arrives from data source objects that asynchronously transmit their data.

Syntax

Inline HTML | <ELEMENT ondataavailable = "handler" ... > | All platforms
Event property | object.ondataavailable = handler | JScript only
object.ondataavailable = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = ondataavailable> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | No
To invoke | Fires when new data is received from the data source.
Default action | Signals that new data is available.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
recordset | Sets or retrieves from a data source object a reference to the default record set.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.

Remarks

This event originates from data source objects.

Standards Information

There is no public standard that applies to this event.

Applies To

APPLET, OBJECT, XML

See Also

Introduction to Data Binding


ondatasetchanged

ondatasetchanged Event

Fires when the data set exposed by a data source object changes.

Syntax

Inline HTML | <ELEMENT ondatasetchanged = "handler" ... > | All platforms
Event property | object.ondatasetchanged = handler | JScript only
object.ondatasetchanged = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = ondatasetchanged> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | No
To invoke
  • Make initial data available from a data source object.
  • Have the data source object expose a different data set.
  • Perform a filter operation.
Default action | Signals that the data set has changed.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
qualifier | Sets or retrieves the name of the data member provided by a data source object.
reason | Sets or retrieves the result of the data transfer for a data source object.
recordset | Sets or retrieves from a data source object a reference to the default record set.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.

Remarks

This event originates from data source objects.

Standards Information

There is no public standard that applies to this event.

Applies To

APPLET, OBJECT, XML

See Also

Introduction to Data Binding, ondataavailable, ondatasetcomplete


ondatasetcomplete

ondatasetcomplete Event

Fires to indicate that all data is available from the data source object.

Syntax

Inline HTML | <ELEMENT ondatasetcomplete = "handler" ... > | All platforms
Event property | object.ondatasetcomplete = handler | JScript only
object.ondatasetcomplete = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = ondatasetcomplete> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | No
To invoke | Allow data set change to complete.
Default action | Sets the reason IHTMLEventObj2::reason property of the event object to indicate the reason for completion.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
qualifier | Sets or retrieves the name of the data member provided by a data source object.
reason | Sets or retrieves the result of the data transfer for a data source object.
recordset | Sets or retrieves from a data source object a reference to the default record set.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.

Remarks

This event originates from data source objects.

Standards Information

There is no public standard that applies to this event.

Applies To

APPLET, OBJECT, XML

See Also

Introduction to Data Binding, ondataavailable


ondblclick

ondblclick Event

Fires when the user double-clicks the object.

Syntax

Inline HTML | <ELEMENT ondblclick = "handler" ... > | All platforms
Event property | object.ondblclick = handler | JScript only
object.ondblclick = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = ondblclick> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | Yes
To invoke | Click the left mouse button twice in rapid succession over an object. The user's double-click must occur within the time limit specified by the user's system.
Default action | Initiates any action that is associated with the event.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

The order of events leading to the ondblclick event is onmousedown, onmouseup, onclick, onmouseup, and then ondblclick. Actions associated with any of these events are executed when the ondblclick event fires.

Example

This example uses the ondblclick event to add items to a list box when the user double-clicks in the text box.

<HEAD>
<SCRIPT>
function addItem()
{
sNewItem = new Option(txtEnter.value)
selList.add(sNewItem);
}
</SCRIPT>
</HEAD>
<BODY>
<P>Enter text and then double-click in the text box to
add text to the list box.
<INPUT TYPE=text NAME=txtEnter VALUE="Enter_text"
ondblclick="addItem()">
<SELECT NAME=selList SIZE=5></SELECT>
</BODY>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This event is defined in HTML 4.0 Non-Microsoft link.

Applies To

A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


ondeactivate

ondeactivate Event

Fires when the activeElement is changed from the current object to another object in the parent document.

What's New for Microsoft® Internet Explorer 6

The event. toElement is now exposed by this property.

Syntax

Inline HTML | <ELEMENT ondeactivate = "handler" ... > | All platforms
Event property | object.ondeactivate = handler | JScript only
object.ondeactivate = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = ondeactivate> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | No
To invoke
  • Click on an element, other than the active element of the document.
  • Use the keyboard to move focus from the active element to another element.
  • Invoke the setActive method on an element, when the element is not the active element.
Default action | Change activation from the event.srcElement to the event.toElement.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
toElement | Sets or retrieves a reference to the object toward which the user is moving the mouse pointer.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

With Internet Explorer 5.5 and later, focus on a document, and the active element of a document can be managed separately. Use the ondeactivate event to manage formatting changes when a element loses activation.

Note When focus leaves the document, the active element does not change and the onbeforedeactivate event will not fire.

Each document may have up to one active element. Set the active element with the setActive or focus methods. Using the setActive method has no effect on document focus. Using the focus method on an individual element causes the element to gain focus and become the active element.

Using the focus method on a document that does not have the focus moves the document to the front of the display. Additionally, the document's active element gains focus.

For a given display, only one element has focus at any given time. Striking a key directly affects only the element with focus. Events fired by that keystroke may be scripted to affect other documents and child elements.

For Internet Explorer 6 and later, the event.toElement property is now exposed by the ondeactivate event.

Standards Information

There is no public standard that applies to this event.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CUSTOM, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, window, XMP

See Also

onbeforedeactivate, onbeforeactivate, onactivate, onfocusin, onfocusout


ondrag

ondrag Event

Fires on the source object continuously during a drag operation.

Syntax

Inline HTML | <ELEMENT ondrag = "handler" ... > | All platforms
Event property | object.ondrag = handler | JScript only
object.ondrag = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = ondrag> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | Yes
To invoke
  • Drag a text selection or object within the browser.
  • Drag a text selection or object to another browser.
  • Drag a text selection or object to a drop target in another application.
  • Drag a text selection or object to the system desktop.
Default action | Calls the associated event handler if there is one.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
dataTransfer | Provides access to predefined clipboard formats for use in drag-and-drop operations.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

This event fires on the source object after the ondragstart event. The ondrag event fires throughout the drag operation, whether the selection being dragged is over the drag source, a valid target, or an invalid target.

Example

This example shows when and where each event fires during a drag-and-drop operation by listing each event and the name of the object firing it in a list box.

<HEAD>
<SCRIPT>
var oNewOption;
// Code for dynamically adding options to a select.
function ShowResults()
{				// Information about the events
// and what object fired them.
arg = event.type + "  fired by  " + event.srcElement.id;
oNewOption = new Option();
oNewOption.text = arg;
oResults.add(oNewOption,0);
}
</SCRIPT>
</HEAD>
<BODY>
<P>Source events are wired up to this text box.</P>
<INPUT ID=txtDragOrigin VALUE="Text to Drag"
ondragstart="ShowResults()"
ondrag="ShowResults()"
ondragend="ShowResults()"
>
<P>Target events are bound to this text box.</P>
<INPUT ID=txtDragDestination VALUE="Drag Destination"
ondragenter="ShowResults()"
ondragover="ShowResults()"
ondragleave="ShowResults()"
ondrop="ShowResults()"
>
<SELECT ID=oResults SIZE=30>
<OPTION>List of Events Fired
</SELECT>
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this event.

Applies To

A, ACRONYM, ADDRESS, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, FIELDSET, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TR, TT, U, UL, VAR, XMP

See Also

About DHTML Data Transfer, ondragstart


ondragend

ondragend Event

Fires on the source object when the user releases the mouse at the close of a drag operation.

Syntax

Inline HTML | <ELEMENT ondragend = "handler" ... > | All platforms
Event property | object.ondragend = handler | JScript only
object.ondragend = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = ondragend> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | Yes
To invoke | Release the mouse button during a drag operation.
Default action | Calls the associated event handler.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
dataTransfer | Provides access to predefined clipboard formats for use in drag-and-drop operations.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

The ondragend event is the final drag event to fire, following the ondragleave event, which fires on the target object.

Standards Information

There is no public standard that applies to this event.

Applies To

A, ACRONYM, ADDRESS, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, FIELDSET, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TR, TT, U, UL, VAR, XMP

See Also

About DHTML Data Transfer, ondragstart


ondragenter

ondragenter Event

Fires on the target element when the user drags the object to a valid drop target.

Syntax

Inline HTML | <ELEMENT ondragenter = "handler" ... > | All platforms
Event property | object.ondragenter = handler | JScript only
object.ondragenter = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = ondragenter> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | Yes
To invoke
  • Drag the selection over a valid drop target within the browser.
  • Drag the selection to a valid drop target within another browser window.
Default action | Calls the associated event handler.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
dataTransfer | Provides access to predefined clipboard formats for use in drag-and-drop operations.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

You can handle the ondragenter event on the source or on the target object. Of the target events, it is the first to fire during a drag operation. Target events use the getData method to stipulate which data and data formats to retrieve. The list of drag-and-drop target events includes:

  • onbeforepaste
  • onpaste
  • ondragenter
  • ondragover
  • ondragleave
  • ondrop

When scripting custom functionality, use the returnValue property to disable the default action.

Example

This example shows when and where each event fires during a drag-and-drop operation by listing each event and the name of the object firing it in a list box.

<HEAD>
<SCRIPT>
var oNewOption;
// Code for dynamically adding options to a select.
function ShowResults()
{				// Information about the events
// and what object fired them.
arg = event.type + "  fired by  " + event.srcElement.id;
oNewOption = new Option();
oNewOption.text = arg;
oResults.add(oNewOption,0);
}
</SCRIPT>
</HEAD>
<BODY>
<P>Source events are wired up to this text box.</P>
<INPUT ID=txtDragOrigin VALUE="Text to Drag"
ondragstart="ShowResults()"
ondrag="ShowResults()"
ondragend="ShowResults()"
>
<P>Target events are bound to this text box.</P>
<INPUT ID=txtDragDestination VALUE="Drag Destination"
ondragenter="ShowResults()"
ondragover="ShowResults()"
ondragleave="ShowResults()"
ondrop="ShowResults()"
>
<SELECT ID=oResults SIZE=30>
<OPTION>List of Events Fired
</SELECT>
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this event.

Applies To

A, ACRONYM, ADDRESS, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, FIELDSET, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

About DHTML Data Transfer, ondragstart


ondragleave

ondragleave Event

Fires on the target object when the user moves the mouse out of a valid drop target during a drag operation.

Syntax

Inline HTML | <ELEMENT ondragleave = "handler" ... > | All platforms
Event property | object.ondragleave = handler | JScript only
object.ondragleave = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = ondragleave> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | Yes
To invoke | Drag the selection over a valid drop target, and then move that selection out again without dropping it.
Default action | Calls the associated event handler.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
dataTransfer | Provides access to predefined clipboard formats for use in drag-and-drop operations.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

The ondragleave event does not support the event object's toElement and fromElement properties.

Standards Information

There is no public standard that applies to this event.

Applies To

A, ACRONYM, ADDRESS, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, FIELDSET, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TR, TT, U, UL, VAR, XMP

See Also

About DHTML Data Transfer, ondragstart


ondragover

ondragover Event

Fires on the target element continuously while the user drags the object over a valid drop target.

Syntax

Inline HTML | <ELEMENT ondragover = "handler" ... > | All platforms
Event property | object.ondragover = handler | JScript only
object.ondragover = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = ondragover> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | Yes
To invoke
  • Drag the selection over a valid drop target within the browser.
  • Drag the selection to a valid drop target within another browser window.
Default action | Calls the associated event handler.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
dataTransfer | Provides access to predefined clipboard formats for use in drag-and-drop operations.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

The ondragover event fires on the target object after the ondragenter event has fired.

When scripting custom functionality, use the returnValue property to disable the default action.

Standards Information

There is no public standard that applies to this event.

Applies To

A, ACRONYM, ADDRESS, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, FIELDSET, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TR, TT, U, UL, VAR, XMP

See Also

About DHTML Data Transfer, ondragstart


ondragstart

ondragstart Event

Fires on the source object when the user starts to drag a text selection or selected object.

Syntax

Inline HTML | <ELEMENT ondragstart = "handler" ... > | All platforms
Event property | object.ondragstart = handler | JScript only
object.ondragstart = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = ondragstart> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | Yes
To invoke | Drag the selected text or object.
Default action | Calls the associated event handler.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
dataTransfer | Provides access to predefined clipboard formats for use in drag-and-drop operations.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

The ondragstart event is the first to fire when the user starts to drag the mouse. It is essential to every drag operation, yet is just one of several source events in the data transfer object model. Source events use the setData method of the dataTransfer object to provide information about data being transferred. Source events include ondragstart, ondrag, and ondragend.

When dragging anything other than an img object, some text to be dragged must be selected.

Examples

This example uses event bubbling to handle the ondragstart event at the body level.

<BODY ondragstart="alert(event.srcElement.tagName)">
<INPUT TYPE=text VALUE="Select and drag this text">
<SPAN>Select and drag this text</SPAN>
<TEXTAREA>Select and drag this text</TEXTAREA>
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example shows the order of event firing for drag-and-drop events.

<HEAD>
<SCRIPT>
function ShowResults(){
var oNewOption;
// Code for dynamically adding options to a select.
}
function ShowResults()
{				// Information about the events
// and what object fired them.
arg = event.type + "  fired by  " + event.srcElement.id;
oNewOption = new Option();
oNewOption.text = arg;
oResults.add(oNewOption,0);
}
</SCRIPT>
</HEAD>
<BODY>
<P>Source events are wired up to this text box.</P>
<INPUT ID=txtDragOrigin VALUE="Text to Drag"
ondragstart="ShowResults()"
ondrag="ShowResults()"
ondragend="ShowResults()"
>
<P>Target events are bound to this text box.</P>
<INPUT ID=txtDragDestination VALUE="Drag Destination"
ondragenter="ShowResults()"
ondragover="ShowResults()"
ondragleave="ShowResults()"
ondrop="ShowResults()"
>
<SELECT ID=oResults SIZE=30>
<OPTION>List of Events Fired
</SELECT>
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this event.

Applies To

A, ACRONYM, ADDRESS, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, FIELDSET, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

About DHTML Data Transfer, ondrop


ondrop

ondrop Event

Fires on the target object when the mouse button is released during a drag-and-drop operation.

Syntax

Inline HTML | <ELEMENT ondrop = "handler" ... > | All platforms
Event property | object.ondrop = handler | JScript only
object.ondrop = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = ondrop> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | Yes
To invoke | Drag the selection over a valid drop target and release the mouse.
Default action | Calls the associated event handler.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
dataTransfer | Provides access to predefined clipboard formats for use in drag-and-drop operations.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

The ondrop event fires before the ondragleave and ondragend events.

When scripting custom functionality, use the returnValue property to disable the default action.

As of Microsoft® Internet Explorer 5, drag-and-drop events can be used to carry out drag-and-drop activities, not only with input type=text elements, but also with block and inline tags. For example, text can be selected, dragged, then dropped on a div target. This causes several target events to fire, including ondragenter, ondragover, and ondrop. Because drag-and-drop actions are not directly supported on block and inline tags, you must use extra scripting to carry out the move or copy to the target using innerText, for example.

You must cancel the default action for ondragenter and ondragover in order for ondrop to fire. In the case of a div, the default action is not to drop. This can be contrasted with the case of an input type=text element, where the default action is to drop. In order to allow a drag-and-drop action on a div, you must cancel the default action by specifying window.event.returnValue=false in both the ondragenter and ondragover event handlers. Only then will ondrop fire.

Standards Information

There is no public standard that applies to this event.

Applies To

A, ACRONYM, ADDRESS, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, FIELDSET, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TR, TT, U, UL, VAR, XMP

See Also

About DHTML Data Transfer, ondragstart


onerror

onerror Event

Fires when an error occurs during object loading.

Syntax

Inline HTML | <ELEMENT onerror = "handler" ... > | All platforms
Event property | object.onerror = handler | JScript only
object.onerror = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onerror> | Internet Explorer only

Event Information

Bubbles | No
Cancels | Yes
To invoke Cause one of the following errors to occur:
  • Run-time script error, such as an invalid object reference or security violation.
  • Error while downloading an object, such as an image.
Default action | Displays the browser error message when a problem occurs and executes any error handling routine associated with the event.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
returnValue | Sets or retrieves the return value from the event.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.

Remarks

To suppress the default Microsoft® Internet Explorer error message for the window event, set the returnValue property of the event object to true or simply return true in Microsoft JScript®.

The onerror event fires for run-time errors, but not for compilation errors. In addition, error dialog boxes raised by script debuggers are not suppressed by returning true. To turn off script debuggers, disable script debugging in Internet Explorer by choosing Internet Options from the Tools menu. Click the Advanced tab and select the appropriate check box(es).

Examples

The following examples use the onerror event to handle run-time script errors and object load errors.

This example specifies an invalid script entry. The script in the text field is evaluated when the Throw Error button is clicked. The onerror event fires because the script is invalid. The error results are inserted at the bottom of the sample page instead of in a dialog box.

<SCRIPT>
window.onerror=fnErrorTrap;
function fnErrorTrap(sMsg,sUrl,sLine){
oErrorLog.innerHTML="<b>An error was thrown and caught.</b><p>";
oErrorLog.innerHTML+="Error: " + sMsg + "<br>";
oErrorLog.innerHTML+="Line: " + sLine + "<br>";
oErrorLog.innerHTML+="URL: " + sUrl + "<br>";
return false;
}
function fnThrow(){
eval(oErrorCode.value);
}
</SCRIPT>
<INPUT TYPE="text" ID=oErrorCode VALUE="someObject.someProperty=true;">
<INPUT TYPE="button" VALUE="Throw Error" onclick="fnThrow()">
<P>
<DIV ID="oErrorLog">
</DIV>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example shows how to set the handler for the onerror event in script before an image source is specified. When the invalid source is set on the img element, the event fires.

<SCRIPT>
var sImg='<IMG STYLE="display: none;" ID=oStub ALT="Default Text">';
function fnLoadFirst(){
oContainer.innerHTML=sImg;
oStub.onerror=fnLoadFail1;
oStub.src="";
oStub.style.display="block";
}
function fnLoadFail1(){
oStub.alt="Image failed to load.";
return true;
}
</SCRIPT>
<INPUT TYPE=button VALUE="Load First Image" onclick="fnLoadFirst()">
<DIV ID=oContainer></DIV>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this event.

Applies To

IMG, OBJECT, STYLE, window

See Also

onerrorupdate


onerrorupdate

onerrorupdate Event

Fires on a databound object when an error occurs while updating the associated data in the data source object.

Syntax

Inline HTML | <ELEMENT onerrorupdate = "handler" ... > | All platforms
Event property | object.onerrorupdate = handler | JScript only
object.onerrorupdate = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onerrorupdate> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | No
To invoke | Cause the onbeforeupdate event to fire and cancel the data transfer.
Default action | Executes any error handling associated with the event.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.

Standards Information

There is no public standard that applies to this event.

Applies To

A, BUTTON, DIV, FRAME, IFRAME, IMG, INPUT type=checkbox, INPUT type=hidden, INPUT type=password, INPUT type=radio, INPUT type=text, TEXTAREA, LABEL, LEGEND, MARQUEE, SELECT, SPAN, BDO, CUSTOM, RT, RUBY

See Also

Introduction to Data Binding


onfilterchange

onfilterchange Event

Fires when a visual filter changes state or completes a transition.

Syntax

Inline HTML | <ELEMENT onfilterchange = "handler" ... > | All platforms
Event property | object.onfilterchange = handler | JScript only
object.onfilterchange = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onfilterchange> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Change the filter state.
Default action | Signals that the filter on an object has changed state.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
srcFilter | Sets or retrieves the filter object that caused the onfilterchange event to fire.
type | Sets or retrieves the event name from the event object.

Example

This example uses the onfilterchange event to trigger a filter effect. When the page loads, the block of text is erased using a checkerboard-down Transition. Once the checkerboard Transition is complete, the image is made visible using a box-in Transition.

<HTML>
<HEAD>
<TITLE>Microsoft Cascading Style Sheet Controls Samples</TITLE>
</HEAD>
<body>
<h2>Some text filters out (checkerboard), and at its completion
an image filters in (box-in).  Refresh repeats.</h2>
<Div ID="TextRegion" STYLE="Position: absolute; border: solid red;
background-color: lightblue; LEFT: 0; TOP: 100; WIDTH: 100%;
VISIBILITY: visible; FILTER: revealTrans(Transition = 11,
Duration = 1.25)">
Text that will filter upon pageload.<br>
Text that will filter upon pageload.<br>
Text that will filter upon pageload.<br>
Text that will filter upon pageload.<br>
Text that will filter upon pageload.<br>
Text that will filter upon pageload.<br>
Text that will filter upon pageload.
</DIV>
<DIV ID="ImageRegion" STYLE="Position: absolute; border: solid red;
LEFT: 0; TOP: 100; WIDTH: 30%; VISIBILITY: hidden;
FILTER: revealTrans(Transition = 0, Duration = 1.25)">
<IMAGE id=image1 SRC="/workshop/samples/author/graphics/dhtml/blupan.gif">
</DIV>
<SCRIPT LANGUAGE=VBScript>
Sub Window_onload
Call TextRegion.filters.revealTrans.Apply ()
Call ImageRegion.filters.revealTrans.Apply()
Call Start
End Sub
Sub Start
TextRegion.style.visibility = "hidden"
ImageRegion.style.visibility = "visible"
Call TextRegion.filters.revealTrans.Play()
End Sub
Sub TextRegion_onfilterchange
if TextRegion.filters.revealTrans.Status = 0 then
Call ImageRegion.filters.revealTrans.Play(1.5)
End If
End Sub
</SCRIPT>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this event.

Applies To

BDO, BODY, BUTTON, CUSTOM, DIV, FIELDSET, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, MARQUEE, nextID, RT, RUBY, SPAN, TABLE, TD, TEXTAREA, TH, TR


onfinish

onfinish Event

Fires when marquee looping is complete.

Syntax

Inline HTML | <MARQUEE onfinish = "handler" ... > | All platforms
Event property | MARQUEE.onfinish = handler | JScript only
MARQUEE.onfinish = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = MARQUEE EVENT = onfinish> | Internet Explorer only

Event Information

Bubbles | No
Cancels | Yes
To invoke | Specify a value for the LOOP attribute of the marquee object.
Default action | Marquee ceases to loop.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

A value greater than 1 and less than infinity must be set on the LOOP attribute for this event to fire.

Example

The example uses the srcElement property of the event object to determine which marquee has fired the onfinish event.

<BODY>
<LABEL>mqLooper1</LABEL>
<MARQUEE ID=mqLooper1 LOOP=2
onfinish="alert(event.srcElement.id + ' finished looping.')">
this marquee loops twice
</MARQUEE>
<HR>
<LABEL>mqLooper2</LABEL>
<MARQUEE ID=mqLooper2 LOOP=5
onfinish="alert(event.srcElement.id + ' finished looping.')">
this marquee loops five times
</MARQUEE>
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this event.

Applies To

MARQUEE

See Also

LOOP, onstart


onfocus

onfocus Event

Fires when the object receives focus.

Syntax

Inline HTML | <ELEMENT onfocus = "handler" ... > | All platforms
Event property | object.onfocus = handler | JScript only
object.onfocus = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onfocus> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke
  • Click an object.
  • Use keyboard navigation.
  • Invoke the focus method.
  • Invoke the setActive method.
Default action | Sets focus to an object.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

Note Using the setActive method has no effect on document focus. Using the focus method on an individual element causes the element to gain focus and become the active element.

When one object loses activation and another object becomes the activeElement, the onfocus event fires on the object becoming the activeElement only after the onblur event fires on the object losing activation. Use the focus events to determine when to prepare an object to receive input from the user.

Elements cannot receive focus until the document is finished loading.

As of Microsoft® Internet Explorer 5, elements retain focus within the current browser history when the user returns to a page. To avoid firing the onfocus event unintentionally for an element when the document loads, invoke the focus method on another element.

As of Internet Explorer 5, you can force elements that do not implicitly receive focus to receive focus by adding them to the document tabbing order using the TABINDEX attribute.

For Internet Explorer 5.5 and later, focus on a document, and the active element of a document can be managed separately. The synchronous events onactivate and ondeactivate provide better control for managing activation changes.

Example

This example uses the onfocus event to make INPUT_text and label objects more accessible. When the INPUT_text object has focus, the onfocus event fires and the backgroundColor, fontSize, and fontWeight properties are changed to give the control more prominence.

...
<STYLE>
.normal {background-color:"#FFFFFF"; color:"#000000"; font-weight:normal;
font-size:8pt; font-family:Arial;}
.accessible { background-color:"beige"; font-weight:bold; font-size:10pt;}
</STYLE>
<SCRIPT>
function fnSetStyle(){
event.srcElement.className="accessible";
var oWorkLabel=eval(event.srcElement.id + "_label");
oWorkLabel.className="accessible";
}
</SCRIPT>
<LABEL FOR="oInput" CLASS="normal" ID="oInput_label">Enter some text</LABEL>
<INPUT TYPE="text" CLASS="normal" onfocus="fnSetStyle()" ID="oInput">
...
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This event is defined in HTML 4.0 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BUTTON, CAPTION, CENTER, CITE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, window, XMP

See Also

blur, focus, onfocusin


onfocusin

onfocusin Event

Fires for an element just prior to setting focus on that element.

Syntax

Inline HTML | <ELEMENT onfocusin = "handler" ... > | All platforms
Event property | object.onfocusin = handler | JScript only
object.onfocusin = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onfocusin> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | No
To invoke
  • Click a document, when the document does not have focus.
  • Click an element, when the element does not have focus.
  • Use the keyboard to move focus from the active element to another element.
  • Invoke the focus method on an element, when the element is not the active element.
Default action | Change focus from the event.srcElement to the event.toElement.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
wheelDelta | Sets or retrieves the distance and direction the wheel button has rolled.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

With Internet Explorer 5.5 and later, focus on a document, and the active element of a document can be managed separately. Use the onfocusin event to manage formatting changes when an element gains focus.

Each document may have up to one active element. Set the active element with the setActive or focus methods. Using the setActive method has no effect on document focus. Using the focus method on an individual element causes the element to gain focus and become the active element, and this causes onfocusin to fire for this active element.

Using the focus method on a document that does not have the focus moves the document to the front of the display. Additionally, the document's active element gains focus, and this causes onfocusin to fire for this active element.

For a given display, only one element has focus at any given time. Striking a key directly affects only the element with focus. Events fired by that keystroke may be scripted to affect other documents and child elements.

Applies To

A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=reset, INPUT type=password, INPUT type=radio, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, OL, P, PLAINTEXT, PRE, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

onfocusout, onbeforedeactivate, ondeactivate, onbeforeactivate, onactivate


onfocusout

onfocusout Event

Fires for the current element with focus immediately after moving focus to another element.

Syntax

Inline HTML | <ELEMENT onfocusout = "handler" ... > | All platforms
Event property | object.onfocusout = handler | JScript only
object.onfocusout = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onfocusout> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | No
To invoke
  • Click a document, when the document does not have focus.
  • Click an element, other than the current element with focus.
  • Use the keyboard to move focus from the active element to another element.
  • Invoke the focus method on an element, when the element is not the active element.
Default action | N/A

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
wheelDelta | Sets or retrieves the distance and direction the wheel button has rolled.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

With Internet Explorer 5.5 and later, focus on a document and the active element of a document can be managed separately. Use the onfocusout event to manage formatting changes when an element loses focus.

Each document may have up to one active element. Set the active element with the setActive or focus methods. Using the setActive method has no effect on document focus. Using the focus method on an individual element causes the element to gain focus and become the active element, and this causes onfocusout to fire for this active element.

Using the focus method on a document that does not have the focus moves the document to the front of the display. Additionally, the document's active element gains focus, and this causes onfocusout to fire for this active element.

For a given display, only one element has focus at any given time. Striking a key directly affects only the element with focus. Events fired by that keystroke may be scripted to affect other documents and child elements.

Applies To

A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=reset, INPUT type=password, INPUT type=radio, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, OL, P, PLAINTEXT, PRE, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

onfocusin, onbeforedeactivate, ondeactivate, onbeforeactivate, onactivate


onhelp

onhelp Event

Fires when the user presses the F1 key while the browser is the active window.

Syntax

Inline HTML | <ELEMENT onhelp = "handler" ... > | All platforms
Event property | object.onhelp = handler | JScript only
object.onhelp = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onhelp> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | Yes
To invoke | Press the F1 key.
Default action | Firing the onhelp event opens an online Help window.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Standards Information

There is no public standard that applies to this event.

Applies To

A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, OL, P, PLAINTEXT, PRE, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, window, XMP


onkeydown

onkeydown Event

Fires when the user presses a key.

Syntax

Inline HTML | <ELEMENT onkeydown = "handler" ... > | All platforms
Event property | object.onkeydown = handler | JScript only
object.onkeydown = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onkeydown> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | Yes
To invoke | Press any keyboard key.
Default action | Returns a number specifying the keyCode of the key that was pressed.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
keyCode | Sets or retrieves the Unicode key code associated with the key that caused the event.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
repeat | Retrieves whether the onkeydown event is being repeated.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

As of Microsoft® Internet Explorer 4.0, the onkeydown event fires for the following keys:

  • Editing: DELETE, INSERT
  • Function: F1 - F12
  • Letters: A - Z (uppercase and lowercase)
  • Navigation: HOME, END, LEFT ARROW, RIGHT ARROW, UP ARROW, DOWN ARROW
  • Numerals: 0 - 9
  • Symbols: ! @ # $ % ^ & * ( ) _ - + = < [ ] { } , . / ? \ | ' ` " ~
  • System: ESC, SPACEBAR, SHIFT, TAB

As of Internet Explorer 5, the event also fires for the following keys:

  • Editing: BACKSPACE
  • Navigation: PAGE UP, PAGE DOWN
  • System: SHIFT+TAB

As of Internet Explorer 5, this event can be canceled for the following keys and key combinations by specifying event.returnValue=false:

  • Editing: BACKSPACE, DELETE
  • Letters: A - Z (uppercase and lowercase)
  • Navigation: PAGE UP, PAGE DOWN, END, HOME, LEFT ARROW, RIGHT ARROW, UP ARROW, DOWN ARROW
  • Numerals: 0 - 9
  • Symbols: ! @ # $ % ^ & * ( ) _ - + = < [ ] { } , . / ? \ | ' ` " ~
  • System: SPACEBAR, ESC, TAB, SHIFT+TAB

You can cancel all keys that fire the onkeydown event in HTML Applications, including most accelerator keys, such as ALT+F4.

In Internet Explorer 4.0, you cannot cancel the onkeydown event, but you can use the onkeypress event to cancel keyboard events.

Example

This example uses the onkeydown event to cancel input from the keyboard.

<SCRIPT>
function fnTrapKD(){
if(oTrap.checked){
oOutput.innerText+="[trap = " + event.keyCode + "]";
event.returnValue=false;
}
else{
oOutput.innerText+=String.fromCharCode(event.keyCode);
}
}
</SCRIPT>
<INPUT TYPE="checkbox" ID="oTrap">
<INPUT ID="oExample" TYPE="text" onkeydown="fnTrapKD()">
<TEXTAREA ID="oOutput" ROWS="10" COLS="50">
</TEXTAREA>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This event is defined in HTML 4.0 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, document, DT, EM, FIELDSET, FONT, FORM, hn, HR, I, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

onkeyup


onkeypress

onkeypress Event

Fires when the user presses an alphanumeric key.

Syntax

Inline HTML | <ELEMENT onkeypress = "handler" ... > | All platforms
Event property | object.onkeypress = handler | JScript only
object.onkeypress = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onkeypress> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | Yes
To invoke | Press any alphanumeric keyboard key.
Default action | Returns a number specifying the Unicode value of the key that was pressed.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
keyCode | Sets or retrieves the Unicode key code associated with the key that caused the event.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

As of Microsoft® Internet Explorer 4.0, the onkeypress event fires and can be canceled for the following keys:

  • Letters: A - Z (uppercase and lowercase)
  • Numerals: 0 - 9
  • Symbols: ! @ # $ % ^ & * ( ) _ - + = < [ ] { } , . / ? \ | ' ` " ~
  • System: ESC, SPACEBAR, ENTER

Example

This example shows how to retrieve information from the shiftKey IHTMLEventObj2::shiftKey property of the event object. When the user simultaneously presses the shift key and types a character in the first text field, the value "true" appears in the second text field.

<HEAD>
<SCRIPT>
function checkKey()
{
if (window.event.shiftKey)  // checks whether the SHIFT key
// is pressed
{
txtOutput.value = "true"; // returns TRUE if SHIFT is pressed
// when the event fires
}
}
</SCRIPT>
</HEAD>
<BODY>
<P>Press the SHIFT key while pressing another key.<BR>
<INPUT TYPE=text NAME=txtEnterValue onkeypress="checkKey()">
<P>Indicates "true" if the shift key is used.<BR>
<INPUT TYPE=text NAME=txtOutput>
</BODY>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This event is defined in HTML 4.0 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, document, DT, EM, FIELDSET, FONT, FORM, hn, HR, I, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

onchange, onkeydown, onkeyup


onkeyup

onkeyup Event

Fires when the user releases a key.

Syntax

Inline HTML | <ELEMENT onkeyup = "handler" ... > | All platforms
Event property | object.onkeyup = handler | JScript only
object.onkeyup = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onkeyup> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | No
To invoke | Release any keyboard key.
Default action | Returns a number specifying the keyCode of the key that was released.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
keyCode | Sets or retrieves the Unicode key code associated with the key that caused the event.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

As of Microsoft® Internet Explorer 4.0, the onkeyup event fires for the following keys:

  • Editing: DELETE, INSERT
  • Function: F1 - F12
  • Letters: A - Z (uppercase and lowercase)
  • Navigation: HOME, END, LEFT ARROW, RIGHT ARROW, UP ARROW, DOWN ARROW
  • Numerals: 0 - 9
  • Symbols: ! @ # $ % ^ & * ( ) _ - + = < [ ] { } , . / ? \ | ' ` " ~
  • System: ESC, SPACEBAR, SHIFT, TAB

As of Internet Explorer 5, the event also fires for the following keys:

  • Editing: BACKSPACE
  • Navigation: PAGE UP, PAGE DOWN
  • System: SHIFT+TAB

Standards Information

This event is defined in HTML 4.0 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, document, DT, EM, FIELDSET, FONT, FORM, hn, HR, I, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

onkeydown, onkeypress


onlayoutcomplete

onlayoutcomplete Event

Fires when the print or print preview layout process finishes filling the current LayoutRect object with content from the source document.

Syntax

Inline HTML | <ELEMENT onlayoutcomplete = "handler" ... > | All platforms
Event property | object.onlayoutcomplete = handler | JScript only
object.onlayoutcomplete = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onlayoutcomplete> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | Yes
To invoke | Select the print or print preview option from the file menu of an application hosting MSHTML.
Default action | Executes the script associated with this event.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
contentOverflow | Retrieves a value that indicates whether the document contains additional content after processing the current LayoutRect object.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.

Remarks

If the contentOverflow property on the event object is true when this event fires, the event handler should set the nextRect property in order to indicate the next LayoutRect to fill with the source document content.

Standards Information

There is no public standard that applies to this event.

Applies To

BASE, BASEFONT, BGSOUND, BR, COL, DD, DIV, DL, DT, FONT, HEAD, HR, HTML, HTML Comment, LAYOUTRECT, LI, META, OL, OPTION, P, TITLE, UL


onload

onload Event

Fires immediately after the browser loads the object.

Syntax

Inline HTML | <ELEMENT onload = "handler" ... > | All platforms
Event property | object.onload = handler | JScript only
object.onload = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onload> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Open a page in the browser to invoke this event for the document or any object within it.
Default action | Loads the object for which the event is specified.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftLeft | Retrieves the state of the left SHIFT key.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

The browser loads applications, embedded objects, and images as soon as it encounters the applet, embed, and img objects during parsing. Consequently, the onload event for these objects occurs before the browser parses any subsequent objects. To ensure that an event handler receives the onload event for these objects, place the script object that defines the event handler before the object and use the onload attribute in the object to set the handler.

The onload attribute of the body object sets an onload event handler for the window. This technique of calling the window onload event through the body object is overridden by any other means of invoking the window onload event, provided the handlers are in the same script language.

Examples

This example uses an onload event handler to display a message in the window's status bar when the page has finished loading.

<BODY>
<SCRIPT FOR=window EVENT=onload LANGUAGE="JScript">
window.status = "Page is loaded!";
</SCRIPT>
</BODY>

This example sets an onload event handler for an img object. The handler uses the event object to retrieve the URL of the image.

<SCRIPT>
function imageLoaded()
{
window.status = "Image " + event.srcElement.src + " is loaded";
}
</SCRIPT>
<BODY>
<IMG SRC="sample.gif" onload="imageLoaded()">
</BODY>

Standards Information

This event is defined in HTML 4.0 Non-Microsoft link.

Applies To

APPLET, BODY, EMBED, FRAME, FRAMESET, IFRAME, IMG, LINK, SCRIPT, window

See Also

onreadystatechange, onunload


onlosecapture

onlosecapture Event

Fires when the object loses the mouse capture.

Syntax

Inline HTML | <ELEMENT onlosecapture = "handler" ... > | All platforms
Event property | object.onlosecapture = handler | JScript only
object.onlosecapture = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onlosecapture> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke
  • Set mouse capture to a different object.
  • Change the active window so that the current document using mouse capture loses focus.
  • Invoke the releaseCapture method on the document or object.
Default action | Sends the event notification to the object that is losing the mouse capture.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Example

This example shows how to fire the onlosecapture event. When the user clicks the mouse, the releaseCapture method is invoked and subsequently fires the onlosecapture event.

<BODY onload="divOwnCapture.setCapture()"
onclick="divOwnCapture.releaseCapture();">
<DIV ID=divOwnCapture
onmousemove="txtWriteLocation.value=event.clientX
+ event.clientY";
onlosecapture="alert(event.srcElement.id
+ ' lost mouse capture.')">
<P>Mouse capture has been set to this gray division (DIV) at
load time using the setCapture method. The text area will track
the mousemove event anywhere in the document.<BR><BR>
<TEXTAREA ID=txtWriteLocation COLS=2></TEXTAREA>
</DIV>
<HR>
<DIV ID=divNoCapture>
<P>Click anywhere on the document to invoke the releaseCapture
method, whereby the onlosecapture event will fire.</P>
</DIV>
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this event.

Applies To

A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

About Mouse Capture, releaseCapture, setCapture


onmousedown

onmousedown Event

Fires when the user clicks the object with either mouse button.

Syntax

Inline HTML | <ELEMENT onmousedown = "handler" ... > | All platforms
Event property | object.onmousedown = handler | JScript only
object.onmousedown = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onmousedown> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | Yes
To invoke | Click a mouse button.
Default action | Initiates actions associated with the event and with the object being clicked.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
button | Sets or retrieves the mouse button pressed by the user.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

Use the button property to determine which mouse button is clicked.

Example

This example shows how to determine the origin of the onmousedown event when event bubbling is used.

<BODY onmousedown="alert(event.srcElement.tagName)">
<TABLE BORDER=1>
<TH>Click the items below with your mouse.</TH>
<TR><TD><BUTTON>Click Me</BUTTON></TD></TR>
<TR><TD><INPUT TYPE=text VALUE="Click Me"></TD></TR>
<TR><TD><SPAN>Click Me</SPAN></TD></TR>
</TABLE>
<P>This code retrieves the tagName of the object on which
the onmousedown event has fired.
</BODY>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This event is defined in HTML 4.0 Non-Microsoft link.

Applies To

A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

onmousewheel, onmousemove, onmouseout, onmouseover, onmouseup


onmouseenter

onmouseenter Event

Fires when the user moves the mouse pointer into the object.

Syntax

Inline HTML | <ELEMENT onmouseenter = "handler" ... > | All platforms
Event property | object.onmouseenter = handler | JScript only
object.onmouseenter = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onmouseenter> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Move the mouse pointer inside the boundaries of an object.
Default action | Initiates any action associated with this event.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
button | Sets or retrieves the mouse button pressed by the user.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
fromElement | Sets or retrieves the object from which activation or the mouse pointer is exiting during the event.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
toElement | Sets or retrieves a reference to the object toward which the user is moving the mouse pointer.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

The event fires only if the mouse pointer is outside the boundaries of the object and the user moves the mouse pointer inside the boundaries of the object. If the mouse pointer is currently inside the boundaries of the object, for the event to fire, the user must move the mouse pointer outside the boundaries of the object and then back inside the boundaries of the object.

Unlike the onmouseover event, the onmouseenter event does not bubble. In other words, the onmouseenter event does not fire when the user moves the mouse pointer over elements contained by the object, whereas onmouseover does fire.

Standards Information

There is no public standard that applies to this event.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, OL, P, PLAINTEXT, PRE, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


onmouseleave

onmouseleave Event

Fires when the user moves the mouse pointer outside the boundaries of the object.

Syntax

Inline HTML | <ELEMENT onmouseleave = "handler" ... > | All platforms
Event property | object.onmouseleave = handler | JScript only
object.onmouseleave = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onmouseleave> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Move the mouse pointer outside the boundaries of an object.
Default action | Initiates any action associated with this event.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
button | Sets or retrieves the mouse button pressed by the user.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
fromElement | Sets or retrieves the object from which activation or the mouse pointer is exiting during the event.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
toElement | Sets or retrieves a reference to the object toward which the user is moving the mouse pointer.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

The event fires only if the mouse pointer is inside the boundaries of the object and the user moves the mouse pointer outside the boundaries of the object. If the mouse pointer is currently outside the boundaries of the object, for the event to fire, the user must move the mouse pointer inside the boundaries of the object and then back outside the boundaries of the object.

Standards Information

There is no public standard that applies to this event.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, OL, P, PLAINTEXT, PRE, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


onmousemove

onmousemove Event

Fires when the user moves the mouse over the object.

Syntax

Inline HTML | <ELEMENT onmousemove = "handler" ... > | All platforms
Event property | object.onmousemove = handler | JScript only
object.onmousemove = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onmousemove> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | No
To invoke | Move the mouse over the document.
Default action | Initiates any action associated with this event.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

If the user presses a mouse button, use the button property to determine which button was pressed.

Example

This example uses the onmousemove event to monitor the location of the mouse cursor on the screen. When the mouse cursor moves over the div object, a span object is updated with the clientX and clientY property values. The clientX and clientY properties are exposed by the event object.

<SCRIPT>
function fnTrackMouse(){
oNotice.innerText="Coords: (" + event.clientX + ",
" + event.clientY + ")";
}
</SCRIPT>
<DIV ID="oScratch" onmousemove="fnTrackMouse()">
<SPAN ID="oNotice"></SPAN>
</DIV>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This event is defined in HTML 4.0 Non-Microsoft link.

Applies To

A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=reset, INPUT type=password, INPUT type=radio, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, OL, P, PLAINTEXT, PRE, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

onmousewheel, onmousedown, onmouseout, onmouseover, onmouseup


onmouseout

onmouseout Event

Fires when the user moves the mouse pointer outside the boundaries of the object.

Syntax

Inline HTML | <ELEMENT onmouseout = "handler" ... > | All platforms
Event property | object.onmouseout = handler | JScript only
object.onmouseout = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onmouseout> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | No
To invoke | Move the mouse pointer out of an object.
Default action | Initiates any action associated with this event.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
button | Sets or retrieves the mouse button pressed by the user.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
fromElement | Sets or retrieves the object from which activation or the mouse pointer is exiting during the event.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
toElement | Sets or retrieves a reference to the object toward which the user is moving the mouse pointer.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

When the user moves the mouse over an object, one onmouseover event occurs, followed by one or more onmousemove events as the user moves the mouse pointer within the object. One onmouseout event occurs when the user moves the mouse pointer out of the object.

Examples

This example uses the onmouseout event to apply a new style to an object.

<BODY>
<P onmouseout="this.style.color='black';"
onmouseover="this.style.color='red';">
Move the mouse pointer over this text, and then move it elsewhere
in the document. Move the mouse pointer over this text, and then
move it elsewhere in the document.
</BODY>

This example shows how to swap images on mouse events.

<SCRIPT>
function flipImage(url)
{
if (window.event.srcElement.tagName == "IMG" )
{
window.event.srcElement.src = url;
}
}
</SCRIPT>
</HEAD>
<BODY>
<P>Move the mouse over the image to see it switch.<P>
<IMG SRC="../common/prop_ro.gif"
onmouseover="flipImage('../common/prop_rw.gif');"
onmouseout="flipImage('../common/prop_ro.gif');"
</BODY>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This event is defined in HTML 4.0 Non-Microsoft link.

Applies To

A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

onmousewheel, onmousedown, onmousemove, onmouseover, onmouseup


onmouseover

onmouseover Event

Fires when the user moves the mouse pointer into the object.

Syntax

Inline HTML | <ELEMENT onmouseover = "handler" ... > | All platforms
Event property | object.onmouseover = handler | JScript only
object.onmouseover = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onmouseover> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | Yes
To invoke | Move the mouse pointer into an object.
Default action | Initiates any action associated with this event.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
button | Sets or retrieves the mouse button pressed by the user.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
fromElement | Sets or retrieves the object from which activation or the mouse pointer is exiting during the event.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
toElement | Sets or retrieves a reference to the object toward which the user is moving the mouse pointer.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

The event occurs when the user moves the mouse pointer into the object, and it does not repeat unless the user moves the mouse pointer out of the object and then back into it.

Examples

This example uses the onmouseover event to apply a new style to an object.

<DIV>
<P onmouseover="this.style.color='red'"
onmouseout="this.style.color='black'">
Move the mouse pointer over this text, then move it elsewhere in the
document. Move the mouse pointer over this text, then move it
elsewhere in the document.
</DIV>

This example shows how to change the value of a text area in response to mouse events.

<DIV>
<P>Move the mouse pointer into the text area to fire the
onmouseover event. Move it out to clear the text.
<TEXTAREA NAME=txtMouseTrack
onmouseover="this.value='onmouseover fired'"
onmouseout="this.value=''">
</TEXTAREA>
</DIV>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This event is defined in HTML 4.0 Non-Microsoft link.

Applies To

A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, OL, P, PLAINTEXT, PRE, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

onmousewheel, onmousedown, onmousemove, onmouseout, onmouseup


onmouseup

onmouseup Event

Fires when the user releases a mouse button while the mouse is over the object.

Syntax

Inline HTML | <ELEMENT onmouseup = "handler" ... > | All platforms
Event property | object.onmouseup = handler | JScript only
object.onmouseup = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onmouseup> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | Yes
To invoke | Press and release a mouse button.
Default action | Initiates any action associated with this event.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
button | Sets or retrieves the mouse button pressed by the user.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

Use the button property to determine which mouse button is pressed.

Standards Information

This event is defined in HTML 4.0 Non-Microsoft link.

Applies To

A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, OL, P, PLAINTEXT, PRE, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

onmousewheel, onclick, onmousedown, onmousemove, onmouseout, onmouseover


onmousewheel

onmousewheel Event

Fires when the wheel button is rotated.

Syntax

Inline HTML | <ELEMENT onmousewheel = "handler" ... > | All platforms
Event property | object.onmousewheel = handler | JScript only
object.onmousewheel = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onmousewheel> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | Yes
To invoke | Rotate the wheel button.
Default action | Scrolls the page up or down.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
wheelDelta | Sets or retrieves the distance and direction the wheel button has rolled.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

The onmousewheel event is the only event that exposes the wheelDelta property. This property indicates the distance that the wheel button has rotated, expressed in multiples of 120. A positive value indicates that the wheel button has rotated away from the user. A negative value indicates that the wheel button has rotated toward the user. See the example below.

Example

The following example shows how to use the onmousewheel event and the wheelDelta parameter to expand and contract a picture in response to the wheel button being moved.

<HTML>
<HEAD>
<SCRIPT>
var count = 10;
function Picture()
{
count = Counting(count);
Resize(count);
return false;
}
function Counting(count){
if (event.wheelDelta >= 120)
count++;
else if (event.wheelDelta <= -120)
count--;
return count;
}
function Resize(count){
oImage.style.zoom = count + '0%';
}
</SCRIPT>
</HEAD>
<BODY>
<img id="oImage" src="Sample.jpg" onmousewheel="Picture()" width="283"
height="212" >
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=reset, INPUT type=password, INPUT type=radio, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, OL, P, PLAINTEXT, PRE, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

onscroll, onmousemove, onmousedown, onmouseout, onmouseover, onmouseup


onmove

onmove Event

Fires when the object moves.

Syntax

Inline HTML | <ELEMENT onmove = "handler" ... > | All platforms
Event property | object.onmove = handler | JScript only
object.onmove = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onmove> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | No
To invoke | Change the absolute position of the object.
Default action | Calls the associated event handler if there is one.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

This event can be bound to relatively positioned elements as well as absolutely positioned elements.

This event does not fire when it is bound to an object inside a container object that moves.

Example

The following example shows how to use the onmove event and display the x and y coordinates of a DIV as it is moved.

<HTML>
<HEAD>
<TITLE>The onmove event</TITLE>
<SCRIPT>
// Turn on 2-D positioning
document.execCommand("2D-position",false,true);
function fnHandleMove() {
oXDelta.innerText = event.srcElement.offsetLeft;
oYDelta.innerText = event.srcElement.offsetTop;
}
</SCRIPT>
</HEAD>
<BODY onmove="fnHandleMove();">
<B>Current Object:</B><BR>
X delta: <SPAN id=oXDelta>n/a</SPAN><BR>
Y delta: <SPAN id=oYDelta>n/a</SPAN><BR>
<DIV CONTENTEDITABLE="true">
<DIV style="width:300px;height:100px; background-color:red; position:absolute;">
Movable DIV</DIV>
</DIV>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this event.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CUSTOM, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, window, XMP


onmoveend

onmoveend Event

Fires when the object stops moving.

Syntax

Inline HTML | <ELEMENT onmoveend = "handler" ... > | All platforms
Event property | object.onmoveend = handler | JScript only
object.onmoveend = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onmoveend> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | No
To invoke | Stop moving the editable object.
Default action | Calls the associated event handler if there is one.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

The onmoveend event fires only when an editable element stops moving.

This event can only be bound to absolutely positioned elements.

Example

The following example shows how to use the onmoveend event with a movable DIV and have the background color and inner text change when the mouse button is released and the DIV stops moving.

<HTML>
<HEAD>
<TITLE>Editing events sample page</TITLE>
<SCRIPT>
// Turn on 2D positioning
document.execCommand("2D-position",false,true);
// Fires when the onmovestart event is fired
function fnHandleMoveStart() {
var oDiv = event.srcElement
oDiv.style.backgroundColor = "green";
oDiv.innerText = "I Started Moving";
}
// Function called when the onmoveend event is fired
function fnHandleMoveEnd() {
var oDiv = event.srcElement
oDiv.style.backgroundColor = "red";
oDiv.innerText = "I Stopped";
}
</SCRIPT>
</HEAD>
<BODY onmovestart="fnHandleMoveStart();" onmoveend="fnHandleMoveEnd();">
<DIV CONTENTEDITABLE="true">
<DIV style="width:300px;height:100px; color:white; background-color:red;
position:absolute;">
My DIV</DIV>
</DIV>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this event.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CUSTOM, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, window, XMP


onmovestart

onmovestart Event

Fires when the object starts to move.

Syntax

Inline HTML | <ELEMENT onmovestart = "handler" ... > | All platforms
Event property | object.onmovestart = handler | JScript only
object.onmovestart = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onmovestart> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | Yes
To invoke | Start to move the editable object.
Default action | Calls the associated event handler if there is one.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

The onmovestart event fires only when an editable element starts to move.

This event can only be bound to absolutely positioned elements.

Example

The following example shows how to use the onmovestart event with a movable DIV and have the background color and inner text change when the DIV starts to move.

<HTML>
<HEAD>
<TITLE>Editing events sample page</TITLE>
<SCRIPT>
// Turn on 2-D positioning
document.execCommand("2D-position",false,true);
// Function called when the onmovestart event is fired
function fnHandleMoveStart() {
var oDiv = event.srcElement
oDiv.style.backgroundColor = "green";
oDiv.innerText = "I Started Moving";
}
function fnHandleMoveEnd() {
var oDiv = event.srcElement
oDiv.style.backgroundColor = "red";
oDiv.innerText = "I Stopped";
}
</SCRIPT>
</HEAD>
<BODY  onmovestart="fnHandleMoveStart();" onmoveend="fnHandleMoveEnd();">
<DIV CONTENTEDITABLE="true">
<DIV style="width:300px;height:100px; color:white; background-color:red;
position:absolute;">
My DIV</DIV>
</DIV>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this event.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CUSTOM, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, window, XMP


onpaste

onpaste Event

Fires on the target object when the user pastes data, transferring the data from the system clipboard to the document.

Syntax

Inline HTML | <ELEMENT onpaste = "handler" ... > | All platforms
Event property | object.onpaste = handler | JScript only
object.onpaste = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onpaste> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | Yes
To invoke After copying or cutting the text:
  • Right-click to display the shortcut menu and select Paste.
  • Or press CTRL+V.
Default action | Inserts the data from the system clipboard into the specified location on the document.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
dataTransfer | Provides access to predefined clipboard formats for use in drag-and-drop operations.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

Creating custom code to enable the Paste command requires several steps.

  1. Set the event object returnValue to false in the onbeforepaste event to enable the Paste shortcut menu item.
  2. Cancel the default behavior of the browser by setting the event object returnValue to false in the onpaste event handler. This applies only to objects, such as the text box, that have a default behavior defined for them.
  3. Specify a data format in which to paste the selection through the getData method of the clipboardData object.
  4. Invoke the method in the onpaste event to execute custom paste code.

Example

This example uses the clipboardData object to implement custom editing functionality.

<HEAD>
<SCRIPT>
var sNewString = "new content associated with this object";
var sSave = "";
// Selects the text that is to be cut.
function fnLoad() {
var r = document.body.createTextRange();
r.findText(oSource.innerText);
r.select();
}
// Stores the text of the SPAN in a variable that is set
// to an empty string in the variable declaration above.
function fnBeforeCut() {
sSave = oSource.innerText;
event.returnValue = false;
}
// Associates the variable sNewString with the text being cut.
function fnCut() {
window.clipboardData.setData("Text", sNewString);
}
function fnBeforePaste() {
event.returnValue = false;
}
// The second parameter set in getData causes sNewString
// to be pasted into the text input. Passing no second
// parameter causes the SPAN text to be pasted instead.
function fnPaste() {
event.returnValue = false;
oTarget.value = window.clipboardData.getData("Text", sNewString);
}
</SCRIPT>
</HEAD>
<BODY onload="fnLoad()">
<SPAN ID="oSource"
onbeforecut="fnBeforeCut()"
oncut="fnCut()">Cut this Text</SPAN>
<INPUT ID="oTarget" TYPE="text" VALUE="Paste the Text Here"
onbeforepaste="fnBeforePaste()"
onpaste="fnPaste()">
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this event.

Applies To

A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, OL, P, PLAINTEXT, PRE, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

About DHTML Data Transfer, getData, onbeforecopy, onbeforecut, onbeforepaste, oncopy, oncut


onpropertychange

onpropertychange Event

Fires when a property changes on the object.

Syntax

Inline HTML | <ELEMENT onpropertychange = "handler" ... > | All platforms
Event property | object.onpropertychange = handler | JScript only
object.onpropertychange = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onpropertychange> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Cause a property to change value.
Default action | Sends notification when a property changes.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
propertyName | Sets or retrieves the name of the property that changes on the object.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.

Remarks

The onpropertychange event fires when properties of an object, expando, or style sub-object change. To retrieve the name of the changed property, use the event object's propertyName property. This property returns a read-only string of the name of the property that has changed. In the case of Cascading Style Sheets (CSS) properties, the property name is prefixed with style. For example, if the CSS property pixelLeft is altered, the value of window.event.propertyName is style.left. By contrast, if the non-CSS property name is altered, the value of window.event.propertyName is name.

When the onpropertychange event fires, the srcElement property of the event object is set to the object whose property has changed.

Note Changing the innerText or innerHTML of child elements will not cause the onpropertychange event to fire for the parent element.

Example

This example demonstrates how to use the onpropertychange event to determine the name and value of an updated property.

<HTML>
<HEAD>
<SCRIPT>
function changeProp()
{
oProp.value = sText.value;
}
function changeCSSProp()
{
if(oSelect.selectedIndex==0) oStyleProp.style.color= "white";
else oStyleProp.style.color = "black";
oStyleProp.style.backgroundColor = oSelect.value;
}
function Results(){
sSrc.innerText = event.srcElement.id;
sProperty.innerText = event.propertyName;
}
</SCRIPT>
</HEAD>
<BODY>
<DIV style="background:#eeeeee; padding:10px;">Click the button below to change
its 'Value' property to the string specified in the text box.<BR><BR>
<INPUT type="text"  style="width:250px" id="sText" value="Enter Some Text">
</INPUT>&nbsp;
<INPUT type=button id="oProp" onclick="changeProp()"
value="Change property" onpropertychange="Results();"></P>
<P>Click the button below to change its 'backgroundColor' Cascading Style
Sheet (CSS) property to the color specified in the drop-down list box.<BR>
<SELECT name="oSelect" style="width:150px">
<OPTION value="black" style="color:black">Black</OPTION>
<OPTION value="blue" style="color:blue">Blue</OPTION>
<OPTION value="green" style="color:green">Green</OPTION>
<OPTION value="red" style="color:red">Red</OPTION>
</SELECT>&nbsp;
<INPUT type=button id="oStyleProp" onclick="changeCSSProp()"
value="Change property" onpropertychange="Results();">
<BR><BR>
<DIV style="border:1px solid #cccccc; width:100%; padding:10px;
background:white;">
<b>Source object:</b> <SPAN id="sSrc" style="color:red;"></SPAN><BR>
<b>Property Name:</b> <SPAN id="sProperty" style="color:red;"></SPAN>
</DIV></DIV>
<BR><BR>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this event.

Applies To

A, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COMMENT, CUSTOM, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

propertyName, srcElement


onreadystatechange

onreadystatechange Event

Fires when the state of the object has changed.

Syntax

Inline HTML | <ELEMENT onreadystatechange = "handler" ... > | All platforms
Event property | object.onreadystatechange = handler | JScript only
object.onreadystatechange = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onreadystatechange> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Change the ready state.
Default action | Signals the ready state of the document.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.

Remarks

You can use the readyState property to query the current state of the element when the onreadystatechange event fires.

All elements expose an onreadystatechange event. The following objects always fire the event because they load data: applet, document, frame, frameSet, iframe, img, link, object, script, and xml elements. Other objects will only fire the onreadystatechange event when a DHTML Behavior is attached.

When working with behaviors, wait for the onreadystatechange event to fire and verify that the readyState property of the element is set to complete to ensure that the behavior is completely downloaded and applied to the element. Until the onreadystatechange event fires, if you use any of the behavior-defined members before attaching the behavior to the element, a scripting error can result, indicating that the object does not support that particular property or method.

Example

This example uses the onreadystatechange event to invoke a function when the readyState is complete.

document.onreadystatechange=fnStartInit;
function fnStartInit()
{
if (document.readyState=="complete")
{
// Finish initialization.
}
}

Standards Information

There is no public standard that applies to this event.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, namespace, nextID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, STYLE, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XML, XMP

See Also

Introduction to Data Binding, onload


onreset

onreset Event

Fires when the user resets a form.

Syntax

Inline HTML | <FORM onreset = "handler" ... > | All platforms
Event property | FORM.onreset = handler | JScript only
FORM.onreset = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = FORM EVENT = onreset> | Internet Explorer only

Event Information

Bubbles | No
Cancels | Yes
To invoke
  • Click a input type=reset button.
  • Invoke the reset method of the form object.
Default action | Executes associated code.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
returnValue | Sets or retrieves the return value from the event.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.

Example

This example demonstrates how to use the onreset event for a form object. Reset the form by clicking the first or second button. The only difference between the two buttons is that the second button invokes the reset method of the form object and the first button is of input type=reset. When either button is pressed the form is reset, resulting in the onreset event call on the form object. The onreset event calls an event handler which in turn adds the text Resetting form. to the text area below.

<HTML>
<HEAD>
<SCRIPT>
function doReset(){
oTextArea1.innerText += "Resetting form.  ";
}
</SCRIPT>
</HEAD>
<BODY>
<FORM name="form1" onreset="doReset();"
<B>Form</B><BR>
style="border:2px solid #cccccc; background:#EEEEEE; padding:10px; ">
<b>Enter some text:</b>
<INPUT type="text" name="oText1" value=""><BR><BR>
<INPUT TYPE="reset" value="Input type=reset"/>
<BUTTON onclick="form.reset();">form.reset()</BUTTON>
</FORM>
<B>Form status</B><BR>
<SPAN id="oTextArea1" ></SPAN>
<BR><BR>
<BUTTON onclick="location.reload(true);">Refresh Page</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This event is defined in HTML 4.0 Non-Microsoft link.

Applies To

FORM

See Also

reset


onresize

onresize Event

Fires when the size of the object is about to change.

Syntax

Inline HTML | <ELEMENT onresize = "handler" ... > | All platforms
Event property | object.onresize = handler | JScript only
object.onresize = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onresize> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Change the height or width of the object.
Default action | No default action.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

The onresize event fires for block and inline objects with layout, even if document or CSS (cascading style sheets) property values are changed. Objects have layout when measurements such as the height and width attributes are set, or when the position of the object is set. Intrinsic objects, such as button, and windowed objects, such as window and iframe, fire as expected. This event does not fire for files with embedded controls.

Resizing HTML applications also fires the onresize event.

Standards Information

There is no public standard that applies to this event.

Applies To

A, ADDRESS, APPLET, B, BIG, BLOCKQUOTE, BUTTON, CENTER, CITE, CODE, CUSTOM, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, FRAME, hn, HR, I, IMG, INPUT type=button, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PRE, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TT, U, UL, VAR, window, XMP


onresizeend

onresizeend Event

Fires when the user finishes changing the dimensions of the object in a control selection.

Syntax

Inline HTML | <ELEMENT onresizeend = "handler" ... > | All platforms
Event property | object.onresizeend = handler | JScript only
object.onresizeend = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onresizeend> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | No
To invoke | Release the sizing handle of an object during a drag operation in a control selection.
Default action | The object's display area conforms to the coordinates of the sizing handles when the drag operation is complete.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
button | Sets or retrieves the mouse button pressed by the user.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
fromElement | Sets or retrieves the object from which activation or the mouse pointer is exiting during the event.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
toElement | Sets or retrieves a reference to the object toward which the user is moving the mouse pointer.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

Only content editable objects can be included in a control selection. You can make objects content editable by setting the contentEditable property to true or by placing the parent document in design mode.

Standards Information

There is no public standard that applies to this event.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CUSTOM, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, window, XMP


onresizestart

onresizestart Event

Fires when the user begins to change the dimensions of the object in a control selection.

Syntax

Inline HTML | <ELEMENT onresizestart = "handler" ... > | All platforms
Event property | object.onresizestart = handler | JScript only
object.onresizestart = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onresizestart> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | Yes
To invoke | Drag one of the sizing handles of an object in a control selection.
Default action | N/A

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
button | Sets or retrieves the mouse button pressed by the user.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
fromElement | Sets or retrieves the object from which activation or the mouse pointer is exiting during the event.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
toElement | Sets or retrieves a reference to the object toward which the user is moving the mouse pointer.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

Only content editable objects can be included in a control selection. You can make objects content editable by setting the contentEditable property to true or by placing the parent document in design mode.

Standards Information

There is no public standard that applies to this event.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CUSTOM, DD, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, window, XMP


onrowenter

onrowenter Event

Fires to indicate that the current row has changed in the data source and new data values are available on the object.

Syntax

Inline HTML | <ELEMENT onrowenter = "handler" ... > | All platforms
Event property | object.onrowenter = handler | JScript only
object.onrowenter = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onrowenter> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | No
To invoke | Change data values in the current row.
Default action | Signals that new data is available in the current row.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
qualifier | Sets or retrieves the name of the data member provided by a data source object.
recordset | Sets or retrieves from a data source object a reference to the default record set.
returnValue | Sets or retrieves the return value from the event.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.

Remarks

The onrowenter event only fires on databound objects. This event applies only to objects that identify themselves as data providers.

Standards Information

There is no public standard that applies to this event.

Applies To

APPLET, OBJECT, XML

See Also

Introduction to Data Binding, onrowexit


onrowexit

onrowexit Event

Fires just before the data source control changes the current row in the object.

Syntax

Inline HTML | <ELEMENT onrowexit = "handler" ... > | All platforms
Event property | object.onrowexit = handler | JScript only
object.onrowexit = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onrowexit> | Internet Explorer only

Event Information

Bubbles | No
Cancels | Yes
To invoke | Change rows in the data source.
Default action | Signals that the row in the databound object is about to be changed.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
qualifier | Sets or retrieves the name of the data member provided by a data source object.
recordset | Sets or retrieves from a data source object a reference to the default record set.
returnValue | Sets or retrieves the return value from the event.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.

Remarks

The onrowexit event only fires on databound objects. This event applies to objects that identify themselves as data providers.

Standards Information

There is no public standard that applies to this event.

Applies To

APPLET, OBJECT, XML

See Also

Introduction to Data Binding, onrowenter


onrowsdelete

onrowsdelete Event

Fires when rows are about to be deleted from the recordset.

Syntax

Inline HTML | <ELEMENT onrowsdelete = "handler" ... > | All platforms
Event property | object.onrowsdelete = handler | JScript only
object.onrowsdelete = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onrowsdelete> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | No
To invoke | Fires when the delete method is called on the recordset.
Default action | Signals that rows are about to be deleted.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
reason | Sets or retrieves the result of the data transfer for a data source object.
recordset | Sets or retrieves from a data source object a reference to the default record set.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.

Standards Information

There is no public standard that applies to this event.

Applies To

APPLET, OBJECT, XML

See Also

Introduction to Data Binding


onrowsinserted

onrowsinserted Event

Fires just after new rows are inserted in the current recordset.

Syntax

Inline HTML | <ELEMENT onrowsinserted = "handler" ... > | All platforms
Event property | object.onrowsinserted = handler | JScript only
object.onrowsinserted = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onrowsinserted> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | No
To invoke | Fires when the AddNew Method (ADO) method is called on the current recordset.
Default action | Signals that a new row has been inserted into the recordset.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
qualifier | Sets or retrieves the name of the data member provided by a data source object.
reason | Sets or retrieves the result of the data transfer for a data source object.
recordset | Sets or retrieves from a data source object a reference to the default record set.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.

Standards Information

There is no public standard that applies to this event.

Applies To

APPLET, OBJECT, XML

See Also

Introduction to Data Binding


onscroll

onscroll Event

Fires when the user repositions the scroll box in the scroll bar on the object.

Syntax

Inline HTML | <ELEMENT onscroll = "handler" ... > | All platforms
Event property | object.onscroll = handler | JScript only
object.onscroll = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onscroll> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke
  • Click and drag the scroll box with the mouse.
  • Click the scroll arrow.
  • Click the scroll bar.
  • Invoke the doScroll method.
  • Press the HOME or END key
  • Press the SPACEBAR key.
  • Press the PAGE UP or PAGE DOWN key.
  • Press the ARROW UP or ARROW DOWN key until scrolling occurs.
Default action | Scrolls the contents of an object until new portions of the object become visible.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

Use the componentFromPoint and doScroll methods to control the scroll bar components.

Cascading style sheets (CSS) enable scrolling on all objects through the overflow property. These objects are not listed in the Applies To list for this event.

Standards Information

There is no public standard that applies to this event.

Applies To

APPLET, BDO, BODY, CUSTOM, DIV, EMBED, MAP, MARQUEE, OBJECT, TABLE, TEXTAREA, window

See Also

onmousewheel


onselect

onselect Event

Fires when the current selection changes.

Syntax

Inline HTML | <ELEMENT onselect = "handler" ... > | All platforms
Event property | object.onselect = handler | JScript only
object.onselect = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onselect> | Internet Explorer only

Event Information

Bubbles | No
Cancels | Yes
To invoke
  • Move the mouse from character to character during a drag selection.
  • Press the SHIFT key while moving the cursor over text.
Default action | Moves the selection to a given character and highlights that selection.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Standards Information

This event is defined in HTML 4.0 Non-Microsoft link.

Applies To

BODY, INPUT type=text, TEXTAREA


onselectionchange

onselectionchange Event

Fires when the selection state of a document changes.

Syntax

Event property | document.onselectionchange = handler | JScript only
document.onselectionchange = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = document EVENT = onselectionchange> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke
  • Cause the selection object's type property to change.
  • Return a range from a different location when using the createRange method of the selection object.
  • Move the insertion point in an editable region of the document using the mouse or keyboard.
  • Refresh the page when an editable region has focus.
  • Start or extend a text selection by dragging the mouse or using SHIFT+an arrow key.
  • Make a control selection in an editable region of the document.
  • Add or remove an element from a multiple selection by pressing SHIFT while clicking on the element.
  • Delete text or an element in an editable region of the document by using the BACKSPACE key, DELETE key, CTRL+X, or the Delete command.
  • Insert text or an element in an editable region of the document by using CTRL+V or the Paste command.
Default action | N/A

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Standards Information

There is no public standard that applies to this event.

Applies To

document

See Also

Modifying Documents in Edit Mode


onselectstart

onselectstart Event

Fires when the object is being selected.

Syntax

Inline HTML | <ELEMENT onselectstart = "handler" ... > | All platforms
Event property | object.onselectstart = handler | JScript only
object.onselectstart = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onselectstart> | Internet Explorer only

Event Information

Bubbles | Yes
Cancels | Yes
To invoke | Begin selecting one or more objects.
Default action | Moves the selection to an object and highlights that selection.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
cancelBubble | Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
returnValue | Sets or retrieves the return value from the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

The object at the beginning of the selection fires the event.

Standards Information

There is no public standard that applies to this event.

Applies To

A, ACRONYM, ADDRESS, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

onselect, select


onstart

onstart Event

Fires at the beginning of every loop of the marquee object.

Syntax

Inline HTML | <MARQUEE onstart = "handler" ... > | All platforms
Event property | MARQUEE.onstart = handler | JScript only
MARQUEE.onstart = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = MARQUEE EVENT = onstart> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke
  • Set the LOOP attribute to 1 or higher.
  • Omit the LOOP attribute so that the marquee loops indefinitely.
Default action | Initiates the next loop of the marquee contents.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
clientX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
clientY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
offsetX | Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.
offsetY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.
screenX | Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.
screenY | Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.
x | Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.
y | Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Remarks

The start method does not cause the onstart event to fire.

Example

This example shows how to use the onstart event on a marquee.

<BODY>
<P>An alert dialog box displays each time the onstart event fires.
<MARQUEE onstart="alert('onstart fired')"
BEHAVIOR=alernate LOOP=2>Marquee Text</MARQUEE>
</BODY>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this event.

Applies To

MARQUEE

See Also

BEHAVIOR, LOOP, onfinish


onstop

onstop Event

Fires when the user clicks the Stop button or leaves the Web page.

Syntax

Event property | document.onstop = handler | JScript only
document.onstop = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = document EVENT = onstop> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke
  • Click the Stop button.
  • Leave the Web page.
Default action | Initiates any action associated with this event.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
shiftLeft | Retrieves the state of the left SHIFT key.
type | Sets or retrieves the event name from the event object.

Remarks

The onstop event fires after the onbeforeunload event, and before the onunload event.

Example

This example uses the onstop event to stop a function from executing in a continuous cycle. The setInterval method is used to execute script every millisecond. If the user clicks the Stop button, the clearInterval method removes the interval and the script is no longer executed.

document.onstop=fnTrapStop;
window.onload=fnInit;
var oInterval;
function fnInit(){
oInterval=window.setInterval("fnCycle()",1);
}
function fnCycle(){
// Do something
}
function fnTrapStop(){
window.clearInterval(oInterval);
}

Standards Information

There is no public standard that applies to this event.

Applies To

document


onsubmit

onsubmit Event

Fires when a FORM is about to be submitted.

Syntax

Inline HTML | <FORM onsubmit = "handler" ... > | All platforms
Event property | FORM.onsubmit = handler | JScript only
FORM.onsubmit = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = FORM EVENT = onsubmit> | Internet Explorer only

Event Information

Bubbles | No
Cancels | Yes
To invoke | Submit a form using the INPUT TYPE=submit, INPUT TYPE=image, or BUTTON TYPE=submit object.
Default action | Causes a form to be sent to whatever location is stipulated in the ACTION attribute of the form object.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
ctrlKey | Sets or retrieves the state of the CTRL key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
returnValue | Sets or retrieves the return value from the event.
shiftKey | Sets or retrieves the state of the SHIFT key.
shiftLeft | Retrieves the state of the left SHIFT key.
srcElement | Sets or retrieves the object that fired the event.
type | Sets or retrieves the event name from the event object.

Remarks

You can override this event by returning false in the event handler. Use this capability to validate data on the client side to prevent invalid data from being submitted to the server. If the event handler is called by the onsubmit attribute of the form object, the code must explicitly request the return value using the return function, and the event handler must provide an explicit return value for each possible code path in the event handler function.

The submit method does not invoke the onsubmit event handler.

Example

This example shows how to use onsubmit on a form to request the return value using the return function.

<BODY>
<FORM NAME="oDoSubmit" onsubmit="return(myOnSubmitEventHandler());">
</FORM>
</BODY>

Standards Information

This event is defined in HTML 4.0 Non-Microsoft link.

Applies To

FORM

See Also

ACTION, METHOD


onunload

onunload Event

Fires immediately before the object is unloaded.

Syntax

Inline HTML | <ELEMENT onunload = "handler" ... > | All platforms
Event property | object.onunload = handler | JScript only
object.onunload = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onunload> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke
  • Close the current browser window.
  • Navigate to another location by entering a new address or selecting a Favorite.
  • Click the Back, Forward, Refresh, or Home button.
  • Click on an anchor that refers the browser to another Web page.
  • Invoke the anchor?A HREF="../methods/click.html">click method.
  • Invoke the document?A HREF="../methods/write.html">write method.
  • Invoke the document?A HREF="../methods/open_1.html">open method.
  • Invoke the document?A HREF="../methods/close_1.html">close method.
  • Invoke the window?A HREF="../methods/close_0.html">close method.
  • Invoke the window?A HREF="../methods/open_0.html">open method, providing the possible value _self for the window name.
  • Invoke the window?A HREF="../methods/navigate.html">navigate or NavigateAndFind method.
  • Invoke the location?A HREF="../methods/replace.html">replace method.
  • Invoke the location?A HREF="../methods/reload.html">reload method.
  • Specify a new value for the location?A HREF="../properties/href_3.html">href property.
  • Submit a form to the address specified in the ACTION attribute via the INPUT type=submit control, or invoke the submit method.
Default action | Removes the object or document from the browser window.

Event Object Properties

Although event handlers in the DHTML Object Model do not receive parameters directly, a handler can query an event object for data.

Available Properties

altKey | Sets or retrieves a value that indicates the state of the ALT key.
altLeft | Sets or retrieves a value that indicates the state of the left ALT key.
ctrlLeft | Sets or retrieves the state of the left CTRL key.
shiftLeft | Retrieves the state of the left SHIFT key.
type | Sets or retrieves the event name from the event object.

Example

This example shows how to use the onunload event to run script when the window object has been unloaded.

<HEAD>
<SCRIPT FOR=window EVENT=onunload>
alert("The onunload event fired for the window object.");
</SCRIPT>
<SCRIPT>
function fnRelocate()
{
location.href="/workshop/samples/author/dhtml/refs/onunloadEX_target.htm";
}
</SCRIPT>
</HEAD>
<BODY>
<INPUT TYPE=button VALUE="Go To Page 2" onclick="fnRelocate()">
<IMG ID=imgTest SRC="../common/prop_rw.gif">
</BODY>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This event is defined in HTML 4.0 Non-Microsoft link.

Applies To

BODY, FRAMESET, window

See Also

onload, onbeforeunload


properties

DHTML 属性

下面列出了动态 HTML(DHTML) 对象模型中的属性。

标签属性/属性

!important | 增加特定规则的重要性。
:active | 设置当链接处于激活状态时 a 元素的样式。
:first-letter | 在对象的第一个字符上应用一个或多个样式。
:first-line | 在对象的第一行上应用一个或多个样式。
:hover | 设置当用户将鼠标指针悬停在链接上时 a 元素的样式。
:link | 设置当链接最近没有访问过时 a 元素的样式。
:visited | 设置当链接最近访问过时 a 元素的样式。
@charset | 设置外部样式表的字符集。
@font-face | 设置要嵌入 HTML 文档的字体。
@import | 导入一个外部样式表。
@media | 设置 styleSheet 对象中一组规则的媒体类型。
@page | 设置 styleSheet 中页面框的尺寸、方向和边距。
abbr Microsoft® Internet Explorer 6 新增 | 设置或获取对象的缩写文本。
accelerator | 设置或获取表明对象是否包含快捷键的字符串。
accept Microsoft® Internet Explorer 6 新增 | 设置或获取以逗号分隔的内容类型列表。
acceptCharset | 设置或获取处理表单的服务器必须接受的输入数据所用的字符编码方式列表。
accessKey | 设置或获取对象的快捷键。
action | 设置或获取表单内容要发送处理的 URL。
activeElement | 获取当父 document 拥有焦点时获得焦点的对象。
additive | 设置或获取表明动画是否附加到其它动画的值。
align | 设置或获取对象针对其邻接文本如何排列。
align | 设置或获取标题或标志的排列。
align | 设置或获取表格排列。
align | 设置或获取对象相对于显示或表格的排列方式。
aLink | 设置或获取元素中所有激活链接的颜色。
alinkColor | 设置或获取元素中所有激活链接的颜色。
allowTransparency | 设置或获取对象是否可为透明。
alt | 设置或获取用于替代图像的文本。
altHTML | 设置可选的若对象装载失败时要执行的替换 HTML 脚本。
altKey | 设置或获取 Alt 键的状态。
altLeft | 设置或获取左 Alt 键的状态。
appCodeName | 获取浏览器的代码名称。
APPLICATION | 表明对象的内容是否为 HTML 应用程序(HTA)，从而免除浏览器的安全模型。
appMinorVersion | 获取应用程序的次版本值。
appName | 获取浏览器的名称。
appVersion | 获取浏览器运行的平台和版本。
archive Microsoft® Internet Explorer 6 新增 | 设置或获取可用于实现对象的你自己的 archive 功能的字符串。
ATOMICSELECTION | 指定元素及其内容是否必须以一不可见单位统一选择。
autocomplete | 设置或获取对象的自动完成状态。
availHeight | 获取系统屏幕的工作区域高度，排除 Microsoft® Windows® 任务栏。
availWidth | 获取系统屏幕的工作区域宽度，排除 Windows 任务栏。
axis Microsoft® Internet Explorer 6 新增 | 设置或获取以逗号分隔的与对象关联的概念分类列表。
background | 设置或获取对象最多五个独立的背景属性。
background | 设置或获取页面上文本和图像后平铺的背景图片。
background | 设置或获取对象中文本和图像后平铺的背景图片。
backgroundAttachment | 设置或获取背景图像如何附加到文档内的对象中。
backgroundColor | 设置或获取对象内容后的颜色。
backgroundImage | 设置或获取对象的背景图像。
backgroundPosition | 设置或获取对象背景的位置。
backgroundPositionX | 设置或获取 backgroundPosition 属性的 x 坐标。
backgroundPositionY | 设置或获取 backgroundPosition 属性的 y 坐标。
backgroundRepeat | 设置或获取对象的 backgroundImage 属性如何平铺。
balance | 设置或获取表明背景声音的音量如何分配在左右扬声器的值。
Banner Microsoft® Internet Explorer 6 新增 | 使用 event 对象获取高级流重定向器(ASX)文件中项目的 Banner 内容。
BannerAbstract Microsoft® Internet Explorer 6 新增 | 获取 ASX 文件项的 BannerAbstract 内容。
BaseHref | 获取可找到对象标签的 URL 字符串。这通常是对象所在文档的 href，或者由 base 元素设置的值。
behavior | 设置或获取文本如何在字幕中滚动。
behavior | 设置或获取 DHTML 行为的位置。
BGCOLOR | 设置对象后面的背景颜色。
bgColor | 不推荐。设置或获取对象后面的背景颜色。
bgColor | 不推荐。设置或获取表明对象后面的背景颜色的值。
bgProperties | 设置或获取背景图片的属性。
blockDirection | 获取表明块元素内容的绕排方向的值，是由左至右，还是由右至左。
border | 设置或获取绘制对象周围边框的属性。
border | 设置或获取框架间的空间，包括 3D 边框。
border | 设置或获取绘制对象周围边框的宽度。
borderBottom | 设置或获取对象下边框的属性。
borderBottomColor | 设置或获取对象下边框的颜色。
borderBottomStyle | 设置或获取对象下边框的样式。
borderBottomWidth | 设置或获取对象下边框的宽度。
borderCollapse | 设置或获取表明表格行和单元格边框是组合为单一边框还是像标准 HTML 那样分离。
borderColor | 设置或获取对象的边框颜色。
borderColor | 设置或获取对象的边框颜色。
borderColorDark | 设置或获取用于绘制对象 3D 边框的两种颜色的一种。
borderColorLight | 设置或获取用于绘制对象 3D 边框的两种颜色的一种。
borderLeft | 设置或获取对象左边框的属性。
borderLeftColor | 设置或获取对象左边框的颜色。
borderLeftStyle | 设置或获取对象左边框的样式。
borderLeftWidth | 设置或获取对象左边框的宽度。
borderRight | 设置或获取对象右边框的属性。
borderRightColor | 设置或获取对象右边框的颜色。
borderRightStyle | 设置或获取对象右边框的样式。
borderRightWidth | 设置或获取对象右边框的宽度。
borderStyle | 设置或获取对象上下左右边框的样式。
borderTop | 设置或获取对象上边框的属性。
borderTopColor | 设置或获取对象上边框的颜色。
borderTopStyle | 设置或获取对象上边框的样式。
borderTopWidth | 设置或获取对象上边框的宽度。
borderWidth | 设置或获取对象上下左右边框的宽度。
bottom | 设置或获取围绕对象内容的矩形下边坐标。
bottom | 设置或获取对象相对于文档层次中下个定位对象的底部的位置。
bottomMargin | 设置或获取整个页面主体的底部边距。
boundingHeight | 获取绑定 TextRange 对象的矩形的高度。
boundingLeft | 获取绑定 TextRange 对象的矩形左边缘和包含 TextRange 对象的左侧之间的距离。
boundingTop | 获取绑定 TextRange 对象的上边缘和包含 TextRange 对象的顶边之间的距离。
boundingWidth | 获取绑定 TextRange 对象的矩形的宽度。
browserLanguage | 获取浏览器的当前语言。
bufferDepth | 设置或获取用于画面外位图缓冲颜色的每像素位数。
button | 设置或获取用户所按的鼠标按钮。
cancelBubble | 设置或获取当前事件是否要在事件句柄中向上冒泡。
canHaveChildren | 获取表明对象是否可以包含子对象的值。
canHaveHTML | 获取表明对象是否可以包含丰富的 HTML 标签的值。
caption | 获取表格的 caption 对象。
cellIndex | 获取对象于所在行的 cells 集合中的位置。
cellPadding | 设置或获取介于单元格边框和单元格内容之间的空间总量。
cellSpacing | 设置或获取表格中单元格之间的空间总量。
ch Microsoft® Internet Explorer 6 新增 | 设置或获取可用于实现对象的你自己的 ch 功能的字符串。
charset | 设置或获取用于解码对象的字符集。
checked | 设置或获取复选框或单选钮的状态。
chOff Microsoft® Internet Explorer 6 新增 | 设置或获取可用于实现对象的你自己的 chOff 功能的字符串。
cite | 设置或获取关于 对象的参考信息。
classid | 设置或获取对象的类标识符。
className | 设置或获取对象的类。
clear | 设置或获取对象是否允许在其左侧、右侧或两边放置浮动对象，以防下段文本显示在浮动对象上。
clear | 设置或获取当在文档中插入换行符后浮动对象在哪边不能定位。
clientHeight | 获取对象的高度，不计算任何边距、边框、滚动条，但包括该对象的补白。
clientLeft | 获取 offsetLeft 属性和客户区域的实际左边之间的距离。
clientTop | 获取 offsetTop 属性和客户区域的实际顶端之间的距离。
clientWidth | 获取对象的宽度，不计算任何边距、边框、滚动条，但包括该对象的补白。
clientX | 设置或获取鼠标指针位置相对于窗口客户区域的 x 坐标，其中客户区域不包括窗口自身的控件和滚动条。
clientY | 设置或获取鼠标指针位置相对于窗口客户区域的 y 坐标，其中客户区域不包括窗口自身的控件和滚动条。
clip | 设置或获取定位对象的哪个部分可见。
clipBottom | 获取对象剪裁区域的底边坐标。
clipLeft | 获取对象剪裁区域的左边坐标。
clipRight | 获取对象剪裁区域的右边坐标。
clipTop | 获取对象剪裁区域的顶边坐标。
closed | 获取引用窗口是否已关闭。
code | 设置或获取包含已编译的 Java 类的文件的 URL。
codeBase | 设置或获取组件的 URL。
codeType | 设置或获取于对相关联代码的 Internet 媒体类型。
color | 设置或获取 mpc 行为的容器文本颜色。
color | 设置或获取对象所使用的颜色。
color | 设置或获取对象文本的颜色。
colorDepth | 获取用于目标设置或缓冲区的颜色每像素位数。
cols | 设置或获取对象的宽度。
cols | 设置或获取表格的列数。
cols | 设置或获取对象的框架宽度。
colSpan | 设置或获取对象应该跨越的表格列数。
compact | 设置或获取表明列表是否应该通过删除列表对象间的额外空白来压缩的 Boolean 值。
compatMode Microsoft® Internet Explorer 6 新增 | 设置或获取表明此对象是否应用标准兼容模式的值。
complete | 获取对象是否已完全装入。
content | 设置或获取与 HTTP-EQUIV 或 NAME 关联的资源信息。
contentEditable | 设置或获取表明用户是否可编辑对象内容的字符串。
contentOverflow | 获取表明文档处理当前 LayoutRect 对象后是否包含附加的内容。
contentWindow | 获取指定的 frame 或 iframe 的 window 对象。
cookie | 设置或获取 cookie 的字符串值。
cookieEnabled | 获取客户端的永久 cookie 是否在浏览器中启用。永久 cookie 是储存在客户端计算机上的。
coords | 设置或获取对象的坐标。
Count Microsoft® Internet Explorer 6 新增 | 获取可用块格式化标签的数量。
cpuClass | 获取指示 CPU 等级的字符串。
cssText | 设置或获取样式规则的永久表述。
ctrlKey | 设置或获取 Ctrl 键的状态。
ctrlLeft | 设置或获取左 Ctrl 键的状态。
cursor | 设置或获取当鼠标指针指向对象时所使用的鼠标指针。
data | 设置或获取引用对象数据的 URL。
data | 设置或获取 TextNode 对象的值。
dataFld | 设置或获取由 dataSrc 属性指定的绑定到指定对象的给定数据源的字段。
dataFld | 设置或获取 oncellchange 事件影响的数据列。
DATAFLD | 设置用于数据绑定的给定数据源的字段。
dataFormatAs | 设置或获取如何渲染提供给对象的数据。
DATAFORMATAS | 设置或获取将提供给对象的数据渲染为文本还是 HTML。
dataPageSize | 设置或获取绑定到数据源的表格中显示的记录数。
dataSrc | 设置或获取用于数据绑定的数据源。
DATASRC | 设置用于数据绑定的数据源。
dateTime Microsoft® Internet Explorer 6 新增 | 设置或获取修改对象的日期和时间。
declare Microsoft® Internet Explorer 6 新增 | 设置或获取可用于实现对象的你自己的 declare 功能的字符串。
defaultCharset | 从当前的区域语言中获取缺省字符集。
defaultChecked | 设置或获取复选框或单选钮的状态。
defaultSelected | 设置或获取选项的状态。
defaultStatus | 设置或获取要在窗口底部的状态栏上显示的缺省信息。
defaultValue | 设置或获取对象的初始内容。
defer | 设置或获取脚本的状态。
designMode | 设置或获取表明文档是否可被编辑的值。
deviceXDPI Microsoft® Internet Explorer 6 新增 | 设置或获取系统屏幕水平每英寸点数(DPI)的数值。
deviceYDPI Microsoft® Internet Explorer 6 新增 | 设置或获取系统屏幕垂直每英寸点数(DPI)的数值。
dialogArguments | 设置或获取传递给模式对话框窗口的变量或变量数组。
dialogHeight | 设置或获取模式对话框的高度。
dialogLeft | 设置或获取模式对话框的左坐标。
dialogTop | 设置或获取模式对话框的顶坐标。
dialogWidth | 设置或获取模式对话框的宽度。
dir | 设置或获取对象的阅读顺序。
direction | 设置或获取文本滚动的方向。
direction | 设置或获取对象的阅读顺序。
disabled | 设置或获取控件的状态。
disabled | 设置或获取是否已为对象应用样式表。
disabled | 获取表明用户是否可与该对象交互的值。
disabled Microsoft® Internet Explorer 6 新增 | 设置或获取可用于实现对象的你自己的 disabled 功能的字符串。
display | 设置或获取对象是否要渲染。
doctype Microsoft® Internet Explorer 6 新增 | 获取与当前文档关联的文档类型声明。
document | 获取给定弹出窗口中的 HTML 文档。
documentElement | 获取对文档根结点的引用。
domain | 设置或获取文档的安全域名。
dropEffect | 设置或获取拖曳操作的类型和要显示的光标类型。
dynsrc | 设置或获取要在窗口中显示的视频剪辑或 VRML 世界。
effectAllowed | 设置或获取数据传送操作可应用于该对象的源元素。
encoding | 设置或获取表单的 MIME 编码。
enctype | 设置或获取表单的多用途网际邮件扩展(MIME)编码。
event | 设置或获取脚本编写用于的事件。
expando | 设置或获取表明是否可对象内创建任意变量的值。
face | 设置或获取当前的字样家族。
fgColor | 设置或获取文档的前景(文本)颜色。
FieldDelim | 指定用于标明数据字段结束的字符。
fileCreatedDate | 获取文件创建的日期。
fileModifiedDate | 获取文件上次修改的日期。
fileSize | 获取文件大小。
fileUpdatedDate | 获取文件上次更新的日期。
filter | 设置或获取应用于对象的滤镜或滤镜集合。
firstChild | 获取对象的 childNodes 集合的第一个子对象的引用。
font | 设置或获取对象最多六个独立的字体属性。
fontFamily | 设置或获取对象文本所使用的字体名称。
fontSize | 设置或获取对象文本使用的字体大小。
fontSmoothingEnabled | 获取用户是否在控制面板的显示设置中启用了圆整屏幕字体边角的选项。
fontStyle | 设置或获取对象的字体样式，如斜体、常规或倾斜。
fontVariant | 设置或获取对象文本是否以小型大写字母显示。
fontWeight | 设置或获取对象的字体宽度。
form | 获取对象所嵌入的表单的引用。
frame | 设置或获取表格周围的边框显示的方式。
frameBorder | 设置或获取是否显示框架的边框。
frameElement | 获取 frame 或 iframe 对象所在父文档的窗口。
frameSpacing | 设置或获取框架间附加空间总量。
fromElement | 设置或获取事件发生时激活或鼠标将要离开的对象。
galleryImg Microsoft® Internet Explorer 6 新增 | 设置或获取对于当前图像我的图片支持图像工具栏是否可见。
hash | 设置或获取 href 属性中在井号“#”后面的分段。
hasLayout | 获取表明对象是否有布局的值。
headers Microsoft® Internet Explorer 6 新增 | 设置或获取为对象提供信息的标题单元格。
height | 获取屏幕的垂直分辨率。
height | 设置或获取对象的高度。
height | 设置或获取对象的高度。
hidden | 设置或获取表明嵌入对象是否可见的值。
hideFocus | 设置或获取表明对象是否显式标明焦点的值。
host | 设置或获取 location 或 URL 的 hostname 和 port 号码。
hostname | 设置或获取 location 或 URL 的主机名称部分。
href | 设置或获取链接样式表的 URL。
href | 设置或获取目标 URL 或锚点。
href | 设置或获取相对链接基于的 URL。
href | 设置或获取整个 URL 为字符串。
hreflang Microsoft® Internet Explorer 6 新增 | 设置或获取对象的语言代码。
hspace | 设置或获取对象的水平边距。
htmlFor | 设置或获取绑定到事件脚本的对象。
htmlFor | 设置或获取给定标签对象指定到的对象。
htmlText | 获取 HTML 源文件为合法的 HTML 片段。
httpEquiv | 设置或获取用于将 META 标签的内容绑定到 HTTP 响应头的信息。
id | 获取标识对象的字符串。
imeMode | 设置或获取输入方法编辑器(IME)的状态。
implementation Microsoft® Internet Explorer 6 新增 | 获取当前文档的 implementation 对象。
indeterminate | 设置或获取用户是否已经更改了复选框的状态。
index | 设置或获取列表框中选项的依序位置。
innerHTML | 设置或获取位于对象起始和结束标签内的 HTML。
innerText | 设置或获取位于对象起始和结束标签内的文本。
isContentEditable | 获取表明用户是否可编辑对象内容的值。
isDisabled | 获取表明用户是否可与该对象交互的值。
isMap | 设置或获取图像是否为服务器端图像映射。
isMultiLine | 获取表明对象的内容是包含一行还是多行的值。
isOpen | 获取表明弹出窗口是否已打开的值。
isTextEdit | 获取是否可使用该对象创建一个 TextRange 对象。
keyCode | 设置或获取与导致事件的按键关联的 Unicode 按键代码。
label | 设置或获取选项组的标签。
label Microsoft® Internet Explorer 6 新增 | 设置或获取可用于实现对象的你自己的 label 功能的字符串。
lang | 设置或获取要使用的语言。
language | 设置或获取当前脚本编写用的语言。
lastChild | 获取该对象 childNodes 集合中最后一个子对象的引用。
lastModified | 获取页面上次修改的日期，若页面提供的话。
layoutFlow | 设置或获取对象内容的方向和绕排方向。
layoutGrid | 设置或获取指定文本字符版面的组合文档格线属性。
layoutGridChar | 设置或获取用于渲染元素文本内容的字符网格大小。
layoutGridLine | 设置或获取用于渲染元素文本内容的网格线值。
layoutGridMode | 设置或获取文本布局网格是否使用二维。
layoutGridType | 设置或获取用于渲染元素文本内容的网格类型。
left | 设置或获取对象相对于文档层次中下个定位对象的左边界的位置。
left | 设置或获取围绕对象内容的矩形左边坐标。
leftMargin | 设置或获取页面的整个主体的左边距，而不是缺省的边距。
length | 设置或获取集合中对象的数目。
length | 获取 TextNode 对象中的字符数目。
length | 获取历史列表中的元素数目。
letterSpacing | 设置或获取对象的字符间附加空间的总和。
lineBreak | 设置或获取日本文本的换行规则。
lineHeight | 设置或获取对象两行间的距离。
link | 设置或获取对象文档链接的颜色。
linkColor | 设置或获取对象文档链接的颜色。
listStyle | 设置或获取对象最多三个独立的 listStyle 属性。
listStyleImage | 设置或获取要为对象应用的列表项目符号的图像。
listStylePosition | 设置或获取相对于对象内容如何绘制项目符号。
listStyleType | 设置或获取对象预定义的项目符号类型。
logicalXDPI Microsoft® Internet Explorer 6 新增 | 获取系统屏幕水平每英寸点数(DPI)的常规数值。
logicalYDPI Microsoft® Internet Explorer 6 新增 | 获取系统屏幕垂直每英寸点数(DPI)的常规数值。
longDesc Microsoft® Internet Explorer 6 新增 | 设置或获取对象长描述的统一资源标识符(URI)。
loop | 设置或获取字幕播放的次数。
loop | 设置或获取声音或视频剪辑激活后循环播放的次数。
lowsrc | 设置或获取要显示的较低分辨率图像。
margin | 设置或获取对象的上下左右边距。
marginBottom | 设置或获取对象的下边距宽度。
marginHeight | 设置或获取显示框架中文本之前的上下边距高度。
marginLeft | 设置或获取对象的左边距宽度。
marginRight | 设置或获取对象的右边距宽度。
marginTop | 设置或获取对象的上边距宽度。
marginWidth | 设置或获取显示框架中文本之前的左右边距宽度。
maxLength | 设置或获取用户可在文本控件中输入的最多字符数。
media | 设置或获取媒体类型。
menuArguments | 返回快捷菜单执行所在的窗口对象。
method | 设置或获取如何将表单数据发送到服务器。
Methods | 设置或获取该对象支持的 HTTP 方式清单。
minHeight Microsoft® Internet Explorer 6 新增 | 设置或获取元素的最小高度。
MoreInfo Microsoft® Internet Explorer 6 新增 | 通过 event 对象获取高级流重定向器(ASX)文件中项目横幅的 MoreInfo 内容。
multiple | 设置或获取表明列表中是否可选中多个项目的 Boolean 值。
name | 设置或获取框架的名称。
name | 设置或获取 meta 对象的 CONTENT 标签属性中指定的值。
name | 设置或获取对象的名称。
name | 获取命名空间的名称。
name | 设置或获取元素的输入参数的名称。
name | 设置或获取表明窗口名称的值。
nameProp | 获取由对象的 href 或 src 属性指定的文件名。
nextPage | 获取打印模板中下页的位置。
nextSibling | 获取对此对象的下一个兄弟对象的引用。
nodeName | 获取特定结点类型的名称。
nodeType | 获取所需结点的类型。
nodeValue | 设置或获取结点的值。
noHref | 设置或获取在此区域内单击是否引起操作。
noResize | 设置或获取用户是否可缩放框架。
noShade | 设置或获取水平线是否要绘制 3D 阴影。
noWrap | 设置或获取浏览器是否执行自动换行。
object | 返回包含的对象。
offscreenBuffering | 设置或获取对象在对用户可见之前是否要先在屏幕外绘制。
offsetHeight | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的高度。
offsetLeft | 获取对象相对于版面或由 offsetParent 属性指定的父坐标的计算左侧位置。
offsetParent | 获取定义对象 offsetTop 和 offsetLeft 属性的容器对象的引用。
offsetTop | 获取对象相对于版面或由 offsetTop 属性指定的父坐标的计算顶端位置。
offsetWidth | 获取对象相对于版面或由父坐标 offsetParent 属性指定的父坐标的宽度。
offsetX | 设置或获取鼠标指针位置相对于触发事件的对象的 x 坐标。
offsetY | 设置或获取鼠标指针位置相对于触发事件的对象的 y 坐标。
onLine | 获取表明系统是否处于全局脱机模式的值。
opener | 设置或获取创建当前窗口的窗口的引用。
outerHTML | 设置或获取对象及其内容的 HTML 形式。
outerText | 设置或获取对象的文本。
overflow | 设置或获取表明当内容超出对象高度或宽度时如何管理对象内容的值。
overflowX | 设置或获取当内容超出对象宽度时如何管理对象内容。
overflowY | 设置或获取当内容超出对象高度时如何管理对象内容。
ownerDocument Microsoft® Internet Explorer 6 新增 | 设置或获取结点关联的 document 对象。
owningElement | 获取 HTML 层次中的下个对象。
padding | 设置或获取要在对象和其边距或若存在的边框的话就是对象和其边框之间要插入的全部空间。
paddingBottom | 设置或获取要在对象下边框和内容之间插入的空间总量。
paddingLeft | 设置或获取要在对象左边框和内容之间插入的空间总量。
paddingRight | 设置或获取要在对象右边框和内容之间插入的空间总量。
paddingTop | 设置或获取对象上边框和内容之间插入的空间总量。
pageBreakAfter | 设置或获取表明对象后发生换页的字符串。
pageBreakBefore | 设置或获取表明对象前发生换页的字符串。
palette | 获取用于嵌入文档的调色板。
parent | 获取对象层次中的父窗口。
parentElement | 获取对象层次中的父对象。
parentNode | 获取文档层次中的父对象。
parentStyleSheet | 获取导入到当前样式表的样式表。
parentTextEdit | 获取文档层次中可用于创建包含原始对象的 TextRange 的容器对象。
parentWindow | 获取容器对象所在窗口的引用。
pathname | 设置或获取对象指定的文件名或路径。
pixelBottom | 设置或获取对象的下方位置。
pixelHeight | 设置或获取对象的高度。
pixelLeft | 设置或获取对象的左侧位置。
pixelRight | 设置或获取对象的右侧位置。
pixelTop | 设置或获取对象的上方位置。
pixelWidth | 设置或获取对象的宽度。
platform | 获取用户的操作系统名称。
pluginspage | 获取用于查看嵌入文档的插件 URL。
port | 设置或获取与 URL 关联的端口号码。
posBottom | 设置或获取以 bottom 标签属性指定的单位的对象下方位置。
posHeight | 设置或获取以 height 标签属性指定的单位的对象高度。
position | 设置或获取对象所使用的定位方式。
posLeft | 设置或获取以 left 标签属性指定的单位的对象左侧位置。
posRight | 设置或获取以 right 标签属性指定的单位的对象右侧位置。
posTop | 设置或获取以 top 标签属性指定的单位的对象上方位置。
posWidth | 设置或获取以 width 标签属性指定的单位的对象宽度。
previousSibling | 获取对此对象的上一个兄弟对象的引用。
profile Microsoft® Internet Explorer 6 新增 | 设置或获取对象的属性和及这些属性的合法值所定义的一个或多个 URI。
propertyName | 设置或获取对象上发生更改的属性名称。
protocol | 设置或获取 URL 的协议部分。
pseudoClass | 获取标识 @page 规则应用到的页面的伪类的字符串。
qualifier | 设置或获取由数据源对象提供的数据成员的名称。
readOnly | 获取规则或样式表是定义在页面上还是导入的。
readOnly | 设置或获取表明对象内容是否为只读的值。
readyState | 获取对象的当前状态。
readyState | 获取对象的当前状态。
readyState | 获取对象的当前状态。
reason | 设置或获取数据源对象的数据传输结果。
recordNumber | 获取数据集中生成对象的原始记录。
recordset | 从数据源对象设置或获取对缺省数据集的引用。
referrer | 获取将用户引入当前页面的位置 URL。
rel | 设置或获取对象和链接目的的关系。
repeat | 获取 onkeydown 事件是否正在重复。
returnValue | 设置或获取从模式对话框返回的值。
returnValue | 设置或获取事件的返回值。
rev | 设置或获取对象和链接目的的关系。
right | 设置或获取围绕对象内容的矩形右边坐标。
right | 设置或获取对象相对于文档层次中下个已定位的对象的右边界的位置。
rightMargin | 设置或获取页面的整个主体的右边距，而不是缺省的边距。
rowIndex | 获取对象在表格的 rows 集合中的位置。
rows | 设置或获取对象中包含的水平行数。
rows | 设置或获取对象的框架高度。
rowSpan | 设置或获取单元格要跨越表格的多少行。
rubyAlign | 设置或获取由 rt 对象指定的注音文本的位置。
rubyOverhang | 设置或获取由 rt 对象指定的注音文本的位置。
rubyPosition | 设置或获取由 rt 对象指定的注音文本的位置。
rules | 设置或获取要显示哪些分隔线(内部边框)。
saveType | 当 oncontentsave 触发时获取剪贴板类型。
scheme Microsoft® Internet Explorer 6 新增 | 设置或获取用于解释为对象指定的属性值的方案。
scope Microsoft® Internet Explorer 6 新增 | 设置或获取对象的信息所应用的标格单元格组。
scopeName | 获取为该元素定义的命名空间。
screenLeft | 获取浏览器客户区左上角相对于屏幕左上角的 x 坐标。
screenTop | 获取浏览器客户区左上角相对于屏幕左上角的 y 坐标。
screenX | 设置或获取获取鼠标指针位置相对于用户屏幕的 x 坐标。
screenY | 设置或获取鼠标指针位置相对于用户屏幕的 y 坐标。
scroll | 设置或获取滚动是否关闭。
scrollAmount | 设置或获取介于每个字幕绘制序列之间的文本滚动像素数。
scrollbar3dLightColor | 设置或获取滚动条上滚动按钮和滚动滑块的左上颜色。
scrollbarArrowColor | 设置或获取滚动箭头标识的颜色。
scrollbarBaseColor | 设置或获取滚动条的主要颜色，其中包含滚动按钮和滚动滑块。
scrollbarDarkShadowColor | 设置或获取滚动条上滑槽的颜色。
scrollbarFaceColor | 设置或获取滚动条和滚动条的滚动箭头的颜色。
scrollbarHighlightColor | 设置或获取滚动框和滚动条滚动箭头的左上边缘颜色。
scrollbarShadowColor | 设置或获取滚动框和滚动条滚动箭头的右下边缘颜色。
scrollbarTrackColor | 设置或获取滚动条轨迹元素的颜色。
scrollDelay | 设置或获取字幕滚动的速度。
scrollHeight | 获取对象的滚动高度。
scrolling | 设置或获取框架是否可被滚动。
scrollLeft | 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离。
scrollTop | 设置或获取位于对象最顶端和窗口中可见内容的最顶端之间的距离。
scrollWidth | 获取对象的滚动宽度。
search | 设置或获取 href 属性中跟在问号后面的部分。
sectionRowIndex | 获取对象位于 tBody, tHead, tFoot 或 rows 集合中的位置。
SECURITY Microsoft® Internet Explorer 6 新增 | 获取表明 frame 或 iframe 的源文件是否应用了特定的安全限制的值。
selected | 设置或获取列表框中的选项是否为缺省项目。
selectedIndex | 设置或获取选中选项位于 select 对象中的位置。
selector | 获取标识 @page 规则应用到的页的字符串。
selectorText | 获取标识相应的样式表规则应用到的元素的字符串。
self | 获取对当前窗口或框架的引用。
shape | 设置或获取对象的形状。
shiftKey | 设置或获取 Shift 键的状态。
shiftLeft | 设置或获取左 Shift 键的状态。
size | 设置或获取该对象的字体大小。
size | 设置或获取 hr 对象的高度。
size | 设置或获取控件的大小。
size | 设置或获取列表中的行数。
sourceIndex | 获取对象在源序中的依次位置，即对象出现在 document 的 all 集合中的顺序。
span | 设置或获取组中的列数。
specified | 获取是否指定了该属性。
src | 设置或获取要播放的声音的 URL。
src | 获取包含有源代码或数据的外部文件的 URL。
src | 设置或获取要由对象装入的 URL。
srcElement | 设置或获取触发事件的对象。
srcFilter | 设置或获取触发 onfilterchange 事件的滤镜对象。
srcUrn | 获取触发事件的行为的统一资源名称(URN)。
standby Microsoft® Internet Explorer 6 新增 | 设置或获取可用于实现对象的你自己的 standby 功能的字符串。
start | 设置或获取编号列表的起始编号。
start | 设置或获取视频剪辑文件应该开始播放的时间。
status | 设置或获取位于窗口底部状态栏的信息。
status | 设置或获取表明控件是否选中的值。
STYLE | 为该设置元素设置内嵌样式。
styleFloat | 设置或获取文本要绕排到对象的哪一侧。
summary Microsoft® Internet Explorer 6 新增 | 设置或获取对象的描述和/或结构。
systemLanguage | 获取操作系统适用的缺省语言。
tabIndex | 设置或获取定义对象的 Tab 顺序的索引。
tableLayout | 设置或获取表明表格布局是否固定的字符串。
tabStop | 设置或获取元素行为是否可收到焦点并参与 Tab 序列。
tagName | 获取对象的标签名称。
tagUrn | 设置或获取在命名空间声明中指定的统一资源名称(URN)。
target | 设置或获取目标内容要显示于哪个窗口或框架。
text | 设置或获取范围内包含的文本。
text | 设置或获取文档主体的文本(前景)颜色。
text | 设置或获取对象文本的字符串形式。
text | 设置或获取由 option 标签指定的字符串。
textAlign | 设置或获取对象中的文本是左对齐、右对齐、居中对齐还是两端对齐。
textAlignLast | 设置或获取如何排列对象的最后一行或仅有的一行。
textAutospace | 设置或获取自动留空和文本的窄空间宽度调整。
textDecoration | 设置或获取对象中的文本是否有闪烁、删除线、上划线或下划线的样式。
textDecorationBlink | 设置或获取表明对象的 textDecoration 属性是否含有有“blink”的 Boolean 值。
textDecorationLineThrough | 设置或获取表明对象内的文本是否有删除线的 Boolean 值。
textDecorationNone | 设置或获取表明对象的 textDecoration 属性是否设置为 none 的 Boolean 值。
textDecorationOverline | 设置或获取表明对象中的文本是否有上划线的 Boolean 值。
textDecorationUnderline | 设置或获取对象中的文本是否有下划线的 Boolean 值。
textIndent | 设置或获取对象中文本的缩进。
textJustify | 设置或获取对象内的文本所使用的对齐类型。
textKashidaSpace | 设置或获取对象内文本对齐行时所使用空白扩展的 kashida 扩展的倍率。
textOverflow Microsoft® Internet Explorer 6 新增 | 设置或获取表明是否显示省略号以表明文本溢出的值。
textTransform | 设置或获取对象中文本的渲染方式。
textUnderlinePosition | 设置或获取对象的 textDecoration 属性中设置的下划线的位置。
tFoot | 获取表格的 tFoot 对象。
tHead | 获取表格的 tHead 对象。
title | 设置或获取样式表的标题。
title | 设置或获取对象的咨询信息(工具提示)。
toElement | 设置或获取用户要将鼠标指针移动指向的对象的引用。
top | 设置或获取对象相对于文档层次中下个定位对象的上边界的位置。
top | 获取最顶层的祖先窗口。
top | 设置或获取围绕对象内容的矩形上边坐标。
topMargin | 设置或获取页面的上边距。
trueSpeed | 设置或获取字幕的位置是否使用 scrollDelay 和 scrollAmount 属性计算，已过的实际时间来自于时钟计时。
type | 设置或获取列表的样式。
type | 获取选中区的类型。
type | 获取样式表编写所用的样式表(CSS)语言。
type | 获取按钮的分类和缺省行为。
type | 从 event 对象中获取事件名称。
type | 设置或获取对象的 MIME 类型。
type | 获取样式表编写所用的样式表(CSS)语言。
type | 获取或初始设置对象所代表的 input 控件类型。
type | 设置或获取关联的脚本引擎的 MIME 类型。
type | 根据 MULTIPLE 属性的值获取 select 控件的类型。
type | 获取控件类型。
type Microsoft® Internet Explorer 6 新增 | 设置或获取 value 标签属性指明的资源内容类型。
typeDetail | 获取选中区类型的名称。
unicodeBidi | 设置或获取关于双向法则的嵌入级别。
uniqueID | 获取为对象自动生成的唯一标识符。
units | 设置或获取 embed 对象的高度和宽度单位。
UNSELECTABLE | 指定该元素不可被选中。
updateInterval | 设置或获取屏幕的更新间隔。
URL | 设置或获取当前文档的 URL。
URLUnencoded | 获取文档的 URL，去除所有字符编码。
urn | 设置或获取目标文档的 URN。
useMap | 设置或获取用于客户端图像映射的 URL，通常带有一个书签扩展(#name)。
userAgent | 获取等同于 HTTP 用户代理请求头的字符串。
userLanguage | 获取操作系统的自然语言设置。
vAlign | 设置或获取标题是表格的上面还是下面。
vAlign | 设置或获取文本和其它内容在对象内的垂直方向上如何排列。
value | 获取或设置 textArea 元素字段中的文本。
value | 获取控件的缺省或选中值。
value | 设置或获取列表项目的值。
value | 设置或获取当表单控件提交时返回给服务器的值。
value | 设置或获取控件对象的显示值。当控件对象提交时此值将返回给服务器。
value | 设置或获取元素的输入参数值。
value | 当文本通过用户输入设置后获取 input 对象的文件名。
value Microsoft® Internet Explorer 6 新增 | 设置或获取对象的值。
valueType Microsoft® Internet Explorer 6 新增 | 设置或获取 value 标签属性的数据类型。
vcard_name | 设置或获取对象的 vCard 值，以便用于自动完成框。
version Microsoft® Internet Explorer 6 新增 | 设置或获取管理当前文档的文档类型定义(DTD)版本。
verticalAlign | 设置或获取对象的垂直排列。
viewInheritStyle | 设置或获取表明文档片段是否继承主文档中设置的 CSS 样式的值。
viewLink | 设置或获取给主元素提供内容的 document 对象。
viewMasterTab | 设置或获取表明 viewlink 的主元素是否包含在主文档的 Tab 序列中的值。
visibility | 设置或获取对象的内容是否显示。
vLink | 设置或获取对象中已访问链接的颜色。
vlinkColor | 设置或获取用户已访问过的链接颜色。
volume | 设置或获取声音的音量设置。
vspace | 设置或获取对象的垂直边距。
wheelDelta Microsoft® Internet Explorer 6 新增 | 设置或获取滚轮按钮滚动的距离和方向。
whiteSpace | 设置或获取对象中是否自动换行。
width | 获取屏幕的垂直分辨率。
width | 设置或获取对象的计算宽度。
width | 设置或获取对象的宽度。
width | 设置或获取对象的宽度。
width Microsoft® Internet Explorer 6 新增 | 设置或获取可用于实现对象的你自己的 width 功能的字符串。
wordBreak | 设置或获取单词内的换行行为，特别是对象中出现多语言的情况。
wordSpacing | 设置或获取对象中单词间的附加空间总量。
wordWrap | 设置或获取当内容超过其容器边界时是否断词。
wrap | 设置或获取如何处理对象中的自动换行。
writingMode | 设置或获取对象内容的方向和绕排。
x | 设置或获取鼠标指针位置相对于父文档的 x 像素坐标。
XMLDocument | 获取对由对象引出的的 XML 文档对象模型(DOM)的引用。
XMLNS | 声明 HTML 文档中自定义标签的命名空间。
XSLDocument | 获取对 XSL 文档的顶层结点的引用。
y | 设置或获取鼠标指针位置相对于父文档的 y 像素坐标。
zIndex | 设置或获取定位对象的堆叠次序。
zoom | 设置或获取对象的放大比例。


!important

!important Declaration

Increases the weight or importance of a particular rule.

Syntax

HTML | { sRule!important }
Scripting | N/A

Possible Values

sRule Any CSS attribute/value pair.

Example

The following example includes the !important declaration in the style rule. Normally the color of the text would be green, because inline styles override the rules set in a style tag. By including the !important declaration in the style rule, you set the content of the paragraph to red.

<STYLE>
P { color:red!important }
</STYLE>
<P STYLE="color:green">This text will be red.</P>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This declaration is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, DD, DFN, DIR, DIV, DL, DT, EM, FORM, hn, HTML, I, IMG, INPUT, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


:active

:active Pseudo-class

Sets the style of an a element when the link is engaged or active.

Syntax

HTML | [A]:active { sRules }
Scripting | N/A

Possible Values

sRules String that specifies one or more Cascading Style Sheets (CSS) attribute/value pairs.

Remarks

The default value of the :active pseudo-class is browser-specific.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Active means that the user is navigating the link. The link has been activated, and some action is being performed but is not yet complete.

The :active pseudo-class is often used with :hover, :link, and :visited, the pseudo-classes that affect the other states of a link.

Example

The following style rule uses the :active pseudo-class to set the font-weight and color attributes of an active link in a document.

<STYLE>
A:active { font-weight:bold; color:purple }
</STYLE>

Standards Information

This pseudo-class is defined in CSS, Level 1 (CSS1) Non-Microsoft link.

Applies To

A


:first-letter

:first-letter Pseudo-element

Applies one or more styles to the first letter of the object.

Syntax

HTML | :first-letter { sRules }
Scripting | N/A

Possible Values

sRules Value that specifies one or more Cascading Style Sheets (CSS) attribute/value pairs.

Remarks

The background, border, borderBottom, borderBottomColor, borderBottomStyle, borderBottomWidth, borderCollapse, borderColor, borderLeft, borderLeftColor, borderLeftStyle, borderLeftWidth, borderRight, borderRightColor, borderRightStyle, borderRightWidth, borderStyle, borderTop, borderTopColor, borderTopStyle, borderTopWidth, borderWidth, clear, color, styleFloat, font, fontFamily, fontSize, fontStyle, fontVariant, fontWeight, lineHeight, margin, padding, textDecoration, textTransform, and verticalAlign properties apply to the :first-letter pseudo-element.

The :first-letter pseudo-element can be used to create common typographical effects, such as drop caps. Drop caps is the effect obtained when the first character of a paragraph is rendered in a font larger than the rest, and its baseline is lowered by at least one full line, which results in the second line of the text also being indented.

The :first-letter pseudo-element can be attached to block-level elements. It can be attached to inline elements if you set the corresponding display property to block.

Examples

The following examples show how to use the :first-letter pseudo-element.

The following rule causes the first letter in the paragraph to be a drop cap that is twice the size of the other letters in the paragraph.

<STYLE>
P.BigFirst:first-letter { font-size: 200%; float: left }
</STYLE>
<P CLASS="BigFirst">The first letter in this paragraph will be
twice the size of the other letters in this paragraph.  The first
letter in this paragraph will be twice the size of the other
letters in this paragraph.</P>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The following rules illustrate the cumulative effect of attaching :first-line and :first-letter pseudo-elements to an element.

<STYLE>
.LetterAndLine:first-line   { text-transform: uppercase }
.LetterAndLine:first-letter { font-size: 200%; float: left }
</STYLE>
<P CLASS="LetterAndLine">The first letter in this paragraph will
be twice the size of the other letters in the paragraph.  The
first line in this paragraph will have uppercase letters.
Subsequent lines will render normally.  The first letter in this
paragraph will be twice the size of the other letters in the
paragraph.  The first line in this paragraph will have uppercase
letters.  Subsequent lines will render normally.</P>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The following example uses the :first-letter pseudo-element to create a typographical effect that looks like a column in a newspaper.

<STYLE>
.col1 { border-right: black 1px solid;
padding-right: 10px;
padding-left: 5px;
width: 140px;
text-justify: newspaper
}
.newsbite:first-letter { padding-right: 5px;
padding-left: 5px;
font-size: 24pt;
left: 0px;
float: left;
padding-bottom: 5px;
padding-top: 5px;
position: absolute;
top: 100px
}
</STYLE>
<DIV class="col1">
<DIV class="newsbite">Initial caps are a great a way to dress up
your text. You can use them to draw attention to the beginning of
an article. The initial caps used here are commonly called drop
caps.</DIV>
</DIV>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This pseudo-element is defined in CSS, Level 1 (CSS1) Non-Microsoft link.

Applies To

ADDRESS, BLOCKQUOTE, BODY, CENTER, DD, DIV, DL, DT, FIELDSET, FORM, hn, LEGEND, LI, LISTING, MARQUEE, MENU, P, PLAINTEXT, PRE, XMP

See Also

:first-line


:first-line

:first-line Pseudo-element

Applies one or more styles to the first line of the object.

Syntax

HTML | :first-line { sRules }
Scripting | N/A

Possible Values

sRules Value that specifies one or more Cascading Style Sheets (CSS) attribute/value pairs.

Remarks

The background, clear, color, font, fontFamily, fontSize, fontStyle, fontVariant, fontWeight, lineHeight, textDecoration, textTransform, verticalAlign, and wordSpacing properties apply to the :first-line pseudo-element.

The length of the first line depends on a number of factors, such as the width of the page and the font size.

The :first-line pseudo-element can be attached to block-level elements. It can be attached to inline elements if you set the corresponding display property to block.

Examples

The following examples show how to use the :first-line pseudo-element.

The following rule changes to uppercase the letters of the first line of elements with the specified className property.

<STYLE>
.CapFirst:first-line { text-transform: uppercase }
</STYLE>
<P CLASS="CapFirst">The first line in this paragraph will be in
all uppercase letters. Subsequent lines will render normally.  The
first line in this paragraph will have uppercase letters.
Subsequent lines will render normally.</P>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The following rules illustrate the cumulative effect of attaching :first-line and :first-letter pseudo-elements to an element.

<STYLE>
.LetterAndLine:first-line   { text-transform: uppercase }
.LetterAndLine:first-letter { font-size: 200%; float: left }
</STYLE>
<P CLASS="LetterAndLine">The first letter in this paragraph will
be twice the size of the other letters in the paragraph.  The
first line in this paragraph will have uppercase letters.
Subsequent lines will render normally.  The first letter in this
paragraph will be twice the size of the other letters in the
paragraph.  The first line in this paragraph will have uppercase
letters. Subsequent lines will render normally.</P>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The following example uses the :first-line pseudo-element to create a typographical effect that looks like a column in a newspaper.

<STYLE>
.col1 { border-right: black 1px solid;
padding-right: 10px;
padding-left: 5px;
width: 140px;
text-justify: newspaper
}
.newsitem:first-line { font-size: 14pt;
left: 0px;
float: left;
position: absolute;
top: 100px
}
</STYLE>
<DIV class="col1">
<DIV class="newsitem">New features in Internet Explorer 5.5 include
the first-line pseudo-element. This allows authors to create
typographical effects that are applied to the first line of a block
of text.</DIV>
</DIV>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This pseudo-element is defined in CSS, Level 1 (CSS1) Non-Microsoft link.

Applies To

ADDRESS, BLOCKQUOTE, BODY, CENTER, DD, DIV, DL, DT, FIELDSET, FORM, hn, LEGEND, LI, LISTING, MARQUEE, MENU, P, PLAINTEXT, PRE, XMP

See Also

:first-letter


:hover

:hover Pseudo-class

Sets the style of an a element when the user hovers the mouse pointer over the link.

Syntax

HTML | [A]:hover { sRules }
Scripting | N/A

Possible Values

sRules String that specifies one or more Cascading Style Sheets (CSS) attribute/value pairs.

Remarks

The default value of the :hover pseudo-class is browser-specific.

Hover means that the user has positioned the mouse pointer over the link but hasn't clicked or otherwise activated the element. If the user simply passes the mouse pointer over the link, the style does not change.

The :hover pseudo-class is often used with :active, :link and :visited, the pseudo-classes that affect the other states of a link.

Example

The following style rule sets the style of an anchor. When the user hovers the mouse pointer over a link to which the following style sheet has been applied, the text displays in red, converts to uppercase, and the characters are spaced 1 centimeter apart.

<STYLE>
A:hover { color:red; text-transform:uppercase; letter-spacing:1cm }
</STYLE>

Standards Information

This pseudo-class is defined in CSS, Level 2 (CSS2) Non-Microsoft link.

Applies To

A


:link

:link Pseudo-class

Sets the style of an a element when the link has not been visited recently.

Syntax

HTML | [A]:link { sRules }
Scripting | N/A

Possible Values

sRules String that specifies one or more Cascading Style Sheets (CSS) attribute/value pairs.

Remarks

The default value of the :link pseudo-class is browser-specific. The time period used to define a recent visit also varies by browser.

The :link pseudo-class is often used with :active, :hover and :visited, the pseudo-classes that affect the other states of a link.

Microsoft® Internet Explorer 3.0 applies the value of the :link pseudo-class to the :visited pseudo-class.

Example

The following style rule uses the :link pseudo-class to set the default color attribute of a link in a document.

<STYLE>
A:link { color:#FF0000 }
</STYLE>

Standards Information

This pseudo-class is defined in CSS, Level 1 (CSS1) Non-Microsoft link.

Applies To

A


:visited

:visited Pseudo-class

Sets the style of an a element when the link has been visited recently.

Syntax

HTML | [A]:visited { sRules }
Scripting | N/A

Possible Values

sRules String that specifies one or more Cascading Style Sheets (CSS) attribute/value pairs.

Remarks

The default value of the :visited pseudo-class is browser-specific. The time period used to define a recent visit also varies by browser.

The :visited pseudo-class is often with :active, :hover and :link, the pseudo-classes that affect the other states of a link.

Microsoft® Internet Explorer 3.0 applies the value of the :link pseudo-class to the :visited pseudo-class.

Example

The following style rule uses the :visited pseudo-class to set the color attribute of visited links in a document.

<STYLE>
A:visited { color:blue }
</STYLE>

Standards Information

This pseudo-class is defined in CSS, Level 1 (CSS1) Non-Microsoft link.

Applies To

A


@charset

@charset Rule

Sets the character set for an external style sheet.

Syntax

HTML | @charset sCharacterSet
Scripting | N/A

Possible Values

sCharacterSet String that specifies the HTML Character Sets.

Remarks

The rule has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

You can use only one @charset rule in an external style sheet. The rule must appear at the top of the file, cannot be preceded by any characters, and cannot be included in an embedded style sheet.

Example

The following example implements the @charset rule.

@charset "Windows-1251";

Standards Information

This rule is defined in Cascading Style Sheets (CSS), Level 2 (CSS2) Non-Microsoft link.


@font-face

@font-face Rule

Sets a font to embed in the HTML document.

Syntax

HTML | @font-face { sFace }
Scripting | N/A

Possible Values

sFace String that specifies one of the following values:
font-family:fontFamilyName | Any of the range of values available to the fontFamily attribute.
src:url(sURL) | Location of the font file, where sURL is an absolute or relative URL.

Remarks

The rule has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

This feature allows you to use specific fonts that might not be available on your local system. The URL must point to an embedded OpenType file (.eot or .ote format). The file contains compressed font data that is converted to a TrueType font. For more information about the font embedding feature and pointers to a tool for creating .eot files, see About Font Embedding.

Example

The following example embeds a font in an HTML document by pointing to the font source, which is located at another site.

<HTML>
<HEAD>
<STYLE>
@font-face {
font-family:comic;
src:url(http://valid_url/some_font_file.eot);
}
</STYLE>
</HEAD>
<BODY>
<P STYLE="font-family:comic;font-size:18pt">
This paragraph uses the font-face rule defined
in the above style element.  The rule embeds
an OpenType file for the Comic Sans font.
</P>
</BODY>
</HTML>

Standards Information

This rule is defined in Cascading Style Sheets (CSS), Level 2 (CSS2) Non-Microsoft link.


@import

@import Rule

Imports an external style sheet.

Syntax

HTML | @import [url] ( sUrl ) ;
Scripting | N/A

Possible Values

sUrl String that specifies the URL that references a cascading style sheet.

Remarks

The rule has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

The semicolon in the syntax is required; if omitted, the style sheet is not imported properly and an error message is generated. "url()" is optional because there is always a URL following "@import."

The @import rule, like the link element, links an external style sheet to a document. This helps the Web author establish a consistent "look" across multiple HTML pages. Whereas the link element specifies the name of the style sheet to import using its href attribute, the @import rule specifies the style sheet definition inside a link element or a style element. In the scripting model, this means the owningElement property of the style sheet defined through the @import rule is either a style or a link object.

The @import rule should occur at the start of a style sheet, before any declarations. Although Internet Explorer 4.0 and later allows @import rule statements to appear anywhere within the style sheet definition, the rules contained within the @import rule style sheet are applied to the document before any other rules defined for the containing style sheet. This rule order affects expected rendering.

Rules in the style sheet override rules in the imported style sheet.

Examples

The following example uses the @import rule to import a style sheet. For the example to work, you must replace URL in the example code with the address of a style sheet.

<STYLE TYPE="text/css">
@import url("URL");
P {color:blue}
</STYLE>

The following example, without url(), has the same effect as the previous example.

<STYLE type="text/css">
@import "URL";
P {color:blue}
</STYLE>

Standards Information

This rule is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

See Also

imports, :link, style, styleSheet


@media

@media Rule

Sets the media types for a set of rules in a styleSheet object.

Syntax

HTML | @media sMediaType { sRules }
Scripting | N/A

Possible Values

sMediaType String that specifies one of the following media types:
screen | Output is intended for computer screens.
print | Output is intended for printed material and for documents viewed in Print Preview mode.
all | Output is intended for all devices.
sRules String that specifies one or more rules in a styleSheet object.

Remarks

The rule has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Example

In the following example, the @media rule is used to specify the font-size attribute of the body element for two media types.

// For computer screens, the font size is 12pt.
@media screen {
BODY {font-size:12pt;}
}
// When printed, the font size is 8pt.
@media print {
BODY {font-size:8pt;}
}

Standards Information

This rule is defined in Cascading Style Sheets (CSS), Level 2 (CSS2) Non-Microsoft link.

See Also

media


@page

@page Rule

Sets the dimensions, orientation, and margins of a page box in a styleSheet.

Syntax

HTML | @page sPageSelector { sRules }
Scripting | N/A

Possible Values

sPageSelector String that specifies one of the following page types:
:first | Rule applies to the first page in the collection.
:left | Rule applies to pages on the left side of the binding—verso pages.
:right | Rule applies to pages on the right side of the binding—recto pages.
sRules String that specifies one or more rules in a styleSheet.

Remarks

The rule has no default value.

The page box is a rectangular region that contains two areas, the page area and the margin area. The page area contains the page's contents, such as text and graphics, and the margin area surrounds the page's contents.

Although @page rules are represented in the Cascading Style Sheets (CSS) object model in Microsoft® Internet Explorer 5.5 and later, the rules are not used by the default print template for Internet Explorer. The rules can be used by print templates developed for applications that host MSHTML. Attributes such as size and margin, which are not explicitly supported, are exposed as expando properties in these applications.

Standards Information

This rule is defined in CSS, Level 1 (CSS1) Non-Microsoft link.

See Also

@media, page, pages, Print Templates


ABBR Attribute | abbr

ABBR Attribute | abbr Property

Sets or retrieves abbreviated text for the object.

Syntax

HTML | <ELEMENT ABBR = sAbbr... >
Scripting | object.abbr(v) [ = sAbbr ]

Possible Values

sAbbr String that specifies or receives abbreviated text.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This property can be used for rendering to non-visual media such as speech or Braille.

There is no functionality implemented for this property unless defined by the author.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TD, TH


ACCELERATOR Attribute | accelerator

ACCELERATOR Attribute | accelerator Property

Sets or retrieves a string that indicates whether the object contains an accelerator key.

Syntax

HTML | { ACCELERATOR : sIsAccessible }
Scripting | object.style.accelerator(v) [ = sIsAccessible ]

Possible Values

sIsAccessible String that specifies or receives one of the following values.
false | Object does not contain an accelerator key.
true | Object contains an accelerator key.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has no default value. The Microsoft Cascading Style Sheets (CSS) extension is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

An accelerator key is a single character used as a shortcut for selecting an object. Pressing the ALT key followed by the accelerator key gives focus to the object and invokes the default event associated with the object.

This property is supported by Microsoft® Windows® 2000 and later, which enables users to hide navigation indicators for menu items and controls until the ALT key is pressed.

Example

This example uses the ACCELERATOR attribute in a u element to specify that the N in the label element is an accelerator key. When the option to "Hide keyboard navigation indicators until I use the Alt key" is enabled in the user's Display Properties, the N is not underlined until the user presses the ALT key.

<LABEL FOR="oName"><U STYLE="ACCELERATOR:true">N</U>ame: </LABEL>
<INPUT TYPE="text"
ID="oName"
SIZE="25"
ACCESSKEY="N"
VALUE="Your name here">

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, I, IFRAME, INS, KBD, LABEL, LEGEND, LI, LISTING, MENU, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TEXTAREA, TT, U, UL, VAR, XMP


ACCEPT Attribute | accept

ACCEPT Attribute | accept Property

Sets or retrieves a comma-separated list of content types.

Syntax

HTML | <INPUT ACCEPT = sAccept... >
Scripting | INPUT.accept(v) [ = sAccept ]

Possible Values

sAccept String that specifies or receives comma-separated list of content types.

The property is read/write. The property has no default value.

Remarks

The information from the list can be used to filter out nonconforming files when prompting a user to select files to be sent to the server using the <INPUT> element with type="file".

Examples of content types include "text/html", "image/png", "image/gif", "video/mpeg", "audio/basic", "text/tcl", "text/javascript", and "text/vbscript". For the current list of registered Multipurpose Internet Mail Extensions (MIME) types, see MIME types Non-Microsoft link.

There is no functionality implemented for this property unless defined by the author.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

INPUT


ACCEPTCHARSET Attribute | acceptCharset

ACCEPTCHARSET Attribute | acceptCharset Property

Sets or retrieves a list of character encodings for input data that must be accepted by the server processing the form.

Syntax

HTML | <FORM ACCEPTCHARSET = sChar... >
Scripting | FORM.acceptCharset(v) [ = sChar ]

Possible Values

sChar String that specifies or receives a space- and/or comma-delimited list of charset values.
UTF-8 If the user enters characters that are not in the character set of the document containing the form, the UTF-8 character set will be used. UTF-8 is the preferred format for multilingual text.

The property is read/write. The property has no default value.

Remarks

If the this attribute is not specified, the form will be submitted in the character encoding specified for the document. If the form includes characters outside the character set specified for the document, Microsoft® Internet Explorer will attempt to determine an appropriate character set. If an appropriate character set cannot be determined, then the characters outside of the character set will be encoded as an HTML numeric character reference. For more information on character sets and numerical character references, see HTML Character Sets.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

FORM


ACCESSKEY Attribute | accessKey

ACCESSKEY Attribute | accessKey Property

Sets or retrieves the accelerator key for the object.

Syntax

HTML | <ELEMENT ACCESSKEY = sAccessKey... >
Scripting | object.accessKey [ = sAccessKey ]

Possible Values

sAccessKey String that specifies or receives a key on an alphanumeric keyboard.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

By default, the accessKey property sets focus to the object. The object receives focus when the user simultaneously presses the ALT key and the accelerator key assigned to an object. Some controls perform an action after receiving focus. For example, using accessKey on a input type=button causes the onclick event to fire. By comparison, applying the accessKey on a radio button causes the onclick event to fire and toggles the checked property, visibly selecting or deselecting the control.

As of Microsoft® Internet Explorer 5, some scoped elements do not implicitly support the accessKey property. Instead, they support the property by setting the TABINDEX attribute to any valid negative or positive integer.

Note For elements that are not tab stops by default, such as a SPAN, the tabIndex property must be set on the element for the accessKey property to function.

Example

This example uses the label object and the accessKey property to set focus on a text box. The rich text support in the label object makes it possible to underline the designated accessKey.

<LABEL FOR="fp1" ACCESSKEY="1">#<SPAN style="text-decoration:underline;">1</SPAN>:
Press Alt+1 to set focus to textbox</LABEL>
<INPUT TYPE="text" NAME="T1" VALUE=text1 SIZE="20"
TABINDEX="1" ID="fp1">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


ACTION Attribute | action

ACTION Attribute | action Property

Sets or retrieves the URL to which the form content is sent for processing.

Syntax

HTML | <ELEMENT ACTION = sURL... >
Scripting | object.action [ = sURL ]

Possible Values

sURL String that specifies or receives the URL to use. If a relative path is specified, the base URL of the document is assumed.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The way the data is submitted depends on the value of the method and encoding properties.

Examples

This example uses the ACTION attribute to post a form to a specified URL.

<HTML>
<FORM ACTION="http://example.microsoft.com/sample.html"
METHOD="POST">
Enter your name: <INPUT NAME="FName"><BR>
Favorite Ice Cream Flavor:
<SELECT NAME="Flavor">
<OPTION VALUE="Chocolate">Chocolate
<OPTION VALUE="Strawberry">Strawberry
<OPTION VALUE="Vanilla" SELECTED>Vanilla
</SELECT>
<P><INPUT TYPE=SUBMIT>
</FORM>
</HTML>

This example uses the ACTION attribute to specify a URL for the mailto protocol.

<form ACTION="mailto:sales@widgets.com" method=GET>
<input name=subject type=hidden
value="Widget%20Product%20Information%20Request">
Enter your full mailing address<BR>
<TextArea name=body cols=40></textarea>
<input type=submit value="Send Request"
</form>

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

FORM, ISINDEX


activeElement

activeElement Property

Retrieves the object that has the focus when the parent document has focus.

Syntax

[ oActive = ] document.activeElement

Possible Values

oActive Object that receives the element that has the focus.

The property is read-only. The property has no default value.

Remarks

Set the active element with the setActive or focus methods. Using the setActive method has no effect on document focus. Using the focus method on an individual element causes the element to gain focus and become the active element.

The active element retains focus in the parent document even when focus is shifted from the parent to another application. If the focus returns to the parent document, focus also returns to the same active element.

Note For versions of Microsoft® Internet Explorer 5 and later, the activeElement property is not defined until a document is loaded. A value of null is given for this property if accessed inline during the loading of a document. However, this property can be accessed from within the onload event handler function.
Note Internet Explorer 4.0 returns body as the activeElement when accessed inline during the loading of a document.

Standards Information

There is no public standard that applies to this property.

Applies To

document


ADDITIVE Attribute | additive

ADDITIVE Attribute | additive Property

Sets or retrieves a value that indicates whether the animation is additive with other animations.

Syntax

HTML | <ELEMENT ADDITIVE = sType... >
Scripting | object.additive(val) [ = sType ]

Possible Values

sType String that specifies or receives one of the following values:
replace | Default. The animation overrides the underlying value of the attribute and other lower priority animations.
sum | The animation adds to the underlying value of the attribute and other lower priority animations.

The property is read/write. The property has a default value of replace.

Remarks

Attribute types such as strings and Booleans, for which addition is not defined, cannot support additive animation.

The attribute values to and by, used to describe the animation function, can override the additive attribute in certain cases. If by is used without from, the animation is defined to be additive. This is the equivalent of additive="sum". However, if to is used without from and if the attribute supports addition, the animation is defined to be a hybrid of additive and non-additive. The underlying value is used as a starting point as with additive animation; however, the ending value specified by the to attribute overrides the underlying value as though the animation was non-additive.

The accumulate attribute should not be confused with the additive attribute. The additive attribute defines how an animation is combined with other animations and the base value of the attribute. The accumulate attribute defines only how the animation function interacts with itself, across repeat iterations.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION

See Also

Introduction to HTML+TIME


ALIGN Attribute | align

ALIGN Attribute | align Property

Sets or retrieves how the object is aligned with adjacent text.

Syntax

HTML | <ELEMENT ALIGN = sAlign... >
Scripting | object.align [ = sAlign ]

Possible Values

sAlign String that specifies or receives one of the following values:
absbottom | Aligns the bottom of the object with the absolute bottom of the surrounding text. The absolute bottom is equal to the baseline of the text minus the height of the largest descender in the text.
absmiddle | Aligns the middle of the object with the middle of the surrounding text. The absolute middle is the midpoint between the absolute bottom and text top of the surrounding text.
baseline | Aligns the bottom of the object with the baseline of the surrounding text.
bottom | Aligns the bottom of the object with the bottom of the surrounding text. The bottom is equal to the baseline minus the standard height of a descender in the text.
left | Default. Aligns the object to the left of the surrounding text. All preceding and subsequent text flows to the right of the object.
middle | Aligns the middle of the object with the surrounding text.
right | Aligns the object to the right of the surrounding text. All subsequent text flows to the left of the object.
texttop | Aligns the top of the object with the absolute top of the surrounding text. The absolute top is the baseline plus the height of the largest ascender in the text.
top | Aligns the top of the object with the top of the text. The top of the text is the baseline plus the standard height of an ascender in the text.

The property is read/write. The property has a default value of left.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This attribute applies only to the input type=image. It is undefined for all other input types.

Standards Information

This property is deprecated in HTML Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

APPLET, EMBED, FIELDSET, IMG, INPUT, INPUT type=image, OBJECT, SELECT


ALIGN Attribute | align

ALIGN Attribute | align Property

Sets or retrieves the alignment of the caption or legend.

Syntax

HTML | <ELEMENT ALIGN = sAlign... >
Scripting | object.align [ = sAlign ]

Possible Values

sAlign String that specifies or receives one of the following values.
bottom | Aligns bottom-center.
center | Aligns center.
left | Aligns left.
right | Aligns right.
top | Aligns top-center.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The legend tag is used only within a fieldSet tag. The contents of the legend tag are displayed by overwriting the information in the top border of the fieldSet.

The caption tag is used only within a table tag. Its contents are displayed centered above the table and do not interact with the table border.

Standards Information

This property is deprecated in HTML Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

CAPTION, LEGEND


ALIGN Attribute | align

ALIGN Attribute | align Property

Sets or retrieves a value that indicates the table alignment.

Syntax

HTML | <ELEMENT ALIGN = sAlign... >
Scripting | object.align [ = sAlign ]

Possible Values

sAlign String that specifies or receives one of the following values.
left | Aligns to the left edge of the available space.
center | Aligns to the center of the available space, which is not necessarily the same as the browser window.
right | Aligns to the right edge of the available space.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

If the align property is not set on the object, the table is aligned to the left edge of the available space as a block element. If the property is set to left or right, however, the table is aligned as a "floating" object. Successive text and other elements flow to the right of the table if align is set to left, or to the left of the table if align is set to right. For more information, see the styleFloat property.

Standards Information

This property is deprecated in HTML Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TABLE, IFRAME


ALIGN Attribute | align

ALIGN Attribute | align Property

Sets or retrieves the alignment of the object relative to the display or table.

Syntax

HTML | <ELEMENT ALIGN = sAlign... >
Scripting | object.align [ = sAlign ]

Possible Values

sAlign String that specifies or receives one of the following values.
center | Aligns to the center.
justify | Aligns to the left and right edge.
left | Default. Aligns to the left edge.
right | Aligns to the right edge.

The property is read/write. The property has a default value of left.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The default value for the th element is center.

The justify possible value is available only for the div, hn, and p elements.

Standards Information

This property is deprecated in HTML Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

COL, COLGROUP, DIV, hn, HR, P, TBODY, TD, TFOOT, TH, THEAD, TR


ALINK Attribute | aLink

ALINK Attribute | aLink Property

Sets or retrieves the color of all active links in the element.

Syntax

HTML | <BODY ALINK = sColor... >
Scripting | BODY.aLink [ = sColor ]

Possible Values

sColor Variant that specifies or receives one of the color names or hexadecimal color values in the Color Table.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Some browsers do not recognize color names, but all browsers should recognize RGB color values and display them correctly.

Standards Information

This property is deprecated in HTML Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

BODY


alinkColor

alinkColor Property

Sets or retrieves the color of all active links in the document.

Syntax

document.alinkColor(v) [ = vColor ]

Possible Values

vColor Variant that specifies or receives one of the color names or RGB values in the Color Table.

The property is read/write. The property has a default value of #0000FF.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Some browsers do not recognize color names, but all browsers should recognize and correctly display RGB color values.

Standards Information

There is no public standard that applies to this property.

Applies To

document

See Also

linkColor, vlinkColor


ALLOWTRANSPARENCY Attribute | allowTransparency

ALLOWTRANSPARENCY Attribute | allowTransparency Property

Sets or retrieves whether the object can be transparent.

Syntax

HTML | <ELEMENT ALLOWTRANSPARENCY ... >
Scripting | object.allowTransparency(v) [ = bClear ]

Possible Values

bClear Boolean that specifies or receives one of the following values.
false | Default. Object is opaque. It cannot be transparent.
true | Object can be transparent.

The property is read/write. The property has a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

When the property is set to false, the backgroundColor property of the object can only be that of the window. When the property is set to true, the backgroundColor property of the object can be set to any value, including the default value of transparent.

Example

The following example shows four ways to use the allowTransparency attribute, with and without the background-color attribute. Because the allowTransparency attribute of Frame1 is set to true, Frame1 renders red, the background color of the parent document. The allowTransparency attribute of Frame2 is also set to true, however the background-color attribute of Frame2 is set to green, so Frame2 renders green. Because the allowTransparency attribute of Frame3 is set to false (the default value), Frame3 renders white, the color of the t:SRC document. The allowTransparency attribute of Frame4 is also set to false, so Frame4 renders white even though the background-color attribute of Frame4 is set to green.

<BODY STYLE="background-color: red">
<IFRAME ID="Frame1" SRC="transparentBody.htm" allowTransparency="true">
</IFRAME>
<IFRAME ID="Frame2" SRC="transparentBody.htm" allowTransparency="true"
STYLE="background-color: green">
</IFRAME>
<IFRAME ID="Frame3" SRC="transparentBody.htm">
</IFRAME>
<IFRAME ID="Frame4" SRC="transparentBody.htm"
STYLE="background-color: green">
</IFRAME>
</BODY>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to HTML Non-Microsoft link.

Applies To

FRAME, IFRAME


ALT Attribute | alt

ALT Attribute | alt Property

Sets or retrieves a text alternative to the graphic.

What's New for Microsoft® Internet Explorer 6

This property now applies to the object object.

Syntax

HTML | <ELEMENT ALT = sTxt... >
Scripting | object.alt [ = sTxt ]

Possible Values

sTxt String that specifies or receives the text to display as an alternative to the graphic.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The text is used to replace the graphic for text-only browsers and to display in the window before the graphic has loaded. The text also acts as a ToolTip if the TITLE attribute is not set when the user hovers the mouse over the graphic.

Alternate text should be provided whenever the graphic is not rendered. Alternate text is mandatory for Level 0 documents.

Example

This example uses the ALT attribute to indicate that the icon displayed denotes a read/write property.

<IMG SRC="http://example.microsoft.com/rw.gif" ALT="Read/Write Property">

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

OBJECT, APPLET, AREA, INPUT, INPUT type=image, IMG


altHTML

altHTML Property

Sets the optional alternative HTML script to execute if the object fails to load.

Syntax

HTML | N/A
Scripting | object.altHTML [ = sHTMLCode ]

Possible Values

sHTMLCode String that specifies alternative HTML code to execute.

The property is write-only. The property has no default value.

Standards Information

There is no public standard that applies to this property.

Applies To

APPLET, OBJECT


altKey

altKey Property

Retrieves a value that indicates the state of the ALT key.

Syntax

[ bAltKeyDown = ] event.altKey

Possible Values

bAltKeyDown Boolean that receives one of the following values.
false | ALT key is not pressed.
true | ALT key is pressed.

The property is read-only. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

There is no public standard that applies to this property.

Applies To

event

See Also

altLeft


altLeft

altLeft Property

Retrieves a value that indicates the state of the left ALT key.

Syntax

[ bPressed = ] event.altLeft

Possible Values

bPressed Boolean that receives one of the following values.
false | Left ALT key is not pressed.
true | Left ALT key is pressed.

The property is read-only. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This property is currently supported only in Microsoft® Windows NT® 4.0 and Microsoft Windows® 2000.

The document must have focus for this property to return true.

No altRight property is available. Authors can test for the right ALT key by using the altKey and altLeft properties.

Example

The following example shows how to use the altLeft property to indicate when the user presses the left or right ALT keys.

<HEAD>
<SCRIPT>
function init() {
spanLeftAlt.innerText='false';
spanRightAlt.innerText='false';
}
function indicate(obj, arg) {
obj.innerText=arg;
}
function AltDown() {
if (event.altLeft) {
indicate(spanLeftAlt,'true');
}
else {
if (event.altKey) {
indicate(spanRightAlt,'true');
}
}
}
function AltUp() {
if (!event.altKey) {
indicate(spanLeftAlt,'false');
indicate(spanRightAlt,'false');
}
}
</SCRIPT>
</HEAD>
<BODY onload="document.body.focus(); init()" onkeydown="AltDown();" onkeyup="AltUp();">
<P>Press either the left or right ALT key.</P>
<TABLE>
<TR>
<TD><I>Left ALT Key Pressed</I></TD>
<TD><I>Right ALT Key Pressed</I></TD>
</TR>
<TR>
<TD ALIGN="center"><SPAN ID="spanLeftAlt"></SPAN></TD>
<TD ALIGN="center"><SPAN ID="spanRightAlt"></SPAN></TD>
</TR>
</TABLE>
</P>
</BODY>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

event

See Also

altKey


appCodeName

appCodeName Property

Retrieves the code name of the browser.

Syntax

[ sCodeName = ] object.appCodeName

Possible Values

sCodeName String that receives the browser's code name, or the following value:
Mozilla Default. Returned by Microsoft® Internet Explorer and Netscape Navigator.

The property is read-only. The property has a default value of Mozilla.

Standards Information

There is no public standard that applies to this property.

Applies To

clientInformation, navigator

See Also

appMinorVersion, appName, appVersion, userAgent


APPLICATION

APPLICATION Attribute

Indicates whether the content of the object is an HTML Application (HTA) and, therefore, exempt from the browser security model.

Syntax

HTML | <ELEMENT APPLICATION=bApplication ... >
Scripting | N/A

Possible Values

bApplication Boolean that specifies whether the content is trusted or untrusted based on the browser security model.
no | Default. Browser security rules for unsafe content are applied; thus, all content of the frame or iframe is untrusted.
yes | All content of the frame or iframe is trusted.

Remarks

The APPLICATION attribute can be used only in HTAs.

You can use the APPLICATION attribute to control the content of your Web pages. For example, you can use the attribute to create an HTA that has one frame that accesses unsafe content, such as Internet URLs, and another frame that accesses safe content. You can also use the attribute for cross-domain scripting between HTA-enabled frames.

A nested frame or iframe requires each container frame to be HTA-enabled (for example, APPLICATION="yes") for the innermost frame or iframe to accept the value of APPLICATION="yes". Take, for instance, an iframe that contains a frameset. Each frame within the frameset qualifies as being nested. For the innermost frame to be considered safe, it and each parent frame must be declared as APPLICATION="yes".

HTAs are designed to prevent each untrusted HTML frame and iframe from having script access to the HTA that contains them. In the case of a non-HTA-enabled frame, the highest-level frame comprises the top window for each frame that it contains. The window.top and window.self are the same for that frame. In addition, an unsafe frame or iframe receives neither a referrer nor an opener URL from the parent HTA. This means frame or iframe is not affected by the parent window of the containing HTA.

Standards Information

There is no public standard that applies to this attribute.

Applies To

FRAME, IFRAME

See Also

Introduction to HTML Applications (HTAs), HTML Applications Reference


APPLICATIONNAME Attribute | applicationName

APPLICATIONNAME Attribute | applicationName Property

Sets or retrieves the name of the HTML Application (HTA).

Syntax

HTML | <HTA:APPLICATION APPLICATIONNAME = sAppName... >
Scripting | [ sAppName = ] HTA:APPLICATION.applicationName

Possible Values

sAppName String that specifies the application name.

The property is read-only. The property has no default value.

Remarks

Note The applicationName property is read-only; however, the APPLICATIONNAME attribute can be used to set the initial value.

When set to true, the singleInstance property checks the applicationName value before launching an instance of the application. For this check to be valid, the applicationName property must have a unique value assigned to it. You can use the applicationName property to identify a single application, regardless of the URL used to access it.

Example

This example shows how to retrieve the applicationName property.

<HTML>
<HEAD>
<HTA:APPLICATION ID="oHTA"
APPLICATIONNAME="myApp"
>
<SCRIPT>
alert("applicationName    = " + oHTA.applicationName);
</SCRIPT>
</HEAD>
<BODY SCROLL="no">
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

HTA:APPLICATION

See Also

Introduction to HTML Applications (HTAs)


appMinorVersion

appMinorVersion Property

Retrieves the application's minor version value.

Syntax

[ iMinorVersion = ] object.appMinorVersion

Possible Values

iMinorVersion String that receives the browser's minor version.

The property is read-only. The property has no default value.

Standards Information

There is no public standard that applies to this property.

Applies To

clientInformation, navigator

See Also

appCodeName, appName, appVersion, userAgent


appName

appName Property

Retrieves the name of the browser.

Syntax

[ sAppName = ] object.appName

Possible Values

sAppName String that receives one of the following values.
Microsoft Internet Explorer | Default. Returned by Microsoft® Internet Explorer.
Netscape | Returned by Netscape Navigator.

The property is read-only. The property has a default value of Microsoft Internet Explorer.

Standards Information

There is no public standard that applies to this property.

Applies To

clientInformation, navigator

See Also

appCodeName, appMinorVersion, appVersion, userAgent


appVersion

appVersion Property

Retrieves the platform and version of the browser.

Syntax

[ sVersion = ] object.appVersion

Possible Values

sVersion String that receives information about the browser's platform and version.

The property is read-only. The property has no default value.

Remarks

The appVersion property returns a value based on the browser name, browser version, and platform. This syntax shows the format of the returned value.

clientVersion (platform; information; extraInformation)
or
5.0 (compatible; MSIE 5.5; Windows 98; Win 9x 4.90)

Standards Information

There is no public standard that applies to this property.

Applies To

clientInformation, navigator

See Also

appCodeName, appMinorVersion, appName, userAgent


ARCHIVE Attribute | archive

ARCHIVE Attribute | archive Property

Sets or retrieves a character string that can be used to implement your own archive functionality for the object.

Syntax

HTML | <ELEMENT ARCHIVE = sArch... >
Scripting | object.archive(v) [ = sArch ]

Possible Values

sArch String that specifies or receives the value for the archive property.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

There is no functionality implemented for this property unless defined by the author.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

OBJECT, APPLET


ATOMICSELECTION

ATOMICSELECTION Attribute

Specifies whether the element and its contents must be selected as a whole, indivisible unit.

Syntax

HTML | <ELEMENT ATOMICSELECTION=bAtomicSelection ... >
Scripting | N/A

Possible Values

bAtomicSelection Boolean that specifies the following values.
false | Default. The element's content can be selected individually.
true | The element and its content may only be selected as a single unit.

Remarks

If the document is not in atomic selection mode, the ATOMICSELECTION attribute is ignored. Turn on the atomic selection mode by executing the IDM_ATOMICSELECTION command with the value of true.

Documents in atomic selection mode will have slower performance when selections are made anywhere on the document.

Standards Information

This attribute is a Microsoft extension to HTML Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, nextID, NOBR, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TEXTAREA, TFOOT, THEAD, TD, TH, TT, U, UL, VAR, XMP, TR, COL, COLGROUP

See Also

Using the MSHTML Editor's Extra Features


attributeCount

attributeCount Property

Retrieves the count of the attributes associated with the media object.

Syntax

[ iCount = ] object.attributeCount

Possible Values

iCount Integer that receives the count of the attributes associated with the media object.

The property is read-only. The property has no default value.

Remarks

If no media is currently playing in the Media Bar, any attempt to access media attribute information with getItemInfo, getAttributeName, or attributeCount returns a script error.

Applies To

PlaylistInfo, MediaItem


AUTOCOMPLETE Attribute | autocomplete

AUTOCOMPLETE Attribute | autocomplete Property

Sets or retrieves the status of AutoComplete for the object.

Syntax

HTML | <ELEMENT AUTOCOMPLETE = sDisabled... >
Scripting | object.autocomplete(v) [ = sDisabled ]

Possible Values

sDisabled String that specifies or receives one of the following values.
off | AutoComplete is disabled.
on | AutoComplete is enabled. Any string other than off enables AutoComplete.

The property is read/write. The property has no default value.

Remarks

The AutoComplete feature is highlighted in the Using AutoComplete in HTML Forms overview.

When AutoComplete is enabled, suggestions are provided for the VALUE of a text field. Suggested values are mapped values based on the NAME attribute or vCard schema specified by the VCARD_NAME attribute.

If AutoComplete is disabled, values are not stored and suggested values are not presented.

While values in input type=password elements can be mapped for AutoComplete, the ability to store this information can be disabled in the browser, and the user is prompted for a confirmation before the value is stored.

Information provided by the AutoComplete feature is not exposed to the object model, and is not visible to a Web page until the user selects one of the suggestions as a value for the text field.

This attribute is not supported in HTML Applications (HTAs).

Example

This example uses the AUTOCOMPLETE attribute to disable the AutoComplete feature.

<INPUT TYPE="password" AUTOCOMPLETE="off">

Standards Information

This property is a Microsoft extension to HTMLs Non-Microsoft link.

Applies To

INPUT type=password, INPUT type=text, FORM


availHeight

availHeight Property

Retrieves the height of the working area of the system's screen, excluding the Microsoft® Windows® taskbar.

Syntax

[ iHeight = ] screen.availHeight

Possible Values

iHeight Integer that receives the available screen height, in pixels.

The property is read-only. The property has no default value.

Standards Information

There is no public standard that applies to this property.

Applies To

screen

See Also

availWidth, height


availWidth

availWidth Property

Retrieves the width of the working area of the system's screen, excluding the Microsoft® Windows® taskbar.

Syntax

[ iWidth = ] screen.availWidth

Possible Values

iWidth Integer that receives the available screen width, in pixels.

The property is read-only. The property has no default value.

Standards Information

There is no public standard that applies to this property.

Applies To

screen

See Also

availHeight, width


AXIS Attribute | axis

AXIS Attribute | axis Property

Sets or retrieves a comma-delimited list of conceptual categories associated with the object.

Syntax

HTML | <ELEMENT AXIS = sCategories... >
Scripting | object.axis(v) [ = sCategories ]

Possible Values

sCategories String that specifies or receives a list of categories.

The property is read/write. The property has no default value.

Remarks

This property can be used for rendering to non-visual media such as speech or Braille. It can also be used for querying cells that belong to certain categories or to generate a table of contents.

There is no functionality implemented for this property unless defined by the author.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TD, TH


background Attribute | background

background Attribute | background Property

Sets or retrieves up to five separate background properties of the object.

Syntax

HTML | { background : sBackground }
Scripting | object.style.background [ = sBackground ]

Possible Values

sBackground String that specifies or receives up to five of the following space-delimited values, in any order:
color | Any of the range of color values available to the backgroundColor property.
image | Any of the range of image values available to the backgroundImage property.
repeat | Any of the range of repeat values available to the backgroundRepeat property.
attachment | Any of the range of attachment values available to the backgroundAttachment property.
position | Any of the range of position values available to the backgroundPosition property.

The property is read/write. The property has a default value of transparent none repeat scroll 0% 0%. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The background property is a composite property. Separate properties can be used to specify each property, but in many cases it is more convenient to set them in one place using this composite property.

Individual background properties not set by the composite background property are set to their default values. For example, the default value for image is none. Setting background: white is equivalent to setting background: white?SPAN CLASS="clsLiteral">none?SPAN CLASS="clsLiteral">repeat?SPAN CLASS="clsLiteral">scroll?SPAN CLASS="clsLiteral">0%?SPAN CLASS="clsLiteral">0%. So, in addition to setting the background color to white, setting background: white clears any image, repeat, attachment, or position values previously set.

The background properties render in the object's content and padding; however, borders are set using the border properties.

In Microsoft® Internet Explorer 3.0, elements that expose the background property only support the color and image values; the attachment value is only supported by the body, table, and td elements. In block elements, such as p and div, background images and colors appear only behind text in Internet Explorer 3.0; in Internet Explorer 4.0 and later, backgrounds stretch from margin to margin when used with block elements.

Although objects do not inherit the background property, the background image or color of an object's parent appears behind an object if a background is not specified.

For more information about supported colors, see the Color Table.

Examples

The following examples use the background property and the background attribute to set the background values.

This example uses inline event handlers to modify the background-color and background-position attributes of an image. These attributes are specified in an embedded style sheet using the background attribute.

<STYLE>
.style1{background:beige url(sphere.jpg) no-repeat top center}
.style2{background:ivory url(sphere.jpeg) no-repeat bottom right}
</STYLE>
</HEAD>
<BODY>
<SPAN onmouseover="this.className='style1'"
onmouseout="this.className='style2'">
. . .  </SPAN>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to modify the backgroundColor and backgroundPosition properties of an image.

<SPAN onclick="this.style.background='beige url(sphere.jpeg)
no-repeat top center'">
. . . </SPAN>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link and is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, defaults, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, NOBR, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


BACKGROUND Attribute | background

BACKGROUND Attribute | background Property

Sets or retrieves the background picture tiled behind the text and graphics on the page.

Syntax

HTML | <BODY BACKGROUND = sURL... >
Scripting | BODY.background [ = sURL ]

Possible Values

sURL String that specifies or receives the URL of the file to use as the background picture for the page.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

This property is deprecated in HTML Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

BODY


BACKGROUND Attribute | background

BACKGROUND Attribute | background Property

Sets or retrieves the background picture tiled behind the text and graphics in the object.

Syntax

HTML | <ELEMENT BACKGROUND = sURL... >
Scripting | object.background [ = sURL ]

Possible Values

sURL String that specifies or receives the URL of the file to use as the background picture.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

This property is a Microsoft extension to HTML Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TABLE, TD, TH


background-attachment Attribute | backgroundAttachment

background-attachment Attribute | backgroundAttachment Property

Internet Development Index

Sets or retrieves how the background image is attached to the object within the document.

Syntax

HTML | { background-attachment : sAttachment }
Scripting | object.style.backgroundAttachment [ = sAttachment ]

Possible Values

sAttachment String that specifies or receives one of the following values.
scroll | Default. Background image scrolls with the object as the document is scrolled.
fixed | Background image stays fixed within the viewable area of the object.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of scroll. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This property can be set with the other background properties by using the background composite property.

Microsoft® Internet Explorer 3.0 supports the background-attachment attribute, but only when it's set by using the background attribute.

Examples

The following examples use the background-attachment attribute and the backgroundAttachment property to set the background to "fixed", so that the background does not scroll with the text.

This example uses an inline style sheet to set the background to fixed.

<STYLE >
BODY { background-attachment:fixed }
</STYLE>
</HEAD>
<BODY background="some.jpg">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to set the background to fixed.

<BODY ID="oBdy" background="marble05.jpg"
onload="oBdy.style.backgroundAttachment = 'fixed'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, defaults, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, hn, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LAYOUTRECT, LEGEND, LI, LISTING, MARQUEE, MENU, OL, OPTION, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


background-color Attribute | backgroundColor

background-color Attribute | backgroundColor Property

Sets or retrieves the color behind the content of the object.

Syntax

HTML | { background-color : sColor }
Scripting | object.style.backgroundColor [ = sColor ]

Possible Values

sColor Variant that specifies or receives one of the following values.
transparent | Default. Color of the next parent object through which the background is visible.
color | Any color value, including those specified in the Color Table.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of transparent. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This property can be set with the other background properties by using the background composite property.

Microsoft® Internet Explorer 3.0 supports the background-color attribute, but only when it's set by using the background attribute.

Examples

The following examples use the background-color attribute and the backgroundColor property to specify the background color.

This example uses an inline style sheet to set the background color to beige.

<SPAN STYLE="font-size:14; background-color:beige">
. . . </SPAN>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to set the background color to beige.

<SPAN onmouseover="this.style.backgroundColor='beige'">
. . . </SPAN>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, defaults, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, hn, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, NOBR, OL, OPTION, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


background-image Attribute | backgroundImage

background-image Attribute | backgroundImage Property

Sets or retrieves the background image of the object.

Syntax

HTML | { background-image : sLocation }
Scripting | object.style.backgroundImage [ = sLocation ]

Possible Values

sLocation String that specifies or receives one of the following values.
none | Default. Color of the next parent through which the background is visible.
url(sUrl) | Location of the background image, where sUrl is an absolute or relative URL.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of none. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The URL identifies the image file. When setting a background image, you can set a background color to use when the image is unavailable. When the image is available, it overlays the background color.

This property can be set with other background properties by using the background composite property.

Microsoft® Internet Explorer 3.0 supports the background-image attribute, but only when it's set through the background attribute.

Examples

The following examples use the background-image attribute and the backgroundImage property to specify the background's image.

This example uses a call to an embedded (global) style sheet to show and hide the background image.

<STYLE>
.setUrl  { background-image: url(sphere.jpg) }
.loseUrl { background-image: url(none) }
</STYLE>
</HEAD>
<BODY>
<SPAN STYLE="font-size:14" onmouseover="this.className='setUrl'"
onmouseout="this.className='loseUrl'">
. . . </SPAN>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to show and hide the background image.

<SPAN onmouseover="this.style.backgroundImage='url(sphere.jpeg)'">
. . . </SPAN>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, defaults, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, NOBR, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


background-position Attribute | backgroundPosition

background-position Attribute | backgroundPosition Property

Sets or retrieves the position of the background of the object.

Syntax

HTML | { background-position : sPosition }
Scripting | object.style.backgroundPosition [ = sPosition ]

Possible Values

sPosition String that specifies or receives one or two of the following values.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units Reference.
percentage | Integer, followed by a percent sign (%). The value is a percentage of the width or height of the object.
vAlignment Vertical alignment value. Possible values include the following:
top | Vertical alignment is at the top.
center | Vertical alignment is centered.
bottom | Vertical alignment is at the bottom.
hAlignment Horizontal alignment value. Possible values include the following:
left | Horizontal alignment is to the left.
center | Horizontal alignment is centered.
right | Horizontal alignment is to the right.

The property is read/write. The property has a default value of 0% 0%. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

If only one value is set, that value applies to the horizontal coordinate, and the vertical is set to 50%. If both values are set, the first value applies to the horizontal coordinate and the second value applies to the vertical.

Setting the values to 0% 0% positions the backgroundImage to the upper left corner of the element's content excluding the padding.

Specifying right center has the following effect: because right is assumed to be an x-coordinate direction, right overwrites the center value, and the background shifts right accordingly.

This property can be set with the other background properties using the background composite property.

Examples

The following examples use the background-position attribute and the backgroundPosition property to specify the position of a background image.

This example uses a call to an embedded (global) style sheet to move the sphere.

<STYLE>
.style1 { background-position:top center }
.style2 { background-position:bottom right }
</STYLE>
</HEAD>
<BODY onload="oSpan.className='style1'">
<SPAN STYLE="font-size:14; width:250;" ID="oSpan"
onmouseover="this.className='style2'" onmouseout="this.className='style1'">
. . . </SPAN>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses an inline style to move the sphere.

<SPAN onmouseover="this.style.backgroundPosition='bottom right'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, defaults, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


background-position-x Attribute | backgroundPositionX

background-position-x Attribute | backgroundPositionX Property

Internet Development Index

Sets or retrieves the x-coordinate of the backgroundPosition property.

Syntax

HTML | { background-position-x : iPositionX }
Scripting | object.style.backgroundPositionX [ = iPositionX ]

Possible Values

iPositionX Variant that specifies or receives one of the following values.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units Reference.
percentage | Integer, followed by a percent sign (%). The value is a percentage of the width or height of the object.
hAlignment Horizontal alignment value. Possible values include the following:
left | Horizontal alignment is to the left.
center | Horizontal alignment is centered.
right | Horizontal alignment is to the right.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of 0%. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

This property is a Microsoft extension to Cascading Style Sheets (CSS) Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MARQUEE, MENU, META, nextID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

backgroundPositionY


background-position-y Attribute | backgroundPositionY

background-position-y Attribute | backgroundPositionY Property

Internet Development Index

Sets or retrieves the y-coordinate of the backgroundPosition property.

Syntax

HTML | { background-position-y : iPositionY }
Scripting | object.style.backgroundPositionY [ = iPositionY ]

Possible Values

iPositionY Variant that specifies or receives one of the following values.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units Reference.
percentage | Integer, followed by a percent sign (%). The value is a percentage of the width or height of the object.
vAlignment Vertical alignment value. Possible values include the following:
top | Vertical alignment is at the top.
center | Vertical alignment is centered.
bottom | Vertical alignment is at the bottom.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of 0%. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

This property is a Microsoft extension to Cascading Style Sheets (CSS) Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MARQUEE, MENU, META, nextID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

backgroundPositionX


background-repeat Attribute | backgroundRepeat

background-repeat Attribute | backgroundRepeat Property

Sets or retrieves how the backgroundImage property of the object is tiled.

Syntax

HTML | { background-repeat : sRepeat }
Scripting | object.style.backgroundRepeat [ = sRepeat ]

Possible Values

sRepeat String that specifies or receives one of the following values.
repeat | Default. Image is repeated horizontally and vertically.
no-repeat | Image is not repeated.
repeat-x | Image is repeated horizontally.
repeat-y | Image is repeated vertically.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of repeat. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The repeat-x and repeat-y values make the image repeat horizontally and vertically, respectively, creating a single band of images from one side to the other.

This property can be set with other background properties by using the background composite property.

Examples

The following examples use the background-repeat attribute and the backgroundRepeat property to specify whether the background image is tiled.

This example uses a call to an embedded (global) style sheet to tile the image.

<STYLE>
.style1 { background-image:url(sphere.jpg);
background-repeat:repeat }
.style2 { background-image:url(sphere.jpeg);
background-repeat:no-repeat }
</STYLE>
</HEAD>
<BODY>
<SPAN onmouseover="this.className='style1'"
onmouseout="this.className='style2'" onclick="this.className=''">
. . . </SPAN>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example shows how to use inline scripting to tile the image.

<SPAN onmouseover="this.style.backgroundImage='url(sphere.jpeg)';
this.style.backgroundRepeat='repeat'">
:
</SPAN>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, defaults, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, NOBR, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


BALANCE Attribute | balance

BALANCE Attribute | balance Property

Sets or retrieves the value indicating how the volume of the background sound is divided between the left and right speakers.

Syntax

HTML | <BGSOUND BALANCE = iBalance... >
Scripting | BGSOUND.balance [ = iBalance ]

Possible Values

iBalance Variant that specifies or receives a value within the -10,000 to +10,000 range. A -10,000 value indicates that all sound is directed to the left speaker. A +10,000 value indicates that all sound is directed to the right speaker. A zero value indicates that the sound is balanced between the left and right speakers.

The property is read/write. The property has a default value of 0.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

There is no public standard that applies to this property.

Applies To

BGSOUND


Banner

Banner Property

Retrieves the Banner content of an entry in an Advanced Stream Redirector (ASX) file.

Syntax

HTML | N/A
Scripting | [ sBanner = ] object.playList.activeTrack.Banner

Possible Values

sBanner String that receives the Banner content of an entry in an ASX file.

The property is read-only. The property has no default value.

Remarks

The property is read-only in Internet Explorer 6.

Examples

This is an example entry in an ASX file.

<ASX Version="1.0" PreviewMode="No" >
<entry>
<title>First title</title>
<author>Unknown 1</author>
<copyright>1998</copyright>
<abstract>WAV File</abstract>
<ref href=""/>
<banner href = "first_title.gif" >
<moreinfo href = "first_title.doc" />
<abstract>Visit the first abstract Web site</abstract>
</banner>
</entry>
</asx>

The following example demonstrates how to retrieve the Banner content.

...
function updateFields(){
//...
banner1.innerText = m1.playList.activeTrack.Banner;
bannerabstract1.innerText = m1.playList.activeTrack.BannerAbstract;
bannermoreinfo1.innerText = m1.playList.activeTrack.BannerMoreInfo;
}
...
<t:media id="m1" src="/workshop/samples/author/behaviors/media/media.asx"
onmediacomplete="updateBtns();updateFields();"
ontrackchange="trackChange();"/>
...
<B>Banner:</B>&nbsp;&nbsp;<SPAN id="banner1"></SPAN>
<BR>
<B>Abstract for banner:</B>&nbsp;&nbsp;<SPAN id="bannerabstract1"></SPAN>
<BR>
<B>More information on banner:</B>&nbsp;&nbsp;<SPAN id="bannermoreinfo1"></SPAN>
...
This feature requires Microsoft® Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

activeTrack, t:AUDIO, t:MEDIA, playList, t:REF, t:VIDEO


BannerAbstract

BannerAbstract Property

Retrieves the BannerAbstract content of an entry in an Advanced Stream Redirector (ASX) file.

Syntax

HTML | N/A
Scripting | [ sBannerAbstract = ] object.playList.activeTrack.BannerAbstract

Possible Values

sBannerAbstract String that receives the BannerAbstract content of an entry in an ASX file.

The property is read-only. The property has no default value.

Remarks

The property is read-only in Internet Explorer 6.

Examples

This is an example entry in an ASX file.

<ASX Version="1.0" PreviewMode="No" >
<entry>
<title>First title</title>
<author>Unknown 1</author>
<copyright>1998</copyright>
<abstract>WAV File</abstract>
<ref href=""/>
<banner href = "first_title.gif" >
<moreinfo href = "first_title.doc" />
<abstract>Visit the first abstract Web site</abstract>
</banner>
</entry>
</asx>

The following example demonstrates how to retrieve the BannerAbstract content.

...
function updateFields(){
//...
banner1.innerText = m1.playList.activeTrack.Banner;
bannerabstract1.innerText = m1.playList.activeTrack.BannerAbstract;
bannermoreinfo1.innerText = m1.playList.activeTrack.BannerMoreInfo;
}
...
<t:media id="m1" src="/workshop/samples/author/behaviors/media/media.asx"
onmediacomplete="updateBtns();updateFields();"
ontrackchange="trackChange();"/>
...
<B>Banner:</B>&nbsp;&nbsp;<SPAN id="banner1"></SPAN>
<BR>
<B>Abstract for banner:</B>&nbsp;&nbsp;<SPAN id="bannerabstract1"></SPAN>
<BR>
<B>More information on banner:</B>&nbsp;&nbsp;<SPAN id="bannermoreinfo1"></SPAN>
...
This feature requires Microsoft® Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

activeTrack, t:AUDIO, t:MEDIA, playList, t:REF, t:VIDEO


BaseHref

BaseHref Property

Retrieves a string of the URL where the object tag can be found. This is often the href of the document that the object is in, or the value set by a base element.

Syntax

HTML | N/A
Scripting | [ sURL = ] OBJECT.BaseHref

Possible Values

sURL String that receives the URL of the object.

The property is read-only. The property has no default value.

Remarks

Use the BaseHref property to resolve relative paths when locating an object. The following rules determine the resulting sURL .

  • If the object element is on a page containing a base element, then sURL takes the value of the base.href property.
  • If the?B>object element is on a page with javascript, vbscript or about?A HREF="../properties/protocol.html">protocol URLs, then?I>sURL takes the value of the current page's parent page URL. This applies to object.BaseHref property requests in iframe/ frame elements as well.
  • For all other object elements, sURL takes the value of the page they are found on.

Standards Information

There is no public standard that applies to this property.

Applies To

OBJECT


BEHAVIOR Attribute | behavior

BEHAVIOR Attribute | behavior Property

Sets or retrieves how the text scrolls in the marquee.

Syntax

HTML | <MARQUEE BEHAVIOR = sScroll... >
Scripting | MARQUEE.behavior [ = sScroll ]

Possible Values

sScroll String that specifies or receives one of the following values.
scroll | Default. Marquee scrolls in the direction specified by the direction property. The text scrolls off the end and starts over.
alternate | Marquee scroll direction reverses when its content reaches the edge of the container.
slide | Marquee scrolls in the direction specified by the direction property. The text scrolls to the end and stops.

The property is read/write. The property has a default value of scroll.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Example

This example moves a piece of text down the page using a marquee object.

<MARQUEE loop=1 height=200  width=740
style="position:absolute; top:0; left:10"
SCROLLAMOUNT=10 SCROLLDELAY=20 BEHAVIOR="SLIDE" DIRECTION="DOWN">
<UL>Use Dynamic HTML to differentiate your content and create
compelling Web sites
</UL>
</MARQUEE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is part of a proposed addition to Cascading Style Sheets (CSS) Non-Microsoft link.

Applies To

MARQUEE

See Also

How to Fly Text in DHTML


behavior Attribute | behavior

behavior Attribute | behavior Property

Sets or retrieves the location of the Introduction to DHTML Behaviors.

Syntax

HTML | { behavior : sBehavior }
Scripting | object.style.behavior [ = sBehavior ]

Possible Values

sBehavior String that specifies or receives one of the following values.
url(sLocation) | Script implementation of a Dynamic HTML (DHTML) behavior, where sLocation is an absolute or relative URL.
url(#objID) | Binary implementation of a DHTML behavior, where objID is the ID attribute specified in an object tag.
url(#default#behaviorName) | Microsoft® Internet Explorer?A HREF="../reference.html">default behavior, identified by its behaviorName.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has no default value. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

You can apply multiple behaviors to an element by specifying a space-delimited list of URLs for the behavior attribute, as shown in the following syntax:

<ELEMENT STYLE="behavior:url(a1.htc) url(a2.htc) ..." >

In the following section, one example demonstrates how you can apply two behaviors to an element to achieve a combination of effects. Conflicts resulting from applying multiple behaviors to an element are resolved based on the order in which the behavior is applied to the element. Each succeeding behavior takes precedence over the previous behavior. For example, if multiple behaviors set the element's color, the prevailing color is the one set by the behavior last applied to the element. The same rule applies in resolving name conflicts, such as with property, method, or event names exposed by multiple behaviors.

Once the behavior property is defined for the element, the addBehavior method can be used to dynamically attach additional behaviors to the element.

Note A behavior attached to an element by using the addBehavior method or by applying the proposed Cascading Style Sheets (CSS)?B>behavior attribute inline is not automatically detached from the element when the element is removed from the document hierarchy. However, a behavior attached using a style rule defined in the document is detached automatically as the element is removed from the document tree.

Examples

The following examples demonstrate various ways of applying the behavior property on a page.

This example implements an expanding and collapsing table of contents by applying the behavior as an inline style to the li element. In this case, two behaviors implemented as HTML Component (HTC) have been applied to the element to achieve a combination of mouseover highlighting and expanding/collapsing effect.

<UL>
<LI STYLE="behavior:url(ul.htc) url(hilite.htc)">HTML</LI>
<UL>
<LI><tla rid="tla_ie4"/> authoring tips</LI>
:
</UL>
</UL>

This example defines the behavior attribute in a separate style block.

<style>
.CollapsingAndHiliting {behavior:url(ul.htc) url(hilite.htc)}
</style>
<UL>
<LI CLASS="CollapsingAndHiliting">HTML</LI>
<UL>
<LI><tla rid="tla_ie4"/> authoring tips</LI>
:
</UL>
</UL>

This example sets the behavior property in script.

<SCRIPT>
function window.onload()
{
idTopic1.style.behavior = "url(ul.htc) url(hilite.htc)";
}
</SCRIPT>
:
<UL>
<LI ID=idTopic1>HTML Authoring</LI>
<UL>
<LI><tla rid="tla_ie4"/> authoring tips</LI>
:
</UL>
</UL>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

If the expanding/collapsing example were to use a DHTML behavior implemented in C++ as an Microsoft ActiveX® control, the code would look slightly different. In this example, the behavior attribute points to the id property of the object specified in the object element.

<STYLE>
.Collapsing { behavior:url(#myObject) }
</STYLE>
<OBJECT ID=myObject ... ></OBJECT>
<UL>
<LI CLASS="Collapsing">HTML Authoring</LI>
<UL>
<LI><tla rid="tla_ie4"/> authoring tips</LI>
:
</UL>
</UL>

Standards Information

This property is part of a proposed addition to CSS Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BGSOUND, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP

See Also

Using DHTML Behaviors


BGCOLOR

BGCOLOR Attribute

Sets the background color behind the object.

Syntax

HTML | <ELEMENT BGCOLOR=sColor ... >
Scripting | N/A

Possible Values

sColor String that specifies one of the color names or RGB values in the Color Table.

Remarks

Microsoft® JScript® supports the entire set of colors as color names and as their corresponding RGB values. However, JScript always returns the property as a string specifying the RGB color value, regardless of the format the value was set to.

Some browsers do not recognize color names, but all browsers should recognize RGB color values and display them correctly.

Standards Information

This attribute is a Microsoft extension to HTML Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

COL, COLGROUP

See Also

background, bgColor


BGCOLOR Attribute | bgColor

BGCOLOR Attribute | bgColor Property

Deprecated. Sets or retrieves the background color behind the object.

Syntax

HTML | <ELEMENT BGCOLOR = sColor... >
Scripting | object.bgColor [ = sColor ]

Possible Values

sColor Variant that specifies or receives one of the color names or RGB values in the Color Table.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Some browsers do not recognize color names, but all browsers should recognize RGB color values and display them correctly.

Standards Information

This property is deprecated in HTML Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

BODY, MARQUEE, TABLE, TBODY, TD, TFOOT, TH, THEAD, TR


bgColor

bgColor Property

Deprecated. Sets or retrieves a value that indicates the background color behind the object.

Syntax

document.bgColor [ = sColor ]

Possible Values

sColor Variant that specifies or receives one of the color names or RGB values in the Color Table.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Some browsers do not recognize color names, but all browsers should recognize RGB color values and display them correctly.

Applies To

document


BGPROPERTIES Attribute | bgProperties

BGPROPERTIES Attribute | bgProperties Property

Sets or retrieves the properties of the background picture.

Syntax

HTML | <BODY BGPROPERTIES = sProperties... >
Scripting | BODY.bgProperties [ = sProperties ]

Possible Values

sProperties String that specifies or receives one of the following values.
empty string | Default. Background can scroll.
fixed | Background is fixed and cannot scroll.

The property is read/write. The property has a default value of empty string.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The property, for example, specifies whether the picture is a fixed watermark or scrolls with the page. This attribute/property is supported only by Microsoft® Internet Explorer.

Example

This example uses a fixed background image for the page.

<BODY BACKGROUND="/ie/images/watermrk.gif" BGPROPERTIES="fixed"
BGCOLOR=#FFFFFF TEXT=#000000 LINK=#ff6600 VLINK=#330099>

Standards Information

There is no public standard that applies to this property.

Applies To

BODY


blockDirection

blockDirection Property

Retrieves a string value that indicates whether the content in the block element flows from left to right, or from right to left.

Syntax

HTML | N/A
Scripting | [ sFlowDirection = ] object.blockDirection

Possible Values

sFlowDirection String that receives one of the following values.
ltr | Content flows from left to right.
rtl | Content flows from right to left.

The property is read-only. The property has no default value.

Standards Information

There is no public standard that applies to this property.

Applies To

ADDRESS, BLOCKQUOTE, BODY, CENTER, currentStyle, CUSTOM, DD, defaults, DIV, DL, DT, FIELDSET, FORM, hn, ISINDEX, LI, LISTING, MENU, OL, P, PLAINTEXT, PRE, UL, XMP

See Also

direction


border Attribute | border

border Attribute | border Property

Sets or retrieves the properties to draw around the object.

Syntax

HTML | { border : sBorder }
Scripting | object.style.border [ = sBorder ]

Possible Values

sBorder String that specifies or receives one or more of the following space-delimited values:
width | Any of the range of width values available to the borderWidth property.
style | Any of the range of style values available to the borderStyle property.
color | Any of the range of color values available to the borderColor property.

The property is read/write. The property has a default value of medium none. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The border property is a composite property that sets the width, style, and color values for all four sides of an object.

You must specify a style when specifying a width or color; otherwise, the border does not render.

All individual border properties not set by the composite border property are set to their default values. For example, the default value for width is medium.

The setting border=thin is identical to border=thin?SPAN CLASS="clsLiteral">none; the default value for the border color is the same as the text color if one is not initially set. So, not only does the property set width to thin, it also clears any style or color values previously set.

Setting a border to zero or omitting the attribute causes no border to be displayed. Supplying the border attribute without a value defaults to a single border.

As of Microsoft® Internet Explorer 5.5, this property applies to inline elements. With earlier versions of Internet Explorer, inline elements must have an absolute?A HREF="../properties/position.html">position or layout to use this property. Element layout is set by providing a value for the height property or the width property.

If a color is not specified, the text color is used.

For more information about supported colors, see the Color Table.

Examples

The following examples use the border attribute and the border property to specify the composite border properties.

This example uses a call to an embedded (global) style sheet to modify the border attribute.

<HEAD>
<STYLE>
.applyBorder { border:0.2cm groove orange }
.removeBorder { border:none }
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
<TD onmouseover="this.className='applyBorder'"
onmouseout="this.className='removeBorder'">
<IMG src="sphere.jpg"></TD>
</TR>
</TABLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to modify the border property.

<TD onmouseover="this.style.border='0.2cm groove pink'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link and is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ACRONYM, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, hn, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

CSS Enhancements in Internet Explorer 6


BORDER Attribute | border

BORDER Attribute | border Property

Sets or retrieves the space between the frames, including the 3-D border.

Syntax

HTML | <ELEMENT BORDER = vSpace... >
Scripting | object.border [ = vSpace ]

Possible Values

vSpace Variant that specifies or receives the number of pixels to reserve as space between frames.

The property is read/write. The property has no default value.

Remarks

This property applies either to the outer frameSet element or to inner frameSet elements. When you specify the border property of the outermost frameSet element, the border properties of any inner frameSet elements are ignored. When you do not specify the border property of the outermost frameSet element, the border properties of inner frameSet elements are not ignored.

Setting a border to zero or omitting the attribute causes no border to be displayed. Supplying the border attribute without a value defaults to a single border.

Standards Information

This property is a Microsoft extension to HTML Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

FRAMESET, IFRAME


BORDER Attribute | border

BORDER Attribute | border Property

Sets or retrieves the width of the border to draw around the object.

What's New for Microsoft® Internet Explorer 6

This property now applies to the object object.

Syntax

HTML | <ELEMENT BORDER = iBorder... >
Scripting | object.border [ = iBorder ]

Possible Values

iBorder Variant that specifies or receives the number of pixels in the object border.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Setting a border to 0 or omitting the attribute causes no border to be displayed. Supplying the BORDER attribute without a value defaults to a single border.

Standards Information

This property is deprecated in HTML Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

OBJECT, IMG, LAYOUTRECT, TABLE

See Also

borderColor, borderColorDark, borderColorLight, hspace, vspace


border-bottom Attribute | borderBottom

border-bottom Attribute | borderBottom Property

Sets or retrieves the properties of the bottom border of the object.

Syntax

HTML | { border-bottom : sBottom }
Scripting | object.style.borderBottom [ = sBottom ]

Possible Values

sBottom String that specifies or receives one or more of the following space-delimited values:
width | Any of the range of width values available to the borderBottomWidth property.
style | Any of the range of style values available to the borderBottomStyle property.
color | Any of the range of color values available to the borderBottomColor property.

The property is read/write. The property has a default value of medium none. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The borderBottom property is a composite property that sets the width, style, and color values for the bottom border of an object.

All individual border properties not set by the composite borderBottom property are set to their default values. For example, the default value for width is medium.

As of Microsoft® Internet Explorer 5.5, this property applies to inline elements. With earlier versions of Internet Explorer, inline elements must have an absolute?A HREF="../properties/position.html">position or layout to use this property. Element layout is set by providing a value for the height property or the width property.

If a color is not specified, the text color is used.

For more information about supported colors, see the Color Table.

Examples

The following examples use the borderBottom property and the border-bottom attribute to specify the various properties for the bottom border.

This example uses a call to an embedded (global) style sheet to change the attributes of the bottom border.

<HEAD>
<STYLE>
TD 	{ border-bottom:0.5cm solid yellow }
.change { border-bottom:0.5cm groove pink }
</STYLE>
</HEAD>
<BODY>
<TABLE>
<TR>
<TD onmouseover="this.className='change'"
onmouseout="this.className=''"><IMG src="sphere.jpg"></TD>
</TR>
</TABLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to change the bottom border.

<TD onmouseover="this.style.borderBottom='0.3cm groove yellow'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ACRONYM, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAMESET, FRAME, hn, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

border, CSS Enhancements in Internet Explorer 6


border-bottom-color Attribute | borderBottomColor

border-bottom-color Attribute | borderBottomColor Property

Sets or retrieves the color of the bottom border of the object.

Syntax

HTML | { border-bottom-color : sColor }
Scripting | object.style.borderBottomColor [ = sColor ]

Possible Values

sColor Variant that specifies or receives one of the color names or RGB values in the Color Table.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has no default value. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

As of Microsoft® Internet Explorer 5.5, this property applies to inline elements. With earlier versions of Internet Explorer, inline elements must have an absolute?A HREF="../properties/position.html">position or layout to use this property. Element layout is set by providing a value for the height property or the width property.

Some browsers do not recognize color names, but all browsers should recognize RGB color values and display them correctly.

Examples

The following examples use the border-bottom-color attribute and the borderBottomColor property to specify the border color.

This example uses a call to an embedded (global) style sheet to change the color of the bottom border.

<HEAD>
<STYLE>
TD { border-bottom-color: red;
border-width: 0.5cm; border-style: groove}
.blue { border-bottom-color: blue}
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
TD onmouseover="this.className='blue'"
onmouseout="this.className=''">
<IMG src="sphere.jpg">
</TD>
</TR>
</TABLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to change the color of the bottom border.

<TD onmouseover="this.style.borderWidth='0.5cm';
this.style.borderBottomColor='blue'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 2 (CSS2) Non-Microsoft link.

Applies To

A, ACRONYM, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

border


border-bottom-style Attribute | borderBottomStyle

border-bottom-style Attribute | borderBottomStyle Property

Sets or retrieves the style of the bottom border of the object.

Syntax

HTML | { border-bottom-style : sStyle }
Scripting | object.style.borderBottomStyle [ = sStyle ]

Possible Values

sStyle String that specifies or receives one of the following values.
none | Default. Border is not drawn, regardless of any borderWidth.
dotted | Border is a dotted line. This value is supported on the Macintosh platform, as of Microsoft® Internet Explorer 4.01, and on the Microsoft Windows® platform, as of Internet Explorer 5.5. It renders as a solid line on Unix platforms, and on Windows systems running earlier versions of Internet Explorer.
dashed | Border is a dashed line. This value is supported on the Macintosh platform as of Internet Explorer 4.01 and on the Windows platform, as of Internet Explorer 5.5. It renders as a solid line on Unix platforms, and on Windows systems running earlier versions of Internet Explorer.
solid | Border is a solid line.
double | Border is a double line drawn on top of the background of the object. The sum of the two single lines and the space between equals the borderWidth value. The border width must be at least 3 pixels wide to draw a double border.
groove | 3-D groove is drawn in colors based on the value.
ridge | 3-D ridge is drawn in colors based on the value.
inset | 3-D inset is drawn in colors based on the value.
outset | 3-D outset is drawn in colors based on the value.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of none. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

An borderWidth greater than zero must be set for the border-bottom-styleattribute to render.

As of Internet Explorer 5.5, this property applies to inline elements. With earlier versions of Internet Explorer, inline elements must have an absolute?A HREF="../properties/position.html">position or layout to use this property. Element layout is set by providing a value for the height property or the width property.

Examples

The following examples use the border-bottom-style attribute and the borderBottomStyle property to specify the border style.

This example uses a call to an embedded style sheet to change the style of the bottom border to groove.

<HEAD>
<STYLE>
TD { border-bottom-style:solid;
border-width:0.3cm }
.change { border-bottom-style:groove}
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
<TD onmouseover="this.className='change'"
onmouseout="this.className=''">
<IMG src="sphere.jpg">
</TD>
</TR>
</TABLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to change the style of the bottom border to groove.

<TD onmouseover="this.style.borderWidth='0.5cm';
this.style.borderBottomStyle='groove'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 2 (CSS2) Non-Microsoft link.

Applies To

A, ACRONYM, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

border


border-bottom-width Attribute | borderBottomWidth

border-bottom-width Attribute | borderBottomWidth Property

Sets or retrieves the width of the bottom border of the object.

Syntax

HTML | { border-bottom-width : sWidth }
Scripting | object.style.borderBottomWidth [ = sWidth ]

Possible Values

sWidth Variant that specifies or receives one of the following values.
medium | Default. ?/TD>
thin | Less than the default width.
thick | Greater than the default width.
width | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units Reference.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of medium. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

As of Microsoft® Internet Explorer 5.5, this property applies to inline elements. With earlier versions of Internet Explorer, inline elements must have an absolute?A HREF="../properties/position.html">position or layout to use this property. Element layout is set by providing a value for the height property or the width property.

Examples

The following examples use the border-bottom-width attribute and the borderBottomWidth property to specify the border width.

This example uses a call to an embedded (global) style sheet to change the width of the bottom border to 1 centimeter when a mouse click occurs.

<HEAD>
<STYLE>
TD { border-bottom-width:3mm }
.changeborder1 { border-bottom-width:1cm }
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
<TD onclick="this.className='changeborder1'"
ondblclick="this.className=''">
<IMG src="sphere.jpg">
</TD>
</TR>
</TABLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to change the width of the bottom border to 1 centimeter when a mouse click occurs.

<TD onclick="this.style.borderBottomWidth='1cm'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ACRONYM, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

border, CSS Enhancements in Internet Explorer 6


border-collapse Attribute | borderCollapse

border-collapse Attribute | borderCollapse Property

Sets or retrieves a value that indicates whether the row and cell borders of a table are joined in a single border or detached as in standard HTML.

Syntax

HTML | { border-collapse : sCollapse }
Scripting | object.style.borderCollapse [ = sCollapse ]

Possible Values

sCollapse String that specifies or receives one of the following values.
separate | Default. Borders are detached (standard HTML).
collapse | Borders are collapsed, where adjacent, into a single border.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of separate. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Example

This example demonstrates how to use the border-collapse attribute and the borderCollapse property to manipulate the border on a table.

<TABLE ID=oTable STYLE="border-collapse:collapse">
<TR><TD>EST</TD><TD>9:00 A.M.</TD></TR>
<TR><TD>CST</TD><TD>8:00 A.M.</TD></TR>
<TR><TD>PST</TD><TD>6:00 A.M.</TD></TR>
</TABLE>
<P>
<INPUT TYPE=button
onclick="oTable.style.borderCollapse='separate'"
VALUE="separate">
<INPUT TYPE=button
onclick="oTable.style.borderCollapse='collapse'"
VALUE="collapse">
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 2 (CSS2) Non-Microsoft link.

Applies To

currentStyle, runtimeStyle, style, TABLE

See Also

border


border-color Attribute | borderColor

border-color Attribute | borderColor Property

Sets or retrieves the border color of the object.

Syntax

HTML | { border-color : sColor }
Scripting | object.style.borderColor [ = sColor ]

Possible Values

sColor String that specifies or receives up to four color names or RGB values in the Color Table.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has no default value. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Up to four different colors can be specified in the following order: top, right, bottom, left. If one color is supplied, it is used for all four sides. If two colors are supplied, the first is used for the top and bottom, and the second is used for left and right. If three colors are supplied, they are used for top, right and left, and bottom, respectively.

As of Microsoft® Internet Explorer 5.5, this property applies to inline elements. With earlier versions of Internet Explorer, inline elements must have an absolute?A HREF="../properties/position.html">position or layout to use this property. Element layout is set by providing a value for the height property or the width property.

The borderColor property does not render if the borderStyle property is set to none.

Some browsers do not recognize color names, but all browsers should recognize RGB color values and display them correctly.

Examples

The following examples use the border-color attribute and the borderColor property to specify the border color.

This example uses a call to an embedded (global) style sheet to change the color of the border to blue from an initial value of red when the mouse moves over the image.

<HEAD>
<STYLE>
TD { border-color: red; border-width: 0.5cm }
.blue  { border-color: blue }
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
<TD onmouseover="this.className='blue'"
onmouseout="this.className=''">
<IMG src="sphere.jpg">
</TD>
</TR>
</TABLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to change the color of the border to blue when the mouse moves over the image.

<TD onmouseover="this.style.borderWidth='0.5cm';
this.style.borderColor='blue';
this.style.borderStyle='solid'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ACRONYM, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

border


BORDERCOLOR Attribute | borderColor

BORDERCOLOR Attribute | borderColor Property

Sets or retrieves the border color of the object.

Syntax

HTML | <ELEMENT BORDERCOLOR = sColor... >
Scripting | object.borderColor [ = sColor ]

Possible Values

sColor Variant that specifies or receives one of the color names or RGB values in the Color Table.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

To render the color specified by sColor, the BORDER attribute must be set to an integer greater than zero.

Some browsers do not recognize color names, but all browsers should recognize RGB color values and display them correctly.

Standards Information

There is no public standard that applies to this property.

Applies To

FRAME, FRAMESET, LAYOUTRECT, TABLE, TD, TH, TR

See Also

border, borderColorDark, borderColorLight


borderColorDark

borderColorDark Property

Sets or retrieves the color for one of the two colors used to draw the 3-D border of the object.

Syntax

HTML | N/A
Scripting | object.borderColorDark [ = sColor ]

Possible Values

sColor Variant that specifies or receives one of the color names or RGB values in the Color Table.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This property is the opposite of borderColorLight and must be used with the border property that corresponds to the BORDER attribute. This property does not affect the Cascading Style Sheets (CSS)?A HREF="../properties/border_0.html">border composite properties.

Some browsers do not recognize color names, but all browsers should recognize RGB color values and display them correctly.

This property is no longer recommended. Use the borderColor property instead.

Standards Information

There is no public standard that applies to this property.

Applies To

TABLE, TD, TH, TR


borderColorLight

borderColorLight Property

Sets or retrieves the color for one of the two colors used to draw the 3-D border of the object.

Syntax

HTML | N/A
Scripting | object.borderColorLight [ = sColor ]

Possible Values

sColor Variant that specifies or receives one of the color names or RGB values in the Color Table.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This property is the opposite of borderColorDark and must be used with the border property that corresponds to the BORDER attribute. This property does not affect the Cascading Style Sheets (CSS)?A HREF="../properties/border_0.html">border composite properties.

Some browsers do not recognize color names, but all browsers should recognize RGB color values and display them correctly.

This property is no longer recommended. Use the borderColor property instead.

Standards Information

There is no public standard that applies to this property.

Applies To

TABLE, TD, TH, TR


border-left Attribute | borderLeft

border-left Attribute | borderLeft Property

Sets or retrieves the properties of the left border of the object.

Syntax

HTML | { border-left : sLeft }
Scripting | object.style.borderLeft [ = sLeft ]

Possible Values

sLeft String that specifies or receives one or more of the following space-delimited values:
width | Any of the range of width values available to the borderLeftWidth property.
style | Any of the range of style values available to the borderLeftStyle property.
color | Any of the range of color values available to the borderLeftColor property.

The property is read/write. The property has a default value of medium none. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The borderLeft property is a composite property that sets the width, style, and color values for the left border of an object.

All individual border properties not set by the composite borderLeft property are set to their default values. For example, the default value for width is medium.

If the color value is not specified, the text color is used.

For more information about supported colors, see the Color Table.

As of Microsoft® Internet Explorer 5.5, this property applies to inline elements. With earlier versions of Internet Explorer, inline elements must have an absolute?A HREF="../properties/position.html">position or layout to use this property. Element layout is set by providing a value for the height property or the width property.

Examples

The following examples use the borderLeft property and the border-left attribute to specify the composite borderLeft properties.

This example uses a call to an embedded (global) style sheet to modify the attributes of the left border.

<HEAD>
<STYLE>
TD { border-left:0.5cm solid yellow }
.change { border-left:0.5cm groove pink }
</STYLE>
</HEAD>
<BODY>
<TABLE>
<TR>
<TD onmouseover="this.className='change'"
onmouseout="this.className=''">
<IMG src="sphere.jpg">
</TD>
</TR>
</TABLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to change the properties of the left border.

<TD onmouseover="this.style.borderLeft='0.3cm groove yellow'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ACRONYM, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAMESET, FRAME, hn, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

border, CSS Enhancements in Internet Explorer 6


border-left-color Attribute | borderLeftColor

border-left-color Attribute | borderLeftColor Property

Sets or retrieves the color of the left border of the object.

Syntax

HTML | { border-left-color : sColor }
Scripting | object.style.borderLeftColor [ = sColor ]

Possible Values

sColor Variant that specifies or receives one of the color names or RGB values in the Color Table.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has no default value. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

As of Microsoft® Internet Explorer 5.5, this property applies to inline elements. With earlier versions of Internet Explorer, inline elements must have an absolute?A HREF="../properties/position.html">position or layout to use this property. Element layout is set by providing a value for the height property or the width property.

Some browsers do not recognize color names, but all browsers should recognize RGB color values and display them correctly.

Examples

The following examples use the border-left-color attribute and the borderLeftColor property to specify the color of the left border.

This example uses a call to an embedded (global) style sheet to change the color of the left border from red to blue when an onmouseover event occurs.

<HEAD>
<STYLE>
TD { border-left-color: red;
border-width: 0.5cm; border-style: groove}
.blue { border-left-color: blue}
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
<TD onmouseover="this.className='blue'"
onmouseout="this.className=''">
<IMG src="sphere.jpg">
</TD>
</TR>
</TABLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to change the color of the left border from red to blue when an onmouseover event occurs.

<TD onmouseover="this.style.borderWidth='0.5cm';
this.style.borderLeftColor='blue'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 2 (CSS2) Non-Microsoft link.

Applies To

A, ACRONYM, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

border


border-left-style Attribute | borderLeftStyle

border-left-style Attribute | borderLeftStyle Property

Sets or retrieves the style of the left border of the object.

Syntax

HTML | { border-left-style : sStyle }
Scripting | object.style.borderLeftStyle [ = sStyle ]

Possible Values

sStyle String that specifies or receives one of the following values.
none | Default. No border is drawn, regardless of any specified borderWidth.
dotted | Border is a dotted line. This value is supported on the Macintosh platform, as of Microsoft® Internet Explorer 4.01, and on the Microsoft Windows® platform, as of Internet Explorer 5.5. It renders as a solid line on Unix platforms, and on Windows systems running earlier versions of Internet Explorer.
dashed | Border is a dashed line. This value is supported on the Macintosh platform as of Internet Explorer 4.01 and on the Windows platform, as of Internet Explorer 5.5. It renders as a solid line on Unix platforms, and on Windows systems running earlier versions of Internet Explorer.
solid | Border is a solid line.
double | Border is a double line drawn on top of the background of the object. The sum of the two single lines and the space between equals the borderWidth value. The border width must be at least 3 pixels wide to draw a double border.
groove | 3-D groove is drawn in colors based on the value.
ridge | 3-D ridge is drawn in colors based on the value.
inset | 3-D inset is drawn in colors based on the value.
outset | 3-D outset is drawn in colors based on the value.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of none. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

A borderWidth greater than 0 must be set for the border-left-style attribute to render.

As of Internet Explorer 5.5, this property applies to inline elements. With earlier versions of Internet Explorer, inline elements must have an absolute?A HREF="../properties/position.html">position or layout to use this property. Element layout is set by providing a value for the height property or the width property.

Examples

The following examples use the border-left-style attribute and the borderLeftStyle property to specify the style of the left border.

This example uses a call to an embedded (global) style sheet to change the style of the left border from solid to groove when an onmouseover event occurs.

<HEAD>
<STYLE>
TD { border-left-style:solid; border-width:0.3cm }
.change { border-left-style:groove }
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
<TD onmouseover="this.className='change'"
onmouseout="this.className=''">
<IMG src="sphere.jpg">
</TD>
</TR>
</TABLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to change the style of the left border to groove when an onmouseover event occurs.

<TD onmouseover="this.style.borderWidth='0.5cm';
this.style.borderLeftStyle='groove'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 2 (CSS2) Non-Microsoft link.

Applies To

A, ACRONYM, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

border


border-left-width Attribute | borderLeftWidth

border-left-width Attribute | borderLeftWidth Property

Sets or retrieves the width of the left border of the object.

Syntax

HTML | { border-left-width : sWidth }
Scripting | object.style.borderLeftWidth [ = sWidth ]

Possible Values

sWidth Variant that specifies or receives one of the following values.
medium | Default. ?/TD>
thin | Less than the default width.
thick | Greater than the default width.
width | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units Reference.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of medium. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

As of Microsoft® Internet Explorer 5.5, this property applies to inline elements. With earlier versions of Internet Explorer, inline elements must have an absolute?A HREF="../properties/position.html">position or layout to use this property. Element layout is set by providing a value for the height property or the width property.

Examples

The following examples use the border-left-width attribute and the borderLeftWidth property to specify the border width.

This example uses a call to an embedded (global) style sheet to change the width of the left border width to 1 centimeter when a mouse click occurs.

<HEAD>
<STYLE>
TD { border-left-width:3mm }
.changeborder1 { border-left-width:1cm }
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
<TD onclick="this.className='changeborder1'"
ondblclick="this.className=''">
<IMG src="sphere.jpg">
</TD>
</TR></TABLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to change the width of the left border width to 1 centimeter when a mouse click occurs.

<TD onclick="this.style.borderLeftWidth='1cm'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ACRONYM, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

border, borderWidth, CSS Enhancements in Internet Explorer 6


border-right Attribute | borderRight

border-right Attribute | borderRight Property

Sets or retrieves the properties of the right border of the object.

Syntax

HTML | { border-right : sRight }
Scripting | object.style.borderRight [ = sRight ]

Possible Values

sRight String that specifies or receives one or more of the following space-delimited values:
width | Any of the range of width values available to the borderRightWidth property.
style | Any of the range of style values available to the borderRightStyle property.
color | Any of the range of color values available to the borderRightColor property.

The property is read/write. The property has a default value of medium none. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The borderRight property is a composite property that sets the width, style, and color values for the right border of an object.

All individual border properties not set by the composite borderRight property are set to their default values. For example, the default value for width is medium.

If a color is not specified, the text color is used.

For more information about supported colors, see the Color Table.

As of Microsoft® Internet Explorer 5.5, this property applies to inline elements. With earlier versions of Internet Explorer, inline elements must have an absolute?A HREF="../properties/position.html">position or layout to use this property. Element layout is set by providing a value for the height property or the width property.

Examples

The following examples use the borderRight property and the border-right attribute to specify the composite properties.

This example uses a call to an embedded (global) style sheet to change the attributes of the right border when an onmouseover event occurs.

<HEAD>
<STYLE>
TD { border-right-style:solid; border-width:0.3cm }
.change { border-right-style:groove }
</STYLE>
</HEAD>
<BODY>
<TABLE>
<TR>
<TD onmouseover="this.className='change'"
onmouseout="this.className=''">
<IMG src="sphere.jpg"></TD>
</TR>
</TABLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to change the attributes of the right border when an onmouseover event occurs.

<TD onmouseover="this.style.borderRight='0.3cm groove yellow'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ACRONYM, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAMESET, FRAME, hn, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

border, CSS Enhancements in Internet Explorer 6


border-right-color Attribute | borderRightColor

border-right-color Attribute | borderRightColor Property

Sets or retrieves the color of the right border of the object.

Syntax

HTML | { border-right-color : sColor }
Scripting | object.style.borderRightColor [ = sColor ]

Possible Values

sColor Variant that specifies or receives one of the color names or RGB values in the Color Table.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has no default value. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

As of Microsoft® Internet Explorer 5.5, this property applies to inline elements. With earlier versions of Internet Explorer, inline elements must have an absolute?A HREF="../properties/position.html">position or layout to use this property. Element layout is set by providing a value for the height property or the width property.

Some browsers do not recognize color names, but all browsers should recognize RGB color values and display them correctly.

Examples

The following examples use the border-right-color attribute and the borderRightColor property to specify the color of the right border.

This example uses a call to an embedded (global) style sheet to change the color of the right border from red to blue when an onmouseover event occurs.

<HEAD>
<STYLE>
TD { border-right-color: red;
border-width: 0.5cm; border-style: groove}
.blue { border-right-color: blue }
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
<TD onmouseover="this.className='blue'"
onmouseout="this.className=''">
<IMG src="sphere.jpg">
</TD>
</TR>
</TABLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to change the color of the right border to blue when an onmouseover event occurs.

<TD onmouseover="this.style.borderWidth='0.5cm';
this.style.borderRightColor='blue';">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 2 (CSS2) Non-Microsoft link.

Applies To

A, ACRONYM, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

border


border-right-style Attribute | borderRightStyle

border-right-style Attribute | borderRightStyle Property

Sets or retrieves the style of the right border of the object.

Syntax

HTML | { border-right-style : sStyle }
Scripting | object.style.borderRightStyle [ = sStyle ]

Possible Values

sStyle String that specifies or receives one of the following values.
none | Default. No border is drawn, regardless of any specified borderWidth.
dotted | Border is a dotted line. This value is supported on the Macintosh platform, as of Microsoft® Internet Explorer 4.01, and on the Microsoft Windows® platform, as of Internet Explorer 5.5. It renders as a solid line on Unix platforms, and on Windows systems running earlier versions of Internet Explorer.
dashed | Border is a dashed line. This value is supported on the Macintosh platform as of Internet Explorer 4.01 and on the Windows platform, as of Internet Explorer 5.5. It renders as a solid line on Unix platforms, and on Windows systems running earlier versions of Internet Explorer.
solid | Border is a solid line.
double | Border is a double line drawn on top of the background of the object. The sum of the two single lines and the space between equals the borderWidth value. The border width must be at least 3 pixels wide to draw a double border.
groove | 3-D groove is drawn in colors based on the value.
ridge | 3-D ridge is drawn in colors based on the value.
inset | 3-D inset is drawn in colors based on the value.
outset | 3-D outset is drawn in colors based on the value.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of none. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

As of Internet Explorer 5.5, this property applies to inline elements. With earlier versions of Internet Explorer, inline elements must have an absolute?A HREF="../properties/position.html">position or layout to use this property. Element layout is set by providing a value for the height property or the width property.

An borderWidth greater than 0 must be set for the border-right-style attribute to render.

Examples

The following examples use the border-right-style attribute and the borderRightStyle property to specify the border style.

This example uses a call to an embedded (global) style sheet to change the style of the right border from solid to groove when an onmouseover event occurs.

<HEAD>
<STYLE>
TD { border-right-style:solid; border-width:0.3cm }
.change { border-right-style:groove }
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
<TD onmouseover="this.className='change'"
onmouseout="this.className=''">
<IMG src="sphere.jpg">
</TD>
</TR>
</TABLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to change the style of the right border to groove when an onmouseover event occurs.

<TD onmouseover="this.style.borderWidth='0.5cm';
this.style.borderRightStyle='groove'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 2 (CSS2) Non-Microsoft link.

Applies To

A, ACRONYM, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

border


border-right-width Attribute | borderRightWidth

border-right-width Attribute | borderRightWidth Property

Sets or retrieves the width of the right border of the object.

Syntax

HTML | { border-right-width : sWidth }
Scripting | object.style.borderRightWidth [ = sWidth ]

Possible Values

sWidth Variant that specifies or receives one of the following values.
medium | Default. ?/TD>
thin | Less than the default width.
thick | Greater than the default width.
width | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units Reference.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of medium. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

As of Microsoft® Internet Explorer 5.5, this property applies to inline elements. With earlier versions of Internet Explorer, inline elements must have an absolute?A HREF="../properties/position.html">position or layout to use this property. Element layout is set by providing a value for the height property or the width property.

Examples

The following examples use the border-right-width attribute and the borderRightWidth property to specify the width of the right border.

This example uses a call to an embedded (global) style sheet to change the width of the right border to 1 centimeter when a mouse click occurs.

<HEAD>
<STYLE>
TD { border-right-width:3mm }
.changeborder1 { border-right-width:1cm }
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
<TD onclick="this.className='changeborder1'"
ondblclick="this.className=''">
<IMG src="sphere.jpg">
</TD>
</TR></TABLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline script to change the width of the right border to 1 centimeter when a mouse click occurs.

<TD onclick="this.style.borderRightWidth='1cm'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ACRONYM, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

border, borderWidth, CSS Enhancements in Internet Explorer 6


border-style Attribute | borderStyle

border-style Attribute | borderStyle Property

Sets or retrieves the style of the left, right, top, and bottom borders of the object.

Syntax

HTML | { border-style : sStyle }
Scripting | object.style.borderStyle [ = sStyle ]

Possible Values

sStyle String that specifies or receives one of the following values.
none | Default. No border is drawn, regardless of any specified borderWidth.
dotted | Border is a dotted line. This value is supported on the Macintosh platform, as of Microsoft® Internet Explorer 4.01, and on the Microsoft Windows® platform, as of Internet Explorer 5.5. It renders as a solid line on Unix platforms, and on Windows systems running earlier versions of Internet Explorer.
dashed | Border is a dashed line. This value is supported on the Macintosh platform as of Internet Explorer 4.01 and on the Windows platform, as of Internet Explorer 5.5. It renders as a solid line on Unix platforms, and on Windows systems running earlier versions of Internet Explorer.
solid | Border is a solid line.
double | Border is a double line drawn on top of the background of the object. The sum of the two single lines and the space between equals the borderWidth value. The border width must be at least 3 pixels wide to draw a double border.
groove | 3-D groove is drawn in colors based on the value. The borderWidth property of the object must be specified for the style to render correctly.
ridge | 3-D ridge is drawn in colors based on the value.
inset | 3-D inset is drawn in colors based on the value.
window-inset | Border is the same as inset, but is surrounded by an additional single line, drawn in colors based on the value.
outset | 3-D outset is drawn in colors based on the value.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of none. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

As of Internet Explorer 5.5, this property applies to inline elements. With earlier versions of Internet Explorer, inline elements must have an absolute?A HREF="../properties/position.html">position or layout to use this property. Element layout is set by providing a value for the height property or the width property.

Examples

The following examples use the border-style attribute and the borderStyle property to specify the border style.

This example uses a call to an embedded (global) style sheet to change the style of the border to groove when an onmouseover event occurs.

<HEAD>
<STYLE>
TD	{ border-style:solid; border-width:0.5cm }
.change { border-style:groove }
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
<TD onmouseover="this.className='change'"
onmouseout="this.className=''">
<IMG src="sphere.jpg">
</TD>
</TR>
</TABLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to change the style of the border to groove when an onmouseover event occurs.

<TD onmouseover="this.style.borderWidth='0.5cm';
this.style.borderStyle='groove'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ACRONYM, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

border


border-top Attribute | borderTop

border-top Attribute | borderTop Property

Sets or retrieves the properties of the top border of the object.

Syntax

HTML | { border-top : sTop }
Scripting | object.style.borderTop [ = sTop ]

Possible Values

sTop String that specifies or receives one or more of the following space-delimited values:
width | Any of the range of width values available to the borderTopWidth property.
style | Any of the range of style values available to the borderTopStyle property.
color | Any of the range of color values available to the borderTopColor property.

The property is read/write. The property has a default value of medium none. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The borderTop property is a composite property that sets the width, color, and style values for the top border of an object.

All individual border properties not set by the composite borderTop property are set to their default values. For example, the default value for width is medium.

If a color is not specified, the text color is used.

For more information about supported colors, see the Color Table.

As of Microsoft® Internet Explorer 5.5, this property applies to inline elements. With earlier versions of Internet Explorer, inline elements must have an absolute?A HREF="../properties/position.html">position or layout to use this property. Element layout is set by providing a value for the height property or the width property.

Examples

The following examples use the border-top attribute and the borderTop property to specify the composite properties.

This example uses a call to an embedded (global) style sheet to change the attributes of the top border when an onmouseover event occurs.

<HEAD>
<STYLE>
TD 	{ border-top:0.5cm solid yellow }
.change { border-top:0.5cm groove pink }
</STYLE>
</HEAD>
<BODY>
<TABLE>
<TR>
<TD onmouseover="this.className='change'"
onmouseout="this.className=''">
<IMG src="sphere.jpg">
</TD>
</TR>
</TABLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to change the top border when an onmouseover event occurs.

<TD onmouseover="this.style.borderTop='0.3cm groove yellow'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ACRONYM, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAMESET, FRAME, hn, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

border, CSS Enhancements in Internet Explorer 6


border-top-color Attribute | borderTopColor

border-top-color Attribute | borderTopColor Property

Sets or retrieves the color of the top border of the object.

Syntax

HTML | { border-top-color : sColor }
Scripting | object.style.borderTopColor [ = sColor ]

Possible Values

sColor Variant that specifies or receives one of the color names or RGB values in the Color Table.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has no default value. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

As of Microsoft® Internet Explorer 5.5, this property applies to inline elements. With earlier versions of Internet Explorer, inline elements must have an absolute?A HREF="../properties/position.html">position or layout to use this property. Element layout is set by providing a value for the height property or the width property.

Some browsers do not recognize color names, but all browsers should recognize RGB color values and display them correctly.

Examples

The following examples use the border-top-color attribute and the borderTopColor property to specify the color of the top border.

This example uses a call to an embedded (global) style sheet to change the color of the top border to blue when an onmouseover event occurs.

<HEAD>
<STYLE>
TD { border-top-color: red;
border-width: 0.5cm; border-style: groove }
.blue { border-top-color: blue }
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
<TD onmouseover="this.className='blue'"
onmouseout="this.className=''">
</TD>
</TR>
</TABLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to change the color of the top border to blue when an onmouseover event occurs.

<TD onmouseover="this.style.borderWidth='0.5cm';
this.style.borderTopColor='blue'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 2 (CSS2) Non-Microsoft link.

Applies To

A, ACRONYM, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

border


border-top-style Attribute | borderTopStyle

border-top-style Attribute | borderTopStyle Property

Sets or retrieves the style of the top border of the object.

Syntax

HTML | { border-top-style : sStyle }
Scripting | object.style.borderTopStyle [ = sStyle ]

Possible Values

sStyle String that specifies or receives one of the following values.
none | Default. No border is drawn, regardless of any specified borderWidth.
dotted | Border is a dotted line. This value is supported on the Macintosh platform, as of Microsoft® Internet Explorer 4.01, and on the Microsoft Windows® platform, as of Internet Explorer 5.5. It renders as a solid line on Unix platforms, and on Windows systems running earlier versions of Internet Explorer.
dashed | Border is a dashed line. This value is supported on the Macintosh platform as of Internet Explorer 4.01 and on the Windows platform, as of Internet Explorer 5.5. It renders as a solid line on Unix platforms, and on Windows systems running earlier versions of Internet Explorer.
solid | Border is a solid line.
double | Border is a double line drawn on top of the background of the object. The sum of the two single lines and the space between equals the borderWidth value. The border width must be at least 3 pixels wide to draw a double border.
groove | 3-D groove is drawn in colors based on the value.
ridge | 3-D ridge is drawn in colors based on the value.
inset | 3-D inset is drawn in colors based on the value.
outset | 3-D outset is drawn in colors based on the value.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of none. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

As of Internet Explorer 5.5, this property applies to inline elements. With earlier versions of Internet Explorer, inline elements must have an absolute?A HREF="../properties/position.html">position or layout to use this property. Element layout is set by providing a value for the height property or the width property.

An borderWidth greater than zero must be set for the border-top-style attribute to render.

Examples

The following examples use the border-top-style attribute and the borderTopStyle property to specify the style of the top border.

This example uses a call to an embedded (global) style sheet to change the style of the top border from solid to groove when an onmouseover event occurs.

<HEAD>
<STYLE>
TD { border-top-style:solid;
border-width:0.3cm }
.change { border-top-style:groove}
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
<TD onmouseover="this.className='change'"
onmouseout="this.className=''">
<IMG src="sphere.jpg">
</TD>
</TR>
</TABLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to change the style of the top border to groove when an onmouseover event occurs.

<TD onmouseover="this.style.borderWidth='0.5cm';
this.style.borderTopStyle='groove'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 2 (CSS2) Non-Microsoft link.

Applies To

A, ACRONYM, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

border


border-top-width Attribute | borderTopWidth

border-top-width Attribute | borderTopWidth Property

Sets or retrieves the width of the top border of the object.

Syntax

HTML | { border-top-width : sWidth }
Scripting | object.style.borderTopWidth [ = sWidth ]

Possible Values

sWidth Variant that specifies or receives one of the following values.
medium | Default. ?/TD>
thin | Less than the default width.
thick | Greater than the default width.
width | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units Reference.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of medium. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

As of Microsoft® Internet Explorer 5.5, this property applies to inline elements. With earlier versions of Internet Explorer, inline elements must have an absolute?A HREF="../properties/position.html">position or layout to use this property. Element layout is set by providing a value for the height property or the width property.

Examples

The following examples use the border-top-width attribute and the borderTopWidth property to specify the width of the top border.

This example uses a call to an embedded (global) style sheet to change the width of the top border to 1 centimeter when a mouse click occurs.

<HEAD>
<STYLE>
TD { border-top-width:3mm }
.changeborder1 { border-top-width:1cm }
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
<TD onclick="this.className='changeborder1'"
ondblclick="this.className=''">
<IMG src="sphere.jpg">
</TD>
</TR>
</TABLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline script to change the width of the top border to 1 centimeter when a mouse click occurs.

<TD onclick="this.style.borderTopWidth='1cm'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ACRONYM, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

border, CSS Enhancements in Internet Explorer 6


border-width Attribute | borderWidth

border-width Attribute | borderWidth Property

Sets or retrieves the width of the left, right, top, and bottom borders of the object.

Syntax

HTML | { border-width : sWidth }
Scripting | object.style.borderWidth [ = sWidth ]

Possible Values

sWidth String that specifies or receives up to four of the following values:
medium | Default. ?/TD>
thin | Width less than the default.
thick | Width greater than the default.
width | Width consisting of a floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex).

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of medium. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Up to four different widths can be specified, in the following order: top, right, bottom, left. If one width is specified, it is used for all four sides. If two widths are specified, the first is used for the top and bottom borders, and the second is used for left and right borders. If three widths are specified, they are used for top, right/left, and bottom borders, respectively.

As of Microsoft® Internet Explorer 5.5, this property applies to inline elements. With earlier versions of Internet Explorer, inline elements must have an absolute?A HREF="../properties/position.html">position or layout to use this property. Element layout is set by providing a value for the height property or the width property.

The borderWidth property does not render if the borderStyle property is set to none.

Examples

The following examples use the border-width attribute and the borderWidth property to specify the width of the border.

This example uses a call to an embedded (global) style sheet to change the width of the border to 1 centimeter when a mouse click occurs.

<HEAD>
<STYLE>
TD { border-width:3mm }
.changeborder1 { border-width:1cm }
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TR>
<TD onclick="this.className='changeborder1'"
ondblclick="this.className=''">
<IMG src="sphere.jpg"></TD>
</TR>
</TABLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline script to change the width of the border to 1 centimeter when a mouse click occurs.

<TD onclick="this.style.borderWidth='1cm'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ACRONYM, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

border, CSS Enhancements in Internet Explorer 6


bottom

bottom Property

Set or retrieves the bottom coordinate of the rectangle surrounding the object content.

Syntax

TextRectangle.bottom [ = iCoord ]

Possible Values

iCoord Integer that specifies or receives the bottom coordinate of the rectangle, in pixels.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This syntax shows how to access the bottom coordinate of the second text rectangle of a TextRange object.

oRct = oTextRange.getClientRects();
oRct[1].bottom;

Note that the collection index starts at 0, so the second item index is 1.

This syntax shows how to access the bottom coordinate of the bounding rectangle of an element object.

oBndRct = oElement.getBoundingClientRect();
oBndRct.bottom;

Example

This example uses the getBoundingClientRect method to retrieve the coordinates of the bounds of the text rectangles within the element.

<SCRIPT>
function getCoords(oObject) {
oBndRct=oObject.getBoundingClientRect();
alert("Bounding rectangle = \nUpper left coordinates: "
+ oBndRct.left + " " + oBndRct.top +
"\nLower right coordinates: "
+ oBndRct.right + " " + oBndRct.bottom);
}
</SCRIPT>
</HEAD>
<BODY>
<P ID=oPara onclick="getCoords(this)">
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 2 (CSS2) Non-Microsoft link.

Applies To

TextRectangle

See Also

left, right, top, TextRectangle, TextRectangle Collection


bottom Attribute | bottom

bottom Attribute | bottom Property

Sets or retrieves the bottom position of the object in relation to the bottom of the next positioned object in the document hierarchy.

Syntax

HTML | { bottom : sBottom }
Scripting | object.style.bottom [ = sBottom ]

Possible Values

sBottom Variant that specifies or receives one of the following values.
auto | Default. Default position, according to the regular HTML layout of the page.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units Reference.
percentage | Integer, followed by a percent sign (%). The value is a percentage of the height of the parent object.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of auto. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The bottom attribute should be used only when the position attribute is set; otherwise, the value of the bottom attribute is ignored.

Because the value of the bottom property is a string, the property cannot be used in script to calculate the position of the object in the document; instead, the pixelBottom property or the posBottom property should be used.

For more information about how to access the dimension and location of objects on the page through the Dynamic HTML (DHTML) object model, see Measuring Element Dimension and Location.

Example

This example uses the bottom attribute to set a div object 50 pixels from the bottom of the client area.

<DIV STYLE = "position:absolute; bottom:50px">
. . .
</DIV>

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 2 (CSS2) Non-Microsoft link.

Applies To

A, ADDRESS, APPLET, B, BIG, BLOCKQUOTE, BUTTON, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, defaults, DFN, DIR, DIV, DL, FIELDSET, FONT, FORM, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TEXTAREA, TT, U, UL, VAR, XMP

See Also

pixelTop, posTop


BOTTOMMARGIN Attribute | bottomMargin

BOTTOMMARGIN Attribute | bottomMargin Property

Sets or retrieves the bottom margin of the entire body of the page.

Syntax

HTML | <BODY BOTTOMMARGIN = sPixels... >
Scripting | BODY.bottomMargin [ = sPixels ]

Possible Values

sPixels Variant that specifies or receives the number of pixels for the bottom margin.

The property is read/write. The property has a default value of 15.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

If the value is set to "", the bottom margin is set exactly on the bottom edge. The value specified overrides the default margin.

By default, when you set the value of this property, the opposite margin is set to the same value.

Standards Information

There is no public standard that applies to this property.

Applies To

BODY


boundingHeight

boundingHeight Property

Retrieves the height of the rectangle that bounds the TextRange object.

Syntax

[ iHeight = ] TextRange.boundingHeight

Possible Values

iHeight Integer that receives the height of the bounding rectangle, in pixels.

The property is read-only. The property has no default value.

Example

This example retrieves the value of the boundingHeight property for the given text area.

<SCRIPT>
function boundDim(oObject)
{
var collTextarea = document.all.tags("TEXTAREA");
if (collTextarea != null) {
var oTextRange = oObject.createTextRange();
if (oTextRange != null) {
alert("The bounding height is \n" +
oTextRange.boundingHeight);
}
}
}
</SCRIPT>
</HEAD>
<BODY>
<TEXTAREA COLS=100 ROWS=2 ID=oElmnt1
onclick="boundDim(this)"> . . . </TEXTAREA>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

TextRange

See Also

boundingLeft, boundingTop, boundingWidth


boundingLeft

boundingLeft Property

Retrieves the distance between the left edge of the rectangle that bounds the TextRange object and the left side of the object that contains the TextRange.

Syntax

[ iLeft = ] TextRange.boundingLeft

Possible Values

iLeft Integer that receives the left coordinate of the bounding rectangle, in pixels.

The property is read-only. The property has no default value.

Example

This example retrieves the value of the boundingLeft property for the given text area.

<SCRIPT>
function boundDim(oObject)
{
var collTextarea = document.all.tags("TEXTAREA");
if (collTextarea != null) {
var oTextRage = oObject.createTextRange();
if (oTextRange != null) {
alert("The bounding left is \n" +
oTextRange.boundingLeft);
}
}
}
</SCRIPT>
</HEAD>
<BODY>
<TEXTAREA COLS=100 ROWS=2 ID=oTextarea
onclick="boundDim(this)"> . . . </TEXTAREA>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

TextRange

See Also

boundingHeight, boundingTop, boundingWidth


boundingTop

boundingTop Property

Retrieves the distance between the top edge of the rectangle that bounds the TextRange object and the top side of the object that contains the TextRange.

Syntax

[ iTop = ] TextRange.boundingTop

Possible Values

iTop Integer that receives the top coordinate of the bounding rectangle, in pixels.

The property is read-only. The property has no default value.

Example

This example retrieves the value of the boundingTop property for the given text area.

<SCRIPT>
function boundDim(oObject)
{
var collTextarea = document.all.tags("TEXTAREA");
if (collTextarea != null) {
var oTextRange = oObject.createTextRange();
if (oTextRange != null) {
alert("The bounding top is \n" +
oTextRange.boundingTop);
}
}
}
</SCRIPT>
</HEAD>
<BODY>
<TEXTAREA COLS=100 ROWS=2 ID=oTextarea
onclick="boundDim(this)"> . . . </TEXTAREA>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

TextRange

See Also

boundingHeight, boundingLeft, boundingWidth


boundingWidth

boundingWidth Property

Retrieves the width of the rectangle that bounds the TextRange object.

Syntax

[ iWidth = ] TextRange.boundingWidth

Possible Values

iWidth Integer that receives the width of the bounding rectangle, in pixels.

The property is read-only. The property has no default value.

Example

This example retrieves the value of the boundingWidth property for the given text area.

<SCRIPT>
function boundDim(oObject)
{
var collTextarea = document.all.tags("TEXTAREA");
if (collTextarea != null) {
var oTextRange = oObject.createTextRange();
if (oTextRange != null) {
alert("The bounding width is \n" +
oTextRange.boundingWidth);
}
}
}
</SCRIPT>
</HEAD>
<BODY>
<TEXTAREA COLS=100 ROWS=2 ID=oTextarea
onclick="boundDim(this)"> . . . </TEXTAREA>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

TextRange

See Also

boundingHeight, boundingLeft, boundingTop


browserLanguage

browserLanguage Property

Retrieves the current browser language.

Syntax

[ sLanguage = ] object.browserLanguage

Possible Values

sLanguage String that receives one of the values in the Language Codes.

The property is read-only. The property has no default value.

Remarks

In Microsoft® Internet Explorer 4.0 and earlier, the browserLanguage property reflects the language of the installed browser's user interface. For example, if you install a Japanese version of Internet Explorer on an English operating system, browserLanguage would be ja.

In Internet Explorer 5 and later, however, the browserLanguage property reflects the language of the operating system regardless of the installed language version of Internet Explorer. However, if Microsoft Windows® 2000 MultiLanguage version is installed, the browserLanguage property indicates the language set in the operating system's current menus and dialogs, as found in the Regional Options of the Control Panel. For example, if you install a Japanese version of Internet Explorer 5 on an English (United Kingdom) operating system, browserLanguage would be en-gb. If you install Windows 2000 MultiLanguage version and set the language of the menus and dialogs to French, browserLanguage would be fr, even though you have a Japanese version of Internet Explorer.

Note This property does not indicate the language or languages set by the user in Language Preferences, located in the Internet Options dialog box.

Standards Information

There is no public standard that applies to this property.

Applies To

clientInformation, navigator

See Also

systemLanguage, userLanguage


bufferDepth

bufferDepth Property

Sets or retrieves the number of bits per pixel used for colors in the off-screen bitmap buffer.

Syntax

screen.bufferDepth(v) [ = iBitsPerPixel ]

Possible Values

iBitsPerPixel Integer that specifies or receives one of the following values.
0 | Default. No explicit buffering occurs. The colorDepth property is set to the screen depth.
-1 | Buffering occurs at screen depth. The colorDepth property is set to the screen depth.
1, 4, 8, 15, 16, 24, 32 | Number of bits per pixel to use for the off-screen buffer. The colorDepth property is also set to this value. The value 15 specifies 16 bits per pixel, in which only 15 bits are used in a 5-5-5 layout of RGB values.

The property is read/write. The property has a default value of 0.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Nonsupported values cause bufferDepth to be set to -1.

When bufferDepth is -1 and the user changes system settings that affect the screen depth, the buffer depth is automatically updated to the new depth. This is not the case if bufferDepth is set to a specific value.

Standards Information

There is no public standard that applies to this property.

Applies To

screen


button

button Property

Sets or retrieves the mouse button pressed by the user.

Syntax

event.button [ = iWhichButton ]

Possible Values

iWhichButton Integer that specifies or receives one of the following values.
0 | Default. No button is pressed.
1 | Left button is pressed.
2 | Right button is pressed.
3 | Left and right buttons are both pressed.
4 | Middle button is pressed.
5 | Left and middle buttons both are pressed.
6 | Right and middle buttons are both pressed.
7 | All three buttons are pressed.

The property is read/write. The property has a default value of 0.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The property is read-only in Microsoft® Internet Explorer 4.0, and read/write in Internet Explorer 5 and later.

This property is used with the onmousedown, onmouseup, and onmousemove events. For other events, it defaults to 0 regardless of the state of the mouse buttons.

Standards Information

There is no public standard that applies to this property.

Applies To

event


cancelBubble

cancelBubble Property

Sets or retrieves whether the current event should bubble up the hierarchy of event handlers.

Syntax

event.cancelBubble [ = bCancel ]

Possible Values

bCancel Boolean that specifies or receives one of the following values.
false | Default. Bubbling is enabled, allowing the next event handler in the hierarchy to receive the event.
true | Bubbling is disabled for this event, preventing the next event handler in the hierarchy from receiving the event.

The property is read/write. The property has a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Using this property to cancel bubbling for an event does not affect subsequent events.

Example

This example cancels bubbling of the onclick event if it occurs in the img object when the user presses the SHIFT key. This prevents the event from bubbling up to the onclick event handler for the document.

<SCRIPT LANGUAGE="JScript">
function checkCancel()
{
if (window.event.shiftKey)
window.event.cancelBubble = true;
}
function showSrc()
{
if (window.event.srcElement.tagName == "IMG")
alert(window.event.srcElement.src);
}
</SCRIPT>
<BODY onclick="showSrc()">
<IMG onclick="checkCancel()" SRC="sample.gif">

Standards Information

There is no public standard that applies to this property.

Applies To

event


canHaveChildren

canHaveChildren Property

Retrieves a value indicating whether the object can contain children.

Syntax

HTML | N/A
Scripting | [ bChildren = ] object.canHaveChildren

Possible Values

bChildren Boolean that receives one of the following values.
false | Object cannot be a parent to child objects.
true | Object can be a parent to child objects.

The property is read-only. The property has no default value.

Remarks

Objects do not have to contain children for the canHaveChildren property to return true. This property is useful in determining whether objects can be appended as children.

Example

This example uses the canHaveChildren property to add a new object to the first element in a Web page that can contain children.

<SCRIPT>
window.onload=fnInit;
function fnInit(){
var oNewObject=document.createElement("SPAN");
var oNewText=document.createTextNode("Test");
oNewObject.appendChild(oNewText);
for(var i=0;i<document.all.length;i++){
if(document.all[i].canHaveChildren==true){
document.all[i].appendChild(oNewObject);
break;
}
}
}
</SCRIPT>
<INPUT TYPE=button VALUE="Add Child" onclick="fnAddChild()">
<DIV ID=oGrandParent STYLE="background-color: #CFCFCF;">
<WBR>WBR - </WBR>
<BR>
<NOBR>NOBR - </NOBR>
<P>P - <s/P>
</DIV>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAMESET, HEAD, hn, HTML, I, IFRAME, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, nextID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

appendChild, createElement, createTextNode


canHaveHTML

canHaveHTML Property

Retrieves the value indicating whether the object can contain rich HTML markup.

Syntax

HTML | N/A
Scripting | [ bHTMLContainer = ] object.canHaveHTML

Possible Values

bHTMLContainer Boolean that receives one of the following values.
false | Object cannot contain HTML markup.
true | Object can contain HTML markup.

The property is read-only. The property has no default value.

Remarks

The property is read-only for all objects except the following, for which it is read-write: defaults.

Example

The following example shows how to use the canHaveHTML property to determine whether an object can contain HTML markup.

<HTML>
<HEAD>
<SCRIPT>
function answer(arg) {
arg ? alert("Yes") : alert("No");
}
</SCRIPT>
</HEAD>
<BODY>
<P>INPUT: <INPUT type="text" ID="oInput" VALUE="oInput" /></P>
<P>SPAN: <SPAN ID="oSpan">oSpan</SPAN></P>
<BUTTON onclick="answer(oInput.canHaveHTML);">
Can the INPUT contain HTML?
</BUTTON>&nbsp;
<BUTTON onclick="answer(oSpan.canHaveHTML);">
Can the SPAN contain HTML?
</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, styleSheet, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP


caption

caption Property

Retrieves the caption object of the table.

Syntax

HTML | N/A
Scripting | [ oCaption = ] TABLE.caption

Possible Values

oCaption String that receives the table caption, or the following value:
null Default. No caption exists for the table.

The property is read-only. The property has a default value of null.

Example

This example sets the inline style for the caption property.

document.all.myTable.caption.style.color = "blue"

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TABLE


cellIndex

cellIndex Property

Retrieves the position of the object in the cells collection of a row.

Syntax

HTML | N/A
Scripting | [ iIndex = ] object.cellIndex

Possible Values

iIndex Integer that receives the position of the object.

The property is read-only. The property has no default value.

Remarks

Collection indexes are in the source order of the HTML document. When a cell spans multiple rows, that cell only appears in the cells collection for the first row that the cell spans.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TD, TH

See Also

rowIndex, sectionRowIndex, sourceIndex


CELLPADDING Attribute | cellPadding

CELLPADDING Attribute | cellPadding Property

Sets or retrieves the amount of space between the border of the cell and the content of the cell.

Syntax

HTML | <TABLE CELLPADDING = sPadding... >
Scripting | TABLE.cellPadding(v) [ = sPadding ]

Possible Values

sPadding Variant that specifies or receives one of the following values.
padding | Integer that specifies the amount of space between the border and the content, in pixels.
percentage | Integer, followed by a %. The value is a percentage of the available amount of space between the border and the content.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TABLE

See Also

cellSpacing


CELLSPACING Attribute | cellSpacing

CELLSPACING Attribute | cellSpacing Property

Sets or retrieves the amount of space between cells in a table.

Syntax

HTML | <TABLE CELLSPACING = sSpacing... >
Scripting | TABLE.cellSpacing [ = sSpacing ]

Possible Values

sSpacing Variant that specifies or receives one of the following values.
spacing | Integer that specifies the amount of space between cells, in pixels.
percentage | Integer, followed by a %. The value is a percentage of the available amount of space between the border and the content.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Example

This example uses the CELLSPACING attribute and the cellSpacing property to change the spacing between two cells.

<TABLE ID=oTable BORDER CELLSPACING=10>
<TR>
<TD>Cell 1</TD>
<TD>Cell 2</TD>
</TR>
</TABLE>
:
<BUTTON onclick="oTable.cellSpacing=20">Larger spacing</BUTTON>
<BUTTON onclick="oTable.cellSpacing=5">Smaller spacing</BUTTON>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TABLE

See Also

cellPadding


CH Attribute | ch

CH Attribute | ch Property

Sets or retrieves a value that you can use to implement your own ch functionality for the object.

Syntax

HTML | <ELEMENT CH = sChar... >
Scripting | object.ch(v) [ = sChar ]

Possible Values

sChar String that specifies or receives the value of the ch property.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The functionality specified by the HTML 4.0 standard for this property is not implemented.

There is no functionality implemented for this property unless defined by the author.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TR, TD, TH, COL, TBODY, THEAD, TFOOT


charset

charset Property

Sets or retrieves the character set used to encode the object.

What's New for Microsoft® Internet Explorer 6

This property now applies to the a, link, and script objects.

Syntax

HTML | N/A
Scripting | object.charset [ = sCharSet ]

Possible Values

sCharSet String that specifies or receives the character set.

The property is read/write. The property has no default value.

Remarks

For a, link, and script objects, you must set the value of this property before you can retrieve it.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, document, LINK, META, SCRIPT


CHECKED Attribute | checked

CHECKED Attribute | checked Property

Sets or retrieves the state of the check box or radio button.

Syntax

HTML | <ELEMENT CHECKED ... >
Scripting | object.checked [ = bChecked ]

Possible Values

bChecked Boolean that specifies or receives one of the following values.
false | Default. Control is not selected.
true | Control is selected.

The property is read/write. The property has a default value of false.

Remarks

Check boxes that are not selected do not return their values when the form is submitted.

A user can select a radio button only if the button has a name. To clear a selected radio button, a user must select another button in the set.

Example

This example retrieves the checked property to fire an event.

<HEAD>
<SCRIPT>
function checkthis()
{
if (oCheckbox.checked == true)
{
alert("It's got a check; now off to Microsoft!");
window.open("http://www.microsoft.com");
}
}
</SCRIPT>
</HEAD>
<BODY>
Check here if you wish to go to Microsoft:
<INPUT ID=oCheckbox TYPE=checkbox onclick=checkthis()>
</BODY>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

INPUT type=checkbox, INPUT type=radio

See Also

defaultChecked, Introduction to Forms


CHOFF Attribute | chOff

CHOFF Attribute | chOff Property

Sets or retrieves a value that you can use to implement your own chOff functionality for the object.

Syntax

HTML | <ELEMENT CHOFF = sCharstring... >
Scripting | object.chOff(v) [ = sCharstring ]

Possible Values

sCharstring String that specifies or receives the value of the chOff property.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The functionality specified by the HTML 4.0 standard for this property is not implemented.

There is no functionality implemented for this property unless defined by the author.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TR, TD, TH, COL, TBODY, THEAD, TFOOT


CITE Attribute | cite

CITE Attribute | cite Property

Sets or retrieves reference information about the object.

Syntax

HTML | <ELEMENT CITE = sCitation... >
Scripting | object.cite(v) [ = sCitation ]

Possible Values

sCitation String that specifies or receives reference information.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This property is designed to point to information (e.g., a Uniform Resource Identifier (URI)) that explains why a document was changed or about the source of a quotation.

There is no functionality implemented for this property unless defined by the author.

Example

The example shows the use of the cite property.

<HTML>
<BODY>
<Q id="greatQuote" cite="http://www.Shakespeare.the.great.com">
To Be or Not to Be, That is the Question</Q>
</BODY>
</HTML>

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

BLOCKQUOTE, Q, INS, DEL


CLASSID Attribute | classid

CLASSID Attribute | classid Property

Sets or retrieves the class identifier for the object.

Syntax

HTML | <OBJECT CLASSID = sID... >
Scripting | OBJECT.classid(v) [ = sID ]

Possible Values

sID String that specifies or receives the class identifier for the object.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The format the classid string is "clsid:XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX" for registered Microsoft® ActiveX® Controls.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link.

Applies To

OBJECT


CLASS Attribute | className

CLASS Attribute | className Property

Sets or retrieves the class of the object.

Syntax

HTML | <ELEMENT CLASS = sClass... >
Scripting | object.className [ = sClass ]

Possible Values

sClass String that specifies or receives the class or style rule.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The class is typically used to associate a particular style rule in a style sheet with the element.

As of Microsoft® Internet Explorer 5, you can apply multiple styles to an element by specifying more than one style for the CLASS attribute. To apply multiple styles to a single element, use the following syntax:

<ELEMENT CLASS = sClass [ sClass2 [ sClass3 ... ] ] ... >

When multiple styles are specified for an element, a conflict could develop if two or more styles define the same attribute differently. In this case, you can resolve the conflict by applying styles to the element in the following order, according to the Cascading Style Sheets (CSS) selector used to define the style.

  1. Element
  2. CLASS
  3. ID
  4. Inline styles

When two or more selectors pertain to an element, a style defined later takes precedence over a style defined earlier. For more information, see Cascading Style Sheets in Internet Explorer 4.0.

Example

This example uses the className attribute to apply one or more styles to an HTML element.

<HEAD>
<STYLE TYPE="text/css">
P {font-size: 24pt;}
.redText {color: red;}
.blueText {color: blue;}
.italicText {font-style: italic;}
</STYLE>
</HEAD>
<BODY>
<P>
Large text, no class specified, one implied.
</P>
<P CLASS="redText">
Large text, .redText class specified.
</P>
<P CLASS="blueText italicText">
Large text, .blueText and .italicText classes specified.
</P>
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


clear Attribute | clear

clear Attribute | clear Property

Sets or retrieves whether the object allows floating objects on its left side, right side, or both, so that the next text displays past the floating objects.

Syntax

HTML | { clear : sClear }
Scripting | object.style.clear(v) [ = sClear ]

Possible Values

sClear String that specifies or receives one of the following values.
none | Default. Floating objects are allowed on both sides.
left | Object is moved below any floating object on the left side.
right | Object is moved below any floating object on the right side.
both | Object is moved below any floating object.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of none. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The value of this property lists the sides where floating objects are not accepted.

Examples

The following examples use the clear attribute and the clear property to specify placement of text relative to floating objects.

This example uses a call to an embedded (global) style sheet to move the text below the floating objects when italic text is encountered.

<STYLE>
I { clear:left }
</STYLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example changes the position of the paragraph relative to the floating object on its left side.

<HEAD>
<SCRIPT>
function fnClear(){
oClear.style.clear="left";
}
function fnClear2(){
oClear.style.clear="none";
}
</SCRIPT>
</HEAD>
<BODY>
<img src="../common/sphere.jpg" style="float:left">
<SPAN ID="oClear">
<P>This is an example of the clear attribute.<P>
</span>
<P>
<INPUT TYPE=button value="clear = left" onclick="fnClear()">
<INPUT TYPE=button value="clear = none" onclick="fnClear2()">
</P>
</BODY>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link and is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ADDRESS, APPLET, B, BIG, BLOCKQUOTE, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, defaults, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


CLEAR Attribute | clear

CLEAR Attribute | clear Property

Sets or retrieves the side on which floating objects are not to be positioned when a line break is inserted into the document.

Syntax

HTML | <BR CLEAR = sValue... >
Scripting | BR.clear [ = sValue ]

Possible Values

sValue String that specifies or receives one of the following values.
all | Object is moved below any floating object.
left | Object is moved below any floating object on the left side.
right | Object is moved below any floating object on the right side.
none | Floating objects are allowed on all sides.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

This property is deprecated in HTML Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

BR


clientHeight

clientHeight Property

Retrieves the height of the object including padding, but not including margin, border, or scroll bar.

Syntax

HTML | N/A
Scripting | [ iHeight = ] object.clientHeight

Possible Values

iHeight Integer that receives the height of the object, in pixels.

The property is read-only. The property has no default value.

Example

This example shows how the clientHeight property and the offsetHeight property measure document height differently. The height of the div is set to 100, and this is the value retrieved by the offsetHeight property, not the clientHeight property.

<DIV ID=oDiv STYLE="overflow:scroll; width:200; height:100"> . . . </DIV>
<BUTTON onclick="alert(oDiv.clientHeight)">client height</BUTTON>
<BUTTON onclick="alert(oDiv.offsetHeight)">offset heightY</BUTTON>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, META, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

Measuring Element Dimension and Location


clientLeft

clientLeft Property

Retrieves the distance between the offsetLeft property and the true left side of the client area.

Syntax

HTML | N/A
Scripting | [ iDistance = ] object.clientLeft

Possible Values

iDistance Integer that receives the described distance, in pixels.

The property is read-only. The property has no default value.

Remarks

The difference between the offsetLeft and clientLeft properties is the border of the object.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, META, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

Measuring Element Dimension and Location


clientTop

clientTop Property

Retrieves the distance between the offsetTop property and the true top of the client area.

Syntax

HTML | N/A
Scripting | [ iDistance = ] object.clientTop

Possible Values

iDistance Integer that receives the described distance, in pixels.

The property is read-only. The property has no default value.

Remarks

The difference between the offsetTop and the clientTop properties is the border area of the object.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, META, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

Measuring Element Dimension and Location


clientWidth

clientWidth Property

Retrieves the width of the object including padding, but not including margin, border, or scroll bar.

Syntax

HTML | N/A
Scripting | [ iWidth = ] object.clientWidth

Possible Values

iWidth Integer that receives the width of the object, in pixels.

The property is read-only. The property has no default value.

Example

This example shows how the clientWidth property and the offsetWidth property measure document width differently. The width of the div is set to 200, and this is the value retrieved by the offsetWidth property, not the clientWidth property.

<DIV ID=oDiv STYLE="overflow:scroll; width:200; height:100"> . . . </DIV>
<BUTTON onclick="alert(oDiv.clientWidth)">client width</BUTTON>
<BUTTON onclick="alert(oDiv.offsetWidth)">offset widthY</BUTTON>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, META, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

Measuring Element Dimension and Location


clientX

clientX Property

Sets or retrieves the x-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.

Syntax

event.clientX [ = iXPos ]

Possible Values

iXPos Integer that specifies or receives the x-coordinate, in pixels.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The property is read-only in Microsoft® Internet Explorer 4.0, and read/write in Internet Explorer 5 and later.

Because the clientX property returns a value relative to the client, you can add the value of the scrollLeft property to determine the distance of the x-coordinate from the edge of the body element.

Within a viewlink, the client area begins at the edge of the master element.

Example

This example uses the clientX property to determine the mouse position relative to the window. The status window shows the mouse position at all times.

<SCRIPT>
function clientCoords()
{
var offsetInfo = ""
clientInfo = "The x coordinate is: " + window.event.clientX + "\r"
clientInfo += "The y coordinate is: " + window.event.clientY + "\r"
alert(clientInfo);
}
</SCRIPT>
</HEAD>
<BODY onmousemove="window.status = 'X=' + window.event.clientX +
' Y=' + window.event.clientY"
ondblclick="clientCoords()">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

event


clientY

clientY Property

Sets or retrieves the y-coordinate of the mouse pointer's position relative to the client area of the window, excluding window decorations and scroll bars.

Syntax

event.clientY [ = iYPos ]

Possible Values

iYPos Integer that specifies or receives the y-coordinate, in pixels.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The property is read-only in Microsoft® Internet Explorer 4.0, and read/write in Internet Explorer 5 and later.

Because the clientY property returns a value relative to the client, you can add the value of the scrollTop property to determine the distance of the y-coordinate from the edge of the body element.

Within a viewlink, the client area begins at the edge of the master element.

Example

This example uses the clientY property to determine the mouse position relative to the window. The status window shows the mouse position at all times.

<SCRIPT>
function clientCoords()
{
var offsetInfo = ""
clientInfo = "The x coordinate is: " + window.event.clientX + "\r"
clientInfo += "The y coordinate is: " + window.event.clientY + "\r"
alert(clientInfo);
}
</SCRIPT>
</HEAD>
<BODY onmousemove="window.status = 'X=' + this.clientX + ' Y=' +
this.clientY"
ondblclick="clientCoords()">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

event


clip Attribute | clip

clip Attribute | clip Property

Sets or retrieves which part of a positioned object is visible.

Syntax

HTML | { clip : sClip }
Scripting | object.style.clip [ = sClip ]

Possible Values

sClip String that specifies or receives one of the following values.
auto | Default. Clip to expose entire object.
rect(top right bottom left) | Top, right, bottom, and left specify length values, any of which can be replaced by auto, leaving that side not clipped. The value of top specifies that everything above this value on the Y axis (with 0 at the top) is clipped. The value of right specifies that everything above this value on the X axis (with 0 at the left) is clipped. The value of bottom specifies that everything below this value on the Y axis (with 0 at the top) is clipped. The value of left specifies that everything to the left of this value on the X axis (with 0 at the left) is clipped.

The property is read/write. The property has a default value of auto. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This property defines the shape and size of the positioned object that is visible. The position must be set to absolute. Any part of the object that is outside the clipping region is transparent. Any coordinate can be replaced by the value auto, which exposes the respective side (that is, the side is not clipped).

The order of the values clip:rect(0 0 50 50) renders the object invisible because it sets the top and right positions of the clipping region to 0. To achieve a 50-by-50 view port, use clip:rect(0 50 50 0).

The clip attribute and the clip property are available on the Macintosh platform, as of Microsoft® Internet Explorer 5.

Examples

The following example shows how to use an inline style to clip the image.

<HTML>
<BODY>
<DIV STYLE="position:absolute;top:0;left:200;
clip:rect(15px auto auto auto)">
<IMG SRC="sphere.jpg"/>
</DIV>
<DIV STYLE="position:absolute;top:0;left:300;
clip:rect(auto 15px auto auto)">
<IMG SRC="sphere.jpg"/>
</DIV>
<DIV STYLE="position:absolute;top:0;left:400;
clip:rect(auto auto 15px auto)">
<IMG SRC="sphere.jpg"/>
</DIV>
<DIV STYLE="position:absolute;top:0;left:500;
clip:rect(auto auto auto 15px)">
<IMG SRC="sphere.jpg"/>
</DIV>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The following example shows how to use inline scripting to clip the image.

<IMG ID="sphere" SRC="sphere.jpg"
STYLE="position:absolute;top:0cm;left:0cm;">
<BUTTON
onclick="sphere.style.clip='rect(0.2cm 0.6cm 1cm 0.1cm)'">
Clip Image</BUTTON>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 2 (CSS2) Non-Microsoft link.

Applies To

A, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BUTTON, CENTER, CITE, CODE, CUSTOM, DD, defaults, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PRE, RUBY, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TR, TT, U, UL, VAR, XMP

See Also

clipBottom, clipLeft, clipRight, clipTop


clipBottom

clipBottom Property

Retrieves the bottom coordinate of the object clipping region.

Syntax

[ sBottom = ] currentStyle.clipBottom

Possible Values

sBottom Variant that receives one of the following values.
auto | Bottom side of object is fully exposed—that is, the bottom side is not clipped.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.

The property is read-only. The property has no default value.

Example

This example reads the clipBottom property from the currentStyle object of an image.

<SCRIPT>
function setClip(sOptionValue) {
oImage.style.clip="rect(0,100,"+sOptionValue+",0)";
if (oImage.currentStyle.clipBottom == "60px") {
alert("The image has been clipped to 60px.");
}
:
}
</SCRIPT>
:
<IMG ID=oImage SRC="../common/sphere.jpg">
:
Pick an amount to clip the bottom:
// the option value is sent as an argument:
<SELECT onchange="setClip(value)">
<OPTION VALUE=100>reset </OPTION>
<OPTION VALUE=40>40px </OPTION>
<OPTION VALUE=50>50px </OPTION>
<OPTION VALUE=60>60px </OPTION>
</SELECT>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

currentStyle

See Also

clip, clipLeft, clipRight, clipTop


clipLeft

clipLeft Property

Retrieves the left coordinate of the object clipping region.

Syntax

[ sLeft = ] currentStyle.clipLeft

Possible Values

sLeft Variant that receives one of the following values.
auto | Left side of object is fully exposed—that is, the left side is not clipped.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.

The property is read-only. The property has no default value.

Example

This example demonstrates how to read the clipLeft property from the currentStyle object of an image.

<SCRIPT>
function setClip(sOptionValue) {
oImage.style.clip="rect(0,100,100,"+sOptionValue+")";
if (oImage.currentStyle.clipLeft == "60px") {
alert("The image has been clipped to 60px.");
}
:
}
</SCRIPT>
:
<IMG ID=oImage SRC="../common/sphere.jpg">
:
Pick an amount to clip the left:
// the option value is sent as an argument:
<SELECT onchange="setClip(value)">
<OPTION VALUE=100>reset </OPTION>
<OPTION VALUE=40>40px </OPTION>
<OPTION VALUE=50>50px </OPTION>
<OPTION VALUE=60>60px </OPTION>
</SELECT>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

currentStyle

See Also

clip, clipBottom, clipRight, clipTop


clipRight

clipRight Property

Retrieves the right coordinate of the object clipping region.

Syntax

[ sRight = ] currentStyle.clipRight

Possible Values

sRight Variant that receives one of the following values.
auto | Right side of object is fully exposed—that is, the right side is not clipped.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.

The property is read-only. The property has no default value.

Example

This example demonstrates how to read the clipRight property from the currentStyle object of an image.

<SCRIPT>
function setClip(sOptionValue) {
oImage.style.clip="rect(0,"+sOptionValue+",100,0)";
if (oElmnt1.currentStyle.clipRight == "60px") {
alert("The image has been clipped to 60px.");
}
:
}
</SCRIPT>
:
<IMG ID=oImage SRC="../common/sphere.jpg">
:
Pick an amount to clip the right:
// the option value is sent as an argument:
<SELECT onchange="setClip(value)">
<OPTION VALUE=100>reset </OPTION>
<OPTION VALUE=40>40px </OPTION>
<OPTION VALUE=50>50px </OPTION>
<OPTION VALUE=60>60px </OPTION>
</SELECT>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

currentStyle

See Also

clip, clipBottom, clipLeft, clipTop


clipTop

clipTop Property

Retrieves the top coordinate of the object clipping region.

Syntax

[ sTop = ] currentStyle.clipTop

Possible Values

sTop Variant that receives one of the following values.
auto | Top side of object is fully exposed—that is, the top side is not clipped.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.

The property is read-only. The property has no default value.

Example

This example demonstrates how to read the clipTop property from the currentStyle object of an image.

<SCRIPT>
function setClip(sOptionValue) {
oImage.style.clip="rect("+sOptionValue+",100,100,0)";
if (oImage.currentStyle.clipTop == "60px") {
alert("The image has been clipped to 60px.");
}
:
}
</SCRIPT>
:
<IMG ID=oImage SRC="../common/sphere.jpg">
:
Pick an amount to clip the top:
// the option value is sent as an argument:
<SELECT onchange="setClip(value)">
<OPTION VALUE=100>reset </OPTION>
<OPTION VALUE=40>40px </OPTION>
<OPTION VALUE=50>50px </OPTION>
<OPTION VALUE=60>60px </OPTION>
</SELECT>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

currentStyle

See Also

clip, clipBottom, clipLeft, clipRight


closed

closed Property

Retrieves whether the referenced window is closed.

Syntax

[ bClosed = ] window.closed

Possible Values

bClosed Boolean that receives one of the following values.
false | Default. Window is open.
true | Window is closed.

The property is read-only. The property has a default value of false.

Standards Information

There is no public standard that applies to this property.

Applies To

window


CODE Attribute | code

CODE Attribute | code Property

Sets or retrieves the URL of the file containing the compiled Java class.

Syntax

HTML | <ELEMENT CODE = sURL... >
Scripting | object.code [ = sURL ]

Possible Values

sURL String that specifies or receives the URL of the file.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

This property is deprecated in HTML Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

APPLET, OBJECT


CODEBASE Attribute | codeBase

CODEBASE Attribute | codeBase Property

Sets or retrieves the URL of the component.

Syntax

HTML | <ELEMENT CODEBASE = sLocation... >
Scripting | object.codeBase [ = sLocation ]

Possible Values

sLocation String that specifies or receives the URL of the component, which can be appended with a version string of the form #Version=a,b,c,d, as described in the remarks section. If the client computer has a newer version installed, no download occurs.
a | High-order word of the major version of the component available at the specified URL.
b | Low-order word of the major version of the component available at the specified URL.
c | High-order word of the minor version of the component available at the specified URL.
d | Low-order word of the minor version of the component available at the specified URL.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Applets do not support version information supplied as part of the URL.

If a,b,c,d are all set to -1 (#Version=-1,-1,-1,-1), the component is downloaded from the server if the release date is later than the installation date on the client computer. If the component is installed on the client computer and the release date is the same or earlier than the installation date, only an HTTP header transaction occurs.

The URL of the component cannot be a local path.

Example

The following example uses the CODEBASE attribute to specify the download location of the Common Dialog control.

<OBJECT ID="CommonDialog1" WIDTH=32 HEIGHT=32
CLASSID="CLSID:F9043C85-F6F2-101A-A3C9-08002B2F49FB"
CODEBASE="http://activex.microsoft.com/controls/vb5/comdlg32.cab
#Version=1,0,0,0">
</OBJECT>

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

APPLET, OBJECT

See Also

Managing Versions of a Component


CODETYPE Attribute | codeType

CODETYPE Attribute | codeType Property

Sets or retrieves the Internet media type for the code associated with the object.

Syntax

HTML | <OBJECT CODETYPE = sType... >
Scripting | OBJECT.codeType [ = sType ]

Possible Values

sType String that specifies or receives the media type.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Internet media types are also known as MIME types.

The codeType property is read-only for any pre-existing object in an HTML document. For instances of objects that are created in script, the codeType property is read/write-once, because the codeType property is written when an object is created. After an instance of an object is created, the codeType property is read-only.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

OBJECT

See Also

MIME Type Detection in Internet Explorer


COLOR Attribute | color

COLOR Attribute | color Property

Sets or retrieves the color to be used by the object.

Syntax

HTML | <ELEMENT COLOR = sColor... >
Scripting | object.color [ = sColor ]

Possible Values

sColor Variant that specifies or receives one of the color names or RGB values in the Color Table.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Some browsers do not recognize color names, but all browsers should recognize RGB color values and display them correctly.

Standards Information

This property is deprecated in HTML Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

BASEFONT, FONT, HR


color Attribute | color

color Attribute | color Property

Sets or retrieves the color of the text of the object.

Syntax

HTML | { color : sColor }
Scripting | object.style.color(v) [ = sColor ]

Possible Values

sColor Variant that specifies or receives one of the color names or RGB values in the Color Table.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has no default value. The Cascading Style Sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

These are different ways to specify a color—in this example, red.

EM { color: red }              /* natural language / CNS */
EM { color: #F00 }             /* #RGB */
EM { color: #FF0000 }          /* #RRGGBB */
EM { color: rgb 1.0 0.0 0.0 }  /* float range: 0.0 - 1.0 */

Some browsers do not recognize color names, but all browsers should recognize RGB color values and display them correctly.

Examples

The following examples use the color attribute and the color property to change the text color of an object.

This example uses a call to an embedded (global) style sheet to change the text color to red when an onmouseover event occurs.

<STYLE>
.color1 { color:red }
.color2 { color: }
</STYLE>
</HEAD>
<BODY>
<SPAN STYLE="font-size:14" onmouseover="this.className='color1'"
onmouseout="this.className='color2'"> . . .
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to change the text color to red when an onmouseover event occurs.

<SPAN STYLE="font-size:14" onmouseover="this.style.color='red'">
:
</SPAN>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link and is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ADDRESS, APPLET, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, defaults, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, hn, HTML, I, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, NOBR, OL, OPTION, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


colorDepth

colorDepth Property

Retrieves the number of bits per pixel used for colors on the destination device or buffer.

Syntax

[ iBitsPerPixel = ] screen.colorDepth

Possible Values

iBitsPerPixel Integer that receives one of the following values.
1, 4, 8, 15, 16, 24, 32 Number of bits per pixel, expressed as an integer, to use for the off-screen buffer. The value 15 specifies 16 bits per pixel, in which only 15 bits are used in a 5-5-5 layout of RGB values.

The property is read-only. The property has no default value.

Remarks

Retrieving the value of the property through script enables you to select an appropriate color to return to the browser.

If bufferDepth is 0 or -1, colorDepth is equal to the bits-per-pixel value for the screen or printer. If bufferDepth is nonzero, colorDepth is equal to bufferDepth.

Standards Information

There is no public standard that applies to this property.

Applies To

screen


COLS Attribute | cols

COLS Attribute | cols Property

Sets or retrieves the width of the object.

Syntax

HTML | <TEXTAREA COLS = iCount... >
Scripting | TEXTAREA.cols(v) [ = iCount ]

Possible Values

iCount Integer that specifies or receives the number of characters used to determine the width of the object.

The property is read/write. The property has a default value of 20.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TEXTAREA


COLS Attribute | cols

COLS Attribute | cols Property

Sets or retrieves the number of columns in the table.

Syntax

HTML | <TABLE COLS = iCount... >
Scripting | TABLE.cols [ = iCount ]

Possible Values

iCount Integer that specifies or receives the number of columns.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Specifying this number can speed up the processing of the table.

Example

This example uses the COLS attribute and the cols property to set the number of columns in HTML and retrieve the number of columns in script.

<SCRIPT>
function checkCols(oObject)
{
var iColumns = oObject.cols;
alert (iColumns);
}
</SCRIPT>
</HEAD>
<BODY>
<TABLE ID=oTable BORDER COLS=3 onclick="checkCols(this)">
<TR><TD>Column 1</TD><TD>Column 2</TD><TD>Column 3</TD></TR>
</TABLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to HTML Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TABLE


COLS Attribute | cols

COLS Attribute | cols Property

Sets or retrieves the frame widths of the object.

Syntax

HTML | <FRAMESET COLS = sWidth... >
Scripting | FRAMESET.cols [ = sWidth ]

Possible Values

sWidth Integer that specifies or receives one of the following values.
width | Integer that specifies the frame width, in pixels.
percentage | Integer, followed by a percent sign (%). The value is a percentage of total available width.
width* | Integer that specifies the frame width as a relative value. After allocating pixel or percentage values, the remaining space is divided among all relative-sized frames.

The property is read/write. The property has no default value.

Remarks

The number of comma-separated items is equal to the number of frames contained within the frameSet, while the value of each item determines the frame width.

Examples

This example defines a two-column frame, with the first occupying 40 percent of the available width and the second occupying the remaining 60 percent.

<FRAMESET COLS="40%, 60%">

This example defines a four-column frame. The first is 50 pixels wide, and the fourth is 80 pixels wide. The second occupies two-thirds of the remaining width, while the third occupies the final third of the remaining width.

<FRAMESET COLS="50, 2*, *, 80">

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

FRAMESET

See Also

rows


COLSPAN Attribute | colSpan

COLSPAN Attribute | colSpan Property

Sets or retrieves the number columns in the table that the object should span.

Syntax

HTML | <ELEMENT COLSPAN = iCount... >
Scripting | object.colSpan [ = iCount ]

Possible Values

iCount Integer that specifies or receives the number of columns to span.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This property can be changed only after the page has been loaded.

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TD, TH


COMPACT Attribute | compact

COMPACT Attribute | compact Property

Sets or retrieves a Boolean value indicating whether the list should be compacted by removing extra space between list objects.

What's New for Internet Explorer 6

This property now applies to the menu and dir objects.

Syntax

HTML | <ELEMENT COMPACT ... >
Scripting | object.compact(v) [ = bCompactList ]

Possible Values

bCompactList Boolean that specifies or receives one of the following values.
true | Removes extra space between objects in list.
false | Default. Does not remove extra space between objects in list.

The property is read/write. The property has a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

There is no functionality implemented for the compact property for the ul, ol, dir and menu elements unless defined by the author.

Examples

The following example shows how to use the compact property in HTML. Note that the presence of the word COMPACT sets the compact property to true

<HTML>
<BODY>
<DL COMPACT>
<DT>Cat
<DD>A small domesticated mammal.
<DT>Lizard
<DD>A reptile generally found in dry areas.
</DL>
</BODY>
</HTML>

The following example shows how to set the compact property using Microsoft JScript®

<HTML>
<BODY>
<script>
//Function that toggles the compact property for the DL element below
function compactDLToggle()
{
animals.compact = !animals.compact;
toggle.innerText = "Compact = "+animals.compact;
}
</script>
<P style="color:blue; font-weight:bold">Effect of setting COMPACT property for a DL element</P>
<BUTTON id="toggle" onclick="compactDLToggle()">Toggle Compact Property</BUTTON>
<DL id=animals>
<DT>Cat
<DD>A small domesticated mammal.
<DT>Lizard
<DD>A reptile generally found in dry areas.
</DL>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is deprecated in HTML Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

MENU, DIR, DL, UL, OL


compatMode

compatMode Property

Retrieves a value that indicates whether standards-compliant mode is switched on for the object.

Syntax

[ sMode = ] document.compatMode

Possible Values

sMode String that receives one of the following values.
BackCompat | Standards-compliant mode is not switched on.
CSS1Compat | Standards-compliant mode is switched on.

The property is read-only. The property has no default value.

Remarks

With Internet Explorer 6 and later, you switch on standards-compliant mode by including the !DOCTYPE declaration at the top of your document, specifying a valid Label in the declaration, and in some cases, specifying the Definition and/or URL. The Label specifies the unique name of the Document Type Definition (DTD), and can be appended with the version number of the DTD. The Definition specifies the definition of the DTD that is specified in the Label. The URL specifies the location of the DTD.

When standards-compliant mode is switched on, Internet Explorer renders the document in compliance with the Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link standard. When standards-compliant mode is not switched on, rendering behavior is consistent with previous versions of Internet Explorer.

Examples

The !DOCTYPE declarations in the following examples specify conformance to the Transitional HTML 4.0 DTD. The declaration in the second example specifies the URL of the DTD. The declaration in the first example does not. The second declaration switches on standards-compliant mode with Internet Explorer 6 and later. The first declaration does not.

The compatMode property returns BackCompat with documents containing the declaration in the following example. This declaration does not switch on standards-compliant mode because it does not specify the URL of the Transitional HTML 4.0 DTD.

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
This feature requires Microsoft® Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The compatMode property returns CSS1Compat with documents containing the declaration in the following example. This declaration switches on standards-compliant mode because it specifies the URL of the Transitional HTML 4.0 DTD.

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
This feature requires Microsoft® Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

document

See Also

CSS Enhancements in Internet Explorer 6


complete

complete Property

Retrieves whether the object is fully loaded.

Syntax

HTML | N/A
Scripting | [ bComplete = ] object.complete

Possible Values

bComplete Boolean that receives one of the following values.
false | Default. Object has not been loaded.
true | Object has been loaded.

The property is read-only. The property has a default value of false.

Standards Information

There is no public standard that applies to this property.

Applies To

IMG, INPUT, INPUT type=image

See Also

onreadystatechange, readyState


connectionType

connectionType Property

Retrieves the type of connection in use.

Syntax

XML | N/A
Scripting | [ sConnectionType = ] clientCaps.connectionType

Possible Values

sConnectionType String that receives one of the following values:
lan | User is connected through a network.
modem | User is connected through a modem.
offline | User is working offline.

The property is read-only. The property has no default value.

Example

This example displays all the properties available through the clientCaps behavior.

<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
IE\:CLIENTCAPS {behavior:url(#default#clientCaps)}
}
</STYLE>
<SCRIPT>
function window.onload()
{
sTempStr = "availHeight    = " + oClientCaps.availHeight    + "\n" +
"availWidth     = " + oClientCaps.availWidth     + "\n" +
"bufferDepth    = " + oClientCaps.bufferDepth    + "\n" +
"colorDepth     = " + oClientCaps.colorDepth     + "\n" +
"connectionType = " + oClientCaps.connectionType + "\n" +
"cookieEnabled  = " + oClientCaps.cookieEnabled  + "\n" +
"cpuClass       = " + oClientCaps.cpuClass       + "\n" +
"height         = " + oClientCaps.height         + "\n" +
"javaEnabled    = " + oClientCaps.javaEnabled    + "\n" +
"platform       = " + oClientCaps.platform       + "\n" +
"systemLanguage = " + oClientCaps.systemLanguage + "\n" +
"userLanguage   = " + oClientCaps.userLanguage   + "\n" +
"width          = " + oClientCaps.width          + "\n" ;
oPre.innerText = sTempStr;
}
</SCRIPT>
</HEAD>
<BODY>
<H1>clientCaps Behavior Sample</H1>
<P>This example shows how to use the new <B>clientCaps</B>
behavior, introduced in Microsoft Internet Explorer 5, to obtain
client capabilities information. The following is a sampling of the
information that can be obtained:</P>
<IE:CLIENTCAPS ID="oClientCaps" />
<PRE id="oPre"></PRE>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

clientCaps

See Also

About Client Capabilities


CONTENT Attribute | content

CONTENT Attribute | content Property

Sets or retrieves meta-information to associate with HTTP-EQUIV or NAME.

Syntax

HTML | <META CONTENT = vContent... >
Scripting | META.content [ = vContent ]

Possible Values

vContent String that specifies or receives one of the following values.
description | Meta-information.
refresh | Integer consisting of the number of seconds to elapse before the document is refreshed. This value requires the HTTP-EQUIV attribute to be set with the refresh value.
url | Location that is loaded when the document is refreshed. This value requires the HTTP-EQUIV attribute to be set with the refresh value.
mimetype | MIME type used for the charset value.
charset | Character set of the document. This value requires the mimetype value to be set with a valid MIME type, and the HTTP-EQUIV attribute to be set with the refresh value.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Examples

This example causes the browser to reload the document every two seconds.

<META HTTP-EQUIV="REFRESH" CONTENT=2>

This example sets the character set for the document.

<META HTTP-EQUIV="Content-Type"
CONTENT="text/html; CHARSET=Windows-1251">

This example disables theming support for the document.

<META HTTP-EQUIV="MSTHEMECOMPATIBLE" CONTENT="no">

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

META


CONTENTEDITABLE Attribute | contentEditable

CONTENTEDITABLE Attribute | contentEditable Property

Sets or retrieves the string that indicates whether the user can edit the content of the object.

Syntax

HTML | <ELEMENT CONTENTEDITABLE = sCanEdit... >
Scripting | object.contentEditable(v) [ = sCanEdit ]

Possible Values

sCanEdit String that specifies or receives one of the following values.
inherit | Default. Content's ability to be edited by user is inherited from object's parent.
false | Content cannot be edited by the user.
true | Content can be edited by the user.

The property is read/write. The property has a default value of inherit.

Remarks

Child elements do not inherit this attribute unless they have layout. Use the hasLayout property to determine if an object has layout.

If this attribute is applied to a BODY element, it has the same effect as setting the designMode property of the document object.

Elements with the disabled attribute set to false do not respond to the contentEditable attribute.

If this attribute is applied to the A element, the default functionality of the A element will be lost while sCanEdit is set to the value of true.

If this attribute is applied to the MARQUEE element, the default functionality of the MARQUEE element will be lost while sCanEdit is set to the value of true.

Though the TABLE, COL, COLGROUP, TBODY, TD, TFOOT, TH, THEAD, and TR elements cannot be set as content editable directly, a content editable SPAN, or DIV element can be placed inside the individual table cells (TD and TH elements). See the example below.

security note Security Alert Users can change the contents of a Web page when the contentEditable property is set to TRUE. Using this property incorrectly can compromise the security of your application. Incorrect use of the contentEditable property might include not validating user input. If you do not validate user input, a malicious user can inject control characters or script that can harm your data. You should take routine precautions against displaying unvalidated user input. For more information, see Security Considerations: Dynamic HTML.

Examples

In the following example, setting the DIV elements to have 100%?A HREF="../properties/height_1.html">height and width makes all content within the borders of the cells editable.

<P>Table 1 Editable</P><BR/>
<TABLE BORDER=1 WIDTH=80%>
<THEAD>
<TR>
<TH><DIV CONTENTEDITABLE STYLE="height: 100%; width: 100%;">Heading 1 <DIV></TH>
<TH><DIV CONTENTEDITABLE STYLE="height: 100%; width: 100%;">Heading 2 <DIV></TH>
</TR>
</THEAD>
<TBODY>
<TR>
<TD><DIV CONTENTEDITABLE STYLE="height: 100%; width: 100%;">Row 1, Column 1 text.<DIV></TD>
<TD><DIV CONTENTEDITABLE STYLE="height: 100%; width: 100%;">Row 1, Column 2 text.<DIV></TD>
</TR>
<TR>
<TD><DIV CONTENTEDITABLE STYLE="height: 100%; width: 100%;">Row 2, Column 1 text.<DIV></TD>
<TD><DIV CONTENTEDITABLE STYLE="height: 100%; width: 100%;">Row 2, Column 2 text.<DIV></TD>
</TR>
</TBODY>
</TABLE>

The following example shows how to use the contentEditable property to control whether the user can edit the content of the object.

<HEAD>
<SCRIPT>
function chgSpan() {
currentState = oSpan.isContentEditable;
newState = !currentState;
oSpan.contentEditable = newState;
oCurrentValue.innerText = newState;
newState==false ? oBtn.innerText="Enable Editing" :
oBtn.innerText="Disable Editing"
}
</SCRIPT>
</HEAD>
<BODY onload="oCurrentValue.innerText = oSpan.isContentEditable;">
<P>Click the button to enable or disable SPAN content editing.</P>
<P>
<BUTTON ID="oBtn" onclick="chgSpan()">Enable Editing</BUTTON>
</P>
<P><SPAN ID="oSpan">You can edit this text.</SPAN></P>
SPAN can be edited: <SPAN ID="oCurrentValue"></SPAN>
</BODY>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example demonstrates the features of Microsoft® Internet Explorer that enable users to edit the content of an HTML element directly from the browser.

This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

defaults, A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, hn, I, INPUT type=button, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, NOBR, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TEXTAREA, TT, U, UL, VAR, XMP


contentOverflow

contentOverflow Property

Retrieves a value that indicates whether the document contains additional content after processing the current LayoutRect object.

Syntax

[ bOverflow = ] event.contentOverflow

Possible Values

bOverflow Boolean that receives one of the following values.
true | Additional content needs to be formatted using a new LayoutRect.
false | All document content has been formatted.

The property is read-only. The property has no default value.

Remarks

Use the event-handling script invoked by the onlayoutcomplete event to check the value of this property. If the contentOverflow property is true, use a new LayoutRect to format the remaining document content. If set to false, the document formatting is complete. The contentOverflow property can be used only within customized print or print preview templates.

Standards Information

There is no public standard that applies to this property.

Applies To

event


contentWindow

contentWindow Property

Retrieves the window object of the specified frame or iframe.

Syntax

HTML | N/A
Scripting | [ oWindow = ] document.all.object.contentWindow

Possible Values

oWindow Object that receives the window object.

The property is read-only. The property has no default value.

Remarks

This property is useful if you do not know the id of the frame or iframe you are accessing through a collection.

Example

The following example shows how to use the contentWindow property to change the URL of window objects contained inside several iframe objects.

<html>
<head>
<SCRIPT>
function fnNavigate()
{
for(i=0;i<document.all.length;i++)
{
if(document.all(i).tagName=="IFRAME")
{
document.all(i).contentWindow.location = "http://www.msn.com";
}
}
}
</SCRIPT>
</HEAD>
<BODY>
<BUTTON onclick="fnNavigate();">Navigate Frames</BUTTON>
<P/>
<IFRAME SRC="http://www.microsoft.com" STYLE="width:100%;height:150px;">
</IFRAME>
<P/>
<IFRAME SRC="http://www.microsoft.com" STYLE="width:100%;height:150px;">
</IFRAME>
<P/>
<IFRAME SRC="http://www.microsoft.com" STYLE="width:100%;height:150px;"/>
</IFRAME>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

FRAME, IFRAME

See Also

frameElement


cookie

cookie Property

Sets or retrieves the string value of a cookie.

Syntax

document.cookie [ = sCookie ]

Possible Values

sCookie String that specifies or receives the name=value; pairs, plus any of the values listed in Possible Values.
expires=date; | Setting no expiration date on a cookie causes it to expire when the browser closes. If you set an expiration date in the future, the cookie is saved across browser sessions. If you set an expiration date in the past, the cookie is deleted. Use GMT format to specify the date.
domain=domainname; | Setting the domain of the cookie allows pages on a domain made up of more than one server to share cookie information.
path=path; | Setting a path for the cookie allows the current document to share cookie information with other pages within the same domain—that is, if the path is set to /thispathname, all pages in /thispathname and all pages in subfolders of /thispathname can access the same cookie information.
secure; | Setting a cookie as secure; means the stored cookie information can be accessed only from a secure environment.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

A cookie is a small piece of information stored by the browser. Each cookie is stored in a name=value; pair called a crumb—that is, if the cookie name is "id" and you want to save the id's value as "this", the cookie would be saved as id=this. You can store up to 20 name=value pairs in a cookie, and the cookie is always returned as a string of all the cookies that apply to the page. This means that you must parse the string returned to find the values of individual cookies.

Cookies accumulate each time the property is set. If you try to set more than one cookie with a single call to the property, only the first cookie in the list will be retained.

You can use the Microsoft® JScript®?A HREF="/library/en-us/script56/html/vtoriMicrosoftWindowsScriptTechnologies.html" TARGET="_top">split method to extract a value stored in a cookie.

Examples

This example creates a cookie with a specified name and value. The value is passed to the JScript?B>escape function to ensure that the value only contains valid characters. When the cookie is retrieved, the JScript unescape function should be used to translate the value back to its original form.

<SCRIPT>
// Create a cookie with the specified name and value.
// The cookie expires at the end of the 20th century.
function SetCookie(sName, sValue)
{
date = new Date();
document.cookie = sName + "=" + escape(sValue) + "; expires=" + date.toGMTString();
}
</SCRIPT>

This example retrieves the value of the portion of the cookie specified by the sCookie parameter.

<SCRIPT>
// Retrieve the value of the cookie with the specified name.
function GetCookie(sName)
{
// cookies are separated by semicolons
var aCookie = document.cookie.split("; ");
for (var i=0; i < aCookie.length; i++)
{
// a name/value pair (a crumb) is separated by an equal sign
var aCrumb = aCookie[i].split("=");
if (sName == aCrumb[0])
return unescape(aCrumb[1]);
}
// a cookie with the requested name does not exist
return null;
}
</SCRIPT>

This example deletes a cookie by setting its expires attribute to a past date. A cookie deleted in this manner might not be removed immediately by the browser.

<SCRIPT>
// Delete the cookie with the specified name.
function DelCookie(sName)
{
document.cookie = sName + "=" + escape(sValue) + "; expires=Fri, 31 Dec 1999 23:59:59 GMT;";
}
</SCRIPT>

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

document

See Also

Introduction to Persistence, Privacy in Internet Explorer 6


cookieEnabled

cookieEnabled Property

Retrieves whether client-side persistent cookies are enabled in the browser. Persistent cookies are those that are stored on the client-side computer.

Syntax

[ bEnabled = ] object.cookieEnabled

Possible Values

bEnabled Boolean that receives one of the following values.
false | Browser does not support cookies.
true | Browser does support cookies.

The property is read-only. The property has no default value.

Remarks

Note CookieEnabled does not check the status of session cookies.

This property does not check whether third-party persistent cookies are enabled in the browser.

Standards Information

There is no public standard that applies to this property.

Applies To

clientInformation, navigator


COORDS Attribute | coords

COORDS Attribute | coords Property

Sets or retrieves the coordinates of the object.

What's New for Microsoft® Internet Explorer 6

This property now applies to the a object.

Syntax

HTML | <ELEMENT COORDS = sCoords... >
Scripting | object.coords [ = sCoords ]

Possible Values

sCoords String that specifies or receives the coordinates.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

For a objects, you must set the value of this property before you can retrieve it. This satisfies the requirements of World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link. The page author is responsible for implementing the functionality defined in HTML 4.0 Non-Microsoft link for a objects, if desired.

For area objects, the format of sCoords depends on the value of the SHAPE attribute of the object, as follows:
SHAPE= circ or circle | COORDS= "x1,y1,r" – Where x1,y2 are the coordinates of the center of the circle, and r is the radius of the circle.
SHAPE= poly or polygon | COORDS= "x1,y1,x2,y2...xn,yn" – Where each x,y pair contains the coordinates of one vertex of the polygon.
SHAPE= rect or rectangle | COORDS= "x1,y1,x2,y2" – Where x1,y1 are the coordinates of the upper-left corner of the rectangle and x2,y2 are the coordinates of the lower-right coordinates of the rectangle.

Example

This example provides the full code for an image map of the solar system. Clicking on the sun or any planet links to an individual image. The user can click the Back button from the image to return to the solar system image map.

<P><IMG SRC="solarsys.gif" WIDTH=504 HEIGHT=126 BORDER=0
ALT="Solar System" USEMAP="#SystemMap">
<MAP NAME="SystemMap">
<AREA SHAPE="rect" COORDS="0,0,82,126"
HREF="../common/sun.gif">
<AREA SHAPE="circle" COORDS="90,58,3"
HREF="../common/merglobe.gif">
<AREA SHAPE="circle" COORDS="124,58,8"
HREF="../common/venglobe.gif">
<AREA SHAPE="circle" COORDS="162,58,10"
HREF="../common/earglobe.gif">
<AREA SHAPE="circle" COORDS="203,58,8"
HREF="../common/marglobe.gif">
<AREA SHAPE="poly"
COORDS="221,34,238,37,257,32,278,44,284,60,281,75,
288,91,267,87,253,89,237,81,229,64,228,54"
HREF="../common/jupglobe.gif">
<AREA SHAPE="poly"
COORDS="288,19,316,39,330,37,348,47,351,66,349,74,
367,105,337,85,324,85,307,77,303,60,307,50"
HREF="../common/satglobe.gif">
<AREA SHAPE="poly"
COORDS="405,39,408,50,411,57,410,71,404,78,393,80,
383,86,381,75,376,69,376,56,380,48,393,44"
HREF="../common/uraglobe.gif">
<AREA SHAPE="poly"
COORDS="445,38,434,49,431,53,427,62,430,72,435,77,
445,92,456,77,463,72,463,62,462,53,455,47"
HREF="../common/nepglobe.gif">
<AREA SHAPE="circle" COORDS="479,66,3"
HREF="../common/pluglobe.gif">
</MAP>

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in W3C DOM Level 1 Non-Microsoft link.

Applies To

A, AREA


Count

Count Property

Retrieves the number of available block format tags.

Syntax

[ p = ] object.Count

Possible Values

p Integer that receives the number of block formats.

The property is read-only. The property has no default value.

Applies To

blockFormats, fonts


cpuClass

cpuClass Property

Retrieves a string denoting the CPU class.

Syntax

[ sCPU = ] object.cpuClass

Possible Values

sCPU String that receives one of the following values.
x86 | Intel processor.
68K | Motorola processor.
Alpha | Digital processor.
PPC | Motorola processor.
Other | Other CPU classes, including Sun SPARC.

The property is read-only. The property has no default value.

Standards Information

There is no public standard that applies to this property.

Applies To

clientInformation, navigator


cssText

cssText Property

Sets or retrieves the persisted representation of the style rule.

Syntax

object.cssText [ = sTxt ]

Possible Values

sTxt String that specifies or receives the text.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Example

This example uses the cssText property to retrieve the Cascading Style Sheets (CSS) style set on an object.

<P ID=oPara STYLE="color:'green'; font-weight:bold">
This is the test paragraph.</P>
:
<BUTTON onclick="alert(oPara.style.cssText)">
Get CSS attributes</BUTTON>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

runtimeStyle, style, styleSheet


ctrlKey

ctrlKey Property

Sets or retrieves the state of the CTRL key.

Syntax

event.ctrlKey [ = bEvent ]

Possible Values

bEvent Boolean that specifies or receives one of the following values.
false | CTRL key is not pressed.
true | CTRL key is pressed.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The property is read-only in Microsoft® Internet Explorer 4.0, and read/write in Internet Explorer 5 and later.

Standards Information

There is no public standard that applies to this property.

Applies To

event

See Also

ctrlLeft


ctrlLeft

ctrlLeft Property

Sets or retrieves the state of the left CTRL key.

Syntax

event.ctrlLeft(v) [ = bPressed ]

Possible Values

bPressed Boolean that specifies or receives one of the following values.
false | Left CTRL key is not pressed.
true | Left CTRL key is pressed.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This property is currently supported only in Microsoft® Windows NT® 4.0 and Microsoft Windows® 2000.

The document must have focus for this property to return true.

Example

The following example shows how to use the ctrlLeft property to indicate when the user presses the left or right CTRL keys.

<HEAD>
<SCRIPT>
function init() {
spanLeftCtrl.innerText='false';
spanRightCtrl.innerText='false';
}
function indicate(obj, arg) {
obj.innerText=arg;
}
function CtrlDown() {
if (event.ctrlLeft) {
indicate(spanLeftCtrl,'true');
}
else {
if (event.ctrlKey) {
indicate(spanRightCtrl,'true');
}
}
}
function CtrlUp() {
if (!event.ctrlKey) {
indicate(spanLeftCtrl,'false');
indicate(spanRightCtrl,'false');
}
}
</SCRIPT>
</HEAD>
<BODY onload="document.body.focus(); init()" onkeydown="CtrlDown();" onkeyup="CtrlUp();">
<P>Press either the left or right CTRL key.</P>
<TABLE>
<TR>
<TD><I>Left CTRL Key Pressed</I></TD>
<TD><I>Right CTRL Key Pressed</I></TD>
</TR>
<TR>
<TD ALIGN="center"><SPAN ID="spanLeftCtrl"></SPAN></TD>
<TD ALIGN="center"><SPAN ID="spanRightCtrl"></SPAN></TD>
</TR>
</TABLE>
</P>
</BODY>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

event

See Also

ctrlKey


currentItem

currentItem Property

Retrieves the current media item.

Syntax

XML | N/A
Scripting | [ oMediaItem = ] mediaBar.currentItem

Possible Values

oMediaItem Object that receives a media item.

The property is read-only. The property has no default value.

Applies To

mediaBar


cursor Attribute | cursor

cursor Attribute | cursor Property

Sets or retrieves the type of cursor to display as the mouse pointer moves over the object.

What's New for Microsoft® Internet Explorer 6

The cursor property supports progress, not-allowed, no-drop, vertical-text, all-scroll, col-resize, row-resize, and url(uri) as new cursor styles.

Syntax

HTML | { cursor : sCursor }
Scripting | object.style.cursor(v) [ = sCursor ]

Possible Values

sCursor String that specifies or receives one or more of the following possible values, separated by commas.
all-scroll | Internet Explorer 6 and later. Arrows pointing up, down, left, and right with a dot in the middle, indicating that the page can be scrolled in any direction.
auto | Default. Browser determines which cursor to display based on the current context.
col-resize | Internet Explorer 6 and later. Arrows pointing left and right with a vertical bar separating them, indicating that the item/column can be resized horizontally.
crosshair | Simple cross hair.
default | Platform-dependent default cursor; usually an arrow.
hand | Hand with the first finger pointing up, as when the user moves the pointer over a link.
help | Arrow with question mark, indicating help is available.
move | Crossed arrows, indicating something is to be moved.
no-drop | Internet Explorer 6 and later. Hand with a small circle with a line through it, indicating that the dragged item cannot be dropped at the current cursor location.
not-allowed | Internet Explorer 6 and later. Circle with a line through it, indicating that the requested action will not be carried out.
pointer | Internet Explorer 6 and later. Hand with the first finger pointing up, as when the user moves the pointer over a link. Identical to hand.
progress | Internet Explorer 6 and later. Arrow with an hourglass next to it, indicating that a process is running in the background. User interaction with the page is unaffected.
row-resize | Internet Explorer 6 and later. Arrows pointing up and down with a horizontal bar separating them, indicating that the item/row can be resized vertically.
text | Editable text; usually an I-bar.
url(uri) | Internet Explorer 6 and later. Cursor is defined by the author, using a custom Uniform Resource Identifier (URI), such as url('mycursor.cur'). Cursors of type .CUR and .ANI are the only supported cursor types.
vertical-text | Internet Explorer 6 and later. Editable vertical text, indicated by a horizontal I-bar.
wait | Hourglass or watch, indicating that the program is busy and the user should wait.
*-resize | Arrows, indicating an edge is to be moved; the asterisk (*) can be N, NE, NW, S, SE, SW, E, or W—each representing a compass direction.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of auto. The Cascading Style Sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The property handles a comma-separated list of cursor values. If the user agent does not understand or cannot find the first cursor specified, it looks at the next cursor in the comma-separated list and continues until it finds a usable cursor. If the user agent does not understand any of the cursors that are listed, the cursor does not change.

Examples

The following examples use the cursor attribute and the cursor property to change the cursor as it passes over an object.

This example uses a call to an embedded (global) style sheet to set the cursor to hand as the cursor passes over all paragraphs.

<STYLE>
P { cursor : hand; }
</STYLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to set the cursor to hand as the cursor passes over the paragraph.

<P onmouseover="this.style.cursor='hand'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example demonstrates setting a custom cursor, by using the url(uri) value.

<STYLE>
oBox.style.cursor = "url(" + Some_Uniform_Resource_Identifier + ")";
</STYLE>
This feature requires Microsoft® Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Here is a sample of all currently supported cursors, as of Internet Explorer 6.

This feature requires Microsoft® Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 2 (CSS2) Non-Microsoft link.

Applies To

A, ADDRESS, APPLET, B, BIG, BLOCKQUOTE, BODY, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, defaults, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, RT, RUBY, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


DATA Attribute | data

DATA Attribute | data Property

Sets or retrieves the URL that references the data of the object.

What's New for Microsoft® Internet Explorer 6

This property now applies to the comment object.

Syntax

HTML | <ELEMENT DATA = sURL... >
Scripting | object.data(v) [ = sURL ]

Possible Values

sURL String that specifies or receives the URL of the data.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

COMMENT, OBJECT

See Also

type, About the W3C Document Object Model


data

data Property

Sets or retrieves the value of a TextNode object.

Syntax

TextNode.data [ = sData ]

Possible Values

sData String that specifies or receives the value of the TextNode.

The property is read/write. The property has no default value.

Example

This example uses the data property to change the value of a text node.

<SCRIPT>
function fnChangeValue(){
var oNode = oList.firstChild.childNodes(0);
var oNewText = document.createTextNode();
oNewText.data="Create Data";
oNode.replaceNode(oNewText);
oNode.data = "New Node Value";
}
</SCRIPT>
<UL ID = oList onclick = "fnChangeValue()">
<LI>Start Here
</UL>

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TextNode


DATAFLD Attribute | dataFld

DATAFLD Attribute | dataFld Property

Sets or retrieves which field of a given data source, as specified by the dataSrc property, to bind to the specified object.

Syntax

HTML | <ELEMENT DATAFLD = sField... >
Scripting | object.dataFld [ = sField ]

Possible Values

sField String that specifies or receives the field name.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Examples

In this example, a text box is bound to the flavor field supplied by a data source object with an ID of ice_cream. Because the text box is contained within a table, the text box is repeated and all values in the flavor column are displayed.

<TABLE DATASRC="#ice_cream">
<TR><TD><INPUT TYPE=TEXTBOX DATAFLD=flavor></TD></TR>
</TABLE>

In this example, the select object is bound to the card_type column of a data source control with an ID of order. The value of the field in the data set determines the option that is initially selected. In addition, when the user selects a different option from the select, the value of the card_type field in the current record of the data set is updated.

<SELECT DATASRC="#order" DATAFLD="card_type">
<OPTION>Visa
<OPTION>Mastercard
<OPTION>American Express
<OPTION>Diner's Club
<OPTION>Discover
</SELECT>

Standards Information

There is no public standard that applies to this property.

Applies To

A, APPLET, BUTTON, DIV, FIELDSET, FRAME, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=text, LABEL, MARQUEE, SELECT, SPAN, TEXTAREA

See Also

Introduction to Data Binding


dataFld

dataFld Property

Sets or retrieves the data column affected by the oncellchange event.

Syntax

event.dataFld [ = sdataFld ]

Possible Values

sdataFld String that specifies or receives a data column in the current recordset.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

There is no public standard that applies to this property.

Applies To

event

See Also

Introduction to Data Binding


DATAFLD

DATAFLD Attribute

Sets the field of a given data source for data binding.

Syntax

HTML | <PARAM DATAFLD=sField ... >
Scripting | N/A

Possible Values

sField String that specifies the field name from the data source.

Remarks

The dataSrc property of the param element identifies the particular data source.

Standards Information

There is no public standard that applies to this attribute.

Applies To

PARAM

See Also

Binding HTML Elements to Data, Introduction to Data Binding


DATAFORMATAS Attribute | dataFormatAs

DATAFORMATAS Attribute | dataFormatAs Property

Sets or retrieves how to render the data supplied to the object.

Syntax

HTML | <ELEMENT DATAFORMATAS = sFormat... >
Scripting | object.dataFormatAs [ = sFormat ]

Possible Values

sFormat String that specifies or receives one of the following values.
text | Default. Data is rendered as text.
html | Data is rendered as HTML.
localized-text | Microsoft® Internet Explorer 5.01 and later versions. Data is rendered using the locale settings of the client machine.

The property is read/write. The property has a default value of text.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Internet Explorer 5.01 or later honors the user's control panel regional settings when the DATAFORMATAS attribute is set to localized-text. Internet Explorer 5.01 or later performs a locale-dependent type conversion on the native value, instead of asking the data source object to perform the conversion, when binding a textual element such as a span, div, or input to date, currency, or numeric data. Internet Explorer 5 does not provide this feature. To compensate for this limitation, a data source object can implement ISimpleDataConverter to participate in the conversion. Neither of these features is supported in earlier versions of Internet Explorer.

Examples

This div example renders data in HTML format.

<DIV DATAFLD="Column2" DATAFORMATAS="html"></DIV>

This span example renders data in HTML format.

<SPAN DATASRC="#bank_acct" DATAFLD="balance" DATAFORMATAS="html"></SPAN>

This textArea example renders data in text format.

<TEXTAREA DATASRC="#customer" DATAFLD="address" DATAFORMATAS="text" ROWS=6 COLS=60></TEXTAREA>

Standards Information

There is no public standard that applies to this property.

Applies To

BUTTON, DIV, INPUT type=button, LABEL, LEGEND, MARQUEE, SPAN

See Also

Introduction to Data Binding


DATAFORMATAS

DATAFORMATAS Attribute

Sets whether data supplied to the object should be rendered as text or HTML.

Syntax

HTML | <PARAM DATAFORMATAS=sFormat ... >
Scripting | N/A

Possible Values

sFormat String that specifies one of the following values:
text | Default. Data should be rendered as text.
html | Data should be rendered as HTML.

Standards Information

There is no public standard that applies to this attribute.

Applies To

PARAM

See Also

Binding HTML Elements to Data, Introduction to Data Binding


DATAPAGESIZE Attribute | dataPageSize

DATAPAGESIZE Attribute | dataPageSize Property

Sets or retrieves the number of records displayed in a table bound to a data source.

Syntax

HTML | <TABLE DATAPAGESIZE = iSize... >
Scripting | TABLE.dataPageSize [ = iSize ]

Possible Values

iSize Integer that specifies or receives the number of records in the table.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The firstPage and lastPage methods are used to navigate directly to the first and last pages of a databound table, respectively. The nextPage and previousPage methods are used to navigate sequentially through the pages of a databound table.

Example

In this example, a text box is bound to the customer_name field supplied by a data source object with an ID of customer. Because the text box is located within a data-bound table, the text box is repeated to display each of the records in the data source. The DATAPAGESIZE attribute on the table limits the display to 10 records.

<TABLE DATASRC="#customer" DATAPAGESIZE=10>
<TR><TD><INPUT TYPE=TEXTBOX DATAFLD="customer_name"></TD></TR>
</TABLE>

Standards Information

There is no public standard that applies to this property.

Applies To

TABLE

See Also

Introduction to Data Binding, firstPage, lastPage, nextPage, previousPage


DATASRC Attribute | dataSrc

DATASRC Attribute | dataSrc Property

Sets or retrieves the source of the data for data binding.

Syntax

HTML | <ELEMENT DATASRC = sID... >
Scripting | object.dataSrc [ = sID ]

Possible Values

sID String that specifies or receives the identifier of the data source.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Tabular and single-valued data consumers use the dataSrc property to specify a binding. The property takes a string that corresponds to the unique identifier of a data source object (DSO) on the page. The string must be prefixed by a number sign (#).

When the dataSrc property is applied to a tabular data consumer, the entire data set is repeated by the consuming elements.

When the dataSrc property is applied to a table, any contained single-valued consumer objects that specify a dataFld property are repeated for each record in the supplied data set. To complete the binding, the binding agent interrogates the enclosing table for its data source. A tabular data consumer contained within another tabular data consumer (table) must specify an explicit dataSrc.

Example

In this example, a text box is bound to the customer_name field of a data source object with an ID of "customer". Because the text box is located within a data-bound table, the text box is repeated to display each of the records provided by the data source.

<TABLE DATASRC="#customer">
<TR><TD><INPUT TYPE=TEXTBOX DATAFLD="customer_name"><TD><TR>
</TABLE>

Standards Information

There is no public standard that applies to this property.

Applies To

A, APPLET, BUTTON, DIV, FRAME, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=text, LABEL, MARQUEE, SELECT, SPAN, TABLE, TEXTAREA

See Also

Introduction to Data Binding


DATASRC

DATASRC Attribute

Sets the source of the data for data binding.

Syntax

HTML | <PARAM DATASRC=sID ... >
Scripting | N/A

Possible Values

sID String that specifies the identifier of the data source.

Standards Information

There is no public standard that applies to this attribute.

Applies To

PARAM

See Also

Binding HTML Elements to Data, Introduction to Data Binding


DATETIME Attribute | dateTime

DATETIME Attribute | dateTime Property

Sets or retrieves the date and time of a modification to the object.

Syntax

HTML | <ELEMENT DATETIME = sDatetime... >
Scripting | object.dateTime(v) [ = sDatetime ]

Possible Values

sDatetime String that specifies or receives the date and time a modification.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The following is the standard format for defining the time and date as defined in HTML 4.0 (and taken from the ISO reference 8601:1988).
Standard Date-Time Format
YYYY-MM-DDThh:mm:ssTZD

The following table shows the datetime syntax.
Syntax | Definition
YYYY | Four-digit year
MM | Two-digit month (01=January, etc.)
DD | Two-digit day of month (01 through 31)
hh | Two digit hour (00 through 23) (A.M./P.M. NOT allowed)
mm | Two digit minute (00 through 59)
ss | Two digit second (00 through 59)
TZD | Time zone designator

The following table shows values for the Time Zone Designator(TZD) above.
TZD syntax | Definition
Z | (Must be uppercase) Specifies coordinated universal time (UTC)
+hh:mm | Specified time is hh hours and mm minutes ahead of UTC.
-hh:mm | Specified time is is hh hours and mm minutes behind UTC.

If a generating application does not know the time to the second, it may use the value "00" for the seconds (and minutes and hours if necessary).

The standard specifies an uppercase "T" to indicate the beginning of the time element.

Note This standard does not address the issue of leap seconds.

There is no functionality implemented for this property unless defined by the author.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

INS, DEL


DECLARE Attribute | declare

DECLARE Attribute | declare Property

Sets or retrieves a character string that can be used to implement your own declare functionality for the object.

Syntax

HTML | <OBJECT DECLARE ... >
Scripting | OBJECT.declare(v) [ = sDec ]

Possible Values

sDec Boolean that specifies or receives the value for the declare property.

The property is read/write. The property has no default value.

Remarks

There is no functionality implemented for this property unless defined by the author.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

OBJECT


defaultCharset

defaultCharset Property

Retrieves the default character set from the current regional language settings.

Syntax

[ sCharset = ] document.defaultCharset

Possible Values

sCharset String that specifies or receives the default character set.

The property is read-only. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The value depends on the current regional language settings. For typical settings in North America, the value is windows-1252. For a list of other possible language settings, see Charsets in Microsoft Internet Explorer 5.

Standards Information

There is no public standard that applies to this property.

Applies To

document


defaultChecked

defaultChecked Property

Sets or retrieves the state of the check box or radio button.

Syntax

HTML | N/A
Scripting | object.defaultChecked [ = bChecked ]

Possible Values

bChecked Boolean that specifies or receives one of the following values.
true | Default. Check box or radio button is selected by default.
false | Check box or radio button is not selected by default.

The property is read/write. The property has a default value of true.

Remarks

The property can be changed programmatically, but doing so has no effect on the appearance of the check box or radio button or on how forms are submitted.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

INPUT type=checkbox, INPUT type=radio

See Also

checked


defaultSelected

defaultSelected Property

Sets or retrieves the status of the option.

Syntax

HTML | N/A
Scripting | OPTION.defaultSelected [ = bSelected ]

Possible Values

bSelected Boolean that specifies or receives one of the following values.
true | Default. Option is selected by default.
false | Option is not selected by default.

The property is read/write. The property has a default value of true.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The property can be changed programmatically, but doing so has no effect on the appearance of the option or the submitted value. The property does change the appearance of the selected option if the form is reset.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

OPTION

See Also

selected


defaultStatus

defaultStatus Property

Sets or retrieves the default message displayed in the status bar at the bottom of the window.

Syntax

window.defaultStatus [ = sMessage ]

Possible Values

sMessage String that specifies or receives the message for the status bar.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Do not confuse defaultStatus with status. The status property reflects a priority or transient message in the status bar, such as the message that appears when an onmouseover event occurs over an anchor.

Standards Information

There is no public standard that applies to this property.

Applies To

window


defaultValue

defaultValue Property

Sets or retrieves the initial contents of the object.

Syntax

HTML | N/A
Scripting | object.defaultValue [ = sValue ]

Possible Values

sValue String that specifies or receives the initial value of the object.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The value of the property can be changed programmatically, but doing so has no effect on the appearance of the object or the submitted value. It does, however, change the initial value of the object when the form is reset.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, TEXTAREA


DEFER Attribute | defer

DEFER Attribute | defer Property

Sets or retrieves the status of the script.

Syntax

HTML | <SCRIPT DEFER ... >
Scripting | SCRIPT.defer [ = bDefer ]

Possible Values

bDefer Boolean that specifies or receives one of the following values.
false | Default. Inline executable function is not deferred.
true | Inline executable function is deferred.

The property is read/write. The property has a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Using the attribute at design time can improve the download performance of a page because the browser does not need to parse and execute the script and can continue downloading and parsing the page instead.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

SCRIPT


designMode

designMode Property

Sets or retrieves a value that indicates whether the document can be edited.

Syntax

document.designMode [ = sMode ]

Possible Values

sMode String that specifies or receives one of the following values.
On | Document can be edited.
Off | Inherit | Default. Document cannot be edited.

The property is read/write. The property has a default value of Off | Inherit.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

You can use the designMode property to put Microsoft® Internet Explorer into a mode where you can edit the current document.

While the browser is in design mode, objects enter a UI-activated state when the user presses ENTER or clicks an object that has focus, or when the user double-clicks the object. Objects that are UI-activated have their own window within the document. You can modify the UI only when the object is in a UI-activated state.

You cannot execute script when the value of the designMode property is set to On.

Standards Information

There is no public standard that applies to this property.

Applies To

document

See Also

Introduction to MSHTML Editing


deviceXDPI

deviceXDPI Property

Retrieves the actual number of horizontal dots per inch (DPI) of the system's screen.

Syntax

[ nActDPI = ] screen.deviceXDPI

Possible Values

nActDPI Integer that receives the DPI.

The property is read-only. The property has no default value.

Remarks

On most systems, there is no difference between horizontal and vertical DPI.

For information about how Internet Explorer 6 and later can adjust the scale of the display on screens with higher-than-normal DPI, see Adjusting Scale for Higher DPI Screens.

Examples

The following examples use the deviceXDPI property to retrieve the horizontal DPI of the screen.

This example uses the deviceXDPI and logicalXDPI properties to calculate the horizontal scale factor that Internet Explorer is applying. The function in this example returns 1 if Internet Explorer is not adjusting the scale of the screen.

<script>
function fnScaleFactorX() {
var nScaleFactor = screen.deviceXDPI / screen.logicalXDPI;
return nScaleFactor;
}
</script>

This example uses the zoom property of the BODY element to adjust the scale of the page "manually" if Internet Explorer is not adjusting the scale of the screen and the user's horizontal DPI is higher than normal. This is a simple but imprecise way to make a document look the same on higher resolution screens. You can achieve finer control over the layout of your documents by modifying the properties of individual elements or groups of elements.

<script>
// change layout on HighDPI screens when IE not scaling
function fnScaleManually()
{
// normal DPI
var constNorm = 96;
// scaling is off and DPI higher than normal
if ((screen.deviceXDPI == screen.logicalXDPI)
&& (screen.deviceXDPI > constNorm))
{
document.body.style.zoom =
constNorm / screen.logicalXDPI;
}
}
</script>

Applies To

screen

See Also

deviceYDPI, logicalXDPI, logicalYDPI


deviceYDPI

deviceYDPI Property

Retrieves the actual number of vertical dots per inch (DPI) of the system's screen.

Syntax

[ nActDPI = ] screen.deviceYDPI

Possible Values

nActDPI Integer that receives the DPI.

The property is read-only. The property has no default value.

Remarks

On most systems, there is no difference between horizontal and vertical DPI.

For information about how Internet Explorer 6 and later can adjust the scale of the display on screens with higher-than-normal DPI, see Adjusting Scale for Higher DPI Screens.

Examples

The following examples use the deviceYDPI property to retrieve the vertical DPI of the screen.

This example uses the deviceYDPI and logicalYDPI properties to calculate the vertical scale factor that Internet Explorer is applying. The function in this example returns 1 if Internet Explorer is not adjusting the scale of the screen.

<script>
function fnScaleFactorY() {
var nScaleFactor = screen.deviceYDPI / screen.logicalYDPI;
return nScaleFactor;
}
</script>

This example uses the zoom property of the BODY element to adjust the scale of the document "manually" if Internet Explorer is not adjusting the scale of the screen and the user's vertical DPI is higher than normal. This is a simple but imprecise way to make a document look the same on higher resolution screens. You can achieve finer control over the layout of your documents by modifying the properties of individual elements or groups of elements.

<script>
// change layout on HighDPI screens when IE not scaling
function fnScaleManually()
{
// normal DPI
var constNorm = 96;
// scaling is off and DPI higher than normal
if ((screen.deviceYDPI == screen.logicalYDPI)
&& (screen.deviceYDPI > constNorm))
{
document.body.style.zoom =
constNorm / screen.logicalYDPI;
}
}
</script>

Applies To

screen

See Also

deviceXDPI, logicalXDPI, logicalYDPI


dialogArguments

dialogArguments Property

Retrieves the variable or array of variables passed into the modal dialog window.

Syntax

[ vVariables = ] window.dialogArguments

Possible Values

vVariables String, numeric, object, or array value that specifies arguments.

The property is read-only. The property has no default value.

Remarks

The dialogArguments property applies only to windows created using the showModalDialog and showModelessDialog methods.

Examples

The following example shows how to retrieve information passed into a modal dialog window using the dialogArguments property. This example consists of two snippets of code, which correspond to two different files. One file launches the modal window and the other file stores the code for the modal window.

This file launches the modal window and sends an object to that modal window.

<HTML>
<HEAD>
<SCRIPT>
function fnLaunch()
{
var aForm;
aForm = oForm.elements;
var myObject = new Object();
myObject.firstName = aForm.oFirstName.value;
myObject.lastName = aForm.oLastName.value;
// The object "myObject" is sent to the modal window.
window.showModalDialog("modalDialogSource.htm", myObject, "dialogHeight:300px; dialogLeft:200px;");
}
</SCRIPT>
</HEAD>
<BODY>
<BUTTON onclick="fnLaunch();" >Launch The Window</BUTTON>
<FORM ID= "oForm">
First Name:
<INPUT TYPE="text" NAME="oFirstName" VALUE="Jane">
<BR>
Last Name:
<INPUT TYPE="text" NAME="oLastName" VALUE="Smith">
</FORM>
</BODY>
</HTML>

This file (modalDialogSource.htm), stores the code for the modal window. The object sent to this modal window is retrieved using the dialogArguments property.

<HTML>
<HEAD>
<SCRIPT>
var oMyObject = window.dialogArguments;
var sFirstName = oMyObject.firstName;
var sLastName = oMyObject.lastName;
</SCRIPT>
<title>Untitled</title>
</head>
<BODY STYLE="font-family: arial; font-size: 14pt; color: Snow;
background-color: RosyBrown;">
First Name:
<SPAN STYLE="color:00ff7f">
<SCRIPT>
document.write(sFirstName);
</SCRIPT>
</SPAN>
<BR>
Last Name:
<SPAN STYLE="color:00ff7f">
<SCRIPT>
document.write(sLastName);
</SCRIPT>
</SPAN>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

window


dialogHeight

dialogHeight Property

Sets or retrieves the height of the modal dialog window.

Syntax

window.dialogHeight [ = sHeight ]

Possible Values

sHeight Variant that specifies or receives the height of the dialog window (see Remarks for default unit of measure).

The property is read/write. The property has no default value.

Remarks

The dialogHeight property applies only to windows created using the showModalDialog and showModelessDialog methods.

The default unit of measure for dialogHeight and dialogWidth in Microsoft® Internet Explorer 4.0 is the em; in Internet Explorer 5 it is the pixel. The value can be an integer or floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For consistent results, specify the dialogHeight and dialogWidth in pixels when designing modal dialog boxes.

Although a user can manually adjust the height of a dialog box to a smaller value—provided the dialog box is resizable—the minimum dialogHeight you can set using script is 100 pixels.

Example

This example creates a dialog window using the dialogHeight property to set the new window's height.

<SCRIPT>
function someMessage()
{
event.srcElement.blur();
window.showModalDialog("message.htm", "",
"dialogWidth:5cm; dialogHeight:10cm")
}
</SCRIPT>
</HEAD>
<BODY>
<SELECT onchange="someMessage()">
<OPTION>Item 1</OPTION>
<OPTION>Item 2</OPTION>
<OPTION>Item 3</OPTION>
</SELECT>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

window


dialogLeft

dialogLeft Property

Sets or retrieves the left coordinate of the modal dialog window.

Syntax

window.dialogLeft [ = sLeft ]

Possible Values

sLeft Variant that specifies or receives the left coordinate of the dialog window (see Remarks for default unit of measure).

The property is read/write. The property has no default value.

Remarks

The dialogLeft property applies only to windows created using the showModalDialog and showModelessDialog methods.

The default unit of measure for dialogLeft in Microsoft® Internet Explorer 4.0 is the em; in Internet Explorer 5 it is the pixel. The value can be an integer or floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For consistent results, specify the dialogLeft in pixels when designing modal dialog boxes.

Example

This example creates a dialog window using the dialogLeft property to set the position relative to the left side of the screen. Do not break the script code into two lines as in the fourth line of the example. This was done for readability only.

<SCRIPT>
function someMessage()
{
event.srcElement.blur();
window.showModalDialog("message.htm", "",
"dialogWidth:5cm; dialogHeight:10cm;
dialogTop:0cm; dialogLeft:0cm")
}
</SCRIPT>
</HEAD>
<BODY>
<SELECT onchange="someMessage()">
<OPTION>Item 1</OPTION>
<OPTION>Item 2</OPTION>
<OPTION>Item 3</OPTION>
</SELECT>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

window


dialogTop

dialogTop Property

Sets or retrieves the top coordinate of the modal dialog window.

Syntax

window.dialogTop [ = sTop ]

Possible Values

sTop Variant that specifies or receives the top coordinate of the dialog window (see Remarks for default unit of measure).

The property is read/write. The property has no default value.

Remarks

The dialogTop property applies only to windows created using the showModalDialog and showModelessDialog methods.

The default unit of measure for dialogTop in Microsoft® Internet Explorer 4.0 is the em; in Internet Explorer 5 it is the pixel. The value can be an integer or floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For consistent results, specify the dialogTop in pixels when designing modal dialog boxes.

Example

This example creates a dialog window using the dialogTop property to set the position relative to the top of the screen. Do not break the script code into two lines as in the fourth line of the example. This was done for readability only.

<SCRIPT>
function someMessage()
{
event.srcElement.blur();
window.showModalDialog("message.htm", "",
"dialogWidth:5cm; dialogHeight:10cm;
dialogTop:0cm; dialogLeft:0cm")
}
</SCRIPT>
</HEAD>
<BODY>
<SELECT onchange="someMessage()">
<OPTION>Item 1</OPTION>
<OPTION>Item 2</OPTION>
<OPTION>Item 3</OPTION>
</SELECT>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

window


dialogWidth

dialogWidth Property

Sets or retrieves the width of the modal dialog window.

Syntax

window.dialogWidth [ = sWidth ]

Possible Values

sWidth Variant that specifies or receives the width of the dialog window (see Remarks for default unit of measure).

The property is read/write. The property has no default value.

Remarks

The dialogWidth property applies only to windows created using the showModalDialog and showModelessDialog methods.

The default unit of measure for dialogHeight and dialogWidth in Microsoft® Internet Explorer 4.0 is the em; in Internet Explorer 5 it is the pixel. The value can be an integer or floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For consistent results, specify the dialogHeight and dialogWidth in pixels when designing modal dialog boxes.

Example

This example creates a dialog window using the dialogWidth property to set the new window's width.

<SCRIPT>
function someMessage()
{
event.srcElement.blur();
window.showModalDialog("message.htm", "",
"dialogWidth:5cm; dialogHeight:10cm")
}
</SCRIPT>
</HEAD>
<BODY>
<SELECT onchange="someMessage()">
<OPTION>Item 1</OPTION>
<OPTION>Item 2</OPTION>
<OPTION>Item 3</OPTION>
</SELECT>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

window


DIR Attribute | dir

DIR Attribute | dir Property

Sets or retrieves the reading order of the object.

Syntax

HTML | <ELEMENT DIR = sDir... >
Scripting | object.dir [ = sDir ]

Possible Values

sDir String that specifies or receives one of the following values.
ltr | Default. Content flows left to right.
rtl | Content flows right to left.

The property is read/write. The property has a default value of ltr.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Unless explicitly set, the dir property has no return value when accessed in script.

The property does not affect alphanumeric characters in Latin documents. These characters always render ltr. However, the property does affect punctuation characters in Latin documents. For example, punctuation marks such as periods and question marks render to the left of a sentence when the dir property is set to rtl.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

direction, HTML Character Sets


dir

dir Property

Sets or retrieves a value that indicates the reading order of the object.

Syntax

document.dir [ = sDir ]

Possible Values

sDir String that specifies or receives one of the following values.
ltr | Default. Content flows from left to right.
rtl | Content flows from right to left.

The property is read/write. The property has a default value of ltr.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Unless explicitly set, the dir property has no return value when accessed in script.

The dir property does not affect alphanumeric characters in Latin documents. These characters always render ltr. However, the property does affect punctuation characters in Latin documents. For example, punctuation marks such as periods and question marks will render to the left of a sentence when the dir property is set to rtl.

The value of dir property has no effect on the orientation of coordinates for an object's positioning properties. For example, the left property and the right property perform the same placement in both cases. However, when both the left and right properties are specified, the left property takes precedence when the dir property is set to ltr. Likewise, the right property takes precedence when the dir property is set to rtl.

Applies To

document

See Also

direction, HTML Character Sets


DIRECTION Attribute | direction

DIRECTION Attribute | direction Property

Sets or retrieves the direction in which the text should scroll.

Syntax

HTML | <MARQUEE DIRECTION = sDirection... >
Scripting | MARQUEE.direction [ = sDirection ]

Possible Values

sDirection String that specifies or receives one of the following values.
left | Default. Marquee scrolls left.
right | Marquee scrolls right.
down | Marquee scrolls down.
up | Marquee scrolls up.

The property is read/write. The property has a default value of left.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

There is no public standard that applies to this property.

Applies To

MARQUEE


direction Attribute | direction

direction Attribute | direction Property

Sets or retrieves the reading order of the object.

Syntax

HTML | { direction : sDirection }
Scripting | object.style.direction(v) [ = sDirection ]

Possible Values

sDirection String that specifies or receives one of the following values.
ltr | Default. Content flows left to right.
rtl | Content flows right to left.
inherit | Content flow is inherited.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of ltr. The Cascading Style Sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The property does not affect alphanumeric characters in Latin documents. These characters always render ltr. However, the property does affect punctuation characters in Latin documents.

The property pertains only to the directional flow of an element's content. It has no effect on properties such as left or right, margin-left or margin-right. The margin-left property, for example, sets or retrieves the width of the margin on the left side of the document regardless of the value of the direction property.

Example

The following example demonstrates how to set and retrieve the value of the direction property. When the user sets the value of the direction property of a div element, the value of the property is retrieved in a span element.

<HTML>
<HEAD>
<SCRIPT>
function fnSwitch()
{
oDiv.style.direction = event.srcElement.innerText;
DirSpan.innerText = oDiv.style.direction;
}
</SCRIPT>
</HEAD>
<BODY>
<H1>direction Property Sample</H1>
<H2>direction:
<SPAN id="DirSpan" style="color:red"></SPAN>
</H2>
[ <A href="#" onclick=fnSwitch()>ltr</A> | <A href="#"
onclick=fnSwitch()>rtl</A> | <A href="#" onclick=fnSwitch()>inherit</A> ]</P>
<DIV id="oDiv">The quick brown fox jumps over the lazy yellow dog. The quick brown fox
jumps over the lazy yellow dog. The quick brown fox jumps over the lazy yellow
dog. The quick brown fox jumps over the lazy yellow dog. The quick brown fox
jumps over the lazy yellow dog.</DIV>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 2 (CSS2) Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MENU, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

dir, HTML Character Sets


DISABLED Attribute | disabled

DISABLED Attribute | disabled Property

Sets or retrieves a value that you can use to implement your own disabled functionality for the object.

Syntax

HTML | <ELEMENT DISABLED ... >
Scripting | object.disabled(v) [ = sDisabled ]

Possible Values

sDisabled Boolean that specifies or receives one of the following values.
false | Default. The element is enabled.
true | The element is disabled.

The property is read/write. The property has a default value of false.

Remarks

The disabled attribute can be set and retrieved. However, the functionality specified by the HTML 4.0 Non-Microsoft link standard is not implemented for this property.

There is no functionality implemented for this property unless defined by the author.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

OPTION, OPTGROUP


DISABLED Attribute | disabled

DISABLED Attribute | disabled Property

Sets or retrieves the status of the object.

Syntax

HTML | <ELEMENT DISABLED ... >
Scripting | object.disabled [ = bDisabled ]

Possible Values

bDisabled Boolean that specifies or receives one of the following values.
false | Default. Element is not disabled.
true | Element is disabled.

The property is read/write. The property has a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

When an element is disabled, it appears dimmed and does not respond to user input. Disabled elements do not respond to mouse events, nor will they respond to the contentEditable property.

If an element's disabled property is set to false but it is contained within a disabled element, it cannot override the disabled state of its container.

Example

This example uses the disabled property to enable or disable a style object and a control.

<STYLE ID="oStyle">
.styletest{background-color: black; color: white;}
.styletest2{background-color: black; color: red;}
</STYLE>
<SCRIPT>
function fnSwitch(){
if(oParagraph.enablement == "enabled"){
// Use an arbitrary attribute to track the status.
oParagraph.enablement = "disabled";
oButton.value = "Set disabled to false";
oStyle.disabled = true;
oDisableMe.disabled = true;
}
else{
oButton.value = "Set disabled to true";
oParagraph.enablement = "enabled";
oStyle.disabled = false;
oDisableMe.disabled = false;
}
}
</SCRIPT>
...
<P enablement="enabled" ID="oParagraph" CLASS="styletest">
A paragraph of text.
<INPUT TYPE="button" ID="oDisableMe" CLASS="styletest"
VALUE="Demonstration Button" onclick="alert('Demonstration button')">
</P>
<INPUT TYPE="button" ID="oButton" VALUE="Set disabled to true"
onclick="fnSwitch()">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

defaults, A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, hn, I, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, NOBR, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, STRIKE, STRONG, STYLE, SUB, SUP, TEXTAREA, TT, U, UL, VAR, XMP

See Also

disabled


disabled

disabled Property

Sets or retrieves whether a style sheet is applied to the object.

Syntax

HTML | N/A
Scripting | object.disabled [ = bDisabled ]

Possible Values

bDisabled Boolean that specifies or receives one of the following values.
false | Default. Style sheet is applied to the object.
true | Style sheet is not applied to the object.

The property is read/write. The property has a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

When a style is disabled, none of the rules render.

The value of this property can also change per media-dependent style sheets.

The disabled property applies to the style object, not the STYLE property.

Example

This example uses the disabled property to indicate whether a style sheet is applied to the body element.

<STYLE>
BODY {background-color: #000000; color: #FFFF00;}
</STYLE>
<SCRIPT>
function fnToggle(){
var oStyle=document.styleSheets[0];
if(oStyle.disabled==true){
oStyle.disabled=false;
}
else{
oStyle.disabled=true;
}
}
</SCRIPT>
<BODY>
<P>
Click Toggle Style Sheet to enable/disable
styles applied to the BODY element.
</P>
<P>
<INPUT TYPE="button"
VALUE="Toggle Style Sheet"
onclick="fnToggle()">
</P>
</BODY>

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

LINK, STYLE, styleSheet

See Also

disabled


disabled

disabled Property

Sets or retrieves the value that indicates whether the user can interact with the object.

Syntax

HTML | N/A
Scripting | object.disabled(v) [ = p ]

Possible Values

p Boolean that specifies or receives one of the following values.
true | Element is disabled.
false | Element is not disabled.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

AREA, BASEFONT, BGSOUND, BODY, BR, BUTTON, CAPTION, COL, COMMENT, DD, DIV, DT, EMBED, FONT, FORM, FRAME, HEAD, HR, HTML, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, LABEL, LEGEND, LI, MAP, MARQUEE, META, OBJECT, OL, P, SCRIPT, SELECT, SPAN, TABLE, TD, TEXT, TEXTAREA, TITLE, TR, UL


disabledUI

disabledUI Property

Sets or retrieves a Boolean value that specifies whether an instance of the Media Bar? user interface (UI) is disabled.

Syntax

XML | N/A
Scripting | mediaBar.disabledUI(bDisable) [ = bDisabled ]

Possible Values

bDisabled Boolean that specifies or receives a value that indicates whether the Media Bar? UI is disabled.
false | Default. The Media Bar? UI is not disabled.
true | The Media Bar? UI is disabled.

The property is read/write. The property has a default value of false.

Example

The following example shows syntax that sets the disabledUI property of an instance of the mediaBar behavior to true, thereby disabling the player's Previous Track button.

<DIV style="behavior:url(#default#mediaBar)" id="divMedia" ></DIV>
<INPUT type=button
onclick="divMedia.playURL('http://some_domain/mediafile_1.asx','video/x-ms-asf');
divMedia.disabledUI = true;" value='Play the ASX file'/>

Applies To

mediaBar


display Attribute | display

display Attribute | display Property

Sets or retrieves whether the object is rendered.

What's New for Microsoft® Internet Explorer 6

This property supports the list-item value.

Syntax

HTML | { display : sDisplay }
Scripting | object.style.display [ = sDisplay ]

Possible Values

sDisplay String that specifies or receives one of the following values.
block | Object is rendered as a block element.
none | Object is not rendered.
inline | Default. Object is rendered as an inline element sized by the dimensions of the content.
inline-block | Object is rendered inline, but the contents of the object are rendered as a block element. Adjacent inline elements are rendered on the same line, space permitting.
list-item | Internet Explorer 6 and later. Object is rendered as a block element, and a list-item marker is added.
table-header-group | Table header is always displayed before all other rows and row groups, and after any top captions. The header is displayed on each page spanned by a table.
table-footer-group | Table footer is always displayed after all other rows and row groups, and before any bottom captions. The footer is displayed on each page spanned by a table.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of inline for all objects with the following exceptions:
ADDRESS | block
BLOCKQUOTE | block
BODY | block
CENTER | block
COL | block
COLGROUP | block
DD | block
DIR | block
DIV | block
DL | block
DT | block
FIELDSET | block
FORM | block
FRAME | none
hn | block
HR | block
IFRAME | block
LEGEND | block
LI | list-item
LISTING | block
MARQUEE | block
MENU | block
OL | block
P | block
PLAINTEXT | block
PRE | block
TABLE | block
TBODY | none
TD | block
TFOOT | none
TH | block
THEAD | none
TR | block
UL | block
XMP | block
The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

In Internet Explorer 4.0, the block, inline, and list-item values are not supported explicitly, but do render the element.

The block and inline values are supported explicitly as of Internet Explorer 5.

In Internet Explorer 5.5 and earlier, the default value of this property for li elements is block.

The inline-block value is supported as of Internet Explorer 5.5. You can use this value to give an object a layout without specifying the object's height or width.

All visible HTML?A HREF="../objects.html">objects are block or inline. For example, a div object is a block element, and a span object is an inline element. Block elements typically start a new line and can contain other block elements and inline elements. Inline elements do not typically start a new line and can contain other inline elements or data. Changing the values for the display property affects the layout of the surrounding content by:

  • Adding a new line after the element with the value block.
  • Removing a line from the element with the value inline.
  • Hiding the data for the element with the value none.

In contrast to the visibility property, display??SPAN CLASS="clsLiteral">none reserves no space for the object on the screen.

The table-header-group and table-footer-group values can be used to specify that the contents of the tHead and tFoot objects are displayed on every page for a table that spans multiple pages.

Examples

This example shows the effect of changing the values for the display property between inline, block, and none.

<SPAN ID=oSpan>
This is a SPAN
</SPAN>
in a sentence.
<P>
<INPUT TYPE=button VALUE="Block"
onclick="oSpan.style.display='block'">
:
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses function calls to hide and show table rows and cells.

<SCRIPT>
function getPets()
{
oRow1Cell2.style.display="none";
oRow2Cell2.style.display="block";
oRow3Cell2.style.display="none";
}
</SCRIPT>
:
<TABLE>
<TR ID="oRow1"><TD>Horses</TD>
<TD ID="oRow1Cell2">Thoroughbreds</TD>
<TD>Fast</TD></TR>
<TR ID="oRow2"><TD>Dogs</TD>
<TD ID="oRow2Cell2">Greyhounds</TD>
<TD>Fast</TD></TR>
<TR ID="oRow3"><TD>Marsupials</TD>
<TD ID="oRow3Cell2">Opossums</TD>
<TD>Slow</TD></TR>
</TABLE>
:
<INPUT TYPE=button onclick="getPets()"
VALUE="Show household pets">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

CSS Enhancements in Internet Explorer 6


doctype

doctype Property

Retrieves the document type declaration associated with the current document.

Syntax

[ oDocType = ] document.doctype

Possible Values

oDocType Object that receives the document type declaration.
NULL Default. Return value for HTML documents.

The property is read-only. The property has a default value of NULL.

Remarks

For HTML documents the doctype property returns null as defined by the World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 standard.

Standards Information

This property is defined in W3C DOM Level 1 Non-Microsoft link.

Applies To

document


document

document Property

Retrieves the HTML document in a given popup window.

Syntax

[ oDocument = ] popup.document

Possible Values

oDocument Object that receives the document object of the pop-up window.

The property is read-only. The property has no default value.

Standards Information

There is no public standard that applies to this property.

Applies To

popup

See Also

Using the Popup Object, createPopup, show, hide, isOpen


documentElement

documentElement Property

Retrieves a reference to the root node of the document.

Syntax

[ oElement = ] document.documentElement

Possible Values

oElement Object that receives the reference to the document element.

The property is read-only. The property has no default value.

Remarks

The root node of a typical HTML document is the html object.

Example

This example uses the documentElement property to retrieve the innerHTML property of the entire document.

<SCRIPT>
function fnGetHTML(){
var sData = document.documentElement.innerHTML;
oResults.value=sData;
}
</SCRIPT>
<TEXTAREA ID = oResults COLS = 50 ROWS = 10>
</TEXTAREA>

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

document


domain

domain Property

Sets or retrieves the security domain of the document.

Syntax

document.domain [ = sDomain ]

Possible Values

sDomain String that specifies or receives the domain suffix.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The property initially returns the host name of the server from which the page is served. The property can be assigned the domain suffix to allow sharing of pages across frames. For example, a page in one frame from home.microsoft.com and a page from www.microsoft.com initially would not be able to communicate with each other. However, by setting the domain property of both pages to the suffix "microsoft.com", you ensure that both pages are considered secure and access is available between the pages.

When you set the domain property, use the domain name determined by the server rather than by the client browser.

All the pages on different hosts must have the domain property explicitly set to the same value to communicate successfully with each other. For example, the value of the domain property of a page on the host microsoft.com would be "microsoft.com" by default. It might seem logical that if you set the domain property of a page on another host named msdn.microsoft.com to "microsoft.com," that the two pages could communicate with each other. However, this is not the case unless you have also explicitly set the domain property of the page on microsoft.com to "microsoft.com".

Furthermore, this property cannot be used to allow cross-frame communication among frames with different domain suffixes. For example, a page in one frame from www.microsoft.com and a page in another frame from www.msn.com would not be able to communicate with each other even if the domain property of both pages was set to the suffix "microsoft.com".

security note Security Alert Using this property incorrectly can compromise the security of your Web site. Set the domain property only if you must allow cross-domain scripting. Use a value determined on the server. Setting this property to a value determined on the client (like through the location object) could expose your site to attack from another site through Domain Name System (DNS) manipulation. For more information, see Security Considerations: Dynamic HTML.

For more information on domain security, see About Cross-Frame Scripting and Security.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

document


dropEffect

dropEffect Property

Sets or retrieves the type of drag-and-drop operation and the type of cursor to display.

Syntax

dataTransfer.dropEffect [ = sCursorStyle ]

Possible Values

sCursorStyle String that specifies or receives one of the following values.
copy | Copy cursor is displayed.
link | Link cursor is displayed.
move | Move cursor is displayed.
none | Default. No cursor is specified. Instead, the no-drop cursor is displayed.

The property is read/write. The property has a default value of none.

Remarks

For dropEffect to work, it must be used with the effectAllowed property. These properties are set on the source object of a drag-and-drop operation. The effectAllowed property determines which drag-and-drop operations are available from the source object. The dropEffect property determines which drag-and-drop operations are allowed on the target object. For example, the source object might set the effectAllowed property to all drag-and-drop operations, while the target object specifies that the dropEffect allows only copy operations.

The recommended technique for dropping text is to set the dropEffect in the target object's event handler function for the following events: ondragenter, ondragover, and ondrop. The effectAllowed property must be set in one of the source object's drag-and-drop event handlers, such as the ondragstart event.

The target object of a drag-and-drop operation can set the dropEffect during the ondragenter, ondragover, and ondrop events. To display the desired cursor until the final drop, the default action of the ondragenter, ondragover, and ondrop events must be canceled and the dropEffect must be set. Otherwise, the copy cursor, move cursor, or link cursor set by this property displays only until the first valid drop target is intersected, at which point the cursor is replaced by the drop/no-drop cursor for the rest of the drag operation.

Microsoft® Internet Explorer delivers default drag-and-drop functionality for a, img, textArea, and input type=text. When one of these objects is the source element, the default drop effect cannot be overridden by setting the dropEffect property of the target element. Instead, the source object's default behavior must be canceled.

Example

This example uses the dropEffect and effectAllowed properties of the dataTransfer object to display the move cursor.

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<TITLE>Example of the effectAllowed and dropEffect Properties</TITLE>
<SCRIPT>
// This function is called when the user
//  initiates a drag-and-drop operation.
function fnHandleDragStart()
{
var oData = window.event.dataTransfer;
// Set the effectAllowed on the source object.
oData.effectAllowed = "move";
}
// This function is called by the target
//  object in the ondrop event.
function fnHandleDrop()
{
var oTarg = window.event.srcElement;
var oData = window.event.dataTransfer;
// Cancel default action.
fnCancelDefault();
// Set the content of the oTarget to the information stored
//  in the data transfer object in the desired format.
oTarg.innerText += oData.getData("text");
}
// This function sets the dropEffect when the user moves the
//  mouse over the target object.
function fnHandleDragEnter()
{
var oData = window.event.dataTransfer;
// Cancel default action.
fnCancelDefault();
// Set the dropEffect for the target object.
oData.dropEffect = "move";
}
function fnCancelDefault()
{
// Cancel default action.
var oEvent = window.event;
oEvent.returnValue = false;
}
</SCRIPT>
</HEAD>
<BODY>
<H1>Example of the effectAllowed and dropEffect Properties</H1>
<P>The code in this example sets the <B>effectAllowed</B> property
to <SPAN CLASS="literal">move</SPAN>. It sets the <B>dropEffect</B>
property to display the move cursor. The default action must be
canceled in all events that are handled&#151;in this example,
<B>ondragstart</B>, <B>ondragover</B>, <B>ondragenter</B>, and
<B>ondrop</B>.</P>
<B>
[not this text]
<SPAN ID="oSource" ondragstart="fnHandleDragStart()">
[select and drag this text]
</SPAN>
[not this text]
</B>
<P><BR><P>
<DIV ID="oTarget"
STYLE="background:beige;
height:100;
width:200;
border:solid black 1px;"
ondrop="fnHandleDrop()"
ondragover="fnCancelDefault()"
ondragenter="fnHandleDragEnter()">
[drop text here]
</DIV>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

dataTransfer

See Also

About DHTML Data Transfer, clearData, effectAllowed, getData, setData


duration

duration Property

Retrieves the duration of the current media item.

Syntax

[ iDuration = ] MediaItem.duration

Possible Values

iDuration Integer that receives the duration of the current media item.

The property is read-only. The property has no default value.

Applies To

MediaItem


DYNSRC Attribute | dynsrc

DYNSRC Attribute | dynsrc Property

Sets or retrieves the address of a video clip or VRML world to display in the window.

Syntax

HTML | <ELEMENT DYNSRC = sURL... >
Scripting | object.dynsrc [ = sURL ]

Possible Values

sURL String that specifies or receives the URL of the video source.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

There is no public standard that applies to this property.

Applies To

IMG, INPUT, INPUT type=image


effectAllowed

effectAllowed Property

Sets or retrieves, on the source element, which data transfer operations are allowed for the object.

Syntax

dataTransfer.effectAllowed(v) [ = sEffect ]

Possible Values

sEffect String that specifies or receives one of the following values.
copy | Selection is copied.
link | Selection is linked to the drop target by the data transfer operation.
move | Selection is moved to the target location when dropped.
copyLink | Selection is copied or linked, depending on the target default.
copyMove | Selection is copied or moved, depending on the target default.
linkMove | Selection is linked or moved, depending on the target default.
all | All drop effects are supported.
none | Dropping is disabled and the no-drop cursor is displayed.
uninitialized | Default. No value has been set through the effectAllowed property. In this case, the default effect still works, although it cannot be queried through this property.

The property is read/write. The property has a default value of uninitialized.

Remarks

Set the effectAllowed property in the ondragstart event. This property is used most effectively with the dropEffect property.

This property can be used to override the default behavior in other applications. For example, the browser script can set the effectAllowed property to copy for a text field and thereby override the Microsoft® Word default of move. Within the browser, copy is the default effectAllowed behavior, except for anchors, which are set to link by default, and text fields, which are set to move by default.

Setting effectAllowed to none disables dropping but still displays the no-drop cursor. To avoid displaying the no-drop cursor, cancel the returnValue of the ondragstart window.

Example

This example uses the dropEffect and effectAllowed properties to move text in a drag-and-drop operation.

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<TITLE>Example of the effectAllowed and dropEffect Properties</TITLE>
<SCRIPT>
// This function is called when the user
//  initiates a drag-and-drop operation.
function fnHandleDragStart()
{
var oData = window.event.dataTransfer;
// Set the effectAllowed on the source object.
oData.effectAllowed = "move";
}
// This function is called by the target
//  object in the ondrop event.
function fnHandleDrop()
{
var oTarg = window.event.srcElement;
var oData = window.event.dataTransfer;
// Cancel default action.
fnCancelDefault();
// Set the content of the oTarget to the information stored
//  in the data transfer object in the desired format.
oTarg.innerText += oData.getData("text");
}
// This function sets the dropEffect when the user moves the
//  mouse over the target object.
function fnHandleDragEnter()
{
var oData = window.event.dataTransfer;
// Cancel default action.
fnCancelDefault();
// Set the dropEffect for the target object.
oData.dropEffect = "move";
}
function fnCancelDefault()
{
// Cancel default action.
var oEvent = window.event;
oEvent.returnValue = false;
}
</SCRIPT>
</HEAD>
<BODY>
<H1>Example of the effectAllowed and dropEffect Properties</H1>
<P>The code in this example sets the <B>effectAllowed</B> property
to <SPAN CLASS="literal">move</SPAN>. It sets the <B>dropEffect</B>
property to display the move cursor. The default action must be
canceled in all events that are handled&#151;in this example,
<B>ondragstart</B>, <B>ondragover</B>, <B>ondragenter</B>, and
<B>ondrop</B>.</P>
<B>
[not this text]
<SPAN ID="oSource" ondragstart="fnHandleDragStart()">
[select and drag this text]
</SPAN>
[not this text]
</B>
<P><BR><P>
<DIV ID="oTarget"
STYLE="background:beige;
height:100;
width:200;
border:solid black 1px;"
ondrop="fnHandleDrop()"
ondragover="fnCancelDefault()"
ondragenter="fnHandleDragEnter()">
[drop text here]
</DIV>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

dataTransfer

See Also

About DHTML Data Transfer, clearData, getData, setData


enabled

enabled Property

Sets or retrieves a Boolean value that specifies whether the Media Bar player control is enabled.

Syntax

XML | N/A
Scripting | mediaBar.enabled(bEnable) [ = bEnabled ]

Possible Values

bEnabled Boolean that specifies or receives a variable that indicates whether the control is enabled.
false | The control is not enabled.
true | Default. The control is enabled.

The property is read/write. The property has a default value of true.

Remarks

Setting this property to false does not change or update the appearance of the player controls. No visual cue appears for the user in the user interface (UI).

Because the mediaBar behavior is an implementation of the Microsoft Windows Media® Player, some Media Bar members are essentially the same as those used by the Windows Media Player 7 and Windows Media Player 8, notably the onopenstatechange and onplaystatechange events and the openState, playState, and enabled properties. For more information about the Windows Media Player object model, see the Player object reference and the Windows Media Player 7.1 SDK.

Applies To

mediaBar


ENCTYPE Attribute | encoding

ENCTYPE Attribute | encoding Property

Sets or retrieves the MIME encoding for the form.

Syntax

HTML | <FORM ENCTYPE = sType... >
Scripting | FORM.encoding [ = sType ]

Possible Values

sType String that specifies or receives the format of the data being submitted by the form.

The property is read/write. The property has a default value of application/x-www-form-urlencoded.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Microsoft® Internet Explorer 4.0 also recognizes multipart/form-data, which, along with a POST method, is required to submit a file upload to the server.

Applies To

FORM

See Also

action


ENCTYPE Attribute | enctype

ENCTYPE Attribute | enctype Property

Sets or retrieves the Multipurpose Internet Mail Extensions (MIME) encoding for the form.

Syntax

HTML | <FORM ENCTYPE = sType... >
Scripting | FORM.enctype(v) [ = sType ]

Possible Values

sType String that specifies or receives the format of the data being submitted by the form.

The property is read/write. The property has a default value of application/x-www-form-urlencoded.

Remarks

The enctype property was introduced in Microsoft® Internet Explorer 6. If backwards compatibility is required, use the encoding property.

Internet Explorer also recognizes multipart/form-data, which, along with a POST method, is required to submit a file upload to the server.

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

FORM

See Also

action


EVENT Attribute | event

EVENT Attribute | event Property

Sets or retrieves the event for which the script is written.

Syntax

HTML | <SCRIPT EVENT = sEvent... >
Scripting | SCRIPT.event [ = sEvent ]

Possible Values

sEvent String that specifies or receives the event. The value for an onmouseover event, for example, is "onmouseover()".

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Example

This example uses the EVENT attribute and the event property to handle the onclick event.

<SCRIPT ID=oButtonScript FOR="oButton" EVENT="onclick()">
var sMessage1 = "Flip"
var sMessage2 = "Flop"
if (oButton.innerText == sMessage1) {
oButton.innerText = sMessage2;
}
else {
if (oButton.innerText == sMessage2) {
oButton.innerText = sMessage1;
}
</SCRIPT>
</HEAD>
<BODY>
:
<BUTTON ID="oButton" onmouseout="alert(oButtonScript.event)">Flip</BUTTON>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 2 Non-Microsoft link.

Applies To

SCRIPT

See Also

event


expando

expando Property

Sets or retrieves a value indicating whether arbitrary variables can be created within the object.

What's New for Microsoft® Internet Explorer 6

This property now applies to the attribute object.

Syntax

object.expando [ = bExpand ]

Possible Values

bExpand Boolean that specifies or receives one of the following values.
true | Default. Creation of arbitrary variables is allowed.
false | Creation of arbitrary variables is not allowed.

The property is read/write. The property has a default value of true.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

You can extend the properties on an object by creating arbitrary properties with values. You should be careful, however, because you can unintentionally set a property value when scripting in a case-sensitive language such as Microsoft JScript®. For example, if the property value is borderColor and you type the value "bordercolor = 'blue'", you have, in fact, created another property on the style object called bordercolor with the value 'blue'. If you query the value of the property, the value "blue" is returned. However, the borders for the element do not turn blue.

Microsoft Visual Basic® Scripting Edition (VBScript) does not support expando properties on its native language objects, nor does it cause Internet Explorer to create expando properties on its objects. Internet Explorer supports creation of expando properties on its objects, in any language, through setAttribute.

Setting the expando property of the document object to false precludes the functionality of all expandos within the document.

Examples

The following example demonstrates that, by setting the expando property of the document object to false, the document ignores the UNSELECTABLE expando on the span and allows you to select the text.

<HTML>
<HEAD>
<SCRIPT>
//Set the expando property to false.
document.expando = false;
</SCRIPT>
</HEAD>
<BODY>
<DIV>
<SPAN id="oSpan" unselectable="on">
This text should be selectable.</SPAN>
</DIV>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Using the previous example and setting the expando property of the document object to true, the span will not allow you to select the text.

<HTML>
<HEAD>
<SCRIPT>
//Set the expando property to true.
document.expando = true;
</SCRIPT>
</HEAD>
<BODY>
<DIV>
<SPAN id="oSpan" unselectable="on">
This text should not be selectable.</SPAN>
</DIV>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

attribute, document


expires

expires Property

Sets or retrieves the expiration date of data persisted with the userData behavior.

Syntax

XML | N/A
Scripting | userData.expires [ = sUTCString ]

Possible Values

sUTCString String that specifies or receives the expiration date in UTC (Universal Time Coordinate) format.

The property is read/write. The property has no default value.

Remarks

The expires property designates the amount of time that persisted information is available. Microsoft® Internet Explorer removes the persisted information when the browser checks the date and the designated time has expired.

Example

This example uses the expires property to set the expiration date of persisted data to one minute after the information is persisted.

<STYLE>
.userData { behavior: url(#default#userdata)}
</STYLE>
<SCRIPT>
function fnSave(){
var oTimeNow = new Date(); // Start Time
oTimeNow.setMinutes(oTimeNow.getMinutes() + 1);
var sExpirationDate = oTimeNow.toUTCString();
oPersistDiv.expires = sExpirationDate;
oPersistDiv.setAttribute("sData",oPersistText.value);
// Save the persistence data as "sTimeout".
oPersistDiv.save("sTimeout");
}
</SCRIPT>
:
<DIV CLASS = "userData" ID=oPersistDiv onsave = "fnSave()" >
<INPUT TYPE=text ID=oPersistText>

Standards Information

There is no public standard that applies to this property.

Applies To

userData

See Also

Introduction to Persistence


FACE Attribute | face

FACE Attribute | face Property

Sets or retrieves the current typeface family.

Syntax

HTML | <ELEMENT FACE = sTypeface... >
Scripting | object.face [ = sTypeface ]

Possible Values

sTypeface String that specifies or receives the typeface family.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Example

This example sets the typeface family using the FACE attribute and the face property.

<FONT FACE="Arial" ID=oFont>
:
<SCRIPT>
alert(oFont.face + "\n" + "When you click this, the font will change");
oFont.face = 'Courier';
alert(oFont.face + "\n" + "The font has changed.");
</SCRIPT>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is deprecated in HTML Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

BASEFONT, FONT

See Also

fontFamily


fgColor

fgColor Property

Sets or retrieves the foreground (text) color of the document.

Syntax

document.fgColor(v) [ = vColor ]

Possible Values

vColor Variant that specifies or receives one of the color names or values in the Color Table.

The property is read/write. The property has a default value of #000000.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

There is no public standard that applies to this property.

Applies To

document

See Also

color, text


FieldDelim

FieldDelim Property

Specifies the character used to mark the end of data fields.

Syntax

TDC.FieldDelim [ = sValue ]

Possible Values

sValue String expression that separates one data field from the next. Only a single character can be used to delimit the fields.
, Default. Comma.

The property is read/write. The property has a default value of ,.

Remarks

Setting nonprintable characters is dependent on the browser language used. In the initial object tag declaration, you can set the FieldDelim property to a tab character as follows:

<PARAM NAME=FieldDelim VALUE="&#09;">

Applies To

TDC

See Also

EscapeChar, RowDelim, TextQualifier


fileCreatedDate

fileCreatedDate Property

Retrieves the date the file was created.

Syntax

HTML | N/A
Scripting | [ sDate = ] object.fileCreatedDate

Possible Values

sDate String that receives the date the file was created. For example, Monday, December 08, 1997.

The property is read-only. The property has no default value.

Example

This example implements the fileCreatedDate property to count the number of days since the document was created.

<SCRIPT>
window.onload=fnInit;
function fnInit(){
// Date document was created
var oCreated=new Date(document.fileCreatedDate);
// Today's Date
var oToday=new Date();
//There are 86400000 milliseconds in a day
var iMilliSeconds=86400000;
var iDaysBetween=(oToday.getTime() - oCreated.getTime()) / iMilliSeconds;
alert("Created: " + oCreated + "\nDays since created: " +
parseInt(iDaysBetween));
}
</SCRIPT>

Standards Information

There is no public standard that applies to this property.

Applies To

document, IMG


fileModifiedDate

fileModifiedDate Property

Retrieves the date the file was last modified.

Syntax

HTML | N/A
Scripting | [ sDate = ] object.fileModifiedDate

Possible Values

sDate String that receives the date of the last file modification. For example, Monday, December 08, 1997.

The property is read-only. The property has no default value.

Standards Information

There is no public standard that applies to this property.

Applies To

document, IMG


fileSize

fileSize Property

Retrieves the file size.

Syntax

HTML | N/A
Scripting | [ iSize = ] object.fileSize

Possible Values

iSize String that receives the file size.

The property is read-only. The property has no default value.

Standards Information

There is no public standard that applies to this property.

Applies To

document, IMG


fileUpdatedDate

fileUpdatedDate Property

Retrieves the date the file was last updated.

Syntax

HTML | N/A
Scripting | [ sDate = ] IMG.fileUpdatedDate

Possible Values

sDate String that receives the date of the last update. For example, Monday, December 08, 1997.

The property is read-only. The property has no default value.

Standards Information

There is no public standard that applies to this property.

Applies To

IMG


filter Attribute | filter

filter Attribute | filter Property

Sets or retrieves the filter or collection of filters applied to the object.

Syntax

HTML | { filter : sFilter }
Scripting | object.style.filter [ = sFilter ]

Possible Values

sFilter String that specifies or receives one of the following values.
filtertype1 (parameter1, parameter2,...) | Any filter listed in the Visual Filters and Transitions Reference.
filtertype2 (parameter1, parameter2,...) | Any filter listed in the Visual Filters and Transitions Reference.

The property is read/write. The property has no default value. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

An object must have layout for the filter to render. A simple way to accomplish this is to give the element a specified height and/or width. However, there are several other properties that can give an element layout. For more information on these other properties, see the hasLayout property.

The shadow filter can be applied to the img object by setting the filter on the image's parent container.

The filter mechanism is extensible and enables you to develop and add additional filters later. For more information about filters, see Introduction to Filters and Transitions.

Not available on the Macintosh platform.

Examples

The following example shows how to use an inline style sheet to set the filter on an image.

<IMG STYLE="filter:progid:DXImageTransform.Microsoft.MotionBlur(strength=50)
progid:DXImageTransform.Microsoft.BasicImage(mirror=1)"
src="/workshop/samples/author/dhtml/graphics/cone.jpg"
height="80px" width="80px" border="0" alt="cone">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The following example shows how to use inline scripting to set the filter on an image.

<SCRIPT>
function doFilter ()
{
filterFrom.filters.item(0).Apply();
// 12 is the dissolve filter.
filterFrom.filters.item(0).Transition=12;
imageFrom.style.visibility = "hidden";
filterTo.style.visibility = "";
filterFrom.filters.item(0).play(14);
}
</SCRIPT>
</HEAD>
<BODY>
Click on the image to start the filter.<BR>
// Call the function.
<DIV ID="filterFrom" onClick="doFilter()"
STYLE="position:absolute;
width:200px;
height:250px;
background-color:white;
filter:revealTrans()">
<IMG ID="imageFrom"
STYLE="position:absolute;
top:20px;
left:20px;"
SRC="sphere.jpg">
<DIV ID="filterTo"
STYLE="position:absolute;
width:200px;
height:250px;
top:20px;
left:20px;
background:white;
visibility:hidden;">
</DIV>
</DIV>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is part of a proposed addition to Cascading Style Sheets (CSS) Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, IFRAME, FRAMESET, I, INS, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TH, TD, TT, U, UL, VAR, XMP


firstChild

firstChild Property

Retrieves a reference to the first child in the childNodes collection of the object.

What's New for Microsoft® Internet Explorer 6

This property now applies to the attribute object.

Syntax

HTML | N/A
Scripting | [ oElement = ] object.firstChild

Possible Values

oElement Object that receives the first child object.

The property is read-only. The property has no default value.

Example

This example implements the firstChild attribute to obtain the first child element of an object.

<SCRIPT>
var oFirstChild = oList.firstChild;
</SCRIPT>
<BODY>
<UL ID = oList>
<LI>List Item 1
<LI>List Item 2
<LI>List Item 3
</UL>
<BODY>

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, attribute, B, BASE, BASEFONT, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

lastChild, About the W3C Document Object Model


FOLDER Attribute | folder

FOLDER Attribute | folder Property

Sets or retrieves a namespace extension, address, or path.

Syntax

XML | <ELEMENT FOLDER = sFolder... >
Scripting | anchorClick.folder [ = sFolder ]

Possible Values

sFolder String that specifies or receives a valid namespace extension, address, or path.

The property is read/write. The property has no default value.

Remarks

Browsers that do not support the FOLDER attribute will navigate to the location specified in the HREF attribute. Microsoft® Internet Explorer 5 displays the value of the FOLDER attribute in the browser screen instead of the value of the HREF attribute.

Example

This example uses the FOLDER attribute to specify a location to open in folder view.

<STYLE>
A {behavior:url(#default#AnchorClick);}
</STYLE>
<!--
The href points to folder.htm for browsers not supported;
the FOLDER attribute points to the local root.
-->
<A HREF = "folder.htm" FOLDER = "/" >
Open Folder
</A>

Standards Information

There is no public standard that applies to this property.

Applies To

anchorClick


font Attribute | font

font Attribute | font Property

Sets or retrieves a combination of separate font properties of the object. Alternatively, sets or retrieves one or more of six user-preference fonts.

What's New for Microsoft® Internet Explorer 6

When you use the !DOCTYPE declaration to specify standards-compliant mode, the default font-size value for this composite property is small, not medium.

Syntax

HTML | { font : sFont }
Scripting | object.style.font [ = sFont ]

Possible Values

sFont String that specifies or receives up to six of the following space-delimited property values. Alternatively, sets or retrieves the six listed text fonts.
font-style | Any of the range of font-style values available to the fontStyle property.
font-variant | Any of the range of font-variant values available to the fontVariant property.
font-weight | Any of the range of font-weight values available to the fontWeight property.
font-size | Any of the range of font-size values available to the fontSize property. When this value is an integer followed by a percent (%), the value is a percentage of the parent object's font size. In Internet Explorer 3.0, a percentage value is calculated as a percentage of the default font size.
line-height | Any of the range of line-height values available to the lineHeight property. When used with the font property, this attribute must include a slash (/) before the value. Line height percentage values are calculated as a percentage of the font size of the element itself, not of the parent.
font-family | Any of the range of font-family values available to the fontFamily property. This property can be set to multiple comma-separated values. Its default value depends on user settings.
caption | User-preference font used in objects that have captions—buttons, labels, and so on.
icon | User-preference font used in icon labels.
menu | User-preference font used in menus.
message-box | User-preference font used in dialog boxes.
small-caption | User-preference font used in small controls.
status-bar | User-preference font used in window status bars.

The property is read/write. The property has a default value of normal normal normal medium normal "Times New Roman". The Cascading Style Sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This is a composite property that specifies up to six font values. The font-style, font-variant, and font-weight values may appear in any order before font-size. However, the font-size, line-height, and font-family properties must appear in the order listed. Setting the font property also sets the component properties. In this case, the string must be a combination of valid values for the component properties; only font-family may have more than one value. If the string does not contain a value for a component property, that property is set to its default, regardless of prior settings for that component property.

As of Internet Explorer 6, when you use the !DOCTYPE declaration to specify standards-compliant mode, the following conditions apply to this property.

  1. The font-size and font-family values must be declared. If font-size and font-family are not declared, or are not in the correct order, the font property is ignored.
  2. All specified values must appear in the correct order. Otherwise, the font property is ignored.
  3. In standards-compliant mode, the default font-size is small, not medium. If not explicitly set, font-size returns a point value.

For more information about standards-compliant parsing and the !DOCTYPE declaration, see CSS Enhancements in Internet Explorer 6.

When specifying the user preferences caption, icon, menu, message-box, small-caption, or status-bar for this property, do not set other values for the font property on the same element. If you do, the other values might render, but the user preference value is ignored.

Examples

The following examples use the font attribute and the font property to change font characteristics.

This example uses an inline style sheet to set the font attributes.

<SPAN STYLE="font:italic normal bolder 12pt Arial">
:
</SPAN>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to set the font properties.

<DIV onmouseover="this.style.font = 'italic small-caps bold 12pt serif'">
:
</DIV>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, defaults, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, NOBR, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

CSS Length Units


font-family Attribute | fontFamily

font-family Attribute | fontFamily Property

Sets or retrieves the name of the font used for text in the object.

Syntax

HTML | { font-family : sFamily }
Scripting | object.style.fontFamily [ = sFamily ]

Possible Values

sFamily String that specifies or receives one of the following values.
family-name | Any of the available font families supported by the browser. For example, Times, Helvetica, Zapf-Chancery, Western, or Courier.
generic-name | Any of the following font families: serif, sans-serif, cursive, fantasy, or monospace.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has no default value. The Cascading Style Sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The value is a prioritized list of font family names and generic family names. List items are separated by commas to minimize confusion between multiple-word font family names. If the font family name contains white space, it should appear in single or double quotation marks; generic font family names are values and cannot appear in quotation marks.

Because you do not know which fonts users have installed, you should provide a list of alternatives with a generic font family at the end of the list. This list can include embedded fonts. For more information about embedding fonts, see the @font-face rule.

The default for this property can be set for Microsoft® Internet Explorer on the General tab of the Internet Options menu by clicking the Fonts button.

Examples

The following example shows how to use a call to an embedded style sheet to set the font-family attribute .

<HTML>
<HEAD>
<STYLE>
P {font-family:"ARIAL"}
.other {font-family:"COURIER"}
</STYLE>
</HEAD>
<BODY>
<P tabindex="1" onkeydown="this.className='other'"
onmousedown="this.className='other'" onmouseup="this.className=''"
onkeyup="this.className=''">Tab to select this paragraph and press down a
key or just click on it with the mouse to change the font-family style
attribute to COURIER.</P>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The following example shows how to use inline scripting to change the fontFamily property.

<HTML>
<BODY>
<DIV tabindex ="1" onkeydown="this.style.fontFamily='Courier'"
onkeyup="this.style.fontFamily=''" onmousedown="this.style.fontFamily='Courier'"
onmouseup="this.style.fontFamily=''">Tab to select this DIV element and press
down a key or just click on it with the mouse to change the fontFamily style
property to COURIER.
</DIV>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The following example shows how to define a hierarchy of fonts, in this case, an embedded font and a system font. The browser goes through the list until it finds a font it can apply. This is useful when the Web author wishes to employ fonts that might or might not be accessible or loaded onto a user's machine.

<STYLE type="text/css">
@font-face {
font-family: "My_font";
src: url(http://www.adatum.com/some_font_file.eot);
}
BODY {font-family: "My_font", Arial}
</STYLE>

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ADDRESS, B, BASEFONT, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, defaults, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

font


font-size Attribute | fontSize

font-size Attribute | fontSize Property

Sets or retrieves a value that indicates the font size used for text in the object.

What's New for Microsoft® Internet Explorer 6

When you use the !DOCTYPE declaration to specify standards-compliant mode, the default value for this property is small, not medium.

Syntax

HTML | { font-size : sSize }
Scripting | object.style.fontSize [ = sSize ]

Possible Values

sSize Variant that specifies or receives one of the following values.
absolute-size | Set of keywords that indicate predefined font sizes. Named font sizes scale according to the user's font setting preferences. Possible values include the following: xx-small, x-small, small, medium, large, x-large, xx-large.
relative-size | Set of keywords that are interpreted as relative to the font size of the parent object. Possible values include the following: larger, smaller.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see the CSS Length Units Reference.
percentage | Integer, followed by a percent (%). The value is a percentage of the parent object's font size. In Internet Explorer 3.0, the value is calculated as a percentage of the default font size.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of medium. The Cascading Style Sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

As of Internet Explorer 6, when you use the !DOCTYPE declaration to specify standards-compliant mode, the default value for this property is small, not medium.

Negative values are not allowed. Font sizes using the proportional "em" measure are based on the font size of the parent object.

Possible length values specified in a relative measurement, using the height of the element's font (em) or the height of the letter "x" (ex), are supported in Internet Explorer 4.0 and later.

Examples

The following examples use the font-size attribute and the fontSize property to change font characteristics.

This example sets the font size on several paragraphs using different size values.

<STYLE>
BODY{font-size: 10pt }
.P1 {font-size: 14pt }
.P2 {font-size: 75% }
.P3 {font-size: xx-large }
.P4 {font-size: larger }
</STYLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to set the font size to 14pt when an onmouseover event occurs.

<DIV STYLE="font-size:12pt" onmouseover="this.style.fontSize='14pt'">
:
</DIV>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ADDRESS, APPLET, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, defaults, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, hn, HTML, I, INPUT type=button, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

font, CSS Length Units Reference


fontSmoothingEnabled

fontSmoothingEnabled Property

Retrieves whether the user has enabled font smoothing in the Display control panel.

Syntax

[ bEnabled = ] screen.fontSmoothingEnabled

Possible Values

bEnabled Boolean that receives one of the following values.
false | Default. Font smoothing is disabled.
true | Font smoothing is enabled.

The property is read-only. The property has a default value of false.

Remarks

Font smoothing can be enabled by checking Smooth Edges in the Screen Fonts option in the Display control panel. In Microsoft® Windows® 98 and Windows 2000, this option is located on the central panel's Effects tab. In Microsoft Windows NT® 4.0 and Windows 95, this option is located on the Plus! tab.

Note In Windows 95, the Plus! tab is available only if Microsoft® Plus! is installed.

Standards Information

There is no public standard that applies to this property.

Applies To

screen


font-style Attribute | fontStyle

font-style Attribute | fontStyle Property

Sets or retrieves the font style of the object as italic, normal, or oblique.

Syntax

HTML | { font-style : sStyle }
Scripting | object.style.fontStyle [ = sStyle ]

Possible Values

sStyle String that specifies or receives one of the following values.
normal | Default. Font is normal.
italic | Font is italic.
oblique | Font is italic.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of normal. The Cascading Style Sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The oblique value is available as of Microsoft® Internet Explorer 4.0. Internet Explorer 4.0 renders italic and oblique identically.

While, Internet Explorer is shipped with a default fontStyle, this default can be changed by accessing Internet Options.

Examples

The following example shows how to use hn as a selector to set the font style to italic in H3 headings.

<STYLE>
H3 { font-style:italic }
</STYLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The following example shows how to use inline scripting to set the font style to italic when an onmousedown event occurs.

<DIV onmousedown="this.style.fontStyle='italic'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, defaults, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

font


font-variant Attribute | fontVariant

font-variant Attribute | fontVariant Property

Sets or retrieves whether the text of the object is in small capital letters.

Syntax

HTML | { font-variant : sVariant }
Scripting | object.style.fontVariant [ = sVariant ]

Possible Values

sVariant String that specifies or receives one of the following values.
normal | Default. Font is normal.
small-caps | Font is in small capital letters.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of normal. The Cascading Style Sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Microsoft® Internet Explorer 4.0 renders small-caps as uppercase letters in a smaller size.

Examples

The following examples use the font-variant attribute and the fontVariant property to change the font to small capitals.

This example uses P as a selector in an embedded (global) style sheet to set the font style to small-caps in all paragraphs.

<P STYLE="font-variant:small-caps">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to set the font style to small-caps when an onmousedown event occurs.

<DIV onmousedown="this.style.fontVariant='small-caps'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, defaults, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

font


font-weight Attribute | fontWeight

font-weight Attribute | fontWeight Property

Sets or retrieves the weight of the font of the object.

Syntax

HTML | { font-weight : sWeight }
Scripting | object.style.fontWeight [ = sWeight ]

Possible Values

sWeight String that specifies or receives one of the following values.
normal | Default. Font is normal.
bold | Font is bold.
bolder | Font is heavier than regular bold.
lighter | Font is lighter than normal.
100 | Font is at least as light as the 200 weight.
200 | Font is at least as bold as the 100 weight and at least as light as the 300 weight.
300 | Font is at least as bold as the 200 weight and at least as light as the 400 weight.
400 | Font is normal.
500 | Font is at least as bold as the 400 weight and at least as light as the 600 weight.
600 | Font is at least as bold as the 500 weight and at least as light as the 700 weight.
700 | Font is bold.
800 | Font is at least as bold as the 700 weight and at least as light as the 900 weight.
900 | Font is at least as bold as the 800 weight.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of normal. The Cascading Style Sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Keywords for font-weight values are mapped to specific font variations depending on the fonts that are installed on the user's computer. In many cases, the user cannot see the difference between different font-weight settings because the system chooses the closest match.

Setting the font-weight to 400 is equivalent to normal, and to 700 is equivalent to bold. An font-weight of bolder or lighter is interpreted relative to the parent object's weight. A value of bolder for text whose parent is normal sets the text to bold.

Microsoft® Internet Explorer 4.0 supports only normal and bold.

Internet Explorer 3.0 supports the font-weight attribute through the font attribute.

Examples

The following examples use the font-weight attribute and the fontWeight property to change the font weight.

This example uses li as a selector in an embedded (global) style sheet to set the font weight to bolder.

<STYLE>
LI { font-weight:bolder }
</STYLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to set the font weight to bolder when an onmouseover event occurs.

<P STYLE="font-size:14" onmouseover="this.style.fontWeight='bolder'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, defaults, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

font


form

form Property

Retrieves a reference to the form that the object is embedded in.

What's New for Microsoft® Internet Explorer 6

This property now applies to the fieldSet, isIndex, label, and legend elements.

Syntax

HTML | N/A
Scripting | [ oForm = ] object.form

Possible Values

oForm Object that receives the form.

The property is read-only. The property has no default value.

Remarks

Null is returned if the object is not on a form.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

BUTTON, FIELDSET, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, LABEL, LEGEND, OBJECT, OPTION, SELECT, TEXTAREA


FRAME Attribute | frame

FRAME Attribute | frame Property

Sets or retrieves the way the border frame around the table is displayed.

Syntax

HTML | <TABLE FRAME = sFrame... >
Scripting | TABLE.frame [ = sFrame ]

Possible Values

sFrame String that specifies or receives one of the following values.
void | Default. All outside table borders are removed.
above | Border on the top side of the border frame is displayed.
below | Border on the bottom side of the table frame is displayed.
border | Borders on all sides of the table frame are displayed.
box | Borders on all sides of the table frame are displayed.
hsides | Borders on the top and bottom sides of the table frame are displayed.
lhs | Border on the left side of the table frame is displayed.
rhs | Border on the right side of the table frame is displayed.
vsides | Borders on the left and right sides of the table frame are displayed.

The property is read/write. The property has a default value of void.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Example

This example uses the FRAME attribute to render different border frames.

<TABLE FRAME="above">
<TR><TD>A table with</TD><TD>the value of frame set to "above"</TD></TR>
<TR><TD>cell</TD><TD>cell</TD></TR>
</TABLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TABLE

See Also

rules


FRAMEBORDER Attribute | frameBorder

FRAMEBORDER Attribute | frameBorder Property

Sets or retrieves whether to display a border for the frame.

Syntax

HTML | <ELEMENT FRAMEBORDER = sBorder... >
Scripting | object.frameBorder [ = sBorder ]

Possible Values

sBorder String that specifies or receives one of the following values.
1 | Default. Inset border is drawn.
0 | No border is drawn.
no | No border is drawn.
yes | Inset border is drawn.

The property is read/write. The property has a default value of 1.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Invalid settings default to displaying borders.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

FRAME, FRAMESET, IFRAME


frameElement

frameElement Property

Retrieves the frame or iframe object that is hosting the window in the parent document.

Syntax

[ oWinFrame = ] window.frameElement

Possible Values

oWinFrame Object that receives the frame or iframe.

The property is read-only. The property has no default value.

Remarks

The window must be a frame or iframe.

Example

The following example retrieves the frame element of the window and sets its source URL to Microsoft Developer Network (MSDN) Online.

<SCRIPT LANGUAGE="JScript">
var oFrame = window.frameElement;
oFrame.src = "http://msdn.microsoft.com";
</SCRIPT>

Standards Information

There is no public standard that applies to this property.

Applies To

window


FRAMESPACING Attribute | frameSpacing

FRAMESPACING Attribute | frameSpacing Property

Sets or retrieves the amount of additional space between the frames.

Syntax

HTML | <FRAMESET FRAMESPACING = sPixels... >
Scripting | FRAMESET.frameSpacing [ = sPixels ]

Possible Values

sPixels Variant that specifies or receives the spacing, in pixels.

The property is read/write. The property has a default value of 2.

Remarks

The amount of space defined for frameSpacing does not include the width of the frame border. Frame spacing can be set on one or more frameSet objects and applies to all contained frameSet objects, unless the contained object defines a different frame spacing.

The default spacing is 2 pixels.

Standards Information

There is no public standard that applies to this property.

Applies To

FRAMESET


fromElement Attribute | fromElement

fromElement Attribute | fromElement Property

Sets or retrieves the object from which activation or the mouse pointer is exiting during the event.

Syntax

event.fromElement [ = oObject ]

Possible Values

oObject Object that specifies or receives the previous location of activation or the mouse pointer.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The property is read-only in Microsoft® Internet Explorer 4.0, and read/write in Internet Explorer 5 and later.

Example

In this example, the alert returns "mouse arrived" when the mouse pointer moves over the button.

<SCRIPT>
function testMouse(oObject) {
if(!oObject.contains(event.fromElement)) {
alert("mouse arrived");
}
}
</SCRIPT>
:
<BUTTON ID=oButton onmouseover="testMouse(this)">Mouse Over This.</BUTTON>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

event


GALLERYIMG Attribute | galleryImg

GALLERYIMG Attribute | galleryImg Property

Sets or retrieves whether the My Pictures image toolbar is visible for the current image.

Syntax

HTML | <IMG GALLERYIMG = bToolbar... >
Scripting | IMG.galleryImg [ = bToolbar ]

Possible Values

bToolbar Integer that specifies or receives one of the following values.
yes | true | Default. Image toolbar is enabled for the image.
no | false | Image toolbar is disabled for the image.

The property is read/write. The property has a default value of yes | true.

Remarks

If this attribute is set to yes on an image-mapped image (USEMAP or ISMAP), the GALLERYIMG attribute will override the mapping attribute and the image toolbar will be enabled.

In addition to disabling the My Pictures image toolbar on an image-by-image basis, it can be disabled page wide or permanently. To disable the image toolbar for an entire Web page, use the HTTP-EQUIV and CONTENT attributes of the meta element. Set HTTP-EQUIV="imagetoolbar" and CONTENT="no" (or false)and the image toolbar will be disabled for the entire page. Setting GALLERYIMG="yes" will override this setting. To permanently disable the image toolbar, either right-click the toolbar when it is displayed and click Disable image toolbar. Alternatively, go to the Advanced tab of the Internet Options which is located on the Tools menu within Internet Explorer. Clear the Enable Image Toolbar check box and click OK. After the image toolbar is disabled, no settings can override this and the image toolbar will not be displayed again until the user selects Enable Image Toolbar.

Example

It is possible to enable the image toolbar on an image that is smaller than the My Pictures default size filter of 130 pixels wide by 130 pixels high. The following code will display the My Pictures hovering toolbar on a small image that would normally not display the toolbar.

...
<IMG SRC="mypicture.jpg" HEIGHT="100px" WIDTH="100px" GALLERYIMG="yes">
...

Applies To

IMG

See Also

Measuring Element Dimension and Location, About My Pictures Photo Support


getAttribute

getAttribute Method

Retrieves the value of the specified attribute.

Syntax

vAttribute = object.getAttribute(sAttrName)

Parameters

sAttrName Required. String that specifies the name of the persistent attribute.

Return Value

Variant. Returns a string, number, or Boolean, defined by sAttrName. If an explicit attribute doesn't exist, an empty string is returned. If a custom attribute doesn't exist, null is returned.

Remarks

The sAttrName value is not case sensitive.

This method requires an object participating in persistence, where that object has a class name equal to the desired persistence behavior. An ID is required for the userData and saveSnapshot behaviors, and is recommended for the saveHistory and saveFavorite behaviors.

This method overrides the DHTML getAttribute method.

Example

This example uses the getAttribute method to retrieve an attribute on an object participating in userData persistence.

<HEAD>
<STYLE>
.userData {behavior:url(#default#userdata);}
</STYLE>
<SCRIPT>
function fnGet(){
oPersistInput.load("oDataStore");
oPersistInput.value=oPersistInput.getAttribute("sPersistAttr");
}
function fnSet(){
oPersistInput.setAttribute("sPersistAttr",oPersistInput.value);
oPersistInput.save("oDataStore");
}
function fnRem(){
oPersistInput.removeAttribute("sPersistAttr");
oPersistInput.save("oDataStore");
}
</SCRIPT>
</HEAD>
<BODY >
<INPUT type=text class=userData id=oPersistInput>
<INPUT type=button value="Get Attribute" onclick="fnGet()">
<INPUT type=button value="Set Attribute" onclick="fnSet()">
<INPUT type=button value="Remove Attribute" onclick="fnRem()">
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

saveFavorite, saveHistory, userData

See Also

Introduction to DHTML Behaviors, Introduction to Persistence, removeAttribute, setAttribute


getAttributeName

getAttributeName Method

Returns the name of the attribute whose index has been specified.

Syntax

sItemName = object.getAttributeName(lIndex)

Parameters

lIndex Required. Integer that specifies the attribute index.

Return Value

String that receives the attribute name.

Remarks

You can use this method to return the available categories of information about loaded or upcoming media items. For example, you might use this method to determine whether an attribute index specifies abstract, author, copyright, or duration information, depending on the media item.

If no media is currently playing in the Media Bar, any attempt to access media attribute information with getItemInfo, getAttributeName, or attributeCount returns a script error.

Applies To

PlaylistInfo, MediaItem

See Also

currentItem, nextItem


hash

hash Property

Sets or retrieves the subsection of the href property that follows the number sign (#).

Syntax

HTML | N/A
Scripting | object.hash [ = sHash ]

Possible Values

sHash String that specifies or receives the part of the URL following the number sign (#).

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

If there is no number sign, this property returns an empty string.

This property is useful for moving to a bookmark within a document. Assigning an invalid value does not cause an error.

Example

This example function returns true if the current document URL has a hash value, or false if the document URL does not.

function hasHash()
{
if (document.location.hash == "")
return false;
return true;
}

Standards Information

There is no public standard that applies to this property.

Applies To

A, AREA, location


hasLayout

hasLayout Property

Retrieves a value that indicates whether the object has layout.

Syntax

HTML | N/A
Scripting | [ sHasLayout = ] object.currentStyle.hasLayout

Possible Values

sHasLayout Boolean that receives one of the following values.
false | Default. Object does not have layout.
true | Object has layout.

The property is read-only. The property has a default value of false. The Microsoft Cascading Style Sheets (CSS) extension is not inherited.

Remarks

The following table shows Cascading Style Sheets (CSS) properties and corresponding values that, if set, cause an element to have layout.
CSS property | Value
display | inline-block
height | any value
float | left or right
position | absolute
width | any value
writing-mode | tb-rl
zoom | any value

As of Microsoft® Internet Explorer 6, when the !DOCTYPE declaration specifies strict standards compliance, inline elements will ignore the width and height properties, and setting the width and height properties will not cause the element to have layout.

Setting the contentEditable property to true will cause an element to have layout.

BODY, IMG, INPUT, TABLE and TD elements always have layout.

Example

The following example shows how to use the hasLayout property to determine whether an object has layout.

<DIV ID="oWidthSet" STYLE="width:100%">
DIV element A has its width set to 100%.</DIV>
<DIV ID="oNotSet">DIV element B is not positioned,
and neither its height nor width is set.</DIV>
<P>Which DIV element has layout?</P>
<BUTTON onclick="alert(oWidthSet.currentStyle.hasLayout)">
DIV Element A</BUTTON>
<BUTTON onclick="alert(oNotSet.currentStyle.hasLayout)">
DIV Element B</BUTTON>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, I, IMG, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP


hasNextItem

hasNextItem Property

Retrieves a value that indicates whether any successive items follow the current item in the playlist.

Syntax

XML | N/A
Scripting | [ bhasNext = ] mediaBar.hasNextItem

Possible Values

bhasNext Boolean that receives a value that indicates whether a successive item follows the current item in the playlist.
false | Default. No successive item follows the current item.
true | At least one successive item follows the current item.

The property is read-only. The property has a default value of false.

Applies To

mediaBar


HEADERS Attribute | headers

HEADERS Attribute | headers Property

Sets or retrieves a list of header cells that provide information for the object.

Syntax

HTML | <ELEMENT HEADERS = sHeaders... >
Scripting | object.headers(v) [ = sHeaders ]

Possible Values

sHeaders String that specifies or receives a list of space-separated header cell ids.

The property is read/write. The property has no default value.

Remarks

This property can be used for rendering to non-visual media such as speech or Braille. It can also be used with Cascading Style Sheets (CSS).

There is no functionality implemented for this property unless defined by the author.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TD, TH

See Also

axis, scope


height

height Property

Retrieves the vertical resolution of the screen.

Syntax

XML | N/A
Scripting | [ iHeight = ] clientCaps.height

Possible Values

iHeight Integer that receives the screen height, in pixels.

The property is read-only. The property has no default value.

Example

This example displays all the properties available through the clientCaps behavior.

<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
IE\:CLIENTCAPS {behavior:url(#default#clientCaps)}
}
</STYLE>
<SCRIPT>
function window.onload()
{
sTempStr = "availHeight    = " + oClientCaps.availHeight    + "\n" +
"availWidth     = " + oClientCaps.availWidth     + "\n" +
"bufferDepth    = " + oClientCaps.bufferDepth    + "\n" +
"colorDepth     = " + oClientCaps.colorDepth     + "\n" +
"connectionType = " + oClientCaps.connectionType + "\n" +
"cookieEnabled  = " + oClientCaps.cookieEnabled  + "\n" +
"cpuClass       = " + oClientCaps.cpuClass       + "\n" +
"height         = " + oClientCaps.height         + "\n" +
"javaEnabled    = " + oClientCaps.javaEnabled    + "\n" +
"platform       = " + oClientCaps.platform       + "\n" +
"systemLanguage = " + oClientCaps.systemLanguage + "\n" +
"userLanguage   = " + oClientCaps.userLanguage   + "\n" +
"width          = " + oClientCaps.width          + "\n" ;
oPre.innerText = sTempStr;
}
</SCRIPT>
</HEAD>
<BODY>
<H1>clientCaps Behavior Sample</H1>
<P>This example shows how to use the new <B>clientCaps</B>
behavior, introduced in Microsoft Internet Explorer 5, to obtain
client capabilities information. The following is a sampling of the
information that can be obtained:</P>
<IE:CLIENTCAPS ID="oClientCaps" />
<PRE id="oPre"></PRE>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

clientCaps

See Also

About Client Capabilities


height

height Property

Retrieves the vertical resolution of the screen.

Syntax

[ iHeight = ] screen.height

Possible Values

iHeight Integer that receives the screen height, in pixels.

The property is read-only. The property has no default value.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

screen

See Also

availHeight, width


height Attribute | height

height Attribute | height Property

Sets or retrieves the height of the object.

What's New for Microsoft® Internet Explorer 6

When you use the !DOCTYPE declaration to specify standards-compliant mode, this property specifies only the distance between the top and bottom edges of the content box—that is, within the padding.

Syntax

HTML | { height : sHeight }
Scripting | object.style.height [ = sHeight ]

Possible Values

sHeight Variant that specifies or receives one of the following values.
auto | Default. ?/TD>
height | Floating-point number followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units Reference.
percentage | Integer followed by a percent sign (%). The value is a percentage of the height of the parent object, which must be specified explicitly. Negative values are not allowed.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of auto. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

If you specify the height property of an img object but not the width property, the width is proportional to the height according to the dimensions of the image source file.

As of Internet Explorer 6, when you use the !DOCTYPE declaration to specify standards-compliant mode, this property specifies the distance between the top and bottom edges of the content box—that is, within the padding.

When the !DOCTYPE declaration does not specify standards-compliant mode, and with earler versions of Internet Explorer, this property includes the object's content box, plus the values of the following properties: borderTop, borderBottom, paddingTop, and paddingBottom. Subtracting the sum of the values of these properties from the value of the height property equals the height of the parent object's content box.

To perform operations on the numeric value of this property, use pixelHeight or posHeight.

Examples

This example uses an inline style sheet to set the height of an image to 4 centimeters.

<IMG SRC="sphere.jpg" STYLE="height:4cm">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to change the height of an image when an onclick event occurs.

<BUTTON onclick="height1.style.height='1cm'">Shrink sphere</BUTTON>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link and is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BUTTON, CAPTION, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TR, TT, U, UL, VAR, XMP

See Also

CSS Enhancements in Internet Explorer 6, Measuring Element Dimension and Location


HEIGHT Attribute | height

HEIGHT Attribute | height Property

Sets or retrieves the height of the object.

Syntax

HTML | <ELEMENT HEIGHT = sHeight... >
Scripting | object.height [ = sHeight ]

Possible Values

sHeight Variant that specifies or receives one of the following values.
height | Integer that specifies the height of the object, in pixels.
percentage | Integer, followed by a percent sign (%). The value is a percentage of the height of the parent object.

The property is read/write for all objects except the following, for which it is read-only: FRAME. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

If the height property of an img is specified, but the width property is not specified, the resulting width of the img is sized proportionally according to the specified height property and the actual width (in pixels) of the image in the source file.

Consider the following:
Dimensions of image in source file (pixels): 100 X 50 (W X H)
Specified image height: 2in
Specified image width: not specified
Resulting image height: 2in
Resulting image width: 4in ((100 / 50) * 2 inches)

If you specify the height property of an img, and the height and width of the image in the source file are identical, the width of the image matches the height.

If you specify the height property and the width property of an img, the resulting image dimensions matches those specified.

Percentage values are based on the height of the parent object.

When scripting the height property, use either the pixelHeight or posHeight property to numerically manipulate the height value.

If dynamic changes are intended for the height and width, the original values should be set through style (e.g. "style=''height:200px; width:200px'') rather than through the height and width attributes.

This property specifies the calculated height of the object, in pixels. For table rows and table cells, this property has a range of 0 to 32750 pixels.

If you set the value of the corresponding HTML attribute using a percentage, this property specifies the height, in pixels, represented by that percentage.

The scripting property is read/write for the img object, but read-only for other objects.

For more information about how to access the dimension and location of objects on the page through the Dynamic HTML (DHTML) Document Object Model (DOM), see Measuring Element Dimension and Location.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

EMBED, FRAME, IFRAME, IMG, MARQUEE, NOBR, OBJECT, TABLE, TD, TH, TR


hidden

hidden Property

Sets or retrieves the value indicating whether the embedded object is invisible.

Syntax

HTML | N/A
Scripting | EMBED.hidden(v) [ = sHidden ]

Possible Values

sHidden String that specifies or receives one of the following values.
false | Default. Object is not hidden.
true | Object is hidden.

The property is read/write. The property has a default value of false.

Standards Information

There is no public standard that applies to this property.

Applies To

EMBED


HIDEFOCUS Attribute | hideFocus

HIDEFOCUS Attribute | hideFocus Property

Sets or retrieves the value indicating whether the object visibly indicates that it has focus.

Syntax

HTML | <ELEMENT HIDEFOCUS ... >
Scripting | object.hideFocus(v) [ = bHidden ]

Possible Values

bHidden Boolean that specifies or receives one of the following values.
true | Focus is not visibly indicated.
false | Default. Focus is visibly indicated.

The property is read/write. The property has a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The focus of an object is visibly indicated by a focus rectangle—a dotted rectangle within the boundaries of the object.

This property does not control the ability of an object to receive focus; for that, use the tabIndex property.

Example

The following example shows how to use the HIDEFOCUS attribute to prevent a focus rectangle from appearing on a button.

...
<BUTTON>
Button With Rectangle</BUTTON>
<BUTTON HIDEFOCUS="true">
Button Without Rectangle</BUTTON>
...
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CUSTOM, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


host

host Property

Sets or retrieves the hostname and port number of the location or URL.

Syntax

HTML | N/A
Scripting | object.host [ = sHost ]

Possible Values

sHost String that specifies or receives the host name and port number.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The host property is the concatenation of the hostname and port properties, separated by a colon (hostname:port). When the port property is null, the host property is the same as the hostname property.

The host property may be set at any time, although it is safer to set the href property to change a location. If the specified host cannot be found, an error is returned.

Example

This example function returns the host property of the current page location.

function getHost()
{
return document.location.host;
}

Standards Information

There is no public standard that applies to this property.

Applies To

A, AREA, location


hostname

hostname Property

Sets or retrieves the host name part of the location or URL.

Syntax

HTML | N/A
Scripting | object.hostname [ = sHostname ]

Possible Values

sHostname String that specifies or receives the host and domain name, or the numerical IP address.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

If no host name is available, this property returns an empty string.

Standards Information

There is no public standard that applies to this property.

Applies To

A, AREA, location


href

href Property

Sets or retrieves the entire URL as a string.

Syntax

location.href [ = sURL ]

Possible Values

sURL String that specifies or receives a URL.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Example

This example shows a URL list. The user is taken to the URL selected from the options, if the selection is different from the list's default value.

<SELECT onchange="window.location.href=this.options[this.selectedIndex].value">
<OPTION VALUE="http://www.microsoft.com/ie">Internet Explorer</OPTION>
<OPTION VALUE="http://www.microsoft.com">Microsoft Home</OPTION>
<OPTION VALUE="http://msdn.microsoft.com">Developer Network</OPTION>
</SELECT>

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

location

See Also

navigate


href

href Property

Sets or retrieves the URL of the linked style sheet.

Syntax

styleSheet.href [ = sURL ]

Possible Values

sURL String that specifies or receives the URL.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The property returns the URL if the style sheet is a link. If the style sheet is a style, the property returns null.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

styleSheet


HREF Attribute | href

HREF Attribute | href Property

Sets or retrieves the destination URL or anchor point.

Syntax

HTML | <ELEMENT HREF = sURL... >
Scripting | object.href [ = sURL ]

Possible Values

sURL String that specifies or receives the URL or anchor point.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

HREF attributes on anchors can be used to jump to bookmarks or any object's identification attribute.

If HREF is present but is blank (in other words HREF="" OR HREF=), executing the link could possibly display the directory containing the current page, or it could generate an error depending on other elements on the web page and the server environment.

When an anchor is specified, the link to that address is represented by the text between the opening and closing anchor tags.

For more information on standard Internet protocols such as ftp, http, and mailto, see Predefined Protocols.

Note Microsoft® Internet Explorer 6 Service Pack 1 (SP1) no longer allows browsing a local machine from the Internet zone. For instance, if an Internet site contains a link to a local file, Internet Explorer 6 SP1 displays a blank page when a user clicks on the link. Previous versions of Internet Explorer followed the link to the local file.

Example

This example function returns the href property of the current page location.

function getHref()
{
return document.location.href;
}

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, AREA, LINK


HREF Attribute | href

HREF Attribute | href Property

Sets or retrieves the baseline URL on which relative links will be based.

Syntax

HTML | <BASE HREF = sURL... >
Scripting | BASE.href [ = sURL ]

Possible Values

sURL String that specifies or receives the URL.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

BASE


HREFLANG Attribute | hreflang

HREFLANG Attribute | hreflang Property

Sets or retrieves the language code of the object.

Syntax

HTML | <ELEMENT HREFLANG = sLang... >
Scripting | object.hreflang(v) [ = sLang ]

Possible Values

sLang String that specifies or receives the language code.

The property is read/write. The property has no default value.

Remarks

You must set the value of this property before you can retrieve it.

Language codes identify natural languages that are spoken, written, or otherwise used for the communication of information among people, and are defined and explained in Tags for the Identification of Languages (RFC1766) Non-Microsoft link. Computer languages are explicitly excluded from language codes.

Example

In the a element in the following example, the HREFLANG attribute specifies the language code of the U.S. version of English.

<A HREF="http://example.microsoft.com/..." HREFLANG="en-US">anchor text</A>

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, LINK


HSPACE Attribute | hspace

HSPACE Attribute | hspace Property

Sets or retrieves the horizontal margin for the object.

Syntax

HTML | <ELEMENT HSPACE = iMargin... >
Scripting | object.hspace [ = iMargin ]

Possible Values

iMargin Integer that specifies or receives the horizontal margin, in pixels.

The property is read/write. The property has a default value of 0.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This property is similar to the border property, except the margins do not have color when the element is a link.

When this property is set dynamically for an img or iframe object, the property value will be updated but the display will show no visible change.

Standards Information

This property is deprecated in HTML Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

APPLET, IFRAME, IMG, INPUT, INPUT type=image, MARQUEE, OBJECT

See Also

vspace


FOR Attribute | htmlFor

FOR Attribute | htmlFor Property

Sets or retrieves the object that is bound to the event script.

Syntax

HTML | <SCRIPT FOR = oObject... >
Scripting | SCRIPT.htmlFor [ = oObject ]

Possible Values

oObject String that specifies or receives a scripting object or an object identifier that is bound to the event script.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 2 Non-Microsoft link.

Applies To

SCRIPT


FOR Attribute | htmlFor

FOR Attribute | htmlFor Property

Sets or retrieves the object to which the given label object is assigned.

Syntax

HTML | <LABEL FOR = sID... >
Scripting | LABEL.htmlFor [ = sID ]

Possible Values

sID String that specifies or receives the identifier of the element to which the label element is assigned.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

LABEL


htmlText

htmlText Property

Retrieves the HTML source as a valid HTML fragment.

Syntax

[ sTxt = ] TextRange.htmlText

Possible Values

sTxt String that receives the HTML source.

The property is read-only. The property has no default value.

Remarks

This property corresponds to the fragment portion of the CF_HTML clipboard format.

This feature might not be available on platforms other than Microsoft® Win32® platforms.

Standards Information

There is no public standard that applies to this property.

Applies To

TextRange


HTTP-EQUIV Attribute | httpEquiv

HTTP-EQUIV Attribute | httpEquiv Property

Sets or retrieves information used to bind the META tag's content to an HTTP response header.

Syntax

HTML | <META HTTP-EQUIV = sInformation... >
Scripting | META.httpEquiv [ = sInformation ]

Possible Values

sInformation String that specifies or receives the information in the response header. See HTTP Response Headers for a list of possible values.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

If the property is omitted, the name property should be used to identify the meta-information. The httpEquiv property is not case-sensitive.

Examples

This example causes the browser to reload the document every two seconds.

<META HTTP-EQUIV="REFRESH" CONTENT=2>

This example disables theming support for the document.

<META HTTP-EQUIV="MSTHEMECOMPATIBLE" CONTENT="no">

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

META

See Also

content


ID Attribute | id

ID Attribute | id Property

Retrieves the string identifying the object.

Syntax

HTML | <ELEMENT ID = sID... >
Scripting | object.id [ = sID ]

Possible Values

sID String that specifies or receives any alphanumeric string that begins with a letter. The underscore (_) can also be used.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

In versions earlier than Microsoft® Internet Explorer 5, this property is read-only.

The id should be unique throughout the scope of the current document. If a document contains more than one object with the same identifier, the objects are exposed as a collection that can be referenced only in ordinal position.

Example

This example sets the ID attribute of each cell of a table. When the user clicks a cell, the object of the cell is passed to a function which returns the object's ID.

<SCRIPT>
function getID(oObject)
{
var id = oObject.id;
alert("This object's ID attribute is set to \"" + id + "\".");
}
</SCRIPT>
<TABLE BORDER COLS=3><TR>
<TD ID="firstCell"  onclick="getID(this);">Table Cell 1</TD>
<TD ID="secondCell" onclick="getID(this);">Table Cell 2</TD>
<TD ID="thirdCell"  onclick="getID(this);">Table Cell 3</TD>
</TR></TABLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

STYLE, A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, styleSheet, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP


image

image Property

Sets or retrieves the Microsoft® DirectAnimation® Image (DAImage class) displayed by the anim:DA element.

Syntax

XML | N/A
Scripting | anim:DA.image [ = oImage ]

Possible Values

oImage DAImage object that specifies the image displayed by the anim:DA element.

The property is read/write. The property has no default value.

Example

This example uses the image property to display a static DAImage class.

<HTML>
<HEAD>
<TITLE>image</TITLE>
<XML:NAMESPACE PREFIX="anim"/>
<STYLE>
.time       { behavior: url(#time); }
anim\:DA    { behavior: url(#default#anim); }
</STYLE>
<OBJECT ID="time" CLASSID="CLSID:476C391C-3E0D-11D2-B948-00C04FA32195">
</OBJECT>
</HEAD>
<BODY>
<P>The image below is specified using the image property.</P>
<SPAN ID="spanImg" CLASS="time" t:TIMEACTION="visibility" t:BEGIN="3"
t:DUR="5">
</SPAN>
<DIV ALIGN="center">
<anim:DA ID="da1" STYLE="width:200; height:200; z-index: -1;" />
</DIV>
<BR>
<SCRIPT LANGUAGE="JScript">
<!--
// Assign a variable to the DA statics library
m = da1.statics;
// Create the DAImage
img1 = m.ImportImage("../common/sun.gif");
// Specify the DAImage to be displayed by the ANIM:DA tag
da1.image = img1;
//-->
</SCRIPT>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

anim:DA

See Also

sound, statics


ime-mode Attribute | imeMode

ime-mode Attribute | imeMode Property

Sets or retrieves the state of an Input Method Editor (IME).

Syntax

HTML | { ime-mode : sMode }
Scripting | object.style.imeMode [ = sMode ]

Possible Values

sMode String that specifies or receives one of the following values.
auto | Default. IME is not affected. This is the same as not specifying the ime-mode attribute.
active | All characters are entered through the IME. Users can still deactivate the IME.
inactive | All characters are entered without IME. Users can still activate the IME.
disabled | IME is completely disabled. Users cannot activate the IME if the control has focus.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of auto. The Cascading Style Sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

An Input Method Editor (IME) allows users to enter and edit Chinese, Japanese, and Korean characters. The IME is an essential component for writing Chinese, Japanese, and Korean scripts. These writing systems have more characters than can be encoded for a regular keyboard. The IMEs for these languages use sequences of base characters that describe an individual character or group of characters to enter a larger set of characters. Base characters can be component letters from Hangul syllables, phonetic components for Japanese Kanji characters, or various combinations for Chinese characters.

To compose text with an IME, the user generally uses dictionary lookup and contextual analysis, especially in languages where homonyms are frequent, as in Japanese. A user typically starts by entering a few component characters, optionally selecting from various choices, and a confirmation command.

Input Method Editors have two principle states:

  • Inactive mode. The keyboard acts like a regular keyboard and input is limited to a small set of characters.
  • Active mode. The IME accepts component characters or processing commands.

HTML authors can provide users with some control by specifying an IME mode for a specific text entry. For example, if Japanese users enter information in a registration form, they might be required to enter their names in Kanji and Roman characters. By default, the users would have to make sure that the IME is inactive when entering their names in the Latin alphabet. The user would activate the IME to enter Kanji letters, then deactivate the IME to complete the form in the Latin alphabet. By controlling the IME mode, the HTML author prevents the user from having to activate and deactivate the IME.

Example

This example uses the ime-mode attribute.

<INPUT TYPE = text STYLE = "ime-mode:active" >

Standards Information

This property is part of a proposed addition to Cascading Style Sheets (CSS) Non-Microsoft link.

Applies To

currentStyle, INPUT type=text, runtimeStyle, style, TEXTAREA


implementation

implementation Property

Retrieves the implementation object of the current document.

Syntax

[ oImplementation = ] document.implementation

Possible Values

oImplementation Object that receives the implementation object.

The property is read-only. The property has no default value.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

document


indeterminate

indeterminate Property

Sets or retrieves whether the user has changed the status of a check box.

Syntax

HTML | N/A
Scripting | INPUT type=checkbox.indeterminate [ = bDim ]

Possible Values

bDim Boolean that specifies or receives one of the following values.
false | Default. Check box is not dimmed.
true | Check box is checked and dimmed.

The property is read/write. The property has a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The indeterminate property can be used to indicate whether the user has acted on a control. For example, setting the indeterminate to true causes the check box to appear checked and dimmed, indicating an indeterminate state.

The value of the indeterminate property acts independently of the values of the checked and status properties. Creating an indeterminate state is different from disabling the control. Consequently, a check box in the indeterminate state can still receive the focus. When the user clicks an indeterminate control, the indeterminate state turns off and the checked state of the check box toggles.

Standards Information

There is no public standard that applies to this property.

Applies To

INPUT type=checkbox


index

index Property

Sets or retrieves the ordinal position of an option in a list box.

Syntax

HTML | N/A
Scripting | OPTION.index [ = iIndex ]

Possible Values

iIndex Integer that specifies or receives the ordinal position.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

OPTION


innerHTML

innerHTML Property

Sets or retrieves the HTML between the start and end tags of the object.

Syntax

HTML | N/A
Scripting | object.innerHTML [ = sHTML ]

Possible Values

sHTML String that specifies or receives the content between the start and end tags.

The property is read/write for all objects except the following, for which it is read-only: COL, COLGROUP, FRAMESET, HTML, STYLE, TABLE, TBODY, TFOOT, THEAD, TITLE, TR. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The innerHTML property is valid for both block and inline elements. By definition, elements that do not have both an opening and closing tag cannot have an innerHTML property.

The innerHTML property takes a string that specifies a valid combination of text and elements.

When the innerHTML property is set, the given string completely replaces the existing content of the object. If the string contains HTML tags, the string is parsed and formatted as it is placed into the document.

This property is accessible at run time, as of Microsoft® Internet Explorer 5. Removing elements at run time, before the closing tag is parsed, could prevent other areas of the document from rendering.

When using innerHTML to insert script, you must include the DEFER attribute in the script element.

You can change the value of the title element using the document.title property.

To change the contents of the table, tFoot, tHead, and tr elements, use the table object model described in How to Build Tables Dynamically. For example, use the rowIndex property or the rows collection to retrieve a reference to a specific table row. You can add or delete rows using the insertRow and deleteRow methods. To retrieve a reference to a specific cell, use the cellIndex property or the cells collection. You can add or delete rows using the insertCell and deleteCell methods. To change the content of a particular cell, use the innerHTML property.

To maintain compatibility with earlier versions of Internet Explorer, this property applies to the textArea object. However, the property works only with strings that do not contain tags. With a string that contains a tag, this property returns an error. It is better to use the innerText property with this object.

Examples

This example uses the innerHTML property to change the text of a paragraph when an onmouseover event occurs. The affected text and any tags within it are changed by the onmouseover and onmouseout events.

...
<P onmouseover="this.innerHTML='<B>Mouse out to change back.</B>'"
onmouseout="this.innerHTML='<I>Mouse over again to change.</I>'">
<I>Mouse over this text to change it.</I>
</P>
...
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the innerHTML property to insert script into the page.

<HTML>
<SCRIPT>
function insertScript(){
var sHTML="<input type=button onclick=" + "go2()" + " value='Click Me'><BR>";
var sScript="<SCRIPT DEFER>";
sScript = sScript + "function go2(){ alert('Hello from inserted script.') }";
sScript = sScript + "</SCRIPT" + ">";
ScriptDiv.innerHTML = sHTML + sScript;
}
</SCRIPT>
<BODY onload="insertScript();">
<DIV ID="ScriptDiv"></DIV>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAMESET, hn, HTML Comment, HTML, I, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, OL, OPTION, P, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, STYLE, SUB, SUP, TABLE, TBODY, TD, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR

See Also

insertAdjacentHTML, How to Build Tables Dynamically


innerText

innerText Property

Sets or retrieves the text between the start and end tags of the object.

Syntax

HTML | N/A
Scripting | object.innerText [ = sTxt ]

Possible Values

sTxt String that specifies or receives the text between the start and end tags.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The innerText property is valid for block elements only. By definition, elements that do not have both an opening and closing tag cannot have an innerText property.

The innerText property is read-only on the html, table, tBody, tFoot, tHead, and tr objects.

When the innerText property is set, the given string completely replaces the existing content of the object.

You can set this property only after the onload event fires on the window. When dynamically creating a tag using TextRange, innerHTML, or outerHTML, use Microsoft® JScript® to create new events to handle the newly formed tags. Microsoft Visual Basic® Scripting Edition (VBScript) is not supported.

You can change the value of the title element using the document.title property.

To change the contents of the table, tFoot, tHead, and tr elements, use the table object model. For example, use the rowIndex property or the rows collection to retrieve a reference to a specific table row. You can add or delete rows using the insertRow and deleteRow methods. To retrieve a reference to a specific cell, use the cellIndex property or the cells collection. You can add or delete rows using the insertCell and deleteCell methods. To change the content of a particular cell, use the innerHTML property.

Example

This example uses the innerText property to replace an object's contents. The object surrounding the text is not replaced.

<P ID=oPara>Here's the text that will change.</P>
:
<BUTTON onclick="oPara.innerText='WOW! It changed!'">Change text</BUTTON>
<BUTTON onclick="oPara.innerText='And back again'">Reset</BUTTON>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, EM, FIELDSET, FONT, FORM, hn, HTML, I, IFRAME, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

insertAdjacentText


isContentEditable

isContentEditable Property

Retrieves the value indicating whether the user can edit the contents of the object.

Syntax

HTML | N/A
Scripting | [ bCanEdit = ] object.isContentEditable

Possible Values

bCanEdit Boolean that receives one of the following values.
false | The content cannot be edited.
true | The content can be edited.

The property is read-only. The property has no default value.

Example

The following example shows how to use the isContentEditable property to determine whether the user can edit the content of an object.

<head>
<SCRIPT>
function chgSpan() {
currentState = oSpan.isContentEditable;
newState = !currentState;
oSpan.contentEditable = newState;
oCurrentValue.innerText = newState;
newState==false ? oBtn.innerText="Enable Editing" :
oBtn.innerText="Disable Editing"
}
</SCRIPT>
</head>
<body onload="oCurrentValue.innerText = oSpan.isContentEditable;">
<P>Click the button to enable or disable SPAN content editing.</P>
<P>
<BUTTON ID="oBtn" onclick="chgSpan()">Enable Editing</BUTTON>
</P>
<P><SPAN ID="oSpan">You can edit this text.</SPAN></P>
Span can be edited: <SPAN ID="oCurrentValue"></SPAN>
</body>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, styleSheet, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP


isDisabled

isDisabled Property

Retrieves the value indicating whether the user can interact with the object.

Syntax

HTML | N/A
Scripting | [ bDisabled = ] object.isDisabled

Possible Values

bDisabled Boolean that receives one of the following values.
false | User can interact with the object.
true | User cannot interact with the object.

The property is read-only. The property has no default value.

Example

The following example shows how to use the isDisabled property to determine whether an object is disabled.

<HEAD>
<SCRIPT>
function chgInput() {
currentState = oTextInput.isDisabled;
newState = !currentState;
oTextInput.disabled = newState;
oCurrentValue.innerText = newState;
newState==true ? oBtn.innerText="Enable" : oBtn.innerText="Disable"
}
</SCRIPT>
</HEAD>
<BODY onload="oCurrentValue.innerText = oTextInput.isDisabled;">
<P>Click the button to enable or disable the <B>INPUT</B>.</P>
<P>
<INPUT ID="oBtn" TYPE="button" VALUE="Disable" onclick="chgInput()" />
</P>
<P><INPUT ID="oTextInput" VALUE="This is some text." /></P>
Input disabled: <SPAN ID="oCurrentValue"></SPAN>
</BODY>

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, styleSheet, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP


ISMAP Attribute | isMap

ISMAP Attribute | isMap Property

Sets or retrieves whether the image is a server-side image map.

Syntax

HTML | <IMG ISMAP ... >
Scripting | IMG.isMap [ = bMap ]

Possible Values

bMap Boolean that specifies or receives one of the following values.
false | Default. Image is not a server-side map.
true | Image is a server-side map.

The property is read/write. The property has a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

IMG


isMultiLine

isMultiLine Property

Retrieves the value indicating whether the content of the object contains one or more lines.

Syntax

HTML | N/A
Scripting | [ bMulti = ] object.isMultiLine

Possible Values

bMulti Boolean that receives one of the following values.
false | The content contains exactly one line.
true | The content contains more than one line.

The property is read-only. The property has no default value.

Example

The following example shows how to use the isMultiLine property to determine whether the content of an object can contain only one line or multiple lines of text.

<HTML>
<HEAD>
<SCRIPT>
function answer(arg) {
arg ? alert("Yes") : alert("No");
}
</SCRIPT>
</HEAD>
<BODY>
<P>INPUT: <INPUT type="text" ID="oInput" VALUE="oInput"/>
<BUTTON onclick="answer(oInput.isMultiLine);">
Can the INPUT contain more than one line?</BUTTON>
</P>
<P>TEXTAREA: <TEXTAREA ID="oTextarea">oTextarea</TEXTAREA>
<BUTTON onclick="answer(oTextarea.isMultiLine);">
Can the TEXTAREA contain more than one line?</BUTTON>
</P>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

defaults, A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, styleSheet, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP


isOpen

isOpen Property

Retrieves a value indicating whether the popup window is open.

Syntax

[ bOpen = ] popup.isOpen

Possible Values

bOpen Boolean that receives one of the following values.
true | Pop-up window is open.
false | Pop-up window is closed.

The property is read-only. The property has no default value.

Standards Information

There is no public standard that applies to this property.

Applies To

popup

See Also

Using the Popup Object, createPopup, show, hide, document


isTextEdit

isTextEdit Property

Retrieves whether a TextRange object can be created using the object.

Syntax

HTML | N/A
Scripting | [ bEdit = ] object.isTextEdit

Possible Values

bEdit Boolean that receives one of the following values.
false | TextRange object cannot be created.
true | TextRange object can be created.

The property is read-only. The property has no default value.

Remarks

To create a TextRange object, you can use only the body, button, and textArea objects and an input object with one of the following types: button, hidden, password, reset, submit, or text.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, nextID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP


javaEnabled

javaEnabled Property

Retrieves whether the Microsoft virtual machine (Microsoft VM) is enabled.

Syntax

XML | N/A
Scripting | [ bEnabled = ] clientCaps.javaEnabled

Possible Values

bEnabled Boolean that receives one of the following values:
false | Microsoft VM is not enabled.
true | Microsoft VM is enabled.

The property is read-only. The property has no default value.

Example

This example displays all the properties available through the clientCaps behavior.

<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
IE\:CLIENTCAPS {behavior:url(#default#clientCaps)}
}
</STYLE>
<SCRIPT>
function window.onload()
{
sTempStr = "availHeight    = " + oClientCaps.availHeight    + "\n" +
"availWidth     = " + oClientCaps.availWidth     + "\n" +
"bufferDepth    = " + oClientCaps.bufferDepth    + "\n" +
"colorDepth     = " + oClientCaps.colorDepth     + "\n" +
"connectionType = " + oClientCaps.connectionType + "\n" +
"cookieEnabled  = " + oClientCaps.cookieEnabled  + "\n" +
"cpuClass       = " + oClientCaps.cpuClass       + "\n" +
"height         = " + oClientCaps.height         + "\n" +
"javaEnabled    = " + oClientCaps.javaEnabled    + "\n" +
"platform       = " + oClientCaps.platform       + "\n" +
"systemLanguage = " + oClientCaps.systemLanguage + "\n" +
"userLanguage   = " + oClientCaps.userLanguage   + "\n" +
"width          = " + oClientCaps.width          + "\n" ;
oPre.innerText = sTempStr;
}
</SCRIPT>
</HEAD>
<BODY>
<H1>clientCaps Behavior Sample</H1>
<P>This example shows how to use the new <B>clientCaps</B>
behavior, introduced in Microsoft Internet Explorer 5, to obtain
client capabilities information. The following is a sampling of the
information that can be obtained:</P>
<IE:CLIENTCAPS ID="oClientCaps" />
<PRE id="oPre"></PRE>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

clientCaps

See Also

About Client Capabilities


keyCode

keyCode Property

Sets or retrieves the Unicode key code associated with the key that caused the event.

Syntax

event.keyCode [ = sKeyCode ]

Possible Values

sKeyCode Integer that specifies or receives the Unicode key code.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The property is used with the onkeydown, onkeyup, and onkeypress events.

The property's value is 0 if no key caused the event.

Standards Information

There is no public standard that applies to this property.

Applies To

event


LABEL Attribute | label

LABEL Attribute | label Property

Sets or retrieves the label for the option group.

Syntax

HTML | <OPTGROUP LABEL = sLabel... >
Scripting | OPTGROUP.label(v) [ = sLabel ]

Possible Values

sLabel String that specifies or receives the label that is displayed in the select element for this optGroup.

The property is read/write. The property has no default value.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

OPTGROUP


LABEL Attribute | label

LABEL Attribute | label Property

Sets or retrieves a value that you can use to implement your own label functionality for the object.

Syntax

HTML | <OPTION LABEL = sLabel... >
Scripting | OPTION.label(v) [ = sLabel ]

Possible Values

sLabel String that specifies or receives the value of the label property.

The property is read/write. The property has no default value.

Remarks

The functionality specified by the HTML 4.0 standard for this property is not implemented.

There is no functionality implemented for this property unless defined by the author.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

OPTION


LANG Attribute | lang

LANG Attribute | lang Property

Sets or retrieves the language to use.

Syntax

HTML | <ELEMENT LANG = sLanguage... >
Scripting | object.lang [ = sLanguage ]

Possible Values

sLanguage String that specifies or receives an ISO standard language abbreviation.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The parser uses this property to determine how to display language-specific choices for quotations, numbers, and so on.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP


LANGUAGE Attribute | language

LANGUAGE Attribute | language Property

Sets or retrieves the language in which the current script is written.

Syntax

HTML | <ELEMENT LANGUAGE = sLanguage... >
Scripting | object.language [ = sLanguage ]

Possible Values

sLanguage String that specifies or receives one of the following values.
JScript | Language is Microsoft® JScript®.
javascript | Script is JavaScript.
vbs | Language is Microsoft Visual Basic® Scripting Edition (VBScript).
vbscript | Script is VBScript.
XML | Script is Extensible Markup Language (XML).
language | Browser-supported language.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The language property can refer to any scripting language. Microsoft Internet Explorer 4.0 ships with scripting engines for JScript and VBScript.

In Internet Explorer, the default scripting engine is JScript.

In Internet Explorer 5, the LANGUAGE attribute of the script element can be set to XML.

Standards Information

This property is deprecated in HTML Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, nextID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


lastChild

lastChild Property

Retrieves a reference to the last child in the childNodes collection of an object.

What's New for Microsoft® Internet Explorer 6

This method now applies to the attribute object.

Syntax

HTML | N/A
Scripting | [ oElement = ] object.lastChild

Possible Values

oElement Object that receives the last child.

The property is read-only. The property has no default value.

Example

This example implements the lastChild property to obtain a reference to the last child element of an object.

<BODY>
<UL ID = "oList">
<LI>List Item 1
<LI>List Item 2
<LI>List Item 3
</UL>
<SCRIPT>
var olastChild = oList.lastChild;
</SCRIPT>
<BODY>

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, attribute, B, BASE, BASEFONT, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

firstChild, About the W3C Document Object Model


lastModified

lastModified Property

Retrieves the date the page was last modified, if the page supplies one.

Syntax

[ sModified = ] document.lastModified

Possible Values

sModified String that receives the most recent date the page was modified, in the form "MM/DD/YY hh:mm:ss".

The property is read-only. The property has no default value.

Standards Information

There is no public standard that applies to this property.

Applies To

document


layout-flow Attribute | layoutFlow

layout-flow Attribute | layoutFlow Property

Sets or retrieves the direction and flow of the content in the object.

Syntax

HTML | { layout-flow : sFlow }
Scripting | object.style.layoutFlow(v) [ = sFlow ]

Possible Values

sFlow String that specifies or receives one of the following values.
horizontal | Default. Content in the object flows from left to right, and the next horizontal line is positioned underneath the previous line. This layout is used in most Roman-based documents.
vertical-ideographic | Content in the object flows from top to bottom, and the next vertical line appears to the left of the previous one. This layout is used in East Asian typography.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of horizontal. The Microsoft Cascading Style Sheets (CSS) extension is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This is a deprecated property; use the writingMode property instead.

This property is read-only for the currentStyle object.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, B, BIG, BLOCKQUOTE, BUTTON, CAPTION, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, hn, HR, I, INPUT, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, OL, OPTION, P, PLAINTEXT, PRE, Q, RUBY, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TD, TEXTAREA, TH, TT, U, UL, VAR

See Also

writingMode


layout-grid Attribute | layoutGrid

layout-grid Attribute | layoutGrid Property

Sets or retrieves the composite document grid properties that specify the layout of text characters.

Syntax

HTML | { layout-grid : sLayout }
Scripting | object.style.layoutGrid [ = sLayout ]

Possible Values

sLayout String that specifies or receives one or more of the following values:
mode | Any of the range of mode values available to the layoutGridMode property.
type | Any of the range of type values available to the layoutGridType property.
line | Any of the range of line values available to the layoutGridLine property.
char | Any of the range of character values available to the layoutGridChar property.

The property is read/write. The property has a default value of both loose none none. The Cascading Style Sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Web documents in Asian languages, such as Chinese or Japanese, usually create a page layout for characters using a one- or two-dimensional grid. You can use the layout-grid attribute to incorporate this layout into Web documents.

Example

This example uses the layout-grid attribute to specify character layout for a block of text.

<STYLE>
DIV.layout { layout-grid: both fixed 12px 12px }
</STYLE>
<DIV CLASS = "layout">
This is a block element containing a sentence of sample text.
</DIV>

Standards Information

This property is part of a proposed addition to Cascading Style Sheets (CSS) Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BASE, BASEFONT, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, META, nextID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


layout-grid-char Attribute | layoutGridChar

layout-grid-char Attribute | layoutGridChar Property

Sets or retrieves the size of the character grid used for rendering the text content of an element.

Syntax

HTML | { layout-grid-char : sCharSize }
Scripting | object.style.layoutGridChar [ = sCharSize ]

Possible Values

sCharSize Variant that specifies or receives one of the following values.
none | Default. No character grid is set.
auto | Largest character in the font of the element is used to set the character grid.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units Reference.
percentage | Integer, followed by a percent sign (%). The value is a percentage derived from the dimensions of the parent object.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of none. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The visual effects of the layout-grid-char attribute are similar to the lineHeight property.

Web documents in Asian languages, such as Chinese or Japanese, usually create a page layout for characters using a one- or two-dimensional grid. You can use the layout-grid attribute to incorporate this layout into Web documents.

The layout-grid-char attribute applies only to block-level elements.

Note For this property to have an effect, the layout-grid-mode attribute must be set to line or both.

Example

This example uses the layout-grid-char attribute to specify character layout for a block of text.

<STYLE>
DIV.layout { layout-grid-char: auto }
</STYLE>
<DIV CLASS = "layout">
This is a block element containing a sentence of sample text.
</DIV>

Standards Information

This property is part of a proposed addition to Cascading Style Sheets (CSS) Non-Microsoft link.

Applies To

BLOCKQUOTE, BODY, CENTER, currentStyle, DD, DIR, DIV, DL, DT, FIELDSET, FORM, hn, HR, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, style, TABLE, TD, TH, TR, UL, XMP


layout-grid-line Attribute | layoutGridLine

layout-grid-line Attribute | layoutGridLine Property

Sets or retrieves the gridline value used for rendering the text content of an element.

Syntax

HTML | { layout-grid-line : sLineSpace }
Scripting | object.style.layoutGridLine [ = sLineSpace ]

Possible Values

sLineSpace Variant that specifies or receives one of the following values.
none | Default. No grid line is set.
auto | Largest character in the font of the element is used to set the character grid.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units Reference.
percentage | Integer, followed by a percent sign (%). The value is a percentage derived from the dimensions of the parent object.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of none. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The visual effects of the layout-grid-line attribute are similar to the lineHeight property.

Web documents in Asian languages, such as Chinese or Japanese, usually create a page layout for characters using a one- or two-dimensional grid. You can use the layout-grid attribute to incorporate this layout into Web documents.

The layout-grid-line attribute applies only to block-level elements.

Note For this property to have an effect, the layout-grid-mode attribute must be set to line or both.

Example

This example uses the layout-grid-line attribute to specify character layout for a block of text.

<STYLE>
DIV.layout { layout-grid-line: auto }
</STYLE>
<DIV CLASS = "layout">
This is a block element containing a sentence of sample text.
</DIV>

Standards Information

This property is part of a proposed addition to Cascading Style Sheets (CSS) Non-Microsoft link.

Applies To

BLOCKQUOTE, BODY, CENTER, currentStyle, DD, DIR, DIV, DL, DT, FIELDSET, FORM, hn, HR, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, style, TABLE, TD, TH, TR, UL, XMP


layout-grid-mode Attribute | layoutGridMode

layout-grid-mode Attribute | layoutGridMode Property

Sets or retrieves whether the text layout grid uses two dimensions.

Syntax

HTML | { layout-grid-mode : sMode }
Scripting | object.style.layoutGridMode [ = sMode ]

Possible Values

sMode String that specifies or receives one of the following values.
both | Default. Both the char and line grid modes are enabled. This setting is necessary to fully enable the layout grid on an element.
none | No grid is used.
line | Only a line grid is used. This is recommended for use with inline elements, such as a span, to disable the horizontal grid on runs of text that act as a single entity in the grid layout.
char | Only a character grid is used. This is recommended for use with block-level elements, such as a blockQuote, where the line grid is intended to be disabled.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of both. The Cascading Style Sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Web documents in Asian languages, such as Chinese or Japanese, usually create a page layout for characters using a one- or two-dimensional grid. You can use the layout-grid attribute to incorporate this layout into Web documents.

Example

This example uses the layout-grid-mode attribute to specify character layout for a block of text.

<STYLE>
DIV.layout { layout-grid-mode: line }
</STYLE>
<DIV CLASS = "layout">
This is a block element containing a sentence of sample text.
</DIV>

Standards Information

This property is part of a proposed addition to Cascading Style Sheets (CSS) Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BASE, BASEFONT, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, META, nextID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


layout-grid-type Attribute | layoutGridType

layout-grid-type Attribute | layoutGridType Property

Sets or retrieves the type of grid used for rendering the text content of an element.

Syntax

HTML | { layout-grid-type : sType }
Scripting | object.style.layoutGridType [ = sType ]

Possible Values

sType String that specifies or receives one of the following values.
loose | Default. Grid used for Japanese and Korean characters. In this mode, a constant width increment is applied to characters as follows: Wide characters and narrow kana characters are incremented to obtain an exact grid fit, as specified by the layoutGridChar property. Other narrow characters, except connected and cursive characters, are incremented by half of the increment amount applied to wide characters. Other characters, including connected and cursive characters, are not incremented, and behave as if no character grid is set.
strict | Grid used for Chinese, as well as Japanese (Genko) and Korean characters. Only the ideographs, kanas, and wide characters are snapped to the grid. Other characters are rendered as usual, as though the layout-grid-mode attribute is set to none or line for text spans containing these characters. This mode also disables special text justification and character width adjustments normally applied to the element. Finally, if there is no line-break opportunity in a text span that exceeds the line boundary, the text is pushed to the next line and the last part of the previous line is left blank.
fixed | Grid used for monospaced layout. The layout rules are as follows: All noncursive characters are treated as equal; every character is centered within a single grid space by default. Runs of cursive characters are treated as strips the same as in a strict grid. Justification or any other character-width changing behaviors are disabled.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of loose. The Cascading Style Sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Web documents in Asian languages, such as Chinese or Japanese, usually create a page layout for characters using a one- or two-dimensional grid. You can use the layout-grid attribute to incorporate this layout into Web documents.

The layout-grid-type attribute applies only to block-level elements.

Example

This example uses the layout-grid-type attribute to specify character layout for a block of text.

<STYLE>
DIV.layout { layout-grid-type: strict }
</STYLE>
<DIV CLASS = "layout">
This is a block element containing a sentence of sample text.
</DIV>

Standards Information

This property is part of a proposed addition to Cascading Style Sheets (CSS) Non-Microsoft link.

Applies To

BLOCKQUOTE, BODY, CENTER, currentStyle, DD, DIR, DIV, DL, DT, FIELDSET, FORM, hn, HR, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, style, TABLE, TD, TH, TR, UL, XMP


left Attribute | left

left Attribute | left Property

Sets or retrieves the position of the object relative to the left edge of the next positioned object in the document hierarchy.

Syntax

HTML | { left : sPosition }
Scripting | object.style.left [ = sPosition ]

Possible Values

sPosition Variant that specifies or receives one of the following values.
auto | Default. Default position, according to the regular HTML layout of the page.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units Reference.
percentage | Integer, followed by a percent sign (%). The value is a percentage of the width of the parent object.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of auto. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

You should use the left attribute only when the position attribute is set; otherwise, the value of the left attribute is ignored.

Because the value of the left property is a string, you cannot use the property in script to calculate the position of the object in the document; instead, you should use the pixelLeft property or the posLeft property.

For more information about how to access the dimension and location of objects on the page through the Dynamic HTML (DHTML) Document Object Model (DOM), see Measuring Element Dimension and Location.

Examples

The following examples use the left attribute and the left property to change the position of the object.

This example uses an inline style sheet to set the position of an image 100 pixels to the right of the parent object's left edge.

<DIV STYLE="position:absolute;left:100px">
<IMG SRC="cone.jpg"></DIV>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to change the position of two images when an onclick event occurs.

<BUTTON onclick="cone.style.left='100px'; sphere.style.left='200px'">
. . .</BUTTON>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 2 (CSS2) Non-Microsoft link.

Applies To

A, ADDRESS, APPLET, B, BIG, BLOCKQUOTE, BUTTON, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, defaults, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TEXTAREA, TT, U, UL, VAR, XMP


left

left Property

Sets or retrieves the left coordinate of the rectangle surrounding the object content.

Syntax

TextRectangle.left [ = iCoord ]

Possible Values

iCoord Integer that specifies or receives the left coordinate of the rectangle, in pixels.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

To access the left coordinate of the second text rectangle of a TextRange object, use this syntax:

oRct = oTextRange.getClientRects();
oRct[1].left;

Note that because the collection index starts at 0, the second item index is 1.

To access the left coordinate of the bounding rectangle of an element object, use this syntax:

oBndRct = oElement.getBoundingClientRect();
oBndRct.left;

Example

This example uses the getBoundingClientRect method to retrieve the coordinates of the bounds of the text rectangles within the element.

<SCRIPT>
function getCoords(oObject) {
oBndRct=oObject.getBoundingClientRect();
alert("Bounding rectangle = \nUpperleft coordinates: "
+ oBndRct.left + " " + oBndRct.top +
"\nLowerright coordinates: "
+ oBndRct.right + " " + oBndRct.bottom);
}
</SCRIPT>
</HEAD>
<BODY>
<P ID=oPara onclick="getCoords(this)">
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

TextRectangle

See Also

bottom, right, top, TextRectangle, TextRectangle Collection


LEFTMARGIN Attribute | leftMargin

LEFTMARGIN Attribute | leftMargin Property

Sets or retrieves the left margin for the entire body of the page, overriding the default margin.

Syntax

HTML | <BODY LEFTMARGIN = sMargin... >
Scripting | BODY.leftMargin [ = sMargin ]

Possible Values

sMargin Variant that specifies or receives the left margin, in pixels.

The property is read/write. The property has a default value of 10.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

If the value is an empty string, the left margin is on the left edge.

By default, when you set the value of this property, the opposite margin is set to the same value.

Standards Information

There is no public standard that applies to this property.

Applies To

BODY


length

length Property

Sets or retrieves the number of objects in a collection.

What's New for Microsoft® Internet Explorer 6

This property now applies to the comment object.

Syntax

HTML | N/A
Scripting | object.length [ = iLength ]

Possible Values

iLength Integer that specifies or receives the number of objects.

The property is read/write for all objects except the following, for which it is read-only: COMMENT, pages. The property has no default value.

Remarks

The window.length property returns the number of frames contained in a window.

The comment.length property returns the number of characters in the object.

Although this property is read-only for most of the objects listed in the Applies To section objects, it is read/write for the areas collection (image maps), the options collection (select boxes), and the select object.

In all other cases, this property has read-only permission, which means you can retrieve, but cannot change, its current value.

The form.length property does not count input type=image elements. To access all elements contained in a form, use the children collection.

For Microsoft Windows® CE only, this collection will always be empty.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

all, anchors, applets, areas, attributes, behaviorUrns, bookmarks, boundElements, cells, childNodes, children, COMMENT, controlRange, elements, embeds, filters, forms, frames, images, imports, links, namespaces, options, pages, plugins, rows, rules, scripts, SELECT, styleSheets, tBodies, TextRectangle, TextRange, window, FORM


length

length Property

Retrieves the number of characters in a TextNode object.

Syntax

[ iLength = ] TextNode.length

Possible Values

iLength Integer that receives the number of characters.

The property is read-only. The property has no default value.

Example

This example uses the length property to specify where a TextNode is split using the splitText method.

<SCRIPT>
function fnChangeValue(){
var oListItem = document.createElement("LI");
oList.appendChild(oListItem);
var oNode = oList.firstChild.childNodes(0);
var oTextNode = oList.firstChild.childNodes(0);
var oSplit = oTextNode.splitText(oTextNode.length/2);
oListItem.appendChild(oSplit);
}
</SCRIPT>
<UL ID = oList onclick = "fnChangeValue()">
<LI>Start Here
</UL>

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TextNode


length

length Property

Retrieves the number of elements in the History list.

Syntax

[ iLength = ] history.length

Possible Values

iLength Integer that receives the number of elements.

The property is read-only. The property has no default value.

Standards Information

There is no public standard that applies to this property.

Applies To

history


letter-spacing Attribute | letterSpacing

letter-spacing Attribute | letterSpacing Property

Sets or retrieves the amount of additional space between letters in the object.

Syntax

HTML | { letter-spacing : sSpacing }
Scripting | object.style.letterSpacing [ = sSpacing ]

Possible Values

sSpacing Variant that specifies or receives one of the following values.
normal | Default. Default spacing.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units Reference.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of normal. The Cascading Style Sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

When specified as a positive length value, the letter-spacing attribute adds the specified value to the default spacing between characters within an element. A negative length value decreases the space between characters. Letter spacing can be influenced by justification.

Examples

The following examples use the letter-spacing attribute and the letterSpacing property to change the space between letters.

This example uses blockQuote as a selector to change the spacing to -0.2 millimeters for all blockQuote objects on the page.

<STYLE>
BLOCKQUOTE { letter-spacing:-0.2mm }
</STYLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to set the spacing to 1 millimeter when an onmouseover event occurs.

<DIV STYLE="font-size:14" onmouseover="this.style.letterSpacing='1mm'">
:
</DIV>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, defaults, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


line-break Attribute | lineBreak

line-break Attribute | lineBreak Property

Sets or retrieves line-breaking rules for Japanese text.

Syntax

HTML | { line-break : sBreak }
Scripting | object.style.lineBreak [ = sBreak ]

Possible Values

sBreak String that specifies or receives one of the following values.
normal | Default. Normal line-breaking mode is applied.
strict | Stricter line-breaking rules are enforced.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of normal. The Cascading Style Sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

This property is part of a proposed addition to Cascading Style Sheets (CSS) Non-Microsoft link.

Applies To

ADDRESS, BLOCKQUOTE, BODY, CENTER, currentStyle, DD, DIR, DIV, DL, DT, FIELDSET, FORM, hn, HR, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, style, TABLE, TD, TH, TR, UL, XMP

See Also

wordBreak


line-height Attribute | lineHeight

line-height Attribute | lineHeight Property

Sets or retrieves the distance between lines in the object.

Syntax

HTML | { line-height : sHeight }
Scripting | object.style.lineHeight [ = sHeight ]

Possible Values

sHeight Variant that specifies or receives one of the following values.
normal | Default. Default height.
height | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units Reference.
percentage | Integer, followed by a percent sign (%). The value is a percentage of the height of the parent object.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of normal. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Line height is the distance between the descender of the font and the top of the internal leading of the font.

If a formatted line contains more than one object, the maximum line height applies. In this case, negative values are not allowed.

Microsoft® Internet Explorer 3.0 supports the line-height attribute through the font attribute.

Examples

The following examples use the line-height attribute and the lineHeight property to control the height of paragraph lines.

This example uses p and blockQuote as selectors in an embedded (global) style sheet to change the distance between the lines in all p and blockQuote objects.

<STYLE>
P { line-height:8mm}
BLOCKQUOTE { line-height:4mm }
</STYLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to set the distance between lines when an onmouseover event occurs.

<DIV STYLE="font-size:14" onmouseover="this.style.lineHeight='6mm'">
:
</DIV>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, defaults, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


LINK Attribute | link

LINK Attribute | link Property

Sets or retrieves the color of the document links for the object.

Syntax

HTML | <BODY LINK = sColor... >
Scripting | BODY.link [ = sColor ]

Possible Values

sColor Variant that specifies or receives one of the color names or RGB values in the Color Table.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The link property cannot be set through the BODY object's onload event, but the linkColor property can.

Some browsers do not recognize color names, but all browsers should recognize RGB color values and display them correctly.

Standards Information

This property is deprecated in HTML Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

BODY


linkColor

linkColor Property

Sets or retrieves the color of the document links.

Syntax

document.linkColor [ = sColor ]

Possible Values

sColor Variant that specifies or receives one of the color names or values in the Color Table.

The property is read/write. The property has a default value of #0000ff.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The linkColor property can be set through the body object's onload event, but the link property cannot.

Standards Information

There is no public standard that applies to this property.

Applies To

document

See Also

alinkColor, vlinkColor


list-style Attribute | listStyle

list-style Attribute | listStyle Property

Sets or retrieves up to three separate listStyle properties of the object.

Syntax

HTML | { list-style : sStyle }
Scripting | object.style.listStyle [ = sStyle ]

Possible Values

sStyle String that specifies or receives up to three of the following values, in any order:
type | Any of the range of type values available to the listStyleType property.
position | Any of the range of position values available to the listStylePosition property.
image | Any of the range of image values available to the listStyleImage property.

The property is read/write. The property has a default value of disc outside none. The Cascading Style Sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The listStyle property is a composite property. When specifying both the type and image values, the image value takes precedence, unless the image value is set to none or the image pointed to by the URL cannot display.

The listStyle property also applies to all elements on which the display property is set to list-item. To make the bullet points appear, you must explicitly set the margin property or set the listStylePosition property to inside on these elements.

Examples

The following examples use the list-style attribute and the listStyle property to set the list style.

This example uses ul and UL.compact as selectors in an embedded (global) style sheet to define the styles of two different unordered lists. For UL.compact to override the image that is set with the ul selector, you must explicitly set the image attribute to none.

<STYLE>
UL { list-style: outside url(dot.gif) }
UL.compact { list-style-image:none; list-style: inside circle }
</STYLE>
</HEAD>
<BODY>
<UL>
<LI>...
<LI>...
</UL>
<UL CLASS=compact>
<LI>...
<LI>...
</UL>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to change the style of the list. If the default image cannot be located, a hollow circle is used.

<UL onmouseover="this.style.listStyle='url(dot.gif) circle'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The following example sets the display property to list-item, a new possible value as of Internet Explorer 6, to demonstrate that the listStyle property can also apply to elements on which the display property is set.

<SPAN onmouseover="this.style.display='list-item'">A line of text...</SPAN>
This feature requires Microsoft® Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

LI, OL, runtimeStyle, style, UL


list-style-image Attribute | listStyleImage

list-style-image Attribute | listStyleImage Property

Sets or retrieves a value that indicates which image to use as a list-item marker for the object.

Syntax

HTML | { list-style-image : sLocation }
Scripting | object.style.listStyleImage [ = sLocation ]

Possible Values

sLocation String that specifies or receives one of the following values.
none | Default. No image is specified.
url(sURL) | Location of the image, where sURL is an absolute or relative URL.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of none. The Cascading Style Sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The listStyleImage property can be applied to any element when margin and display:list-item are applied. The display:list-item property is available as of Microsoft® Internet Explorer 6 and later.

When the image is available, it replaces the marker that is set with the listStyleType marker.

If the left margin of the list item is set to 0 using one of the margin properties, the list-item markers do not show. The margin should be set to a minimum of 30 points.

Examples

The following examples use the list-style-image attribute and the listStyleImage property to set the image for markers.

This example uses ul as a selector in an embedded (global) style sheet to set the marker to the dot.gif image.

<STYLE>
UL { list-style-image:url(dot.gif) }
</STYLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to change the style of the list-item marker to an image when an onmouseover event occurs.

<UL onmouseover="this.style.listStyleImage='url(dot.gif)'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

currentStyle, LI, OL, runtimeStyle, style, UL


list-style-position Attribute | listStylePosition

list-style-position Attribute | listStylePosition Property

Sets or retrieves a variable that indicates how the list-item marker is drawn relative to the content of the object.

Syntax

HTML | { list-style-position : sPosition }
Scripting | object.style.listStylePosition [ = sPosition ]

Possible Values

sPosition String that specifies or receives one of the following values.
outside | Default. Marker is placed outside the text, and any wrapping text is not aligned under the marker.
inside | Marker is placed inside the text, and any wrapping text is aligned under the marker.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of outside. The Cascading Style Sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The listStylePosition property can be applied to any element when margin and display:list-item are applied. The display:list-item property is available as of Microsoft® Internet Explorer 6 and later.

If the left margin of a list item is set to 0 using one of the margin properties, the list-item markers do not show. The margin should be set to a minimum of 30 points.

Examples

The following examples use the list-style-position attribute and the listStylePosition property to set the position for markers.

This example uses ul and UL.compact as selectors in an embedded (global) style sheet to set the position of the list-item markers.

<STYLE>
UL	{ list-style-position:inside }
UL.compact { list-style-position:outside }
</STYLE>
</HEAD>
<BODY>
<UL>
<LI>...
<LI>...
</UL>
<UL CLASS=compact>
<LI>...
<LI>...
</UL>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to change the marker position when an onmouseover event occurs.

<SPAN STYLE="width:3cm" onmouseover="this.style.listStylePosition='inside'"
onmouseout="this.style.listStylePosition='outside'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

currentStyle, LI, OL, runtimeStyle, style, UL


list-style-type Attribute | listStyleType

list-style-type Attribute | listStyleType Property

Sets or retrieves the predefined type of the line-item marker for the object.

Syntax

HTML | { list-style-type : sType }
Scripting | object.style.listStyleType [ = sType ]

Possible Values

sType String that specifies or receives one of the following values.
disc | Default. Solid circles.
circle | Outlined circles.
square | Solid squares.
decimal | 1, 2, 3, 4, and so on.
lower-roman | i, ii, iii, iv, and so on.
upper-roman | I, II, III, IV, and so on.
lower-alpha | a, b, c, d, and so on.
upper-alpha | A, B, C, D, and so on.
none | No marker is shown.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of disc. The Cascading Style Sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The listStyleType property determines the appearance of the list-item marker if the value of the list-style-image attribute is set to none, or if the image pointed to by the URL cannot be displayed.

The listStyleType property can be applied to any element when margin and display:list-item are applied. The display:list-item property is available as of Microsoft® Internet Explorer 6 and later.

If the left margin of a line item is set to 0 using one of the margin properties, the list-item markers do not show. The margin should be set to a minimum of 30 points.

Examples

The following examples use the list-style-type attribute and the listStyleType property to set the markers.

This example uses ul as a selector in an embedded (global) style sheet to change the marker type to circle.

<STYLE>
UL { list-style-type:circle }
</STYLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to change the marker type on when an onmouseover event occurs.

<UL onmouseover="this.style.listStyleType='circle'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

currentStyle, LI, OL, runtimeStyle, style, UL


logicalXDPI

logicalXDPI Property

Retrieves the normal number of horizontal dots per inch (DPI) of the system's screen.

Syntax

[ nNormDPI = ] screen.logicalXDPI

Possible Values

nNormDPI Integer that receives the DPI.

The property is read-only. The property has no default value.

Remarks

On most systems, there is no difference between horizontal and vertical DPI. The normal DPI on most systems is 96.

When Internet Explorer is adjusting the scale of the screen, the value of this property does not equal the value of the deviceXDPI property.

For information about how Internet Explorer 6 and later can adjust the scale of the display on screens with higher-than-normal DPI, see Adjusting Scale for Higher DPI Screens.

Examples

The following examples use the logicalXDPI property to retrieve the normal horizontal DPI of the screen.

This example uses the deviceXDPI and logicalXDPI properties to calculate the horizontal scale factor that Internet Explorer is applying. The function in this example returns 1 if Internet Explorer is not adjusting the scale of the screen.

<script>
function fnScaleFactorX() {
var nScaleFactor = screen.deviceXDPI / screen.logicalXDPI;
return nScaleFactor;
}
</script>

This example uses the zoom property of the BODY element to adjust the scale of the document "manually" if Internet Explorer is not adjusting the scale of the screen and the user's horizontal DPI is higher than normal. This is a simple but imprecise way to make a document look the same on higher resolution screens. You can achieve finer control over the layout of your documents by modifying the properties of individual elements or groups of elements.

<script>
// change layout on HighDPI screens when IE not scaling
function fnScaleManually()
{
// normal DPI
var constNorm = 96;
// scaling is off and DPI higher than normal
if ((screen.deviceXDPI == screen.logicalXDPI)
&& (screen.deviceXDPI > constNorm))
{
document.body.style.zoom =
constNorm / screen.logicalXDPI;
}
}
</script>

Applies To

screen

See Also

deviceXDPI, deviceYDPI, logicalYDPI


logicalYDPI

logicalYDPI Property

Retrieves the normal number of vertical dots per inch (DPI) of the system's screen.

Syntax

[ nNormDPI = ] screen.logicalYDPI

Possible Values

nNormDPI Integer that receives the DPI.

The property is read-only. The property has no default value.

Remarks

On most systems, there is no difference between horizontal and vertical DPI. The normal DPI on most systems is 96.

When Internet Explorer is adjusting the scale of the screen, the value of this property does not equal the value of the deviceYDPI property.

For information about how Internet Explorer 6 and later can adjust the scale of the display on screens with higher-than-normal DPI, see Adjusting Scale for Higher DPI Screens.

Examples

The following examples use the logicalYDPI property to retrieve the normal vertical DPI of the screen.

This example uses the deviceYDPI and logicalYDPI properties to calculate the vertical scale factor that Internet Explorer is applying. The function in this example returns 1 if Internet Explorer is not adjusting the scale of the screen.

<script>
function fnScaleFactorY() {
var nScaleFactor = screen.deviceYDPI / screen.logicalYDPI;
return nScaleFactor;
}
</script>

This example uses the zoom property of the BODY element to adjust the scale of the document "manually" if Internet Explorer is not adjusting the scale of the screen and the user's vertical DPI is higher than normal. This is a simple but imprecise way to make a document look the same on higher resolution screens. You can achieve finer control over the layout of your documents by modifying the properties of individual elements or groups of elements.

<script>
// change layout on HighDPI screens when IE not scaling
function fnScaleManually()
{
// normal DPI
var constNorm = 96;
// scaling is off and DPI higher than normal
if ((screen.deviceYDPI == screen.logicalYDPI)
&& (screen.deviceYDPI > constNorm))
{
document.body.style.zoom =
constNorm / screen.logicalYDPI;
}
}
</script>

Applies To

screen

See Also

deviceXDPI, deviceYDPI, logicalXDPI


longDesc

longDesc Property

Sets or retrieves a Uniform Resource Identifier (URI) to a long description of the object.

Syntax

HTML | N/A
Scripting | object.longDesc(v) [ = sDesc ]

Possible Values

sDesc String that specifies or receives the URI.

The property is read/write. The property has no default value.

Remarks

Note The long description supplements the shorter description specified by the alt attribute.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

FRAME, IFRAME, IMG


LOOP Attribute | loop

LOOP Attribute | loop Property

Sets or retrieves the number of times a sound or video clip will loop when activated.

Syntax

HTML | <ELEMENT LOOP = iLoop... >
Scripting | object.loop [ = iLoop ]

Possible Values

iLoop Variant that specifies or receives one of the following values.
-1 | Loops infinitely.
0 | Loops one time.
count | Number of times to loop.

The property is read/write. The property has a default value of 1.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

To restart a sound or video clip after changing its loop property, set the src property or dynsrc property to itself. For example:

oBGSound.src = oBGSound.src

In Microsoft® Internet Explorer 4.0, when you restart a video by changing its loop property, the video opens and plays in a new window.

The following are descriptions of how the loop property works for some boundary cases.
<BGSOUND src="file:///c:\win95\system\msremind.wav"> | Loops one time
<BGSOUND src="file:///c:\win95\system\msremind.wav" LOOP> | Loops one time.
<BGSOUND src="file:///c:\win95\system\msremind.wav" LOOP=> | Loops one time.
<BGSOUND src="file:///c:\win95\system\msremind.wav" LOOP=0> | Loops one time.
<BGSOUND src="file:///c:\win95\system\msremind.wav" LOOP=-1> | Loops infinitely.

Example

This example uses the loop property and the src property to change the number of times a background sound loops.

<SCRIPT>
function loopOnce() {
oBGSound.loop = 1;
oBGSound.src = oBGSound.src; // reload sound
}
function loopContinuously() {
oBGSound.loop = -1;
oBGSound.src = oBGSound.src; // reload sound
}
</SCRIPT>
:
<BGSOUND id="oBGSound" src="sound.wav">
<BUTTON onclick="loopOnce()">Loop Sound Once</BUTTON>
<BUTTON onclick="loopContinuously()">Loop Sound Continuously</BUTTON>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

BGSOUND, IMG, INPUT, INPUT type=image


LOOP Attribute | loop

LOOP Attribute | loop Property

Sets or retrieves the number of times a marquee will play.

Syntax

HTML | <MARQUEE LOOP = iLoop... >
Scripting | MARQUEE.loop [ = iLoop ]

Possible Values

iLoop Integer that specifies or receives one of the following values.
0, -1 | Loops infinitely.
count | Number of times to loop.

The property is read/write. The property has a default value of -1.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

In each of the following boundary cases, the marquee loops infinitely.
<MARQUEE SCROLLAMOUNT=30 LOOP>This is some scrolling text.</MARQUEE> | Loops infinitely.
<MARQUEE SCROLLAMOUNT=30 LOOP=0>This is some scrolling text.</MARQUEE> | Loops infinitely.
<MARQUEE SCROLLAMOUNT=30 LOOP=>This is some scrolling text.</MARQUEE> | Loops infinitely.

If you set the loop property to null or 0 in script, a scripting error occurs.

Standards Information

There is no public standard that applies to this property.

Applies To

MARQUEE


LOWSRC Attribute | lowsrc

LOWSRC Attribute | lowsrc Property

Sets or retrieves a lower resolution image to display.

Syntax

HTML | <ELEMENT LOWSRC = sURL... >
Scripting | object.lowsrc [ = sURL ]

Possible Values

sURL String that specifies or receives the URL of the lower resolution image.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

If the src property is set in code, the new URL starts loading into the image area and aborts the transfer of any image data that is already loading into the same area. If you want to alter the lowsrc property, you must do so before setting the src property. If the URL in the src property references an image that is not the same size as the image cell it is loaded into, the source image is scaled to fit.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

IMG, INPUT, INPUT type=image


margin Attribute | margin

margin Attribute | margin Property

Sets or retrieves the width of the top, right, bottom, and left margins of the object.

Syntax

HTML | { margin : sMargin }
Scripting | object.style.margin [ = sMargin ]

Possible Values

sMargin String that specifies or receives up to four of the following space-delimited values:
top | Any of the range of margin width values available to the marginTop property.
right | Any of the range of margin width values available to the marginRight property.
bottom | Any of the range of margin width values available to the marginBottom property.
left | Any of the range of margin width values available to the marginLeft property.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of 0 0. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This is a composite property that specifies up to four width values, in the following order: top, right, bottom, left. If one width value is specified, it is used for all four sides. If two width values are specified, the first is used for the top and bottom borders, and the second is used for left and right borders. If three width values are specified, they are used for the top, right/left, and bottom borders, respectively. Negative margins are supported except for top and bottom margins on inline objects.

As of Microsoft® Internet Explorer 4.0, you can specify length values relative to the height of the element's font (em) or the height of the letter "x" (ex).

In Internet Explorer 3.0, the specified margin value is added to the default value of the object. In Internet Explorer 4.0 or later, the margin value is absolute. The margin properties do not work with the td and tr objects in Internet Explorer 4.0, but they do work in Internet Explorer 3.0. To set margins in the cell for Internet Explorer 4.0 or later, apply the margin to an object, such as div or p, within the td.

As of Internet Explorer 5.5, this property applies to inline elements. With earlier versions of Internet Explorer, inline elements must have an absolute?A HREF="../properties/position.html">position or layout to use this property. Element layout is set by providing a value for the height property or the width property.

For inline elements, the top and bottom values are used to compute the border area of a surrounding inline element, if present. These values do not contribute to the height of a line.

Margins are always transparent.

Examples

The following examples use the margin attribute and the margin property to change the margin of the object.

This example uses the img object as a selector to set the margin of images to 1 centimeter.

<STYLE>
IMG { margin:1cm }
</STYLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to set the margin of the image to 5 millimeters when an onmouseover event occurs.

<IMG src="sphere.jpg" onmouseover="this.style.margin='5mm'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ACRONYM, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

CSS Length Units Reference, CSS Enhancements in Internet Explorer 6


margin-bottom Attribute | marginBottom

margin-bottom Attribute | marginBottom Property

Sets or retrieves the height of the bottom margin of the object.

Syntax

HTML | { margin-bottom : sHeight }
Scripting | object.style.marginBottom [ = sHeight ]

Possible Values

sHeight Variant that specifies or receives one of the following values.
auto | Default. Bottom margin is set equal to the top margin.
height | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units Reference.
percentage | Integer, followed by a percent sign (%). The value is a percentage of the height of the parent object.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of auto. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

As of Microsoft® Internet Explorer 4.0 or later, you can specify possible length values relative to the height of the element's font (em) or the height of the letter "x" (ex).

In Internet Explorer 3.0, the specified margin value is added to the default value of the object. In Internet Explorer 4.0 or later, the margin value is absolute. The margin properties do not work with the td and tr objects in Internet Explorer 4.0, but they do work in Internet Explorer 3.0. To set margins in the cell for Internet Explorer 4.0 or later, apply the margin to an object, such as div or p, within the td.

As of Internet Explorer 5.5, this property applies to inline elements. With earlier versions of Internet Explorer, inline elements must have an absolute?A HREF="../properties/position.html">position or layout to use this property. Element layout is set by providing a value for the height property or the width property.

For inline elements, the value of this property is used to compute the border area of a surrounding inline element, if present. This value does not contribute to the height of a line.

Negative margins are supported, except for top and bottom margins on inline objects.

Examples

The following examples use the margin-bottom attribute and the marginBottom property to change the margin of the object.

This example uses the img object as a selector to set the bottom margin on images to 2 centimeters.

<STYLE>
IMG { margin-bottom:2cm }
</STYLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to set the bottom margin of the image to 1 centimeter when an onmouseover event occurs.

<IMG src="sphere.jpg"onmouseover="this.style.marginBottom='1cm'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ACRONYM, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

CSS Length Units Reference, CSS Enhancements in Internet Explorer 6


MARGINHEIGHT Attribute | marginHeight

MARGINHEIGHT Attribute | marginHeight Property

Sets or retrieves the top and bottom margin heights before displaying the text in a frame.

Syntax

HTML | <ELEMENT MARGINHEIGHT = iHeight... >
Scripting | object.marginHeight [ = iHeight ]

Possible Values

iHeight Variant that specifies or receives the height, in pixels.

The property is read/write. The property has a default value of 0.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Margins cannot be less than 1 pixel or so large that the text cannot be displayed.

If marginHeight is specified but marginWidth is not, marginWidth is set to 0.

If the document hosted in the frame or iframe has margin-top or margin-bottom properties set either through Cascading Style Sheets (CSS) or through the topMargin or bottomMargin properties of the body element, then this property is ignored.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

FRAME, IFRAME, LAYOUTRECT

See Also

marginWidth


margin-left Attribute | marginLeft

margin-left Attribute | marginLeft Property

Sets or retrieves the width of the left margin of the object.

Syntax

HTML | { margin-left : sWidth }
Scripting | object.style.marginLeft [ = sWidth ]

Possible Values

sWidth Variant that specifies or receives one of the following values.
auto | Default. Left margin is set equal to the right margin.
width | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units Reference.
percentage | Integer, followed by a percent sign (%). The value is a percentage of the width of the parent object.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of auto. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

As of Microsoft® Internet Explorer 4.0 and later, you can specify possible length values relative to the height of the element's font (em) or the height of the letter "x" (ex).

In Internet Explorer 3.0, the specified margin value is added to the default value of the object. In Internet Explorer 4.0 and later, the margin value is absolute. The margin properties do not work with the td and tr objects in Internet Explorer 4.0, but they do work in Internet Explorer 3.0. To set margins in the cell for Internet Explorer 4.0 and later, apply the margin to an object, such as div or p, within the td.

As of Internet Explorer 5.5, this property applies to inline elements. With earlier versions of Internet Explorer, inline elements must have an absolute?A HREF="../properties/position.html">position or layout to use this property. Element layout is set by providing a value for the height property or the width property.

Negative margins are supported, except for top and bottom margins on inline objects.

Examples

The following examples use the margin-left attribute and the marginLeft property to change the margin of the object.

This example uses the img object as a selector to set the left margin to 2 centimeters for all images.

<STYLE>
IMG { margin-left:2cm }
</STYLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to set the left margin of the image to 1 centimeter when an onclick event occurs.

<IMG src="sphere.jpg" onclick="this.style.marginLeft='1cm'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ACRONYM, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

CSS Length Units Reference, CSS Enhancements in Internet Explorer 6


margin-right Attribute | marginRight

margin-right Attribute | marginRight Property

Sets or retrieves the width of the right margin of the object.

Syntax

HTML | { margin-right : sWidth }
Scripting | object.style.marginRight [ = sWidth ]

Possible Values

sWidth Variant that specifies or receives one of the following values.
auto | Default. Right margin is set equal to the left margin.
width | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units Reference.
percentage | Integer, followed by a percent sign (%). The value is a percentage of the width of the parent object.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of auto. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

As of Microsoft® Internet Explorer 4.0 and later, you can specify possible length values relative to the height of the element's font (em) or the height of the letter "x" (ex).

In Internet Explorer 3.0, the specified margin value is added to the default value of the object. In Internet Explorer 4.0 and later, the margin value is absolute. The margin properties do not work with the td and tr objects in Internet Explorer 4.0, but they do work in Internet Explorer 3.0. To set margins in the cell for Internet Explorer 4.0 and later, apply the margin to an object, such as div or p, within the td.

As of Internet Explorer 5.5, this property applies to inline elements. With earlier versions of Internet Explorer, inline elements must have an absolute?A HREF="../properties/position.html">position or layout to use this property. Element layout is set by providing a value for the height property or the width property.

Negative margins are supported, except for top and bottom margins on inline objects.

Examples

The following examples use the margin-right attribute and the marginRight property to change the margin of the object.

This example uses img as a selector and margin1 as a class in an embedded style sheet to set the right margin of an image when an onclick event or ondblclick event occurs.

<STYLE>
IMG { margin-right:1cm }
.margin1 { margin-right:2cm }
</STYLE>
</HEAD>
<BODY>
<IMG src="sphere.jpg" onclick="this.className='margin1'"
ondblclick="this.className=''">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to set the right margin of the image to 1 centimeter when the onclick event occurs.

<IMG src="sphere.jpeg" onclick="this.style.marginRight='1cm'">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ACRONYM, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

CSS Length Units Reference, CSS Enhancements in Internet Explorer 6


RIGHTMARGIN Attribute | rightMargin

RIGHTMARGIN Attribute | rightMargin Property

Sets or retrieves the right margin for the entire body of the page.

Syntax

HTML | <BODY RIGHTMARGIN = sMargin... >
Scripting | BODY.rightMargin [ = sMargin ]

Possible Values

sMargin Variant that specifies or receives the right margin, in pixels.

The property is read/write. The property has a default value of 10.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

If the value is an empty string, the right margin is on the right edge.

The value set on the property overrides the default margin.

By default, when you set the value of this property, the opposite margin is set to the same value.

Standards Information

There is no public standard that applies to this property.

Applies To

BODY


margin-top Attribute | marginTop

margin-top Attribute | marginTop Property

Sets or retrieves the height of the top margin of the object.

Syntax

HTML | { margin-top : sHeight }
Scripting | object.style.marginTop [ = sHeight ]

Possible Values

sHeight Variant that specifies or receives one of the following values.
auto | Default. Top margin is set equal to the bottom margin.
height | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units Reference.
percentage | Integer, followed by a percent sign (%). The value is a percentage of the height of the parent object.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of auto. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

As of Microsoft® Internet Explorer 4.0 or later, you can specify possible length values relative to the height of the element's font (em) or the height of the letter "x" (ex).

In Internet Explorer 3.0, the specified margin value is added to the default value of the object. In Internet Explorer 4.0 or later, the margin value is absolute. The margin properties do not work with the td and tr objects in Internet Explorer 4.0, but they do work in Internet Explorer 3.0. To set margins in the cell for Internet Explorer 4.0 or later, apply the margin to an object, such as div or p, within the td.

As of Internet Explorer 5.5, this property applies to inline elements. With earlier versions of Internet Explorer, inline elements must have an absolute?A HREF="../properties/position.html">position or layout to use this property. Element layout is set by providing a value for the height property or the width property.

For inline elements, the value of this property is used to compute the border area of a surrounding inline element, if present. This value does not contribute to the height of a line.

Negative margins are supported, except for top and bottom margins on inline objects.

Examples

The following examples use the margin-top attribute and the marginTop property to change the margin of the object.

This example uses hr as a selector and margin1 as a class in an embedded style sheet to set the top margin of the horizontal rule.

<STYLE>
HR { margin-top:2cm }
.margin1 { margin-top:4cm }
</STYLE>
</HEAD>
<BODY>
<HR onclick="this.className='margin1'" ondblclick="this.className=''">
</STYLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to set and reset the margin when the onclick and ondblclick events occur, respectively.

<HR onclick="this.style.marginTop='2cm'"
ondblclick="this.style.marginTop=''">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ACRONYM, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

CSS Length Units Reference, CSS Enhancements in Internet Explorer 6


MARGINWIDTH Attribute | marginWidth

MARGINWIDTH Attribute | marginWidth Property

Sets or retrieves the left and right margin widths before displaying the text in a frame.

Syntax

HTML | <ELEMENT MARGINWIDTH = iWidth... >
Scripting | object.marginWidth [ = iWidth ]

Possible Values

iWidth Variant that specifies or receives the width, in pixels.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Margins cannot be less than 1 pixel or so large that the text cannot be displayed.

If marginWidth is specified but marginHeight is not, marginHeight is set to 0.

If the document hosted in the frame or iframe has margin-left or margin-right properties set either through Cascading Style Sheets (CSS) or through the leftMargin or rightMargin properties of the body element, then this property is ignored.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

FRAME, IFRAME, LAYOUTRECT

See Also

marginHeight


MAXLENGTH Attribute | maxLength

MAXLENGTH Attribute | maxLength Property

Sets or retrieves the maximum number of characters that the user can enter in a text control.

Syntax

HTML | <ELEMENT MAXLENGTH = iLength... >
Scripting | object.maxLength(v) [ = iLength ]

Possible Values

iLength Integer that specifies or receives the maximum length of the input.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The maxLength property limits the number of characters the user can enter. The property does not limit programmatic assignments to the value property. The property's value can be larger than the size of the text box, in which case the text box scrolls as the user types.

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

INPUT type=text, INPUT type=password

See Also

size


MEDIA Attribute | media

MEDIA Attribute | media Property

Sets or retrieves the media type.

Syntax

HTML | <ELEMENT MEDIA = sType... >
Scripting | object.media [ = sType ]

Possible Values

sType String that specifies or receives one of the following values.
screen | Output is intended for computer screens.
print | Output is intended for printed material and for on-screen documents viewed in Print Preview mode.
all | Default. Applies to all devices.

The property is read/write. The property has a default value of all.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

styleSheet, LINK, STYLE


menuArguments

menuArguments Property

Returns the window object where the context menu item was executed.

Syntax

[ oWindow = ] external.menuArguments

Possible Values

oWindow Variant that receives where the context menu was opened.

The property is read-only. The property has no default value.

Remarks

This property is accessible only through script specified in the registry for a new context menu entry.

The menuArguments property returns an object reference of the window where the context menu was opened. The event object is exposed through this object reference, allowing authors to query the srcElement, clientX, and clientY properties.

For more information about how to implement extensions to the Dynamic HTML (DHTML) Document Object Model (DOM), see About the Browser. For more information about how to add an entry into the standard context menus in Microsoft® Internet Explorer, see Adding Entries to the Standard Context Menu.

This property is not supported in HTML Applications.

Example

This example uses the menuArguments property to change selected text to uppercase, or to insert text if nothing is selected.

<SCRIPT LANGUAGE = "JavaScript">
// Get the window object where the context menu was opened.
var oWindow = window.external.menuArguments;
// Get the document object exposed through oWindow.
var oDocument = oWindow.document;
// Get the selection from oDocument.
// in oDocument.
var oSelect = oDocument.selection;
// Create a TextRange from oSelect.
var oSelectRange = oSelect.createRange();
// Get the text of the selection.
var sNewText = oSelectRange.text;
// If nothing was selected, insert some text.
if (sNewText.length == 0){
oSelectRange.text = "INSERT TEXT";
}
// Otherwise, convert the selection to uppercase.
else{
oSelectRange.text = sNewText.toUpperCase();
}
</SCRIPT>

Standards Information

There is no public standard that applies to this property.

Applies To

external


METHOD Attribute | method

METHOD Attribute | method Property

Sets or retrieves how to send the form data to the server.

Syntax

HTML | <FORM METHOD = sMethod... >
Scripting | FORM.method [ = sMethod ]

Possible Values

sMethod String that specifies or receives one of the following values.
get | Append the arguments to the action URL and open it as if it were an anchor.
post | Send the data through an HTTP post transaction.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

When using the post method, there is no theoretical limit to the amount of data that can be sent to the HTTP server. The amount of data may be constrained by the physical limits of the client computer.

When using the get method to send data to an HTTP server, the amount of data that can be sent is limited by the maximum length of a URL. In this case the URL cannot be longer than 2048 bytes.

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

FORM

See Also

action


min-height Attribute | minHeight

min-height Attribute | minHeight Property

Sets or retrieves the minimum height for an element.

Syntax

HTML | { min-height : sMinHeight }
Scripting | object.style.minHeight(v) [ = sMinHeight ]

Possible Values

sMinHeight Variant that specifies or receives the minimum height for an element.
length | Floating-point number followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.
percentage | Integer followed by a % that specifies a percentage of the containing block height to use as the minimum height of the element. If the height of the containing block is not explicitly set, then the element has no minimum height and the minHeight property is interpreted as 0%. For more information on containing blocks and how its height is computed, see the Cascading Style Sheets, Level 2 (CSS2) Non-Microsoft link specification.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has no default value. The Cascading Style Sheets (CSS) attribute is not inherited.

Remarks

With Internet Explorer 6, this property applies only to td, th and tr elements in fixed-layout tables. Auto-layout tables are the default. To create a fixed-layout table, set the tableLayout property of a table element to fixed. The advantage of fixed-layout tables is they render faster than auto-layout tables.

Example

The following example shows the benefits of using the min-height attribute over the HEIGHT attribute for a TR element.

<HTML>
<HEAD>
<TITLE>CSS Min-Height Property Example</TITLE>
</HEAD>
<BODY>
<table border="1" style="table-layout:fixed; width:100%;">
<tr>
<td style="height:35px;background-color:#99CCFF">This cell has the
<b>height</b> attribute set to 35px. In Internet Explorer, overflow text
is clipped when <b>height</b> is set on cells or rows in fixed-layout tables.
Setting the <b>min-height</b> attribute, however, accomodates overflow text
by increasing the cell or row height.</td>
</tr>
<tr>
<td style="min-height:35px;background-color:#99CCFF">This cell has the
<b>min-height</b> attribute set to 35px. In Internet Explorer, overflow text
is clipped when <b>height</b> is set on cells or rows in fixed-layout tables.
Setting the <b>min-height</b> attribute, however, accomodates overflow text
by increasing the cell or row height.</td>
</tr>
</table>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 2 (CSS2) Non-Microsoft link.

Applies To

currentStyle, style, runtimeStyle, TD, TH, TR

See Also

CSS Enhancements in Internet Explorer 6, height


MULTIPLE Attribute | multiple

MULTIPLE Attribute | multiple Property

Sets or retrieves the Boolean value indicating whether multiple items can be selected from a list.

Syntax

HTML | <SELECT MULTIPLE ... >
Scripting | SELECT.multiple [ = bMultiple ]

Possible Values

bMultiple Boolean that specifies or receives one of the following values.
false | Default. Multiple items cannot be selected.
true | Multiple items can be selected.

The property is read/write. The property has a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Example

This example uses the MULTIPLE attribute and the multiple property to switch between allowing the user to select one item or multiple items from a list.

<SELECT ID=oSelect MULTIPLE>
<OPTION>Item 1</OPTION>
<OPTION>Item 2</OPTION>
<OPTION>Item 3</OPTION>
</SELECT>
:
<BUTTON onclick="oSelect.multiple=false">One</BUTTON>
<BUTTON onclick="oSelect.multiple=true">Many</BUTTON>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

SELECT

See Also

type


name

name Property

Retrieves the name of the media.

Syntax

[ sName = ] object.name

Possible Values

sName String that receives the name of the media.

The property is read-only. The property has no default value.

Applies To

PlaylistInfo, MediaItem


NAME Attribute | name

NAME Attribute | name Property

Sets or retrieves the frame name.

Syntax

HTML | <ELEMENT NAME = sName... >
Scripting | object.name [ = sName ]

Possible Values

sName String that specifies or receives an arbitrary name used to identify the object.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The name property identifies which frame displays the content of a linked document.

Examples

This example uses scripting to set the name property of a frame.

parent.frames[0].name="Left";

This example shows how the NAME attribute for a window can be persisted in HTML, but only when defined in a frame within a freamset.

<FRAMESET>
<FRAME NAME="Left" SRC="blank.htm">
<FRAME NAME="Right" SRC="contents.htm">
</FRAMESET>

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

FRAME, FRAMESET, IFRAME


NAME Attribute | name

NAME Attribute | name Property

Sets or retrieves the value specified in the CONTENT attribute of the meta object.

Syntax

HTML | <META NAME = sName... >
Scripting | META.name [ = sName ]

Possible Values

sName String that specifies or receives one of the following values.
name | Arbitrary value.
Description | Associated CONTENT attribute describes the containing document. Some search engines use this to provide the user with a document summary in the result of a search.
Generator | Associated CONTENT attribute identifies the name of the application used to create the document.
Keywords | Associated CONTENT attribute consists of comma-delimited words describing the document. Some search engines use this to allow the user to perform a keyword search.
ProgID | Associated CONTENT attribute contains the programmatic identifier of the document's default editor.
Robots Associated CONTENT attribute indicates whether the containing document should be indexed by search engines that recognize the meta object. Possible values include the following:
all | Search engines can index the containing document.
noindex | Search engines cannot index the containing document.
Template | Associated CONTENT attribute specifies the location of the template used to edit the document. Use this in conjunction with the ProgID?B>meta object if the editor supports document templates.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The NAME attribute typically is assigned one of the preceding well-defined values, but any arbitrary value can be specified. Custom tools can be developed to perform special actions on documents containing arbitrary meta tags.

To enable the smart edit features in Microsoft® Internet Explorer 5 or later, add a meta tag to the head of the document. Associate ProgID with the NAME attribute, and associate the programmatic identifier of the desired editor with the CONTENT attribute. If the specified editor is not installed or properly registered on the user's system, the edit button is not displayed. Consult the documentation of your editor to determine its programmatic identifier.

Example

This example adds meta tags to the head of an HTML document to display a smart edit button on the toolbar as of Internet Explorer 5. Because the ProgID?B>meta tag is associated with the programmatic identifier of Microsoft Word, the button displays the Word icon. When you click the button, Internet Explorer loads the document into Word using the specified document template.

<META NAME="ProgID" CONTENT="word.document">
<META NAME="Template" CONTENT="C:\Program Files\Microsoft Office\Office\html.dot">

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

META


NAME Attribute | name

NAME Attribute | name Property

Sets or retrieves the name of the object.

What's New for Microsoft® Internet Explorer 6

This property now applies to the attribute object.

Syntax

HTML | <ELEMENT NAME = sName... >
Scripting | object.name [ = sName ]

Possible Values

sName String that specifies or receives the name.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

When submitting a form, use the name property to bind the value of the control. The name is not the value displayed for the input type=button, input type=reset, and input type=submit input types. The internally stored value, not the displayed value, is the one submitted with the form.

Microsoft JScript® allows the name to be changed at run time. This does not cause the name in the programming model to change in the collection of elements, but it does change the name used for submitting elements.

The NAME attribute cannot be set at run time on elements dynamically created with the createElement method. To create an element with a name attribute, include the attribute and value when using the createElement method.

Examples

The following example shows how to set the NAME attribute on a dynamically created A element.

var oAnchor = document.createElement("<A NAME='AnchorName'></A>");

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, APPLET, attribute, BUTTON, EMBED, FORM, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, LINK, MAP, OBJECT, RT, RUBY, SELECT, TEXTAREA


name

name Property

Retrieves the name of the namespace.

Syntax

[ sName = ] namespace.name

Possible Values

sName String that receives the name of the namespace.

The property is read-only. The property has no default value.

Standards Information

There is no public standard that applies to this property.

Applies To

namespace

See Also

Introduction to Viewlink, About Element Behaviors


NAME Attribute | name

NAME Attribute | name Property

Sets or retrieves the name of an input parameter for an element.

What's New for Microsoft® Internet Explorer 6

The name property is now read/write.

Syntax

HTML | <PARAM NAME = p... >
Scripting | PARAM.name(v) [ = p ]

Possible Values

p String that specifies or receives the name which is passed to an applet, embed, or object element.

The property is read/write. The property has no default value.

Remarks

In Internet Explorer 3.02 and later, name is an attribute of param. Beginning in Internet Explorer 6, name is a read/write property.

Example

The following example shows how to use the param element to specify a run-time parameter for the object specified by the object element. A Uniform Resource Identifier (URI) is specified for the Microsoft Windows Media® Player control.

<OBJECT CLASSID="clsid:22D6F312-B0F6-11D0-94AB-0080C74C7E95">
<PARAM NAME="FileName"
VALUE="http://msdn.microsoft.com/workshop/samples/author/behaviors/media/28movie.asf"
VALUETYPE="ref" TYPE="video/*"/>
</OBJECT>

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

PARAM

See Also

Binding HTML Elements to Data, Introduction to Data Binding


name

name Property

Sets or retrieves a value that indicates the window name.

Syntax

window.name [ = sName ]

Possible Values

sName String that specifies or receives an arbitrary name used to identify the object.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

To access a window's name property, use the window keyword.

Examples

This example assigns the name property to the window object.

window.name="MyWindow";

This example uses the window's open method to assign the name property.

window.open("file.htm","Frame1");

Applies To

window


nameProp

nameProp Property

Retrieves the file name specified in the href or src property of the object.

Syntax

HTML | N/A
Scripting | [ sFileName = ] object.nameProp

Possible Values

sFileName String that receives the name of a file specified by the object, not including the path or protocol.

The property is read-only. The property has no default value.

Example

This example uses the nameProp property to set the innerText property of a link to the file name specified by an a element.

<SCRIPT>
window.onload=fnInit;
function fnInit(){
oLink.innerText=oLink.nameProp;
}
</SCRIPT>
<A ID="oLink"
HREF="http://msdn.microsoft.com/workshop/author/dhtml/dhtmlrefs.html">
</A>

Standards Information

There is no public standard that applies to this property.

Applies To

A, IMG


nextItem

nextItem Property

Retrieves the next media item in a playlist, if there is one.

Syntax

XML | N/A
Scripting | [ oMediaItem = ] mediaBar.nextItem

Possible Values

oMediaItem Object that receives the next media item in a playlist, if there is one.

The property is read-only. The property has no default value.

Applies To

mediaBar

See Also

currentItem, hasNextItem, getItemInfo


nextPage

nextPage Property

Retrieves the position of the next page within a print template.

Syntax

[ p = ] event.nextPage

Possible Values

p String that receives one of the following values:
"left" | The next page appears to the left of the binding.
"right" | The next page appears to the right of the binding.
"" An @page rule was not specified.

The property is read-only. The property has no default value.

Remarks

The nextPage property is only applicable within a print template.

Standards Information

There is no public standard that applies to this property.

Applies To

event

See Also

@page, Print Templates


nextSibling

nextSibling Property

Retrieves a reference to the next child of the parent for the object.

What's New for Microsoft® Internet Explorer 6

This property now applies to the attribute object.

Syntax

HTML | N/A
Scripting | [ oElement = ] object.nextSibling

Possible Values

oElement Object that receives the next sibling.

The property is read-only. The property has no default value.

Example

This example uses the nextSibling property to obtain the next item in the list.

<SCRIPT>
// returns the list item labeled 'List Item 2'
var oSibling = oList.childNodes(0).nextSibling;
</SCRIPT>
<BODY>
<UL ID = oList>
<LI>List Item 1
<LI>List Item 2
<LI>List Item 3
</UL>
<BODY>

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, attribute, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TextNode, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

lastChild, About the W3C Document Object Model


nodeName

nodeName Property

Retrieves the name of a particular type of node.

Syntax

HTML | N/A
Scripting | [ sName = ] object.nodeName

Possible Values

sName String that receives one of the following values.
tagName | Name of the element, also available through the tagName property.
attrName | Name of the attribute, where the node is an attribute object.
#text | Node is a TextNode object.

The property is read-only. The property has no default value.

Example

This example uses the nodeName property to obtain the name of an element.

<SCRIPT>
// returns the element name 'LI' of the list item labeled 'List Item 2'
var sName = oList.childNodes(1).nodeName;
</SCRIPT>
<BODY>
<UL ID = oList>
<LI>List Item 1
<LI>List Item 2
<LI>List Item 3
</UL>
</BODY>

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, attribute, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TextNode, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

nodeType, About the W3C Document Object Model


nodeType

nodeType Property

Retrieves the type of the requested node.

What's New for Microsoft® Internet Explorer 6

This property now applies to the attribute object.

Syntax

HTML | N/A
Scripting | [ iType = ] object.nodeType

Possible Values

iType Integer that receives one of the following values.
1 | Element node.
3 | Text node.

The property is read-only. The property has no default value.

Remarks

If the node represents an attribute retrieved from the attributes collection, the nodeType returns null.

Examples

This example assigns the nodeType property of the body object to a variable.

var iType = document.body.nodeType;

This example assigns the nodeType property of a node created with the createElement method to a variable.

var oNode = document.createElement("B");
document.body.insertBefore(oNode);
var iType = oNode.nodeType;

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, attribute, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TextNode, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

About the W3C Document Object Model


nodeValue

nodeValue Property

Sets or retrieves the value of a node.

Syntax

HTML | N/A
Scripting | object.nodeValue [ = sValue ]

Possible Values

sValue Variant that specifies or receives the node value or null.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

If the object is a TextNode, the nodeValue property returns a string representing the text contained by the node.

Expressions cannot be used to change the nodeValue of a TextNode object.

If the object is an attribute object retrieved from the attributes collection, the nodeValue property returns the value of the attribute if it has been specified, or null otherwise.

If the object is an element, the nodeValue returns null. Use the nodeName property to determine the element name.

Example

This example alters the text of the specified list item by setting the nodeValue property of the text node contained by that list item.

<SCRIPT>
function fnChangeValue(oList, iItem, sValue){
// only perform the operation on lists
if (oList.nodeName != "UL" && oList.nodeName != "OL")
return false;
// only perform the operation if the specified index is
// within the acceptable range of available list items
if (iItem > oList.childNodes.length -1)
return false;
// get a reference to the specified list item
var oLI = oList.childNodes(i);
if (!oLI)
return false;
// get a reference to the text node contained by the list item
var oText = oLI.childNodes(0);
// ensure that the node is a text node
if (oText.nodeType != 3)
return false;
oText.nodeValue = sValue;
return true;
}
</SCRIPT>
<UL ID="oList" onclick="fnChangeValue(this, 0, 'New Node value')">
<LI>Old Node Value
</UL>

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, attribute, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TextNode, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

value, About the W3C Document Object Model


NOHREF Attribute | noHref

NOHREF Attribute | noHref Property

Sets or retrieves whether clicks in this region cause action.

Syntax

HTML | <AREA NOHREF ... >
Scripting | AREA.noHref [ = bHref ]

Possible Values

bHref Boolean that specifies or receives one of the following values.
false | Default. Clicks cause action.
true | Clicks do not cause action.

The property is read/write. The property has a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

AREA


NORESIZE Attribute | noResize

NORESIZE Attribute | noResize Property

Sets or retrieves whether the user can resize the frame.

Syntax

HTML | <FRAME NORESIZE ... >
Scripting | FRAME.noResize [ = bResize ]

Possible Values

bResize Boolean that specifies or receives one of the following values.
false | Default. User can resize the frame.
true | User cannot resize the frame.

The property is read/write. The property has a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

FRAME


NOSHADE Attribute | noShade

NOSHADE Attribute | noShade Property

Sets or retrieves whether the horizontal rule is drawn with 3-D shading.

Syntax

HTML | <HR NOSHADE ... >
Scripting | HR.noShade [ = bShade ]

Possible Values

bShade Boolean that specifies or receives one of the following values.
false | Default. Horizontal rule is drawn with 3-D shading.
true | Horizontal rule is drawn without 3-D shading.

The property is read/write. The property has a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

This property is deprecated in HTML Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

HR


NOWRAP Attribute | noWrap

NOWRAP Attribute | noWrap Property

Sets or retrieves whether the browser automatically performs wordwrap.

Syntax

HTML | <ELEMENT NOWRAP ... >
Scripting | object.noWrap [ = bWrap ]

Possible Values

bWrap Boolean that specifies or receives one of the following values.
false | Default. Browser automatically wraps the text.
true | Browser does not wrap the text.

The property is read/write. The property has a default value of false.

Remarks

Care should be taken when the noWrap property is used in conjunction with the width attribute of table or td elements.

Wordwrap still occurs in a td element that has its WIDTH attribute set to a value smaller than the unwrapped content of the cell, even if the noWrap property is set to true. Therefore, the WIDTH attribute takes precedence over the noWrap property in this scenario.

If a td element has its noWrap set to true and the WIDTH attribute of its table element is set to a smaller dimension than the rendered content of the td element, wordwrap does not occur. In this case, the noWrap setting takes precedence over the WIDTH attribute.

Standards Information

This property is deprecated in HTML Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

BODY, DD, DIV, DT, TD, TH


object

object Property

Retrieves the contained object.

Syntax

HTML | N/A
Scripting | [ oObject = ] object.object

Possible Values

oObject Object that receives the contained object.

The property is read-only. The property has no default value.

Remarks

If the control's object model uses a conflicting namespace, precede the control's property with object to resolve the conflict.

Standards Information

This property is deprecated in HTML Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

OBJECT, APPLET


offscreenBuffering

offscreenBuffering Property

Sets or retrieves whether objects are drawn offscreen before being made visible to the user.

Syntax

window.offscreenBuffering [ = vBuffering ]

Possible Values

vBuffering Boolean that specifies or receives one of the following values.
auto | Default. String that allows Microsoft® Internet Explorer to decide when offscreen buffering is used.
true | Boolean that enables offscreen buffering.
false | Boolean that disables offscreen buffering.

The property is read/write. The property has a default value of auto.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The value of the offscreenBuffering property determines how the current page is drawn. When the property is set to true, objects are added to an offscreen buffer. Once all objects are drawn, the contents of the offscreen buffer are made visible to the user. When the property is set to false, objects are rendered directly to the screen.

By default, Internet Explorer decides when to buffer objects offscreen. In addition, Internet Explorer automatically enables offscreen buffering when Microsoft DirectX®-based components are used on the page.

Standards Information

There is no public standard that applies to this property.

Applies To

window


offsetHeight

offsetHeight Property

Retrieves the height of the object relative to the layout or coordinate parent, as specified by the offsetParent property.

Syntax

HTML | N/A
Scripting | [ iHeight = ] object.offsetHeight

Possible Values

iHeight Integer that receives the height, in pixels.

The property is read-only. The property has no default value.

Remarks

You can determine the location, width, and height of an object by using a combination of the offsetLeft, offsetTop, offsetHeight, and offsetWidth properties. These numeric properties specify the physical coordinates and dimensions of the object relative to the object's offset parent.

For more information about how to access the dimension and location of elements on the page through the Dynamic HTML (DHTML) Document Object Model (DOM), see Measuring Element Dimension and Location.

To comply with the Cascading Style Sheets, Level 1 (CSS1) Non-Microsoft link box model, Microsoft® Internet Explorer 6 and later calculate the height of objects differently when you use the !DOCTYPE declaration in your document to switch on standards-compliant mode. This difference may affect the value of the offsetHeight propety. When standards-compliant mode is switched on, the height property specifies the distance between the top and bottom edges of the bounding box that surrounds the object's content. When standards-compliant mode is not switched on, and with earlier versions of Internet Explorer, the height property also includes the border and padding belts that surround the object's bounding box. For more information, see CSS Enhancements in Internet Explorer 6.

Examples

This example adjusts the size of a clock's readout to fit the current width and height of the document body.

<HTML>
<HEAD>
<TITLE>A Simple Clock</TITLE>
<SCRIPT LANGUAGE="JScript">
function startClock()
{
window.setInterval("Clock_Tick()", 1000);
Clock_Tick();
}
var iRatio = 4;
function Clock_Tick()
{
var dToday = Date();
var sTime = dToday.substring(11,19);
var iDocHeight = document.body.offsetHeight;
var iDocWidth = document.body.offsetWidth;
if ((iDocHeight*iRatio)>iDocWidth)
iDocHeight = iDocWidth / iRatio;
document.all.MyTime.innerText = sTime;
document.all.MyTime.style.fontSize = iDocHeight;
}
</SCRIPT>
</HEAD>
<BODY onload="startClock()">
<P ID="MyTime">&nbsp;</P>
</BODY>
</HTML>

This example uses the offsetHeight property and the clientHeight property to show different ways of measuring the object size.

<DIV ID=oDiv STYLE="overflow:scroll; width:200; height:100"> . . . </DIV>
<BUTTON onclick="alert(oDiv.clientHeight)">client height</BUTTON>
<BUTTON onclick="alert(oDiv.offsetHeight)">offset height</BUTTON>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


offsetLeft

offsetLeft Property

Retrieves the calculated left position of the object relative to the layout or coordinate parent, as specified by the offsetParent property.

Syntax

HTML | N/A
Scripting | [ iCoord = ] object.offsetLeft

Possible Values

iCoord Integer that receives the left position, in pixels.

The property is read-only. The property has no default value.

Remarks

You can determine the location, width, and height of an object by using a combination of the offsetLeft, offsetTop, offsetHeight, and offsetWidth properties. These numeric properties specify the physical coordinates and dimensions of the object relative to the object's offset parent.

For more information about how to access the dimension and location of objects on the page through the Dynamic HTML (DHTML) Document Object Model (DOM), see Measuring Element Dimension and Location.

Example

This example uses the offsetLeft property to determine whether an object is in the user's view.

<SCRIPT>
function isinView(oObject)
{
var oParent = oObject.offsetParent;
var iOffsetLeft = oDiv.offsetLeft;
var iClientWidth = oParent.clientWidth;
if (iOffsetLeft > iClientWidth) {
alert("Scroll right for the message.");
}
}
</SCRIPT>
:
<BUTTON onclick="isinView(this)">Click here</BUTTON>
:
<DIV ID=oDiv STYLE="position:absolute; top:200; left:1200;">
:
</DIV>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TextRange, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

boundingHeight, boundingLeft, boundingTop, boundingWidth


offsetParent

offsetParent Property

Retrieves a reference to the container object that defines the offsetTop and offsetLeft properties of the object.

Syntax

HTML | N/A
Scripting | [ oElement = ] object.offsetParent

Possible Values

oElement Object that receives the container object.

The property is read-only. The property has no default value.

Remarks

Most of the time the offsetParent property returns the body object.

Note In Microsoft® Internet Explorer 5, the offsetParent property returns the table object for the td object; in Internet Explorer 4.0 it returns the tr object. You can use the parentElement property to retrieve the immediate container of the table cell.

Example

This example shows how to determine the position of a td object. Although the td object appears to the far right in the document, its position is close to the x-axis and y-axis, because its offset parent is a table object rather than the document body. For Internet Explorer 4.0, this same example returns a position of 0,0 because the offset parent is the table row.

<HTML>
<HEAD>
<TITLE>Elements: Positions</TITLE>
<SCRIPT LANGUAGE="JScript">
function showPosition()
{
var oElement = document.all.oCell;
alert("The TD element is at (" + oElement.offsetLeft +
"," + oElement.offsetTop + ")\n" + "The offset parent is "
+ oElement.offsetParent.tagName );
}
</SCRIPT>
</HEAD>
<BODY onload="showPosition()">
<P>This document contains a right-aligned table.
<TABLE BORDER=1 ALIGN=right>
<TR>
<TD ID=oCell>This is a small table.</TD>
</TR>
</TABLE>
</BODY>
</HTML>

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

Measuring Element Dimension and Location


offsetTop

offsetTop Property

Retrieves the calculated top position of the object relative to the layout or coordinate parent, as specified by the offsetParent property.

Syntax

HTML | N/A
Scripting | [ iCoord = ] object.offsetTop

Possible Values

iCoord Integer that receives the top position, in pixels.

The property is read-only. The property has no default value.

Remarks

You can determine the location, width, and height of an object by using a combination of the offsetLeft, offsetTop, offsetHeight, and offsetWidth properties. These numeric properties specify the physical coordinates and dimensions of the object relative to the object's offset parent.

For more information about how to access the dimension and location of objects on the page through the Dynamic HTML (DHTML) Document Object Model (DOM), see Measuring Element Dimension and Location.

Example

This example uses the offsetTop property to determine whether an object is in the user's view.

<HTML>
<HEAD>
<SCRIPT>
function isinView(oObject)
{
var oParent = oObject.offsetParent;
var iOffsetTop = oObject.offsetTop;
var iClientHeight = oParent.clientHeight;
if (iOffsetTop > iClientHeight) {
alert("Special Text not in view. Expand Window to put Text in View.");
}
else{
alert("Special Text in View!");
}
}
</SCRIPT>
</HEAD>
<BODY onload="window.resizeTo(430,250)" onclick="isinView(oID_1)"  SCROLL=NO>
<DIV STYLE="position:absolute;left:20px">Click anywhere in window to see if special text is in
view.</DIV>
<DIV id="oID_1" STYLE="position:absolute; left:50px;top:300px;width:280px;color:lightGreen;
font-size:large;font-weight:bold;background-color:hotPink;font-family:Arial">
Here's some special text
</DIV>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TextRange, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

boundingHeight, boundingLeft, boundingTop, boundingWidth


offsetWidth

offsetWidth Property

Retrieves the width of the object relative to the layout or coordinate parent, as specified by the offsetParent property.

Syntax

HTML | N/A
Scripting | [ iWidth = ] object.offsetWidth

Possible Values

iWidth Integer that receives the width, in pixels.

The property is read-only. The property has no default value.

Remarks

You can determine the location, width, and height of an object by using a combination of the offsetLeft, offsetTop, offsetHeight, and offsetWidth properties. These numeric properties specify the physical coordinates and dimensions of the object relative to the object's offset parent.

For more information about how to access the dimension and location of objects on the page through the Dynamic HTML (DHTML) Document Object Model (DOM), see Measuring Element Dimension and Location.

To comply with the Cascading Style Sheets, Level 1 (CSS1) Non-Microsoft link box model, Microsoft® Internet Explorer 6 and later calculate the height of objects differently when you use the !DOCTYPE declaration in your document to switch on standards-compliant mode. This difference may affect the value of the offsetWidth propety. When standards-compliant mode is switched on, the width property specifies the distance between the left and right edges of the bounding box that surrounds the object's content. When standards-compliant mode is not switched on, and with earlier versions of Internet Explorer, the width property also includes the border and padding belts that surround the object's bounding box. For more information, see CSS Enhancements in Internet Explorer 6.

Examples

This example adjusts the size of a clock's readout to fit the current width and height of the document.

<HTML>
<HEAD><TITLE>A Simple Clock</TITLE>
<SCRIPT LANGUAGE="JScript">
function startClock()
{
window.setInterval("Clock_Tick()", 1000);
Clock_Tick();
}
var ratio = 4;
function Clock_Tick()
{
var s = Date();
var t = s.substring(11,19);
var doc_height = document.body.offsetHeight;
var doc_width = document.body.offsetWidth;
if ((doc_height*ratio)>doc_width)
doc_height = doc_width / ratio;
document.all.MyTime.innerText = t;
document.all.MyTime.style.fontSize = doc_height;
}
</SCRIPT>
<BODY onload="startClock()">
<P ID="MyTime">&nbsp;</P>
</BODY>
</HTML>

This example uses the offsetWidth property and the clientWidth property to show the different ways of measuring the object size.

<DIV ID=oDiv STYLE="overflow:scroll; width:200; height:100"> . . . </DIV>
<BUTTON onclick="alert(oDiv.clientWidth)">client width</BUTTON>
<BUTTON onclick="alert(oDiv.offsetWidth)">offset width</BUTTON>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


offsetX

offsetX Property

Sets or retrieves the x-coordinate of the mouse pointer's position relative to the object firing the event.

Syntax

event.offsetX [ = iCoord ]

Possible Values

iCoord Integer that specifies or receives the x-coordinate, in pixels.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The property is read-only in Microsoft® Internet Explorer 4.0, and read/write in Internet Explorer 5 and later.

The coordinates match the offsetLeft and offsetTop properties of the object. Use offsetParent to find the container object that defines this coordinate system.

Example

This example uses the offsetX property to determine the mouse position relative to the container that fired the event, and displays the mouse coordinates in the status bar at the bottom of the window.

<SCRIPT>
function offsetCoords()
{
var offsetInfo = ""
offsetInfo = "The x coordinate is: " + window.event.offsetX + "\r"
offsetInfo += "The y coordinate is: " + window.event.offsetY + "\r"
alert(offsetInfo);
}
</SCRIPT>
</HEAD>
<BODY onmousemove="window.status = 'X=' + window.event.offsetX +
' Y=' + window.event.offsetY" ondblclick="offsetCoords()">
:
<DIV onclick="offsetCoords();" . . . position:absolute; top:200;
left:300;">
:
</DIV>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

event


offsetY

offsetY Property

Sets or retrieves the y-coordinate of the mouse pointer's position relative to the object firing the event.

Syntax

event.offsetY [ = iCoord ]

Possible Values

iCoord Integer that specifies or receives the y-coordinate, in pixels.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The property is read-only in Microsoft® Internet Explorer 4.0, and read/write in Internet Explorer 5 and later.

The coordinates match the offsetLeft and offsetTop properties of the object. Use offsetParent to find the container object that defines this coordinate system.

Example

This example uses the offsetY property to determine the mouse position relative to the container that fired the event, and displays the mouse coordinates in the status bar at the bottom of the window.

<SCRIPT>
function offsetCoords()
{
var offsetInfo = ""
offsetInfo = "The x coordinate is: " + window.event.offsetX + "\r"
offsetInfo += "The y coordinate is: " + window.event.offsetY + "\r"
alert(offsetInfo);
}
</SCRIPT>
</HEAD>
<BODY onmousemove="window.status = 'X=' + window.event.offsetX +
' Y=' + window.event.offsetY"
ondblclick="offsetCoords()">
:
<DIV onclick="offsetCoords();" . . . position:absolute; top:200;
left:300;">
:
</DIV>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

event


onLine

onLine Property

Retrieves a value indicating whether the system is in global offline mode.

Syntax

[ bOnLine = ] object.onLine

Possible Values

bOnLine Boolean that receives one of the following values.
true | System is not in global offline mode.
false | System is in global offline mode.

The property is read-only. The property has no default value.

Remarks

The user can modify the global offline state by choosing Work Offline from the File menu in Microsoft® Internet Explorer version 4.0 or later. This property does not indicate whether the system is connected to the network.

Standards Information

There is no public standard that applies to this property.

Applies To

clientInformation, navigator


opener

opener Property

Sets or retrieves a reference to the window that created the current window.

Syntax

window.opener [ = sWindow ]

Possible Values

sWindow Variant that specifies or receives the window reference.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The opener property is available only for frame and iframe pages.

Standards Information

There is no public standard that applies to this property.

Applies To

window


openState

openState Property

Retrieves an integer that indicates the open state of the Media Bar player.

Syntax

XML | N/A
Scripting | [ pos = ] mediaBar.openState

Possible Values

pos Integer that receives the open state of the player. Can have one of the following possible values.
0 | Undefined.
1 | The player is about to load a new playlist.
2 | The player is locating the playlist.
3 | The player is connecting to the server that holds a playlist.
4 | The player is loading a playlist.
5 | The player is opening a playlist.
6 | The player's playlist is open.
7 | The player's playlist has changed.
8 | The player is about to load new media.
9 | The player is locating the media file.
10 | The player is connecting to the server holding the media file.
11 | The player is loading a media file.
12 | The player is opening a media file.
13 | The media file is open.
14 | The player is starting codec acquisition.
15 | The player is ending codec acquisition.
16 | The player is starting license acquisition.
17 | The player is ending license acquisition.
18 | The player is starting individualization.
19 | The player is ending individualization.
20 | The player is waiting for media.
21 | The player is opening a URL whose type is not known.

The property is read-only. The property has no default value.

Remarks

Developers should keep in mind that openState and playState return integers, without descriptive information about the state.

Because the mediaBar behavior is an implementation of the Microsoft Windows Media® Player, some Media Bar members are essentially the same as those used by the Windows Media Player 7 and Windows Media Player 8, notably the onopenstatechange and onplaystatechange events and the openState, playState, and enabled properties. The Media Bar?B>openState and playState properties, in fact, are passed to the behavior from corresponding Windows Media Player properties for Windows Media Player 7 and Windows Media Player 8. Later versions of the Windows Media Player might provide a richer set of values for openState and playState. For more information about the Windows Media Player object model, see the Player object reference and the Windows Media Player 7.1 SDK.

For an example of scripting with the openState and playState properties, see the onopenstatechange and onplaystatechange events.

Applies To

mediaBar

See Also

onopenstatechange, onplaystatechange


outerHTML

outerHTML Property

Sets or retrieves the object and its content in HTML.

Syntax

HTML | N/A
Scripting | object.outerHTML [ = sHTML ]

Possible Values

sHTML String that specifies or receives content and HTML tags.

The property is read/write for all objects except the following, for which it is read-only: CAPTION, COL, COLGROUP, FRAMESET, HTML, TBODY, TD, TFOOT, TH, THEAD, TR. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The property can be any valid string containing a combination of text and tags.

When the property is set, the given string completely replaces the object, including its start and end tags. If the string contains HTML tags, the string is parsed and formatted as it is placed into the document.

This property is accessible at run time as of Microsoft® Internet Explorer 5. Removing elements at run time, before the closing tag has been parsed, can prevent other areas of the document from rendering.

You can set this property only after the onload event fires on the window. When dynamically creating a tag using TextRange, innerHTML, or outerHTML, use Microsoft JScript® to create new events to handle the newly formed tags. Microsoft Visual Basic® Scripting Edition (VBScript) is not supported.

You can change the value of the title element using the document.TITLE property.

To change the contents of the table, tFoot, tHead, and tr elements, use the table object model. For example, use the rowIndex property or the rows collection to retrieve a reference to a specific table row. You can add or delete rows using the insertRow and deleteRow methods. To retrieve a reference to a specific cell, use the cellIndex property or the cells collection. You can add or delete rows using the insertCell and deleteCell methods. To change the content of a particular cell, use the innerHTML property.

Example

This example uses the outerHTML property to copy an object, accompanying attributes, and children to a list when a user clicks one of the objects.

<SCRIPT>
function fnCopyHTML(){
var oWorkItem = event.srcElement;
if((oWorkItem.tagName != "UL") && (oWorkItem.tagName != "LI")){
alert("Adding " + oWorkItem.outerHTML + " to the list.");
oScratch.innerHTML += oWorkItem.outerHTML + "<BR>";
}
}
</SCRIPT>
<UL onclick = "fnCopyHTML()">
<LI><B>Bold text</B>
<LI><I>Italic text</I>
<LI><U>Underlined text</U>
<LI><STRIKE>Strikeout text</STRIKE>
</UL>
<P>
<DIV ID = "oScratch" >
</DIV>

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BGSOUND, BIG, BLOCKQUOTE, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAMESET, hn, HR, HTML Comment, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, WBR, XMP

See Also

insertAdjacentHTML


outerText

outerText Property

Sets or retrieves the text of the object.

Syntax

HTML | N/A
Scripting | object.outerText [ = sTxt ]

Possible Values

sTxt String that specifies or receives the text.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The outerText property is read-only on the html, tBody, td, tFoot, th, tHead, and tr objects.

When this property is set, the given string completely replaces the original text in the object.

You can set this property only after the onload event fires on the window. When dynamically creating a tag using TextRange, innerHTML, or outerHTML, use Microsoft® JScript® to create new events to handle the newly formed tags. Microsoft Visual Basic® Scripting Edition (VBScript) is not supported.

You can change the value of the title element using the document.TITLE property.

To change the contents of the table, tFoot, tHead, and tr elements, use the table object model. For example, use the rowIndex property or the rows collection to retrieve a reference to a specific table row. You can add or delete rows using the insertRow and deleteRow methods. To retrieve a reference to a specific cell, use the cellIndex property or the cells collection. You can add or delete rows using the insertCell and deleteCell methods. To change the content of a particular cell, use the innerHTML property.

Example

This example uses the outerText property to replace an object's content; the object itself also is replaced.

<DIV ID=oDiv>
<P ID=oPara>Here's the text that will change.</P>
</DIV>
:
<BUTTON onclick="oPara.outerText='WOW!
It changed!'">Change text</BUTTON>
<BUTTON onclick="oDiv.innerHTML='<P ID=oPara>
And back again</P>'">Reset</BUTTON>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BGSOUND, BIG, BLOCKQUOTE, BR, BUTTON, CENTER, CITE, CODE, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, WBR, XMP

See Also

insertAdjacentText


overflow Attribute | overflow

overflow Attribute | overflow Property

Sets or retrieves a value indicating how to manage the content of the object when the content exceeds the height or width of the object.

What's New for Microsoft® Internet Explorer 6

When you use the !DOCTYPE declaration to specify standards-compliant mode, this property applies to the html object.

Syntax

HTML | { overflow : sOverflow }
Scripting | object.style.overflow [ = sOverflow ]

Possible Values

sOverflow String that specifies or receives one of the following values.
visible | Default. Content is not clipped and scroll bars are not added.
scroll | Content is clipped and scroll bars are added, even if the content does not exceed the dimensions of the object.
hidden | Content that exceeds the dimensions of the object is not shown.
auto | Content is clipped and scrolling is added only when necessary.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of visible for all objects with the exception of TEXTAREA which has a default value of auto. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The default value for the body element is auto.

Setting the overflow property to hidden on a textArea object hides its scroll bars.

Setting the overflow property to visible causes the content to clip to the size of the window or frame that contains the object.

This property is available on the Macintosh platform as of Internet Explorer 5.

With Internet Explorer 6 and later, when you use the !DOCTYPE declaration to specify standards-compliant mode, this property applies to the html object.

Examples

The following examples use the overflow attribute and the overflow property to manage content of the object.

This example uses an inline style to automatically adjust itself to overflowing content when the page is loaded.

<DIV ID=oDiv STYLE="width: 200px; height: 200px; overflow: auto;">
:
</DIV>

This example allows the user to dynamically change the overflow property of a div object by choosing one of the possible overflow values from a select object.

<SCRIPT>
function SetOverflow(o, sValue)
{
o.style.overflow = sValue;
}
</SCRIPT>
<DIV ID="div1"
STYLE="font-size:18pt;background-color:yellow;height:50px;width:75px">
The quick brown fox jumped over the lazy dog.
</DIV>
<SELECT onchange="SetOverflow(div1,
this.options[this.selectedIndex].text)">
<OPTION SELECTED>visible
<OPTION>scroll
<OPTION>hidden
<OPTION>auto
</SELECT>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 2 (CSS2) Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, HTML, hn, I, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MENU, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TEXTAREA, TT, U, UL, VAR, XMP

See Also

CSS Enhancements in Internet Explorer 6, overflowX, overflowY, position


overflow-x Attribute | overflowX

overflow-x Attribute | overflowX Property

Sets or retrieves how to manage the content of the object when the content exceeds the width of the object.

What's New for Microsoft® Internet Explorer 6

When you use the !DOCTYPE declaration to specify standards-compliant mode, this property applies to the html object.

Syntax

HTML | { overflow-x : sOverflow }
Scripting | object.style.overflowX [ = sOverflow ]

Possible Values

sOverflow String that specifies or receives one of the following values.
visible | Default. Content is not clipped and scroll bars are not added. Elements are clipped to the size of the containing window or frame.
scroll | Content is clipped and scroll bars are added, even if the content does not exceed the dimensions of the object.
hidden | Content that exceeds the dimensions of the object is not shown.
auto | Content is clipped and scrolling is added only when necessary.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of visible for all objects with the exception of TEXTAREA which has a default value of hidden. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

With Internet Explorer 6 and later, when you use the !DOCTYPE declaration to specify standards-compliant mode, this property applies to the html object.

Standards Information

This property is part of a proposed addition to Cascading Style Sheets (CSS) Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HTML, I, IFRAME, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MENU, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TEXTAREA, TT, U, UL, VAR, XMP

See Also

CSS Enhancements in Internet Explorer 6, overflow, overflowY, position


overflow-y Attribute | overflowY

overflow-y Attribute | overflowY Property

Sets or retrieves how to manage the content of the object when the content exceeds the height of the object.

What's New for Microsoft® Internet Explorer 6

When you use the !DOCTYPE declaration to specify standards-compliant mode, this property applies to the html object.

Syntax

HTML | { overflow-y : sOverflow }
Scripting | object.style.overflowY [ = sOverflow ]

Possible Values

sOverflow String that specifies or receives one of the following values.
visible | Default. Content is not clipped and scroll bars are not added. Elements are clipped to the size of the containing window or frame.
scroll | Content is clipped and scroll bars are added, even if the content does not exceed the dimensions of the object.
hidden | Content that exceeds the dimensions of the object is not shown.
auto | Content is clipped and scrolling is added only when necessary.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of visible for all objects with the exception of TEXTAREA which has a default value of auto. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

With Internet Explorer 6 and later, when you use the !DOCTYPE declaration to specify standards-compliant mode, this property applies to the html object.

Standards Information

This property is part of a proposed addition to Cascading Style Sheets (CSS) Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HTML, I, IFRAME, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MENU, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TEXTAREA, TT, U, UL, VAR, XMP

See Also

CSS Enhancements in Internet Explorer 6, overflow, overflowX, position


ownerDocument

ownerDocument Property

Retrieves the document object associated with the node.

Syntax

HTML | N/A
Scripting | [ oDoc = ] object.ownerDocument

Possible Values

oDoc Object that receives the document object.

The property is read-only. The property has no default value.

Remarks

The ownerDocument is the document object that is used to create new nodes.

This property returns null when the node is a document.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, attribute, B, BASE, BASEFONT, BDO, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP


owningElement

owningElement Property

Retrieves the next object in the HTML hierarchy.

Syntax

[ oElement = ] styleSheet.owningElement

Possible Values

oElement Object that receives the next element in the hierarchy.

The property is read-only. The property has no default value.

Remarks

The owningElement property usually returns the style or link object that defined the style sheet.

Standards Information

There is no public standard that applies to this property.

Applies To

styleSheet


padding Attribute | padding

padding Attribute | padding Property

Sets or retrieves the amount of space to insert between the object and its margin or, if there is a border, between the object and its border.

Syntax

HTML | { padding : sPadding }
Scripting | object.style.padding [ = sPadding ]

Possible Values

sPadding String that specifies or receives one of the following values.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.
percentage | Integer, followed by a %. The value is a percentage of the width of the parent object.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of 0 for all objects with the following exceptions:
TD | 1
TH | 1
The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This is a composite property that specifies up to four padding values, in the following order: top, right, bottom, left. If one width value is specified, it is used for all four sides. If two width values are specified, the first is used for the top and bottom borders, and the second is used for left and right borders. If three width values are specified, they are used for top, right/left, and bottom borders, respectively. Negative values are not allowed.

As of Microsoft® Internet Explorer 5.5, this property applies to inline elements. With earlier versions of Internet Explorer, inline elements must have an absolute?A HREF="../properties/position.html">position or layout to use this property. Element layout is set by providing a value for the height property or the width property.

Examples

The following examples use the padding attribute and the padding property to change the padding of the object.

This example uses td as a selector and padding1 as a class in an embedded style sheet to set the padding for the td object.

<STYLE>
TD { padding:3mm 8mm }
.padding1  { padding:1cm }
</STYLE>
</HEAD>
<BODY>
<TABLE BORDER>
<TD onmouseover="this.className='padding1'"
onmouseout="this.className=''" ALIGN=middle>
<IMG src="sphere.jpg">
</TD>
</TABLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to set the cell's top and bottom padding to 0.5 centimeters and its left and right padding to 0.2 centimeters when an onmouseover event occurs.

<TD onmouseover="this.style.padding='0.5cm 0.2cm'"
onmouseout="this.style.padding=''" ALIGN=middle>
<IMG src="sphere.jpeg">
</TD>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, nextID, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

CSS Enhancements in Internet Explorer 6


padding-bottom Attribute | paddingBottom

padding-bottom Attribute | paddingBottom Property

Sets or retrieves the amount of space to insert between the bottom border of the object and the content.

Syntax

HTML | { padding-bottom : sPadding }
Scripting | object.style.paddingBottom [ = sPadding ]

Possible Values

sPadding Variant that specifies or receives one of the following values.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units Reference.
percentage | Integer, followed by a percent sign (%). The value is a percentage of the width of the parent object.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of 0 for all objects with the following exceptions:
TD | 1
TH | 1
The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

As of Microsoft® Internet Explorer 5.5, this property applies to inline elements. With earlier versions of Internet Explorer, inline elements must have an absolute?A HREF="../properties/position.html">position or layout to use this property. Element layout is set by providing a value for the height property or the width property.

Negative values are not allowed.

Examples

The following examples use the padding-bottom attribute and the paddingBottom property to change the padding of the object.

This example uses td as a selector in an embedded style sheet to set the bottom padding for all table cells to 1 centimeter.

<STYLE>
TD { padding-bottom:1cm }
</STYLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to set the cell's bottom padding to 1 centimeter when an onmouseover event occurs.

<TD onmouseover="this.style.paddingBottom='1cm'"
onmouseout="this.style.paddingBottom=''">
<IMG src="sphere.jpg">
</TD>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, nextID, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

CSS Enhancements in Internet Explorer 6


padding-left Attribute | paddingLeft

padding-left Attribute | paddingLeft Property

Sets or retrieves the amount of space to insert between the left border of the object and the content.

Syntax

HTML | { padding-left : sPadding }
Scripting | object.style.paddingLeft [ = sPadding ]

Possible Values

sPadding Variant that specifies or receives one of the following values.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units Reference.
percentage | Integer, followed by a percent sign (%). The value is a percentage of the width of the parent object.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of 0 for all objects with the following exceptions:
TD | 1
TH | 1
The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

As of Microsoft® Internet Explorer 5.5, this property applies to inline elements. With earlier versions of Internet Explorer, inline elements must have an absolute?A HREF="../properties/position.html">position or layout to use this property. Element layout is set by providing a value for the height property or the width property.

Negative values are not allowed.

Examples

The following examples use the padding-left attribute and the paddingLeft property to change the padding of the object.

This example uses td as a selector in an embedded style sheet to set the left padding for all table cells to 1 centimeter.

<STYLE>
TD { padding-left:1cm }
</STYLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to set the cell's left padding to 1 centimeter when an onmouseover event occurs.

<TD onmouseover="this.style.paddingLeft='1cm'"
onmouseout="this.style.paddingLeft=''">
<IMG src="sphere.jpg">
</TD>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, nextID, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

CSS Enhancements in Internet Explorer 6


padding-right Attribute | paddingRight

padding-right Attribute | paddingRight Property

Sets or retrieves the amount of space to insert between the right border of the object and the content.

Syntax

HTML | { padding-right : sPadding }
Scripting | object.style.paddingRight [ = sPadding ]

Possible Values

sPadding Variant that specifies or receives one of the following values.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units Reference.
percentage | Integer, followed by a percent sign (%). The value is a percentage of the width of the parent object.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of 0 for all objects with the following exceptions:
TD | 1
TH | 1
The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

As of Microsoft® Internet Explorer 5.5, this property applies to inline elements. With earlier versions of Internet Explorer, inline elements must have an absolute?A HREF="../properties/position.html">position or layout to use this property. Element layout is set by providing a value for the height property or the width property.

Negative values are not allowed.

Examples

The following examples use the padding-right attribute and the paddingRight property to change the padding of the object.

This example uses td as a selector in an embedded style sheet to set the right padding for all table cells to 1 centimeter.

<STYLE>
TD { padding-right:1cm }
</STYLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to set the cell's right padding to 1 centimeter when an onmouseover event occurs.

<TD onmouseover="this.style.paddingRight='1cm'"
onmouseout="this.style.paddingRight=''">
<IMG src="sphere.jpg">
</TD>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, nextID, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

CSS Enhancements in Internet Explorer 6


padding-top Attribute | paddingTop

padding-top Attribute | paddingTop Property

Sets or retrieves the amount of space to insert between the top border of the object and the content.

Syntax

HTML | { padding-top : sPadding }
Scripting | object.style.paddingTop [ = sPadding ]

Possible Values

sPadding Variant that specifies or receives one of the following values.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units Reference.
percentage | Integer, followed by a percent sign (%). The value is a percentage of the width of the parent object.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of 0 for all objects with the following exceptions:
TD | 1
TH | 1
The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

As of Microsoft® Internet Explorer 5.5, this property applies to inline elements. With earlier versions of Internet Explorer, inline elements must have an absolute?A HREF="../properties/position.html">position or layout to use this property. Element layout is set by providing a value for the height property or the width property.

Negative values are not allowed.

Examples

The following examples use the padding-top attribute and the paddingTop property to change the padding of the object.

This example uses td as a selector in an embedded style sheet to set the top padding for all table cells to 1 centimeter.

<STYLE>
TD { padding-top:1cm }
</STYLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to set the cell's top padding to 1 centimeter when an onmouseover event occurs.

<TD onmouseover="this.style.paddingTop='1cm'"
onmouseout="this.style.paddingTop=''">
<IMG src="sphere.jpg">
</TD>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, nextID, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP


page-break-after Attribute | pageBreakAfter

page-break-after Attribute | pageBreakAfter Property

Sets or retrieves a value indicating whether a page break occurs after the object.

Syntax

HTML | { page-break-after : sBreak }
Scripting | object.style.pageBreakAfter [ = sBreak ]

Possible Values

sBreak String that specifies or receives one of the following values.
always | Always insert a page break after the object.
auto | Default. Neither force nor forbid a page break after the object.
empty string | Do not insert a page break.
left | Currently works the same as always.
right | Currently works the same as always.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of auto. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This property applies when printing the document. This property does not apply to the BR or HR elements.

If there are conflicts between this property and the pageBreakBefore value on the object previously displayed in the browser, the value that results in the largest number of page breaks is used.

Page breaks are not permitted inside positioned objects.

Examples

The following examples use the page-break-after attribute and the pageBreakAfter property to start printing on a new page.

This example uses the p element as a selector in an embedded style sheet to break the page at the end of all paragraphs.

<STYLE>
P { page-break-after: always }
</STYLE>
</HEAD>
<BODY>
<P>
:
</P>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses a call to a function to turn off the page break after the object that has an ID value of idParagraph.

<SCRIPT>
function offBreak()
{
idParagraph.style.pageBreakAfter="";
}
</SCRIPT>
</HEAD>
<BODY>
<BUTTON onClick="offBreak()">Turn Off Break</BUTTON>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 2 (CSS2) Non-Microsoft link.

Applies To

BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, currentStyle, DD, DIR, DIV, DL, DT, FIELDSET, FORM, hn, ISINDEX, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, style, TABLE, TBODY, TFOOT, TH, THEAD, TR, UL, XMP


page-break-before Attribute | pageBreakBefore

page-break-before Attribute | pageBreakBefore Property

Sets or retrieves a string indicating whether a page break occurs before the object.

Syntax

HTML | { page-break-before : sBreak }
Scripting | object.style.pageBreakBefore [ = sBreak ]

Possible Values

sBreak String that specifies or receives one of the following values.
always | Always insert a page break before the object.
auto | Default. Neither force nor forbid a page break before the object.
empty string | Do not insert a page break.
left | Currently works the same as always.
right | Currently works the same as always.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of auto. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This property applies when printing the document. This property does not apply to the BR or HR elements.

If there are conflicts between the value of this property and the pageBreakAfter property of the object previously displayed in the browser, the value that results in the largest number of page breaks is used.

Page breaks are not permitted inside positioned objects.

Examples

The following examples use the page-break-before attribute and the pageBreakBefore property to start printing on a new page.

This example uses the H3 element as a selector in an embedded style sheet to break the page before all H3 headings.

<STYLE>
H3 { page-break-before: always }
</STYLE>
</HEAD>
<BODY>
<H3>Start New Section on New Page</H3>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses a call to a function to turn off the page break before the object that has an ID value of idParagraph. When the page is printed, a page break occurs before the first paragraph unless the user clicks the Turn Off Break button.

<SCRIPT>
function offBreak()
{
Paragraph.style.pageBreakBefore="";
}
</SCRIPT>
</HEAD>
<BODY>
<BUTTON onClick="offBreak()">Turn Off Break</BUTTON>
<P ID="Paragraph" STYLE="page-break-before:always">
:
</P>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 2 (CSS2) Non-Microsoft link.

Applies To

ADDRESS, BLOCKQUOTE, BODY, CAPTION, CENTER, currentStyle, DD, DIV, DL, DT, FIELDSET, FORM, hn, ISINDEX, LI, LISTING, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, style, TABLE, TBODY, TD, TFOOT, TH, THEAD, TR, UL, XMP


palette

palette Property

Retrieves the palette used for the embedded document.

Syntax

HTML | N/A
Scripting | [ sPalette = ] EMBED.palette

Possible Values

sPalette String that receives the palette.

The property is read-only. The property has no default value.

Standards Information

There is no public standard that applies to this property.

Applies To

EMBED


parent

parent Property

Retrieves the parent of the window in the object hierarchy.

Syntax

[ oElement = ] window.parent

Possible Values

oElement Object that receives the parent.

The property is read-only. The property has no default value.

Remarks

For a document, the parent is the containing window. For a window defined using frame, the parent is the window that contains the corresponding frameSet definition.

Standards Information

There is no public standard that applies to this property.

Applies To

window


parentElement

parentElement Property

Retrieves the parent object in the object hierarchy.

Syntax

HTML | N/A
Scripting | [ oElement = ] object.parentElement

Possible Values

oElement Object that receives the parent.

The property is read-only. The property has no default value.

Remarks

The topmost object returns null as its parent.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP


parentNode

parentNode Property

Retrieves the parent object in the document hierarchy.

What's New for Microsoft® Internet Explorer 6

This property now applies to the attribute object.

Syntax

HTML | N/A
Scripting | [ oElement = ] object.parentNode

Possible Values

oElement Object that receives the parent node.

The property is read-only. The property has no default value.

Remarks

The topmost object returns null as its parent.

Examples

This example assigns the parentNode of a span object to a variable.

<SCRIPT>
var oParent = oSpan.parentNode;
</SCRIPt>
:
<BODY>
<SPAN ID=oSpan>A Span</SPAN>
</BODY>

This example assigns the parentNode of a node, created with the createElement method, to a variable.

var oNode = document.createElement("B");
document.body.insertBefore(oNode);
var sType = oNode.parentNodes;

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, attribute, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TextNode, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

About the W3C Document Object Model


parentStyleSheet

parentStyleSheet Property

Retrieves the style sheet that imported the current style sheets.

Syntax

[ sStyleSheet = ] styleSheet.parentStyleSheet

Possible Values

sStyleSheet Object that receives the file name of the style sheet.

The property is read-only. The property has no default value.

Standards Information

There is no public standard that applies to this property.

Applies To

styleSheet


parentTextEdit

parentTextEdit Property

Retrieves the container object in the document hierarchy that can be used to create a TextRange containing the original object.

Syntax

HTML | N/A
Scripting | [ oObject = ] object.parentTextEdit

Possible Values

oObject Object that receives the supported text ranges.

The property is read-only. The property has no default value.

Remarks

The property is an object if the parent exists; otherwise, it is null. For example, the parentTextEdit property of the body is null.

Example

This example retrieves the parent object, if needed, creates the text range, moves to the original object, and selects the first word in the object.

<SCRIPT LANGUAGE="JScript">
function selectWord()
{
var oSource = window.event.srcElement ;
if (!oSource.isTextEdit)
oSource = oSource.parentTextEdit;
if (oSource != null) {
var oTextRange = oSource.createTextRange();
oTextRange.moveToElementText(window.event.srcElement);
oTextRange.collapse();
oTextRange.expand("word");
oTextRange.select();
}
}
</SCRIPT>

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, nextID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP


parentWindow

parentWindow Property

Retrieves a reference to the container object of the window.

Syntax

[ oParent = ] document.parentWindow

Possible Values

oParent Object that receives the parent window object.

The property is read-only. The property has no default value.

Standards Information

There is no public standard that applies to this property.

Applies To

document


pathname

pathname Property

Sets or retrieves the file name or path specified by the object.

Syntax

HTML | N/A
Scripting | object.pathname [ = sName ]

Possible Values

sName String that specifies or receives the file name or path.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

There is no public standard that applies to this property.

Applies To

A, AREA, location


pixelBottom

pixelBottom Property

Sets or retrieves the bottom position of the object.

Syntax

HTML | N/A
Scripting | object.style.pixelBottom [ = iBottom ]

Possible Values

iBottom Integer that specifies or receives the bottom position in pixels.

The property is read/write. The property has no default value. The Microsoft Cascading Style Sheets (CSS) extension is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The pixelBottom property reflects the value of the Cascading Style Sheets (CSS)?A HREF="../properties/bottom_1.html">bottom attribute.

Unlike the bottom property, the pixelBottom value is an integer, not a string, and is always interpreted in pixels.

For more information about how to access the dimension and location of an object on the page through the Dynamic HTML (DHTML) Document Object Model (DOM), see Measuring Element Dimension and Location.

Example

This example uses the pixelBottom property to set a positioned div to the bottom of the client area.

oDiv.style.pixelBottom = 0;

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MARQUEE, MENU, META, nextID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

posBottom


pixelHeight

pixelHeight Property

Sets or retrieves the height of the object.

Syntax

HTML | N/A
Scripting | object.style.pixelHeight [ = iHeight ]

Possible Values

iHeight Integer that specifies or receives the height, in pixels.

The property is read/write. The property has no default value. The Microsoft Cascading Style Sheets (CSS) extension is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Setting this property changes the value of the height without changing the units designator. Unlike the height property, this property's value is an integer, not a string, and is always interpreted in pixels.

For more information about how to access the dimension and location of objects on the page through the Dynamic HTML (DHTML) Document Object Model (DOM), see Measuring Element Dimension and Location.

Example

This example uses a timer to increment the pixelHeight property.

<SCRIPT>
function scaleThis()
{
if (sphere.style.pixelWidth <900) {
sphere.style.pixelWidth += 4;
sphere.style.pixelHeight +=4;
window.setTimeout("scaleThis();", 1);
}
}
:
</SCRIPT>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MARQUEE, MENU, META, nextID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

posHeight


pixelLeft

pixelLeft Property

Sets or retrieves the left position of the object.

Syntax

HTML | N/A
Scripting | object.style.pixelLeft [ = iLeft ]

Possible Values

iLeft Integer that specifies or receives the left position in pixels.

The property is read/write. The property has no default value. The Microsoft Cascading Style Sheets (CSS) extension is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The pixelLeft property reflects the value of the Cascading Style Sheets (CSS)?A HREF="../properties/left.html">left attribute. Use the offsetLeft property to calculate actual positions within the document area.

Unlike the left property, the pixelLeft value is an integer, not a string, and is always interpreted in pixels.

For more information about how to access the dimension and location of an object on the page through the Dynamic HTML (DHTML) Document Object Model (DOM), see Measuring Element Dimension and Location.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MARQUEE, MENU, META, nextID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

posLeft


pixelRight

pixelRight Property

Sets or retrieves the right position of the object.

Syntax

HTML | N/A
Scripting | object.style.pixelRight [ = iRight ]

Possible Values

iRight Integer that specifies or receives the right position in pixels.

The property is read/write. The property has no default value. The Microsoft Cascading Style Sheets (CSS) extension is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The pixelRight property reflects the value of the Cascading Style Sheets (CSS)?A HREF="../properties/right_1.html">right attribute.

Unlike the right property, the pixelRight value is an integer, not a string, and is always interpreted in pixels.

For more information about how to access the dimension and location of an object on the page through the Dynamic HTML (DHTML) Document Object Model (DOM), see Measuring Element Dimension and Location.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MARQUEE, MENU, META, nextID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

posRight


pixelTop

pixelTop Property

Sets or retrieves the top position of the object.

Syntax

HTML | N/A
Scripting | object.style.pixelTop [ = iTop ]

Possible Values

iTop Integer that specifies or receives the top position in pixels.

The property is read/write. The property has no default value. The Microsoft Cascading Style Sheets (CSS) extension is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The pixelTop property reflects the value of the Cascading Style Sheets (CSS)?A HREF="../properties/top_0.html">top attribute. Use the offsetTop property to calculate actual positions within the document area.

Unlike the top property, the pixelTop value is an integer, not a string, and is always interpreted in pixels.

For more information about how to access the dimension and location of an object on the page through the Dynamic HTML (DHTML) Document Object Model (DOM), see Measuring Element Dimension and Location.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MARQUEE, MENU, META, nextID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

posTop


pixelWidth

pixelWidth Property

Sets or retrieves the width of the object.

Syntax

HTML | N/A
Scripting | object.style.pixelWidth [ = iWidth ]

Possible Values

iWidth Integer that specifies or receives the width, in pixels.

The property is read/write. The property has no default value. The Microsoft Cascading Style Sheets (CSS) extension is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Setting this property changes the value of the width without changing the units designator. Unlike the width property, the pixelWidth value is an integer, not a string, and is always interpreted in pixels.

For more information about how to access the dimension and location of objects on the page through the Dynamic HTML (DHTML) Document Object Model (DOM), see Measuring Element Dimension and Location.

Example

This example uses a timer to increment the pixelWidth property.

<SCRIPT>
function scaleThis()
{
if (sphere.style.pixelWidth <900) {
sphere.style.pixelWidth += 4;
sphere.style.pixelHeight +=4;
window.setTimeout("scaleThis();", 1);
}
}
:
</SCRIPT>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MARQUEE, MENU, META, nextID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

posWidth


platform

platform Property

Retrieves the name of the user's operating system.

Syntax

[ sPlatform = ] object.platform

Possible Values

sPlatform String that receives one of the following values.
HP-UX | HP Unix-based computers.
MacPPC | Macintosh PowerPC-based computers.
Mac68K | Macintosh 68K-based computers.
SunOS | Solaris-based computers.
Win32 | Microsoft® Windows® 32-bit platform.
Win16 | Windows 16-bit platform.
WinCE | Windows CE platform.

The property is read-only. The property has no default value.

Standards Information

There is no public standard that applies to this property.

Applies To

clientInformation, navigator

See Also

userAgent


playlistInfo

playlistInfo Property

Retrieves playlist information, if a playlist exists.

Syntax

XML | N/A
Scripting | [ oPlaylistInfo = ] mediaBar.playlistInfo

Possible Values

oPlaylistInfo Object that receives playlist information, if a playlist exists.

The property is read-only. The property has no default value.

Applies To

mediaBar


playState

playState Property

Retrieves an integer that indicates the play state of the Media Bar player.

Syntax

XML | N/A
Scripting | [ pps = ] mediaBar.playState

Possible Values

pps Integer that receives the play state of the player. Can have one of the following possible values.
0 | The playback state is undefined.
1 | Playback is stopped.
2 | Playback is paused.
3 | The player is playing a stream.
4 | The player is scanning a stream forward.
5 | The player is scanning a stream in reverse.
6 | The player is buffering media.
7 | The player is waiting for streaming data.
8 | The player has reached the end of the media.
9 | The player is preparing new media.
10 | The player is ready to begin playback.

The property is read-only. The property has no default value.

Remarks

Developers should keep in mind that openState and playState return integers, without descriptive information about the state.

Because the mediaBar behavior is an implementation of the Microsoft Windows Media® Player, some Media Bar members are essentially the same as those used by the Windows Media Player 7 and Windows Media Player 8, notably the onopenstatechange and onplaystatechange events and the openState, playState, and enabled properties. The Media Bar?B>openState and playState properties, in fact, are passed to the behavior from corresponding Windows Media Player properties for Windows Media Player 7 and Windows Media Player 8. Later versions of the Windows Media Player might provide a richer set of values for openState and playState. For more information about the Windows Media Player object model, see the Player object reference and the Windows Media Player 7.1 SDK.

For an example of scripting with the openState and playState properties, see the onopenstatechange and onplaystatechange events.

Applies To

mediaBar

See Also

onopenstatechange, onplaystatechange


PLUGINSPAGE Attribute | pluginspage

PLUGINSPAGE Attribute | pluginspage Property

Retrieves the URL of the plug-in used to view an embedded document.

Syntax

HTML | <EMBED PLUGINSPAGE = sURL... >
Scripting | [ sURL = ] EMBED.pluginspage

Possible Values

sURL String that receives the URL of the plug-in(s).

The property is read-only. The property has no default value.

Standards Information

There is no public standard that applies to this property.

Applies To

EMBED


port

port Property

Sets or retrieves the port number associated with a URL.

Syntax

HTML | N/A
Scripting | object.port [ = sPort ]

Possible Values

sPort String that specifies or receives the port number associated with the URL. See remarks.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The port will resolve based on the default port for the protocol set in the HREF attribute: 21 for FTP, 80 for HTTP, and so forth.

Proprietary protocols that do not require a port return 0 or an empty string.

location.port returns an empty string when read in a page reached by the http protocol.

Example

This example function returns the port property of two a elements.

<SCRIPT>
function getPort()
{
alert ("FTP: " + oFtp.port + "\n" + "HTTP: " + oHttp.port);
}
</SCRIPT>
<A HREF="ftp://www.microsoft.com" onclick="getPort();" ID=oFtp>ftp</A>
<A HREF="http://www.microsoft.com" onclick="getPort();" ID=oHttp>http</A>

Standards Information

There is no public standard that applies to this property.

Applies To

A, AREA, location


posBottom

posBottom Property

Sets or retrieves the bottom position of the object in the units specified by the bottom attribute.

Syntax

HTML | N/A
Scripting | object.style.posBottom [ = iBottom ]

Possible Values

iBottom Floating-point that specifies or receives any floating-point number that uses the same length units as the bottom attribute.

The property is read/write. The property has no default value. The Microsoft Cascading Style Sheets (CSS) extension is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This property reflects the value of the Cascading Style Sheets (CSS)?B>bottom attribute for positioned items. This property always returns zero for nonpositioned items because "bottom" has meaning only when the object is positioned. If the bottom attribute is not set, the posBottom property returns zero.

Setting this property changes the value of the bottom position but leaves the length units designator for the property unchanged.

Unlike the bottom property, the posBottom property value is a floating-point number, not a string.

For more information about how to access the dimension and location of elements on the page through the Dynamic HTML (DHTML) Document Object Model (DOM), see Measuring Element Dimension and Location.

Example

This example uses the posBottom property to set a positioned div to the bottom of the client area.

oDiv.style.posBottom = 0;

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MARQUEE, MENU, META, nextID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

pixelBottom


posHeight

posHeight Property

Sets or retrieves the height of the object in the units specified by the height attribute.

Syntax

HTML | N/A
Scripting | object.style.posHeight [ = iHeight ]

Possible Values

iHeight Floating-point that specifies or receives any valid floating-point number that uses the same length units as the height attribute.

The property is read/write. The property has no default value. The Microsoft Cascading Style Sheets (CSS) extension is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This property reflects the value of the Cascading Style Sheets (CSS)?B>height attribute for positioned items. This property always returns zero for nonpositioned items because "height" has meaning only when the object is positioned. If the height attribute is not set, the posHeight property returns zero.

Unlike the height property, the posHeight property value is a floating-point number, not a string. Setting the posHeight property changes the value of the height but leaves the units designator for the property unchanged.

For more information about how to access the dimension and location of objects on the page through the Dynamic HTML (DHTML) Document Object Model (DOM), see Measuring Element Dimension and Location.

Example

This example uses the posHeight property to increase the height of the first img element by 10 units.

<SCRIPT LANGUAGE="JScript">
document.all.tags("IMG").item(0).style.posHeight += 10;
</SCRIPT>

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MARQUEE, MENU, META, nextID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

pixelHeight


position Attribute | position

position Attribute | position Property

Sets or retrieves the type of positioning used for the object.

Syntax

HTML | { position : sPosition }
Scripting | object.style.position [ = sPosition ]

Possible Values

sPosition String that specifies or receives one of the following values.
static | Default. Object has no special positioning; it follows the layout rules of HTML.
absolute | Object is positioned relative to parent element's position—or to the body object if its parent element is not positioned—using the top and left properties.
relative | Object is positioned according to the normal flow, and then offset by the top and left properties.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of static. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Setting the property to absolute pulls the object out of the "flow" of the document and positions it regardless of the layout of surrounding objects. If other objects already occupy the given position, they do not affect the positioned object, nor does the positioned object affect them. Instead, all objects are drawn at the same place, causing the objects to overlap. This overlap is controlled by using the z-index attribute or property. Absolutely positioned objects do not have margins, but they do have borders and padding.

To enable absolute positioning on an object you must specify at least one of the top, bottom, left, or right properties, in addition to setting the position property to absolute. Otherwise, these positioning properties use their default value of absolute, which causes the object to render immediately after the preceding elements, according to the layout rules of HTML.

Input from pointing devices, such as the mouse, does not penetrate through overlapping elements even if the elements are not visible. This is also true for positioned elements with a negative z-index unless:

  • The parent is a scrolling container (that is, its overflow property is set to auto or scroll).
  • The parent is positioned (that is, its position property is set to absolute or relative).

Setting the property to relative places the object in the natural HTML flow of the document, but offsets the position of the object based on the preceding content. The following syntax shows how to create superscript text by placing the text in a span that is positioned relative to the remaining text in the paragraph.

<P>The superscript in this name
<SPAN STYLE="position:relative;
top:-3px">xyz </SPAN> is "xyz".</P>

Text and objects that follow a relatively positioned object occupy their own space and do not overlap the natural space for the positioned object. In contrast, text and objects that follow an absolutely positioned object occupy what would have been the natural space for the positioned object before it was pulled out of the flow. Placing an absolutely positioned object beyond the viewable area of the window causes a scroll bar to appear. When relatively positioned objects are placed beyond the viewable area, a scroll bar is not shown.

The size of the content determines the size of objects with layout. For example, setting the height and position properties on a div object gives it layout. The content of the div determines the size. In this case, the content determines the size of the width.

For an overview about how to use dynamic positioning, see About Element Positioning.

See the Applies To section for elements that can be relatively and absolutely positioned.

Example

This examples uses the position property's absolute, static, and relative values to change the position of the text.

<STYLE>
.pitem { position: static }
</STYLE>
<SCRIPT>
function fnAbsolute(){
oSpan.style.position="absolute";
}
function fnRelative(){
oSpan.style.position="relative";
}
function fnStatic(){
oSpan.style.position="static";
}
</SCRIPT>
<P>
<SPAN ID=oSpan CLASS="pitem">
This is a SPAN in a paragraph of text.
</SPAN>
This is a paragraph of text.</P>
<INPUT onclick="fnRelative()" TYPE=button VALUE="Relative">
<INPUT onclick="fnAbsolute()" TYPE=button VALUE="Absolute">
<INPUT onclick="fnStatic()" TYPE=button VALUE="Static">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 2 (CSS2) Non-Microsoft link.

Applies To

A, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BUTTON, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, defaults, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PRE, RUBY, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TR, TT, U, UL, VAR, XMP


posLeft

posLeft Property

Sets or retrieves the left position of the object in the units specified by the left attribute.

Syntax

HTML | N/A
Scripting | object.style.posLeft [ = iLeft ]

Possible Values

iLeft Floating-point that specifies or receives any valid floating-point number that uses the same length units as the left attribute.

The property is read/write. The property has no default value. The Microsoft Cascading Style Sheets (CSS) extension is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This property reflects the value of the Cascading Style Sheets (CSS)?B>left attribute for positioned items. This property always returns zero for nonpositioned items because "left" has meaning only when the object is positioned. If the left attribute is not set, the posLeft property returns zero. Use the offsetLeft property to calculate actual positions within the document area.

Setting this property changes the value of the left position but leaves the units designator for the property unchanged.

Unlike the left property, the posLeft property value is a floating-point number, not a string.

For more information about how to access the dimension and location of elements on the page through the Dynamic HTML (DHTML) Document Object Model (DOM), see Measuring Element Dimension and Location.

Examples

This example uses the posLeft property to move the first img object left by 10 units.

<SCRIPT LANGUAGE="JScript">
document.all.tags("IMG").item(0).style.posLeft -= 10;
</SCRIPT>

This example uses a timer to change the value of the posLeft in increments of 10.

<SCRIPT LANGUAGE="JScript">
function moveThis()
{
:
if (sphere.style.posLeft<900) {
sphere.style.posTop += 2;
sphere.style.posLeft += 2;
window.setTimeout("moveThis();", 1);
}
}
:
</SCRIPT>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MARQUEE, MENU, META, nextID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

pixelLeft


posRight

posRight Property

Sets or retrieves the right position of the object in the units specified by the right attribute.

Syntax

HTML | N/A
Scripting | object.style.posRight [ = iRight ]

Possible Values

iRight Floating-point that specifies or receives any valid floating-point number that uses the same length units as the right attribute.

The property is read/write. The property has no default value. The Microsoft Cascading Style Sheets (CSS) extension is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This property reflects the value of the Cascading Style Sheets (CSS)?B>right attribute for positioned items. This property always returns zero for nonpositioned items because "right" has meaning only when the object is positioned. If the right attribute is not set, the posRight property returns zero.

Setting this property changes the value of the right position but leaves the units designator for the property unchanged.

Unlike the right property, the posRight property value is a floating-point number, not a string.

For more information about how to access the dimension and location of elements on the page through the Dynamic HTML (DHTML) Document Object Model (DOM), see Measuring Element Dimension and Location.

Example

This example uses the posRight property to set a positioned div 10 pixels from the right of the client area.

oDiv.style.posRight = 10;

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MARQUEE, MENU, META, nextID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

pixelRight


posTop

posTop Property

Sets or retrieves the top position of the object in the units specified by the top attribute.

Syntax

HTML | N/A
Scripting | object.style.posTop [ = iTop ]

Possible Values

iTop Floating-point that specifies or receives any valid floating-point number that uses the same length units as the top attribute.

The property is read/write. The property has no default value. The Microsoft Cascading Style Sheets (CSS) extension is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This property reflects the value of the Cascading Style Sheets (CSS)?B>top attribute for positioned items. This property always returns zero for nonpositioned items because "top" has meaning only when the object is positioned. If the top attribute is not set, the posTop property returns zero. Use the offsetTop property to calculate actual positions within the document area.

Setting this property changes the value of the top position but leaves the units designator for the property unchanged.

Unlike the top property, the posTop property value is a floating-point number, not a string.

For more information about how to access the dimension and location of objects on the page through the Dynamic HTML (DHTML) Document Object Model (DOM), see Measuring Element Dimension and Location.

Examples

This example uses the posTop property to move the first img object up by 10 units.

<SCRIPT LANGUAGE="JScript">
document.all.tags("IMG").item(0).style.posTop -= 10;
</SCRIPT>

This example uses a timer to change the value of the posTop in increments of 10.

<SCRIPT LANGUAGE="JScript">
function moveThis()
{
:
if (sphere.style.posLeft<900) {
sphere.style.posTop += 2;
sphere.style.posLeft += 2;
window.setTimeout("moveThis();", 1);
}
}
:
</SCRIPT>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MARQUEE, MENU, META, nextID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

pixelTop


posWidth

posWidth Property

Sets or retrieves the width of the object in the units specified by the width attribute.

Syntax

HTML | N/A
Scripting | object.style.posWidth [ = iWidth ]

Possible Values

iWidth Floating-point that specifies or receives any valid floating-point number that uses the same length units as the width attribute.

The property is read/write. The property has no default value. The Microsoft Cascading Style Sheets (CSS) extension is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This property reflects the value of the Cascading Style Sheets (CSS)?B>width attribute for positioned items. This property always returns zero for nonpositioned items because "width" has meaning only when the object is positioned. If the width attribute is not set, the posWidth property returns zero.

Setting the posWidth property changes the value of the width but leaves the units designator for the property unchanged.

Unlike the width property, the posWidth property value is a floating-point number, not a string.

For more information about how to access the dimension and location of objects on the page through the Dynamic HTML (DHTML) Document Object Model (DOM), see Measuring Element Dimension and Location.

Example

This example uses the posWidth property to increase the width of the first img object by 10 units.

<SCRIPT LANGUAGE="JScript">
document.all.tags("IMG").item(0).style.posWidth += 10;
</SCRIPT>

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MARQUEE, MENU, META, nextID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

pixelWidth


previousSibling

previousSibling Property

Retrieves a reference to the previous child of the parent for the object.

What's New for Microsoft® Internet Explorer 6

This property now applies to the attribute object.

Syntax

HTML | N/A
Scripting | [ oElement = ] object.previousSibling

Possible Values

oElement Object that receives a reference to the previous sibling of an object.

The property is read-only. The property has no default value.

Example

This example uses the previousSibling property to obtain the previous sibling of a list item.

<SCRIPT>
// returns the list item labeled 'List Item 1'
var oSibling = oList.childNodes(1).previousSibling;
</SCRIPT>
:
<BODY>
<UL ID = oList>
<LI>List Item 1
<LI>List Item 2
<LI>List Item 3
</UL>
</BODY>

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, attribute, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TextNode, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

lastChild, About the W3C Document Object Model


PROFILE Attribute | profile

PROFILE Attribute | profile Property

Sets or retrieves one or more Uniform Resource Identifier (URI)(s) in which the object's properties and legal values for those properties are defined.

Syntax

HTML | <HEAD PROFILE = sProfile... >
Scripting | HEAD.profile(v) [ = sProfile ]

Possible Values

sProfile String that specifies or receives one or more URI's separated by spaces that specifies property definitions and legal values.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

There is no functionality implemented for this property unless defined by the author.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

HEAD


propertyName

propertyName Property

Sets or retrieves the name of the property that changes on the object.

Syntax

event.propertyName [ = sProperty ]

Possible Values

sProperty String that specifies or receives the name of the property whose value changes during the event.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

You can alter the value of propertyName by using it with the onpropertychange event.

Example

This example uses the onpropertychange event to change the value of the propertyName property.

<HEAD>
<SCRIPT>
function changeProp()
{
btnProp.value = "This is the new VALUE";
}
function changeCSSProp()
{
btnStyleProp.style.backgroundColor = "aqua";
}
</SCRIPT>
</HEAD>
<BODY>
<P>The event object property propertyName is
used here to return which property has been
altered.</P>
<INPUT TYPE=button ID=btnProp onclick="changeProp()"
VALUE="Click to change the VALUE property
of this button"
onpropertychange='alert(event.propertyName + "
property has changed value")'>
<INPUT TYPE=button ID=btnStyleProp
onclick="changeCSSProp()"
VALUE="Click to change the CSS backgroundColor
property of this button"
onpropertychange='alert(event.propertyName + "
property has changed value")'>
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

event

See Also

onpropertychange


protocol

protocol Property

Sets or retrieves the protocol portion of a URL.

Syntax

HTML | N/A
Scripting | object.protocol [ = sProtocol ]

Possible Values

sProtocol String that specifies or receives the protocol used to transfer information.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The protocol property specifies how to transfer information from the host to the client. Microsoft® Internet Explorer supports several predefined protocols, including http and ftp.

The document, img, and location objects expose the protocol property as read-only. location.protocol property returns the initial substring of a URL, including the first colon (for example, http:). However, document.protocol returns the expanded text of the protocol acronym. For example, it returns the http protocol as Hypertext Transfer Protocol.

Example

This example function returns the protocol property of the current page location.

function getProtocol()
{
return document.location.protocol;
}

Standards Information

There is no public standard that applies to this property.

Applies To

A, AREA, document, IMG, location


pseudoClass

pseudoClass Property

Retrieves a string that identifies the pseudo class of the page or pages an @page rule applies to.

Syntax

[ sPseudoClass = ] page.pseudoClass

Possible Values

sPseudoClass String that receives the pseudo class.
:first | Rule applies to the first page.
:left | Rule applies to pages on the left side of the binding—verso pages.
:right | Rule applies to pages on the right side of the binding—recto pages.

The property is read-only. The property has no default value.

Standards Information

There is no public standard that applies to this property.

Applies To

page


qualifier

qualifier Property

Sets or retrieves the name of the data member provided by a data source object.

Syntax

event.qualifier [ = sQualifier ]

Possible Values

sQualifier String that specifies or receives the default data member either by the name of the data member or an empty string.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The property is read-only in Microsoft® Internet Explorer 4.0, and read/write in Internet Explorer 5 and later.

Check the qualifier property in the event handlers of a data source object (DSO) if:

  1. The DSO supports multiple, named data members.
  2. You have specified a qualifier in association with the DATASRC attribute of an element bound to that DSO.

Valid qualifiers are specific to the DSO implementation. Check the documentation of the DSO to determine if it supports named data members and to determine the valid names for those data members.

Example

This example uses the qualifier property to show how to handle an ondatasetcomplete event when it is fired by a DSO that supports named data members. The hypothetical spreadsheet control defines the name of its data members to match the ranges that can be specified within a typical spreadsheet environment such as Microsoft Excel. In the example, the named data member is restricted to the first seven cells of the first column.

<SCRIPT>
// Fired when all the data is available
function handle_dscomplete()
{
var oEvent = window.event;
// ignore the notification for the default data member
if (oEvent.qualifier != "")
{
// get a recordset corresponding to the named data member
// as indicated by the qualifier property
var oNamedRS = oEvent.srcElement.namedRecordset(oEvent.qualifier);
// now walk the recordset
oNamedRS.MoveFirst();
for (int i = 0; i < oNamedRS.RecordCount; i++)
{
var vValue = oNamedRS.Fields(0).value;
oNamedRS.MoveNext();
}
}
}
</SCRIPT>
<!-- The CLASSID below does not correspond to a valid object -->
<OBJECT CLASSID="clsid:00000000-0000-0000-0000-000000000000" ID="dsoSpreadSheet"
ondatasetcomplete="handle_dscomplete()">
<!-- Bind the TABLE to the named recordset "A1:A7" provided by
the spreadsheet control -->
<TABLE DATASRC="#dsoSpreadsheet.A1:A7">
<TR><TD><SPAN DATAFLD="A"></SPAN></TD></TR>
</TABLE>

Standards Information

There is no public standard that applies to this property.

Applies To

event

See Also

namedRecordset, Using a Data Source Object that Exposes Multiple Data Members


readOnly

readOnly Property

Retrieves whether the rule or style sheet is defined on the page or is imported.

Syntax

[ bReadOnly = ] object.readOnly

Possible Values

bReadOnly Boolean that receives one of the following values.
false | Default. Rule or style sheet is obtained through a link object or the @import rule.
true | Rule or style sheet is defined on the page.

The property is read-only. The property has a default value of false.

Remarks

You cannot modify style sheets obtained through a link object or the @import rule while the designMode property is enabled. For more information, see Introduction to MSHTML Editing.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

styleSheet, rule


READONLY Attribute | readOnly

READONLY Attribute | readOnly Property

Sets or retrieves the value indicated whether the content of the object is read-only.

Syntax

HTML | <ELEMENT READONLY ... >
Scripting | object.readOnly [ = bRead ]

Possible Values

bRead Boolean that specifies or receives one of the following values.
false | Default. Property is not set on the object.
true | Object is set to read-only.

The property is read/write. The property has a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

If the value of the readOnly property is set to true, the user cannot enter or edit text in the control. When set to true, the property still allows the object to receive the focus, whereas the disabled property does not.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

INPUT type=text, INPUT type=password, TEXTAREA


readyState

readyState Property

Retrieves the current state of the object.

Syntax

HTML | N/A
Scripting | [ vState = ] object.readyState

Possible Values

vState Variant that receives one of the following values.
uninitialized | Object is not initialized with data.
loading | Object is loading its data.
loaded | Object has finished loading its data.
interactive | User can interact with the object even though it is not fully loaded.
complete | Object is completely initialized.

The property is read-only. The property has no default value.

Remarks

The states through which an object passes are determined by that object; an object can skip certain states (for example, interactive) if those states do not apply to that object.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, namespace, nextID, NOBR, NOFRAMES, NOSCRIPT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TEXTAREA, TITLE, TT, U, UL, VAR, XML, XMP


readyState

readyState Property

Retrieves a value that indicates the current state of the object.

Syntax

HTML | N/A
Scripting | [ sState = ] object.readyState

Possible Values

sState String that receives one of the following values.
uninitialized | Object is not initialized with data.
loading | Object is loading its data.
loaded | Object has finished loading its data.
interactive | User can interact with the object even though it is not fully loaded.
complete | Object is completely initialized.

The property is read-only. The property has no default value.

Remarks

An object's state is initially set to uninitialized, and then to loading. When data loading is complete, the state of the link object passes through the loaded and interactive states to reach the complete state.

The states through which an object passes are determined by that object; an object can skip certain states (for example, interactive) if the state does not apply to that object.

Data source objects and databound elements are normally populated asynchronously, and certain programmatic operations can only be performed reliably on databound objects when they are ready for use. Therefore, the appropriate code should be written to confirm the readyState of objects prior to performing certain operations on them. For example, walking the rows of a table should not be attempted until after the table has reached the complete state.

The readyState property enables the status of an object to be tested. The correct place to test the readyState property is in the event handler for onreadystatechange. Similarly, a data source object (DSO) fires the ondatasetcomplete event to notify the Web page that the dataset is ready for programmatic operation.

Standards Information

There is no public standard that applies to this property.

Applies To

document, FRAME, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, LINK, SCRIPT, TABLE, TBODY, TD, TFOOT, TH, THEAD, TR

See Also

onreadystatechange


readyState

readyState Property

Retrieves the current state of the object.

Syntax

HTML | N/A
Scripting | [ lState = ] OBJECT.readyState

Possible Values

lState Integer that receives one of the following values.
0 | Object is not initialized with data.
1 | Object is loading its data.
2 | Object has finished loading its data.
3 | User can interact with the object even though it is not fully loaded.
4 | Object is completely initialized.

The property is read-only. The property has no default value.

Standards Information

There is no public standard that applies to this property.

Applies To

OBJECT

See Also

onreadystatechange


reason

reason Property

Sets or retrieves the result of the data transfer for a data source object.

Syntax

event.reason [ = iReason ]

Possible Values

iReason Integer that specifies or receives one of the following values.
0 | Data transmitted successfully.
1 | Data transfer aborted.
2 | Data transferred in error.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The property is read-only in Microsoft® Internet Explorer 4.0, and read/write in Internet Explorer 5 and later.

The reason property specifies the state of completion of the data transfer.

Standards Information

There is no public standard that applies to this property.

Applies To

event


recordNumber

recordNumber Property

Retrieves the ordinal record from the data set that generated the object.

Syntax

HTML | N/A
Scripting | [ iNumber = ] object.recordNumber

Possible Values

iNumber Variant that receives the record number.

The property is read-only. The property has no default value.

Remarks

This property applies to elements contained within a bound, repeated table.

You can use this property with the ADO recordset, which is available from every data source object through the object's recordset property.

Standards Information

There is no public standard that applies to this property.

Applies To

A, BUTTON, DIV, FRAME, IFRAME, IMG, INPUT type=checkbox, INPUT type=hidden, INPUT type=password, INPUT type=radio, INPUT type=text, LABEL, LEGEND, MARQUEE, SELECT, SPAN, TEXTAREA

See Also

Introduction to Data Binding


recordset

recordset Property

Sets or retrieves from a data source object a reference to the default record set.

Syntax

HTML | N/A
Scripting | object.recordset [ = oRecordset ]

Possible Values

oRecordset Object that specifies or receives the record set.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

To retrieve a named record set from a data source object, use the namedRecordset method.

Standards Information

There is no public standard that applies to this property.

Applies To

event, OBJECT, XML

See Also

Introduction to Data Binding


referrer

referrer Property

Retrieves the URL of the location that referred the user to the current page.

Syntax

[ sUrl = ] document.referrer

Possible Values

sUrl String that specifies the URL of the referring page.

The property is read-only. The property has no default value.

Remarks

This property returns a value only when the user reaches the current page through a link from the previous page. Otherwise, document.referrer returns an empty string; it also returns an empty string when the link is from a secure site.

For example, if PageA.htm includes a link to PageB.htm, and the user clicks that link, the document.referrer on PageB.htm returns "PageA.htm". However, if the user is on PageA.htm and types PageB.htm into the address line or uses Open in the File menu to get to PageB.htm, the document.referrer returns an empty string.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

document


REL Attribute | rel

REL Attribute | rel Property

Sets or retrieves the relationship between the object and the destination of the link.

Syntax

HTML | <ELEMENT REL = sRelation... >
Scripting | object.rel [ = sRelation ]

Possible Values

sRelation String that specifies or receives one or more of the following space delimited values in any order:
Alternate | Substitute version of the file that contains the link.
Appendix | Page that is an appendix for the set of pages.
Bookmark | Bookmark.
Chapter | Page that is a chapter for a set of pages.
Contents | Table of contents document.
Copyright | Copyright notice for the current page.
Glossary | Glossary for the current page.
Help | Help document.
Index | Index document for the current page.
Next | Next document in a sequence.
Offline | href that contains a path to the CDF file to be used for an offline favorite.
Prev | Previous document in a sequence.
Section | Page that is a section for a set of pages.
Shortcut Icon | href that contains a path to an icon file to be used for the favorite or link.
Start | First document of a set.
Stylesheet | Style sheet.
Subsection | Page that is a subsection for a set of pages.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

If no values are indicated, the rel property's default relationship is an empty string. This property is used only when the href property is applied.

The Shortcut Icon and Offline values apply only to the link object.

The Offline value is available in Microsoft® Internet Explorer 5 and later. For more information about CDF files and offline favorites, see Enhancing Offline Favorites.

The rel property is similar to the rev property, but the semantics of these two properties' link types are in the reverse direction. For example, a link from A to B with REL="X" expresses the same relationship as a link from B to A with REV="X". An anchor can have both rel and rev properties.

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, LINK

See Also

How to Add a Shortcut Icon to a Web Page


removeAttribute

removeAttribute Method

Removes the specified attribute from the object.

Syntax

object.removeAttribute(sAttrName)

Parameters

sAttrName Required. String that specifies the name of the persistent attribute.

Return Value

No return value.

Remarks

The sAttrName value is not case sensitive.

This method requires an object participating in persistence, where that object has a class name equal to the desired persistence behavior. An ID is required for the userData and saveSnapshot behaviors, and recommended for the saveHistory and saveFavorite behaviors.

This method overrides the DHTML removeAttribute method.

Example

This example uses the removeAttribute method to remove an attribute on an object participating in userData persistence.

<HEAD>
<STYLE>
.userData {behavior:url(#default#userdata);}
</STYLE>
<SCRIPT>
function fnGet(){
oPersistInput.load("oDataStore");
oPersistInput.value=oPersistInput.getAttribute("sPersistAttr");
}
function fnSet(){
oPersistInput.setAttribute("sPersistAttr",oPersistInput.value);
oPersistInput.save("oDataStore");
}
function fnRem(){
oPersistInput.removeAttribute("sPersistAttr");
oPersistInput.save("oDataStore");
}
</SCRIPT>
</HEAD>
<BODY >
<INPUT type=text class=userData id=oPersistInput>
<INPUT type=button value="Get Attribute" onclick="fnGet()">
<INPUT type=button value="Set Attribute" onclick="fnSet()">
<INPUT type=button value="Remove Attribute" onclick="fnRem()">
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

saveFavorite, saveHistory, userData

See Also

Introduction to DHTML Behaviors, Introduction to Persistence, getAttribute, setAttribute


repeat

repeat Property

Retrieves whether the onkeydown event is being repeated.

Syntax

event.repeat [ = bRepeat ]

Possible Values

bRepeat Boolean that specifies or receives one of the following values:
true | Event fires two or more times.
false | Event fires once.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The repeat property returns true while a user holds down a key.

Standards Information

There is no public standard that applies to this property.

Applies To

event


returnValue

returnValue Property

Sets or retrieves the value returned from the modal dialog window.

Syntax

window.returnValue [ = vValue ]

Possible Values

vValue Variant that specifies or receives the value returned from the window.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This property applies only to windows created using the showModalDialog method.

Standards Information

There is no public standard that applies to this property.

Applies To

window


returnValue

returnValue Property

Sets or retrieves the return value from the event.

Syntax

event.returnValue [ = bValue ]

Possible Values

bValue Variant that specifies or receives one of the following values.
true | Default. Value from the event is returned.
false | Default action of the event on the source object is canceled.

The property is read/write. The property has a default value of true.

Remarks

The value of this property takes precedence over values returned by the function, such as through a Microsoft® JScript®?B>return statement.

Standards Information

There is no public standard that applies to this property.

Applies To

event


REV Attribute | rev

REV Attribute | rev Property

Sets or retrieves the relationship between the object and the destination of the link.

Syntax

HTML | <ELEMENT REV = sRelation... >
Scripting | object.rev [ = sRelation ]

Possible Values

sRelation String that specifies or receives one or more of the following space-delimited values, in any order:
Alternate | Substitute version of the file that contains the link.
Appendix | Page that is an appendix for the set of pages.
Bookmark | Bookmark.
Chapter | Page that is a chapter for a set of pages.
Contents | Table of contents document.
Copyright | Copyright notice for the current page.
Glossary | Glossary for the current page.
Help | Help document.
Index | Index document for the current page.
Next | Next document in a sequence.
Prev | Previous document in a sequence.
Section | Page that is a section for a set of pages.
Start | First document of a set.
Stylesheet | Style sheet.
Subsection | Page that is a subsection for a set of pages.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The rev property is similar to the rel property, but the semantics of these two properties' link types are in the reverse direction. For example, a link from A to B with REL="X" expresses the same relationship as a link from B to A with REV="X". An anchor can have both rel and rev properties.

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, LINK


right

right Property

Sets or retrieves the right coordinate of the rectangle surrounding the object content.

Syntax

TextRectangle.right [ = iCoord ]

Possible Values

iCoord Integer that specifies or receives the right coordinate of the rectangle, in pixels.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

To access the right coordinate of the second text rectangle of a TextRange object, use this syntax:

oRct = oTextRange.getClientRects();
oRct[1].right;

Note that the collection index starts at 0, so the second item index is 1.

To access the right coordinate of the bounding rectangle of an element object, use this syntax:

oBndRct = oElement.getBoundingClientRect();
oBndRct.right;

Example

This example uses the getBoundingClientRect method to retrieve the coordinates of the bounds of the text rectangles within the element.

<SCRIPT>
function getCoords(oObject) {
oBndRct=oObject.getBoundingClientRect();
alert("Bounding rectangle = \nUpper left coordinates: "
+ oBndRct.left + " " + oBndRct.top +
"\nLower right coordinates: "
+ oBndRct.right + " " + oBndRct.bottom);
}
</SCRIPT>
</HEAD>
<BODY>
<P ID=oPara onclick="getCoords(this)">
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 2 (CSS2) Non-Microsoft link.

Applies To

TextRectangle

See Also

TextRectangle Collection, TextRectangle Object, bottom, left, top


right Attribute | right

right Attribute | right Property

Sets or retrieves the position of the object relative to the right edge of the next positioned object in the document hierarchy.

Syntax

HTML | { right : sPosition }
Scripting | object.style.right [ = sPosition ]

Possible Values

sPosition Variant that specifies or receives one of the following values:
auto | Default. Position is determined by the regular HTML layout of the page.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units Reference.
percentage | Integer, followed by a percent sign (%). The value is a percentage of the width of the parent object.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of auto. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Only use the right attribute when the position attribute is set; otherwise, the value of the right attribute is ignored.

You cannot use the right property in script to calculate the position of the object in the document, because the value of the right property is a string. Instead, use the pixelRight property or the posRight property.

For more information about how to access the dimension and location of objects on the page through the DHTML Object Model, see Measuring Element Dimension and Location.

Example

This example uses the right attribute to set a div object 50 pixels from the right of the client area.

<DIV STYLE = "position:absolute; right:50px">
. . .
</DIV>

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 2 (CSS2) Non-Microsoft link.

Applies To

A, ADDRESS, APPLET, B, BIG, BLOCKQUOTE, BUTTON, CENTER, CITE, CODE, currentStyle, DD, DFN, DIR, DIV, DL, FIELDSET, FONT, FORM, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LAYOUTRECT, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TEXTAREA, TT, U, UL, VAR, XMP


rowIndex

rowIndex Property

Retrieves the position of the object in the rows collection for the table.

Syntax

HTML | N/A
Scripting | [ iIndex = ] TR.rowIndex

Possible Values

iIndex Integer that receives Integer that specifies the index number.

The property is read-only. The property has no default value.

Remarks

This property is different from sectionRowIndex, which indicates the object's position in the tBody, tHead, or tFoot?B>rows collection. These sections are mutually exclusive, so the tr is always contained in one of these sections and in the table. You can determine the rowIndex property of an object by the order in which the object appears in the HTML source.

Example

This example function shows how to use the rowIndex attribute to format a table. The function sets the background color of the rows in the table to black or white, alternating row by row.

function formatTable(oTable)
{
var rows=oTable.rows;
for(var i=0;i<rows.length;i++)
{
if(i%2==0) {
rows[i].style.backgroundColor = "black";
rows[i].style.color = "white";
} else {
rows[i].style.backgroundColor = "white";
rows[i].style.color = "black";
}
}
}

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TR

See Also

cellIndex, sourceIndex


ROWS Attribute | rows

ROWS Attribute | rows Property

Sets or retrieves the number of horizontal rows contained in the object.

Syntax

HTML | <TEXTAREA ROWS = iRows... >
Scripting | TEXTAREA.rows [ = iRows ]

Possible Values

iRows Integer that specifies or receives the number of rows.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TEXTAREA


ROWS Attribute | rows

ROWS Attribute | rows Property

Sets or retrieves the frame heights of the object.

Syntax

HTML | <FRAMESET ROWS = sHeight... >
Scripting | FRAMESET.rows [ = sHeight ]

Possible Values

sHeight Integer that specifies or receives one of the following values.
height | Integer that specifies the frame height, in pixels.
percentage | Integer, followed by a %. The value is a percentage of total available height.
height* | Integer that specifies the frame height as a relative value. After allocating pixel or percentage values, the remaining space is divided among all relative-sized frames.

The property is read/write. The property has no default value.

Remarks

The number of comma-separated items is equal to the number of frames contained within the frameSet, while the value of each item determines the frame height.

Examples

This example defines a two-row frame, with the first occupying 40 percent of the available height and the second occupying the remaining 60 percent.

<FRAMESET ROWS="40%, 60%">

This example defines a four-row frame. The first is 50 pixels high and the fourth is 80 pixels high. The second occupies two-thirds of the remaining height, while the third occupies the final one-third of the remaining height.

<FRAMESET ROWS="50, 2*, *, 80">

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

FRAMESET

See Also

cols


ROWSPAN Attribute | rowSpan

ROWSPAN Attribute | rowSpan Property

Sets or retrieves how many rows in a table the cell should span.

Syntax

HTML | <ELEMENT ROWSPAN = iRows... >
Scripting | object.rowSpan [ = iRows ]

Possible Values

iRows Integer that specifies or receives the number of spanned rows.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This property can be changed only after the page has been loaded.

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TD, TH


ruby-align Attribute | rubyAlign

ruby-align Attribute | rubyAlign Property

Sets or retrieves the position of the ruby text specified by the rt object.

Syntax

HTML | { ruby-align : sRubyAlign }
Scripting | object.style.rubyAlign [ = sRubyAlign ]

Possible Values

sRubyAlign String that specifies or receives one of the following values:
auto | Default. Browser determines how the ruby text is aligned. The recommended behavior for an ideographic (Asian character) ruby is to be aligned in the distribute-space mode. The recommended behavior for a Latin character ruby is to be aligned in the center mode.
left | Ruby text is left-aligned with the base.
center | Ruby text is centered within the width of the base. If the length of the base is smaller than the length of the ruby text, the base is centered within the width of the ruby text.
right | Ruby text is right-aligned with the base.
distribute-letter | Ruby text is evenly distributed across the width of the base if the width of the ruby text is smaller than the width of the base. If the width of the ruby text is at least the width of the base, the ruby text is center-aligned.
distribute-space | Ruby text is evenly distributed across the width of the base if the width of the ruby text is smaller than the width of the base. White space precedes the first and follows the last character in the ruby text, equal to half the kerning of the ruby text. If the width of the ruby text is at least the width of the base, the ruby text is centered.
line-edge | Ruby text is centered if it is not adjacent to a line edge. If it is adjacent to a line edge, the side of the ruby text lines up with the side of the base text.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of auto. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The rubyAlign property specifies the alignment of the ruby text defined by the rt object, and is set on the ruby object.

Example

This example uses the ruby-align attribute and the rubyAlign property to set the alignment of the ruby text. It uses an inline style sheet to set the ruby-align attribute to right.

<RUBY ID=oRuby STYLE = "ruby-align: right">
Ruby base.
<RT>Ruby text.
</RUBY>
<INPUT
TYPE=button VALUE="Center"
onclick="oRuby.style.rubyAlign='center';"
>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 3 (CSS3) Non-Microsoft link.

Applies To

currentStyle, RUBY, runtimeStyle, style

See Also

rubyPosition, rubyOverhang


ruby-overhang Attribute | rubyOverhang

ruby-overhang Attribute | rubyOverhang Property

Sets or retrieves the position of the ruby text specified by the rt object.

Syntax

HTML | { ruby-overhang : sRubyOverhang }
Scripting | object.style.rubyOverhang [ = sRubyOverhang ]

Possible Values

sRubyOverhang String that specifies or receives one of the following values:
auto | Default. Ruby text overhangs any other text adjacent to the base text.
whitespace | Ruby text overhangs only white-space characters.
none | Ruby text overhangs only text adjacent to its base.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of auto. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The rubyOverhang property specifies the overhang of the ruby text defined by the rt object, and is set on the ruby object.

Example

This example uses the ruby-overhang attribute and the rubyOverhang property to set the overhang of the ruby text. It uses an inline style sheet to set the ruby-overhang attribute to none.

<RUBY ID=oRuby STYLE = "ruby-overhang: none">
Ruby base.
<RT>Ruby text.
</RUBY>
<INPUT
TYPE=button VALUE="Whitespace"
onclick="oRuby.style.rubyOverhang='whitespace';"
>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 3 (CSS3) Non-Microsoft link.

Applies To

currentStyle, RUBY, runtimeStyle, style

See Also

rubyAlign, rubyPosition


ruby-position Attribute | rubyPosition

ruby-position Attribute | rubyPosition Property

Sets or retrieves the position of the ruby text specified by the rt object.

Syntax

HTML | { ruby-position : sRubyPlacement }
Scripting | object.style.rubyPosition [ = sRubyPlacement ]

Possible Values

sRubyPlacement String that specifies or receives one of the following values:
above | Default. Ruby text is positioned above the base text.
inline | Ruby text is positioned inline with the base text.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of above. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The rubyPosition property specifies the position of the ruby text defined by the rt object, and is set on the ruby object.

Example

This example uses the ruby-position attribute and the rubyPosition property to set the position of the ruby text. It uses an inline style sheet to set the ruby-position attribute to inline.

<RUBY ID=oRuby STYLE = "ruby-position: inline">
Ruby base.
<RT>Ruby text.
</RUBY>
<P>
<INPUT
TYPE=button VALUE="Above"
onclick="oRuby.style.rubyPosition='above';"
>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 3 (CSS3) Non-Microsoft link.

Applies To

currentStyle, RUBY, runtimeStyle, style

See Also

rubyAlign, rubyOverhang


RULES Attribute | rules

RULES Attribute | rules Property

Sets or retrieves which dividing lines (inner borders) are displayed.

Syntax

HTML | <TABLE RULES = sRule... >
Scripting | TABLE.rules [ = sRule ]

Possible Values

sRule String that specifies or receives one of the following values.
all | Borders are displayed on all rows and columns.
cols | Borders are displayed between all table columns.
groups | Horizontal borders are displayed between all tHead, tBody, and tFoot objects; vertical borders are displayed between all colGroup objects.
none | All interior table borders are removed.
rows | Horizontal borders are displayed between all table rows.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The value none turns off only the interior borders. To turn off the table borders, set the rules property to '', or omit the RULES attribute from the table object.

Examples

This example initially sets the RULES attribute on the table, and then uses the rules property to dynamically change the table borders.

<TABLE ID="oID_1" RULES="cols">
<THEAD>
<TR>
<TD>EST</TD><TD>1am</TD><TD>8pm</TD>
</TR>
</THEAD>
<TR>
<TD>CST</TD><TD>2am</TD><TD>9pm</TD>
</TR>
<TR>
<TD>MST</TD><TD>3am</TD><TD>10pm</TD>
</TR>
<TFOOT>
<TR>
<TD>PST</TD><TD>4am</TD><TD>11pm</TD>
</TR>
</TFOOT>
</TABLE>
<P>
<BUTTON onclick="oID_1.rules=''">No borders</BUTTON>
<BUTTON onclick="oID_1.rules='none'">Exterior border</BUTTON>
<BUTTON onclick="oID_1.rules='all'">All borders</BUTTON><BR>
<BUTTON onclick="oID_1.rules='cols'">Column borders</BUTTON>
<BUTTON onclick="oID_1.rules='groups'">Groups borders</BUTTON>
<BUTTON onclick="oID_1.rules='rows'">Table row borders</BUTTON>
</P>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

In this example, the table object contains the RULES attribute set to cols and the border attribute set to an empty string (""). This example demonstrates that if the RULES attribute is set to an empty string (""), the border attribute will cause the table to show all borders, trumping the RULES attribute.

<TABLE ID="oID_1" BORDER="" RULES="cols">
<THEAD>
<TR>
<TD>EST</TD><TD>1am</TD><TD>8pm</TD>
</TR>
</THEAD>
<TR>
<TD>CST</TD><TD>2am</TD><TD>9pm</TD>
</TR>
<TR>
<TD>MST</TD><TD>3am</TD><TD>10pm</TD>
</TR>
<TFOOT>
<TR>
<TD>PST</TD><TD>4am</TD><TD>11pm</TD>
</TR>
</TFOOT>
</TABLE>
<P>
<BUTTON onclick="oID_1.rules=''">No borders</BUTTON>
<BUTTON onclick="oID_1.rules='none'">Exterior border</BUTTON>
<BUTTON onclick="oID_1.rules='all'">All borders</BUTTON><BR>
<BUTTON onclick="oID_1.rules='cols'">Column borders</BUTTON>
<BUTTON onclick="oID_1.rules='groups'">Groups borders</BUTTON>
<BUTTON onclick="oID_1.rules='rows'">Table row borders</BUTTON>
</P>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TABLE

See Also

frame


saveType

saveType Property

Retrieves the clipboard type when oncontentsave fires.

Syntax

[ sSaveType = ] event.saveType

Possible Values

sSaveType String that receives the format of data saved to the clipboard.
TEXT | Data saved to the clipboard is in text format.
HTML | Data saved to the clipboard is in HTML format.

The property is read-only. The property has no default value.

Standards Information

There is no public standard that applies to this property.

Applies To

event


SCHEME Attribute | scheme

SCHEME Attribute | scheme Property

Sets or retrieves a scheme to be used in interpreting the value of a property specified for the object.

Syntax

HTML | <META SCHEME = sScheme... >
Scripting | META.scheme(v) [ = sScheme ]

Possible Values

sScheme String that specifies or receives a scheme to use when interpreting the value of an object's property.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The scheme property can provide a context to correctly interpret otherwise ambiguous data formats such as those for date and time. It can also be used to identify the object's content itself.

There is no functionality implemented for this property unless defined by the author.

Examples

In the following two examples, the value of scheme defines how to interpret the value of the "date" property.

//Here scheme="USA" implies "MM-DD-YYYY"
<META scheme="USA" name="date" content="04-05-1962">

//Here scheme="Europe" implies "DD-MM-YYYY"
<META scheme="Europe" name="date" content="05-04-1962">

The following example of the meta shows how the scheme can be used to clarify the value of the "id" property.

<META scheme="customer" name="id" content="Fancy Pants">

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

META


SCOPE Attribute | scope

SCOPE Attribute | scope Property

Sets or retrieves the group of cells in a table to which the object's information applies.

Syntax

HTML | <ELEMENT SCOPE = sScope... >
Scripting | object.scope(v) [ = sScope ]

Possible Values

sScope String that specifies or receives the group of cells to which the object's information applies.

The property is read/write. The property has no default value.

Remarks

This property can be used for rendering to non-visual media such as speech or Braille. It can also be used with style sheets.

The following table shows the possible values for this attribute as defined in HTML 4.0 Non-Microsoft link for td and th elements are:

row | The current cell provides header information for its row.
col | The current cell provides header information for its column.
rowgroup | The header cell provides header information for its row.
colgroup | The header cell provides header information for its column.

This attribute may be used in place of the headers attribute.

There is no functionality implemented for this property unless defined by the author.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TD, TH

See Also

headers


scopeName

scopeName Property

Retrieves the namespace defined for the element.

Syntax

HTML | N/A
Scripting | [ sName = ] object.scopeName

Possible Values

sName String that specifies one of the following values:
HTML | Default. All standard HTML tags.
scope | Namespace prefix used with the custom tags. This namespace is declared in the document using the XMLNS attribute of the html element.

The property is read-only. The property has a default value of HTML.

Example

This example shows the values returned by the scopeName and tagUrn properties when used with a simple HelloWorld custom tag. The browser's status bar displays the property values.

<HTML XMLNS:InetSDK='http://msdn.microsoft.com/workshop'>
<STYLE>
@media all {
InetSDK\:HelloWorld { behavior:url (simple.htc) }
}
</STYLE>
<SCRIPT>
function window.onload()
{
window.status = 'scopeName = ' + hello.scopeName +
'; tagUrn = '  + hello.tagUrn;
}
</SCRIPT>
<BODY>
<InetSDK:HelloWorld ID='hello'></InetSDK:HelloWorld>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP

See Also

Using Custom Tags in Internet Explorer


screenLeft

screenLeft Property

Retrieves the x-coordinate of the upper left-hand corner of the browser's client area, relative to the upper left-hand corner of the screen.

Syntax

[ iPos = ] window.screenLeft

Possible Values

iPos Integer that receives the x-coordinate, in pixels.

The property is read-only. The property has no default value.

Remarks

The client area consists of the browser window, exclusive of the caption bar, the window-sizing border, the menu bar, the toolbars, the scroll bars, and the status bars.

Standards Information

There is no public standard that applies to this property.

Applies To

window

See Also

screenTop


screenTop

screenTop Property

Retrieves the y-coordinate of the top corner of the browser's client area, relative to the top corner of the screen.

Syntax

[ iPos = ] window.screenTop

Possible Values

iPos Integer that receives the y-coordinate, in pixels.

The property is read-only. The property has no default value.

Remarks

The client area consists of the browser window, exclusive of the caption bar, the window-sizing border, the menu bar, the toolbars, the scroll bars, and the status bars.

Standards Information

There is no public standard that applies to this property.

Applies To

window

See Also

screenLeft


screenX

screenX Property

Retrieves the x-coordinate of the mouse pointer's position relative to the user's screen.

Syntax

event.screenX [ = iSize ]

Possible Values

iSize Integer that specifies or receives the x-coordinate, in pixels.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The property is read-only in Microsoft® Internet Explorer 4.0, and read/write in Internet Explorer 5 and later.

Standards Information

There is no public standard that applies to this property.

Applies To

event


screenY

screenY Property

Sets or retrieves the y-coordinate of the mouse pointer's position relative to the user's screen.

Syntax

event.screenY [ = iSize ]

Possible Values

iSize Integer that specifies or receives the y-coordinate, in pixels.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The property is read-only in Microsoft® Internet Explorer 4.0, and read/write in Internet Explorer 5 and later.

Standards Information

There is no public standard that applies to this property.

Applies To

event


SCROLL Attribute | scroll

SCROLL Attribute | scroll Property

Sets or retrieves a value that indicates whether the scroll bars are turned on or off.

What's New for Microsoft® Internet Explorer 6

When you use the !DOCTYPE declaration to specify standards-compliant mode, this attribute applies to the HTML element.

Syntax

HTML | <ELEMENT SCROLL = sScroll... >
Scripting | object.scroll [ = sScroll ]

Possible Values

sScroll String that specifies or receives one of the following values:
yes | Default. Scroll bars are turned on.
no | Scroll bars are turned off.
auto | Scroll bars are shown when the page content exceeds the client area.

The property is read/write. The property has a default value of yes.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

With Internet Explorer 6 and later, when you use the !DOCTYPE declaration to specify standards-compliant mode, this attribute applies to the HTML element. When standards-compliant mode is not specified, as with earlier versions of Internet Explorer, this attribute applies to the BODY element, not the HTML element.

Standards Information

There is no public standard that applies to this property.

Applies To

BODY, HTML

See Also

CSS Enhancements in Internet Explorer 6


SCROLLAMOUNT Attribute | scrollAmount

SCROLLAMOUNT Attribute | scrollAmount Property

Sets or retrieves the number of pixels the text scrolls between each subsequent drawing of the marquee.

Syntax

HTML | <MARQUEE SCROLLAMOUNT = iAmount... >
Scripting | MARQUEE.scrollAmount [ = iAmount ]

Possible Values

iAmount Integer that specifies or receives the number of pixels.

The property is read/write. The property has a default value of 6.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

There is no public standard that applies to this property.

Applies To

MARQUEE


scrollbar-3dlight-color Attribute | scrollbar3dLightColor

scrollbar-3dlight-color Attribute | scrollbar3dLightColor Property

Internet Development Index

Sets or retrieves the color of the top and left edges of the scroll box and scroll arrows of a scroll bar.

Syntax

HTML | { scrollbar-3dlight-color : vColor }
Scripting | object.style.scrollbar3dLightColor [ = vColor ]

Possible Values

vColor Variant that specifies or receives any color name or RGB values in the Color Table.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has no default value. The Microsoft Cascading Style Sheets (CSS) extension is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The scroll box is the square box within a scroll bar that can be moved either up and down or left and right on a track to change the position of the content on the screen. The scroll arrows, located at each end of a scroll bar, are the square buttons containing the arrows that move the content on the screen in small increments, either up and down or left and right.

This property applies to elements that display a scroll bar. Cascading Style Sheets (CSS) enable scrolling on all objects through the overflow property. These objects are not listed in the Applies To list for this property.

Example

The following example shows how to create a style rule that sets the scrollbar3dLightColor property for a textArea element.

<HTML>
<HEAD>
<STYLE>
TEXTAREA.Blue3dLight  { scrollbar-3dlight-color:blue }
</STYLE>
</HEAD>
<BODY>
<TEXTAREA CLASS="Blue3dLight">The top and left edges of the
thumb and button-face elements in the scroll bar for this
element will be blue.</TEXTAREA>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to CSS Non-Microsoft link.

Applies To

APPLET, BDO, BODY, currentStyle, CUSTOM, defaults, DIV, EMBED, OBJECT, runtimeStyle, style, TEXTAREA

See Also

scrollbarArrowColor, scrollbarBaseColor, scrollbarDarkShadowColor, scrollbarFaceColor, scrollbarHighlightColor, scrollbarShadowColor, scrollbarTrackColor


scrollbar-arrow-color Attribute | scrollbarArrowColor

scrollbar-arrow-color Attribute | scrollbarArrowColor Property

Internet Development Index

Sets or retrieves the color of the arrow elements of a scroll arrow.

Syntax

HTML | { scrollbar-arrow-color : vColor }
Scripting | object.style.scrollbarArrowColor [ = vColor ]

Possible Values

vColor Variant that specifies or receives any color name or RGB values in the Color Table.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has no default value. The Microsoft Cascading Style Sheets (CSS) extension is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The scroll arrows, located at each end of a scroll bar, are the square buttons containing the arrows that move the content on the screen in small increments, either up and down or left and right.

This property applies to elements that display a scroll bar. Cascading Style Sheets (CSS) enable scrolling on all objects through the overflow property. These objects are not listed in the Applies To list for this property.

Example

The following example shows how to create a style rule that sets the scrollbarArrowColor property for a textArea element.

<HTML>
<HEAD>
<STYLE>
TEXTAREA.BlueArrow  { scrollbar-arrow-color:blue }
</STYLE>
</HEAD>
<BODY>
<TEXTAREA CLASS="BlueArrow">The arrows in the scroll bar for
this element will be blue.</TEXTAREA>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to CSS Non-Microsoft link.

Applies To

APPLET, BDO, BODY, currentStyle, CUSTOM, defaults, DIV, EMBED, OBJECT, runtimeStyle, style, TEXTAREA

See Also

scrollbar3dLightColor, scrollbarBaseColor, scrollbarDarkShadowColor, scrollbarFaceColor, scrollbarHighlightColor, scrollbarShadowColor, scrollbarTrackColor


scrollbar-base-color Attribute | scrollbarBaseColor

scrollbar-base-color Attribute | scrollbarBaseColor Property

Sets or retrieves the color of the main elements of a scroll bar, which include the scroll box, track, and scroll arrows.

Syntax

HTML | { scrollbar-base-color : vColor }
Scripting | object.style.scrollbarBaseColor [ = vColor ]

Possible Values

vColor Variant that specifies or receives any color name or RGB values in the Color Table.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has no default value. The Microsoft Cascading Style Sheets (CSS) extension is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The scroll box is the square box within a scroll bar that can be moved either up and down or left and right on a track to change the position of the content on the screen. The scroll arrows, located at each end of a scroll bar, are the square buttons containing the arrows that move the content on the screen in small increments, either up and down or left and right.

This property applies to elements that display a scroll bar. Cascading Style Sheets (CSS) enable scrolling on all objects through the overflow property. These objects are not listed in the Applies To list for this property.

The scrollbarBaseColor property is a composite property. You can use separate properties to specify each of the individual properties, but in many cases it is more convenient to set them in one place using this composite property.

Examples

The following example shows how to create a style rule that sets the scrollbarBaseColor property for a textArea element.

<HTML>
<HEAD>
<STYLE>
TEXTAREA.BlueScrollbar  { scrollbar-base-color:blue }
</STYLE>
</HEAD>
<BODY>
<TEXTAREA CLASS="BlueScrollbar">The scroll bar for
this element will be blue.</TEXTAREA>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The following style rule uses the scrollbar-base-color attribute as part of a coordinated color theme. Earth tones are specified for all the elements defined in the style rule.

<STYLE>
BODY { scrollbar-base-color:darkolivegreen; background-color:tan }
H1 { color:bisque }
P { color:darkslategray }
</STYLE>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to CSS Non-Microsoft link.

Applies To

APPLET, BDO, BODY, currentStyle, CUSTOM, defaults, DIV, EMBED, OBJECT, runtimeStyle, style, TEXTAREA

See Also

scrollbar3dLightColor, scrollbarArrowColor, scrollbarDarkShadowColor, scrollbarFaceColor, scrollbarHighlightColor, scrollbarShadowColor, scrollbarTrackColor


scrollbar-darkshadow-color Attribute | scrollbarDarkShadowColor

scrollbar-darkshadow-color Attribute | scrollbarDarkShadowColor Property

Internet Development Index

Sets or retrieves the color of the gutter of a scroll bar.

Syntax

HTML | { scrollbar-darkshadow-color : vColor }
Scripting | object.style.scrollbarDarkShadowColor [ = vColor ]

Possible Values

vColor Variant that specifies or receives any color name or RGB values in the Color Table.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has no default value. The Microsoft Cascading Style Sheets (CSS) extension is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The gutter is the space between the track and the bottom and right edges of the scroll box and scroll arrows of the scroll bar. The scrollbarDarkShadowColor appears outside the scrollbarShadowColor. The track is the element of a scroll bar on which the scroll box can slide either up and down or left and right. The scroll box is the square box within a scroll bar that can be moved either up and down or left and right on a track to change the position of the content on the screen. The scroll arrows, located at each end of a scroll bar, are the square buttons containing the arrows that move the content on the screen in small increments, either up and down or left and right.

This property applies to elements that display a scroll bar. Cascading Style Sheets (CSS) enable scrolling on all objects through the overflow property. These objects are not listed in the Applies To list for this property.

Example

The following example shows how to create a style rule that sets the scrollbarDarkShadowColor property for a textArea element.

<HTML>
<HEAD>
<STYLE>
TEXTAREA.BlueShadow  { scrollbar-darkshadow-color:blue }
</STYLE>
</HEAD>
<BODY>
<TEXTAREA CLASS="BlueShadow">The gutter elements in the scroll bar for
this element will be blue.</TEXTAREA>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to CSS Non-Microsoft link.

Applies To

APPLET, BDO, BODY, currentStyle, CUSTOM, defaults, DIV, EMBED, OBJECT, runtimeStyle, style, TEXTAREA

See Also

scrollbar3dLightColor, scrollbarArrowColor, scrollbarBaseColor, scrollbarFaceColor, scrollbarHighlightColor, scrollbarShadowColor, scrollbarTrackColor


scrollbar-face-color Attribute | scrollbarFaceColor

scrollbar-face-color Attribute | scrollbarFaceColor Property

Sets or retrieves the color of the scroll box and scroll arrows of a scroll bar.

Syntax

HTML | { scrollbar-face-color : vColor }
Scripting | object.style.scrollbarFaceColor [ = vColor ]

Possible Values

vColor Variant that specifies or receives any color name or RGB values in the Color Table.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has no default value. The Microsoft Cascading Style Sheets (CSS) extension is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The scroll box is the square box within a scroll bar that can be moved either up and down or left and right on a track to change the position of the content on the screen. The scroll arrows, located at each end of a scroll bar, are the square buttons containing the arrows that move the content on the screen in small increments, either up and down or left and right.

This property applies to elements that display a scroll bar. Cascading Style Sheets (CSS) enable scrolling on all objects through the overflow property. These objects are not listed in the Applies To list for this property.

Example

The following example shows how to create a style rule that sets the scrollbarFaceColor property for a textArea element.

<HTML>
<HEAD>
<STYLE>
TEXTAREA.BlueFace  { scrollbar-face-color:blue }
</STYLE>
</HEAD>
<BODY>
<TEXTAREA CLASS="BlueFace">The thumb and button-face elements in the scroll bar for
this element will be blue.</TEXTAREA>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to CSS Non-Microsoft link.

Applies To

APPLET, BDO, BODY, currentStyle, CUSTOM, defaults, DIV, EMBED, OBJECT, runtimeStyle, style, TEXTAREA

See Also

scrollbar3dLightColor, scrollbarArrowColor, scrollbarBaseColor, scrollbarDarkShadowColor, scrollbarHighlightColor, scrollbarShadowColor, scrollbarTrackColor


scrollbar-highlight-color Attribute | scrollbarHighlightColor

scrollbar-highlight-color Attribute | scrollbarHighlightColor Property

Internet Development Index

Sets or retrieves the color of the top and left edges of the scroll box and scroll arrows of a scroll bar.

Syntax

HTML | { scrollbar-highlight-color : vColor }
Scripting | object.style.scrollbarHighlightColor [ = vColor ]

Possible Values

vColor Variant that specifies or receives any color name or RGB values in the Color Table.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has no default value. The Microsoft Cascading Style Sheets (CSS) extension is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The scroll box is the square box within a scroll bar that can be moved either up and down or left and right on a track to change the position of the content on the screen. The scroll arrows, located at each end of a scroll bar, are the square buttons containing the arrows that move the content on the screen in small increments, either up and down or left and right.

This property applies to elements that display a scroll bar. Cascading Style Sheets (CSS) enable scrolling on all objects through the overflow property. These objects are not listed in the Applies To list for this property.

Example

The following example shows how to create a style rule that sets the scrollbarHighlightColor property for a textArea element.

<HTML>
<HEAD>
<STYLE>
TEXTAREA.BlueHighlight  { scrollbar-highlight-color:blue }
</STYLE>
</HEAD>
<BODY>
<TEXTAREA CLASS="BlueHighlight">The scroll bar face for this
element will turn blue when a scroll bar button is pressed.
</TEXTAREA>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to CSS Non-Microsoft link.

Applies To

APPLET, BDO, BODY, currentStyle, CUSTOM, defaults, DIV, EMBED, OBJECT, runtimeStyle, style, TEXTAREA

See Also

scrollbar3dLightColor, scrollbarArrowColor, scrollbarBaseColor, scrollbarDarkShadowColor, scrollbarFaceColor, scrollbarShadowColor, scrollbarTrackColor


scrollbar-shadow-color Attribute | scrollbarShadowColor

scrollbar-shadow-color Attribute | scrollbarShadowColor Property

Internet Development Index

Sets or retrieves the color of the bottom and right edges of the scroll box and scroll arrows of a scroll bar.

Syntax

HTML | { scrollbar-shadow-color : vColor }
Scripting | object.style.scrollbarShadowColor [ = vColor ]

Possible Values

vColor Variant that specifies or receives any color name or RGB values in the Color Table.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has no default value. The Microsoft Cascading Style Sheets (CSS) extension is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The scroll box is the square box within a scroll bar that can be moved either up and down or left and right on a track to change the position of the content on the screen. The scroll arrows, located at each end of a scroll bar, are the square buttons containing the arrows that move the content on the screen in small increments, either up and down or left and right.

This property applies to elements that display a scroll bar. Cascading Style Sheets (CSS) enable scrolling on all objects through the overflow property. These objects are not listed in the Applies To list for this property.

Example

The following example shows how to create a style rule that sets the scrollbarShadowColor property for a textArea element.

<HTML>
<HEAD>
<STYLE>
TEXTAREA.BlueShadow  { scrollbar-shadow-color:blue }
</STYLE>
</HEAD>
<BODY>
<TEXTAREA CLASS="BlueShadow">The gutter elements in the scroll bar for
this element will be blue.</TEXTAREA>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to CSS Non-Microsoft link.

Applies To

APPLET, BDO, BODY, currentStyle, CUSTOM, defaults, DIV, EMBED, OBJECT, runtimeStyle, style, TEXTAREA

See Also

scrollbar3dLightColor, scrollbarArrowColor, scrollbarBaseColor, scrollbarDarkShadowColor, scrollbarFaceColor, scrollbarHighlightColor, scrollbarTrackColor


scrollbar-track-color Attribute | scrollbarTrackColor

scrollbar-track-color Attribute | scrollbarTrackColor Property

Internet Development Index

Sets or retrieves the color of the track element of a scroll bar.

Syntax

HTML | { scrollbar-track-color : vColor }
Scripting | object.style.scrollbarTrackColor [ = vColor ]

Possible Values

vColor Variant that specifies or receives any color name or RGB values in the Color Table.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has no default value. The Microsoft Cascading Style Sheets (CSS) extension is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The track is the element of a scroll bar on which the scroll box can slide either up and down or left and right. The scroll box is the square box within a scroll bar that can be moved either up and down or left and right on a track to change the position of the content on the screen.

This property applies to elements that display a scroll bar. Cascading Style Sheets (CSS) enable scrolling on all objects through the overflow property. These objects are not listed in the Applies To list for this property.

Example

The following example shows how to create a style rule that sets the scrollbarTrackColor property for a textArea element.

<HTML>
<HEAD>
<STYLE>
TEXTAREA.BlueTrack  { scrollbar-track-color:blue }
</STYLE>
</HEAD>
<BODY>
<TEXTAREA CLASS="BlueTrack">The track element in the scroll bar for this
element will be blue.</TEXTAREA>
</BODY>
</HTML>

Standards Information

There is no public standard that applies to this property.

Applies To

APPLET, BDO, BODY, currentStyle, CUSTOM, defaults, DIV, EMBED, OBJECT, runtimeStyle, style, TEXTAREA

See Also

scrollbar3dLightColor, scrollbarArrowColor, scrollbarBaseColor, scrollbarDarkShadowColor, scrollbarFaceColor, scrollbarHighlightColor, scrollbarShadowColor


SCROLLDELAY Attribute | scrollDelay

SCROLLDELAY Attribute | scrollDelay Property

Sets or retrieves the speed of the marquee scroll.

Syntax

HTML | <MARQUEE SCROLLDELAY = iDelay... >
Scripting | MARQUEE.scrollDelay [ = iDelay ]

Possible Values

iDelay Integer that specifies or receives the delay, in milliseconds.

The property is read/write. The property has a default value of 85.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

There is no public standard that applies to this property.

Applies To

MARQUEE


scrollHeight

scrollHeight Property

Retrieves the scrolling height of the object.

Syntax

HTML | N/A
Scripting | [ iHeight = ] object.scrollHeight

Possible Values

iHeight Pointer to a nonnegative long integer that specifies the height, in pixels.

The property is read-only. The property has no default value.

Remarks

The height is the distance between the top and bottom edges of the object's content.

For more information about how to access the dimension and location of objects on the page through the Dynamic HTML (DHTML) Object Model, see Measuring Element Dimension and Location.

Example

This example uses the scrollHeight property to retrieve the height of the viewable content.

<SCRIPT>
function fnCheckScroll(){
var iNewHeight = oDiv.scrollHeight;
alert("The value of the scrollHeight property is: "
+ iNewHeight);
}
</SCRIPT>
:
<DIV ID=oDiv STYLE="overflow:scroll; height=100;
width=250; text-align:left">
:
</DIV>
<INPUT TYPE=button VALUE="Check scrollHeight"
onclick="fnCheckScroll()">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, HEAD, hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, META, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

scrollLeft, scrollTop, scrollWidth


SCROLLING Attribute | scrolling

SCROLLING Attribute | scrolling Property

Sets or retrieves whether the frame can be scrolled.

Syntax

HTML | <ELEMENT SCROLLING = sScrolling... >
Scripting | object.scrolling [ = sScrolling ]

Possible Values

sScrolling String that specifies or receives one of the following values.
auto | Default. Browser determines whether scroll bars are necessary.
no | Frame cannot be scrolled.
yes | Frame can be scrolled.

The property is read/write. The property has a default value of auto.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

FRAME, IFRAME


scrollLeft

scrollLeft Property

Sets or retrieves the distance between the left edge of the object and the leftmost portion of the content currently visible in the window.

Syntax

HTML | N/A
Scripting | object.scrollLeft [ = iDistance ]

Possible Values

iDistance Integer that specifies or receives the distance, in pixels.

The property is read/write. The property has a default value of 0.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This property's value equals the current horizontal offset of the content within the scrollable range. Although you can set this property to any value, if you assign a value less than 0, the property is set to 0. If you assign a value greater than the maximum value, the property is set to the maximum value.

You can set this property inline, but the results might be inconsistent while the page loads.

This property is always 0 for objects that do not have scroll bars. For these objects, setting the property has no effect.

When a marquee object scrolls vertically, its scrollLeft property is set to 0, overriding any script setting.

For more information about how to access the dimension and location of elements on the page through the Dynamic HTML (DHTML) Object Model, see Measuring Element Dimension and Location.

Example

This example uses the scrollLeft property to determine the amount scrolled by the object.

<DIV ID=oDiv STYLE="position:absolute; width:200px;
height:100px; overflow:scroll"
onclick=alert(this.scrollLeft)>
<SPAN STYLE="width:250px"> . . . </SPAN></DIV>

Standards Information

There is no public standard that applies to this property.

Applies To

A, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, HEAD, hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, META, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

scrollHeight, scrollTop, scrollWidth


scrollTop

scrollTop Property

Sets or retrieves the distance between the top of the object and the topmost portion of the content currently visible in the window.

Syntax

HTML | N/A
Scripting | object.scrollTop [ = iDistance ]

Possible Values

iDistance Integer that specifies or receives the distance, in pixels.

The property is read/write. The property has a default value of 0.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This property's value equals the current vertical offset of the content within the scrollable range. Although you can set this property to any value, if you assign a value less than 0, the property is set to 0. If you assign a value greater than the maximum value, the property is set to the maximum value.

You can set this property inline, but the results might be inconsistent while the page is loading.

This property is always 0 for objects that do not have scroll bars. For these objects, setting the property has no effect.

When a marquee object scrolls horizontally, its scrollTop property is set to 0, overriding any script setting.

For more information about how to access the dimension and location of elements on the page through the Dynamic HTML (DHTML) Object Model, see Measuring Element Dimension and Location.

Example

This example uses the scrollTop property to determine the amount scrolled by the object.

<DIV ID=oDiv STYLE="position:absolute; width:200px;
height:100px; overflow:scroll"
onclick=alert(this.scrollTop)>
<SPAN STYLE="width:250px"> . . . </SPAN></DIV>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, HEAD, hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, META, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

scrollHeight, scrollLeft, scrollWidth


scrollWidth

scrollWidth Property

Retrieves the scrolling width of the object.

Syntax

HTML | N/A
Scripting | [ iWidth = ] object.scrollWidth

Possible Values

iWidth Pointer to a nonnegative long integer that specifies the width, in pixels.

The property is read-only. The property has no default value.

Remarks

The width is the distance between the left and right edges of the object's visible content.

For more information about how to access the dimension and location of objects on the page through the Dynamic HTML (DHTML) Object Model, see Measuring Element Dimension and Location.

Example

When the overflow property is set to auto, the content can exceed the dimensions of an element, and scroll bars appear. You can use the scrollWidth property to retrieve the width of the content within the element.

This example uses the scrollWidth property to compare the rendered width of a div element with the width of the content. The width of the element, as rendered on the page, is exposed through the offsetWidth property.

<SCRIPT>
function fnCheckScroll(){
var iScrollWidth = oDiv.scrollWidth;
var iOffsetWidth = oDiv.offsetWidth;
var iDifference = iScrollWidth - iOffsetWidth;
alert("Width: " + iOffsetWidth
+ "\nContent Width: " + iScrollWidth
+ "\nDifference: " + iDifference);
}
</SCRIPT>
:
<DIV ID=oDiv STYLE="overflow:scroll; height=200; width=250;
text-align:left">
:
</DIV>
<INPUT TYPE=button VALUE="Check scrollWidth"
onclick="fnCheckScroll()">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, HEAD, hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MENU, META, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

width, scrollHeight, scrollLeft, scrollTop


search

search Property

Sets or retrieves the substring of the href property that follows the question mark.

Syntax

HTML | N/A
Scripting | object.search [ = sSearch ]

Possible Values

sSearch String that specifies or receives the substring of the href property.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The substring that follows the question mark is the query string or form data.

Example

This example function returns the search property of the current page location.

function getSearch()
{
return document.location.search;
}

Standards Information

There is no public standard that applies to this property.

Applies To

A, AREA, location


sectionRowIndex

sectionRowIndex Property

Retrieves the position of the object in the tBody, tHead, tFoot, or rows collection.

Syntax

HTML | N/A
Scripting | [ iIndex = ] TR.sectionRowIndex

Possible Values

iIndex Integer that receives Integer that specifies the index position of the object.

The property is read-only. The property has no default value.

Remarks

The tBody, tHead, and tFoot sections are mutually exclusive, so a tr is always contained in one of these sections and in the table. The rowIndex property indicates the position of the object in the rows collection for the table. Collection indexes are in source order of the HTML document.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TR

See Also

cellIndex, sourceIndex


SECURITY

SECURITY Attribute

Sets the value indicating whether the source file of a frame or iframe has specific security restrictions applied.

Syntax

HTML | <ELEMENT SECURITY=sSecure ... >
Scripting | N/A

Possible Values

sSecure String that specifies one of the following values.
restricted Applies security settings to frame or iframe source files.

Remarks

Note sSecure must specify the value restricted.

The SECURITY attribute applies the user's security settings of Restricted Sites to the source file of a frame or iframe. These security setting are found on the Security tab of the Internet Options dialog box found on the Tools menu. Changing these setting could have various results including scripting to be allowed.

Independent of user security settings, the SECURITY attribute effects hyperlink behaviors inside a restricted frame or iframe in the following two ways.

  • Hyperlinks render in a new browser window. This happens even when the TARGET attribute specifies hyperlinks to render within a restricted frame or a frame nested within the restricted frame. For example, clicking on a hyperlink within the iframe below causes a new browser window to open with the requested document.
    <IFRAME SECURITY="restricted" src="http://www.microsoft.com"></IFRAME>
  • The SECURITY attribute restricts use of the javascript, vbscript, and about protocols in URLs. For example, in a restricted frame or iframe, the source file would not be able to execute the following code.
    <A HREF="javascript:alert('Will not work in restricted FRAME or IFRAME!');">
JavaScript Link</A>

As usual, you can access the properties and contents of a restricted frame or iframe through the Document Object Model (DOM) of the container document.

If a frame is restricted by the SECURITY attribute, all nested frames share the same restrictions.

Because SECURITY is an attribute only, it must be defined in the frame element declaration.

Example

The following example shows how to give the user the choice of loading a document into a restricted or unrestricted iframe. Note that the createElement method is used to create the two IFRAMES. The createElement method must use an HTML string for the parameter to specify the SECURITY attribute dynamically. This is because once the iframe is parsed into the document, it cannot be altered.

<HTML>
<HEAD>
<SCRIPT>
var bRestShown = false;
var bUnRestShown = false;
function createIframe(){
var sContents;
if (event.srcElement.id=="restricted" && bRestShown!=true){
sContents = "<IFRAME SECURITY='restricted' SRC='frameSource.htm'>"
var newIframe = document.createElement(sContents);
restIframe.appendChild(newIframe);}
else if (event.srcElement.id=="unrestricted" && bUnRestShown!=true){
sContents = "<IFRAME SRC='frameSource.htm'>"
var newIframe = document.createElement(sContents);
unRestIframe.appendChild(newIframe);}
}
</SCRIPT>
</HEAD>
<BODY>
<table>
<TR>
<TD><INPUT ID="restricted" TYPE="BUTTON" ONCLICK="createIframe();bRestShown=true;"
VALUE="Create Restricted IFRAME"></TD>
<TD><INPUT ID="unrestricted" TYPE="BUTTON" ONCLICK="createIframe();bUnRestShown=true;" VALUE="Create Unrestricted IFRAME"></TD>
</TR>
<tr>
<td>
<b>IFRAME with SECURITY="restricted"</b>
</td>
<td>
<b>IFRAME without SECURITY attribute</b>
</td>
</tr>
<TR>
<td>
<SPAN id="restIframe"></SPAN>
</td>
<td>
<SPAN id="unRestIframe"></SPAN>
</td>
</tr>
</table>
<BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

FRAME, IFRAME


SELECTED Attribute | selected

SELECTED Attribute | selected Property

Sets or retrieves whether the option in the list box is the default item.

Syntax

HTML | <OPTION SELECTED ... >
Scripting | OPTION.selected [ = bSelected ]

Possible Values

bSelected Boolean that specifies or receives one of the following values.
false | Default. Item is not selected as the default.
true | Item is selected as the default.

The property is read/write. The property has a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

If the property is not set, the first item is selected by default.

The property determines whether a value is submitted with the form. If the value of the control matches the default value, the control's value is not submitted. The value is submitted only when the control's value does not match the default value.

To select an item in HTML, it is not necessary to set the value of the SELECTED attribute to true. The mere presence of the SELECTED attribute set its value to true.

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

OPTION

See Also

defaultSelected


selectedIndex

selectedIndex Property

Sets or retrieves the index of the selected option in a select object.

Syntax

HTML | N/A
Scripting | SELECT.selectedIndex [ = iIndex ]

Possible Values

iIndex Integer that specifies or receives the index.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Options in a select object are indexed in the order in which they are defined, starting with an index of 0. When you set the selectedIndex property, the display of the select object updates immediately.

The selectedIndex property returns -1 if a select object does not contain any selected items. Setting the selectedIndex property clears any existing selected items.

The selectedIndex property is most useful when used with select objects that support selecting only one item at a time—that is, those in which the MULTIPLE attribute is not specified. If the MULTIPLE attribute is specified for a select object, the selectedIndex property returns only the index of the first selected item, if any.

The selected property is most useful when used with select objects that support selecting more than one item at a time—that is, those in which the MULTIPLE attribute is specified. You can use the selected property to determine whether an individual item in a select object is selected. In addition, selected items are not cleared when the selected property is set. This allows multiple items in the list to be selected at the same time.

Example

This example uses the selectedIndex property to retrieve individual values from a select object. When a site is selected from the list, the browser displays the associated page.

<SELECT onchange="window.location.href=this.options
[this.selectedIndex].value">
<OPTION VALUE="http://www.microsoft.com/ie">
Internet Explorer</OPTION>
<OPTION VALUE="http://www.microsoft.com">
Microsoft Home</OPTION>
<OPTION VALUE="http://msdn.microsoft.com">
Developer Network</OPTION>
</SELECT>

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

SELECT


selector

selector Property

Retrieves a string that identifies which page or pages an @page rule applies to.

Syntax

[ sSelector = ] page.selector

Possible Values

sSelector String that receives the page selector.

The property is read-only. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

There is no public standard that applies to this property.

Applies To

page

See Also

pages


selectorText

selectorText Property

Retrieves a string that identifies which elements the corresponding style sheet rule applies to.

Syntax

rule.selectorText [ = sSelectorText ]

Possible Values

sSelectorText String that specifies or receives the element.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

A selector can be either a simple selector (such as 'H1'), or a contextual selector (such as 'H1 B') that consists of several simple selectors.

Standards Information

There is no public standard that applies to this property.

Applies To

rule

See Also

rules


self

self Property

Retrieves a reference to the current window or frame.

Syntax

HTML | N/A
Scripting | [ oSelf = ] object.self

Possible Values

oSelf Object that receives the current window or frame.

The property is read-only. The property has no default value.

Remarks

You can use the property to explicitly refer to the current window or frame. To improve scripting efficiency, you also can use it to make implicit window references explicit.

Standards Information

There is no public standard that applies to this property.

Applies To

FRAME, window


setAttribute

setAttribute Method

Sets the value of the specified attribute.

Syntax

object.setAttribute(sAttrName, vAttrValue)

Parameters

sAttrName | Required. String that specifies the name of the persistent attribute.
vAttrValue | Required. Variant that specifies the value of the persistent attribute.

Return Value

No return value.

Remarks

If the specified attribute is not already present, the setAttribute method adds the attribute to the object and sets the value.

The sAttrName value is not case sensitive.

This method requires an object participating in persistence, where that object has a class name equal to the desired persistence behavior. An ID is required for the userData and saveSnapshot behaviors, and recommended for the saveHistory and saveFavorite behaviors.

This method overrides the DHTML setAttribute method.

Example

This example uses the setAttribute method to set an attribute on an object participating in userData persistence.

<HEAD>
<STYLE>
.userData {behavior:url(#default#userdata);}
</STYLE>
<SCRIPT>
function fnGet(){
oPersistInput.load("oDataStore");
oPersistInput.value=oPersistInput.getAttribute("sPersistAttr");
}
function fnSet(){
oPersistInput.setAttribute("sPersistAttr",oPersistInput.value);
oPersistInput.save("oDataStore");
}
function fnRem(){
oPersistInput.removeAttribute("sPersistAttr");
oPersistInput.save("oDataStore");
}
</SCRIPT>
</HEAD>
<BODY >
<INPUT type=text class=userData id=oPersistInput>
<INPUT type=button value="Get Attribute" onclick="fnGet()">
<INPUT type=button value="Set Attribute" onclick="fnSet()">
<INPUT type=button value="Remove Attribute" onclick="fnRem()">
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

saveFavorite, saveHistory, userData

See Also

Introduction to DHTML Behaviors, Introduction to Persistence, getAttribute, removeAttribute


SHAPE Attribute | shape

SHAPE Attribute | shape Property

Sets or retrieves the shape of the object.

What's New for Microsoft® Internet Explorer 6

This property now applies to the a object.

Syntax

HTML | <ELEMENT SHAPE = sShape... >
Scripting | object.shape [ = sShape ]

Possible Values

sShape String that specifies or receives one of the following values.
circ | Circle
circle | Circle
poly | Polygon
polygon | Polygon
rect | Rectangle
rectangle | Rectangle

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Example

This example provides the full code for an image map of the solar system. When you click on the sun or any planet, you will link to the image associated with the x,y coordinate. You can click the Back button from the image to return to the solar system image map.

<P><IMG SRC="solarsys.gif" WIDTH=504 HEIGHT=126
BORDER=0 ALT="Solar System" USEMAP="#SystemMap">
<MAP NAME="SystemMap">
<AREA SHAPE="rect" COORDS="0,0,82,126"
HREF="../common/sun.gif">
<AREA SHAPE="circle" COORDS="90,58,3"
HREF="../common/merglobe.gif">
<AREA SHAPE="circle" COORDS="124,58,8"
HREF="../common/venglobe.gif">
<AREA SHAPE="circle" COORDS="162,58,10"
HREF="../common/earglobe.gif">
<AREA SHAPE="circle" COORDS="203,58,8"
HREF="../common/marglobe.gif">
<AREA SHAPE="poly" COORDS="221,34,238,37,257,32,278,
44,284,60,281,75,288,91,267,87,253,89,237,81,229,
64,228,54" HREF="../common/jupglobe.gif">
<AREA SHAPE="poly" COORDS="288,19,316,39,330,37,348,
47,351,66,349,74,367,105,337,85,324,85,307,77,303,
60,307,50" HREF="../common/satglobe.gif">
<AREA SHAPE="poly" COORDS="405,39,408,50,411,57,410,
71,404,78,393,80,383,86,381,75,376,69,376,56,380,
48,393,44" HREF="../common/uraglobe.gif">
<AREA SHAPE="poly" COORDS="445,38,434,49,431,53,427,62,
430,72,435,77,445,92,456,77,463,72,463,62,462,53,
455,47" HREF="../common/nepglobe.gif">
<AREA SHAPE="circle" COORDS="479,66,3"
HREF="../common/pluglobe.gif">
</MAP>

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, AREA


shiftKey

shiftKey Property

Retrieves the state of the SHIFT key.

Syntax

[ bKey = ] event.shiftKey

Possible Values

bKey Boolean that receives one of the following values.
false | SHIFT key is not pressed.
true | SHIFT key is pressed.

The property is read-only. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Example

This example demonstrates how to retrieve the state of the SHIFT key. Any key pressed fires the onkeydown event handler, enabling you to retrieve the state of the SHIFT key. Because the onkeyup event handler only fires when a key is released, it always returns false for the SHIFT key's state. The onkeypress event handler only fires when the user presses an alphanumeric key—it will not fire if the SHIFT key is pressed.

<HTML>
.
.
.
<BODY onkeydown="okd.innerText=event.shiftKey;"
onkeypress="okp.innerText=event.shiftKey;"
onkeyup="oku.innerText=event.shiftKey;">
State of SHIFT key from the onkeydown event handler:
<SPAN id="okd" class="b"></SPAN><BR>
State of SHIFT key from the onkeyup event handler:
<SPAN id="oku" class="b"></SPAN><BR>
State of SHIFT key from the onkeypress event handler:
<SPAN id="okp" class="b"></SPAN>
.
.
.
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

event

See Also

shiftLeft


shiftLeft

shiftLeft Property

Retrieves the state of the left SHIFT key.

Syntax

[ bPressed = ] event.shiftLeft

Possible Values

bPressed Boolean that receives one of the following values.
false | Left SHIFT key is not pressed.
true | Left SHIFT key is pressed.

The property is read-only. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The document must have focus for this property to return true.

Example

The following example shows how to use the shiftLeft property to indicate when the user presses the left or right SHIFT keys.

<HEAD>
<SCRIPT>
function init() {
spanLeftShift.innerText='false';
spanRightShift.innerText='false';
}
function indicate(obj, arg) {
obj.innerText=arg;
}
function ShiftDown() {
if (event.shiftLeft) {
indicate(spanLeftShift,'true');
}
else {
if (event.shiftKey) {
indicate(spanRightShift,'true');
}
}
}
function ShiftUp() {
if (!event.shiftKey) {
indicate(spanLeftShift,'false');
indicate(spanRightShift,'false');
}
}
</SCRIPT>
</HEAD>
<BODY onload="document.body.focus(); init()" onkeydown="ShiftDown();" onkeyup="ShiftUp();">
<P>Press either the left or right SHIFT key.</P>
<TABLE>
<TR>
<TD><I>Left SHIFT Key Pressed</I></TD>
<TD><I>Right SHIFT Key Pressed</I></TD>
</TR>
<TR>
<TD ALIGN="center"><SPAN ID="spanLeftShift"></SPAN></TD>
<TD ALIGN="center"><SPAN ID="spanRightShift"></SPAN></TD>
</TR>
</TABLE>
</P>
</BODY>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

event

See Also

shiftKey


SIZE Attribute | size

SIZE Attribute | size Property

Sets or retrieves the font size of the object.

Syntax

HTML | <ELEMENT SIZE = iSize... >
Scripting | object.size [ = iSize ]

Possible Values

iSize Integer that specifies or receives the font size within a range of 1 through 7, with 7 representing the largest font.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

This property is deprecated in HTML Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

BASEFONT, FONT


SIZE Attribute | size

SIZE Attribute | size Property

Sets or retrieves the height of the hr object.

Syntax

HTML | <HR SIZE = iSize... >
Scripting | HR.size [ = iSize ]

Possible Values

iSize Variant that specifies or receives the height, in pixels.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

This property is deprecated in HTML Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

HR


SIZE Attribute | size

SIZE Attribute | size Property

Sets or retrieves the size of the control.

Syntax

HTML | <ELEMENT SIZE = iSize... >
Scripting | object.size [ = iSize ]

Possible Values

iSize Integer that specifies or receives the size, in characters.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Although this property is read/write, no change is visible when you set the size of the input type=reset, input type=submit, and input type=image objects. However, you can detect a change to the size property for these objects in code.

For the input type=text object, the size is in characters and represents the width of the text box. When the size is specified, the select object represents a list box with the specified number of rows.

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text

See Also

maxLength


SIZE Attribute | size

SIZE Attribute | size Property

Sets or retrieves the number of rows in the list box.

Syntax

HTML | <SELECT SIZE = iRows... >
Scripting | SELECT.size [ = iRows ]

Possible Values

iRows Integer that specifies or receives the number of rows.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

SELECT


sound

sound Property

Sets or retrieves the Microsoft® DirectAnimation® sound (DASound class) played by the anim:DA element.

Syntax

XML | N/A
Scripting | anim:DA.sound [ = oSound ]

Possible Values

oSound DASound object that specifies the sound played by the anim:DA element.

The property is read/write. The property has no default value.

Standards Information

There is no public standard that applies to this property.

Applies To

anim:DA

See Also

image, statics


sourceIndex

sourceIndex Property

Retrieves the ordinal position of the object, in source order, as the object appears in the document's all collection.

Syntax

HTML | N/A
Scripting | [ iIndex = ] object.sourceIndex

Possible Values

iIndex Integer that receives the ordinal position.

The property is read-only. The property has no default value.

Example

This example uses the sourceIndex property to identify the previous and next elements in the all collection.

<SCRIPT>
function fnHandler(){
// Retrieve the element that fired the event.
var oElement=event.srcElement;
var iIndex=oElement.sourceIndex;
var sTagName=oElement.tagName;
if(sTagName=="!"){
sTagName="COMMENT";
}
oVal1.innerText=iIndex;
oVal2.innerText=sTagName;
if(iIndex-1>0){
sTagName=document.all[iIndex-1].tagName;
if(sTagName=="!"){
sTagName="COMMENT";
}
oVal3.innerText=sTagName;
}
else{
oVal3.innerText="Cannot read.";
}
if(iIndex+1<document.all.length){
sTagName=document.all[iIndex+1].tagName;
if(sTagName=="!"){
sTagName="COMMENT";
}
oVal4.innerText=sTagName;
}
else{
oVal4.innerText="Cannot read.";
}
}
</SCRIPT>
<BODY onmousemove="fnHandler()">
<TABLE>
<TR><TD>Source Index:</TD><TD ID=oVal1></TD></TR>
<TR><TD>Object Name:</TD><TD ID=oVal2></TD></TR>
<TR><TD>Previous Object:</TD><TD ID=oVal3></TD></TR>
<TR><TD>Next Object:</TD><TD ID=oVal4></TD></TR>
</TABLE>
</BODY>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, nextID, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP


sourceURL

sourceURL Property

Retrieves the URL of the media.

Syntax

[ sSourceURL = ] MediaItem.sourceURL

Possible Values

sSourceURL String that receives the URL of the media.

The property is read-only. The property has no default value.

Applies To

MediaItem


SPAN Attribute | span

SPAN Attribute | span Property

Sets or retrieves the number of columns in the group.

Syntax

HTML | <ELEMENT SPAN = iSpan... >
Scripting | object.span [ = iSpan ]

Possible Values

iSpan Integer that specifies or receives the number of spanned columns. The default value is 1.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The span property is ignored when set on the colGroup element and colGroup contains one or more col elements. The span property provides a more convenient way of grouping columns without having to specify col objects.

Example

This example sets the SPAN attribute of the col object to two, which causes the col to span two columns. The text is right-aligned in these two columns.

<TABLE BORDER>
<COLGROUP>
<COL SPAN=2 ALIGN=RIGHT>
<COL ALIGN=LEFT>
<TBODY>
<TR>
<TD>This is the first column in the group, and it is
right-aligned.</TD>
<TD>This is the second column in the group, and it is
right-aligned.</TD>
<TD>This is the third column in the group, and it is
left-aligned.</TD>
</TR>
</TABLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

COL, COLGROUP


specified

specified Property

Retrieves whether an attribute has been specified.

Syntax

[ bSpecified = ] attribute.specified

Possible Values

bSpecified Boolean that receives one of the following values:
true | Attribute is specified.
false | Attribute is not specified.

The property is read-only. The property has no default value.

Remarks

An attribute is specified if it is set through HTML or script.

Example

This example uses the specified property to determine the attributes set for an object. The function checks each attribute, and lists all of the attributes of the object and the value of each attribute. In addition, each attribute that is set is displayed.

<SCRIPT>
function fnFindSpecified(){
var oAttributes=oList.attributes;
alert(oAttributes(0).nodeName);
for(var i=0;i<oAttributes.length;i++){
var oNode=document.createElement("LI");
var oNodeValue=document.createTextNode(i + " "
+ oAttributes(i).nodeName + " = "
+ oAttributes(i).nodeValue);
oList.appendChild(oNode);
oNode.appendChild(oNodeValue);
if(oAttributes(i).nodeValue!=null){
alert(oAttributes(i).nodeName
+ " specified: " + oAttributes(i).specified);
}
}
}
</SCRIPT>
<UL ID = oList onclick = "fnFindSpecified()">
<LI>Click to Find Specified Attributes
</UL>

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

attribute

See Also

About the W3C Document Object Model


SRC Attribute | src

SRC Attribute | src Property

Sets or retrieves the URL of a sound to play.

Syntax

HTML | <BGSOUND SRC = sURL... >
Scripting | BGSOUND.src [ = sURL ]

Possible Values

sURL String that specifies or receives the URL of the sound.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

BGSOUND


SRC Attribute | src

SRC Attribute | src Property

Retrieves the URL to an external file that contains the source code or data.

Syntax

HTML | <SCRIPT SRC = sURL... >
Scripting | SCRIPT.src [ = sURL ]

Possible Values

sURL String that specifies or receives the URL of the source code or data.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The SRC attribute first was available in Microsoft® Internet Explorer 3.022. The src property is exposed through the object model as of Internet Explorer 4.0.

In Internet Explorer 5, the SRC attribute of the script element can refer to an XML data set if the LANGUAGE attribute is set to XML.

A script can contain an external reference as well as code within the block. The code specified by the src property precedes the code contained within the document.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

SCRIPT


SRC Attribute | src

SRC Attribute | src Property

Sets or retrieves a URL to be loaded by the object.

Syntax

HTML | <ELEMENT SRC = sURL... >
Scripting | object.src [ = sURL ]

Possible Values

sURL String that specifies or receives the URL.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Examples

This example uses the src property to change the image's SRC attribute.

<BODY onmousedown="oImage.src='sphere.jpg'"
onmouseup="oImage.src='cone.jpg'">
:
<IMG ID=oImage SRC="cone.jpeg">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the src property to change the SRC attribute of an iframe.

function changeFrame(){
alert (document.all.iframe1.src);
document.all.iframe1.src="http://www.microsoft.com/";
alert (document.all.iframe1.src);
}

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

APPLET, EMBED, FRAME, IFRAME, IMG, INPUT type=image, XML


srcElement

srcElement Property

Sets or retrieves the object that fired the event.

Syntax

event.srcElement [ = oObject ]

Possible Values

oObject Object that specifies or receives the event that fired.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The property is read-only in Microsoft® Internet Explorer 4.0, and read/write in Internet Explorer 5 and later.

Example

This example uses the srcElement property to retrieve the parent object, if needed, create the text range, move to the original object, and select the first word in the object.

<SCRIPT LANGUAGE="JScript">
function selectWord() {
var oSource = window.event.srcElement ;
if (!oSource.isTextEdit)
oSource = window.event.srcElement.parentTextEdit;
if (oSource != null) {
var oTextRange = oSource.createTextRange();
oTextRange.moveToElementText(window.event.srcElement);
oTextRange.collapse();
oTextRange.expand("word");
oTextRange.select();
}
}
</SCRIPT>

Standards Information

There is no public standard that applies to this property.

Applies To

event


srcFilter

srcFilter Property

Sets or retrieves the filter object that caused the onfilterchange event to fire.

Syntax

event.srcFilter [ = sSrcFilter ]

Possible Values

sSrcFilter Object that specifies or receives the filter object.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The property is read-only in Microsoft® Internet Explorer 4.0, and read/write in Internet Explorer 5 and later.

Standards Information

There is no public standard that applies to this property.

Applies To

event


srcUrn

srcUrn Property

Retrieves the Uniform Resource Name (URN) of the behavior that fired the event.

Syntax

event.srcUrn [ = sUrn ]

Possible Values

sUrn String that specifies or receives the URN identifier.
null Default.

The property is read/write. The property has a default value of null.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This property is set to null unless both of the following conditions are true:

  • A behavior currently is attached to the element on which the event is fired.
  • The behavior defined in the preceding bullet has specified a URN identifier and fired the event.

Standards Information

There is no public standard that applies to this property.

Applies To

event

See Also

behaviorUrns, urns


STANDBY Attribute | standby

STANDBY Attribute | standby Property

Sets or retrieves a character string that can be used to implement your own standby functionality for the object.

Syntax

HTML | <OBJECT STANDBY = sStand... >
Scripting | OBJECT.standby(v) [ = sStand ]

Possible Values

sStand String that specifies or receives the value for the standby property.

The property is read/write. The property has no default value.

Remarks

There is no functionality implemented for this property unless defined by the author.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

OBJECT


START Attribute | start

START Attribute | start Property

Sets or retrieves the starting number for an ordered list.

Syntax

HTML | <OL START = iStart... >
Scripting | OL.start [ = iStart ]

Possible Values

iStart Integer that specifies or receives the starting number.

The property is read/write. The property has a default value of 1.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

This property is deprecated in HTML Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

OL


start Attribute | start

start Attribute | start Property

Sets or retrieves when a video clip file should begin playing.

Syntax

HTML | <ELEMENT start = sStart... >
Scripting | object.start [ = sStart ]

Possible Values

sStart String that specifies or receives one of the following values.
fileopen | Default. Video begins as soon as it finishes loading.
mouseover | Video begins when the user moves the mouse over the animation.

The property is read/write. The property has a default value of fileopen.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The start property applies only to img objects with the dynsrc property specified.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 2 Non-Microsoft link.

Applies To

IMG, INPUT, INPUT type=image


statics

statics Property

Retrieves an object containing the DAStatics class library used with Microsoft® DirectAnimation®.

Syntax

XML | N/A
Scripting | [ oLibrary = ] anim:DA.statics

Possible Values

oLibrary Object that contains the DAStatics functions and properties available through DirectAnimation.

The property is read-only. The property has no default value.

Remarks

The DAStatics class library is associated with meter construction mode. For more information, see the MeterLibrary documentation.

You must assign a scripting variable to the value of this property to allow access to all DirectAnimation functions and properties, as shown in the following example:

<anim:DA ID="da1"/>
.
.
.
<SCRIPT>
m = da1.statics;
var x = m.property
</SCRIPT>

Standards Information

There is no public standard that applies to this property.

Applies To

anim:DA

See Also

image, sound


status

status Property

Sets or retrieves the message in the status bar at the bottom of the window.

Syntax

window.status [ = sStatus ]

Possible Values

sStatus String that specifies or receives the message.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Do not confuse the status property with the defaultStatus property. The defaultStatus property specifies the default message displayed in the status bar.

Standards Information

There is no public standard that applies to this property.

Applies To

window


status

status Property

Sets or retrieves the value indicating whether the control is selected.

Syntax

HTML | N/A
Scripting | object.status [ = bStatus ]

Possible Values

bStatus Boolean that specifies or receives one of the following values.
false | Default. Control is not selected.
true | Control is selected.
null | Control is not initialized.

The property is read/write. The property has a default value of false.

Remarks

The status property of the textArea object has a default value of null.

Setting the status property of a textArea object updates the value of the property and causes the onpropertychange event to fire. However, this change has no visual effect on the textArea object.

Example

This example uses the status property to control a check box that is disabled by default.

<INPUT ID=oCheckbox TYPE=checkbox CHECKED DISABLED>
:
<SPAN onclick="oCheckbox.status=false"
STYLE="font-weight:bold">I disagree</SPAN>.
<SPAN onclick="oCheckbox.status=true"
STYLE="font-weight:bold">I agree</SPAN>.
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

INPUT type=checkbox, INPUT type=radio, TEXTAREA


STYLE

STYLE Attribute

Sets an inline style for the element.

Syntax

HTML | <ELEMENT STYLE=sStyle ... >
Scripting | N/A

Possible Values

sStyle String that specifies the inline style.

Remarks

This attribute is not accessible through scripting. To access styles through scripting, use the style object.

Standards Information

This attribute is defined in HTML 4.0 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


float Attribute | styleFloat

float Attribute | styleFloat Property

Sets or retrieves on which side of the object the text will flow.

Syntax

HTML | { float : sFloat }
Scripting | object.style.styleFloat [ = sFloat ]

Possible Values

sFloat String that specifies or receives one of the following values.
none | Default. Object displays where it appears in the text.
left | Text flows to the right of the object.
right | Text flows to the left of the object.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of none. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

With a value of left or right, the object is treated as block-level—that is, the display property is ignored. For example, floating paragraphs allow the paragraphs to appear side-by-side on a page.

Objects following a floating object move in relation to the position of the floating object.

The floating object is moved left or right until it reaches the border, padding, or margin of another block-level object.

div and span objects must have a width set for the float attribute to render. In Microsoft® Internet Explorer 5, div and span objects are assigned a width by default and will render if a width is not specified.

Examples

This example shows how the float attribute affects the flow of the text. The sphere image floats to the left of the text, and the cone floats to the right.

<img src="sphere.jpg" style="float:left">
<img src="cone.jpg" style="float:right">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting and the styleFloatproperty to swap images when the mouse moves over the button.

<IMG ID=oSphere SRC="sphere.jpeg" STYLE="float:left">
<IMG ID=oCone SRC="cone.jpeg" STYLE="float:right">
:
<BUTTON onmouseover="oSphere.style.styleFloat='right';
oCone.style.styleFloat='left'"
onmouseout="oSphere.style.styleFloat='left';
oCone.style.styleFloat='right'">
Flip-flop images.
</BUTTON>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ADDRESS, APPLET, B, BIG, BLOCKQUOTE, BUTTON, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, defaults, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PRE, RT, RUBY, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TEXTAREA, TT, U, UL, VAR, XMP


SUMMARY Attribute | summary

SUMMARY Attribute | summary Property

Sets or retrieves a description and/or structure of the object.

Syntax

HTML | <TABLE SUMMARY = sSummary... >
Scripting | TABLE.summary(v) [ = sSummary ]

Possible Values

sSummary String that specifies or receives a description and/or structure of the object.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This property can be used for rendering to non-visual media such as speech or Braille.

There is no functionality implemented for this property unless defined by the author.

Example

The following example shows how to specify a summary property for a table.

<table summary="My Favorite European Cities with the Top City First">
<tr><th>My Favorite Cities</th></tr>
<tr><td>Paris, France</td></tr>
<tr><td>London, England</td></tr>
<tr><td>Rome, Italy</td></tr>
</table>

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TABLE


systemLanguage

systemLanguage Property

Retrieves the default language used by the operating system.

Syntax

[ sLanguage = ] object.systemLanguage

Possible Values

sLanguage String that receives any of the values described in Language Codes.

The property is read-only. The property has no default value.

Remarks

The systemLanguage property reflects the language edition of the installed operating system.

Standards Information

There is no public standard that applies to this property.

Applies To

clientInformation, navigator

See Also

browserLanguage, userLanguage


TABINDEX Attribute | tabIndex

TABINDEX Attribute | tabIndex Property

Sets or retrieves the index that defines the tab order for the object.

Syntax

HTML | <ELEMENT TABINDEX = iIndex... >
Scripting | object.tabIndex [ = iIndex ]

Possible Values

iIndex Integer that specifies or receives the tab index.
0 Default.

The property is read/write. The property has a default value of 0.

Remarks

For Microsoft® Internet Explorer 5.01 or above, the attribute may be set to any value in the valid range of -32767 to 32767.

The tabIndex value determines the tab order as follows:

  1. Objects with a positive tabIndex are selected in increasing iIndex order and in source order to resolve duplicates.
  2. Objects with an tabIndex of zero are selected in source order.
  3. Objects with a negative tabIndex are omitted from the tabbing order.

Elements can become part of the accessibility hierarchy if the TABINDEX attribute is set as follows.

  • For Internet Explorer 5, set the TABINDEX attribute to a positive value.
  • For Internet Explorer 5.01 and later, set the TABINDEX attribute to any value.

Content of elements with a closing tag can have focus by default, but are not tab stops. As of Internet Explorer 5, you can set the tabIndex property to a valid positive integer to force the content to have a tab stop.

An element can have focus if the tabIndex property is set to any valid negative or positive integer.

The following elements can have focus and are tab stops by default: a, BODY, button, frame, iframe, img, input, isIndex, object, select, textArea.

The following elements can have focus by default but are not tab stops. These elements can be set as tab stops by setting the tabIndex property to a positive integer. applet, div, frameSet, span, table, td.

Setting the tHead and tFoot elements to participate in the tab order will not cause the focus rectangle to display when either receives focus.

Elements that receive focus can fire the onblur and onfocus events as of Internet Explorer 4.0, and the onkeydown, onkeypress, and onkeyup events as of Internet Explorer 5.

Examples

This example uses the tabIndex property to specify the tab order for three text fields. In addition, the Submit button is removed by specifying a negative value.

<INPUT TYPE="text" TABINDEX="1">
<INPUT TYPE="text" >
<INPUT TYPE="text" TABINDEX="2">
<INPUT TYPE="submit" TABINDEX="-1">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the tabIndex property to assign a tab order to an unordered list. To cycle through the list's tab order, the user presses the TAB key. Since the list items can have focus, the focus rectangle surrounds each item the user selects.

<UL>
<LI>Item 1 (no tab)</LI>
<LI>Item 2 (no tab)</LI>
<LI>Item 3 (no tab)</LI>
</UL>
<UL>
<LI TABINDEX="1">Tab Item 1</LI>
<LI TABINDEX="2">Tab Item 2</LI>
<LI TABINDEX="3">Tab Item 3</LI>
<LI TABINDEX="4">Tab Item 4</LI>
<LI TABINDEX="5">Tab Item 5</LI>
</UL>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, FRAMESET, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


table-layout Attribute | tableLayout

table-layout Attribute | tableLayout Property

Sets or retrieves a string that indicates whether the table layout is fixed.

Syntax

HTML | { table-layout : sLayout }
Scripting | object.style.tableLayout [ = sLayout ]

Possible Values

sLayout String that specifies or receives one of the following values:
auto | Default. Column width is set by the widest unbreakable content in the column cells.
fixed | Table and column widths are set either by the sum of the widths on the col objects or, if these are not specified, by the width of the first row of cells. If no width is specified for the table, it renders by default with width=100%.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of auto. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

You can optimize table rendering performance by specifying the tableLayout property. This property causes Microsoft® Internet Explorer to render the table one row at a time, providing users with information at a faster pace. The tableLayout property determines column widths for a table in the following order:

  1. By using information in the width property for the col or colGroup element.
  2. By using information in the width property for the td elements in the first row.
  3. By dividing the table columns equally, regardless of the size of the content.

If the content of a cell exceeds the fixed width of the column, the content is wrapped or, if wrapping is not possible, it is clipped. If the tableLayout property is set to fixed, the overflow property can be used to handle content that exceeds the width of a td element. If the row height is specified, wrapped text is clipped when it exceeds the set height.

Setting the property to fixed significantly improves table rendering speed, particularly for longer tables.

Setting row height further improves rendering speed, again enabling the browser's parser to begin rendering the row without examining the content of each cell in the row to determine row height.

Example

This example uses the Cascading Style Sheets (CSS) attribute to set the table layout to fixed.

<TABLE STYLE="table-layout:fixed" WIDTH=600>
<COL WIDTH=100><COL WIDTH=300><COL WIDTH=200>
<TR HEIGHT=20>
<TD>...</TD><TD>...</TD><TD>...</TD>
</TR>
:
</TABLE>

Standards Information

This property is defined in CSS, Level 2 (CSS2) Non-Microsoft link.

Applies To

currentStyle, runtimeStyle, style, TABLE

See Also

Enhancing Table Presentation, width


tabStop

tabStop Property

Sets or retrieves whether an element behavior can receive focus and participate in the tabbing sequence.

Syntax

defaults.tabStop(v) [ = bTabEnabled ]

Possible Values

bTabEnabled Boolean that specifies or receives one of the following values.
false | Default. Element cannot participate in tabbing.
true | Element can participate in tabbing.

The property is read/write. The property has a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

There is no public standard that applies to this property.

Applies To

defaults

See Also

Introduction to Viewlink, About Element Behaviors


tagName

tagName Property

Retrieves the tag name of the object.

Syntax

HTML | N/A
Scripting | [ sName = ] object.tagName

Possible Values

sName String that receives the tag name.

The property is read-only. The property has no default value.

Example

This example retrieves the tag name of an object that has the identifier specified in the prompt window.

<SCRIPT>
var idValue = window.prompt("Get the tag with this ID:");
if (idValue != null) {
alert(document.all[idValue].tagName)
}
</SCRIPT>

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, !DOCTYPE, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML Comment, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, META, nextID, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP


tagUrn

tagUrn Property

Sets or retrieves the Uniform Resource Name (URN) specified in the namespace declaration.

Syntax

HTML | N/A
Scripting | object.tagUrn [ = sUrn ]

Possible Values

sUrn String that specifies or receives the URN in the namespace declaration, or the value in Possible Values.
null Default. Returned for standard HTML tags, or for custom tags that omit the namespace declaration.

The property is read/write. The property has a default value of null.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

To declare the namespace in the document, use the XMLNS attribute of the html element.

Example

This example uses the values returned by the scopeName and tagUrn properties to create a simple HelloWorld custom tag. The browser's status bar displays the property values.

<HTML XMLNS:InetSDK='http://msdn.microsoft.com/workshop'>
<STYLE>
@media all {
InetSDK\:HelloWorld { behavior:url (simple.htc) }
}
</STYLE>
<SCRIPT>
function window.onload()
{
window.status = 'scopeName = ' + hello.scopeName +
'; tagUrn = '  + hello.tagUrn;
}
</SCRIPT>
<BODY>
<InetSDK:HelloWorld ID='hello'></InetSDK:HelloWorld>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP

See Also

Using Custom Tags in Internet Explorer


TARGET Attribute | target

TARGET Attribute | target Property

Sets or retrieves the window or frame at which to target content.

What's New for Microsoft® Internet Explorer 6

As of Internet Explorer 6, the _media value of the v parameter of this property specifies that a linked document loads in the HTML content area of the Media Bar.

Syntax

HTML | <ELEMENT TARGET = sTarget... >
Scripting | object.target [ = sTarget ]

Possible Values

sTarget String that specifies or receives one of the following values.
name | The name of the target window or frame.
_blank | Load the linked document into a new blank window. This window is not named.
_media | Load the linked document into the HTML content area of the Media Bar. Available in Internet Explorer 6 or later.
_parent | Load the linked document into the immediate parent of the document the link is in.
_search | Load the linked document into the browser search pane. Available in Internet Explorer 5 or later.
_self | Default. Load the linked document into the window in which the link was clicked (the active window).
_top | Load the linked document into the topmost window.

The property is read/write. The property has a default value of _self.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

If there is no existing window or frame with the same name as specified in the target, a new window is opened with a name equal to the value of the target.

The window name is an optional argument in the open scripting method.

Example

This example uses the TARGET attribute to specify a link that loads the page into the topmost frame of the current frameset.

<A HREF="newpage.htm" TARGET="_top">Go to New Page.</A>

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, AREA, BASE, FORM, LINK


text

text Property

Sets or retrieves the text contained within the range.

Syntax

TextRange.text [ = sTxt ]

Possible Values

sTxt String that specifies or receives the contained text.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The text formats within the current context of the document. You cannot set this property while the document is loading. Wait for the onload event before attempting to set this property.

This feature might not be available on non-Microsoft® Win32® platforms.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TextRange

See Also

htmlText


TEXT Attribute | text

TEXT Attribute | text Property

Sets or retrieves the text (foreground) color for the document body.

Syntax

HTML | <BODY TEXT = sColor... >
Scripting | BODY.text [ = sColor ]

Possible Values

sColor Variant that specifies or receives any of the color names or values in the Color Table.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Some browsers do not recognize color names, but all browsers should recognize RGB color values and display them correctly.

Example

This example uses the text property to change the text color of the body.

<BODY ID="oBody">
:
<BUTTON onmouseover="oBody.text='green'">GREEN</BUTTON>
<BUTTON onmouseover="oBody.text='red'">RED</BUTTON>
<BUTTON onmouseover="oBody.text='blue'">BLUE</BUTTON>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is deprecated in HTML Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

BODY


text

text Property

Retrieves or sets the text of the object as a string.

Syntax

HTML | N/A
Scripting | object.text [ = sTxt ]

Possible Values

sTxt String that specifies or receives the text.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

SCRIPT, TITLE, COMMENT, HTML Comment


text

text Property

Sets or retrieves the text string specified by the option tag.

Syntax

HTML | N/A
Scripting | OPTION.text [ = sTxt ]

Possible Values

sTxt String that specifies or receives the text.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Assigning a value to the text property changes the text property internally, but does not cause the listed value to change. Submitting the form submits the internally stored value, not the one displayed.

Example

This example uses the text property to change the text string of each option each time the user selects an option.

<SCRIPT>
function fnShow(){
for(var i=0;i<oSel.options.length;i++){
oSel.options[i].text+=" (slugs)";
}
}
function fnFlash(){
var sQuery="";
for(var i=0;i<oSel.options.length;i++){
sQuery+=i + " - Value=" + oSel.options[i].value +
" - Text=" + oSel.options[i].text + "\n";
}
alert(sQuery);
}
</SCRIPT>
<SELECT ID=oSel onchange="fnFlash()">
<OPTION VALUE="US">Seattle
<OPTION VALUE="FRANCE">Paris
<OPTION VALUE="MEXICO">Cabo San Lucas
</SELECT>
<INPUT TYPE=button VALUE="Show Attractions" onclick="fnShow()">
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

OPTION


text-align Attribute | textAlign

text-align Attribute | textAlign Property

Sets or retrieves whether the text in the object is left-aligned, right-aligned, centered, or justified.

Syntax

HTML | { text-align : sAlign }
Scripting | object.style.textAlign [ = sAlign ]

Possible Values

sAlign String that specifies or receives one of the following values:
left | Default. Text is aligned to the left.
right | Text is aligned to the right.
center | Text is centered.
justify | Text is justified.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of left. The Cascading Style Sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The property applies to block elements. The property is inherited by all block-level objects inside a div object. This parameter receives null if the attribute is not set.

The justify possible value is available as of Microsoft® Internet Explorer 4.0.

Examples

The following examples use the text-align attribute and the textAlign property to align text within the object.

This example uses p as a selector and two classes to call an embedded style sheet that aligns the text according to the respective rule.

<STYLE>
P { text-align:center }
.align1 { text-align:right }
.align2 { text-align:justify }
</STYLE>
</HEAD>
<BODY>
<P onclick= "this.className='align1'"
ondblclick="this.className='align2'">
. . . </P>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to change the alignment of the text when an onmouseover event occurs.

<P STYLE="font-size:14"
onmouseover="this.style.textAlign='center'">
. . . </P>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

BLOCKQUOTE, BODY, CENTER, currentStyle, DD, DIR, DIV, DL, DT, FIELDSET, FORM, hn, HR, INPUT type=password, INPUT type=text, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, style, TABLE, TD, TEXTAREA, TH, TR, UL, XMP


text-align-last Attribute | textAlignLast

text-align-last Attribute | textAlignLast Property

Sets or retrieves how to align the last line or only line of text in the object.

Syntax

HTML | { text-align-last : sAlignLast }
Scripting | object.style.textAlignLast(v) [ = sAlignLast ]

Possible Values

sAlignLast String that specifies or receives one of the following values.
auto | Default. Text is aligned like the other lines in the object, using the value of the textAlign property.
center | Text is centered.
inherit | Text is aligned like the text in the parent object.
justify | Text is justified.
left | Text is aligned to the left.
right | Text is aligned to the right.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of auto. The proposed Cascading Style Sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The property is read-only for the currentStyle object.

The property applies to block elements.

Example

The following example shows an embedded style rule that justifies all the lines in the document's p elements. This is commonly found in East Asian typography.

<STYLE>
P.DistributeAllLines { text-align: justify;
text-justify: distribute;
text-align-last: justify }
</STYLE>

Standards Information

There is no public standard that applies to this property.

Applies To

ADDRESS, BLOCKQUOTE, BODY, CENTER, currentStyle, CUSTOM, DD, DIV, DL, DT, FIELDSET, FORM, hn, HR, ISINDEX, LI, LISTING, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, style, UL, XMP


text-autospace Attribute | textAutospace

text-autospace Attribute | textAutospace Property

Sets or retrieves the autospacing and narrow space width adjustment of text.

Syntax

HTML | { text-autospace : sIdeograph }
Scripting | object.style.textAutospace [ = sIdeograph ]

Possible Values

sIdeograph String that specifies or receives one of the following values:
none | Default. No effect takes place—that is, no extra space is added.
ideograph-alpha | Creates extra spacing between runs of ideographic and non-ideographic text, such as Latin-based, Cyrillic, Greek, Arabic, or Hebrew text.
ideograph-numeric | Creates extra spacing between runs of ideographic text and numeric characters.
ideograph-parenthesis | Creates extra spacing between a normal (non-wide) parenthesis and an ideograph.
ideograph-space | Extends the width of the space character when it is adjacent to ideographs.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of none. The Cascading Style Sheets (CSS) attribute is not inherited.

Remarks

An ideograph is a character in an Asian writing system that represents a concept or an idea, but not a particular word or pronunciation.

Standards Information

This property is part of a proposed addition to Cascading Style Sheets (CSS) Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MARQUEE, MENU, nextID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, styleSheet, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XML, XMP


text-decoration Attribute | textDecoration

text-decoration Attribute | textDecoration Property

Sets or retrieves a value that indicates whether the text in the object has blink, line-through, overline, or underline decorations.

Syntax

HTML | { text-decoration : sDecoration }
Scripting | object.style.textDecoration [ = sDecoration ]

Possible Values

sDecoration String that specifies or receives one of the following values.
none | Default. Text has no decoration.
underline | Text is underlined.
overline | Text has a line over it.
line-through | Text has a line drawn through it.
blink | Not implemented.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of none. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The default value is different for the following tags.

  • Default value is underline for a when used with href, u, and ins.
  • Default value is line-through for strike, s, and del.

If the value none is placed at the end of the values, all values are cleared. For example, setting {text-decoration: underline?SPAN CLASS="clsLiteral">overline?SPAN CLASS="clsLiteral">blink?SPAN CLASS="clsLiteral">none} causes none of the decorations to render.

If the object has no text (for example, the img object in HTML) or is an empty object (for example, "<EM></EM>"), this property has no effect.

If you set the textDecoration attribute to none on the body object, the a objects are still underlined. To remove the underline from the a objects, either set the style inline or use a as a selector in the global style sheet.

Specifying the textDecoration property for block elements affects all inline children. If it is specified for, or affects, an inline element, it affects all boxes generated by the element.

The overline and blink possible values are available as of Microsoft® Internet Explorer 4.0. Although blink is exposed, it is not rendered.

Examples

The following examples use the text-decoration attribute and the textDecoration property to decorate text within the object.

This example uses an inline style sheet to draw a line through the text within the object.

<DIV STYLE="text-decoration:line-through">
.
.
.
</DIV>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to underline the text within the span object when the user moves the mouse over the span.

<SPAN STYLE="font-size:14px" onmouseover="this.style.textDecoration='underline'"
onclick="this.style.textDecoration='overline'"
ondblclick="this.style.textDecoration='line-through'">
.
.
.
</SPAN>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example demonstrates that textDecoration is not inheritable. It appears as though the child (SPAN) inherits its style from its parent (DIV), but the SPAN does not.

<HTML>
<HEAD>
<STYLE>
DIV{color:red; text-decoration:underline;}
SPAN{color:blue; text-decoration:none;}
</STYLE>
</HEAD>
<BODY>
<DIV>This DIV has text decoration set to underline <SPAN>, but this SPAN
has it set to none. </SPAN> The DIV continues here.</DIV>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, defaults, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, hn, HTML, I, INPUT type=button, INPUT type=file, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

textDecorationLineThrough, textDecorationNone, textDecorationOverline, textDecorationUnderline


textDecorationBlink

textDecorationBlink Property

Sets or retrieves a Boolean value that indicates whether the object's textDecoration property has a value of "blink."

Syntax

HTML | N/A
Scripting | object.style.textDecorationBlink [ = bBlink ]

Possible Values

bBlink Boolean that specifies or receives one of the following values.
true | The textDecoration property is set to "blink."
false | The textDecoration property is not set to "blink."

The property is read/write. The property has no default value. The Cascading Style Sheets (CSS) attribute is not inherited.

Remarks

This property currently has no visible effect because "blink" is not currently implemented as a possible value of the textDecoration property.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, defaults, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, hn, HTML, I, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

textDecoration


textDecorationLineThrough

textDecorationLineThrough Property

Sets or retrieves a Boolean value indicating whether the text in the object has a line drawn through it.

Syntax

HTML | N/A
Scripting | object.style.textDecorationLineThrough [ = bLineThrough ]

Possible Values

bLineThrough Boolean that specifies or receives one of the following values.
true | Apply the line-through.
false | Prevent the line-through.

The property is read/write. The property has no default value. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Example

This example uses the textDecorationLineThrough property to draw a line through the text when the user clicks it with the mouse.

<P onclick="this.style.textDecorationLineThrough=true;">
Click this if you think it's unimportant.
</P>

Standards Information

There is no public standard that applies to this property.

Applies To

A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, defaults, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, hn, HTML, I, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

textDecoration


textDecorationNone

textDecorationNone Property

Sets or retrieves the Boolean value indicating whether the textDecoration property for the object has been set to none.

Syntax

HTML | N/A
Scripting | object.style.textDecorationNone [ = bDecoration ]

Possible Values

bDecoration Boolean that specifies or receives one of the following values.
true | Property is set to none.
false | Property is not set to none.

The property is read/write. The property has no default value. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

There is no public standard that applies to this property.

Applies To

A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, defaults, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, hn, HTML, I, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

textDecoration


textDecorationOverline

textDecorationOverline Property

Sets or retrieves a Boolean value indicating whether the text in the object has a line drawn over it.

Syntax

HTML | N/A
Scripting | object.style.textDecorationOverline [ = bOverline ]

Possible Values

bOverline Boolean that specifies or receives one of the following values.
true | A line is drawn over the text.
false | A line is not drawn over the text.

The property is read/write. The property has no default value. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Example

This example uses the textDecorationOverline property to draw a line over the text when the user moves the mouse over the text.

<P onmouseover="this.style.textDecorationOverline=true;">
Mouse over this text for an overline.
</P>

Standards Information

There is no public standard that applies to this property.

Applies To

A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, defaults, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, hn, HTML, I, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

textDecoration


textDecorationUnderline

textDecorationUnderline Property

Sets or retrieves whether the text in the object is underlined.

Syntax

HTML | N/A
Scripting | object.style.textDecorationUnderline [ = bUnderline ]

Possible Values

bUnderline Boolean that specifies or receives one of the following values.
true | Apply the underline.
false | Prevent the underline.

The property is read/write. The property has no default value. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Example

This example uses the textDecorationUnderline property to underline the text when the user clicks the text with the mouse.

<P onclick="this.style.textDecorationUnderline=true;">
Click this if you think it's important.
</P>

Standards Information

There is no public standard that applies to this property.

Applies To

A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, CUSTOM, DD, defaults, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, hn, HTML, I, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

textDecoration


text-indent Attribute | textIndent

text-indent Attribute | textIndent Property

Sets or retrieves the indentation of the first line of text in the object.

Syntax

HTML | { text-indent : sIndent }
Scripting | object.style.textIndent [ = sIndent ]

Possible Values

sIndent Variant that specifies or receives one of the following values:
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units Reference.
percentage | Integer, followed by a percent sign (%). This value is a percentage of the width of the parent object.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of 0. The Cascading Style Sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The property can be negative. An indent is not inserted in the middle of an object that was broken by another object, such as br in HTML.

Examples

The following examples use the text-indent attribute and the textIndent property to indent the object's text.

This example uses calls to an embedded style sheet to change the indent on the text when an onclick event occurs. The text was originally indented 2 centimeters using div as a selector in the style sheet.

<STYLE>
DIV { text-indent:2cm }
.click1 { text-indent:50% }
.click2 { text-indent: }
</STYLE>
</HEAD>
<BODY>
<DIV onclick="this.className='click1'"
ondblclick="this.className='click2'">
. . . </DIV>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to indent the text within the div when an onmouseover event occurs.

<DIV onmouseover=this.style.textIndent="2cm"
:
</DIV>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

BLOCKQUOTE, BODY, BUTTON, CENTER, currentStyle, DD, DFN, DIR, DIV, DL, DT, FIELDSET, FORM, hn, HR, ISINDEX, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, style, TABLE, TD, TH, TR, UL, XMP


text-justify Attribute | textJustify

text-justify Attribute | textJustify Property

Sets or retrieves the type of alignment used to justify text in the object.

Syntax

HTML | { text-justify : sAlign }
Scripting | object.style.textJustify [ = sAlign ]

Possible Values

sAlign String that specifies or receives one of the following values.
auto | Default. Allows the browser to determine which justification algorithm to apply.
distribute | Handles spacing much like the newspaper value. This form of justification is optimized for documents in Asian languages, such as Thai.
distribute-all-lines | Justifies lines of text in the same way as the distribute value, except that it also justifies the last line of the paragraph. This form of justification is intended for ideographic text.
distribute-center-last | Not implemented.
inter-cluster | Justifies lines of text that contain no inter-word spacing. This form of justification is optimized for documents in Asian languages.
inter-ideograph | Justifies lines of ideographic text, and increases or decreases both inter-ideograph and inter-word spacing.
inter-word | Aligns text by increasing the space between words. This value's spacing behavior is the fastest way to make all lines of text equal in length. Its justification behavior does not affect the last line of the paragraph.
kashida | Justifies lines of text by elongating characters at chosen points. This form of justification is intended for Arabic script languages. Supported in Microsoft® Internet Explorer 5.5 and later.
newspaper | Increases or decreases the spacing between letters and between words. It is the most sophisticated form of justification for Latin alphabets.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of auto. The Cascading Style Sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

For this property to affect text layout, the textAlign property must be set to justify.

The property applies to block elements.

Examples

The following examples use the text-justify attribute and the textJustify property to align text within the object.

This example uses an inline style sheet to distribute all the lines within the object.

...
<DIV style="text-align:justify; text-justify:distribute-all-lines;">
This example demonstrates how to use this property. This is
something. This example demonstrates how to use this property.
This is something. This example demonstrates how to this
property. This is something. This example demonstrates how to use this
property. This is something. This example demonstrates how to
use this property. This is something. This example demonstrates
how to use this property. This is something. This example
demonstrates how to use this property. This is something.
This example demonstrates how to use this property. This is
something. This example demonstrates how to use this property.
</DIV>
...
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to change the alignment of the text when an onmouseover event occurs.

...
<DIV style="cursor:hand; text-align:justify;"
onmouseover="this.style.textJustify='distribute-all-lines';"
onmouseout="this.style.textJustify='auto';">
This example demonstrates how to use this property. This is
something. This example demonstrates how to use this property.
This is something. This example demonstrates how to this
property. This is something. This example demonstrates how to use this
property. This is something. This example demonstrates how to
use this property. This is something. This example demonstrates
how to use this property. This is something. This example
demonstrates how to use this property. This is something.
This example demonstrates how to use this property. This is
something. This example demonstrates how to use this property.
</DIV>
...
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is part of a proposed addition to Cascading Style Sheets (CSS) Non-Microsoft link.

Applies To

ADDRESS, BLOCKQUOTE, BODY, CENTER, currentStyle, DD, DIR, DIV, DL, DT, FIELDSET, FORM, hn, HR, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, style, TABLE, TD, TH, TR, UL, XMP


text-kashida-space Attribute | textKashidaSpace

text-kashida-space Attribute | textKashidaSpace Property

Sets or retrieves the ratio of kashida expansion to white space expansion when justifying lines of text in the object.

Syntax

HTML | { text-kashida-space : vKashida }
Scripting | object.style.textKashidaSpace(v) [ = vKashida ]

Possible Values

vKashida Variant that specifies or receives one of the following values.
percentage | Integer, followed by a %. The value is the ratio of kashida expansion to white space expansion. 100% specifies kashida expansion only, and 0% specifies white space expansion only.
inherit | Text is expanded like the text in the parent object.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of 0%. The proposed Cascading Style Sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Kashida is a typographic effect that justifies lines of text by elongating characters at carefully chosen points. It is used in Arabic writing systems.

The property can be used with any justification style where kashida style expansion is used, such as the auto, distribute, kashida, and newspaper values of the textJustify property.

The property is read-only for the currentStyle object.

The property applies to block elements only.

Standards Information

This property is part of a proposed addition to Cascading Style Sheets (CSS) Non-Microsoft link.

Applies To

ADDRESS, BLOCKQUOTE, BODY, CENTER, currentStyle, CUSTOM, DD, DIV, DL, DT, FIELDSET, FORM, hn, HR, ISINDEX, LI, LISTING, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, style, UL, XMP


text-overflow Attribute | textOverflow

text-overflow Attribute | textOverflow Property

Sets or retrieves a value that indicates whether to render ellipses(...) to indicate text overflow.

Syntax

HTML | { text-overflow : iTextOverflow }
Scripting | object.style.textOverflow(v) [ = iTextOverflow ]

Possible Values

iTextOverflow Variant that specifies or receives a value that indicates whether ellipses(...) display when text content has overflowed its given layout area.
ellipsis | Display ellipses(...) for text overflow.
clip | Default. Simply clip the content and do not display ellipses for text overflow.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of clip. The Cascading Style Sheets (CSS) attribute is not inherited.

Remarks

This property only applies to text overflow in the inline direction (horizontal, in normal Western text). Inline overflow occurs when the text in a line overflows the available width without a breaking opportunity. To force overflow to occur and ellipses to be applied, the author must apply the nowrap value to the whiteSpace property on the element, or wrap the content in a <NOBR> tag. If there is no breaking opportunity (for example, the width is narrow or there is a long word that does not break well), then overflow may occur without nowrap being applied.

This property on the element must be set to something other than visible, the default, in order for ellipses to be rendered. The best choice is to set overflow to hidden. Setting overflow to scroll or auto will also work, but will show scrollbars.

The hidden text can be selected by selecting the ellipses. When selected, the ellipses will disappear and be replaced by the text to the extent of the layout area.

This property offers an efficient alternative to building ellipses in Dynamic HTML (DHTML). As ellipses may be rendered many times on a single page, using this property can significantly speed up performance.

Example

The following example shows how to use both ellipsis and clip values for the textOverflow property. It also demonstrates how the effect of textOverflow can be cancelled out by setting the overflow to visible.

<HTML>
<BODY>
<DIV STYLE="text-decoration:underline;color:darkRed;
font: bold 20px Arial;font-weight:bold">
Effect of CSS property <I>text-overflow</I></DIV>
<DIV STYLE="font: bold 16px Arial; color:darkRed; font-weight:bold">
Each box (DIV element) below contains the following text:</DIV>
<DIV >We hold these truths to be self-evident,
that all people are created equal.</DIV>
<DIV STYLE="font: bold 16px Arial;color:darkRed; font-weight:bold">
Note how the STYLE settings effect the rendering of the text</DIV>
<DIV STYLE="position: relative; height: 75px; top:10">
<DIV STYLE="position: absolute; left: 10px;
font: bold 16px Arial, sans-serif; color: blue; ">
STYLE ="text-overflow : clip; overflow : hidden"
<DIV STYLE="position: absolute; left: 0px; top: 18px; color: black;
width: 120px; height: 50px; border: 1px solid blue;
font: 14px Times New Roman, serif; overflow: hidden;
text-overflow:clip">
<NOBR>We hold these truths to be self-evident,
that all people are created equal.</NOBR>
</DIV>
</DIV>
<DIV STYLE="position: relative; height: 75px; top: 70">
<DIV STYLE="position: absolute; left: 10px;
font: bold 16px Arial, sans-serif; color: blue; ">
STYLE ="text-overflow : ellipsis; overflow : hidden"
<DIV STYLE="position: absolute; left: 0px; top: 18px; color: black;
width: 120px; height: 50px; border: 1px solid blue;
font: 14px Times New Roman, serif; overflow: hidden;
text-overflow:ellipsis">
<NOBR>We hold these truths to be self-evident,
that all people are created equal.</NOBR>
</DIV>
</DIV>
<DIV STYLE="position: relative; height: 75px; top:70">
<DIV STYLE="position: absolute; left: 10px;
font: bold 16px Arial, sans-serif; color: blue; ">
STYLE ="text-overflow : ellipsis; overflow : visible"
<DIV STYLE="position: absolute; left: 0px; top: 18px; color: black;
width: 120px; height: 50px; border: 1px solid blue;
font: 14px Times New Roman, serif; overflow: visible;
text-overflow:ellipsis">
<NOBR>We hold these truths to be self-evident,
that all people are created equal.</NOBR>
</DIV>
</DIV>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to Cascading Style Sheets (CSS) Non-Microsoft link.

Applies To

defaults, A, ACRONYM, ADDRESS, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, currentStyle, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, hn, I, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, NOBR, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TEXTAREA, TT, U, UL, VAR, XMP


text-transform Attribute | textTransform

text-transform Attribute | textTransform Property

Sets or retrieves the rendering of the text in the object.

Syntax

HTML | { text-transform : sTransform }
Scripting | object.style.textTransform [ = sTransform ]

Possible Values

sTransform String that specifies or receives one of the following values:
none | Default. Text is not transformed.
capitalize | Transforms the first character of each word to uppercase.
uppercase | Transforms all the characters to uppercase.
lowercase | Transforms all the characters to lowercase.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of none. The Cascading Style Sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Examples

The following examples use the text-transform attribute and the textTransform property to transform a block of text from lower case to upper case when the user moves the mouse over the text. The text transforms back to lower case when the user clicks the text.

This example uses three calls to an embedded (global) style sheet to transform the text.

<STYLE>
.transform1 { text-transform:uppercase }
.transform2 { text-transform:lowercase }
.transform3 { text-transform:none }
</STYLE>
</HEAD>
<BODY>
<DIV STYLE="font-size:14"
onmouseover="this.className='transform1'"
onclick= "this.className='transform2'"
ondblclick="this.className='transform3'">
:
</DIV>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to transform the text when different mouse events occur.

<DIV STYLE="font-size:14"
onmouseover="this.style.textTransform='uppercase'"
onmouseout="this.style.textTransform='lowercase'"
onclick="this.style.textTransform='none'">
:
</DIV>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, defaults, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, hn, HTML, I, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


text-underline-position Attribute | textUnderlinePosition

text-underline-position Attribute | textUnderlinePosition Property

Internet Development Index

Sets or retrieves the position of the underline decoration that is set through the textDecoration property of the object.

What's New for Microsoft® Internet Explorer 6

The auto and auto-pos values apply to this property as of Internet Explorer 6. The default value of this property is auto as of Internet Explorer 6. With Internet Explorer 5.5, the default value of this property is below.

Syntax

HTML | { text-underline-position : sPosition }
Scripting | object.style.textUnderlinePosition [ = sPosition ]

Possible Values

sPosition String that specifies or receives one of the following values.
above | Decoration appears above the text.
below | Decoration appears below the text.
auto | Default. Internet Explorer 6 and later. Decoration appears above the text if the LANG attribute is set to ja, which is the language code abbreviation for the Japanese language, and the writing-mode attribute is set to tb-rl, which causes vertical inline text progression. If not, the decoration appears below the text.
auto-pos | Internet Explorer 6 and later. Identical to auto.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of auto. The Microsoft Cascading Style Sheets (CSS) extension is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This property specifies the position of the underline decoration. To turn the decoration on or off, use the textDecoration property.

The position of the underline decoration is relative to the layout of the text in the object. With vertical text, it is more accurate to say that the above value causes the underline decoration to be laid out before the text or that the decoration appears before the text. With the below value, then, the decoration appears after the text.

With Internet Explorer 5.5 only, the default value of this property is below.

Examples

The following example shows how all of the elements in a document inherit the textUnderlinePosition style rule from the parent HTML element. Underline decorations throughout the document are positioned above the text, relative to the layout of the text.

<HTML STYLE="text-underline-position:above">
<HEAD><TITLE></TITLE></HEAD>
<BODY>
<P><SPAN>This horizontal SPAN element is not underlined.</SPAN>
<SPAN STYLE="text-decoration:underline">This horizontal SPAN
element is underlined above the text.</SPAN></P>
<P STYLE="writing-mode:tb-rl"><SPAN>This vertical SPAN element is
not underlined.</SPAN>
<SPAN STYLE="text-decoration:underline">This vertical SPAN element
is underlined above the text.</SPAN></P>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The following example demonstrates the effect of the auto value of the textUnderlinePosition property when the LANG attribute of an object containing vertical inline text is set to ja.

<div style="writing-mode:tb-rl; text-decoration:underline;
text-underline-position:auto">
<p>This element contains underlined vertical text.
The LANG attribute of this element is not explicitly set.
The underline decoration appears below, or after,
the text when text-underline-position is set to auto.</p>
<p lang="ja">This element also contains underlined vertical text.
The LANG attribute of this element is set to ja.
The underline decoration in this element appears above,
or before the text.</p>
</div>
This feature requires Microsoft® Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to Cascading Style Sheets (CSS) Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, currentStyle, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAMESET, HEAD, hn, HR, HTML, I, IMG, INPUT, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MARQUEE, MENU, nextID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XML, XMP

See Also

CSS3 module: text Non-Microsoft link


tFoot

tFoot Property

Retrieves the tFoot object of the table.

Syntax

HTML | N/A
Scripting | [ oTFoot = ] TABLE.tFoot

Possible Values

oTFoot Object that receives the tFoot object.

The property is read-only. The property has no default value.

Remarks

If the table doesn't have a foot section, the value for the property is null.

If multiple table feet are listed in an HTML document, only the first one is treated as the foot of the table.

Example

This example sets the color of the tFoot object to blue.

document.all.myTable.tFoot.style.color = "blue"

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TABLE


tHead

tHead Property

Retrieves the tHead object of the table.

Syntax

HTML | N/A
Scripting | [ oTHead = ] TABLE.tHead

Possible Values

oTHead Object that receives the tHead object.

The property is read-only. The property has no default value.

Remarks

If the table doesn't have a head section, the value for the property is null.

If multiple table heads are listed in an HTML document, only the first one is treated as the head of the table.

Example

This example sets the color of the tHead object to blue.

document.all.myTable.tHead.style.color = "blue"

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TABLE


TITLE Attribute | title

TITLE Attribute | title Property

Sets or retrieves the title of the style sheet.

Syntax

styleSheet.title [ = sTitle ]

Possible Values

sTitle String that specifies or receives the title.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The title is a string used to identify a style sheet.

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

styleSheet


TITLE Attribute | title

TITLE Attribute | title Property

Sets or retrieves advisory information (a ToolTip) for the object.

Syntax

HTML | <ELEMENT TITLE = sTitle... >
Scripting | object.title [ = sTitle ]

Possible Values

sTitle String that specifies or receives the advisory text.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Microsoft® Internet Explorer renders the title as a ToolTip when the user hovers the mouse over the object.

Example

This example uses the title property to display advisory text when the user hovers the mouse pointer over the text.

<SCRIPT>
function boldAdvise(src) {
src.title="this is bold text";
return;
}
</SCRIPT>
:
<SPAN onmouseover="boldAdvise(this)">bold section</SPAN>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, FRAME, FRAMESET, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MAP, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

title


toElement

toElement Property

Sets or retrieves a reference to the object toward which the user is moving the mouse pointer.

Syntax

event.toElement [ = oObject ]

Possible Values

oObject Object that specifies or receives the object being moved to by the mouse.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The property is read-only in Microsoft® Internet Explorer 4.0, and read/write in Internet Explorer 5 and later.

Example

This example uses the toElement property to display the tagName of the object to which the user moves the mouse pointer.

<SCRIPT>
function fnGetTo(){
spanTo.innerHTML=window.event.toElement.tagName;
}
</SCRIPT>
:
<SPAN onmouseout="fnGetTo()">
<P>Mouse Over This</P>
<P>toElement: <SPAN ID="spanTo"></SPAN></P>
</SPAN>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

event


top Attribute | top

top Attribute | top Property

Sets or retrieves the position of the object relative to the top of the next positioned object in the document hierarchy.

Syntax

HTML | { top : sTop }
Scripting | object.style.top [ = sTop ]

Possible Values

sTop Variant that specifies or receives one of the following values:
auto | Default. Default position according to the regular HTML layout of the page.
length | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units Reference.
percentage | Integer, followed by a percent sign (%). This value is a percentage of the height of the parent object.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of auto. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The top attribute should be used only when the position attribute is set; otherwise, the value of the top attribute is ignored.

Because the value of the top property is a string, you cannot use the property in script to calculate the position of the object in the document; instead, use the pixelTop or the posTop property.

For more information about how to access the dimension and location of objects on the page through the Dynamic HTML (DHTML) Document Object Model (DOM), see Measuring Element Dimension and Location.

Examples

The following examples use the top attribute and the top property to change the position of the object.

This example uses an inline style to set the position of a div object.

<DIV STYLE="position:absolute;top:100px">
. . . </DIV>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline script to change the position of the image set by an inline style. The change occurs during onmouseover and onmouseout events.

<IMG SRC="cone.jpg" STYLE="position:absolute;
top:80px;" onmouseover="this.style.top='100px''"
onmouseout="this.style.top='80px'" >
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 2 (CSS2) Non-Microsoft link.

Applies To

A, ADDRESS, APPLET, B, BIG, BLOCKQUOTE, BUTTON, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, defaults, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OBJECT, OL, P, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TEXTAREA, TT, U, UL, VAR, XMP

See Also

pixelTop, posTop


top

top Property

Retrieves the topmost ancestor window.

Syntax

[ oTop = ] window.top

Possible Values

oTop Object that receives the topmost parent window.

The property is read-only. The property has no default value.

Standards Information

There is no public standard that applies to this property.

Applies To

window


top

top Property

Sets or retrieves the top coordinate of the rectangle surrounding the object content.

Syntax

TextRectangle.top [ = iCoord ]

Possible Values

iCoord Integer that specifies or receives the top coordinate of the rectangle, in pixels.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Use this syntax to access the top coordinate of the second text rectangle of a TextRange object:

oRct = oTextRange.getClientRects();
oRct[1].top;

Note that the collection index starts at 0, so the second item index is 1.

To access the top coordinate of the bounding rectangle of an object, use this syntax:

oBndRct = oElement.getBoundingClientRect();
oBndRct.top;

Example

This example uses the getBoundingClientRect method to retrieve the coordinates of the bounds of the text rectangles within the element.

<SCRIPT>
function getCoords(oObject) {
oBndRct=oObject.getBoundingClientRect();
alert("Bounding rectangle = \nUpper left coordinates: "
+ oBndRct.left + " " + oBndRct.top +
"\nLower right coordinates: "
+ oBndRct.right + " " + oBndRct.bottom);
}
</SCRIPT>
</HEAD>
<BODY>
<P ID=oPara onclick="getCoords(this)">

Standards Information

There is no public standard that applies to this property.

Applies To

TextRectangle

See Also

bottom, left, right, TextRectangle Collection, TextRectangle Object


TOPMARGIN Attribute | topMargin

TOPMARGIN Attribute | topMargin Property

Sets or retrieves the margin for the top of the page.

Syntax

HTML | <BODY TOPMARGIN = iMargin... >
Scripting | BODY.topMargin [ = iMargin ]

Possible Values

iMargin Variant that specifies or receives the top margin of the body, in pixels.

The property is read/write. The property has a default value of 15.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

If the value is set to "0" or "", the top margin is on the top edge of the window or frame.

By default, when you set the value of this property, the opposite margin is set to the same value.

Standards Information

There is no public standard that applies to this property.

Applies To

BODY


TRUESPEED Attribute | trueSpeed

TRUESPEED Attribute | trueSpeed Property

Sets or retrieves whether the position of the marquee is calculated using the scrollDelay and scrollAmount properties and the actual time elapsed from the last clock tick.

Syntax

HTML | <MARQUEE TRUESPEED ... >
Scripting | MARQUEE.trueSpeed [ = bSpeed ]

Possible Values

bSpeed Boolean that specifies or receives one of the following values.
false | Default. Marquee computes movement based on 60-millisecond ticks of the clock. This means every scrollDelay value under 60 is ignored, and the marquee advances the amount of scrollAmount each 60 milliseconds. For example, if scrollDelay is 6 and scrollAmount is 10, the marquee advances 10 pixels every 60 milliseconds.
true | Marquee advances the pixel value of scrollAmount by the number of milliseconds set for scrollDelay. For example, the marquee would advance 10 pixels for every 6 milliseconds if scrollDelay is 6, scrollAmount is 10, and the value of trueSpeed is true.

The property is read/write. The property has a default value of false.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The trueSpeed property indicates that the exact scrollDelay value specified is used to move the marquee text. If trueSpeed is false, all scrollDelay values of 59 or less are rounded up to 60 milliseconds.

Standards Information

There is no public standard that applies to this property.

Applies To

MARQUEE


TYPE Attribute | type

TYPE Attribute | type Property

Sets or retrieves the style of the list.

Syntax

HTML | <ELEMENT TYPE = sType... >
Scripting | object.type [ = sType ]

Possible Values

sType String that specifies or receives one of the following values.
1 | Default. Associate numbers with each item in an ordered list.
a | Associate lowercase letters with each item in an ordered list.
A | Associate uppercase letters with each item in an ordered list.
i | Associate small Roman numerals with each item in an ordered list.
I | Associate large Roman numerals with each item in an ordered list.
disc | Associate a solid disc with each item in an unordered list.
circle | Associate a hollow circle with each item in an unordered list.
square | Associate a solid square with each item in an unordered list.

The property is read/write. The property has a default value of 1.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Example

This example uses the TYPE attribute to set the line item markers to lowercase Roman numerals.

<OL TYPE="i">
<LI>First Item
<LI>Second Item
<LI>Third Item
</OL>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is deprecated in HTML Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

LI, OL, UL


type

type Property

Retrieves the type of selection.

Syntax

[ sType = ] selection.type

Possible Values

sType String that receives one of the following values.
none | No selection/insertion point.
text | Specifies a text selection.
control | Specifies a control selection, which enables dimension controls allowing the selected object to be resized.

The property is read-only. The property has no default value.

Remarks

The selection object is off the document object.

Example

This example uses the type property to create an alert that indicates the type of object selected by the user. If the user clicks the mouse pointer on the text "Some text", the alert reads "Text". If the user clicks the mouse pointer on the space to the right of the text, the alert reads "None".

<BODY onclick="alert(document.selection.type)">
Some text.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

selection


TYPE Attribute | type

TYPE Attribute | type Property

Sets or retrieves the MIME type for the associated scripting engine.

Syntax

HTML | <SCRIPT TYPE = sType... >
Scripting | SCRIPT.type [ = sType ]

Possible Values

sType String that specifies or receives one of the following values.
text/ecmascript | ECMAScript.
text/Jscript | Microsoft® JScript®.
text/javascript | JScript.
text/vbs | VBScript.
text/vbscript | VBScript (same as text/vbs).
text/xml | XML.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Compare this property with the language property. To avoid conflict, match the type with the language type specified in the language property.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

SCRIPT


type

type Property

Retrieves the type of select control based on the value of the MULTIPLE attribute.

Syntax

HTML | N/A
Scripting | [ sType = ] SELECT.type

Possible Values

sType String that receives one of the following values.
select-multiple | The MULTIPLE attribute is true. Multiple OPTION elements can be selected.
select-one | Default. The MULTIPLE attribute is false. Only one OPTION element can be selected.

The property is read-only. The property has a default value of select-one.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

SELECT


type

type Property

Retrieves the type of control.

Syntax

HTML | N/A
Scripting | [ sType = ] TEXTAREA.type

Possible Values

sType String that receives the following value.
textarea Default.

The property is read-only. The property has a default value of textarea.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TEXTAREA


TYPE Attribute | type

TYPE Attribute | type Property

Sets or retrieves the content type of the resource designated by the value attribute.

Syntax

HTML | <PARAM TYPE = p... >
Scripting | PARAM.type(v) [ = p ]

Possible Values

p String that specifies or receives the content type of the resource designated by the value attribute only in the case where valueType is set to ref. This attribute thus specifies for the user agent the type of values that will be found at the Uniform Resource Identifier (URI) designated by value.

The property is read/write. The property has no default value.

Remarks

The content type specifies the nature of a linked resource. Examples of content types include "text/html", "image/png", "image/gif", "video/mpeg", "audio/basic", "text/tcl", "text/javascript", and "text/vbscript". For the current list of registered content types, see Media Types Non-Microsoft link.

Example

The following example shows how to use the param element to specify a run-time parameter for the object specified by the object element. A URI is specified for the Microsoft Windows Media® Player control.

<OBJECT CLASSID="clsid:22D6F312-B0F6-11D0-94AB-0080C74C7E95">
<PARAM NAME="FileName"
VALUE="http://msdn.microsoft.com/workshop/samples/author/behaviors/media/28movie.asf"
VALUETYPE="ref" TYPE="video/*"/>
</OBJECT>

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

PARAM

See Also

Binding HTML Elements to Data, Introduction to Data Binding


TYPE Attribute | type

TYPE Attribute | type Property

Retrieves the Cascading Style Sheets (CSS) language in which the style sheet is written.

Syntax

HTML | <STYLE TYPE = sType... >
Scripting | STYLE.type [ = sType ]

Possible Values

sType String that specifies or receives the CSS language of the style sheet.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The property can be any string, including an empty string. Valid style sheets for Microsoft® Internet Explorer 4.0 are set to "text/css".

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

STYLE


TYPE Attribute | type

TYPE Attribute | type Property

Retrieves the classification and default behavior of the button.

Syntax

HTML | <BUTTON TYPE = sType... >
Scripting | [ sType = ] BUTTON.type

Possible Values

sType String that receives one of the following values.
button | Default. Creates a Command button.
reset | Creates a Reset button. If it's in a form, this button resets the fields in the form to their initial values.
submit | Creates a Submit button. If it's in a form, this button submits the form.

The property is read-only. The property has a default value of button.

Remarks

A Submit button has the same default behavior as a button created using the submit?A HREF="../properties/type_7.html">type with the input object. If a user presses the ENTER key while viewing a form that contains a Submit button, the form is submitted. This default behavior of a Submit button is indicated by a border surrounding the button. The border appears when any control within the form receives the focus, other than another button. If the Submit button has a name property, the button contributes a name/value pair to the submitted data.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

BUTTON


type

type Property

Sets or retrieves the event name from the event object.

Syntax

event.type [ = sType ]

Possible Values

sType String that specifies or receives the event name.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The property is read-only in Microsoft® Internet Explorer 4.0, and read/write in Internet Explorer 5 and later.

Events are returned without the "on" prefix. For example, the onclick event is returned as "click".

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

event


TYPE Attribute | type

TYPE Attribute | type Property

Sets or retrieves the MIME type of the object.

What's New for Microsoft® Internet Explorer 6

This property now applies to the a, link, and script objects.

Syntax

HTML | <ELEMENT TYPE = sType... >
Scripting | object.type [ = sType ]

Possible Values

sType String that specifies or receives the MIME type of the object.

The property is read/write. The property has no default value.

Remarks

MIME is an abbreviation for Multipurpose Internet Mail Extension, and is a set of enhancements used with Simple Mail Transfer Protocol (SMTP). Used together, MIME and SMTP allow Internet messages to include a mixture of audio, images, video, and text components, and accommodate a variety of international character sets.

When no CLASSID attribute is specified for an object, the type property is used to retrieve the class identifier for the object.

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

A, OBJECT, LINK

See Also

data


type

type Property

Retrieves the Cascading Style Sheets (CSS) language in which the style sheet is written.

Syntax

[ sType = ] styleSheet.type

Possible Values

sType String that receives the CSS language of the style sheet.

The property is read-only. The property has no default value.

Remarks

This property can be any string, including an empty string. Style sheets having any type other than "text/css" are not supported for Microsoft® Internet Explorer 4.0.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

styleSheet


TYPE Attribute | type

TYPE Attribute | type Property

Retrieves or initially sets the type of input control represented by the object.

Syntax

HTML | <ELEMENT TYPE = sType... >
Scripting | object.type [ = sType ]

Possible Values

sType String that specifies or receives one of the input control values in Possible Values.
button | Creates a button control.
checkbox | Creates a checkbox for simple Boolean attributes or for attributes that can take multiple values at the same time. The input consists of a number of check box controls, each of which has the same name. Each selected check box generates a separate name/value pair in the submitted data, even if this results in duplicate names. The default value is on.
file | Creates a file upload object.
hidden | Creates a control hidden from the user, but the value of the value property is sent with the submitted form.
image | Creates an image control that can be clicked, causing the form to be immediately submitted. The coordinates of the selected point are measured in pixels from the upper-left corner of the image and are submitted with the form as two name/value pairs. The x-coordinate is submitted under the name of the control with .x appended, and the y-coordinate is submitted under the name of the control with .y appended. Any value property is ignored. The image is specified by the src property, exactly as for the img object
password | Creates a control similar to the text control, except that text is not displayed as the user enters it.
radio | Creates radio buttons used for mutually exclusive sets of values. Each radio button control in the group should be given the same name. Only the selected radio button in the group generates a name/value pair in the submitted data. Radio buttons require an explicit value property.
reset | Creates a button that resets the form's controls to their specified initial values. You can specify the label to display on this button just as you can for the Submit button.
submit | Creates a button that submits the form. Use the VALUE attribute to specify a label that is displayed on the button. The default label is application-specific. When the button is clicked, the associated control objects submit name/value pairs to the server.
text | Default. Creates a single-line text-entry control. Use the value in conjunction with the size and maxLength properties.

The property is read/write. The property has a default value of text.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

As of Microsoft® Internet Explorer 5, the type property is read/write-once, but only when an input element is created with the createElement method and before it is added to the document.

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text


typeDetail

typeDetail Property

Retrieves the name of the selection type.

Syntax

[ sType = ] selection.typeDetail

Possible Values

sType String that receives the name of the selection type.

The property is read-only. The property has no default value.

Remarks

The default implementation of this property returns a value of undefined.

Host applications can provide a custom selection mechanism and can provide a value for this property that indicates the selection type.

Standards Information

There is no public standard that applies to this property.

Applies To

selection


unicode-bidi Attribute | unicodeBidi

unicode-bidi Attribute | unicodeBidi Property

Sets or retrieves the level of embedding with respect to the bidirectional algorithm.

Syntax

HTML | { unicode-bidi : sEmbedLevel }
Scripting | object.style.unicodeBidi [ = sEmbedLevel ]

Possible Values

sEmbedLevel String that specifies or receives one of the following values:
normal | Default. Element does not open an additional level of embedding. For inline elements, implicit reordering works across element boundaries.
embed | Element opens an additional level of embedding. The value of the direction property specifies the embedding level. Reordering is implicit inside the element.
bidi-override | Same as the embed value, except that, inside the element, reordering is strictly in sequence according to the direction property. This value overrides the implicit bidirectional algorithm.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of normal. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The unicodeBidi property is used with the direction property.

The Unicode bidirectional algorithm automatically reverses embedded character sequences according to their inherent direction. For example, the base direction of an English document is left-to-right. If portions of a paragraph within the document contain a language with a right-to-left reading order, the direction of that language displays correctly right-to-left. The user agent applying the bidirectional algorithm correctly reverses the language direction.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 2 (CSS2) Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, defaults, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


uniqueID

uniqueID Property

Retrieves an autogenerated, unique identifier for the object.

Syntax

HTML | N/A
Scripting | [ sID = ] object.uniqueID

Possible Values

sID String that receives String that specifies the unique identifier.

The property is read-only. The property has no default value.

Remarks

When you apply this property to the document object, the browser automatically generates a new identifier (ID) that you can assign to an element's id property.

A new ID is generated and assigned to the element the first time the property is retrieved. Every subsequent access to the property on the same element returns the same ID.

Note The unique ID generated is not guaranteed to be the same every time the page is loaded.

Examples

The following examples use the uniqueID property within an HTML Component (HTC) to assign a unique identifier to an element.

This example assigns a uniqueID to an element from within a behavior. Every time the setTimeout method is invoked, the behavior-defined tick() function is called. The uniqueID attaches the element to the tick() function defined in the behavior's namespace.

<PUBLIC:METHOD NAME="tick" />
<PUBLIC:METHOD NAME="startFly" />
<PUBLIC:PROPERTY NAME="from" />
<PUBLIC:PROPERTY NAME="fromX" />
<PUBLIC:PROPERTY NAME="fromY" />
<PUBLIC:PROPERTY NAME="delay" />
:
<SCRIPT LANGUAGE="jscript">
var currCount;
var flyCount;
var flying;
var msecs;
var oTop, oLeft;
msecs = 50;
flyCount = 20;
flying = false;
runtimeStyle.position = "relative";
runtimeStyle.visibility = "hidden";
window.attachEvent("onload", onload);
function onload()
{
// delay commences from the window.onLoad event
if (delay != "none")
{
window.setTimeout(uniqueID+".tick()", delay);
}
}
function tick()
{
if (flying == false)
{
startFly();
}
else
{
doFly();
}
}
:
</SCRIPT>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the uniqueID property to show how the browser can autogenerate a unique ID for an element inserted into the page by a behavior.

<PUBLIC:ATTACH EVENT="onload" FOR="window" ONEVENT="init()" />
<SCRIPT LANGUAGE="JScript">
function init()
{
// Specifying an ID=document.uniqueID ensures that a unique identifier
// will be assigned to the element being inserted into the page by
// the behavior.
newTextAreaID = element.document.uniqueID;
element.document.body.insertAdjacentHTML ("beforeEnd",
"<P><TEXTAREA STYLE='height: 200 ;"+
"width: 350' ID= " + newTextAreaID + "></TEXTAREA></P>");
}
</SCRIPT>

Standards Information

There is no public standard that applies to this property.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, document, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, XMP

See Also

Introduction to DHTML Behaviors, Implementing Behaviors in Script


UNITS Attribute | units

UNITS Attribute | units Property

Sets or retrieves the height and width units of the embed object.

Syntax

HTML | <EMBED UNITS = sUnits... >
Scripting | EMBED.units [ = sUnits ]

Possible Values

sUnits String that specifies or receives one of the following values.
px | Height and width are in pixels. For more information about the supported length units, see CSS Length Units.
em | Height and width are relative to the height and width of the element's font. For more information about the supported length units, see CSS Length Units.

The property is read/write. The property has no default value.

Standards Information

There is no public standard that applies to this property.

Applies To

EMBED


UNSELECTABLE

UNSELECTABLE Attribute

Specifies that an element cannot be selected.

Syntax

HTML | <ELEMENT UNSELECTABLE=bUnselectable ... >
Scripting | N/A

Possible Values

bUnselectable Specifies whether an element is prohibited from being selected.
off | Default. Permits selection of the element.
on | Prohibits selection of the element.

Remarks

Note Setting the UNSELECTABLE attribute to off does not ensure that the element is selectable. One example is an HTML Application (HTA) with the SELECTION attribute set to no. Elements in the body of the HTA cannot be selected, whether the element's UNSELECTABLE attribute is set to off or not.

Clicking on an element with the UNSELECTABLE attribute set to on does not destroy the current selection if one exists.

An element with the UNSELECTABLE attribute set to on can be included in a selection that starts somewhere outside the element.

The UNSELECTABLE attribute is implemented as an expando. Setting the expando property of the document object to false precludes the functionality of all expandos.

Example

This example shows that the UNSELECTABLE attribute is not inherited by child objects. Text in the TEXTAREA element can be selected and modified, but the text in the parent SPAN element cannot be selected.

<P>
<SPAN ID="oSpan" UNSELECTABLE="on" >This text cannot be selected.
<P>
<TEXTAREA WRAP="PHYSICAL" ROWS="5" STYLE="font-weight: bold;" ID="oTextarea">
This text can be selected and overwritten.
</TEXTAREA>
</P>
This text closes the SPAN and cannot be selected either.
</SPAN>
</P>

Standards Information

There is no public standard that applies to this attribute.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, nextID, NOBR, OBJECT, OL, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, THEAD, TT, U, UL, VAR, XMP

See Also

Modifying Documents in Edit Mode, onselect, Select for Input controls, Select for textRange and controlRange collections


updateInterval

updateInterval Property

Sets or retrieves the update interval for the screen.

Syntax

screen.updateInterval(v) [ = iInterval ]

Possible Values

iInterval Integer that specifies or receives the update interval, in milliseconds.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The updateInterval property can be set to an integer value specifying the number of milliseconds between updates to the screen. A value of 0 (the default) disables the update interval.

The interval causes screen updates to be buffered and then drawn in the specified millisecond intervals. This limits excessive invalidations that reduce the overall painting performance, which can happen when too many flipbook-style animations occur at once.

Use this property judiciously; a value too small or too large adversely affects the page rendering response.

Standards Information

There is no public standard that applies to this property.

Applies To

screen


URL

URL Property

Sets or retrieves the URL for the current document.

Syntax

document.URL [ = sURL ]

Possible Values

sURL String that specifies or receives the URL.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The URL property is case-sensitive.

This property is an alias for the location.href property on the window.

Example

This example function returns the URL property of the current document.

function getURL()
{
return document.URL;
}

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

document

See Also

urn, URLUnencoded


URLUnencoded

URLUnencoded Property

Retrieves the URL for the document, stripped of any character encoding.

Syntax

[ sUrl = ] document.URLUnencoded

Possible Values

sUrl String that receives the URL of the document.

The property is read-only. The property has no default value.

Remarks

For more information about URL character encoding issues, refer to RFC-1738 on Uniform Resource Locators (URL) Non-Microsoft link.

Example

The following illustrates the difference between the value returned by the URLUnencoded property versus the value returned by the URL property of the document.

<SCRIPT>
function window.onload()
{
oURL.innerText = document.URL;
oURL2.innerText = document.URLUnencoded;
}
</SCRIPT>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

document


URN Attribute | urn

URN Attribute | urn Property

Sets or retrieves a Uniform Resource Name (URN) for a target document.

Syntax

HTML | <ELEMENT URN = sURN... >
Scripting | object.urn [ = sURN ]

Possible Values

sURN String that specifies or receives the URN.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

URNs are an adjunct to URL. URLs, the addresses used on the World Wide Web, usually specify a particular file on a particular machine, whereas URNs specify the identity of a resource rather than its location.

Standards Information

There is no public standard that applies to this property.

Applies To

A, namespace

See Also

URL


USEMAP Attribute | useMap

USEMAP Attribute | useMap Property

Sets or retrieves the URL, often with a bookmark extension (#name), to use as a client-side image map.

What's New for Microsoft® Internet Explorer 6

This property now applies to the object and input objects.

Syntax

HTML | <ELEMENT USEMAP = sURL... >
Scripting | object.useMap [ = sURL ]

Possible Values

sURL String that specifies or receives the URL of the image map.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The useMap property identifies the image as a client-side image map by associating a map object with the image. This map object contains area objects that define regions within the image. The user can click these regions to navigate to a designated URL.

You can dynamically assign the maps to the image through the useMap property.

Example

This example specifies map1 as the image map underlying image.gif. The map can be changed to another map, map2, by clicking the button.

<MAP NAME="map1">
<AREA NAME="area1" COORDS="0,0,40,40" HREF="doc1.htm"
TARGET="frame1">
<AREA NAME="area2" COORDS="40,0,80,40" HREF="doc2.htm"
TARGET="frame1">
<AREA NAME="area3" COORDS="10,40,40,80" HREF="doc3.htm"
TARGET="frame1">
<AREA NAME="area4" COORDS="40,40,80,80" HREF="doc4.htm"
TARGET="frame1">
</MAP>
:
<IMG USEMAP="#map1" ID=idImg SRC="image.gif">
:
<BUTTON onclick="idImg.useMap='#map2'">
Change Maps</BUTTON>

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

IMG, OBJECT, INPUT


userAgent

userAgent Property

Retrieves a string equivalent to the HTTP user-agent request header.

Syntax

[ sUserAgent = ] object.userAgent

Possible Values

sUserAgent String that specifies a valid HTTP user agent.

The property is read-only. The property has no default value.

Remarks

The HTTP user-agent request header contains information about compatibility, the browser, and the platform name. For more information about the browser, see the appName property. For more information about the platform, see the appVersion property.

The userAgent property dynamically returns a different value depending on the browser and platform versions. For example, Microsoft® Internet Explorer 6 returns the following string for Microsoft Windows® XP.

Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Examples

This example uses the userAgent property to specify a required platform before additional script is executed. For example, if Windows XP is a requirement for the document, you can use a variable to determine whether the user is running the necessary operating system. The "bIsXP" variable is set to true if Windows XP is found in the userAgent value and the additional script is processed.

<SCRIPT>
var bIsXP=false;
window.onload=fnInit;
function fnInit(){
if(navigator.userAgent.indexOf("Windows NT 5.1")>-1){
bIsXP=true;
}
if(bIsXP==true){
// Process additional script.
}
}
</SCRIPT>

Standards Information

There is no public standard that applies to this property.

Applies To

clientInformation, navigator

See Also

About Conditional Comments


userLanguage

userLanguage Property

Retrieves the operating system's natural language setting.

Syntax

[ sLanguage = ] object.userLanguage

Possible Values

sLanguage String that receives any of the possible return values listed in the Language Codes.

The property is read-only. The property has no default value.

Remarks

This property reflects the setting in the "Your locale (location)" box in the Regional Options of Control Panel—for example, "English (United States).

Standards Information

There is no public standard that applies to this property.

Applies To

clientInformation, navigator

See Also

browserLanguage, systemLanguage


VALIGN Attribute | vAlign

VALIGN Attribute | vAlign Property

Sets or retrieves whether the caption appears at the top or bottom of the table.

Syntax

HTML | <CAPTION VALIGN = sAlign... >
Scripting | CAPTION.vAlign [ = sAlign ]

Possible Values

sAlign String that specifies or receives one of the following values.
top | Default. Places the caption at the top of the table.
bottom | Places the caption at the bottom of the table.

The property is read/write. The property has a default value of top.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

When this property is set dynamically, the value of the property will be updated, but there will be no visible change in the display.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

CAPTION


VALIGN Attribute | vAlign

VALIGN Attribute | vAlign Property

Sets or retrieves how text and other content are vertically aligned within the object that contains them.

Syntax

HTML | <ELEMENT VALIGN = sAlign... >
Scripting | object.vAlign [ = sAlign ]

Possible Values

sAlign String that specifies or receives one of the following values.
middle | Default. Aligns the text in the middle of the object.
baseline | Aligns the base line of the first line of text with the base lines in adjacent objects.
bottom | Aligns the text at the bottom of the object.
top | Aligns the text at the top of the object.

The property is read/write. The property has a default value of middle.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

COL, COLGROUP, TBODY, TD, TFOOT, TH, THEAD, TR

See Also

verticalAlign


value

value Property

Sets or retrieves the value of the object.

Syntax

attribute.value(v) [ = sValue ]

Possible Values

sValue String that specifies or receives the value.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

attribute

See Also

nodeValue


value

value Property

Retrieves or sets the text in the entry field of the textArea element.

Syntax

HTML | N/A
Scripting | TEXTAREA.value [ = sValue ]

Possible Values

sValue String that specifies or receives the text in the entry field of the element.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Setting this property replaces any existing text in the element.

Example

In this example, when the user clicks the text area, the alert displays the value "This is the value of a TEXTAREA".

<TEXTAREA onclick="alert(this.value)">
This is the value of a TEXTAREA.
</TEXTAREA>

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

TEXTAREA


VALUE Attribute | value

VALUE Attribute | value Property

Sets or retrieves the default or selected value of the control.

Syntax

HTML | <ELEMENT VALUE = sValue... >
Scripting | object.value [ = sValue ]

Possible Values

sValue String that specifies or receives the value for the control.

The property is read/write. The property has no default value for all objects with the following exceptions:
INPUT type=checkbox | on
INPUT type=reset | Reset
INPUT type=submit | Submit Query

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The purpose of the value property depends on the type of control as described in the following table.
input type=checkbox | The selected value. The control submits this value only if the user has selected the control. Otherwise, the control submits no value.
input type=file | The value, a file name, typed by the user into the control. Unlike other controls, this value is read-only.
input type=hidden | The value that the control submits when the form is submitted.
option | The selected value. The containing list box control submits this value only if the user has selected the option.
input type=password | The default value. The control displays this value when it is first created and when the user clicks the reset button.
input type=radio | The selected value. The control submits this value only if the user has selected the control. Otherwise, the control submits no value.
input type=reset | The button label. If not set, the label defaults to Reset.
input type=submit | The button label. If not set, the label defaults to Submit.
input type=text | The default value. The control displays this value when it is first created and when the user clicks the reset button.

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

BUTTON, INPUT, INPUT type=checkbox, INPUT type=hidden, INPUT type=button, INPUT type=radio, INPUT type=reset, INPUT type=submit

See Also

button, input


VALUE Attribute | value

VALUE Attribute | value Property

Sets or retrieves the value of a list item.

Syntax

HTML | <LI VALUE = sValue... >
Scripting | LI.value [ = sValue ]

Possible Values

sValue Integer that specifies or receives the value of the item.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

In an ordered list, the value is the number that precedes the list item. Changing the value will change the visual numbering of all following list items. In an unordered list, the value is initially zero. Changing the value has no visual effect on the item.

Example

This example sets each line item's value to an integer string.

<OL>
<LI VALUE="1">One
<LI VALUE="2">Two
<LI VALUE="3">Three
</OL>

Standards Information

This property is deprecated in HTML Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

LI


VALUE Attribute | value

VALUE Attribute | value Property

Sets or retrieves the value which is returned to the server when the form control is submitted.

Syntax

HTML | <ELEMENT VALUE = sValue... >
Scripting | object.value [ = sValue ]

Possible Values

sValue String that specifies or receives the value of a control object which is passed as a name/value pair to the server, when an object is submitted.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Individual control objects return a value to the server only if they have been selected by the user.

You may pass server-friendly data directly to the server without confusing the user. The user sees only the innerText displayed, and not the value.

Example

This example sets the value for each option element to a supply stock number.

<SCRIPT>
<script>
function fnShowText(){
/* Use the selectedIndex property of the SELECT control
to retrieve the text from the options collection. */
var sText = "Stock Number = " + oSel.options(oSel.selectedIndex).value;
alert(sText);
}
</script>
<SELECT ID="oSel" onchange = "fnShowText()">
<OPTION VALUE="STK#45">Item One - Basketball</OPTION>
<OPTION VALUE="STK#347">Item Two - Baseball</OPTION>
<OPTION VALUE="STK#67">Item Three - Hockey Puck</OPTION>
</SELECT>
</SCRIPT>

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

OPTION, SELECT

See Also

input


VALUE Attribute | value

VALUE Attribute | value Property

Sets or retrieves the displayed value for the control object. This value is returned to the server when the control object is submitted.

Syntax

HTML | <ELEMENT VALUE = sValue... >
Scripting | object.value [ = sValue ]

Possible Values

sValue String that specifies or receives the value of a control object which is passed as a name/value pair to the server, when the control object is submitted.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The initial setting of the value property is the initial display value for the control object. The user may edit the value text prior to submission of a control object's content. If the control object is reset using the input type=reset control object, the initial value is restored.

The input type=password object's value property text is always displayed with each character's text hidden, such as with an asterisk (*) placeholder.

Note Though the input type=password?B>value property display text is hidden, data is passed to the server in clear text, and may be read by anyone with access to the network.

Examples

This example uses the input type=text element to create an empty text control that can contain 15 characters without requiring the user to scroll to read all of the text.

<INPUT TYPE=text VALUE="" NAME="textbox" SIZE=15>

This example uses script to detect the content of the text box and display it in a dialog box.

<SCRIPT>
function detectEntry()
{
alert("Your name is " + textbox.value)
}
</SCRIPT>

Standards Information

This property is defined in HTML 3.2 Non-Microsoft link.

Applies To

INPUT type=password, INPUT type=text

See Also

input


VALUE Attribute | value

VALUE Attribute | value Property

Sets or retrieves the value of an input parameter for an element.

What's New for Microsoft® Internet Explorer 6

The value property is now read/write.

Syntax

HTML | <PARAM VALUE = p... >
Scripting | PARAM.value(v) [ = p ]

Possible Values

p String that specifies or receives the value which is passed to an applet, embed, or object element.

The property is read/write. The property has no default value.

Remarks

In Internet Explorer 3.02 and later, value is an attribute of param. Beginning in Internet Explorer 6, value is a read/write property.

Example

The following example shows how to use the param element to specify a run-time parameter for the object specified by the object element. A Uniform Resource Identifier (URI) is specified for the Microsoft Windows Media® Player control.

<OBJECT CLASSID="clsid:22D6F312-B0F6-11D0-94AB-0080C74C7E95">
<PARAM NAME="FileName"
VALUE="http://msdn.microsoft.com/workshop/samples/author/behaviors/media/28movie.asf"
VALUETYPE="ref" TYPE="video/*"/>
</OBJECT>

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

PARAM

See Also

Binding HTML Elements to Data, Introduction to Data Binding


value

value Property

Retrieves the file name of the input object after the text is set by user input.

Syntax

HTML | N/A
Scripting | [ sValue = ] INPUT type=file.value

Possible Values

sValue String that receives the file name.

The property is read-only. The property has no default value.

Remarks

The value property returns only the file name and not the path of the file to machines outside the local machine security zone. For more information on security zones, see About URL Security Zones.

Standards Information

There is no public standard that applies to this property.

Applies To

INPUT type=file


VALUETYPE Attribute | valueType

VALUETYPE Attribute | valueType Property

Sets or retrieves the data type of the value attribute.

Syntax

HTML | <PARAM VALUETYPE = p... >
Scripting | PARAM.valueType(v) [ = p ]

Possible Values

p String that specifies or receives the type of data specified in the value attribute of the param element.
data | Default. The value specified by the value attribute will be evaluated and passed to the applet, embed, or object element as a string.
ref | The value specified by the value attribute is a Uniform Resource Identifier (URI) that designates a resource where run-time values are stored. This allows support tools to identify URIs given as parameters.
object | The value specified by the value attribute is an identifier (ID) that refers to an object declaration in the same document. The ID must be the value of the id attribute set for the declared object element.

The property is read/write. The property has a default value of data.

Example

The following example shows how to use the param element to specify a run-time parameter for the object specified by the object element. A URI is specified for the Microsoft Windows Media® Player control.

<OBJECT CLASSID="clsid:22D6F312-B0F6-11D0-94AB-0080C74C7E95">
<PARAM NAME="FileName"
VALUE="http://msdn.microsoft.com/workshop/samples/author/behaviors/media/28movie.asf"
VALUETYPE="ref" TYPE="video/*"/>
</OBJECT>

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

PARAM

See Also

Binding HTML Elements to Data, Introduction to Data Binding


VCARD_NAME Attribute | vcard_name

VCARD_NAME Attribute | vcard_name Property

Sets or retrieves the vCard value of the object to use for the AutoComplete box.

Syntax

HTML | <ELEMENT VCARD_NAME = sVCard... >
Scripting | object.vcard_name [ = sVCard ]

Possible Values

sVCard String that specifies one or more of the following values:
vCard.Business.City | Business city mapped to the vCard.Business.City schema.
vCard.Business.Country | Business country/region mapped to the vCard.Business.Country schema.
vCard.Business.Fax | Business fax number mapped to the vCard.Business.Fax schema.
vCard.Business.Phone | Business telephone number mapped to the vCard.Business.Phone schema.
vCard.Business.State | Business state, province, or territory mapped to the vCard.Business.State schema.
vCard.Business.StreetAddress | Business street address mapped to the vCard.Business.StreetAddress schema.
vCard.Business.URL | Business Web site address mapped to the vCard.Business.URL schema.
vCard.Business.Zipcode | Business postal code number mapped to the vCard.Business.Zipcode schema.
vCard.Cellular | Cellular phone number mapped to the vCard.Cellular schema.
vCard.Company | Company name mapped to the vCard.Company schema.
vCard.Department | Company or agency department name mapped to the vCard.Department schema.
vCard.DisplayName | User-selected display name mapped to the vCard.DisplayName schema.
vCard.Email | E-mail address mapped to the vCard.Email schema.
vCard.FirstName | First name mapped to the vCard.FirstName schema.
vCard.Gender | Gender mapped to the vCard.Gender schema.
vCard.Home.City | Home city mapped to the vCard.Home.City schema.
vCard.Home.Country | Home country/region mapped to the vCard.Home.Country schema.
vCard.Home.Fax | Home fax number to the vCard.Home.FAX schema.
vCard.Home.Phone | Home telephone number to the vCard.Home.Phone schema.
vCard.Home.State | Home state, province, or territory mapped to the vCard.Home.State schema.
vCard.Home.StreetAddress | Home street address mapped to the vCard.Home.StreetAddress schema.
vCard.Home.Zipcode | Home postal code number mapped to the vCard.Home.Zipcode schema.
vCard.Homepage | Web page address mapped to the vCard.Homepage schema.
vCard.JobTitle | Company or agency job title mapped to the vCard.JobTitle schema.
vCard.LastName | Last name mapped to the vCard.LastName schema.
vCard.MiddleName | Middle name mapped to the vCard.MiddleName schema.
vCard.Notes | Additional notes mapped to the vCard.Notes schema.
vCard.Office | Office location mapped to the vCard.Office schema.
vCard.Pager | Pager number mapped to the vCard.Pager schema.

The property is write-only. The property has no default value.

Remarks

A vCard is a standards-based way to refer to common personal information about a user.

When a VCARD_NAME attribute is specified, the AutoComplete box is populated with mapped values from the Profile Assistant and any other submitted values stored for that domain. For example, if a user enters an e-mail address into a text field that exposes a VCARD_NAME attribute set to vCard.Email, AutoComplete suggests any e-mail information provided in the Profile Assistant. If the user submits a different e-mail address, the new information becomes available on that domain for other text fields with the same VCARD_NAME value.

If the VCARD_NAME attribute is not specified, the name of the text field is used to map the submitted information. However, information from the Profile Assistant is not used.

You can disable the AutoComplete feature by specifying no to the AUTOCOMPLETE attribute.

Even though you can map PASSWORD values for AutoComplete, the browser can disable the ability to store this information. When this occurs, the browser prompts the user for a confirmation before storing the value.

The object model and a Web page do not have access to information provided by the AutoComplete feature until the user selects one of the suggestions for the text field.

This property is not supported in HTML Applications.

Example

This example uses the VCARD_NAME attribute to map the value of the text field to the e-mail address specified by the Profile Assistant.

<INPUT
TYPE = text NAME= "CustomerEmail"
VCARD_NAME = "vCard.Email"
>

Standards Information

There is no public standard that applies to this property.

Applies To

INPUT type=password, INPUT type=text

See Also

Using AutoComplete in HTML Forms


VERSION Attribute | version

VERSION Attribute | version Property

Sets or retrieves the Document Type Definition (DTD) version that governs the current document.

Syntax

HTML | <HTML VERSION = sVersion... >
Scripting | HTML.version(v) [ = sVersion ]

Possible Values

sVersion String that specifies or receives the DTD version for the document.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

There is no functionality implemented for this property unless defined by the author.

The version property is deprecated in HTML 4.0 because it is redundant with version information provided in the document type declaration.

Standards Information

This property is deprecated in HTML Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

HTML


vertical-align Attribute | verticalAlign

vertical-align Attribute | verticalAlign Property

Sets or retrieves the vertical alignment of the object.

Syntax

HTML | { vertical-align : sAlign }
Scripting | object.style.verticalAlign [ = sAlign ]

Possible Values

sAlign Variant that specifies or receives one of the following values.
auto | Aligns the contents of an object according to the value of the layout-flow attribute.
baseline | Default. Aligns the contents of an object supporting VALIGN to the base line.
sub | Vertically aligns the text to subscript.
super | Vertically aligns the text to superscript.
top | Vertically aligns the contents of an object supporting VALIGN to the top of the object.
middle | Vertically aligns the contents of an object supporting VALIGN to the middle of the object.
bottom | Vertically aligns the contents of an object supporting VALIGN to the bottom of the object.
text-top | Vertically aligns the text of an object supporting VALIGN to the top of the object.
text-bottom | Vertically aligns the text of an object supporting VALIGN to the bottom of the object.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of baseline for all objects with the exception of currentStyle which has a default value of auto. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The sub and super values are supported on text. The auto value is supported on the currentStyle object. The other values are supported on objects that support VALIGN.

The auto value is identical to the baseline value when the layout-flow is horizontal. When the layout-flow is vertical-ideographic, the auto value is identical to the middle value.

Example

This example uses the verticalAlign property to align text within a table cell.

 <TABLE BORDER width=100>
<TR>
<TD onmouseover="this.style.verticalAlign='bottom'"
onmouseout="this.style.verticalAlign=''">
text to align</TD>
</TR>
</TABLE>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

COL, currentStyle, CUSTOM, defaults, IMG, runtimeStyle, SPAN, style, TBODY, TD, TFOOT, TH, THEAD, TR

See Also

vAlign


viewInheritStyle

viewInheritStyle Property

Sets or retrieves a value that indicates whether the document fragment inherits the Cascading Style Sheets (CSS) styles set in the primary document.

Syntax

defaults.viewInheritStyle(v) [ = bInherit ]

Possible Values

bInherit Boolean that specifies or receives one of the following values.
true | Default. Document fragment inherits CSS styles.
false | Document fragment does not inherit CSS styles.

The property is read/write. The property has a default value of true.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

For more information on the CSS styles that can be inherited when viewInheritStyle is set to true, see About Viewlink CSS Inheritance. Inheritable CSS styles are only applied to elements in the document fragment that do not already have the corresponding CSS styles defined.

Examples

In the following sample a div tag contains a custom element that has an element behavior attached to it. The div tag that is located in the primary document sets a number of CSS attributes, specifically the following:

  • color is set to red.
  • fontSize is set to 12 pt.
  • fontStyle is set to italic.
  • border is set to 2px solid blue.

The content of the primary document is shown in the code snippet below.

<HTML xmlns:myns>
<HEAD>
<?import namespace="myns" implementation="viewInheritStyle.htc">
</HEAD>
<BODY>
<DIV style= "color:red;font-size:12pt;font-Style:italic;border:2px solid blue">
This text is inside a DIV element in the primary document.
<BR>
<!-- this is a custom element -->
<myns:abc></myns:abc>
</DIV>
</BODY>
</HTML>

The next code snippet shows the content of the HTML Component (HTC) file, viewInheritStyle.htc.

The HTC file contains a simple document fragment, which also includes a div tag that uses the following CSS styles.

  • fontSize is set to 20 pt.
  • border is set to 2px solid green.

Because the content in the primary document has CSS styles set on a div tag that contains the custom element, the div tag in the document fragment inherits the inheritable CSS Styles when the viewInheritStyle property is true.

<public:component tagName="abc">
<attach event="oncontentready" onevent=init() />
</public:component>
<script>
function init(){
defaults.viewLink=document;
defaults.viewInheritStyle = false;
docFragCaption.innerText = "viewInheritStyle is now set to false";
}
function btnChangeInheritance_onClick(){
boolInherit = defaults.viewInheritStyle;
if (boolInherit == true) {
defaults.viewInheritStyle = false;
docFragCaption.innerText = "viewInheritStyle is now set to false";
}
else
{
defaults.viewInheritStyle = true;
docFragCaption.innerText = "viewInheritStyle is now set to true";
}
}
</script>
<BODY>
<DIV id="docFragCaption" style= "font-size:20pt;border:2px solid green"></DIV>
<BR>
<INPUT id=btnChangeInheritance type=button value="Toggle viewInheritStyle property" onclick="btnChangeInheritance_onClick()">
</BODY>

Run the sample to verify that the inheritable CSS styles from the primary document are applied to the document fragment. In this example, the inherited CSS styles are the fontStyle and color properties.

In this example, the border property is not inherited for two reasons. First, the border property not an inheritable property, and second, the property is set explicitly on the div tag in the document fragment.

This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

defaults

See Also

Introduction to Viewlink, About Viewlink CSS Inheritance, About Element Behaviors


viewLink

viewLink Property

Sets or retrieves the document object that supplies content to the master element.

Syntax

[ oDocument = ] defaults.viewLink(v)

Possible Values

oDocument Object that receives a reference to the document object.

The property is read-only. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

There is no public standard that applies to this property.

Applies To

defaults

See Also

Introduction to Viewlink, About Element Behaviors


viewMasterTab

viewMasterTab Property

Sets or retrieves a value that indicates whether the master element of a viewlink is included in the tab sequence of the primary document.

Syntax

defaults.viewMasterTab(v) [ = bInherit ]

Possible Values

bInherit Boolean that specifies or receives one of the following values.
true | Default. Tabbing from an element in the primary document to a viewlink sets focus to the master element.
false | Tabbing from an element in the primary document to a viewlink sets focus to the next tab stop, bypassing the master element.

The property is read/write. The property has a default value of true.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Tabbing order goes from every tab stop within the viewlink to every tab stop in the primary document, based on sequence and tabIndex value. By default, the master element participates in the tab sequence of the primary document, even if there are no tab stops defined within the viewlink.

When using a viewlink, the body element inside the viewlink is not tabbable by default; the author must set the tabIndex property if the behavior is designed to display a focus rectangle on the linked document. Setting the tabIndex property on the body of the document fragment causes the onfocus and onactivate events to fire when the viewlink document body receives focus.

Standards Information

There is no public standard that applies to this property.

Applies To

defaults

See Also

viewLink, Introduction to Viewlink, About Element Behaviors


visibility Attribute | visibility

visibility Attribute | visibility Property

Sets or retrieves whether the content of the object is displayed.

Syntax

HTML | { visibility : sVisibility }
Scripting | object.style.visibility [ = sVisibility ]

Possible Values

sVisibility String that specifies or receives one of the following values.
inherit | Default. Object inherits the visibility of the next parent object.
visible | Object is visible.
hidden | Object is hidden.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of inherit. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Unlike display:none, objects that are not visible still reserve the same physical space in the content layout as they would if they were visible. You can change the visibility through scripting to show and hide overlapping content based on user interaction. For document style scripting information, see Introduction to Dynamic Styles.

As of Microsoft® Internet Explorer 5, a child object can be visible when its parent is hidden. With Internet Explorer 4.0, the parent object must be visible for a child object to be visible.

Examples

The following examples use the visibility attribute and the visibility property to determine whether the object is visible.

This example uses two calls to an embedded (global) style sheet to hide and then show the image when the user moves the mouse over and off the text.

<STYLE>
.vis1 { visibility:visible }
.vis2 { visibility:hidden }
</STYLE>
</HEAD>
<BODY>
<IMG ID="oSphere" SRC="sphere.jpg">
<P onmouseover="oSphere.className='vis2'"
onmouseout="oSphere.className='vis1'">
Move the mouse over this text to make the sphere
disappear.</P>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses a call to a function to hide the image.

<SCRIPT>
function disappear()
{
oSphere.style.visibility="hidden";
}
function reappear()
{
oSphere.style.visibility="visible";
}
</SCRIPT>
</HEAD>
<BODY>
<IMG SRC="sphere.jpeg" ID="oSphere">
Move the mouse over <SPAN ID="oTxt" onmouseover="disappear()"
onmouseout="reappear()"> this text</SPAN>
to see the sphere disappear.
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 2 (CSS2) Non-Microsoft link.

Applies To

A, ADDRESS, APPLET, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, defaults, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FORM, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, NOBR, OBJECT, OL, P, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


VLINK Attribute | vLink

VLINK Attribute | vLink Property

Sets or retrieves the color of links in the object that have already been visited.

Syntax

HTML | <BODY VLINK = sColor... >
Scripting | BODY.vLink [ = sColor ]

Possible Values

sColor Variant that specifies or receives one of the color names or values in the Color Table.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Some browsers do not recognize color names, but all browsers should recognize the #RRGGBB format of RGB color values and display them correctly.

Standards Information

This property is deprecated in HTML Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

BODY

See Also

aLink, :hover, :link, link


vlinkColor

vlinkColor Property

Sets or retrieves the color of the links that the user has visited.

Syntax

document.vlinkColor [ = sColor ]

Possible Values

sColor Variant that specifies or receives one of the color names or values in the Color Table.
#800080 Default. #RRGGBB color value

The property is read/write. The property has a default value of #800080.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Some browsers do not recognize color names, but all browsers should recognize RGB color values and display them correctly.

Standards Information

There is no public standard that applies to this property.

Applies To

document

See Also

alinkColor, linkColor


VOLUME Attribute | volume

VOLUME Attribute | volume Property

Sets or retrieves the volume setting for the sound.

Syntax

HTML | <BGSOUND VOLUME = iVolume... >
Scripting | BGSOUND.volume [ = iVolume ]

Possible Values

iVolume Variant that specifies or receives the volume setting. Valid values range from -10,000 to 0, with 0 being full Wave Output volume.

The property is read/write. The property has no default value.

Remarks

The higher the setting, the louder the sound.

Standards Information

There is no public standard that applies to this property.

Applies To

BGSOUND


VSPACE Attribute | vspace

VSPACE Attribute | vspace Property

Sets or retrieves the vertical margin for the object.

Syntax

HTML | <ELEMENT VSPACE = iMargin... >
Scripting | object.vspace [ = iMargin ]

Possible Values

iMargin Integer that specifies or receives the vertical margin, in pixels.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This property is similar to the border property, except the margins do not have color when the object is a link.

When this property is set dynamically for an img or iframe object, the property value will be updated but the display will show no visible change.

Standards Information

This property is deprecated in HTML Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

APPLET, IFRAME, IMG, MARQUEE, OBJECT, INPUT type=image, INPUT

See Also

hspace


wheelDelta

wheelDelta Property

Retrieves the distance and direction the wheel button has rolled.

Syntax

[ p = ] event.wheelDelta

Possible Values

p Integer that receives the distance and direction that the wheel button has rolled.

The property is read-only. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This property indicates the distance that the wheel has rotated, expressed in multiples of 120. A positive value indicates that the wheel has rotated away from the user. A negative value indicates that the wheel has rotated toward the user.

This property is used with the onmousewheel event.

Example

The following example shows how to use the wheelDelta with the onmousewheel event to measure the distance the wheel button has rotated. Measurement values of wheelDelta are in multiples of 120.

<HTML>
<HEAD>
<SCRIPT>
function updateDelta(){
oNotice.innerText=event.wheelDelta;
}
</SCRIPT>
</HEAD>
<BODY>
<DIV onmousewheel="updateDelta()">Place cursor over this sentence and roll! wheelDelta:
(<SPAN ID="oNotice"></SPAN>)
</DIV>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

event


white-space Attribute | whiteSpace

white-space Attribute | whiteSpace Property

Sets or retrieves a value that indicates whether lines are automatically broken inside the object.

What's New for Microsoft® Internet Explorer 6

This property now applies to the currentStyle element. The pre value of this property is now supported.

Syntax

HTML | { white-space : sWrap }
Scripting | object.style.whiteSpace(v) [ = sWrap ]

Possible Values

sWrap String that specifies or receives one of the following values.
normal | Default. Lines of text break automatically. Content wraps to the next line if it exceeds the width of the object.
nowrap | Line breaks are suppressed. Content does not wrap to the next line.
pre | Line breaks and other whitespace are preserved. This possible value is supported in Internet Explorer 6 and later when the !DOCTYPE declaration specifies standards-compliant mode. When the !DOCTYPE declaration does not specify standards-compliant mode, you can retrieve this value, but it does not affect rendering—it functions like the normal value.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of normal. The Cascading Style Sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Whitespace, such as line breaks, spaces, and tabs, is collapsed by default in HTML documents. You can use the nonbreaking space entity?SPAN CLASS="clsLiteral">(&nbsp;) to add extra spaces to an object when the whiteSpace property is set to normal or nowrap. You can add extra line breaks using the br element.

This property affects content you access through the Document Object Model (DOM) the same way it affects the way Internet Explorer displays the content.

Examples

The following example shows how automatic line breaks are suppressed when the user places the mouse pointer over the paragraph. This is caused by toggling the value of the white-space attribute in the onmouseover and onmouseout events of the p element. When the white-space attribute is set to nowrap in the onmouseover event, line breaks are suppressed, and horizontal scrolling is required to view content wider than the element. When the attribute is set to normal in the onmouseout event, lines break automatically, depending on the width of the element.

<HTML>
<HEAD>
<STYLE>
.clsOneLiner  {white-space: nowrap}
.clsAutoBreak {white-space: normal}
</STYLE>
</HEAD>
<BODY>
<P ONMOUSEOVER="this.className='clsOneLiner';"
ONMOUSEOUT="this.className='clsAutoBreak';">
Long lines of text remain unbroken when the value of the whitespace
attribute is set to nowrap. Place your mouse over the text to
suppress automatic line breaks.</P>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The following example shows how to set and retrieve the value of the whiteSpace property. When the user sets the value of the whiteSpace property of a div element, the value of the property is retrieved in a span element.

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 //EN"
"http://www.w3.org/TR/REC-html40/strict.dtd">
<HTML>
<HEAD>
<SCRIPT>
function fnSwitch(){
oDiv.style.whiteSpace = event.srcElement.innerText;
document.all.oSpan.innerText = oDiv.currentStyle.whiteSpace;
}
</SCRIPT>
</HEAD>
<BODY>
<BODY>
<H1>direction Property Sample</H1>
<H2>direction:
<SPAN id="oSpan" style="color:red"></SPAN></H2>
<P>[ <A href="#" onclick=fnSwitch()>normal</A> | <A href="#"
onclick=fnSwitch()>nowrap</A> | <A href="#" onclick=fnSwitch()>pre</A> ]</P>
<DIV id="oDiv" style="background:#e4e4e4; padding:10px;">
In   the   source,   this   sentence   has   three   spaces   between   each   word.
This sentence
takes up three
lines in the source.
</DIV>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

ACRONYM, ADDRESS, BASEFONT, BLOCKQUOTE, BDO, BIG, BODY, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, DIV, DIR, DL, DT, EM, FIELDSET, FORM, FONT, hn, HR, ISINDEX, I, INS, KBD, LABEL, LEGEND, LI, LISTING, MENU, OL, P, Q, PLAINTEXT, PRE, S, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TT, U, UL, XMP

See Also

CSS Enhancements in Internet Explorer 6, pre, wordWrap


width

width Property

Retrieves the horizontal resolution of the screen.

Syntax

XML | N/A
Scripting | [ iWidth = ] clientCaps.width

Possible Values

iWidth Integer that receives the width of the screen, in pixels.

The property is read-only. The property has no default value.

Example

This example displays all the properties available through the clientCaps behavior.

<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
IE\:CLIENTCAPS {behavior:url(#default#clientCaps)}
}
</STYLE>
<SCRIPT>
function window.onload()
{
sTempStr = "availHeight    = " + oClientCaps.availHeight    + "\n" +
"availWidth     = " + oClientCaps.availWidth     + "\n" +
"bufferDepth    = " + oClientCaps.bufferDepth    + "\n" +
"colorDepth     = " + oClientCaps.colorDepth     + "\n" +
"connectionType = " + oClientCaps.connectionType + "\n" +
"cookieEnabled  = " + oClientCaps.cookieEnabled  + "\n" +
"cpuClass       = " + oClientCaps.cpuClass       + "\n" +
"height         = " + oClientCaps.height         + "\n" +
"javaEnabled    = " + oClientCaps.javaEnabled    + "\n" +
"platform       = " + oClientCaps.platform       + "\n" +
"systemLanguage = " + oClientCaps.systemLanguage + "\n" +
"userLanguage   = " + oClientCaps.userLanguage   + "\n" +
"width          = " + oClientCaps.width          + "\n" ;
oPre.innerText = sTempStr;
}
</SCRIPT>
</HEAD>
<BODY>
<H1>clientCaps Behavior Sample</H1>
<P>This example shows how to use the new <B>clientCaps</B>
behavior, introduced in Microsoft Internet Explorer 5, to obtain
client capabilities information. The following is a sampling of the
information that can be obtained:</P>
<IE:CLIENTCAPS ID="oClientCaps" />
<PRE id="oPre"></PRE>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

clientCaps

See Also

About Client Capabilities


width

width Property

Retrieves the horizontal resolution of the screen.

Syntax

[ iWidth = ] screen.width

Possible Values

iWidth Integer that receives the horizontal resolution, in pixels.

The property is read-only. The property has no default value.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

screen

See Also

availWidth, height


WIDTH Attribute | width

WIDTH Attribute | width Property

Sets or retrieves the calculated width of the object.

Syntax

HTML | <ELEMENT WIDTH = iWidth... >
Scripting | object.width [ = iWidth ]

Possible Values

iWidth Integer that specifies or receives one of the following values.
width | Integer that specifies the width of the object in pixels or as a percentage.
percentage | String that specifies an integer value followed by a %. The value is a percentage of the width of the parent object.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

If you specify the width property of an img, but not the height property, the resulting height of the img is sized proportionally to the specified width property and the actual height, in pixels, of the source image file. Consider the following example:

Dimensions of image in source file (pixels): 100 X 50 (W X H)
Specified image width: 2in
Specified image height: not specified
Resulting image width: 2in
Resulting image height: 1in ((50/100) * 2 inches)

If you specify the width property of an img, and the height and width of the image in the source file are identical, the height of the image matches the width.

If you specify the height property and the width property of an img, the resulting image dimensions match the height and width specified.

When scripting the height property, use either the pixelHeight or posHeight property to numerically manipulate the height value.

If dynamic changes are intended for the height and width, the original values should be set through style (e.g. "style=''height:200px; width:200px'') rather than through the height and width attributes.

Although you can specify the width as a percentage, this property always retrieves the width in pixels.

Example

This example sets the width of the image to 20 pixels regardless of the original size of the image.

<IMG SRC="large.gif" WIDTH="20">

Standards Information

This property is defined in HTML 4.0 Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text


width Attribute | width

width Attribute | width Property

Sets or retrieves the width of the object.

What's New for Microsoft® Internet Explorer 6

When you use the !DOCTYPE declaration to specify standards-compliant mode, this property specifies only the distance between the left and right edges of the content box—that is, within the padding.

Syntax

HTML | { width : sWidth }
Scripting | object.style.width [ = sWidth ]

Possible Values

sWidth Variant that specifies or receives one of the following values.
auto | Default. Default width of the object.
width | Floating-point number, followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units.
percentage | Integer, followed by a %. The value is a percentage of the width of the parent object, whether or not it is specified explicitly. Negative values are not allowed.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of auto. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

As of Internet Explorer 6, when you use the !DOCTYPE declaration to specify standards-compliant mode, this property specifies the distance between the left and right edges of the content box—that is, within the padding.

When the !DOCTYPE declaration does not specify standards-compliant mode, and with earlier versions of Internet Explorer, this property includes the object's content box, plus the values of the following properties: borderLeft, borderRight, paddingLeft, and paddingRight. Subtracting the sum of the values of these properties from the value of the width property equals the width of the parent object's content box.

To perform operations on the numeric value of this property, use pixelWidth or posWidth.

For more information about how to access the dimension and location of elements on the page through the Dynamic HTML (DHTML) Document Object Model (DOM), see Measuring Element Dimension and Location.

Examples

This example uses an inline style sheet to set the width of an image.The following examples use the width attribute and the width property to change the width of the object.

<DIV STYLE="position:absolute;top:10px;left:10px;width:1in">
. . . </DIV>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to set the width of an image when an onclick event occurs.

<IMG SRC="sphere.jpg" onclick="this.style.width='1cm'"
ondblclick="this.style.width=''">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link and is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BUTTON, CAPTION, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, hn, HR, I, INS, KBD, LABEL, LEGEND, LI, LISTING, MENU, NOBR, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TEXTAREA, TT, U, UL, VAR, XMP

See Also

CSS Enhancements in Internet Explorer 6, Measuring Element Dimension and Location


WIDTH Attribute | width

WIDTH Attribute | width Property

Sets or retrieves the width of the object.

Syntax

HTML | <ELEMENT WIDTH = sWidth... >
Scripting | object.width [ = sWidth ]

Possible Values

sWidth Variant that specifies or receives one of the following values.
width | Integer that specifies the width of the object in pixels.
percentage | String that specifies an integer value followed by a %. The value is a percentage of the width of the parent object.

The property is read/write for all objects except the following, for which it is read-only: FRAME. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

COL, COLGROUP, EMBED, FRAME, FRAMESET, IFRAME, MARQUEE, OBJECT, TABLE, TD, TH, TR


WIDTH Attribute | width

WIDTH Attribute | width Property

Sets or retrieves a value that you can use to implement your own width functionality for the object.

Syntax

HTML | <PRE WIDTH = sWidth... >
Scripting | PRE.width(v) [ = sWidth ]

Possible Values

sWidth String that specifies or receives the value for width property.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The functionality specified by the HTML 4.0 standard is not implemented.

There is no functionality implemented for this property unless defined by the author.

Standards Information

This property is deprecated in HTML Non-Microsoft link and is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

PRE


word-break Attribute | wordBreak

word-break Attribute | wordBreak Property

Sets or retrieves line-breaking behavior within words, particularly where multiple languages appear in the object.

Syntax

HTML | { word-break : sBreak }
Scripting | object.style.wordBreak [ = sBreak ]

Possible Values

sBreak String that specifies or receives one of the following values.
normal | Default. Allows line breaking within words.
break-all | Behaves the same as normal for Asian text, yet allows the line to break arbitrarily for non-Asian text. This value is suited to Asian text that contains some excerpts of non-Asian text.
keep-all | Does not allow word breaking for Chinese, Japanese, and Korean. Functions the same way as normal for all non-Asian languages. This value is optimized for text that includes small amounts of Chinese, Japanese, or Korean.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of normal. The Cascading Style Sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

When using the word-break attribute with a TABLE, you must set the table-layout property to fixed on the TABLE.

Standards Information

This property is part of a proposed addition to Cascading Style Sheets (CSS) Non-Microsoft link.

Applies To

ADDRESS, BLOCKQUOTE, BODY, CENTER, currentStyle, DD, DIR, DIV, DL, DT, FIELDSET, FORM, hn, HR, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, style, TABLE, TD, TH, TR, UL, XMP


word-spacing Attribute | wordSpacing

word-spacing Attribute | wordSpacing Property

Sets or retrieves the amount of additional space between words in the object.

What's New for Microsoft® Internet Explorer 6

This property now applies to the currentStyle element.

Syntax

HTML | { word-spacing : sSpacing }
Scripting | object.style.wordSpacing(v) [ = sSpacing ]

Possible Values

sSpacing Variant that specifies or receives one of the following values.
normal | Default. Default spacing.
length | Floating-point followed by an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). For more information about the supported length units, see CSS Length Units Reference.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of normal. The Cascading Style Sheets (CSS) attribute is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The wordSpacing property is available on Macintosh beginning with Internet Explorer 4.01. It is available for other platforms beginning with Internet Explorer 6.

This attribute adds the specified spacing after each word. Justification can influence word spacing.

The length value indicates an addition to the default space between words. Negative values are permitted.

Example

The following example shows how to use the word-spacing attribute and the wordSpacing property to increase the amount of space between words in a span.

<STYLE>
SPAN.spacing{word-spacing: 10;}
</STYLE>
<SCRIPT>
function fnChangeSpace(){
oSpan.style.wordSpacing =
oSelSpace.options[oSelSpace.selectedIndex].text;
}
</SCRIPT>
<SELECT ID = "oSelSpace" onchange = "fnChangeSpace()">
<OPTION>10
<OPTION>15
<OPTION>20
</SELECT>
<SPAN ID = "oSpan" CLASS = "spacing">
The quick brown fox jumped over the lazy dog.
</SPAN>

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 1 (CSS1) Non-Microsoft link.

Applies To

A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, hn, HTML, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

CSS Enhancements in Internet Explorer 6


word-wrap Attribute | wordWrap

word-wrap Attribute | wordWrap Property

Sets or retrieves whether to break words when the content exceeds the boundaries of its container.

Syntax

HTML | { word-wrap : sWrap }
Scripting | object.style.wordWrap [ = sWrap ]

Possible Values

sWrap String that specifies or receives one of the following values.
normal | Default. Content exceeds the boundaries of its container.
break-word | Content wraps to next line, and a word-break occurs when necessary.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of normal. The Microsoft Cascading Style Sheets (CSS) extension is inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

This property is read-only for the currentStyle object.

This property applies to elements that have layout. An element has layout when it is absolutely positioned, is a block element, or is an inline element with a specified height or width.

Example

The following example shows how to use the break-word value of the wordWrap property to break one long word into multiple words on multiple lines. This value avoids horizontal scrolling and can be useful for printing. The p element in this example has layout, because its width is set.

<P STYLE="word-wrap:break-word;width:100%;left:0">
LongWordLongWord...LongWordLongWord</P>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to Cascading Style Sheets (CSS) Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, hn, HR, HTML, I, IMG, INPUT, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MENU, NOBR, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TEXTAREA, TD, TH, TT, U, UL, VAR, XMP

See Also

lineBreak, wordBreak, whiteSpace


WRAP Attribute | wrap

WRAP Attribute | wrap Property

Sets or retrieves how to handle wordwrapping in the object.

Syntax

HTML | <ELEMENT WRAP = sWrap... >
Scripting | object.wrap [ = sWrap ]

Possible Values

sWrap String that specifies or receives one of the following values.
soft | Default. Text is displayed with wordwrapping and submitted without carriage returns and line feeds.
hard | Text is displayed with wordwrapping and submitted with soft returns and line feeds.
off | Wordwrapping is disabled. The lines appear exactly as the user types them.

The property is read/write. The property has a default value of soft.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

To detect the difference between soft and hard you must submit the content within the textArea to an HTTP server.

Example

This example dynamically sets the wrap property of a textArea to the value selected by the user.

<SCRIPT>
function ChangeWrap(oSelect, oTA)
{
cValue = oSelect.options(oSelect.selectedIndex).value;
oTA.wrap = cValue;
}
</SCRIPT>
...
<SELECT ID=cboWrap onchange="ChangeWrap(this, txt1)">
<OPTION VALUE=soft>soft
<OPTION VALUE=hard>hard
<OPTION VALUE=off>off
</SELECT>
<P>
<TEXTAREA ID=txt1 STYLE="height:200;width:200"></TEXTAREA>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

TEXTAREA, PRE


writing-mode Attribute | writingMode

writing-mode Attribute | writingMode Property

Sets or retrieves the direction and flow of the content in the object.

Syntax

HTML | { writing-mode : sFlow }
Scripting | object.style.writingMode(v) [ = sFlow ]

Possible Values

sFlow String that specifies or receives one of the following values.
lr-tb | Default. Content in the object flows horizontally—from left to right, top to bottom. The next horizontal line is positioned underneath the previous line. All glyphs are positioned upright. This layout is used in Roman-based typography.
tb-rl | Content in the object flows vertically—from top to bottom, right to left. The next vertical line is positioned to the left of the previous line. Wide-cell glyphs are positioned upright; nonwide-cell glyphs—also known as narrow Latin or narrow Kana glyphs—are rotated 90-degrees clockwise. This layout is used in East Asian typography.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of lr-tb. The proposed Cascading Style Sheets (CSS) attribute is inherited by all objects with the following exceptions: BUTTON, CAPTION, INPUT, INPUT type=button, INPUT type=file, INPUT type=password, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, OPTION, TEXTAREA.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The property is read-only for the currentStyle object.

The property does not accumulate. For example, if a parent element has the writingMode property set to tb-rl, setting a child element's writingMode property to tb-rl does not cause the child element to rotate.

An element has its own layout if the value for the writingMode property is different than its parent. When a change in layout flow is specified for a child element, the maximum logical height requirement (height in this element's coordinate system) is determined by the available space (width measurement) in the parent's coordinate system. Based on this information, a logical width (width in the child's coordinate system) is computed to meet the maximum logical height requirement. Depending on the amount of space needed by the child element, the actual logical height of the element can be less than the maximum logical height requirement.

When you use elements that have different values for the writingMode property, you can have greater control over the layout of those elements by specifying fixed dimensions for each one.

Example

The following example shows how to use the writingMode property to nest horizontal text inside vertical text.

<HTML>
<STYLE>
.clsHoriz 		{ writing-mode:lr-tb }
</STYLE>
</HEAD>
<BODY>
<H1>writing-mode Attribute</H1>
<P>This example shows how to use the <B>writing-mode</B> attribute to
display horizontal text (<SPAN >lr-tb</SPAN>) within vertical text
(<SPAN>tb-rl</SPAN>).</P>
<P>The following <B>DIV</B> element has a <B>writing-mode</B> of tb-rl
and contains text and <B>SPAN</B> child elements. The text flow alternates
between vertical and horizontal. Note the effect of the <B>BR</B> element
after the second set of vertical text.</P>
<DIV STYLE="writing-mode:tb-rl">
First Set of Vertical Text
<SPAN CLASS="clsHoriz">First Set of Horizontal Text</SPAN>
Second Set of Vertical Text plus a line break<BR>
<SPAN STYLE="writing-mode:lr-tb">Second Set of Horizontal Text</SPAN>
Third Set of Vertical Text
<SPAN CLASS="clsHoriz">Third Set of Horizontal Text</SPAN>
</DIV>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is part of a proposed addition to Cascading Style Sheets (CSS) Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, B, BIG, BLOCKQUOTE, BUTTON, CAPTION, CENTER, CITE, CODE, currentStyle, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, hn, HR, I, INPUT, INPUT type=button, INPUT type=file, INPUT type=password, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TD, TEXTAREA, TH, TT, U, UL, VAR


x

x Property

Sets or retrieves the x-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Syntax

event.x [ = iX ]

Possible Values

iX Integer that specifies or receives the x-coordinate, in pixels.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The property is read-only in Microsoft® Internet Explorer 4.0, and read/write in Internet Explorer 5 and later.

In browser versions earlier than Internet Explorer 5, the x property retrieves a coordinate relative to the client.

This property returns the x-coordinate of the closest relatively positioned parent element of the element that fires the event. If the event firing element is relatively positioned, then the x-coordinate from the boundary of the element is returned. If the event firing element and all of its parent elements are not relatively positioned, then the x property returns a coordinate relative to the body element.

If the mouse is outside the window when the event is called, this property returns -1.

Example

This example displays the current mouse position in the browser's status window.

<BODY onmousemove="window.status = 'X=' + window.event.x +
' Y=' + window.event.y">

Standards Information

There is no public standard that applies to this property.

Applies To

event


XMLDocument

XMLDocument Property

Retrieves a reference to the XML Document Object Model (DOM) exposed by the object.

Syntax

HTML | N/A
Scripting | [ oXMLObject = ] object.XMLDocument

Possible Values

oXMLObject Object that specifies a reference to the XML DOM exposed by the object.

The property is read-only. The property has no default value.

Remarks

XMLDocument is the default property, and therefore specifying it is optional. The XMLDocument property is useful when passing an entire XML document to a method that requires an IXMLDOMNode parameter, such as the IXMLDOMNode::transformNode method. The XML data island itself (denoted by the <XML> tag) is considered an html element rather than an xml element. The XMLDocument property provides access to the root of the XML tree within the data island.

For a complete description of the XML DOM exposed by the XMLDocument property, see the XML DOM Reference.

Example

This example uses the XMLDocument property to access the object model of an xml data island.

<SCRIPT>
function fnCheck(){
var oNode = oMetaData.XMLDocument.selectSingleNode
("METADATA/ABSTRACT");
alert(oNode.text);
}
</SCRIPT>
<XML ID="oMetaData">
<METADATA>
<AUTHOR>John Smith</AUTHOR>
<GENERATOR>Visual Notepad</GENERATOR>
<PAGETYPE>Reference</PAGETYPE>
<ABSTRACT>Specifies a data island</ABSTRACT>
</METADATA>
</XML>
<INPUT TYPE=button VALUE="Test" onclick="fnCheck()">

Standards Information

There is no public standard that applies to this property.

Applies To

document, XML

See Also

XSLDocument, Introduction to Persistence


XMLNS

XMLNS Attribute

Declares a namespace for custom tags in an HTML document.

Syntax

HTML | <HTML XMLNS:sNamespace ... >
Scripting | N/A

Possible Values

sNamespace String that specifies the namespace used as a prefix to custom tags or a Uniform Resource Name (URN) that uniquely identifies the namespace.

Remarks

The syntax for XMLNS is based on the W3C XML Namespace Spec Non-Microsoft link. Although the World Wide Web Consortium (W3C) document allows you to declare namespaces on all tags, Microsoft® Internet Explorer 5 supports namespace declaration only on the html tag.

You can declare multiple namespaces on the html tag, as the syntax below shows:

<HTML XMLNS:Prefix1 XMLNS:Prefix2="www.microsoft.com">

Example

This example shows how to declare a namespace when one of the default behaviors in Internet Explorer, clientCaps, is used as a custom tag in an HTML document. Note that the declared namespace (in this case, MSIE) is a prefix to the name of the default behavior in the custom tag. This example also shows how the clientCaps behavior can be used to install the Internet Explorer Data Binding component, if the component does not already exist in the user's system.

<HTML XMLNS:MSIE>
<HEAD>
<STYLE>
@media all {
MSIE\:clientCaps {behavior:url(#default#clientcaps);}
}
</STYLE>
<SCRIPT>
function window.onload()
{
var bDataBindingAvailable  = false;
var sDataBindingVersion = '';
var sDataBindingID =
"{333C7BC4-460F-11D0-BC04-0080C7055A83}";
bDataBindingAvailable =
oClientCaps.isComponentInstalled(sDataBindingID,"clsid");
// if data binding is unavailable, install it
if (!bDataBindingAvailable)
{
oClientCaps.addComponentRequest (sDataBindingID,
"componentid");
bDataBindingAvailable = oClientCaps.doComponentRequest();
}
:
}
</SCRIPT>
</HEAD>
<BODY BGCOLOR="#FFFFFF">
:
<MSIE:CLIENTCAPS ID="oClientCaps" />
:
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this attribute.

Applies To

HTML


XSLDocument

XSLDocument Property

Retrieves a reference to the top-level node of the XSL document.

Syntax

[ oXSL = ] document.XSLDocument

Possible Values

oXSL Object that receives a reference to the root node of the style sheet document.

The property is read-only. The property has no default value.

Remarks

You can use the XSLDocument to access the Document Object Model (DOM) for the XSL style sheet. For more information, refer to the XML DOM Reference.

Example

This example uses the XSLDocument to access the DOM for the XSL to change attributes representing sort keys.

function sort(key) {
// Find the "order-by" attributes in the style sheet.
var s = document.XSLDocument.selectNodes("*/xsl:template[@match='menu']
//xsl:apply-templates/@order-by");
// Replace the values with the new sort key.
for (var i = s.nextNode(); i != null; i = s.nextNode())
{
i.value = key;
}
// Find the subset of the document we need to update.
var d = document.XMLDocument.selectSingleNode("story/menu");
// Apply the style sheet to the subset, and update the display.
menu.innerHTML = d.transformNode(document.XSLDocument);
}

Standards Information

There is no public standard that applies to this property.

Applies To

document

See Also

XMLDocument


y

y Property

Sets or retrieves the y-coordinate, in pixels, of the mouse pointer's position relative to a relatively positioned parent element.

Syntax

event.y [ = iY ]

Possible Values

iY Integer that specifies or receives the y-coordinate, in pixels.

The property is read/write. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

The property is read-only in Microsoft® Internet Explorer 4.0, and read/write in Internet Explorer 5 and later.

In browser versions earlier than Internet Explorer 5, the y property retrieves a coordinate relative to the client.

This property returns the y-coordinate of the closest relatively positioned parent element of the element that fires the event. If the event firing element is relatively positioned, then the y-coordinate from the boundary of the element is returned. If the event firing element and all of its parent elements are not relatively positioned, then the y property returns a coordinate relative to the body element.

If the mouse is outside the window at the time the event fires, this property returns -1.

Example

This example displays the current mouse position in the browser's status window.

<BODY onmousemove="window.status = 'X=' + window.event.x +
' Y=' + window.event.y">

Standards Information

There is no public standard that applies to this property.

Applies To

event


z-index Attribute | zIndex

z-index Attribute | zIndex Property

Sets or retrieves the stacking order of positioned objects.

Syntax

HTML | { z-index : vOrder }
Scripting | object.style.zIndex [ = vOrder ]

Possible Values

vOrder Variant that specifies or receives one of the following values.
auto | Default. String that specifies the stacking order of the positioned objects based on the order in which the objects appear in the HTML source.
order | Integer that specifies the position of the object in the stacking order.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of auto. The Cascading Style Sheets (CSS) attribute is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Positive z-index values are positioned above a negative (or lesser value) z-index. Two objects with the same z-index are stacked according to source order. A positive value positions the element above text that has no defined z-index, and a negative value positions it below. Set this parameter to null to remove the attribute.

The zIndex property only applies to objects that have the position property set to relative or absolute.

The property does not apply to windowed controls, such as select objects.

As of Microsoft® Internet Explorer 5.5, the iframe object is windowless and supports the zIndex property. In earlier versions of Internet Explorer, the iframe object is windowed and, like all windowed controls, ignores the zIndex property. If you maintain Web pages that were designed for earlier versions of Internet Explorer that do not support the zIndex property, you might want to redesign the pages, especially if the pages contain iframe objects that are stacked on top of windowed controls, such as select objects. You can use the visibility attribute to hide windowed controls that you want an iframe object to overlap. You can also position windowed controls so that iframe objects do not overlap them.

Input from pointing devices, such as the mouse, does not penetrate through overlapping elements even if the elements are not visible. This is also true for positioned elements with a negative z-index unless:

  • The parent is a scrolling container (that is, its overflow property is set to auto or scroll).
  • The parent is positioned (that is, its position property is set to absolute or relative).

Examples

The following examples use the z-index attribute and the zIndex property to change the stacking order of objects.

This example uses an inline style sheet to set the stacking order.

<IMG SRC="cone.jpg" STYLE="position:absolute;
top:100px; left:100px; z-index:4">
<DIV STYLE="position:absolute; top:100; left:100;
color:red; background-color:beige; font-weight:bold;
z-index:1">
. . . </DIV>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses inline scripting to set the stacking order.

<IMG ID="cone" SRC="cone.jpeg"
STYLE="position:absolute;top:10px;left:10px;"
onclick="cone.style.zIndex=1; sphere.style.zIndex=2">
<IMG ID="sphere" SRC="sphere.jpg"
STYLE="position:absolute;top:1px;left:1px;"
onclick="cone.style.zIndex=2; sphere.style.zIndex=1">
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Cascading Style Sheets (CSS), Level 2 (CSS2) Non-Microsoft link.

Applies To

A, ADDRESS, APPLET, B, BIG, BLOCKQUOTE, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, defaults, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, I, IFRAME, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


zoom Attribute | zoom

zoom Attribute | zoom Property

Sets or retrieves the magnification scale of the object.

Syntax

HTML | { zoom : vMagnification }
Scripting | object.style.zoom [ = vMagnification ]

Possible Values

vMagnification Variant that specifies or receives one of the following values.
normal | Default. Magnification scale is normal. The object renders normal size.
number | Floating-point number that specifies the magnification scale, where 1.0 is normal.
percentage | Integer, followed by a %. The value is a percentage of the magnification scale, where 100% is normal.

The property is read/write for all objects except the following, for which it is read-only: currentStyle. The property has a default value of normal. The Microsoft Cascading Style Sheets (CSS) extension is not inherited.

Expressions can be used in place of the preceding value(s), as of Microsoft® Internet Explorer 5. For more information, see About Dynamic Properties.

Remarks

Setting the value of the zoom property on a rendered object causes the content that surrounds the object to reflow.

Even though the zoom property is not inherited, it affects its children. This effect is similar to the transformation caused by the background and filter properties.

Examples

The following examples use the zoom attribute and the zoom property to change the magnification scale of a p element.

This example uses a style rule in an embedded style sheet to set the zoom attribute to one-tenth of normal.

<STYLE>
.clsTeenyWeeny  { zoom: 0.10 }
</STYLE>

This example uses inline scripting to set the zoom property to 200% when an onmouseover event occurs. The magnification scale returns to normal when the onmouseout event occurs.

<P onmouseover="this.style.zoom='200%'"
onmouseout="this.style.zoom='normal'">

This example provides controls that let the user adjust the zoom property.

<HTML XMLNS:CONTROL>
<HEAD>
<TITLE>Zoom Demo</TITLE>
<SCRIPT>
function zoomIn() {
newZoom= parseInt(oZoom.style.zoom)+10+'%'
oZoom.style.zoom =newZoom;
oCode.innerText='zoom: '+newZoom+'';
}
function zoomOut() {
newZoom= parseInt(oZoom.style.zoom)-10+'%'
oZoom.style.zoom =newZoom;
oCode.innerText='zoom: '+newZoom+'';
}
function changeZoom() {
newZoom= parseInt(oSlider.value)
oZoom.style.zoom=newZoom+'%';
oCode.innerText='zoom: '+newZoom+'%';
}
function changeZoom2(oSel) {
newZoom= oSel.options[oSel.selectedIndex].innerText
oZoom.style.zoom=newZoom;
oCode.innerText='zoom: '+newZoom+'';
}
</SCRIPT>
</HEAD>
<BODY onload="oZoom.style.zoom='100%';
oCode.innerText='zoom: 100%'; " >
<!-- Slider and + and - controls;;;;  -->
<DIV STYLE="position:absolute; top:15; left:20;">
<FORM>
<CONTROL:SLIDER ID="oSlider" STYLE="sl--orientation:vertical;
height:204px; width:28px; background-color:#336699;
padding-left:5px; border-left:1px solid #6699CC" TICKINTERVAL="10"
MAX="200" MIN="0" onchange="changeZoom()"> </CONTROL:SLIDER>
</FORM>
</DIV>
<DIV STYLE="position:absolute; top:15; left:48; width:28px; height:200px;
background-color:#336699;" ALIGN="center">
<IMG  SRC="../common/zoomscale.gif" BORDER="0" USEMAP="#scaler">
</DIV>
<!-- The zoomable area container -->
<DIV STYLE="position:absolute; top:15; left:76; width:550px;
height:204px; background-color:black; vertical-align: middle;
padding:25px; font-family:arial; font-weight:bold; color:white;
z-index:3"  ALIGN="center">
<!-- The zoomable area -->
<DIV ID="oZoom" STYLE="zoom:100%" ALIGN="center">
<H1>Welcome to Seattle!</H1>
<IMG SRC="../common/seattlesmall.jpg" ALIGN="left">
<P ALIGN="center">A great city in the beautiful state of Washington.</P>
</DIV></DIV>
<!-- Displayed code -->
<DIV STYLE="overflow:hidden; border:1px solid black; position:absolute;
top:219; left:20; width:606px; height:90px; padding:1px;
padding-left:25px; background-color:white; z-index:3;">
<SPAN>&lt;DIV style="</SPAN>
<SPAN STYLE="font-weight:bold; font-family:verdana; color:red;
font-size:9pt" CLASS="coder" ID="oCode"></SPAN>
<SPAN>"&gt;</SPAN>
<DIV>&lt;H1&gt; Welcome to seattle!&lt;/H1&gt;</DIV>
<DIV>&lt;IMG SRC="seattlesmall.jpg"&gt;</DIV>
<DIV>&lt;P&gt;A great city in the beautiful state
of Washington.&lt;/P&gt;</DIV><DIV CLASS="coder">&lt;/DIV&gt;</DIV>
</DIV></DIV>
<DIV ID="oControls" STYLE="position:absolute; top:308; left:20;
width:606px; height:100px; background-color:gray; color:white;
font-family:verdana; font-size:11; font-weight:normal;
padding:10px; z-index:3; text-align:center; border:1px solid black;
text-align:left;">
<DIV STYLE="padding-left:65px">
The code used to generate the image is shown in the area above.
<BR><BR>
Modify the image using the selections below or the <BR>
slider control above and to the left of this window.
</DIV><HR>
<DIV ALIGN=CENTER>
<SELECT ID="percent" onchange="changeZoom2(percent); ">
<OPTION SELECTED>Use Percentage Value</OPTION>
<OPTION>10%</OPTION>
<OPTION>25%</OPTION>
<OPTION>50%</OPTION>
<OPTION>75%</OPTION>
<OPTION>100%</OPTION>
<OPTION>150%</OPTION>
<OPTION>200%</OPTION>
</SELECT>
<SELECT ID="normal" onchange="changeZoom2(normal); ">
<OPTION SELECTED>Use Number Value</OPTION>
<OPTION>.1</OPTION>
<OPTION>0.25</OPTION>
<OPTION>0.5</OPTION>
<OPTION>0.75</OPTION>
<OPTION>1.0</OPTION>
<OPTION>1.5</OPTION>
<OPTION>2.0</OPTION>
</SELECT><HR>
</DIV></DIV>
<MAP NAME="scaler">
<AREA SHAPE="rect" COORDS="0,182,19,199" ALT="plus" HREF="#"
onclick="zoomIn()" STYLE="cursor:hand">
<AREA SHAPE="rect" COORDS="1,1,18,15" ALT="minus" HREF="#"
onclick="zoomOut()">
</MAP>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to Cascading Style Sheets (CSS) Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, APPLET, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, I, IFRAME, IMG, INPUT, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LAYOUTRECT, LEGEND, LI, LISTING, MARQUEE, MENU, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP


HTML

HTML 元素

下面列出了 HTML 定义的元素集。点击链接即可前往元素的定义，其中包含了该元素的所有成员集。

对象

a | 标明超链接的起始或目的位置。
acronym | 标明缩写词。
address | 特定信息，如地址、签名、作者、此文档的原创者。
applet | 在页面上放置可执行内容。
area | 定义一个客户端图像映射中一个超级链接区域的形状、坐标和关联 URL。
b | 指定文本应以粗体渲染。
base | 指定一个显示 URL 用于解析对于外部源的链接和引用，如图像和样式表。
baseFont | 设置渲染文本时作为缺省字体的基础字体值。
bdo | 允许作者为选定文本片断禁用双向法则。
bgSound | 允许页面带有背景声音或创建音轨。
big | 指定内含文本要以比当前字体稍大的字体显示。
blockQuote | 设置文本中的一段引语。
body | 指定文档主体的开始和结束。
br | 插入一个换行符。
button | 指定其中所含的 HTML 要被渲染为一个按钮。
caption | 指定表格的简要描述。
center | 将后面的文本和图像居中显示。
cite | 用斜体显示标明引言。
code | 指定代码范例。
col | 指定基于列的表格缺省属性。
colGroup | 指定表格中一列或一组列的缺省属性。
comment | 标明不可见的注释。
custom | 代表了一个用户自定义元素。
dataTransfer | 提供了对于预定义的剪贴板格式的访问，以便在拖曳操作中使用。
dd | 在定义列表中表明定义。定义通常在定义列表中缩进。
del | 表明文本已经从文档中删除。
dfn | 表明术语的定义实例。
dir | 引起目录列表。
div | 指定渲染 HTML 的容器。
dl | 引起定义列表。
dt | 在定义列表中表明定义术语。
em | 强调文本，通常以斜体渲染。
embed | 允许嵌入任何文档。
fieldSet | 在字段集包含的文本和其它元素外面绘制一个方框。
font | 指定用于渲染所包含文本的新字体、大小和颜色。
form | 指定所包含控件在表单中起作用。
frame | 在 FRAMESET 元素内指定单个框架。
frameSet | 指定一个框架集，用于组织多个框架和嵌套框架集。
head | 提供了关于文档的无序信息集合。
hn | 以标题样式渲染文本。
hr | 绘制水平线。
html | 表明文档包含 HTML 元素。
HTML 注释 | 避免任何内含文本或 HTML 源代码被处理并在浏览器窗口中显示。
i | 指定文本应以斜体渲染，若可用的话。
iframe | 创建内嵌浮动框架。
img | 在文档中嵌入图像或视频剪辑。
IMPORT | 从元素行为中导入标签定义。
input | 创建各种表单输入控件。
input type=button | 创建按钮控件。
input type=checkbox | 创建复选框控件。
input type=file | 创建文件上载控件，该控件带有一个文本框和一个浏览按钮。
input type=hidden | 传输关于客户/服务器交互的状态信息。
input type=image | 创建一个图像控件，该控件单击后将导致表单立即被提交。
input type=password | 创建与 INPUT type=text 控件类似的单行文本输入控件，不过其中并不显示用户输入的内容。
input type=radio | 创建单选钮控件。
input type=reset | 创建一个按钮，该按钮单击后将重置表单控件为其缺省值。
input type=submit | 创建一个按钮，该按钮单击后将提交表单。
input type=text | 创建一个单行的文本输入控件。
ins | 指定被插入到文档中的文本。
isIndex | 使浏览器显示一个对话框，提示用户输入单行文本。
kbd | 以固定字体渲染文本。
label | 为页面上的其它元素指定标签。
legend | 在 fieldSet 对象绘制的方框内插入一个标题。
li | 引起列表中的一个项目。
link | 允许当前文档和外部文档之间建立连接。
listing | 以固定字体渲染文本。
map | 包含客户端图像映射的坐标数据。
marquee | 创建一个滚动的文本字幕。
menu | 创建一个项目的无序列表。
meta | 向服务器和客户端传达关于文档的隐藏信息。
noBR | 不换行渲染文本。
noFrames | 包含对于那些不支持 FRAMESET 元素的浏览器使用的 HTML。
noScript | 指定要在不支持脚本的浏览器显示的 HTML。
object | 向 HTML 页面中插入对象。
ol | 绘制文本的编号列表。
optGroup | 允许作者对 select 元素中的选项进行逻辑分组。
option | 引起 SELECT 元素中的一个选项。
p | 引起一段。
param | 设置 APPLET、EMBED 或 OBJECT 元素的属性初始值。
plainText | 以固定宽度字体渲染文本，不处理标签。
pre | 以固定宽度字体渲染文本。
q | 分离文本中的引语。
rt | 指明 RUBY 元素的注音文本。
ruby | 指明要放置在文本串之上或内嵌的注解或发音指南。
s | 以删除线字体渲染文本。
samp | 指定代码范例。
script | 为脚本指定由脚本引擎解释的脚本。
select | 引起列表框或下拉框。
small | 指定内含文本要以比当前字体稍小的字体显示。
span | 指定内嵌文本容器。
strike | 以删除线字体渲染文本。
strong | 以粗体渲染文本。
style | 指定页面的样式表。
sub | 指定内含文本要以下标的形式显示，通常比当前字体稍小。
sup | 指定内含文本要以上标的形式显示，通常比当前字体稍小。
table | 指定所含内容要组织成行列的表格。
tBody | 指明行作为表格主体。
td | 指定表格中的单元格。
textArea | 指定多行文本输入控件。
tFoot | 指明行作为表尾。
th | 指定标题列。标题列将在单元格中居中并以粗体显示。
tHead | 指明行作为表头。
title | 包含文档的标题。
tr | 指定表格中的一行。
tt | 以固定宽度字体渲染文本。
u | 带下划线渲染文本。
ul | 绘制文本的项目符号列表。
var | 定义编程变量。通常以斜体渲染。
wbr | 向一块 NOBR 文本中插入软换行。
xml | 在 HTML 页面上定义一个 XML 数据岛。
xmp | 以固定宽度字体渲染作为示例的字体。


CSS

CSS 标签属性

这里列出了目前支持的样式表(CSS)标签属性。标有星号(*)的标签属性可于 Microsoft® Internet Explorer 5 中使用。标有两个星号(**)的标签属性可于 Internet Explorer 5.5 中使用。带有两个加号(++)的标签属性可于 Internet Explorer 6 中使用。如果某个标签属性或属性已经提交给万维网协会(W3C)但尚未作为标准发布，则标有“已提交”。若某个标签属性或属性既未提交给 W3C 也不是标准，将标有“扩展”。

CSS 标签属性/属性

行为属性 | behavior(已提交)*
字体和文本属性 | direction*
direction
font
font-family
font-size
font-style
font-variant
font-weight
ime-mode(已提交)*
layout-grid(已提交)*
layout-grid-char(已提交)*
layout-grid-line(已提交)*
layout-grid-mode(已提交)*
layout-grid-type(已提交)*
letter-spacing
line-break(已提交)*
line-height
min-height Microsoft® Internet Explorer 6 新增 ++
ruby-align(已提交)*
ruby-overhang(已提交)*
ruby-position(已提交)*
text-align
text-autospace(已提交)*
text-decoration
text-indent
text-justify(已提交)*
text-kashida-space(已提交)**
text-overflow Microsoft® Internet Explorer 6 新增 ++
text-transform
text-underline-position(扩展)**
unicode-bidi
vertical-align
white-space**
word-break(已提交)*
word-spacing Microsoft® Internet Explorer 6 新增 ++(于 Macintosh 版本 4.0 中可用)
word-wrap(扩展)**
writing-mode(已提交)**
颜色和背景属性 | background-attachment
background-color
background-image
background-position
background-position-x(已提交)
background-position-y(已提交)
background-repeat
color
版面属性 | border
border-bottom
border-bottom-color
border-bottom-style
border-bottom-width
border-collapse*
border-color
border-left
border-left-color
border-left-style
border-left-width
border-right
border-right-color
border-right-style
border-right-width
border-style
border-top
border-top-color
border-top-style
border-top-width
border-width
clear
float
layout-flow(扩展)
margin
margin-bottom
margin-left
margin-right
margin-top
padding
padding-bottom
padding-left
padding-right
padding-top
scrollbar-3dlight-color(扩展)**
scrollbar-arrow-color(扩展)**
scrollbar-base-color(扩展)**
scrollbar-darkshadow-color(扩展)**
scrollbar-face-color(扩展)**
scrollbar-highlight-color(扩展)**
scrollbar-shadow-color(扩展)**
table-layout*
zoom(扩展)**
分类属性 | display
list-style
list-style-image
list-style-position
list-style-type
定位属性 | bottom*
clip
height
left
overflow
overflow-x(已提交)
overflow-y(已提交)
position
right*
top
visibility
width
z-index
打印属性 | page**
pageBreakAfter
pageBreakBefore
滤镜属性 | filter(已提交)
伪类和其它属性 | :active
@charset
cursor
:first-letter**
:first-line**
@font-face
:hover
@import
!important
:link
@media*
@page**
:visited


Visual Filters and Transitions

Visual Filters and Transitions Reference

As of Microsoft® Internet Explorer 4.0, you can apply multimedia-style effects to your Web pages using visual filters and transitions. You can apply visual filters and transitions to standard HTML controls, such as text containers, images, and other windowless objects. Transitions are time-varying filters that create a transition from one visual state to another. By combining filters and transitions with basic scripting, you can create visually engaging and interactive documents.

Internet Explorer 5.5 and later supports a rich variety of optimized filters. Click the following button to see a demonstration of many of these filters and how to use them.

This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The links in the following sections provide access to the object model exposed by the visual filters and transitions.

Procedural Surfaces Reference

Procedural surfaces are colored surfaces that display between the content of an object and the object's background. Procedural surfaces define each pixel's RGB color and alpha values dynamically. Only the procedure used to compute the surface is stored in memory. The content of an object with a procedural surface applied is not affected by the procedural surface.

Procedural Surfaces

AlphaImageLoader

Displays an image within the boundaries of the object and between the object background and content, with options to clip or resize the image. When loading a Portable Network Graphics (PNG) image, tranparency—from zero to 100 percent—is supported.

Gradient

Displays a colored surface between the object's background and content.

Static Filters Reference

Though all filters and transitions are technically filters, the following filters statically change the way the content of an object displays. The Compositor filter is implemented as a transition, but gives only a static output.

Static Filters

Alpha

Adjusts the opacity of the content of the object.

BasicImage

Adjusts the color processing, image rotation, or opacity of the content of the object.

Blur

Blurs the content of the object so that it appears out of focus.

Chroma

Displays a specific color of the content of the object as transparent.

Compositor

Displays new content of the object as a logical color combination of the new and original content. The color and alpha values of each version of the content are evaluated to determine the final color on the output image.

DropShadow

Creates a solid silhouette of the content of the object, offset in the specified direction. This creates the illusion that the content is floating and casting a shadow.

Emboss

Displays the content of the object as an embossed texture using grayscale values.

Engrave

Displays the content of the object as an engraved texture using grayscale values.

Glow

Adds radiance around the outside edges of the content of the object so that it appears to glow.

ICMFilter

Converts the color content of the object based on an Image Color Management (ICM) profile. This enables improved display of specific content, or simulated display for hardware devices, such as printers or monitors.

Light

Creates the effect of a light shining on the content of the object.

MaskFilter

Displays transparent pixels of the object content as a color mask, and makes the nontransparent pixels transparent.

Matrix

Resizes, rotates, or reverses the content of the object using matrix transformation.

MotionBlur

Causes the content of the object to appear to be in motion.

Shadow

Creates a solid silhouette of the content of the object, offset in the specified direction. This creates the illusion of a shadow.

Wave

Performs a sine wave distortion of the content of the object along the vertical axis.

Transitions Reference

Transitions are filters that reveal new content of an object with a particular visual effect. Use the apply and play filters to initiate the visual effect.

Transitions

Barn

Reveals new content of the object with a motion that resembles doors opening or closing.

Blinds

Reveals new content of the object with a motion that appears to open or close blinds.

CheckerBoard

Reveals new content of the object by uncovering squares placed like a checkerboard over the original content.

Fade

Reveals new content of the object by fading out the original content.

GradientWipe

Reveals new content of the object by passing a gradient band over the original content.

Inset

Reveals new content of the object diagonally.

Iris

Reveals new content of the object with an iris effect, similar to the opening of a camera aperture.

Pixelate

Displays the content of the object as colored squares that take the average color value of the pixels they replace. This filtered display can be used as a transition.

RadialWipe

Reveals new content of the object with a radial wipe, like a windshield-wiper blade.

RandomBars

Reveals new content of the object by exposing random lines of pixels.

RandomDissolve

Reveals new content of the object by exposing random pixels.

Slide

Reveals new content of the object by sliding sections of the image into place.

Spiral

Reveals new content of the object with a spiral motion.

Stretch

Reveals new content of the object with a stretching motion to cover the original content. One option resembles a cube rotating from one face to another.

Strips

Reveals new content of the object by moving successive strips into place, like a diagonal saw blade passing across the original content.

Wheel

Reveals new content of the object with a rotating motion, like spokes of a wheel covering the original content.

Zigzag

Reveals new content of the object with a forward and back motion that moves down the object.

Attributes/filters Reference

The following filters apply to one or more filters. When you move the pointer over a property name, the pop-up information that appears lists the filters that the property applies to.

Attributes/filters

Add

Sets or retrieves a value that indicates whether the filter image overlays the original image.

bands

Sets or retrieves the number of strips into which the content is divided during the transition.

Bias

Sets or retrieves a percentage of a value that is added to each color component of the filtered result.

Color

Sets or retrieves the value of the color applied with the filter.

Color

Sets or retrieves the value of the color applied with the filter.

ColorSpace

Sets or retrieves the name and path for a particular .icm color mapping profile. With a profile assigned, the filtered output simulates the graphical output of devices that use the assigned profile.

Direction

Sets or retrieves the direction that the filter's effect is offset.

Direction

Sets or retrieves the direction of motion in the transition.

Duration

Sets or retrieves the length of time the transition takes to complete.

Dx

Sets or retrieves the X component of the augmenting vector for linear transformations.

Dy

Sets or retrieves the Y component of the augmenting vector for linear transformations.

Enabled

Sets or retrieves a value that indicates whether the filter is enabled.

EndColor

Sets or retrieves the final opaque color for a gradient surface.

EndColorStr

Sets or retrieves the final color for a gradient surface.

filter

Sets or retrieves the filter or collection of filters applied to the object.

FilterType

Sets or retrieves the method used to define pixels of new content.

FinishOpacity

Sets or retrieves the opacity level at the end of the gradient applied with the Alpha filter.

FinishX

Sets or retrieves the horizontal position at which the opacity gradient ends.

FinishY

Sets or retrieves the vertical position at which the opacity gradient ends.

Freq

Sets or retrieves the number of waves created by the Wave filter.

Function

Sets or retrieves the compositing operation to perform.

GradientSize

Sets or retrieves the percentage of the object that is covered by the gradient band.

GradientType

Sets or retrieves the orientation of the gradient.

GrayScale

Sets or retrieves the value that indicates whether content is displayed as the average of the RGB component values.

GridSizeX

Sets or retrieves the number of grid columns used for the filter. The value can range from 1 to 100.

GridSizeY

Sets or retrieves the number of grid rows used for the filter. The value can range from 1 to 100.

Intent

Sets or retreives the intended purpose for the color content of the object. The filter adjusts the color output to improve the display of content with the selected purpose.

Invert

Sets or retrieves the value that indicates whether the content is displayed as the complement of the RGB component values.

IrisStyle

Sets or retrieves the shape of the Iris filter aperture.

LightStrength

Sets or retrieves the difference in light intensity between the peaks and troughs of the waves created by the Wave filter.

M11

Sets or retrieves the first row/first column matrix entry for linear transformations.

M12

Sets or retrieves the first row/second column matrix entry for linear transformations.

M21

Sets or retrieves the second row/first column matrix entry for linear transformations.

M22

Sets or retrieves the second row/second column matrix entry for linear transformations.

MakeShadow

Sets or retrieves the value that indicates whether content is displayed as a shadow.

Mask

Sets or retrieves whether transparent content of an object is changed to the MaskColor value.

MaskColor

Sets or retrieves the color used to mask transparent content of an object.

MaxSquare

Sets or retrieves the maximum width in pixels of a pixelated square.

Mirror

Sets or retrieves the value that indicates whether the content display is reversed.

Motion

Sets or retrieves the corner from which new content is revealed during a Strips transition.

Motion

Sets or retrieves a value that indicates whether content is revealed as defined by the WipeStyle property setting, or in the opposite direction.

Motion

Sets or retrieves the value that indicates whether new content is revealed from the outside or the inside first.

OffX

Sets or retrieves the value that the drop shadow is offset from the object along the x-axis.

OffY

Sets or retrieves the value that the drop shadow is offset from the object along the y-axis.

Opacity

Sets or retrieves the opacity level that is applied to the content of an object.

Opacity

Sets or retrieves the opacity level at the beginning of the gradient applied with the Alpha filter.

Orientation

Sets or retrieves the value that indicates whether the filter effect is horizontal or vertical.

Overlap

Sets or retrieves the fraction of the transition's duration that both original and new content are displayed.

Percent

Sets or retrieves the point in a transition at which to capture the display for a static filter output.

Phase

Sets or retrieves the phase offset at which the sine wave starts.

PixelRadius

Sets or retrieves the radius of the area of opaque content around a pixel that is affected by the Blur filter.

Positive

Sets or retrieves the value that indicates whether the filter creates a drop shadow from the nontransparent pixels of the object.

Rotation

Sets or retrieves the value that indicates whether the content is rotated in ninety-degree increments.

ShadowOpacity

Sets or retrieves the opacity level of a shadow created by the Blur filter.

sizingMethod

Sets or retrieves the manner in which to display an image within the boundary of the object that the AlphaImageLoader filter is applied to.

SizingMethod

Sets or retrieves a value that indicates whether the container is resized to fit the resulting image.

SlideStyle

Sets or retrieves the method used to reveal the new content.

spokes

Sets or retrieves the number of wedges that the content is divided into during the transition.

SquaresX

Sets or retrieves the number of columns for the CheckerBoard transition.

SquaresY

Sets or retrieves the number of rows for the CheckerBoard transition.

src

Sets or retrieves the URL of an image that the AlphaImageLoader filter loads.

StartColor

Sets or retrieves the initial opaque color for a gradient surface.

StartColorStr

Sets or retrieves the initial color for a gradient surface.

StartX

Sets or retrieves the horizontal position at which the opacity gradient starts.

StartY

Sets or retrieves the vertical position at which the opacity gradient starts.

status

Retrieves the state of the transition.

Strength

Sets or retrieves the distance, in pixels, that a filter effect extends.

StretchStyle

Sets or retrieves the method used to reveal the new content.

Style

Sets or retrieves the shape characteristics of the opacity gradient.

Transition

Sets or retrieves the type of transition.

WipeStyle

Sets or retrieves the method used to reveal the new content.

WipeStyle

Sets or retrieves a value that indicates whether the gradient band moves vertically or horizontally.

XRay

Sets or retrieves the value that indicates whether the content is displayed as a grayscale defined by the complement of the average red and green component values.

filters Reference

filters

addAmbient

Adds an ambient light to the Light filter.

addCone

Adds a cone light to the Light filter effect object to cast a directional light on the page.

addPoint

Adds a light source to the Light filter.The light source originates at a single point and radiates in all directions.

apply

Captures the initial display of an object's content for a transition.

changeColor

Changes the color of a Light filter's light.

changeStrength

Changes the intensity of a light applied with the Light filter.

clear

Deletes all lights associated with the Light filter.

elementImage

Not currently supported.

moveLight

Moves the focus for cone lights or the origin for point lights that are applied with the Light filter.

play

Plays the transition.

stop

Stops transition playback.

Events Reference

The onfilterchange fires when a filter's filters change state or when a filter completes a transition.

Events

onfilterchange

Fires when a visual filter changes state or completes a transition.

Related Topics

  • Introduction to Filters and Transitions


AlphaImageLoader

AlphaImageLoader Filter

Displays an image within the boundaries of the object and between the object background and content, with options to clip or resize the image. When loading a Portable Network Graphics (PNG) image, tranparency—from zero to 100 percent—is supported.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.AlphaImageLoader(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the AlphaImageLoader object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
enabled | Enabled | Sets or retrieves a value that indicates whether the filter is enabled.
sizingMethod | sizingMethod | Sets or retrieves the manner in which to display an image within the boundary of the object that the AlphaImageLoader filter is applied to.
src | src | Sets or retrieves the URL of an image that the AlphaImageLoader filter loads.

Remarks

The src property has no default and must be defined for this filter to affect the object's display.

Transparency for PNG images is respected during text selection. This means the user can select content that is displayed behind the fully transparent region of a PNG image.

The object that the filter is applied to must have layout before the filter effect will display. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid_DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid_DXImageTransform.Microsoft.Blur(pixelradius=2)
progid_DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Example

This example loads a div element with an image expanded to a 250-pixel square. Using the sizingMethod property, the button causes the image to change between the default, 100-pixel size and the expanded, 250-pixel size. The filters collection is used to reference the div element's filter properties. To use this sample code a valid image path must be placed in the src property of the AlphaImageLoader filter.

<SCRIPT>
var bToggle = 1
<!-- Toggle the sizingMethod property to resize the image.  -->
function fnToggle(oObj) {
if (bToggle) {
bToggle = 0;
oDiv.filters(0).sizingMethod="image";
oObj.innerText='Enlarge It';}
else {
bToggle = 1;
oDiv.filters(0).sizingMethod="scale";
oObj.innerText='Make Normal';}
}
</SCRIPT>
<!-- This DIV is the target container for the image.  -->
<DIV ID="oDiv" STYLE="position:relative; height:250px; width:250px;
filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(
src='../common/earglobe.gif', sizingMethod='scale');" >
</DIV>
<BR><BUTTON onclick="fnToggle(this);">Make Normal</BUTTON>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, IFRAME, I, INS, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TH, TD, TT, U, UL, VAR, XMP


Gradient

Gradient Filter

Displays a colored surface between the object's background and content.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.Gradient(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.Gradient(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the Gradient object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
enabled | Enabled | Sets or retrieves a value that indicates whether the filter is enabled.
EndColor | Sets or retrieves the final opaque color for a gradient surface.
EndColorStr | Sets or retrieves the final color for a gradient surface.
GradientType | Sets or retrieves the orientation of the gradient.
StartColor | Sets or retrieves the initial opaque color for a gradient surface.
startColorStr | StartColorStr | Sets or retrieves the initial color for a gradient surface.

Remarks

When revealed by a transition, any text that covers a Gradient procedural surface is initially exposed as transparent. After the transition has finished, the text is updated to the applicable color.

The object that the filter is applied to must have layout before the filter effect will display. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Examples

The following example shows the effects of this filter when its properties are modified.

This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example shows how the text is unaffected by the gradient behind it.

<SCRIPT>
<!-- Toggle the Enabled property to toggle the gradient.  -->
function fnToggle(oObj) {
if (oDiv.filters(0).enabled){
oDiv.filters(0).enabled='false';
oObj.innerText='Add Gradient';}
else {
oDiv.filters(0).enabled='true';
oObj.innerText='Make Normal';}
}
</SCRIPT>
<font size="+5">
<DIV ID="oDiv" STYLE="height:120px; color:green; filter:
progid:DXImageTransform.Microsoft.gradient(enabled='false',
startColorstr=#550000FF, endColorstr=#55FFFF00)" >
A simple gradient
</DIV>
</font>
<P>
<BUTTON onclick="fnToggle(this)">Add Gradient</BUTTON><BR/>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, IFRAME, FRAMESET, I, INS, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TH, TD, TT, U, UL, VAR, XMP

See Also

Scripting Filters, Filter Design Considerations


Alpha

Alpha Filter

Adjusts the opacity of the content of the object.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.Alpha(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.Alpha(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the Alpha object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
enabled | Enabled | Sets or retrieves a value that indicates whether the filter is enabled.
finishOpacity | FinishOpacity | Sets or retrieves the opacity level at the end of the gradient applied with the Alpha filter.
finishX | FinishX | Sets or retrieves the horizontal position at which the opacity gradient ends.
finishY | FinishY | Sets or retrieves the vertical position at which the opacity gradient ends.
opacity | Opacity | Sets or retrieves the opacity level at the beginning of the gradient applied with the Alpha filter.
startX | StartX | Sets or retrieves the horizontal position at which the opacity gradient starts.
startY | StartY | Sets or retrieves the vertical position at which the opacity gradient starts.
style | Style | Sets or retrieves the shape characteristics of the opacity gradient.

Remarks

You can set the opacity as uniform or graded, in a linear or radial fashion. The following list of allowable Style property values provides more information on how the Alpha filter properties support each style of filtered output.

  • 0—Uniform—Applies Opacity value evenly across the object.
  • 1—Linear—Applies an even opacity gradient, beginning with the Opacity value on a line from StartX to StartY and ending with the FinishOpacity value on a line from FinishX to FinishY.
  • 2—Radial—Applies an even opacity gradient, beginning in the center with the Opacity value and ending at the middle of the sides of the object with the FinishOpacity value. The corners of the object are not affected by the opacity gradient.
  • 3—Rectangular—Applies an even opacity gradient, beginning at the sides of the object with the Opacity value and ending at the center of the object with the FinishOpacity value.

This effect is supported in Microsoft® Internet Explorer 4.0. For more information about Internet Explorer 4.0 filter behavior, see Downlevel Support and Internet Explorer 4.0 Filters.

The object that the filter is applied to must have layout before the filter effect displays. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Examples

The following example shows the effects of this filter when its properties are modified.

This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the Alpha filter and the Opacity property to change the appearance of a button.

<STYLE>
INPUT.aFilter {filter:progid:DXImageTransform.Microsoft.Alpha(opacity=50);}
</STYLE>
<INPUT TYPE="button" VALUE="Button" CLASS="aFilter">
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

Scripting Filters, Filter Design Considerations


BasicImage

BasicImage Filter

Adjusts the color processing, image rotation, or opacity of the content of the object.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.BasicImage(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.BasicImage(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the BasicImage object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
enabled | Enabled | Sets or retrieves a value that indicates whether the filter is enabled.
grayScale | GrayScale | Sets or retrieves the value that indicates whether content is displayed as the average of the RGB component values.
Invert | Sets or retrieves the value that indicates whether the content is displayed as the complement of the RGB component values.
Mask | Sets or retrieves whether transparent content of an object is changed to the MaskColor value.
MaskColor | Sets or retrieves the color used to mask transparent content of an object.
mirror | Mirror | Sets or retrieves the value that indicates whether the content display is reversed.
opacity | Opacity | Sets or retrieves the opacity level that is applied to the content of an object.
Rotation | Sets or retrieves the value that indicates whether the content is rotated in ninety-degree increments.
XRay | XRay | Sets or retrieves the value that indicates whether the content is displayed as a grayscale defined by the complement of the average red and green component values.

Remarks

This filter consolidates filter effects supported in Microsoft® Internet Explorer 4.0. For more information about Internet Explorer 4.0 filter behavior, see Downlevel Support and Internet Explorer 4.0 Filters.

The object that the filter is applied to must have layout before the filter effect displays. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Examples

The following example shows the effects of this filter when its properties are modified.

This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example provides a set of buttons to apply different BasicImage properties. Each button resets the filter string dynamically with script.

<STYLE>
button {width:250px;}
</STYLE>
<!-- This DIV is the target container for the image.  -->
<DIV ID="oDiv" STYLE="position:absolute; left:270px;" >
An Image - >
<IMG SRC='../common/earglobe.gif' />
</DIV>
<BUTTON onclick="oDiv.style.filter=
'progid:DXImageTransform.Microsoft.BasicImage(mirror=1)'">
Mirror</BUTTON><BR/>
<BUTTON onclick="oDiv.style.filter=
'progid:DXImageTransform.Microsoft.BasicImage(invert=1)'">
Invert</BUTTON><BR/>
<BUTTON onclick="oDiv.style.filter=
'progid:DXImageTransform.Microsoft.BasicImage(grayScale=1)'">
GrayScale</BUTTON><BR/>
<BUTTON onclick="oDiv.style.filter=
'progid:DXImageTransform.Microsoft.BasicImage(xray=1)'">
X-Ray</BUTTON><BR/>
<BUTTON onclick="oDiv.style.filter=
'progid:DXImageTransform.Microsoft.BasicImage(mask=1, maskColor=255)'">
Blue MaskColor</BUTTON><BR/>
<BUTTON onclick="oDiv.style.filter=''">Clear Filter</BUTTON><BR/>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, IFRAME, FRAMESET, I, INS, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TH, TD, TT, U, UL, VAR, XMP

See Also

Scripting Filters, Filter Design Considerations


Blur

Blur Filter

Blurs the content of the object so that it appears out of focus.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.Blur(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.Blur(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the Blur object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
enabled | Enabled | Sets or retrieves a value that indicates whether the filter is enabled.
makeShadow | MakeShadow | Sets or retrieves the value that indicates whether content is displayed as a shadow.
pixelRadius | PixelRadius | Sets or retrieves the radius of the area of opaque content around a pixel that is affected by the Blur filter.
shadowOpacity | ShadowOpacity | Sets or retrieves the opacity level of a shadow created by the Blur filter.

Remarks

The object that the filter is applied to must have layout before the filter effect displays. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Examples

The following example shows how to change the effects of this filter by modifying its properties.

This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the Enabled property to switch the content of the DIV element from normal to blurred and back.

<SCRIPT LANGUAGE="JScript">
<!-- Switch the enabled property to blur the image.  -->
function fnToggle(oObj) {
if (oDiv.filters(0).enabled){
oDiv.filters(0).enabled='false';
oObj.innerText='Make Blurry';}
else {
oDiv.filters(0).enabled='true';
oObj.innerText='Make Normal';}
}
</SCRIPT>
<DIV ID="oDiv" STYLE="position:absolute; left:270px; filter:
progid:DXImageTransform.Microsoft.blur(pixelradius=3, enabled='false')" >
An image - >
<IMG SRC='../common/earglobe.gif' />
</DIV>
<BUTTON onclick="fnToggle(this)"> Make Blurry</BUTTON><BR/>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, IFRAME, FRAMESET, I, INS, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TH, TD, TT, U, UL, VAR, XMP

See Also

Scripting Filters, Filter Design Considerations


Chroma

Chroma Filter

Displays a specific color of the content of the object as transparent.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.Chroma(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.Chroma(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the Chroma object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
color | Color | Sets or retrieves the value of the color applied with the filter.
enabled | Enabled | Sets or retrieves a value that indicates whether the filter is enabled.

Remarks

This effect is not recommended for use with files that have been dithered from 24 bits to 8 bits. In particular, JPEG files, which are dithered and compressed, do not produce a solid chromakey color, resulting in uneven effects.

Chromakey does not work well on antialiased sources in which sharp lines are smoothed by blending the colors of surrounding pixels.

Certain chromakey colors cause some transparent colors to become opaque.

This effect is supported in Microsoft® Internet Explorer 4.0. For more information about Internet Explorer 4.0 filter behavior, see Downlevel Support and Internet Explorer 4.0 Filters.

The object that the filter is applied to must have layout before the filter effect displays. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Examples

The following example shows how to change the effects of this filter by modifying its Color property.

This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example displays colored text within a div object as transparent.

<BUTTON onclick="oFilterDIV.filters.item(
'DXImageTransform.Microsoft.Chroma').color = 'gray';">
Clear Gray Text, Leave Blue</BUTTON>
<BR/>
<BUTTON onclick="oFilterDIV.filters.item(
'DXImageTransform.Microsoft.Chroma').color = 'blue';">
Clear Blue Text, Leave Gray</BUTTON>
<P>
<DIV ID="oFilterDIV" STYLE="width:240px; height:100px;
filter:progid:DXImageTransform.Microsoft.Chroma(color='yellow'), progid:DXImageTransform.Microsoft.Chroma(color='red')">
<SPAN STYLE="width:240px;color:gray;">
This text is gray.</SPAN><BR/>
<SPAN STYLE="width:240px;color:blue;">
This text is blue.</SPAN>
</DIV>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

Scripting Filters, Filter Design Considerations


Compositor

Compositor Filter

Displays new content of the object as a logical color combination of the new and original content. The color and alpha values of each version of the content are evaluated to determine the final color on the output image.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.Compositor(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.Compositor(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the Compositor object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
function | Function | Sets or retrieves the compositing operation to perform.

Methods

Method | Description
apply | Captures the initial display of an object's content for a transition.
play | Plays the transition.

Remarks

This filter exposes a rich set of image composition functions that interact with the colors and transparency of the content of the input object. To create a static filter with a transition, follow these steps.

  1. Choose a function.

    Review the Function property for a description of the available composition functions. Set this property in the Compositor filter declaration for the object.

  2. Create Input A.

    Determine the content that the filtered object will initially display. The composition functions consider this as Input A.

  3. Use the apply method of the Compositor filter.

    This defines the content as Input A at the time you call the apply method.

  4. Create Input B.

    Change properties of the object—visibility, innerText, backgroundColor, or border—or the properties of its child elements. The composition functions consider the content, after all changes, as Input B.

  5. Use the play method of the Compositor filter.

    The displayed image updates to the output of the composite function.

The object that the filter is applied to must have layout before the filter effect displays. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Example

This example uses a select element to modify the Function property that is used for the filter.

<B>Compositor Function:</B>
<BR>
<SELECT ID=funcsel onchange="D1.filters.item(
'DXImageTransform.Microsoft.Compositor').Function =
this.options(selectedIndex).value;">
<OPTION value=0>0: Clear both sets of input.</OPTION>
<OPTION value=1>1: Show the minimum color from both sets of input.</OPTION>
<OPTION value=2>2: Show the maximum color from both sets of input.</OPTION>
<OPTION value=3>3: Show Input A only.</OPTION>
<OPTION value=4>4: Show Input A over Input B.</OPTION>
<OPTION value=5>5: Only show Input A inside the Input B render area.</OPTION>
<OPTION value=6>6: Only show Input A outside the Input B render area.</OPTION>
<OPTION value=7>7: Only show Input A and B inside Input B render area.</OPTION>
<OPTION value=8>8: Show Input A minus Input B.</OPTION>
<OPTION value=9>9: Show Input A plus Input B.</OPTION>
<OPTION value=10>10: Show Input A and clear wherever the input intersects.</OPTION>
<OPTION value=19>19: Show Input B only.</OPTION>
<OPTION value=20 selected>20: Show Input B over Input A.</OPTION>
<OPTION value=21>21: Only show Input B inside the Input A render area.</OPTION>
<OPTION value=22>22: Only show Input B outside the Input A render area.</OPTION>
<OPTION value=23>23: Only show Input A and B inside the Input A render area.</OPTION>
<OPTION value=24>24: Show Input B minus Input A.</OPTION>
<OPTION value=25>25: Show Input B plus Input A.</OPTION>
</SELECT>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, IFRAME, FRAMESET, I, INS, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TH, TD, TT, U, UL, VAR, XMP

See Also

Scripting Filters, Filter Design Considerations


DropShadow

DropShadow Filter

Creates a solid silhouette of the content of the object, offset in the specified direction. This creates the illusion that the content is floating and casting a shadow.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.DropShadow(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.DropShadow(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the DropShadow object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
color | Color | Sets or retrieves the value of the color applied with the filter.
enabled | Enabled | Sets or retrieves a value that indicates whether the filter is enabled.
offX | OffX | Sets or retrieves the value that the drop shadow is offset from the object along the x-axis.
offY | OffY | Sets or retrieves the value that the drop shadow is offset from the object along the y-axis.
positive | Positive | Sets or retrieves the value that indicates whether the filter creates a drop shadow from the nontransparent pixels of the object.

Remarks

To retain the usual shadow effect on a transparent object, set the Positive property to 0. This causes the drop shadow to appear outside the transparent region.

This effect is supported in Microsoft® Internet Explorer 4.0. For more information about Internet Explorer 4.0 filter behavior, see Downlevel Support and Internet Explorer 4.0 Filters.

The object that the filter is applied to must have layout before the filter effect displays. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Examples

The following example shows how to change the effects of this filter by modifying its properties.

This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example applies the DropShadow to the content of a DIV element. You can click the text of the DIV element to remove or restore the shadow.

<SCRIPT>
function fnDepress() {
var bState = oFilterDIV.filters.item('DXImageTransform.Microsoft.dropshadow').enabled;
oFilterDIV.filters.item('DXImageTransform.Microsoft.dropshadow').enabled = !bState;
}
</SCRIPT>
<DIV ID="oFilterDIV" STYLE="cursor:hand;height:160px; padding:10px; font:bold 13pt verdana;
filter:progid:DXImageTransform.Microsoft.dropshadow(OffX=5, OffY=5,
Color='gray', Positive='true')" onclick="fnDepress();">
This is the DIV content.</DIV>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

Scripting Filters, Filter Design Considerations


Emboss

Emboss Filter

Displays the content of the object as an embossed texture using grayscale values.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.Emboss(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.Emboss(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the Emboss object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
Bias | Bias | Sets or retrieves a percentage of a value that is added to each color component of the filtered result.
enabled | Enabled | Sets or retrieves a value that indicates whether the filter is enabled.

Remarks

The object that the filter is applied to must have layout before the filter effect displays. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Examples

The following example shows the effects of this filter on an image.

This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the Enabled property to change the DIV object between normal and embossed display.

<SCRIPT>
<!-- Toggle the Enabled property to emboss the image.  -->
function fnToggle(oObj) {
if (oDiv.filters(0).enabled){
oDiv.filters(0).enabled='false';
oObj.innerText='Make Embossed';}
else {
oDiv.filters(0).enabled='true';
oObj.innerText='Make Normal';}
}
</SCRIPT>
<DIV ID="oDiv" STYLE="position:absolute; left:270px; filter:
progid:DXImageTransform.Microsoft.emboss(enabled='false')" >
An image - >
<IMG SRC='../common/earglobe.gif' />
</DIV>
<BUTTON onclick="fnToggle(this)"> Make Embossed</BUTTON><BR/>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, IFRAME, FRAMESET, I, INS, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TH, TD, TT, U, UL, VAR, XMP

See Also

Scripting Filters, Filter Design Considerations


Engrave

Engrave Filter

Displays the content of the object as an engraved texture using grayscale values.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.Engrave(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.Engrave(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the Engrave object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
Bias | Bias | Sets or retrieves a percentage of a value that is added to each color component of the filtered result.
enabled | Enabled | Sets or retrieves a value that indicates whether the filter is enabled.

Remarks

The object that the filter is applied to must have layout before the filter effect displays. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Examples

The following example shows the effects of this filter on an image.

This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the Enabled property to change the DIV object between normal and engraved display.

<SCRIPT>
<!-- Toggle the Enabled property to engrave the image.  -->
function fnToggle(oObj) {
if (oDiv.filters(0).enabled){
oDiv.filters(0).enabled='false';
oObj.innerText='Make Engraved';}
else {
oDiv.filters(0).enabled='true';
oObj.innerText='Make Normal';}
}
</SCRIPT>
<DIV ID="oDiv" STYLE="position:absolute; left:270px; filter:
progid:DXImageTransform.Microsoft.engrave(enabled='false')" >
An image - >
<IMG SRC='../common/earglobe.gif' />
</DIV>
<BUTTON onclick="fnToggle(this)"> Make Engraved</BUTTON><BR/>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, IFRAME, FRAMESET, I, INS, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TH, TD, TT, U, UL, VAR, XMP

See Also

Scripting Filters, Filter Design Considerations


Glow

Glow Filter

Adds radiance around the outside edges of the content of the object so that it appears to glow.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.Glow(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.Glow(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the Glow object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
color | Color | Sets or retrieves the value of the color applied with the filter.
enabled | Enabled | Sets or retrieves a value that indicates whether the filter is enabled.
strength | Strength | Sets or retrieves the distance, in pixels, that a filter effect extends.

Remarks

The radiance appears only around the outermost edge of content within the object's boundary. Some variations on how this works include the following:

  • If the filtered object has text with no background color or image, then each text character is framed with a glow.
  • If the filtered object has a background color or image, then the whole bounding container is framed with a glow.
  • If the filtered object's child elements are positioned out of the parent's bounding container, only the content inside the bounding container is affected by the filter.

This effect is supported in Microsoft® Internet Explorer 4.0. For more information about Internet Explorer 4.0 filter behavior, see Downlevel Support and Internet Explorer 4.0 Filters.

The object that the filter is applied to must have layout before the filter effect displays. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Examples

The following example shows how to change the effects of this filter by modifying its properties.

This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the Glow filter to add blue radiance around text within a DIV object.

<STYLE>
DIV.aFilter {
filter:progid:DXImageTransform.Microsoft.Glow(Color=blue,Strength=5);
width: 150px;}
</STYLE>
<DIV CLASS="aFilter">
Glowing Text
</DIV>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

Scripting Filters, Filter Design Considerations


ICMFilter

ICMFilter Filter

Converts the color content of the object based on an Image Color Management (ICM) profile. This enables improved display of specific content, or simulated display for hardware devices, such as printers or monitors.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.ICMFilter(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.ICMFilter(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the ICMFilter object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
colorSpace | ColorSpace | Sets or retrieves the name and path for a particular .icm color mapping profile. With a profile assigned, the filtered output simulates the graphical output of devices that use the assigned profile.
intent | Intent | Sets or retreives the intended purpose for the color content of the object. The filter adjusts the color output to improve the display of content with the selected purpose.

Remarks

You can improve the quality of displayed or printed content by matching the Intent property to the general type of content to display. For example, when you print, you can set the Intent to Graphic to ensure that the color contrast is maintained. Higher contrast makes the printed content more legible.

To simulate the color output of a hardware device, you must locate the .icm profile file of a hardware device, if provided by the manufacturer. Assign the name and path of the .icm profile file to the ICMFilter.ColorSpace property and apply the filter to the content that the hardware device will use. If you only specify the name of the .icm file and not the path, the ICMFilter filter searches the ICM system folder on the local computer. It is only when you do not have the .icm file in the system folder that you need to specify a fully qualified path. The .icm profile file defines for your monitor how the content's colors differ from the standard. Thus, the display of the filter simulates the hardware device's color output.

The object that the filter is applied to must have layout before the filter effect will display. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, IFRAME, FRAMESET, I, INS, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TH, TD, TT, U, UL, VAR, XMP

See Also

Scripting Filters, Filter Design Considerations


Light

Light Filter

Creates the effect of a light shining on the content of the object.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.Light(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.Light(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the Light object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
enabled | Enabled | Sets or retrieves a value that indicates whether the filter is enabled.

Methods

Method | Description
addAmbient | Adds an ambient light to the Light filter.
addCone | Adds a cone light to the Light filter effect object to cast a directional light on the page.
addPoint | Adds a light source to the Light filter.The light source originates at a single point and radiates in all directions.
changeColor | Changes the color of a Light filter's light.
changeStrength | Changes the intensity of a light applied with the Light filter.
clear | Deletes all lights associated with the Light filter.
moveLight | Moves the focus for cone lights or the origin for point lights that are applied with the Light filter.

Remarks

By setting the properties of the Light filter, you can control the virtual position of the light source. You also can control the x- and y-coordinates of the light's focus, as well as the light's type (point or cone), color, and intensity. A maximum of 10 lights is available to each filter. To add more than 10 lights to your page, you must use multiple filters.

When a light effect is created, it has a default ambient light associated with it. The first light that you add to the object replaces this default ambient light.

This effect is supported in Microsoft® Internet Explorer 4.0. For more information about Internet Explorer 4.0 filter behavior, see Downlevel Support and Internet Explorer 4.0 Filters.

The object that the filter is applied to must have layout before the filter effect displays. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Example

This example uses the Light filter and the addCone method to apply a red cone filter to a div element.

<STYLE>
.aFilter {background-color: #FFFFFF;
filter:light();
color: cyan;
width: 150px;}
</STYLE>
<SCRIPT>
window.onload=fnInit;
function fnInit(){
var iX2=oDiv.offsetWidth;
var iY2=oDiv.offsetHeight;
oDiv.filters[0].addCone(0,0,1,iX2,iY2,255,0,0,20,180);
}
</SCRIPT>
<DIV CLASS="aFilter" ID="oDiv">
This text is highlighted by a red cone of light.
</DIV>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

Scripting Filters, Filter Design Considerations


MaskFilter

MaskFilter Filter

Displays transparent pixels of the object content as a color mask, and makes the nontransparent pixels transparent.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.MaskFilter(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.MaskFilter(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the MaskFilter object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
color | Color | Sets or retrieves the value of the color applied with the filter.
enabled | Enabled | Sets or retrieves a value that indicates whether the filter is enabled.

Remarks

You can create this effect more efficiently with the BasicImage filter.

This effect is supported in Microsoft® Internet Explorer 4.0. For more information about Internet Explorer 4.0 filter behavior, see Downlevel Support and Internet Explorer 4.0 Filters.

The object that the filter is applied to must have layout before the filter effect displays. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Examples

The following example shows how to change the effects of this filter by modifying its properties.

This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the MaskFilter filter and the Color property to make a magenta mask of the div—that is, all transparent pixels are colored magenta and all nontransparent pixels are made transparent.

<STYLE>
DIV.aFilter {filter:
progid:DXImageTransform.Microsoft.MaskFilter(color=magenta);
width: 100px;}
</STYLE>
<DIV CLASS="aFilter">
This text is masked with the color "magenta".
</DIV>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

Scripting Filters, Filter Design Considerations


Matrix

Matrix Filter

Resizes, rotates, or reverses the content of the object using matrix transformation.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.Matrix(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.Matrix(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the Matrix object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
Dx | Dx | Sets or retrieves the X component of the augmenting vector for linear transformations.
Dy | Dy | Sets or retrieves the Y component of the augmenting vector for linear transformations.
enabled | Enabled | Sets or retrieves a value that indicates whether the filter is enabled.
FilterType | FilterType | Sets or retrieves the method used to define pixels of new content.
M11 | M11 | Sets or retrieves the first row/first column matrix entry for linear transformations.
M12 | M12 | Sets or retrieves the first row/second column matrix entry for linear transformations.
M21 | M21 | Sets or retrieves the second row/first column matrix entry for linear transformations.
M22 | M22 | Sets or retrieves the second row/second column matrix entry for linear transformations.
SizingMethod | SizingMethod | Sets or retrieves a value that indicates whether the container is resized to fit the resulting image.

Remarks

Use the Matrix filter to create the following simple effects.

  • Flip horizontal. Negate the M11 and M12 entry values.
  • Flip vertical. Negate the M21 and M22 entry values.
  • Resize. Multiply each matrix entry by the same factor. The content size changes in proportion to the multiple used. See the following examples.
  • Rotate. Adjust the default matrix entries by the appropriate trigonometry function. See the following examples.

These effects are possible through the use of linear transforms. The Matrix filter creates a linear transformation of the displayed content with a 2x2 matrix augmented by a linear vector. Maximizing the effects available with the linear transform matrix requires a thorough understanding of linear algebra. However, for the simple functions described previously, no linear algebra is required.

The final image produced by the Matrix filter is an interpolation of the previous content. Using the padding property minimizes the chance of clipping at the edge of the final image.

The object that the filter is applied to must have layout before the filter effect displays. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is process in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Examples

You can script a resizing function for the Matrix filter by multiplying each matrix entry by a common multiple. The resulting filter increases or decreases the size of the oObj input object and its content by the value of flMultiplier.

<SCRIPT>
<!-- fnResize function -->
//oObj input requires an matrix filter applied.
//flMultiplier input defines the amount by which the oObj is resized.
function fnResize(oObj,flMultiplier)
{
oObj.filters.item(0).M11 *= flMultiplier;
oObj.filters.item(0).M12 *= flMultiplier;
oObj.filters.item(0).M21 *= flMultiplier;
oObj.filters.item(0).M22 *= flMultiplier;
}
</SCRIPT>

You can script a more complex rotating function by applying trigonometry functions to the entries of the Matrix filter. Given an object with a Matrix filter applied, the object is rotated by the angle entered.

<SCRIPT>
var deg2radians = Math.PI * 2 / 360;
<!-- fnSetRotation function -->
//oObj input requires an matrix filter applied.
//deg input defines the requested angle of rotation.
{    rad = deg * deg2radians ;
costheta = Math.cos(rad);
sintheta = Math.sin(rad);
oObj.filters.item(0).M11 = costheta;
oObj.filters.item(0).M12 = -sintheta;
oObj.filters.item(0).M21 = sintheta;
oObj.filters.item(0).M22 = costheta;
}
</SCRIPT>

You can combine the two previous functions and create a simple animation. The animation is driven by the onfilterchange event. The following example spins and expands the text of a div object. You can animate other style-related properties in this manner.

<SCRIPT><!-- fnSetRotation function -->
//oObj input requires that a matrix filter be applied.
//deg input defines the requested angle of rotation.
var deg2radians = Math.PI * 2 / 360;
function fnSetRotation(oObj, deg)
{    rad = deg * deg2radians ;
costheta = Math.cos(rad);
sintheta = Math.sin(rad);
oObj.filters.item(0).M11 = costheta;
oObj.filters.item(0).M12 = -sintheta;
oObj.filters.item(0).M21 = sintheta;
oObj.filters.item(0).M22 = costheta;
}
<!-- fnResize function -->
//oObj input requires that a matrix filter be applied.
//flMultiplier input defines the amount by which the oObj is resized.
function fnResize(oObj, flMultiplier)
{    oObj.filters.item(0).M11 *= flMultiplier;
oObj.filters.item(0).M12 *= flMultiplier;
oObj.filters.item(0).M21 *= flMultiplier;
oObj.filters.item(0).M22 *= flMultiplier;
}
var iCount = 400;
<!-- fnSpin function -->
function fnSpin(oObj)
{
<!-- The function chosen for flMultiple defines size changes in the animation. -->
var flMultiple = iCount/720;
iCount += 4;
<!-- The number of 360-degree rotations is three. -->
if (iCount>=360*3)     {
oObj.onfilterchange = null;
}
fnSetRotation(oObj, iCount);
fnResize(oObj, flMultiple);
}
</SCRIPT>
<!-- When loaded, the onfilterchange event is fired as the filter makes
its initial settings.  This starts the animation.-->
<DIV ID="oDiv" STYLE="position:absolute;
filter:progid:DXImageTransform.Microsoft.Matrix(sizingMethod='auto expand')"
onfilterchange="fnSpin(this)" >
<DIV STYLE=" background-color: lightblue; padding:5;">
SOME TEXT<BR/>
SOME TEXT<BR/>
SOME TEXT<BR/>
SOME TEXT<BR/>
</DIV>
</DIV>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, IFRAME, FRAMESET, I, INS, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TH, TD, TT, U, UL, VAR, XMP

See Also

Scripting Filters, Filter Design Considerations


MotionBlur

MotionBlur Filter

Causes the content of the object to appear to be in motion.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.MotionBlur(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.MotionBlur(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the MotionBlur object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
add | Add | Sets or retrieves a value that indicates whether the filter image overlays the original image.
direction | Direction | Sets or retrieves the direction that the filter's effect is offset.
enabled | Enabled | Sets or retrieves a value that indicates whether the filter is enabled.
strength | Strength | Sets or retrieves the distance, in pixels, that a filter effect extends.

Remarks

This effect is supported in Microsoft® Internet Explorer 4.0. For more information about Internet Explorer 4.0 filter behavior, see Downlevel Support and Internet Explorer 4.0 Filters.

The object that the filter is applied to must have layout before the filter effect displays. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Examples

The following example shows how to change the effects of this filter by modifying its properties.

This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the MotionBlur filter to make the content of the object appear to be in motion.

<STYLE>
DIV.aFilter {filter:progid:DXImageTransform.Microsoft.MotionBlur(Strength=30,Direction=45);}
</STYLE>
<DIV CLASS="aFilter" STYLE="width:200px">
Blurred Text
</DIV>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

Scripting Filters, Filter Design Considerations


Shadow

Shadow Filter

Creates a solid silhouette of the content of the object, offset in the specified direction. This creates the illusion of a shadow.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.Shadow(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.Shadow(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the Shadow object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
Color | Color | Sets or retrieves the value of the color applied with the filter.
direction | Direction | Sets or retrieves the direction that the filter's effect is offset.
enabled | Enabled | Sets or retrieves a value that indicates whether the filter is enabled.
strength | Strength | Sets or retrieves the distance, in pixels, that a filter effect extends.

Remarks

This effect is supported in Microsoft® Internet Explorer 4.0. For more information about Internet Explorer 4.0 filter behavior, see Downlevel Support and Internet Explorer 4.0 Filters.

The object that the filter is applied to must have layout before the filter effect displays. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</DIV>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Examples

The following example shows how to change the effects of this filter by modifying its properties.

This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the Shadow filter to add a shadow effect to the text.

<STYLE>
DIV.aFilter {filter:
progid:DXImageTransform.Microsoft.Shadow(color=#0000FF,direction=45);
width: 150px; color: #FF0000;}
</STYLE>
<DIV CLASS="aFilter">
This red text is displayed with a 45-degree blue shadow.
</DIV>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

Scripting Filters, Filter Design Considerations


Wave

Wave Filter

Performs a sine wave distortion of the content of the object along the vertical axis.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.Wave(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.Wave(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the Wave object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
add | Add | Sets or retrieves a value that indicates whether the filter image overlays the original image.
enabled | Enabled | Sets or retrieves a value that indicates whether the filter is enabled.
freq | Freq | Sets or retrieves the number of waves created by the Wave filter.
lightStrength | LightStrength | Sets or retrieves the difference in light intensity between the peaks and troughs of the waves created by the Wave filter.
phase | Phase | Sets or retrieves the phase offset at which the sine wave starts.
strength | Strength | Sets or retrieves the distance, in pixels, that a filter effect extends.

Remarks

This effect is supported in Microsoft® Internet Explorer 4.0. For more information about Internet Explorer 4.0 filter behavior, see Downlevel Support and Internet Explorer 4.0 Filters.

The object that the filter is applied to must have layout before the filter effect displays. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Examples

The following example shows how to change the effects of this filter by modifying its properties.

This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the Wave filter to render text along a sine wave.

<STYLE>
DIV.aFilter {FILTER:PROGID:DXIMAGETRANSFORM.MICROSOFT.WAVE(
strength=2,
freq=3,
lightstrength=20,
add=0,
phase=90);
width: 150px; color: #FF0000;background-color:00ffff}
</STYLE>
<DIV CLASS="aFilter">
This red text with cyan background is displayed along a sine wave. This uses
the Wave filter.
</DIV>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, runtimeStyle, S, SAMP, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TD, TEXTAREA, TH, TT, U, UL, VAR, XMP

See Also

Scripting Filters, Filter Design Considerations


Barn

Barn Filter

Reveals new content of the object with a motion that resembles doors opening or closing.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.Barn(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.Barn(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the Barn object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
duration | Duration | Sets or retrieves the length of time the transition takes to complete.
enabled | Enabled | Sets or retrieves a value that indicates whether the filter is enabled.
motion | Motion | Sets or retrieves the value that indicates whether new content is revealed from the outside or the inside first.
orientation | Orientation | Sets or retrieves the value that indicates whether the filter effect is horizontal or vertical.
Percent | Sets or retrieves the point in a transition at which to capture the display for a static filter output.
status | Retrieves the state of the transition.

Methods

Method | Description
apply | Captures the initial display of an object's content for a transition.
play | Plays the transition.
stop | Stops transition playback.

Remarks

The object that the filter is applied to must have layout before the filter effect displays. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Examples

The following example shows how to change the effects of this transition by modifying its properties.

This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the backgroundColor property to change the display before each transition is played.

<SCRIPT>
var bToggle = 0;
function fnToggle() {
oDiv.filters[0].Apply();
// After you set Apply, changes to the oDiv object
//  are not displayed until Play is called.
if (bToggle) {
bToggle = 0;
oDiv.style.backgroundColor="gold";}
else {
bToggle = 1;
oDiv.style.backgroundColor="blue";}
oDiv.filters[0].Play();
}
</SCRIPT>
<BUTTON onclick="fnToggle()">Toggle Transition</BUTTON><BR/><BR/>
<DIV ID="oDiv" STYLE="height:250px; width:250px; background-color: gold;
filter:progid:DXImageTransform.Microsoft.Barn(
duration=2, motion='out', orientation='vertical');">
</DIV>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, IFRAME, FRAMESET, I, INS, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TH, TD, TT, U, UL, VAR, XMP

See Also

Transitions, Transition Design Considerations


Blinds

Blinds Filter

Reveals new content of the object with a motion that appears to open or close blinds.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.Blinds(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.Blinds(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the Blinds object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
bands | bands | Sets or retrieves the number of strips into which the content is divided during the transition.
Direction | Direction | Sets or retrieves the direction of motion in the transition.
duration | Duration | Sets or retrieves the length of time the transition takes to complete.
enabled | Enabled | Sets or retrieves a value that indicates whether the filter is enabled.
Percent | Sets or retrieves the point in a transition at which to capture the display for a static filter output.
status | Retrieves the state of the transition.

Methods

Method | Description
apply | Captures the initial display of an object's content for a transition.
play | Plays the transition.
stop | Stops transition playback.

Remarks

The object that the filter is applied to must have layout before the filter effect displays. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Examples

The following example shows how to change the effects of this transition by modifying its properties.

This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the backgroundColor property to change the display before each transition is played.

<SCRIPT>
var bToggle = 0;
function fnToggle() {
oDiv.filters[0].Apply();
// Set the number of bands used randomly.
oDiv.filters[0].bands =  Math.random()*12 + 3;
// After you set Apply, changes to the oDiv object
//  are not displayed until Play is called.
if (bToggle) {
bToggle = 0;
oDiv.style.backgroundColor="gold";}
else {
bToggle = 1;
oDiv.style.backgroundColor="blue";}
oDiv.filters[0].Play(duration=3);
}
</SCRIPT>
<BUTTON onclick="fnToggle()">Toggle Transition</BUTTON><BR/><BR/>
<DIV ID="oDiv" STYLE="height:250px; width:250px; background-color: gold;
filter:progid:DXImageTransform.Microsoft.Blinds(
direction='down');">
</DIV>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, IFRAME, FRAMESET, I, INS, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TH, TD, TT, U, UL, VAR, XMP

See Also

Transitions, Transition Design Considerations


CheckerBoard

CheckerBoard Filter

Reveals new content of the object by uncovering squares placed like a checkerboard over the original content.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.CheckerBoard(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.CheckerBoard(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the CheckerBoard object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
Direction | Direction | Sets or retrieves the direction of motion in the transition.
squaresX | SquaresX | Sets or retrieves the number of columns for the CheckerBoard transition.
squaresY | SquaresY | Sets or retrieves the number of rows for the CheckerBoard transition.

Remarks

The object that the filter is applied to must have layout before the filter effect displays. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Examples

The following example shows how to change the effects of this transition by modifying its properties.

This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the backgroundColor property to change the display before each transition is played.

<SCRIPT>
var bToggle = 0;
function fnToggle() {
oDiv.filters[0].Apply();
// After setting Apply, changes to the oDiv object
//  are not displayed until Play is called.
if (bToggle) {
bToggle = 0;
oDiv.style.backgroundColor="gold";}
else {
bToggle = 1;
oDiv.style.backgroundColor="blue";}
oDiv.filters[0].Play();
}
</SCRIPT>
<BUTTON onclick="fnToggle()">Toggle Transition</BUTTON><BR/><BR/>
<DIV ID="oDiv" STYLE="height:250px; width:250px; background-color: gold;
filter:progid:DXImageTransform.Microsoft.CheckerBoard(
duration=5, direction='left');">
</DIV>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, IFRAME, FRAMESET, I, INS, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TH, TD, TT, U, UL, VAR, XMP

See Also

Transitions, Transition Design Considerations


Fade

Fade Filter

Reveals new content of the object by fading out the original content.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.Fade(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.Fade(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the Fade object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
duration | Duration | Sets or retrieves the length of time the transition takes to complete.
enabled | Enabled | Sets or retrieves a value that indicates whether the filter is enabled.
overlap | Overlap | Sets or retrieves the fraction of the transition's duration that both original and new content are displayed.
Percent | Sets or retrieves the point in a transition at which to capture the display for a static filter output.
status | Retrieves the state of the transition.

Methods

Method | Description
apply | Captures the initial display of an object's content for a transition.
play | Plays the transition.
stop | Stops transition playback.

Remarks

The object that the filter is applied to must have layout before the filter effect displays. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Examples

The following example shows how to change the effects of this transition by modifying its properties.

This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the backgroundColor property to change the display before each transition is played.

<SCRIPT>
var bToggle = 0;
function fnToggle() {
oDiv.filters[0].Apply();
// After setting Apply, changes to the oDiv object
//  are not displayed until Play is called.
if (bToggle) {
bToggle = 0;
oDiv.style.backgroundColor="gold";}
else {
bToggle = 1;
oDiv.style.backgroundColor="blue";}
oDiv.filters[0].Play();
}
</SCRIPT>
<BUTTON onclick="fnToggle()">Toggle Transition</BUTTON><BR/><BR/>
<DIV ID="oDiv" STYLE="height:250px; width:250px; background-color: gold;
filter:progid:DXImageTransform.Microsoft.Fade(
duration=2);">
</DIV>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, IFRAME, FRAMESET, I, INS, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TH, TD, TT, U, UL, VAR, XMP

See Also

Transitions, Transition Design Considerations


GradientWipe

GradientWipe Filter

Reveals new content of the object by passing a gradient band over the original content.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.GradientWipe(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.GradientWipe(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the GradientWipe object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
duration | Duration | Sets or retrieves the length of time the transition takes to complete.
enabled | Enabled | Sets or retrieves a value that indicates whether the filter is enabled.
gradientSize | GradientSize | Sets or retrieves the percentage of the object that is covered by the gradient band.
motion | Motion | Sets or retrieves a value that indicates whether content is revealed as defined by the WipeStyle property setting, or in the opposite direction.
Percent | Sets or retrieves the point in a transition at which to capture the display for a static filter output.
status | Retrieves the state of the transition.
WipeStyle | Sets or retrieves a value that indicates whether the gradient band moves vertically or horizontally.

Methods

Method | Description
apply | Captures the initial display of an object's content for a transition.
play | Plays the transition.
stop | Stops transition playback.

Remarks

The object that the filter is applied to must have layout before the filter effect will display. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Examples

The following example shows how to change the effects of this transition by modifying its properties.

This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the backgroundColor property to change the display before each transition is played.

<SCRIPT>
var bToggle = 0;
function fnToggle() {
oDiv.filters[0].Apply();
// After setting Apply, changes to the oDiv object
//  are not displayed until Play is called.
if (bToggle) {
bToggle = 0;
oDiv.style.backgroundColor="orange";}
else {
bToggle = 1;
oDiv.style.backgroundColor="blue";}
oDiv.filters[0].Play();
}
</SCRIPT>
<BUTTON onclick="fnToggle()">Toggle Transition</BUTTON><BR/><BR/>
<DIV ID="oDiv" STYLE="height:250px; width:250px; background-color: orange;
filter:progid:DXImageTransform.Microsoft.gradientWipe(
duration=3, gradientsize=0.5);">
</DIV>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, IFRAME, FRAMESET, I, INS, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TH, TD, TT, U, UL, VAR, XMP

See Also

Transitions, Transition Design Considerations


Inset

Inset Filter

Reveals new content of the object diagonally.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.Inset(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.Inset(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the Inset object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
duration | Duration | Sets or retrieves the length of time the transition takes to complete.
enabled | Enabled | Sets or retrieves a value that indicates whether the filter is enabled.
Percent | Sets or retrieves the point in a transition at which to capture the display for a static filter output.
status | Retrieves the state of the transition.

Methods

Method | Description
apply | Captures the initial display of an object's content for a transition.
play | Plays the transition.
stop | Stops transition playback.

Remarks

The object that the filter is applied to must have layout before the filter effect displays. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Examples

The following example shows this transition being applied to content.

This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the backgroundColor property to change the display before each transition is played.

<SCRIPT>
var bToggle = 0;
function fnToggle() {
oDiv.filters[0].Apply();
// After setting Apply, changes to the oDiv object
//  are not displayed until Play is called.
if (bToggle) {
bToggle = 0;
oDiv.style.backgroundColor="gold";}
else {
bToggle = 1;
oDiv.style.backgroundColor="blue";}
oDiv.filters[0].Play(duration=2);  // Set duration as a parameter of Play.
}
</SCRIPT>
<BUTTON onclick="fnToggle()">Toggle Transition</BUTTON><BR/><BR/>
<DIV ID="oDiv" STYLE="height:250px; width:250px; background-color: gold;
filter:progid:DXImageTransform.Microsoft.Inset( );">
</DIV>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, IFRAME, FRAMESET, I, INS, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TH, TD, TT, U, UL, VAR, XMP

See Also

Transitions, Transition Design Considerations


Iris

Iris Filter

Reveals new content of the object with an iris effect, similar to the opening of a camera aperture.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.Iris(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.Iris(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the Iris object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
duration | Duration | Sets or retrieves the length of time the transition takes to complete.
enabled | Enabled | Sets or retrieves a value that indicates whether the filter is enabled.
irisStyle | IrisStyle | Sets or retrieves the shape of the Iris filter aperture.
motion | Motion | Sets or retrieves the value that indicates whether new content is revealed from the outside or the inside first.
Percent | Sets or retrieves the point in a transition at which to capture the display for a static filter output.
status | Retrieves the state of the transition.

Methods

Method | Description
apply | Captures the initial display of an object's content for a transition.
play | Plays the transition.
stop | Stops transition playback.

Remarks

The object that the filter is applied to must have layout before the filter effect displays. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Examples

The following example shows how to change the effects of this transition by modifying its properties.

This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example cycles through each IrisStyle property option.

<SCRIPT>
<!-- Declare an array and index counter to access IrisStyles. -->
var arrIrisStyles = new Array();
arrIrisStyles = ['DIAMOND','CIRCLE','CROSS','PLUS','SQUARE','STAR'];
var iIndexCount = 0;
var bToggle = 0;
function fnToggle() {
<!-- Use the array index to update and display  the IrisStyle used. -->
var  iStyleIndex = iIndexCount%6 ;  // MOD function avoids resetting the counter.
oDiv.filters[0].irisstyle = arrIrisStyles[iStyleIndex];
oSpan.innerText = 'IrisStyle = "' + arrIrisStyles[iStyleIndex] + '"';
oDiv.filters[0].Apply();
// After setting Apply, changes to the oDiv object
//  are not displayed until Play is called.
if (bToggle) {
bToggle = 0;
oDiv.style.backgroundColor="gold";
}
else {
bToggle = 1;
oDiv.style.backgroundColor="green";
}
oDiv.filters[0].Play();
iIndexCount += 1;
}
</SCRIPT>
<BUTTON onclick="fnToggle()">Toggle Transition</BUTTON><BR/><BR/>
<FONT SIZE="+4" >
<!-- This DIV is the target of the transition. -->
<DIV ID="oDiv" STYLE="height:250px; width:250px; background-color: gold;
filter:progid:DXImageTransform.Microsoft.Iris(
duration=3);">
TEXT<BR/>TEXT<BR/>TEXT<BR/>TEXT<BR/>
</DIV>
<SPAN ID="oSpan"></SPAN>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, IFRAME, FRAMESET, I, INS, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TH, TD, TT, U, UL, VAR, XMP

See Also

Transitions, Transition Design Considerations


Pixelate

Pixelate Filter

Displays the content of the object as colored squares that take the average color value of the pixels they replace. This filtered display can be used as a transition.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.Pixelate(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.Pixelate(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the Pixelate object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
duration | Duration | Sets or retrieves the length of time the transition takes to complete.
enabled | Enabled | Sets or retrieves a value that indicates whether the filter is enabled.
maxSquare | MaxSquare | Sets or retrieves the maximum width in pixels of a pixelated square.
Percent | Sets or retrieves the point in a transition at which to capture the display for a static filter output.
status | Retrieves the state of the transition.

Methods

Method | Description
apply | Captures the initial display of an object's content for a transition.
play | Plays the transition.
stop | Stops transition playback.

Remarks

The Pixelate transition is a complex visual effect. In the first half of the transition, the content is displayed as expanding pixelated squares. The width of the pixelated squares increases from one pixel to MaxSquare pixels at the halfway point of the transition. The final half of the transition reduces the pixelated squares back to individual pixels, revealing the new content. During this transition, the original content fades into the new content. The fade effect is produced by reducing the opacity of the original content to zero while the opacity of the new content is raised to 100 percent at the same time.

Set the Enabled property to false when using the Pixelate transition. This disables the static filter and prevents the content of the object from displaying as pixelated before the transition is applied.

The object that the filter is applied to must have layout before the filter effect displays. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Examples

The following example shows how to change the effects of this transition by modifying its properties.

This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The following example reveals a div object with text using the Pixelate transition.

<SCRIPT>
var bToggle = 0;
function fnToggle() {
oDiv.filters[0].Apply();
// After setting Apply, changes to the oDiv object
//  are not displayed until Play is called.
if (bToggle) {
bToggle = 0;
oDiv.style.visibility="visible";  }
else {
bToggle = 1;
oDiv.style.visibility="hidden"; }
oDiv.filters[0].Play();
}
</SCRIPT>
<BUTTON onclick="fnToggle()">Toggle Transition</BUTTON><BR/><BR/>
<FONT SIZE="+4">
<DIV ID="oDiv" STYLE="width:100px; background-color: lightblue;
filter:progid:DXImageTransform.Microsoft.Pixelate(
duration=3, enabled='false');">
<!-- Static filter is disabled. -->
Text<BR/>Text<BR/>Text<BR/>
</DIV>
</FONT>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, IFRAME, FRAMESET, I, INS, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TH, TD, TT, U, UL, VAR, XMP

See Also

Scripting Filters, Filter Design Considerations, Transitions, Transition Design Considerations


RadialWipe

RadialWipe Filter

Reveals new content of the object with a radial wipe, like a windshield-wiper blade.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.RadialWipe(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.RadialWipe(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the RadialWipe object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
duration | Duration | Sets or retrieves the length of time the transition takes to complete.
enabled | Enabled | Sets or retrieves a value that indicates whether the filter is enabled.
Percent | Sets or retrieves the point in a transition at which to capture the display for a static filter output.
status | Retrieves the state of the transition.
wipeStyle | WipeStyle | Sets or retrieves the method used to reveal the new content.

Methods

Method | Description
apply | Captures the initial display of an object's content for a transition.
play | Plays the transition.
stop | Stops transition playback.

Remarks

The object that the filter is applied to must have layout before the filter effect displays. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Examples

The following example shows how to change the effects of this transition by changing its WipeStyle property.

This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example cycles through each WipeStyle property option.

<SCRIPT>
<!-- Declare an array and index counter to access wipeStyles. -->
var arrWipeStyles = new Array();
arrWipeStyles = ['CLOCK','WEDGE','RADIAL'];
var iIndexCount = 0;
var bToggle = 0;
function fnToggle() {
<!-- Use the array index to update and display  the wipeStyle used. -->
var  iStyleIndex = iIndexCount%3 ;  // MOD function avoids resetting the counter.
oDiv.filters[0].wipeStyle = arrWipeStyles[iStyleIndex];
oSpan.innerText = 'WipeStyle = "' + arrWipeStyles[iStyleIndex] + '"';
oDiv.filters[0].Apply();
// After setting Apply, changes to the oDiv object
//  are not displayed until Play is called.
if (bToggle) {
bToggle = 0;
oDiv.style.backgroundColor="gold";  }
else {
bToggle = 1;
oDiv.style.backgroundColor="green"; }
oDiv.filters[0].Play();
iIndexCount += 1;
}
</SCRIPT>
<BUTTON onclick="fnToggle()">Toggle Transition</BUTTON><BR/><BR/>
<FONT SIZE="+4" >
<!-- This DIV is the target of the transition. -->
<DIV ID="oDiv" STYLE="height:250px; width:250px; background-color: gold;
filter:progid:DXImageTransform.Microsoft.RadialWipe(
duration=2);">
TEXT<BR/>TEXT<BR/>TEXT<BR/>TEXT<BR/>
</DIV>
<SPAN ID="oSpan"></SPAN>
</FONT>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, IFRAME, FRAMESET, I, INS, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TH, TD, TT, U, UL, VAR, XMP

See Also

Transitions, Transition Design Considerations


RandomBars

RandomBars Filter

Reveals new content of the object by exposing random lines of pixels.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.RandomBars(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.RandomBars(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the RandomBars object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
duration | Duration | Sets or retrieves the length of time the transition takes to complete.
enabled | Enabled | Sets or retrieves a value that indicates whether the filter is enabled.
orientation | Orientation | Sets or retrieves the value that indicates whether the filter effect is horizontal or vertical.
Percent | Sets or retrieves the point in a transition at which to capture the display for a static filter output.
status | Retrieves the state of the transition.

Methods

Method | Description
apply | Captures the initial display of an object's content for a transition.
play | Plays the transition.
stop | Stops transition playback.

Remarks

The object that the filter is applied to must have layout before the filter effect displays. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Examples

The following example shows how to change the effects of this transition by modifying its Orientation property.

This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the backgroundColor property to change the display before each transition is played.

<SCRIPT>
var bToggle = 0;
function fnToggle() {
oDiv.filters[0].orientation="vertical";
oDiv.filters[0].Apply();
// After setting Apply, changes to the oDiv object
//  are not displayed until Play is called.
if (bToggle) {
bToggle = 0;
oDiv.style.backgroundColor="gold";}
else {
bToggle = 1;
oDiv.style.backgroundColor="blue";}
oDiv.filters[0].Play();
}
</SCRIPT>
<BUTTON onclick="fnToggle()">Toggle Transition</BUTTON><BR/><BR/>
<DIV ID="oDiv" STYLE="height:250px; width:250px; background-color: gold;
filter:progid:DXImageTransform.Microsoft.RandomBars(
duration=5);">
</DIV>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, IFRAME, FRAMESET, I, INS, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TH, TD, TT, U, UL, VAR, XMP

See Also

Transitions, Transition Design Considerations


RandomDissolve

RandomDissolve Filter

Reveals new content of the object by exposing random pixels.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.RandomDissolve(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.RandomDissolve(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the RandomDissolve object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
duration | Duration | Sets or retrieves the length of time the transition takes to complete.
enabled | Enabled | Sets or retrieves a value that indicates whether the filter is enabled.
Percent | Sets or retrieves the point in a transition at which to capture the display for a static filter output.
status | Retrieves the state of the transition.

Methods

Method | Description
apply | Captures the initial display of an object's content for a transition.
play | Plays the transition.
stop | Stops transition playback.

Remarks

The object that the filter is applied to must have layout before the filter effect displays. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Examples

The following example shows this transition being applied to content.

This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the visibility property to expose or hide the display before each transition is played.

<SCRIPT>
var bToggle = 0;
function fnToggle() {
oDiv.filters[0].Apply();
// After setting Apply, changes to the oDiv object
//   are not displayed until Play is called.
if (bToggle) {
bToggle = 0;
oDiv.style.visibility="visible";  }
else {
bToggle = 1;
oDiv.style.visibility="hidden"; }
oDiv.filters[0].Play();
}
</SCRIPT>
<BUTTON onclick="fnToggle()">Toggle Transition</BUTTON><BR/><BR/>
<DIV ID="oDiv" STYLE="height:250px; width:250px; background-color: gold;
filter:progid:DXImageTransform.Microsoft.RandomDissolve(
duration=3);">
<FONT SIZE="+4" COLOR="#A08000">
TEXT<BR/>TEXT<BR/>TEXT<BR/>TEXT<BR/>
</FONT>
</DIV>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, IFRAME, FRAMESET, I, INS, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TH, TD, TT, U, UL, VAR, XMP

See Also

Transitions, Transition Design Considerations


Slide

Slide Filter

Reveals new content of the object by sliding sections of the image into place.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.Slide(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.Slide(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the Slide object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
bands | bands | Sets or retrieves the number of strips into which the content is divided during the transition.
duration | Duration | Sets or retrieves the length of time the transition takes to complete.
enabled | Enabled | Sets or retrieves a value that indicates whether the filter is enabled.
Percent | Sets or retrieves the point in a transition at which to capture the display for a static filter output.
slideStyle | SlideStyle | Sets or retrieves the method used to reveal the new content.
status | Retrieves the state of the transition.

Methods

Method | Description
apply | Captures the initial display of an object's content for a transition.
play | Plays the transition.
stop | Stops transition playback.

Remarks

The object that the filter is applied to must have layout before the filter effect displays. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Examples

The following example shows how to change the effects of this transition by modifying its properties.

This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example cycles through each SlideStyle property option.

<SCRIPT>
<!-- Declare an array and index counter to access  slideStyles. -->
var arrSlideStyles = new Array();
arrSlideStyles = ['HIDE','PUSH','SWAP'];
var iIndexCount = 0;
var bToggle = 0;
function fnToggle() {
<!-- Use the array index to update and display  the slideStyle used. -->
var  iStyleIndex = iIndexCount%3 ;  // MOD function avoids resetting the counter.
oDiv.filters[0].slideStyle = arrSlideStyles[iStyleIndex];
oSpan.innerText = 'SlideStyle = "' + arrSlideStyles[iStyleIndex] + '"';
oDiv.filters[0].Apply();
// After setting Apply, changes to the oDiv object
//  are not displayed until Play is called.
if (bToggle) {
bToggle = 0;
oDiv.style.backgroundColor="gold";
}
else {
bToggle = 1;
oDiv.style.backgroundColor="green";
}
oDiv.filters[0].Play();
iIndexCount += 1;
}
</SCRIPT>
<BUTTON onclick="fnToggle()">Toggle Transition</BUTTON><BR/><BR/>
<FONT SIZE="+4" >
<!-- This DIV is the target of the transition. -->
<DIV ID="oDiv" STYLE="height:250px; width:250px; background-color: gold;
filter:progid:DXImageTransform.Microsoft.Slide(
duration=3, bands='8');">
TEXT<BR/>TEXT<BR/>TEXT<BR/>TEXT<BR/>
</DIV>
<SPAN ID="oSpan"></SPAN>
</FONT>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, IFRAME, FRAMESET, I, INS, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TH, TD, TT, U, UL, VAR, XMP

See Also

Transitions, Transition Design Considerations


Spiral

Spiral Filter

Reveals new content of the object with a spiral motion.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.Spiral(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.Spiral(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the Spiral object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
duration | Duration | Sets or retrieves the length of time the transition takes to complete.
enabled | Enabled | Sets or retrieves a value that indicates whether the filter is enabled.
gridSizeX | GridSizeX | Sets or retrieves the number of grid columns used for the filter. The value can range from 1 to 100.
gridSizeY | GridSizeY | Sets or retrieves the number of grid rows used for the filter. The value can range from 1 to 100.
Percent | Sets or retrieves the point in a transition at which to capture the display for a static filter output.
status | Retrieves the state of the transition.

Methods

Method | Description
apply | Captures the initial display of an object's content for a transition.
play | Plays the transition.
stop | Stops transition playback.

Remarks

The object that the filter is applied to must have layout before the filter effect displays. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Examples

The following example shows how to change the effects of this transition by modifying its properties.

This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the visibility property to expose or hide the display before each transition is played.

<SCRIPT>
var bToggle = 0;
function fnToggle() {
oDiv.filters[0].Apply();
// After setting Apply, changes to the oDiv object
//  are not displayed until Play is called.
if (bToggle) {
bToggle = 0;
oDiv.style.visibility="visible";  }
else {
bToggle = 1;
oDiv.style.visibility="hidden"; }
oDiv.filters[0].Play();
}
</SCRIPT>
<BUTTON onclick="fnToggle()">Toggle Transition</BUTTON><BR/><BR/>
<DIV ID="oDiv" STYLE="height:250px; width:250px; background-color: gold;
filter:progid:DXImageTransform.Microsoft.Spiral(
duration=3, GridSizeX=25, GridSizeY=25);">
<FONT SIZE="+4" COLOR="#A08000">
TEXT<BR/>TEXT<BR/>TEXT<BR/>TEXT<BR/>
</FONT>
</DIV>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, IFRAME, FRAMESET, I, INS, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TH, TD, TT, U, UL, VAR, XMP

See Also

Transitions, Transition Design Considerations


Stretch

Stretch Filter

Reveals new content of the object with a stretching motion to cover the original content. One option resembles a cube rotating from one face to another.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.Stretch(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.Stretch(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the Stretch object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
duration | Duration | Sets or retrieves the length of time the transition takes to complete.
enabled | Enabled | Sets or retrieves a value that indicates whether the filter is enabled.
Percent | Sets or retrieves the point in a transition at which to capture the display for a static filter output.
status | Retrieves the state of the transition.
stretchStyle | StretchStyle | Sets or retrieves the method used to reveal the new content.

Methods

Method | Description
apply | Captures the initial display of an object's content for a transition.
play | Plays the transition.
stop | Stops transition playback.

Remarks

The object that the filter is applied to must have layout before the filter effect displays. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Examples

The following example shows how to change the effects of this transition by modifying its StretchStyle property.

This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example cycles through each StretchStyle property option.

<SCRIPT>
<!-- Declare an array and index counter to access the stretchStyles. -->
var arrStretchStyles = new Array();
arrStretchStyles = ['HIDE','PUSH','SPIN'];
var iIndexCount = 0;
var bToggle = 0;
function fnToggle() {
<!-- Use the array index to update and display  the stretchStyle used. -->
var  iStyleIndex = iIndexCount%3 ;  // MOD function avoids resetting the counter.
oDiv.filters[0].stretchstyle = arrStretchStyles[iStyleIndex];
oSpan.innerText = 'StretchStyle = "' + arrStretchStyles[iStyleIndex] + '"';
oDiv.filters[0].Apply();
// After setting Apply, changes to the oDiv object
//  are not displayed until Play is called.
if (bToggle) {
bToggle = 0;
oDiv.style.backgroundColor="gold";
}
else {
bToggle = 1;
oDiv.style.backgroundColor="green";
}
oDiv.filters[0].Play();
iIndexCount += 1;
}
</SCRIPT>
<BUTTON onclick="fnToggle()">Toggle Transition</BUTTON><BR/><BR/>
<FONT SIZE="+4" >
<!-- This DIV is the target of the transition. -->
<DIV ID="oDiv" STYLE="height:250px; width:250px; background-color: gold;
filter:progid:DXImageTransform.Microsoft.Stretch(
duration=3);">
TEXT<BR/>TEXT<BR/>TEXT<BR/>TEXT<BR/>
</DIV>
<SPAN ID="oSpan"></SPAN>
</FONT>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, IFRAME, FRAMESET, I, INS, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TH, TD, TT, U, UL, VAR, XMP

See Also

Transitions, Transition Design Considerations


Strips

Strips Filter

Reveals new content of the object by moving successive strips into place, like a diagonal saw blade passing across the original content.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.Strips(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.Strips(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the Strips object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
duration | Duration | Sets or retrieves the length of time the transition takes to complete.
enabled | Enabled | Sets or retrieves a value that indicates whether the filter is enabled.
motion | Motion | Sets or retrieves the corner from which new content is revealed during a Strips transition.
Percent | Sets or retrieves the point in a transition at which to capture the display for a static filter output.
status | Retrieves the state of the transition.

Methods

Method | Description
apply | Captures the initial display of an object's content for a transition.
play | Plays the transition.
stop | Stops transition playback.

Remarks

The object that the filter is applied to must have layout before the filter effect displays. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Examples

The following example shows how to change the effects of this transition by modifying its properties.

This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the backgroundColor property to change the display before each transition is played.

<SCRIPT>
var bToggle = 0;
function fnToggle() {
oDiv.filters[0].Apply();
// After setting Apply, changes to the oDiv object
//  are not displayed until Play is called.
if (bToggle) {
bToggle = 0;
oDiv.style.backgroundColor="gold";}
else {
bToggle = 1;
oDiv.style.backgroundColor="blue";}
oDiv.filters[0].Play();
}
</SCRIPT>
<BUTTON onclick="fnToggle()">Toggle Transition</BUTTON><BR/><BR/>
<DIV ID="oDiv" STYLE="height:250px; width:250px; background-color: gold;
filter:progid:DXImageTransform.Microsoft.Strips(
duration=5, motion='rightdown');">
</DIV>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, IFRAME, FRAMESET, I, INS, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TH, TD, TT, U, UL, VAR, XMP

See Also

Transitions, Transition Design Considerations


Wheel

Wheel Filter

Reveals new content of the object with a rotating motion, like spokes of a wheel covering the original content.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.Wheel(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.Wheel(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the Wheel object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
duration | Duration | Sets or retrieves the length of time the transition takes to complete.
enabled | Enabled | Sets or retrieves a value that indicates whether the filter is enabled.
Percent | Sets or retrieves the point in a transition at which to capture the display for a static filter output.
spokes | spokes | Sets or retrieves the number of wedges that the content is divided into during the transition.
status | Retrieves the state of the transition.

Methods

Method | Description
apply | Captures the initial display of an object's content for a transition.
play | Plays the transition.
stop | Stops transition playback.

Remarks

The object that the filter is applied to must have layout before the filter effect displays. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Examples

The following example shows how to change the effects of this transition by modifying its spokes property.

This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the backgroundColor property to change the display before each transition is played.

<SCRIPT>
var bToggle = 0;
function fnToggle() {
oDiv.filters[0].Apply();
// After setting Apply, changes to the oDiv object
//  are not displayed until Play is called.
if (bToggle) {
bToggle = 0;
oDiv.style.backgroundColor="gold";}
else {
bToggle = 1;
oDiv.style.backgroundColor="blue";}
oDiv.filters[0].Play();
}
</SCRIPT>
<BUTTON onclick="fnToggle()">Toggle Transition</BUTTON><BR/><BR/>
<DIV ID="oDiv" STYLE="height:250px; width:250px; background-color: gold;
filter:progid:DXImageTransform.Microsoft.Wheel(
duration=2, spokes=8);">
</DIV>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, IFRAME, FRAMESET, I, INS, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TH, TD, TT, U, UL, VAR, XMP

See Also

Transitions, Transition Design Considerations


Zigzag

Zigzag Filter

Reveals new content of the object with a forward and back motion that moves down the object.

Syntax

HTML
<ELEMENT STYLE=
"filter:progid:DXImageTransform.Microsoft.Zigzag(sProperties)" ... >
Internet Explorer 5.5 or later
Scripting
object.style.filter =
"progid:DXImageTransform.Microsoft.Zigzag(sProperties)"
Internet Explorer 5.5 or later

Possible Values

sProperties String that specifies one or more properties exposed by the filter.

Members Table

The following table lists the members exposed by the Zigzag object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
duration | Duration | Sets or retrieves the length of time the transition takes to complete.
enabled | Enabled | Sets or retrieves a value that indicates whether the filter is enabled.
gridSizeX | GridSizeX | Sets or retrieves the number of grid columns used for the filter. The value can range from 1 to 100.
gridSizeY | GridSizeY | Sets or retrieves the number of grid rows used for the filter. The value can range from 1 to 100.
Percent | Sets or retrieves the point in a transition at which to capture the display for a static filter output.
status | Retrieves the state of the transition.

Methods

Method | Description
apply | Captures the initial display of an object's content for a transition.
play | Plays the transition.
stop | Stops transition playback.

Remarks

The object that the filter is applied to must have layout before the filter effect displays. You can give the object layout by setting the height or width property, setting the position property to absolute, setting the writingMode property to tb-rl, or setting the contentEditable property to true.

You can assign multiple filters or transitions to an object by declaring each in the filter property of the object. The following div declaration assigns two filters and a Wheel transition to a div element.

<DIV STYLE="width:100%; filter:
progid:DXImageTransform.Microsoft.MotionBlur(strength=13, direction=310)
progid:DXImageTransform.Microsoft.Blur(pixelradius=2)
progid:DXImageTransform.Microsoft.Wheel(duration=3);">
Blurry text with smudge of gray.</div>
When multiple filters are applied to an object, each filter is processed in source order, with the exception of procedural surfaces, which are computed first. To emphasize a filter's effect, place it last in source order or on the object's parent. Always place transitions last in source order.

Examples

The following example shows how to change the effects of this transition by modifying its properties.

This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the visibility property to reveal or hide the content of the object before each transition is played.

<SCRIPT>
var bToggle = 0;
function fnToggle() {
oDiv.filters[0].Apply();
// After setting Apply, changes to the oDiv object
//  are not displayed until Play is called.
if (bToggle) {
bToggle = 0;
oDiv.style.visibility="visible";  }
else {
bToggle = 1;
oDiv.style.visibility="hidden"; }
oDiv.filters[0].Play();
}
</SCRIPT>
<BUTTON onclick="fnToggle()">Toggle Transition</BUTTON><BR/><BR/>
<DIV ID="oDiv" STYLE="height:250px; width:250px; background-color: gold;
filter:progid:DXImageTransform.Microsoft.Zigzag(
duration=3, GridSizeX=25, GridSizeY=25);">
<FONT SIZE="+4" COLOR="#A08000">
TEXT<BR/>TEXT<BR/>TEXT<BR/>TEXT<BR/>
</FONT>
</DIV>
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, B, BDO, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, CUSTOM, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, FRAME, hn, IFRAME, FRAMESET, I, INS, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LEGEND, LI, MARQUEE, MENU, NOBR, OL, OBJECT, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TH, TD, TT, U, UL, VAR, XMP

See Also

Transitions, Transition Design Considerations


addAmbient

addAmbient Method

Adds an ambient light to the Light filter.

Syntax

object.filters.item(
    "DXImageTransform.Microsoft.Light").addAmbient(iRed, iGreen, iBlue, iStrength)

Parameters

iRed | Required. Integer that specifies the red value. The value can range from 0 (lowest saturation) to 255 (highest saturation).
iGreen | Required. Integer that specifies the green value. The value can range from 0 (lowest saturation) to 255 (highest saturation).
iBlue | Required. Integer that specifies the blue value. The value can range from 0 (lowest saturation) to 255 (highest saturation).
iStrength | Required. Integer that specifies the intensity of the light filter. The value can range from 0 (lowest intensity) to 100 (highest intensity). The intensity specified pertains to the target coordinates.

Return Value

No return value.

Remarks

Ambient light is nondirectional and sheds parallel beams perpendicular to the surface of the page. Ambient light has color and strength values that add more color to the object; it is often used with other lights.

Applies To

Light


addCone

addCone Method

Adds a cone light to the Light filter effect object to cast a directional light on the page.

Syntax

object.filters.item(
    "DXImageTransform.Microsoft.Light").addCone(iX1, iY1, iZ1, iX2, iY2, iRed, iGreen, iBlue, iStrength, iSpread)

Parameters

iX1 | Required. Integer that specifies the left coordinate of the light source.
iY1 | Required. Integer that specifies the top coordinate of the light source.
iZ1 | Required. Integer that specifies the z-axis level of the light source.
iX2 | Required. Integer that specifies the left coordinate of the target light focus.
iY2 | Required. Integer that specifies the top coordinate of the target light focus.
iRed | Required. Integer that specifies the red value. The value can range from 0 (lowest saturation) to 255 (highest saturation).
iGreen | Required. Integer that specifies the green value. The value can range from 0 (lowest saturation) to 255 (highest saturation).
iBlue | Required. Integer that specifies the blue value. The value can range from 0 (lowest saturation) to 255 (highest saturation).
iStrength | Required. Integer that specifies the intensity of the light filter. The value can range from 0 (lowest intensity) to 100 (highest intensity).
iSpread | Required. Integer that specifies the angle, or spread, between the vertical position of the light source and the surface of the object. The angle can range from 0 to 90 degrees. Smaller angle values produce a smaller cone of light; larger values produce an oblique oval or circle of light.

Return Value

No return value.

Remarks

The cone light fades with distance from the target x,y position. The light displays a hard edge at the near edge of its focus and fades gradually as it reaches its distance threshold.

Applies To

Light


addPoint

addPoint Method

Adds a light source to the Light filter.The light source originates at a single point and radiates in all directions.

Syntax

object.filters.item(
    "DXImageTransform.Microsoft.Light").addPoint(iX, iY, iZ, iRed, iGreen, iBlue, iStrength)

Parameters

iX | Required. Integer that specifies the left coordinate of the light source.
iY | Required. Integer that specifies the top coordinate of the light source.
iZ | Required. Integer that specifies the z-axis level of the light source.
iRed | Required. Integer that specifies the red value. The value can range from 0 (lowest saturation) to 255 (highest saturation).
iGreen | Required. Integer that specifies the green value. The value can range from 0 (lowest saturation) to 255 (highest saturation).
iBlue | Required. Integer that specifies the blue value. The value can range from 0 (lowest saturation) to 255 (highest saturation).
iStrength | Required. Integer that specifies the intensity of the light filter. The value can range from 0 (lowest intensity) to 100 (highest intensity). The intensity specified pertains to the target coordinates.

Return Value

No return value.

Applies To

Light


apply

apply Method

Captures the initial display of an object's content for a transition.

Syntax

object.filters.item(
    "DXImageTransform.Microsoft.filter-name").apply()

Return Value

No return value.

Remarks

Once the apply method is called, changes to the object's properties are not displayed until you call the play method to start the transition.

Note You must change the style.visibility property for a child element to be part of the transition. Otherwise, changes to child element properties are displayed immediately.

When you call the play method, the transition reveals the resulting changes in content (object property and child element style.visibility changes).

Applies To

BlendTrans, RevealTrans, Barn, Blinds, Compositor, Fade, GradientWipe, Inset, Iris, Pixelate, RadialWipe, RandomBars, RandomDissolve, Slide, Spiral, Stretch, Strips, Wheel, Zigzag


changeColor

changeColor Method

Changes the color of a Light filter's light.

Syntax

object.filters.item(
    "DXImageTransform.Microsoft.Light").changeColor(iLightNumber, iRed, iGreen, iBlue, fAbsolute)

Parameters

iLightNumber | Required. Integer that specifies the identifier for the light.
iRed | Required. Integer that specifies the red value. The value can range from 0 (lowest saturation) to 255 (highest saturation).
iGreen | Required. Integer that specifies the green value. The value can range from 0 (lowest saturation) to 255 (highest saturation).
iBlue | Required. Integer that specifies the blue value. The value can range from 0 (lowest saturation) to 255 (highest saturation).
fAbsolute | Required. Boolean that specifies whether the color values for iRed , iGreen , and iBlue are absolute values that replace the current values, or are relative values that are added to the current values. A nonzero value indicates the color values are absolute; a value of 0 indicates the color values are relative.

Return Value

No return value.

Applies To

Light


changeStrength

changeStrength Method

Changes the intensity of a light applied with the Light filter.

Syntax

object.filters.item(
    "DXImageTransform.Microsoft.Light").changeStrength(iLightNumber, iStrength, fAbsolute)

Parameters

iLightNumber | Required. Integer that specifies the identifierfor the light.
iStrength | Required. Integer that specifies the intensity of the light filter. The value can range from 0 (lowest intensity) to 100 (highest intensity).
fAbsolute | Required. Boolean that specifies whether the intensity value of iStrength is an absolute value that replaces the current value, or a relative value that is added to the current value. A nonzero value indicates the intensity value is absolute; a value of 0 indicates the intensity value is relative. The intensity specified pertains to the target coordinates.

Return Value

No return value.

Applies To

Light


clear

clear Method

Deletes all lights associated with the Light filter.

Syntax

object.filters.item(
    "DXImageTransform.Microsoft.Light").clear()

Return Value

No return value.

Remarks

This method clears all light sources on the object.

Applies To

Light


elementImage

elementImage Method

Not currently supported.


moveLight

moveLight Method

Moves the focus for cone lights or the origin for point lights that are applied with the Light filter.

Syntax

object.filters.item(
    "DXImageTransform.Microsoft.Light").moveLight(iLightNumber, iX, iY, iZ, fAbsolute)

Parameters

iLightNumber | Required. Integer that specifies the identifier for the light.
iX | Required. Integer that specifies the left coordinate of the light source.
iY | Required. Integer that specifies the top coordinate of the light source.
iZ | Required. Integer that specifies the z-axis level of the light source.
fAbsolute | Required. Boolean that specifies whether the light source is moved absolutely or relative to the initial position.

Return Value

No return value.

Remarks

For a cone light, this method changes the target x,y values to move the light's focus. For a point light, this method changes the source x,y,z values to move the source location.

This method has no effect on an ambient light.

Applies To

Light


play

play Method

Plays the transition.

Syntax

object.filters.item(
    "DXImageTransform.Microsoft.filter-name").play( [iDuration])

Parameters

iDuration Optional. Floating-point that specifies the amount of time, in seconds, that the filter should play.

Return Value

No return value.

Remarks

If a duration is specified as a play method parameter, this duration overrides the Duration property assigned to the transition for the current cycle of the transition. The Duration property is not overwritten though, and the next transition cycle reverts to the assigned value of the Duration property.

Applies To

BlendTrans, RevealTrans, Barn, Blinds, Compositor, Fade, GradientWipe, Inset, Iris, Pixelate, RadialWipe, RandomBars, RandomDissolve, Slide, Spiral, Stretch, Strips, Wheel, Zigzag


stop

stop Method

Stops transition playback.

Syntax

object.filters.item(
    "DXImageTransform.Microsoft.filter-name").stop()

Return Value

No return value.

Remarks

This method fires the onfilterchange event.

Applies To

BlendTrans, RevealTrans, Barn, Blinds, Fade, GradientWipe, Inset, Iris, Pixelate, RadialWipe, RandomBars, RandomDissolve, Slide, Spiral, Stretch, Strips, Wheel, Zigzag


add Attribute | Add

add Attribute | Add Property

Sets or retrieves a value that indicates whether the filter image overlays the original image.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.filter-name(
add = bAddImage ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.filter-name").Add [ = bAddImage ]

Possible Values

bAddImage Boolean that specifies or receives the following values.
true | Filter image overlays the original.
false | Default. Filter image stands alone.

The property is read/write. The property has a default value of false.

Applies To

MotionBlur, Wave


bands Attribute | bands

bands Attribute | bands Property

Sets or retrieves the number of strips into which the content is divided during the transition.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.filter-name(
bands = iBands ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.filter-name").bands [ = iBands ]

Possible Values

iBands Integer that specifies or receives a value that can range from 1 to 100 bands.

The property is read/write. The property has no default value for all objects with the following exceptions:
Blinds | 10
Slide | 1

Applies To

Blinds, Slide

See Also

Transitions, Transition Design Considerations


Bias Attribute | Bias

Bias Attribute | Bias Property

Sets or retrieves a percentage of a value that is added to each color component of the filtered result.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.filter-name(
Bias = fBias ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.filter-name").Bias [ = fBias ]

Possible Values

fBias Floating-point that specifies or receives a value that can range from -1.0 to 1.0.
0.7 Default.

The property is read/write. The property has a default value of 0.7.

Remarks

Larger bias values yield brighter filtered images. Images with high contrast are least affected by the filter.

Applies To

Emboss, Engrave

See Also

Scripting Filters, Filter Design Considerations


color Attribute | Color

color Attribute | Color Property

Sets or retrieves the value of the color applied with the filter.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.filter-name(
color = sColor ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.filter-name").Color [ = sColor ]

Possible Values

sColor Variant that specifies or receives the color value.

The property is read/write. The property has no default value for all objects with the following exceptions:
Chroma | #FF0000FF
DropShadow | #FF404040
Glow | #FF0000
MaskFilter | #FF000000

Remarks

Color is expressed in #AARRGGBB format, where AA is the alpha opacity hexadecimal value, RR is the red hexadecimal value, GG is the green hexadecimal value, and BB is the blue hexadecimal value. For more information about the range of color values supported by Microsoft® Internet Explorer 4.0 and later, see Color Table.

The Glow filter is limited to to the #RRGGBB format for the Color property. The applied radiance effect is always opaque.

The following table describes the effect of the Color property when applied to different filters.

Chroma filter | Specifies the color applied to the chromakey transparency.
DropShadow filter | Specifies the color of the drop-shadow effect.
Glow filter | Specifies the color of the radiance applied to the object.
MaskFilter filter | Specifies the color that is applied to transparent regions.

Applies To

Chroma, DropShadow, Glow, MaskFilter


Color Attribute | Color

Color Attribute | Color Property

Sets or retrieves the value of the color applied with the filter.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.Shadow(
Color = sColor ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Shadow").Color [ = sColor ]

Possible Values

sColor String that specifies or receives the color value.

The property is read/write. The property has no default value.

Remarks

Color is expressed in #RRGGBB format, where RR is the red hexadecimal value, GG is the green hexadecimal value, and BB is the blue hexadecimal value.

For more information about the range of color values supported by Microsoft® Internet Explorer 4.0 and later, see the Color Table.

Applies To

Shadow


colorSpace Attribute | ColorSpace

colorSpace Attribute | ColorSpace Property

Sets or retrieves the name and path for a particular .icm color mapping profile. With a profile assigned, the filtered output simulates the graphical output of devices that use the assigned profile.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.ICMFilter(
colorSpace = sPathFilename ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.ICMFilter").ColorSpace [ = sPathFilename ]

Possible Values

bstrColorSpace
sPathFilename String that specifies or receives one of the following possible values.
sFile | Default. Identifies path and file name of a color mapping profile.
sRGB | Default. Identifies the standard colorspace.

The property is read/write. The property has a default value of sFile.

Remarks

The .icm profile defines how color content compares to the sRGB standard for a hardware device.

Applies To

ICMFilter

See Also

Scripting Filters, Filter Design Considerations


direction Attribute | Direction

direction Attribute | Direction Property

Sets or retrieves the direction that the filter's effect is offset.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.filter-name(
direction = iOffset ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.filter-name").Direction [ = iOffset ]

Possible Values

iOffset Integer that specifies or receives the direction of the offset, in degrees. This can be one of the following values.
0 | Top
45 | Top right
90 | Right
135 | Bottom right
180 | Bottom
225 | Bottom left
270 | Default. Left
315 | Top left

The property is read/write. The property has a default value of 270 for all objects with the exception of Shadow which has a default value of 225.

Remarks

Values less than 0 or greater than 360 automatically convert to values between 0 and 360. For example, a value of -45 degrees is equivalent to a value of 315 degrees.

Example

This example sets the Direction and Strength properties of the MotionBlur filter for an image, with an initial strength of 1. When the page loads, the onfilterchange event of the image fires. The onfilterchange event fires each time the Strength and Direction properties change, until Strength reaches a value of 100.

<SCRIPT>
function HandleChange()
{
with (window.event.srcElement.filters[0])
{
if (strength < 100)
{
strength += 1;
direction += 45;
}
}
}</SCRIPT>
<IMG ID="img1" SRC="solarsys.gif" onfilterchange="HandleChange()"
STYLE="filter:progid:DXImageTransform.Microsoft.MotionBlur(
STRENGTH=1, DIRECTION=0)" />
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

MotionBlur, Shadow


Direction Attribute | Direction

Direction Attribute | Direction Property

Sets or retrieves the direction of motion in the transition.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.filter-name(
Direction = sDirection ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.filter-name").Direction [ = sDirection ]

Possible Values

sDirection String that specifies or receives one of the following values:
up
down
right
left

The property is read/write. The property has no default value for all objects with the following exceptions:
Blinds | down
CheckerBoard | right

Applies To

Blinds, CheckerBoard

See Also

Transitions, Transition Design Considerations


duration Attribute | Duration

duration Attribute | Duration Property

Sets or retrieves the length of time the transition takes to complete.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.filter-name(
duration = fDuration ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.filter-name").Duration [ = fDuration ]

Possible Values

fDuration Floating-point that specifies the length of time to complete the transition. The value is specified in seconds.milliseconds format (0.0000).

The property is read/write. The property has no default value.

Remarks

You can set the playback duration for a transition as a parameter of the play method. However, once you invoke the play method, the Duration property becomes read-only for the duration of the playback.

Example

This example uses the duration attribute and the Blinds filter to reveal one image replaceing another during a two-second interval. Click the button to reveal the second image.

<SCRIPT LANGUAGE=JavaScript>
var sInitialSRC="/workshop/samples/author/dhtml/graphics/clouds.jpg";
var sFinalSRC="/workshop/samples/author/dhtml/graphics/circles.gif";
function doTrans()
{
theImg.filters.item(0).Apply();
theImg.src=sFinalSRC;
sFinalSRC=sInitialSRC;
sInitialSRC=theImg.src;
theImg.filters.item(0).Play();
}
</SCRIPT>
<IMG ID="theImg" src='/workshop/samples/author/dhtml/graphics/clouds.jpg';
style="width:200; height:200;
filter:progid:DXImageTransform.Microsoft.Blinds(Duration=2)">
<BR/><BR/>
<INPUT TYPE="button" value="Start Transition" onClick="doTrans()">
This feature requires Microsoft® Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

BlendTrans, RevealTrans, Barn, Blinds, Fade, GradientWipe, Inset, Iris, Pixelate, RadialWipe, RandomBars, RandomDissolve, Slide, Spiral, Stretch, Strips, Wheel, Zigzag


Dx Attribute | Dx

Dx Attribute | Dx Property

Sets or retrieves the X component of the augmenting vector for linear transformations.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.Matrix(
Dx = fDx ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Matrix").Dx [ = fDx ]

Possible Values

fDx Floating-point that specifies or receives of the X component of the augmenting vector.
1.0 Default.

The property is read/write. The property has a default value of 1.0.

Remarks

This property is ignored if the SizingMethod is set to auto expand.

Applies To

Matrix

See Also

Dy, Scripting Filters, Filter Design Considerations


Dy Attribute | Dy

Dy Attribute | Dy Property

Sets or retrieves the Y component of the augmenting vector for linear transformations.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.Matrix(
Dy = fDy ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Matrix").Dy [ = fDy ]

Possible Values

fDy Floating-point that specifies or receives of the Y component of the augmenting vector.
1.0 Default.

The property is read/write. The property has a default value of 1.0.

Remarks

This property is ignored if the SizingMethod is set to auto expand.

Applies To

Matrix

See Also

Dx, Scripting Filters, Filter Design Considerations


enabled Attribute | Enabled

enabled Attribute | Enabled Property

Sets or retrieves a value that indicates whether the filter is enabled.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.filter-name(
enabled = bEnabled ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.filter-name").Enabled [ = bEnabled ]

Possible Values

bEnabled Boolean that specifies or receives one of the following values.
true | Default. Filter is enabled.
false | Filter is disabled.

The property is read/write. The property has a default value of true.

Example

This example uses the Enabled property to change the orientation of an image when the user moves the mouse pointer across one of the image's borders.

<IMG ID="image1" SRC="../common/earglobe.gif"
onmouseover="image1.filters.flipv.enabled = false;"
onmouseout ="image1.filters.flipv.enabled = true;"
STYLE="filter:progid:DXImageTransform.Microsoft.MotionBlur(STRENGTH=50) flipv()">

Applies To

Alpha, AlphaImageLoader, Barn, BasicImage, Blinds, Blur, MotionBlur, BlendTrans, Chroma, DropShadow, Emboss, Engrave, Fade, FlipH, FlipV, Glow, Gradient, GradientWipe, Gray, Inset, Iris, Invert, Light, MaskFilter, Matrix, Pixelate, RadialWipe, RandomBars, RandomDissolve, Redirect, RevealTrans, Shadow, Slide, Spiral, Stretch, Strips, Wave, Wheel, Xray, Zigzag


EndColor

EndColor Property

Sets or retrieves the final opaque color for a gradient surface.

Syntax

HTML
N/A
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Gradient").EndColor [ = sColor ]

Possible Values

sColor Integer that specifies or receives the color value that can range from 0 (transparent) to 4294967295 (opaque white).

The property is read/write. The property has no default value.

Remarks

When you set the EndColor property value in script, it can be expressed in hexadecimal 0xAARRGGBB format.

  • AA is the alpha value from 00 to FF
  • RR is the red hexadecimal value from 00 to FF
  • GG is the green hexadecimal value from 00 to FF
  • BB is the blue hexadecimal value from 00 to FF
The integer conversion of the hexidecimal value is also valid.

Note HTML declaration of the EndColor property only permits an integer value.

Applies To

Gradient


EndColorStr

EndColorStr Property

Sets or retrieves the final color for a gradient surface.

Syntax

HTML
N/A
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Gradient").EndColorStr [ = iWidth ]

Possible Values

iWidth String that specifies or receives a value that can range from #FF000000 to #FFFFFFFF.
#FF000000 Default. Solid black.

The property is read/write. The property has a default value of #FF000000.

Remarks

Color is expressed in #AARRGGBB format, where AA is the alpha hexadecimal value, RR is the red hexadecimal value, GG is the green hexadecimal value, and BB is the blue hexadecimal value. The alpha value controls the opacity of the object. An alpha value of 00 is transparent, while a value of FF is opaque.

String input that is outside the hexidecimal range will revert to the default value.

Applies To

Gradient


FilterType Attribute | FilterType

FilterType Attribute | FilterType Property

Sets or retrieves the method used to define pixels of new content.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.Matrix(
FilterType = sType ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Matrix").FilterType [ = sType ]

Possible Values

sType String that specifies or receives one of the following values.
bilinear | Default. Uses bilinear method to define the color content of target pixels.
nearest neighbor | Uses nearest neighbor method to define the color content of target pixels.

The property is read/write. The property has a default value of bilinear.

Remarks

For the best static filter results, the bilinear method provides a smoother image. However, when used for an animated series of images, the nearest neighbor method is computed faster and can produce more images per second of animation.

Applies To

Matrix

See Also

Scripting Filters, Filter Design Considerations


finishOpacity Attribute | FinishOpacity

finishOpacity Attribute | FinishOpacity Property

Sets or retrieves the opacity level at the end of the gradient applied with the Alpha filter.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.Alpha(
finishOpacity = iOpacity ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Alpha").FinishOpacity [ = iOpacity ]

Possible Values

iOpacity Integer that specifies or receives the opacity level. The value can range from 0 (fully transparent) to 100 (fully opaque).
0 | Default. Transparent.
100 | Opaque.

The property is read/write. The property has a default value of 0.

Remarks

This property applies only to objects that have a specified opacity gradient—that is, the Style property is set to 1, 2, or 3.

Applies To

Alpha

See Also

Opacity


finishX Attribute | FinishX

finishX Attribute | FinishX Property

Sets or retrieves the horizontal position at which the opacity gradient ends.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.Alpha(
finishX = iPercent ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Alpha").FinishX [ = iPercent ]

Possible Values

iPercent Integer that specifies or receives the horizontal position as a percentage of the width of the object.
0 Default.

The property is read/write. The property has a default value of 0.

Remarks

This property applies only to objects that have a linear opacity gradient specified—that is, the Style property is set to 1.

Applies To

Alpha

See Also

FinishY


finishY Attribute | FinishY

finishY Attribute | FinishY Property

Sets or retrieves the vertical position at which the opacity gradient ends.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.Alpha(
finishY = iPercent ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Alpha").FinishY [ = iPercent ]

Possible Values

iPercent Integer that specifies or receives the vertical position as a percentage of the height of the object.
0 Default.

The property is read/write. The property has a default value of 0.

Remarks

This property applies only to objects that have a linear opacity gradient specified—that is, the Style property is set to 1.

Applies To

Alpha

See Also

FinishX


freq Attribute | Freq

freq Attribute | Freq Property

Sets or retrieves the number of waves created by the Wave filter.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.Wave(
freq = iWaveCount ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Wave").Freq [ = iWaveCount ]

Possible Values

iWaveCount Integer that specifies or receives the number of waves.
3 Default.

The property is read/write. The property has a default value of 3.

Applies To

Wave


function Attribute | Function

function Attribute | Function Property

Sets or retrieves the compositing operation to perform.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.Compositor(
function = sFunction ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Compositor").Function [ = sFunction ]

Possible Values

sFunction Integer that specifies or receives one of the following possible values:
0 | Default. CLEAR. Perform no operation.
1 | MIN. Compare the brightness of each pixel in both images, and show the less bright of the two pixels.
2 | MAX. Compare the brightness of each pixel in both images, and show the brighter of the two pixels.
3 | A. Display only Input A.
4 | A OVER B. Display Input A over Input B. All of Input A is visible, and Input B shows through translucent regions of Input A.
5 | A IN B. Display all parts of Input A that are contained in Input B. Only regions with nonzero alpha values for both images are visible, and no part of Input B shows through.
6 | A OUT B. Display all parts of Input A that are not contained in Input B. No part of Input B is displayed.
7 | A ATOP B. Display Input A covering Input B, with each sample scaled by the alpha channel of Input B.
8 | A SUBTRACT B. Display Input A with the sample color values of Input B subtracted from the corresponding sample color values of Input A. The resulting color is scaled by the alpha values of Input A.
9 | A ADD B. Display Input A with the sample color values of Input B added to the corresponding sample color values of Input A. The resulting color value is scaled by the alpha value of Input A.
10 | A XOR B. Display pixels of each set of input where the two images do not overlap. Pixels that overlap are scaled by their inverse alpha value.
19 | B. Display only Input B.
20 | B OVER A. Display Input B over Input A. All of Input B is visible, and Input A shows through translucent regions of Input B.
21 | B IN A. Display all parts of Input B that are contained in Input A. Only regions with nonzero alpha values for both images are visible, and no part of Input A shows through.
22 | B OUT A. Display all parts of Input B that are not contained in Input A. No part of Input A is displayed.
23 | B ATOP A. Display Input B over Input A, with each sample scaled by the alpha channel of Input A.
24 | B SUBTRACT A. Display Input B with the sample color values of Input A subtracted from the corresponding sample color values of Input B. The resulting color is scaled by the alpha values of Input B.
25 | B ADD A. Display Input B with the sample color values of Input A added to the corresponding sample color values of Input B. The resulting color value is scaled by the alpha value of Input B.

The property is read/write. The property has a default value of 0.

Applies To

Compositor


gradientSize Attribute | GradientSize

gradientSize Attribute | GradientSize Property

Sets or retrieves the percentage of the object that is covered by the gradient band.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.GradientWipe(
gradientSize = fGradientWidth ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.GradientWipe").GradientSize [ = fGradientWidth ]

Possible Values

fGradientWidth Floating-point that specifies or receives a value that can range from 0.0 to 1.0.
0.0 | the gradient band has no width as new content is revealed.
0.25 | Default. 25% of the object is covered by a gradient band.
1.0 | 100% of the object is covered by a gradient band.

The property is read/write. The property has a default value of 0.25.

Applies To

GradientWipe


GradientType

GradientType Property

Sets or retrieves the orientation of the gradient.

Syntax

HTML
N/A
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Gradient").GradientType [ = iOrientation ]

Possible Values

iOrientation Integer that specifies or receives one of the values listed in Possible Values.
1 | Default. Displays a horizontal gradient.
0 | Displays a vertical gradient.

The property is read/write. The property has a default value of 1.

Applies To

Gradient


grayScale Attribute | GrayScale

grayScale Attribute | GrayScale Property

Sets or retrieves the value that indicates whether content is displayed as the average of the RGB component values.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.BasicImage(
grayScale = bGray ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.BasicImage").GrayScale [ = bGray ]

Possible Values

bGray Boolean that specifies or receives one of the following values:
1 | Display content as the grayscale average of the RGB values.
0 | Default. Display content with normal RGB values.

The property is read/write. The property has a default value of 0.

Example

This sample sets the BasicImage filter to display the content of a DIV element in grayscale.

<!-- This DIV is the target container for an image.  -->
<DIV ID="oDiv" STYLE="position:absolute; left:270px;" >
An Image - >
<IMG SRC='../common/earglobe.gif' />
</DIV>
<BUTTON onclick="oDiv.style.filter=
'progid:DXImageTransform.Microsoft.BasicImage(grayScale=1)'">
Gray</BUTTON><BR/>
<BUTTON onclick="oDiv.style.filter=''">Clear Filter</BUTTON><BR/>

Applies To

BasicImage


gridSizeX Attribute | GridSizeX

gridSizeX Attribute | GridSizeX Property

Sets or retrieves the number of grid columns used for the filter. The value can range from 1 to 100.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.filter-name(
gridSizeX = iColumns ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.filter-name").GridSizeX [ = iColumns ]

Possible Values

iColumns Integer that specifies or receives the number of grid columns.
16 Default.

The property is read/write. The property has a default value of 16.

Remarks

The combination of the GridSizeX and GridSizeY property values divides the content of an object into a grid for the filter to use.

Applies To

Spiral, Zigzag

See Also

Transitions, Transition Design Considerations


gridSizeY Attribute | GridSizeY

gridSizeY Attribute | GridSizeY Property

Sets or retrieves the number of grid rows used for the filter. The value can range from 1 to 100.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.filter-name(
gridSizeY = iRows ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.filter-name").GridSizeY [ = iRows ]

Possible Values

iRows Integer that specifies or receives the number of grid rows.
16 Default.

The property is read/write. The property has a default value of 16.

Remarks

The combination of the GridSizeX and GridSizeY property values divides the content of an object into a grid for the filter to use.

Applies To

Spiral, Zigzag

See Also

Transitions, Transition Design Considerations


intent Attribute | Intent

intent Attribute | Intent Property

Sets or retreives the intended purpose for the color content of the object. The filter adjusts the color output to improve the display of content with the selected purpose.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.ICMFilter(
intent = sIntent ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.ICMFilter").Intent [ = sIntent ]

Possible Values

nIntent
sIntent Integer that specifies or receives one of the following values.
Picture | Default. Maintains the relationship between colors; used with images and photographs.
Graphic | Maintains a color's saturation rather than its hue or lightness; used with charts and business graphics.
Proof | Selects the closest supported color if the output gamut does not support a given color. The white point is not preserved.
Match | Selects the closest supported color if the output gamut does not support a given color. The white point is preserved.

The property is read/write. The property has a default value of Picture.

Remarks

To take best advantage of your monitor or printer's color processing capability, choose the Intent value that best matches your content.

Applies To

ICMFilter

See Also

Scripting Filters, Filter Design Considerations


Invert

Invert Property

Sets or retrieves the value that indicates whether the content is displayed as the complement of the RGB component values.

Syntax

HTML
N/A
Scripting
object.filters.item(
"DXImageTransform.Microsoft.BasicImage").Invert [ = bInvert ]

Possible Values

bInvert Boolean that specifies or receives one of the following values:
1 | Display content as the inverse of the RGB values.
0 | Default. Display content with normal RGB values.

The property is read/write. The property has a default value of 0.

Example

This sample sets the BasicImage filter to invert the RGB values of the content of a DIV element.

<!-- This DIV is the target container for an image.  -->
<DIV ID="oDiv" STYLE="position:absolute; left:270px;" >
An Image - >
<IMG SRC='../common/earglobe.gif' />
</DIV>
<BUTTON onclick="oDiv.style.filter=
'progid:DXImageTransform.Microsoft.BasicImage(invert=1)'">
Invert</BUTTON><BR/>
<BUTTON onclick="oDiv.style.filter=''">Clear Filter</BUTTON><BR/>

Applies To

BasicImage


irisStyle Attribute | IrisStyle

irisStyle Attribute | IrisStyle Property

Sets or retrieves the shape of the Iris filter aperture.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.Iris(
irisStyle = sShape ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Iris").IrisStyle [ = sShape ]

Possible Values

sShape String that specifies or receives one of the following values:
DIAMOND | Diamond-shaped aperture.
CIRCLE | Circular aperture.
CROSS | X-shaped aperture.
PLUS | Default. Plus sign-shaped aperture.
SQUARE | Square aperture.
STAR | Star-shaped aperture.

The property is read/write. The property has a default value of PLUS.

Applies To

Iris

See Also

Transitions, Transition Design Considerations


lightStrength Attribute | LightStrength

lightStrength Attribute | LightStrength Property

Sets or retrieves the difference in light intensity between the peaks and troughs of the waves created by the Wave filter.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.Wave(
lightStrength = iPercentage ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Wave").LightStrength [ = iPercentage ]

Possible Values

iPercentage Integer that specifies or receives the intensity of light as a percentage. The value can range from 0 (lowest intensity) to 100 (highest intensity).
100 Default.

The property is read/write. The property has a default value of 100.

Applies To

Wave


M11 Attribute | M11

M11 Attribute | M11 Property

Sets or retrieves the first row/first column matrix entry for linear transformations.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.Matrix(
M11 = fM11 ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Matrix").M11 [ = fM11 ]

Possible Values

fM11 Floating-point that specifies or receives the first row/first column matrix entry.
1.0 Default.

The property is read/write. The property has a default value of 1.0.

Remarks

Applies To

Matrix

See Also

M12, M21, M22, Scripting Filters, Filter Design Considerations


M12 Attribute | M12

M12 Attribute | M12 Property

Sets or retrieves the first row/second column matrix entry for linear transformations.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.Matrix(
M12 = fM12 ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Matrix").M12 [ = fM12 ]

Possible Values

fM12 Floating-point that specifies or receives the first row/second column matrix entry.
0.0 Default.

The property is read/write. The property has a default value of 0.0.

Remarks

Applies To

Matrix

See Also

M11, M21, M22, Scripting Filters, Filter Design Considerations


M21 Attribute | M21

M21 Attribute | M21 Property

Sets or retrieves the second row/first column matrix entry for linear transformations.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.Matrix(
M21 = fM21 ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Matrix").M21 [ = fM21 ]

Possible Values

fM21 Floating-point that specifies or receives the second row/first column matrix entry.
0.0 Default.

The property is read/write. The property has a default value of 0.0.

Remarks

Applies To

Matrix

See Also

M11, M12, M22, Scripting Filters, Filter Design Considerations


M22 Attribute | M22

M22 Attribute | M22 Property

Sets or retrieves the second row/second column matrix entry for linear transformations.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.Matrix(
M22 = fM22 ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Matrix").M22 [ = fM22 ]

Possible Values

fM22 Floating-point that specifies or receives the second row/second column matrix entry.
1.0 Default.

The property is read/write. The property has a default value of 1.0.

Remarks

Applies To

Matrix

See Also

M11, M12, M21, Scripting Filters, Filter Design Considerations


makeShadow Attribute | MakeShadow

makeShadow Attribute | MakeShadow Property

Sets or retrieves the value that indicates whether content is displayed as a shadow.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.Blur(
makeShadow = bShadow ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Blur").MakeShadow [ = bShadow ]

Possible Values

bShadow Boolean that specifies or receives Boolean. Returns one of the values in Possible Values.
true | Display content as a shadow.
false | Default. Display content with normal RGB values.

The property is read/write. The property has a default value of false.

Remarks

When the content is displayed as a shadow, its features are set to black, and then the blur filter is applied. Adjust the ShadowOpacity property to control the darkness of the shadow.

Example

This example places a shadow under the content of a DIV object. The DIV object is duplicated. The first DIV object displays the shadow, while the second is unfiltered.

    <DIV ID="oDiv" STYLE="position:absolute; left:70px; filter:
progid:DXImageTransform.Microsoft.blur(pixelradius=3.0, makeshadow='true', ShadowOpacity=1.0)" >
An image - >
<IMG SRC='../common/earglobe.gif' />
</DIV>
<DIV ID="oDiv" STYLE="position:absolute; left:70px; " >
An image - >
<IMG SRC='../common/earglobe.gif' />
</DIV>

Applies To

Blur

See Also

PixelRadius, Scripting Filters, Filter Design Considerations


Mask

Mask Property

Sets or retrieves whether transparent content of an object is changed to the MaskColor value.

Syntax

HTML
N/A
Scripting
object.filters.item(
"DXImageTransform.Microsoft.BasicImage").Mask [ = bMask ]

Possible Values

bMask Boolean that specifies or receives one of the following values.
1 | Transparent content is changed to the MaskColor value.
0 | Default. Display content with normal RGB values.

The property is read/write. The property has a default value of 0.

Example

This sample sets the BasicImage filter to mask the content of a DIV element.

<!-- This DIV is the target container for an image.  -->
<DIV ID="oDiv" STYLE="position:absolute; left:270px;filter:
progid:DXImageTransform.Microsoft.BasicImage(mask=1)" >
An Image - >
<IMG SRC='../common/earglobe.gif' />
</DIV>
<BUTTON onclick=" oDiv.filters.item(0).MaskColor = 0Xff0000">
Red Mask</BUTTON><BR/>
<BUTTON onclick=" oDiv.filters.item(0).MaskColor = 0X00ff00">
Green Mask</BUTTON><BR/>
<BUTTON onclick=" oDiv.filters.item(0).MaskColor = 0X0000ff">
Blue Mask</BUTTON><BR/>

Applies To

BasicImage


MaskColor

MaskColor Property

Sets or retrieves the color used to mask transparent content of an object.

Syntax

HTML
N/A
Scripting
object.filters.item(
"DXImageTransform.Microsoft.BasicImage").MaskColor [ = iColor ]

Possible Values

iColor Integer that specifies or receives one of the following values:
0x00000000 - 0xFFFFFFFF | 32-bit ARGB format color values.
0x00000000 | Default. Opaque black.

The property is read/write. The property has a default value of 0x00000000.

Example

This sample sets the BasicImage filter to mask the content of a DIV element.

<!-- This DIV is the target container for an image.  -->
<DIV ID="oDiv" STYLE="position:absolute; left:270px;filter:
progid:DXImageTransform.Microsoft.BasicImage(mask=1)" >
An Image - >
<IMG SRC='../common/earglobe.gif' />
</DIV>
<BUTTON onclick=" oDiv.filters.item(0).MaskColor = 0Xff0000">
Red Mask</BUTTON><BR/>
<BUTTON onclick=" oDiv.filters.item(0).MaskColor = 0X00ff00">
Green Mask</BUTTON><BR/>
<BUTTON onclick=" oDiv.filters.item(0).MaskColor = 0X0000ff">
Blue Mask</BUTTON><BR/>

Applies To

BasicImage


maxSquare Attribute | MaxSquare

maxSquare Attribute | MaxSquare Property

Sets or retrieves the maximum width in pixels of a pixelated square.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.Pixelate(
maxSquare = iWidth ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Pixelate").MaxSquare [ = iWidth ]

Possible Values

iWidth Integer that specifies or receives a width that can range from 2 to 50 pixels.
50 Default.

The property is read/write. The property has a default value of 50.

Applies To

Pixelate


mirror Attribute | Mirror

mirror Attribute | Mirror Property

Sets or retrieves the value that indicates whether the content display is reversed.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.BasicImage(
mirror = bMirror ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.BasicImage").Mirror [ = bMirror ]

Possible Values

bMirror Boolean that specifies or receives one of the following values:
1 | Reverse the content.
0 | Default. Display the content normally.

The property is read/write. The property has a default value of 0.

Example

This sample sets the BasicImage filter to vertically mirror the content of a DIV element.

<!-- This DIV is the target container for an image.  -->
<DIV ID="oDiv" STYLE="position:absolute; left:270px;" >
An Image - >
<IMG SRC='../common/earglobe.gif' />
</DIV>
<BUTTON onclick="oDiv.style.filter=
'progid:DXImageTransform.Microsoft.BasicImage(mirror=1)'">
Rotate 270 degrees</BUTTON><BR/>
<BUTTON onclick="oDiv.style.filter=''">Clear Filter</BUTTON><BR/>

Applies To

BasicImage


motion Attribute | Motion

motion Attribute | Motion Property

Sets or retrieves a value that indicates whether content is revealed as defined by the WipeStyle property setting, or in the opposite direction.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.GradientWipe(
motion = sMotion ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.GradientWipe").Motion [ = sMotion ]

Possible Values

sMotion String that specifies or receives the following values:
forward | Default. New content is revealed in the direction set by the WipeStyle property.
reverse | New content is revealed in the opposite direction than that set by the WipeStyle property.

The property is read/write. The property has a default value of forward.

Applies To

GradientWipe


motion Attribute | Motion

motion Attribute | Motion Property

Sets or retrieves the corner from which new content is revealed during a Strips transition.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.Strips(
motion = sMotion ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Strips").Motion [ = sMotion ]

Possible Values

sMotion String that specifies or receives the following values:
leftdown | Default. New content is revealed from the upper left corner to the lower right.
leftup | New content is revealed from the lower left corner to the upper right.
rightdown | New content is revealed from the upper right corner to the lower left.
rightup | New content is revealed from the lower right corner to the upper left.

The property is read/write. The property has a default value of leftdown.

Applies To

Strips


motion Attribute | Motion

motion Attribute | Motion Property

Sets or retrieves the value that indicates whether new content is revealed from the outside or the inside first.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.filter-name(
motion = sMotion ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.filter-name").Motion [ = sMotion ]

Possible Values

sMotion String that specifies or receives the following values:
out | Default. The transition moves from the center of the object toward the borders of the object.
in | The transition moves from the borders of the object toward the center.

The property is read/write. The property has a default value of out.

Applies To

Barn, Iris

See Also

Transitions, Transition Design Considerations


offX Attribute | OffX

offX Attribute | OffX Property

Sets or retrieves the value that the drop shadow is offset from the object along the x-axis.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.DropShadow(
offX = iOffsetX ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.DropShadow").OffX [ = iOffsetX ]

Possible Values

iOffsetX Integer that specifies or receives the offset value, in pixels. Positive values move the drop shadow to the right, and negative values move it to the left.
5 Default.

The property is read/write. The property has a default value of 5.

Applies To

DropShadow

See Also

OffY


offY Attribute | OffY

offY Attribute | OffY Property

Sets or retrieves the value that the drop shadow is offset from the object along the y-axis.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.DropShadow(
offY = iOffsetY ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.DropShadow").OffY [ = iOffsetY ]

Possible Values

iOffsetY Integer that specifies or receives the offset value, in pixels. Positive values move the shadow down, and negative values move it up.
5 Default.

The property is read/write. The property has a default value of 5.

Applies To

DropShadow

See Also

OffX


opacity Attribute | Opacity

opacity Attribute | Opacity Property

Sets or retrieves the opacity level at the beginning of the gradient applied with the Alpha filter.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.Alpha(
opacity = iOpacity ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Alpha").Opacity [ = iOpacity ]

Possible Values

iOpacity Integer that specifies or receives the opacity level. The value can range from 0 (fully transparent) to 100 (fully opaque).
0 | Default. Transparent.
100 | Opaque.

The property is read/write. The property has a default value of 0.

Applies To

Alpha


opacity Attribute | Opacity

opacity Attribute | Opacity Property

Sets or retrieves the opacity level that is applied to the content of an object.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.BasicImage(
opacity = fOpacity ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.BasicImage").Opacity [ = fOpacity ]

Possible Values

fOpacity Floating-point that specifies or receives the opacity level. The value can range from 0.0 to 1.0.
0.0 | Transparent.
1.0 | Default. Opaque.

The property is read/write. The property has a default value of 1.0.

Example

This sample exposes an image's background text using the Opacity property of the BasicImage filter.

<!-- This DIV is the target container for an image.  -->
<DIV ID="oDiv" STYLE="position:absolute; left:270px;" >
An Image - >
<IMG SRC='../common/earglobe.gif' />
</DIV>
<BUTTON onclick="oDiv.style.filter=
'progid:DXImageTransform.Microsoft.BasicImage(opacity=.2)'">
Opaque</BUTTON><BR/>
<BUTTON onclick="oDiv.style.filter=''">Clear Filter</BUTTON>
Click the Opaque button, and the text can be seen through the opaque DIV element.

Applies To

BasicImage


orientation Attribute | Orientation

orientation Attribute | Orientation Property

Sets or retrieves the value that indicates whether the filter effect is horizontal or vertical.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.filter-name(
orientation = sOrientation ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.filter-name").Orientation [ = sOrientation ]

Possible Values

sOrientation String that specifies or receives the following values:
horizontal | Transition lines are horizontal.
vertical | Transition lines are vertical.

The property is read/write. The property has no default value for all objects with the following exceptions:
Barn | vertical
RandomBars | horizontal

Applies To

Barn, RandomBars

See Also

Transitions, Transition Design Considerations


overlap Attribute | Overlap

overlap Attribute | Overlap Property

Sets or retrieves the fraction of the transition's duration that both original and new content are displayed.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.Fade(
overlap = fOverlap ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Fade").Overlap [ = fOverlap ]

Possible Values

fOverlap Floating-point that specifies or receives a value that can range from 0.0 to 1.0.
1.0 Default.

The property is read/write. The property has a default value of 1.0.

Remarks

If the Overlap property is set to 0.4 with a 10 second Duration, then the transition shows the following behavior.

  • For the first three seconds, the original content begins to fade out.
  • During the next four seconds, the original content fades out completely, and the new content begins to fade in. This is the overlap.
  • In the last three seconds, the new content finishes fading in.

Applies To

Fade


Percent

Percent Property

Sets or retrieves the point in a transition at which to capture the display for a static filter output.

Syntax

HTML
N/A
Scripting
object.filters.item(
"DXImageTransform.Microsoft.filter-name").Percent [ = iPercent ]

Possible Values

iPercent String that specifies or receives the progress of the transition, which can range from 0 to 100 percent complete.
0 | Default. Transition has not started.
100 | Transition is complete.

The property is read/write. The property has a default value of 0.

Remarks

The Percent property uses a transition to create a static filter. The value iPercent defines the point at which to stop the transition. To create the a static filter with a transition, follow these steps:

  1. Use the transition's apply method. This captures the initial content of the object, and sets the Percent property to zero.
  2. Change the object's content. You can change properties of the object: visibility, innerText, backgroundColor, border, or the properties of its child elements.
  3. Set the transition's Percent property. Choose the percent you want the transition to progress and assign that value to iPercent . This captures an image of the content in midtransition.
  4. Set the Enabled property of the transition to true. The content of the object updates to the captured image.

Note You must use the visibility property to change child elements; otherwise, changes to child element properties are immediate, and not captured by the transition.

Example

This example uses the CheckerBoard transition to create a DIV object with a checkerboard appearance.

<SCRIPT>
function fnSetChecker() {
oDiv.filters[0].Apply();
// After setting Apply, changes to the oDiv object
//  are not displayed until Play is called.
oDiv.style.backgroundColor="blue";
oDiv.filters[0].percent=50;
oDiv.filters[0].enabled=true;
}
</SCRIPT>
<BUTTON onclick="fnSetChecker(); onclick=''">Get Checked Display</BUTTON><BR/><BR/>
<DIV ID="oDiv" STYLE="height:250px; width:250px; background-color: gold;
filter:progid:DXImageTransform.Microsoft.checkerboard(
,duration=5, transition=7);">
</DIV>

Applies To

BlendTrans, RevealTrans, Barn, Blinds, Fade, GradientWipe, Inset, Iris, Pixelate, RadialWipe, RandomBars, RandomDissolve, Slide, Spiral, Stretch, Strips, Wheel, Zigzag

See Also

play, Duration, stop


phase Attribute | Phase

phase Attribute | Phase Property

Sets or retrieves the phase offset at which the sine wave starts.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.Wave(
phase = iPercentage ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Wave").Phase [ = iPercentage ]

Possible Values

iPercentage Integer that specifies or receives the offset a sine wave is started from as a percentage of one wave cycle. The value can range from 0 to 100.
0 Default. No offset

The property is read/write. The property has a default value of 0.

Remarks

You can start the sine wave effect of the Wave filer at 90 degrees using an iPercentage value of 25. An iPercentage value of 100 is the equivalent of 360 degrees.

Applies To

Wave


pixelRadius Attribute | PixelRadius

pixelRadius Attribute | PixelRadius Property

Sets or retrieves the radius of the area of opaque content around a pixel that is affected by the Blur filter.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.Blur(
pixelRadius = flRadius ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Blur").PixelRadius [ = flRadius ]

Possible Values

flRadius Floating-point that specifies or receives the following possible values.
1.0 - 100.0 | Radius, in pixels, of the area affected by blurring.
2.0 | Default.

The property is read/write. The property has a default value of 2.0.

Remarks

When the PixelRadius is set to a value between 0.0 to 1.0 pixels, the filter is ignored. When it is set to a value above 100 pixels, the property the property defaults to 2.0 pixels.

Example

This example places a shadow under the content of a DIV object. The DIV object is duplicated. The first DIV object displays the shadow, while the second is unfiltered.

    <DIV ID="oDiv" STYLE="position:absolute; left:70px; filter:
progid:DXImageTransform.Microsoft.blur(pixelradius=3.0, makeshadow='true', ShadowOpacity=1.0)" >
An image - >
<IMG SRC='../common/earglobe.gif' />
</DIV>
<DIV ID="oDiv" STYLE="position:absolute; left:70px; " >
An image - >
<IMG SRC='../common/earglobe.gif' />
</DIV>

Applies To

Blur

See Also

ShadowOpacity, MakeShadow, Scripting Filters, Filter Design Considerations


positive Attribute | Positive

positive Attribute | Positive Property

Sets or retrieves the value that indicates whether the filter creates a drop shadow from the nontransparent pixels of the object.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.DropShadow(
positive = bPositive ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.DropShadow").Positive [ = bPositive ]

Possible Values

bPositive Boolean that specifies or receives of the following values:
true | Default. Drop shadow is created from the nontransparent pixels of the object.
false | Drop shadow is created from the transparent pixels of the object.

The property is read/write. The property has a default value of true.

Remarks

If you have a transparent object but want to create the usual drop shadow effect, set the Positive property to true. This causes the transparent object to have a drop shadow outside the transparent region, rather than a drop shadow inside the transparent region.

Applies To

DropShadow


Rotation

Rotation Property

Sets or retrieves the value that indicates whether the content is rotated in ninety-degree increments.

Syntax

HTML
N/A
Scripting
object.filters.item(
"DXImageTransform.Microsoft.BasicImage").Rotation [ = iRotation ]

Possible Values

iRotation Integer that specifies or receives one of the following values:
0 | Default. Content is not rotated.
1 | Content is rotated 90 degrees.
2 | Content is rotated 180 degrees.
3 | Content is rotated 270 degrees.

The property is read/write. The property has a default value of 0.

Example

This sample sets the BasicImage filter to rotate the content of a DIV element 270 degrees.

<!-- This DIV is the target container for an image.  -->
<DIV ID="oDiv" STYLE="position:absolute; left:270px;" >
An Image - >
<IMG SRC='../common/earglobe.gif' />
</DIV>
<BUTTON onclick="oDiv.style.filter=
'progid:DXImageTransform.Microsoft.BasicImage(rotation=3)'">
Rotate 270 degrees</BUTTON><BR/>
<BUTTON onclick="oDiv.style.filter=''">Clear Filter</BUTTON><BR/>

Applies To

BasicImage


shadowOpacity Attribute | ShadowOpacity

shadowOpacity Attribute | ShadowOpacity Property

Sets or retrieves the opacity level of a shadow created by the Blur filter.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.Blur(
shadowOpacity = fOpacity ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Blur").ShadowOpacity [ = fOpacity ]

Possible Values

fOpacity Floating-point that specifies or receives the opacity level. The value can range from 0.0 (fully transparent) to 1.0 (fully opaque).
0.0 | Transparent.
0.75 | Default.
1.0 | Opaque.

The property is read/write. The property has a default value of 0.75.

Remarks

This property only applies if the MakeShadow property is set to true.

When set to greater than 1.0 or less than 0.0, this property defaults to 0.75.

Example

This example places a shadow under the content of a DIV object. The DIV object is duplicated. The first DIV object displays the shadow, while the second is unfiltered.

    <DIV ID="oDiv" STYLE="position:absolute; left:70px; filter:
progid:DXImageTransform.Microsoft.blur(pixelradius=3.0, makeshadow='true', ShadowOpacity=1.0)" >
An image - >
<IMG SRC='../common/earglobe.gif' />
</DIV>
<DIV ID="oDiv" STYLE="position:absolute; left:70px; " >
An image - >
<IMG SRC='../common/earglobe.gif' />
</DIV>

Applies To

Blur

See Also

PixelRadius, Scripting Filters, Filter Design Considerations


sizingMethod Attribute | sizingMethod

sizingMethod Attribute | sizingMethod Property

Sets or retrieves the manner in which to display an image within the boundary of the object that the AlphaImageLoader filter is applied to.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(
sizingMethod = sSize ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.AlphaImageLoader").sizingMethod [ = sSize ]

Possible Values

sSize String that specifies or receives one of the following values.
crop | Clips the image to fit the dimensions of the object.
image | Default. Enlarges or reduces the border of the object to fit the dimensions of the image.
scale | Stretches or shrinks the image to fill the borders of the object.

The property is read/write. The property has a default value of image.

Example

This example shows how to use the AlphaImageLoader filter to load an image that is stretched to fill a DIV object's fixed dimensions.

<!-- This DIV is the target container for the filter.  -->
<DIV ID="oDiv" STYLE="position:relative;  width:200px; height:20px;
filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(
src='../common/earglobe.gif', sizingMethod='scale');" >
The World
</DIV>

Applies To

AlphaImageLoader

See Also

src


SizingMethod Attribute | SizingMethod

SizingMethod Attribute | SizingMethod Property

Sets or retrieves a value that indicates whether the container is resized to fit the resulting image.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.Matrix(
SizingMethod = sMethod ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Matrix").SizingMethod [ = sMethod ]

Possible Values

sMethod String that specifies or receives one of the following values.
clip to original | Default. Container is not resized.
auto expand | Container is resized to fit the resulting image.

The property is read/write. The property has a default value of clip to original.

Remarks

Applies To

Matrix

See Also

Scripting Filters, Filter Design Considerations


slideStyle Attribute | SlideStyle

slideStyle Attribute | SlideStyle Property

Sets or retrieves the method used to reveal the new content.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.Slide(
slideStyle = sStyle ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Slide").SlideStyle [ = sStyle ]

Possible Values

sStyle String that specifies or receives one of the following values:
HIDE | Default. Slides bands of original content out, exposing new content.
PUSH | Slides bands of new content in, pushing original content out.
SWAP | Alternating bands expose new content, or push original content out, at the same time.

The property is read/write. The property has a default value of HIDE.

Example

This example uses the backgroundColor property to change the display before the transition is played.

<SCRIPT>
var bToggle = 0;
function fnToggle() {
oDiv.filters[0].Apply();
// After setting Apply, changes to the oDiv object
//  are not displayed until Play is called.
if (bToggle) {
bToggle = 0;
oDiv.style.backgroundColor="gold";
oDiv.innerHTML="TEXT<BR/>TEXT<BR/>TEXT<BR/>TEXT<BR/>"; }
else {
bToggle = 1;
oDiv.style.backgroundColor="green";
oDiv.innerHTML="text<BR/>text<BR/>text<BR/>text<BR/>"; }
oDiv.filters[0].Play();
}
</SCRIPT>
<BUTTON onclick="fnToggle()">Toggle Transition</BUTTON><BR/><BR/>
<FONT SIZE="+4" >
<!-- This DIV is the target of the transition. -->
<DIV ID="oDiv" STYLE="height:250px; width:250px; background-color: gold;
filter:progid:DXImageTransform.Microsoft.Slide(
duration=3, bands='8', slideStyle='PUSH');">
TEXT<BR/>TEXT<BR/>TEXT<BR/>TEXT<BR/>
</DIV>
<SPAN ID="oSpan"><SPAN>
</FONT>

Applies To

Slide

See Also

Transitions, Transition Design Considerations


spokes Attribute | spokes

spokes Attribute | spokes Property

Sets or retrieves the number of wedges that the content is divided into during the transition.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.Wheel(
spokes = iSpokes ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Wheel").spokes [ = iSpokes ]

Possible Values

iSpokes Integer that specifies or receives one of the following possible values:
2 - 20 | Number of moving spokes that divide the content into wedges.
4 | Default.

The property is read/write. The property has a default value of 4.

Applies To

Wheel

See Also

Transitions, Transition Design Considerations


squaresX Attribute | SquaresX

squaresX Attribute | SquaresX Property

Sets or retrieves the number of columns for the CheckerBoard transition.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.CheckerBoard(
squaresX = iColumns ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.CheckerBoard").SquaresX [ = iColumns ]

Possible Values

iColumns Integer that specifies or receives any positive value greater than or equal to 2.
12 Default.

The property is read/write. The property has a default value of 12.

Remarks

Any value less than 2 causes the property to default to 12.

Example

This example uses the backgroundColor property to change the display before each transition is played.

<SCRIPT>
var bToggle = 0;
function fnToggle() {
oDiv.filters[0].Apply();
// After setting Apply, changes to the oDiv object
//  are not displayed until Play is called.
if (bToggle) {
bToggle = 0;
oDiv.style.backgroundColor="gold";}
else {
bToggle = 1;
oDiv.style.backgroundColor="blue";}
oDiv.filters[0].Play();
}
</SCRIPT>
<BUTTON onclick="fnToggle()">Toggle Transition</BUTTON><BR/><BR/>
<DIV ID="oDiv" STYLE="height:250px; width:250px; background-color: gold;
filter:progid:DXImageTransform.Microsoft.CheckerBoard(
duration=5, direction='left', squaresX=4);">
</DIV>

Applies To

CheckerBoard


squaresY Attribute | SquaresY

squaresY Attribute | SquaresY Property

Sets or retrieves the number of rows for the CheckerBoard transition.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.CheckerBoard(
squaresY = iRows ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.CheckerBoard").SquaresY [ = iRows ]

Possible Values

iRows Integer that specifies or receives any positive value greater than or equal to 2.
10 Default.

The property is read/write. The property has a default value of 10.

Remarks

Any value less than 2 causes the property to default to 10.

Example

This example uses the backgroundColor property to change the display before each transition is played.

<SCRIPT>
var bToggle = 0;
function fnToggle() {
oDiv.filters[0].Apply();
// After setting Apply, changes to the oDiv object
//  are not displayed until Play is called.
if (bToggle) {
bToggle = 0;
oDiv.style.backgroundColor="gold";}
else {
bToggle = 1;
oDiv.style.backgroundColor="blue";}
oDiv.filters[0].Play();
}
</SCRIPT>
<BUTTON onclick="fnToggle()">Toggle Transition</BUTTON><BR/><BR/>
<DIV ID="oDiv" STYLE="height:250px; width:250px; background-color: gold;
filter:progid:DXImageTransform.Microsoft.CheckerBoard(
duration=5, direction='left', squaresY=4);">
</DIV>

Applies To

CheckerBoard


src Attribute | src

src Attribute | src Property

Sets or retrieves the URL of an image that the AlphaImageLoader filter loads.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(
src = sURL ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.AlphaImageLoader").src [ = sURL ]

Possible Values

sURL String that specifies or receives the URL to load.

The property is read/write. The property has no default value.

Remarks

The loaded image becomes the display boundary for the object. You can resize or clip the image by setting the sizingMethod property of the filter.

The AlphaImageLoader filter will be ignored if no src value is set.

Example

This example loads an image from the URL into a DIV element.

<!-- This DIV is the target container for the filter.  -->
<DIV ID="oDiv" STYLE="position:relative;  width:200px; color:gold;
filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(
src='../common/earglobe.gif');" >
The World
</DIV>

Applies To

AlphaImageLoader


StartColor

StartColor Property

Sets or retrieves the initial opaque color for a gradient surface.

Syntax

HTML
N/A
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Gradient").StartColor [ = sColor ]

Possible Values

sColor Integer that specifies or receives the color value that can range from 0 (transparent) to 4294967295 (opaque white).

The property is read/write. The property has no default value.

Remarks

When you set the EndColor property value in script, it can be expressed in hexadecimal 0xAARRGGBB format.

  • AA is the alpha value from 00 to FF
  • RR is the red hexadecimal value from 00 to FF
  • GG is the green hexadecimal value from 00 to FF
  • BB is the blue hexadecimal value from 00 to FF
The integer conversion of the hexidecimal value is also valid.

Note HTML declaration of the EndColor property only permits an integer value.

Applies To

Gradient


startColorStr Attribute | StartColorStr

startColorStr Attribute | StartColorStr Property

Sets or retrieves the initial color for a gradient surface.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.Gradient(
startColorStr = iWidth ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Gradient").StartColorStr [ = iWidth ]

Possible Values

iWidth String that specifies or receives a value that can range from #FF000000 to #FFFFFFFF.
#FF0000FF Default. Blue.

The property is read/write. The property has a default value of #FF0000FF.

Remarks

Color is expressed in #AARRGGBB format, where AA is the alpha hexadecimal value, RR is the red hexadecimal value, GG is the green hexadecimal value, and BB is the blue hexadecimal value. The alpha value controls the opacity of the object. An alpha value of 00 is transparent, while a value of FF is opaque.

String input that is outside the hexidecimal range will revert to the default value.

Applies To

Gradient


startX Attribute | StartX

startX Attribute | StartX Property

Sets or retrieves the horizontal position at which the opacity gradient starts.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.Alpha(
startX = iPercent ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Alpha").StartX [ = iPercent ]

Possible Values

iPercent Integer that specifies or receives the horizontal position as a percentage of the width of the object.
0 Default.

The property is read/write. The property has a default value of 0.

Remarks

This property applies only to objects that have a linear opacity gradient specified—that is, the Style property is set to 1.

Applies To

Alpha

See Also

StartY


startY Attribute | StartY

startY Attribute | StartY Property

Sets or retrieves the vertical position at which the opacity gradient starts.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.Alpha(
startY = iPercent ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Alpha").StartY [ = iPercent ]

Possible Values

iPercent Integer that specifies or receives the vertical position as a percentage of the height of the object.
0 Default.

The property is read/write. The property has a default value of 0.

Remarks

This property applies only to objects that have a linear opacity gradient specified—that is, the Style property is set to 1.

Applies To

Alpha

See Also

StartX


status

status Property

Retrieves the state of the transition.

Syntax

HTML
N/A
Scripting
[ iStatus = ] object.filters.item(
"DXImageTransform.Microsoft.filter-name").status

Possible Values

iStatus Integer that specifies one of the following values.
0 | Transition has stopped.
1 | Transition has been applied.
2 | Transition is playing.

The property is read-only. The property has no default value.

Applies To

BlendTrans, RevealTrans, Barn, Blinds, Fade, GradientWipe, Inset, Iris, Pixelate, RadialWipe, RandomBars, RandomDissolve, Slide, Spiral, Stretch, Strips, Wheel, Zigzag

See Also

play, Duration, stop


strength Attribute | Strength

strength Attribute | Strength Property

Sets or retrieves the distance, in pixels, that a filter effect extends.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.filter-name(
strength = iDistance ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.filter-name").Strength [ = iDistance ]

Possible Values

iDistance Integer that specifies or receives the distance, in pixels, that an effect extends.
5 Default.

The property is read/write. The property has a default value of 5 for all objects with the following exceptions:
Wave | 1
Shadow | 1

Remarks

The following table defines the limitations on the range of iDistance depending on the filter used.
Filter | Allowable Range
MotionBlur | zero or greater
Glow | one to 255
Shadow | one to 255
Wave | one or greater

Example

This example sets the Strength and Direction properties of the MotionBlur filter to an initial strength of 1. When the page loads, the Strength and Direction properties cause the onfilterchange event to fire repeatedly until the strength reaches 200.

<SCRIPT>
function HandleChange()
{
with (window.event.srcElement.filters[0])
{
if (strength < 200)
{
strength += 1;
direction += 45;
}
}
}</SCRIPT>
<IMG ID="img1" SRC="solarsys.gif" onfilterchange="HandleChange()"
STYLE="filter:progid:DXImageTransform.Microsoft.motionBlur(STRENGTH=1, DIRECTION=0)" />
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

MotionBlur, Glow, Wave, Shadow


stretchStyle Attribute | StretchStyle

stretchStyle Attribute | StretchStyle Property

Sets or retrieves the method used to reveal the new content.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.Stretch(
stretchStyle = sStyle ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Stretch").StretchStyle [ = sStyle ]

Possible Values

sStyle String that specifies or receives one of the following possible values:
HIDE | Stretches new content over original content from left to right.
PUSH | Stretches new content in and squeezes original content out, moving from left to right. This motion resembles a cube rotating from one face to another.
SPIN | Default. Stretches new content over original content from the center outward.

The property is read/write. The property has a default value of SPIN.

Example

This example uses the backgroundColor property to change the display before the transition is played.

<SCRIPT>
var bToggle = 0;
function fnToggle() {
oDiv.filters[0].Apply();
// After setting Apply, changes to the oDiv object
//  are not displayed until Play is called.
if (bToggle) {
bToggle = 0;
oDiv.style.backgroundColor="gold";
oDiv.innerHTML="TEXT<BR/>TEXT<BR/>TEXT<BR/>TEXT<BR/>"; }
else {
bToggle = 1;
oDiv.style.backgroundColor="green";
oDiv.innerHTML="text<BR/>text<BR/>text<BR/>text<BR/>"; }
oDiv.filters[0].Play();
}
</SCRIPT>
<BUTTON onclick="fnToggle()">Toggle Transition</BUTTON><BR/><BR/>
<FONT SIZE="+4" >
<!-- This DIV is the target of the transition. -->
<DIV ID="oDiv" STYLE="height:250px; width:250px; background-color: gold;
filter:progid:DXImageTransform.Microsoft.Stretch(
duration=2,  stretchStyle='PUSH');">
TEXT<BR/>TEXT<BR/>TEXT<BR/>TEXT<BR/>
</DIV>
<SPAN ID="oSpan"><SPAN>
</FONT>

Applies To

Stretch

See Also

Transitions, Transition Design Considerations


style Attribute | Style

style Attribute | Style Property

Sets or retrieves the shape characteristics of the opacity gradient.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.Alpha(
style = iStyle ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.Alpha").Style [ = iStyle ]

Possible Values

iStyle Integer that specifies or receives one of the following values:
0 | Default. Uniform opacity gradient.
1 | Linear opacity gradient.
2 | Radial opacity gradient.
3 | Rectangular opacity gradient.

The property is read/write. The property has a default value of 0.

Remarks

The listing below provides more information on how the alpha filter properties support each style of filtered output.

  • Uniform—Applies the Opacity value evenly across the object.
  • Linear—Applies an even opacity gradient, beginning with the Opacity value on a line from StartX to StartY and ending with the FinishOpacity value ending on a line from FinishX to FinishY.
  • Radial—Applies an even opacity gradient, beginning in the center with the Opacity value and ending at the middle of the sides of the object with the FinishOpacity value. The corners of the object are not affected by the opacity gradient.
  • Rectangular—Applies an even opacity gradient, beginning at the sides of the object with the Opacity value and ending at the center of the object with the FinishOpacity value.

Applies To

Alpha


transition Attribute | Transition

transition Attribute | Transition Property

Sets or retrieves the type of transition.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.RevealTrans(
transition = iTransitionType ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.RevealTrans").Transition [ = iTransitionType ]

Possible Values

iTransitionType Integer that specifies or receives one of the following values:
0 | Box in.
1 | Box out.
2 | Circle in.
3 | Circle out.
4 | Wipe up.
5 | Wipe down.
6 | Wipe right.
7 | Wipe left.
8 | Vertical blinds.
9 | Horizontal blinds.
10 | Checkerboard across.
11 | Checkerboard down.
12 | Random dissolve.
13 | Split vertical in.
14 | Split vertical out.
15 | Split horizontal in.
16 | Split horizontal out.
17 | Strips left down.
18 | Strips left up.
19 | Strips right down.
20 | Strips right up.
21 | Random bars horizontal.
22 | Random bars vertical.
23 | Random transition from above possible values.

The property is read/write. The property has no default value.

Remarks

Transitions appear properly only on systems that have the color palette set to display 256 colors or more.

Example

This example uses the Transition property to specify "circle in" and "circle out" transitions for the RevealTrans transition.

<SCRIPT>
function go() {
C1.filters[0].Apply();
if (C1.style.visibility == "visible") {
C1.style.visibility = "hidden";
C1.filters.revealTrans.transition=2;
}
else {
C1.style.visibility = "visible";
C1.filters[0].transition=3;
}
C1.filters[0].Play();
}
</SCRIPT>
<INPUT TYPE="button" VALUE="Play Transition" onClick="go();"></INPUT>
<SPAN ID="C1" STYLE="position:absolute; visibility:visible;
filter:revealTrans(DURATION=2, TRANSITION=3);
width:300; height:300; background-color: lightgreen">
<CENTER>
<DIV STYLE="background-color=red;height=100;width:100;
position:relative;top:100"></DIV>
</CENTER>
</SPAN>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

RevealTrans

See Also

apply, play, Duration, stop


WipeStyle

WipeStyle Property

Sets or retrieves a value that indicates whether the gradient band moves vertically or horizontally.

Syntax

HTML
N/A
Scripting
object.filters.item(
"DXImageTransform.Microsoft.GradientWipe").WipeStyle [ = iStyle ]

Possible Values

iStyle String that specifies or receives one of the values listed in Possible Values.
0 | Default. Transition passes horizontally from left to right.
1 | Transition passes vertically from top to bottom.

The property is read/write. The property has a default value of 0.

Applies To

GradientWipe


wipeStyle Attribute | WipeStyle

wipeStyle Attribute | WipeStyle Property

Sets or retrieves the method used to reveal the new content.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.RadialWipe(
wipeStyle = sStyle ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.RadialWipe").WipeStyle [ = sStyle ]

Possible Values

sStyle String that specifies or receives one of the following possible values.
CLOCK | Default. Sweeps around the center, clockwise from the top.
WEDGE | Sweeps around the center in both directions from the top.
RADIAL | Sweeps from the top to the left side, with one end of the sweep anchored on the upper left corner.

The property is read/write. The property has a default value of CLOCK.

Example

This example uses the backgroundColor property to change the display before the transition is played.

<SCRIPT>
var bToggle = 0;
function fnToggle() {
oDiv.filters[0].Apply();
// After setting Apply, changes to the oDiv object
//  are not displayed until Play is called.
if (bToggle) {
bToggle = 0;
oDiv.style.backgroundColor="gold";  }
else {
bToggle = 1;
oDiv.style.backgroundColor="green"; }
oDiv.filters[0].Play();
}
</SCRIPT>
<BUTTON onclick="fnToggle()">Toggle Transition</BUTTON><BR/><BR/>
<FONT SIZE="+4" >
<!-- This DIV is the target of the transition. -->
<DIV ID="oDiv" STYLE="height:250px; width:250px; background-color: gold;
filter:progid:DXImageTransform.Microsoft.RadialWipe(
duration=2, wipeStyle='WEDGE');">
TEXT<BR/>TEXT<BR/>TEXT<BR/>TEXT<BR/>
</DIV>
<SPAN ID="oSpan"><SPAN>
</FONT>

Applies To

RadialWipe

See Also

Transitions, Transition Design Considerations


XRay Attribute | XRay

XRay Attribute | XRay Property

Sets or retrieves the value that indicates whether the content is displayed as a grayscale defined by the complement of the average red and green component values.

Syntax

HTML
{ filter:progid:DXImageTransform.Microsoft.BasicImage(
XRay = bXRay ... ) ... }
Scripting
object.filters.item(
"DXImageTransform.Microsoft.BasicImage").XRay [ = bXRay ]

Possible Values

bXRay Boolean that specifies or receives one of the possible values.
1 | Display content in grayscale, using the complement of the average red and green component values.
0 | Default. Display content with normal RGB values.

The property is read/write. The property has a default value of 0.

Example

This sample sets the BasicImage filter to display a the content of a DIV element in grayscale, using the complement of the average red and green component values.

<!-- This DIV is the target container for an image.  -->
<DIV ID="oDiv" STYLE="position:absolute; left:270px; color:tan;" >
An Image - >
<IMG SRC='../common/earglobe.gif' />
</DIV>
<BUTTON onclick=" oDiv.style.filter=
'progid:DXImageTransform.Microsoft.BasicImage(XRay=1)'">
Show XRay</BUTTON><BR/>
<BUTTON onclick="oDiv.style.filter=''">Clear Filter</BUTTON><BR/>

Applies To

BasicImage


HTC

HTC Reference

Introduced in Microsoft® Internet Explorer 5, HTML Components (HTCs) provide a mechanism to implement components in script as Dynamic HTML (DHTML) behaviors. Saved with an .htc extension, an HTC is an HTML file that contains script and a set of HTC-specific elements that define the component. This section contains a table that lists these elements and the members they support.

Objects

document

Represents the HTML document in a given browser window.

element

Returns a reference to the tag in the primary document to which the behavior is attached.

PUBLIC:ATTACH

Binds a function to an event, so that the function is called whenever the event fires on the specified object.

PUBLIC:COMPONENT

Identifies the content of the file as HTC.

PUBLIC:DEFAULTS

Sets default properties for an HTC.

PUBLIC:EVENT

Defines an event of the HTC to be exposed to the containing document.

PUBLIC:METHOD

Defines a method of the HTC to be exposed to the containing document.

PUBLIC:PROPERTY

Defines a property of the HTC to be exposed to the containing document.

Methods

createEventObject

Creates an event object that can be used when passing event context information to the PUBLIC:EVENT element's fire method.

Events

oncontentready

Fires when the content of the element, to which the behavior is attached, has been completely parsed.

oncontentsave

Fires just before the content of an element that is attached to an element behavior is saved or copied.

ondetach

Fires before a behavior is detached from an element.

ondocumentready

Fires when the behavior's containing document has been completely parsed.


element

element Object

Returns a reference to the tag in the primary document to which the behavior is attached.

Members Table

The following table lists the members exposed by the element object. Click a tab on the left to choose the type of member you want to view.

Methods

Method | Description
createEventObject | Creates an event object that can be used when passing event context information to the PUBLIC:EVENT element's fire method.

Remarks

All properties, methods, and events of the element to which the behavior is attached are accessible to HTML Component (HTC) using this object. The element object is the default object of properties, methods, or event names specified in the HTC. Therefore, they can be specified directly, without using the element keyword.

Example

This example uses a behavior to implement a table of contents that expands and collapses when the user clicks it. The HTC attaches to the element's onmouseover event and sets the color property of the element to red. The color of the element can be toggled through the style object directly, instead of referring to it as element.style. The HTC also sets the cursor property to "hand" to signal the user that the element can be clicked to toggle visibility of its children.

<PUBLIC:ATTACH EVENT="onmouseover" ONEVENT="Hilite" />
<SCRIPT LANGUAGE="JScript">
var prevColor;
function Hilite()
{
prevColor = style.color;
element.style.color  = "red";
element.style.cursor = "hand";
}
</SCRIPT>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

See Also

Introduction to DHTML Behaviors, Implementing DHTML Behaviors in Script


PUBLIC:ATTACH

PUBLIC:ATTACH Element

Binds a function to an event, so that the function is called whenever the event fires on the specified object.

Syntax

<PUBLIC:ATTACH
    EVENT = "sEvent"
    FOR = "sObject"
    ID = "sID"
    ONEVENT = "sEventHandler"
/>

Attributes

EVENT
Required. String that specifies the name of a Dynamic HTML (DHTML) event, or any of the events specific to the HTML Component (HTC) that are listed in the HTC Reference.
FOR
Optional. String that specifies one of the following values to identify the source of the event.
document | Refers to the document object.
element | Default. Refers to the element to which the behavior is attached.
window | Refers to the window object.
ID
Optional. String that uniquely identifies the PUBLIC:ATTACH element within the component. This attribute is analogous to the ID attribute in DHTML.
ONEVENT
Required. String that specifies an inline script or a direct invocation of the event handler function.

Element Information

Parent elements | PUBLIC:COMPONENT
Child elements | None
Minimum availability | Internet Explorer 5
Minimum operating systems | Windows 95, Windows NT 4.0

Remarks

The PUBLIC:ATTACH element is a declarative form of the attachEvent method.

When the specified event fires on the element to which the behavior is attached, the element's event handler is called first, before the behavior's. If multiple behaviors are attached to an element and multiple event handlers are defined for the same event on the same element, the functions are called in random order, immediately after the element's event handler is called.

When providing a value for ONEVENT, avoid assigning the event handler function the name of an existing DHTML event. Using an existing DHTML event name might cause recursion errors.

Event names are case-sensitive for all scripted languages.

Example

This example uses an HTC to implement a table of contents that expands and collapses. The HTC attaches to the element's onclick event, and then expands or collapses the list each time the onclick event is received.

<PUBLIC:PROPERTY NAME="child" />
<PUBLIC:ATTACH EVENT="onclick" ONEVENT="ExpandCollapse()" />
<SCRIPT LANGUAGE="JScript">
function ExpandCollapse()
{
var i;
var sDisplay;
// Determine current state of the list (expanded or collapsed)
// based on the current display property of the child.
bCollapsed = (element.document.all(child).style.display == "none");
if (bCollapsed)
{
style.listStyleImage = "url('../common/blueminus.gif')";
element.document.all(child).style.display = "";
}
else
{
style.listStyleImage = "url('../common/blueplus.gif')";
element.document.all(child).style.display = "none";
}
}
</SCRIPT>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

See Also

Introduction to DHTML Behaviors, Using HTML Components to Implement DHTML Behaviors in Script


PUBLIC:COMPONENT

PUBLIC:COMPONENT Element

Identifies the content of the file as HTML Component (HTC).

What's New for Microsoft® Internet Explorer 6

The literalContent attribute supports nested as a new possible value, which creates a nested literal content element behaviors.

Syntax

<PUBLIC:COMPONENT
    ID = "sID"
    lightWeight = "bLight"
    literalContent = "sLiteral"
    NAME = "sName"
    supportsEditMode = "bEditable"
    tagName = "sTagName"
    URN = "sURN"
>
<!-- child elements -->
</PUBLIC:COMPONENT>

Attributes

ID
Optional. String that uniquely identifies the PUBLIC:COMPONENT element within the component. This attribute is analogous to the ID attribute in Dynamic HTML (DHTML).
lightWeight
Optional. String that specifies whether the HTC file contains markup. If the HTC file contains no markup, this attribute should be set to true to improve rendering performance. This attribute is valid for any HTC file.
true | The HTC file does not contain markup, so it does not need to be parsed and rendered each time the custom tag, which is defined by the HTC file, is used in the primary document.
false | Default. HTC contains markup that must be parsed and rendered each time the custom tag, which is defined by the HTC file, is used in the primary document.
literalContent
Optional. String that specifies whether the content contained within the custom tag is parsed and rendered, or if it is to be treated as a data island. This attribute is only valid when the HTC file defines an element behavior, which requires the use of the tagName attribute. See the remarks for more information.
false | Default. Text and markup within the tag defined by the tagName attribute is not treated as a data island and is parsed and rendered.
nested | Internet Explorer 6 and later versions. Content within the first opening and last closing of the tag defined by the tagName attribute is treated as a data island and is not parsed or rendered. See Using the literalContent Attribute for more information.
true | Content within the first opening and first closing of the tag defined by the tagName attribute is treated as a data island and is not parsed or rendered.
NAME
Optional. String that specifies the name by which the behavior is referred to in the containing document.
supportsEditMode
Optional. String that specifies whether the content within the HTC file is editable. This attribute is valid only when the HTC file defines an element behavior.
true | Markup contained within the HTC file is editable.
false | Default. Markup contained within the HTC file is not editable. You can override this value by setting the isContentEditable property to VARIANT_TRUE on each element within the HTC file.
tagName
Optional. String that specifies the name of the custom tag, which is defined in the HTC file and imported into the primary document. This attribute is only valid for an HTC file that defines an element behaviors; see the remarks for more information.
URN
Optional. String, in Uniform Resource Name (URN) format, that uniquely identifies the component. This allows events to be uniquely identified when multiple behaviors may be firing events of the same name. When the event is fired, the event object's srcUrn property is set to the URN of the behavior that fired the event.

Element Information

Child elements
May occur at most once | PUBLIC:DEFAULTS
May occur one or more times | PUBLIC:ATTACH, PUBLIC:EVENT, PUBLIC:METHOD, PUBLIC:PROPERTY
Minimum availability | Internet Explorer 5
Minimum operating systems | Windows 95, Windows NT 4.0

Remarks

The PUBLIC:COMPONENT element is used to define two distinct types of behavior. The first is an attached behavior, which modifies the behavior of an existing element using the behavior Cascading Style Sheets (CSS) attribute. The second type, which was introduced in Internet Explorer 5.5, is called an element behavior. An element behavior is used to define a custom tag, which can be used in a Web page like a standard HTML tag.

An element behavior implies the creation and use of a custom tag in a Web page. Therefore, it is necessary to define the tagName attribute of the PUBLIC:COMPONENT element when the HTC file defines an element behavior. As noted previously, several of the attributes for this element are specifically designed for use with element behaviors. For more information, see Element Behaviors.

The NAME attribute is especially useful when multiple behaviors are attached to an element, as it allows you to invoke the properties or methods of the desired behavior from the containing document. If multiple behaviors are attached to a <SPAN ID="mySpan"> element in a document, you can use the following syntax to set the delay property of the behavior named behaviorABC.

mySpan.behaviorABC.delay = 1000;

See Also

Introduction to DHTML Behaviors, Using HTML Components to Implement DHTML Behaviors in Script, About Element Behaviors, Using the literalContent Attribute


PUBLIC:DEFAULTS

PUBLIC:DEFAULTS Element

Sets default properties for an HTML Component (HTC).

Syntax

<PUBLIC:DEFAULTS
    canHaveHTML = "bCanHaveHTML"
    contentEditable = "bEditable"
    style = "sStyle"
    tabStop = "bIsTabStop"
    viewInheritStyle = "bInheritsStyle"
    viewLinkContent = "bViewLinkContent"
    viewMasterTab = "bViewMasterTab"
/>

Attributes

canHaveHTML
Optional. Boolean that specifies one of the following values:
false | Content in the tag defined in the HTC file cannot contain HTML markup.
true | Content in the tag defined in the HTC file can contain HTML markup.
contentEditable
Optional. Boolean that specifies one of the following values:
inherit | Default. Object inherits from its parent the ability of the content to be edited by the user.
false | Content in the tag defined in the HTC file is not editable.
true | Content in the tag defined in the HTC file is editable.
style
Optional. String that specifies the style of the tag defined by the HTC file.
tabStop
Optional. Boolean that specifies one of the following values:
false | Default. Tag defined in the HTC file does not become active from tabbing.
true | Tag defined in the HTC file can become active from tabbing.
viewInheritStyle
Optional. Boolean that specifies one of the following values:
false | Viewlink does not inherit styles from the main HTML file.
true | Default. Viewlink inherits styles from the main HTML file.
viewLinkContent
Optional. Boolean that specifies one of the following values:
false | Default. Markup in the document of the HTC file is not used as the viewlink.
true | Markup in the document of the HTC file is used as the viewlink.
viewMasterTab
Optional. Boolean that specifies one of the following values:
false | Master element of a viewlink is not included in the tab sequence of the primary document.
true | Default. Master element of a viewlink is included in the tab sequence of the primary document.

Element Information

Parent elements | PUBLIC:COMPONENT
Child elements | None
Minimum availability | Internet Explorer 5
Minimum operating systems | Windows 95, Windows NT 4.0

Remarks

For more information on using the viewLinkContent attribute in an HTC file, see the Creating a Viewlink section of the Introduction to Viewlink overview article.

See Also

Introduction to DHTML Behaviors, Using HTML Components to Implement DHTML Behaviors in Script, Introduction to Viewlink


PUBLIC:EVENT

PUBLIC:EVENT Element

Defines an event of the HTML Component (HTC) to be exposed to the containing document.

Syntax

<PUBLIC:EVENT
    ID = "sEventID"
    NAME = "sName"
/>

Attributes

ID
Optional. String that uniquely identifies the PUBLIC:EVENT element within the component. This attribute is analogous to the ID attribute in Dynamic HTML (DHTML).
NAME
Required. String that specifies the name of the event exposed to the containing document.

Methods

eventID.fire( [oEvent] )
Fires the event to the containing document.

This method has the following parameter:
oEvent Object that specifies the event object containing context information.

Element Information

Parent elements | PUBLIC:COMPONENT
Child elements | None
Minimum availability | Internet Explorer 5
Minimum operating systems | Windows 95, Windows NT 4.0

Remarks

By specifying a NAME attribute similar to a standard event already defined for the element, a behavior can override the element's default behavior.

Events defined for a behavior do not bubble; they only fire on the element to which the behavior is attached.

Examples

This example is derived from a calculator behavior sample. Whenever the result changes, the HTC fires a custom onResultChange event back to the page, passing the result as a custom property of the event object.

<PUBLIC:EVENT NAME="onResultChange" ID="rcID" />
<SCRIPT LANGUAGE="JScript">
function doCalc()
{
:
oEvent = createEventObject();
oEvent.result = sResult;
rcID.fire (oEvent);
}
<SCRIPT>

This example shows what the containing page looks like.

<HTML XMLNS:InetSDK>
<HEAD>
<STYLE>
@media all {
InetSDK\:CALC    {behavior:url(engine.htc)}
}
</STYLE>
</HEAD>
<InetSDK:CALC id="myCalc" onResultChange="resultWindow.innerText=
window.event.result">
<TABLE>
<TR><DIV ID="resultWindow" STYLE="border: '.025cm solid gray'"
ALIGN=RIGHT>0.</DIV></TR>
<TR><TD><INPUT TYPE=BUTTON VALUE=" 7 "></TD>
<TD><INPUT TYPE=BUTTON VALUE=" 8 "></TD>
<TD><INPUT TYPE=BUTTON VALUE=" 9 "></TD>
<TD><INPUT TYPE=BUTTON VALUE=" / "></TD>
<TD><INPUT TYPE=BUTTON VALUE=" C "></TD>
</TR>
<TR><TD><INPUT TYPE=BUTTON VALUE=" 4 "></TD>
<TD><INPUT TYPE=BUTTON VALUE=" 5 "></TD>
<TD><INPUT TYPE=BUTTON VALUE=" 6 "></TD>
<TD><INPUT TYPE=BUTTON VALUE=" * "></TD>
<TD><INPUT TYPE=BUTTON VALUE=" % " DISABLED></TD>
</TR>
<TR><TD><INPUT TYPE=BUTTON VALUE=" 1 "></TD>
<TD><INPUT TYPE=BUTTON VALUE=" 2 "></TD>
<TD><INPUT TYPE=BUTTON VALUE=" 3 "></TD>
<TD><INPUT TYPE=BUTTON VALUE=" - "></TD>
<TD><INPUT TYPE=BUTTON VALUE="1/x" DISABLED></TD>
</TR>
<TR><TD><INPUT TYPE=BUTTON VALUE=" 0 "></TD>
<TD><INPUT TYPE=BUTTON VALUE="+/-"></TD>
<TD><INPUT TYPE=BUTTON VALUE=" . "></TD>
<TD><INPUT TYPE=BUTTON VALUE=" + "></TD>
<TD><INPUT TYPE=BUTTON VALUE=" = "></TD>
</TR>
</TABLE>
</InetSDK:CALC>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

See Also

Introduction to DHTML Behaviors, Using HTML Components to Implement DHTML Behaviors in Script, PUBLIC:METHOD, PUBLIC:PROPERTY


PUBLIC:METHOD

PUBLIC:METHOD Element

Defines a method of the HTML Component (HTC) to be exposed to the containing document.

Syntax

<PUBLIC:METHOD
    ID = "sID"
    INTERNALNAME = "sInternalName"
    NAME = "sName"
/>

Attributes

ID
Optional. String that uniquely identifies the PUBLIC:METHOD element within the component. This attribute is analogous to the ID attribute in Dynamic HTML (DHTML).
INTERNALNAME
Optional. String that specifies the name by which the method is referred to within the component. If no value is specified, the NAME attribute is used by default.
NAME
Required. String that specifies the name by which the method is referred to in the containing document. By default, the NAME specified is also used to refer to the method within the component, unless an INTERNALNAME attribute is specified.

Element Information

Parent elements | PUBLIC:COMPONENT
Child elements | None
Minimum availability | Internet Explorer 5
Minimum operating systems | Windows 95, Windows NT 4.0

Remarks

By specifying a NAME attribute similar to a standard method name already defined for the element, a behavior can override the element's default behavior.

Examples

This example uses the PUBLIC:METHOD tag to expose the startFlying method from the HTC to the containing document.

<PUBLIC:COMPONENT NAME="toFly">
<PUBLIC:METHOD NAME="startFlying" />
<SCRIPT LANGUAGE="JScript" >
function startFlying()
{
// Insert flying code here
}
</SCRIPT>
</PUBLIC:COMPONENT>

This example of a containing document demonstrates one way to call the method.

<HTML>
<HEAD>
<STYLE>
.FLY   {behavior:url(fly.htc)}
</STYLE>
</HEAD>
<BODY ID="flyingHigh" class="FLY">
<DIV onclick="flyingHigh.startFlying()">
<!-- Insert stuff to fly -->
</DIV>
</BODY>
</HTML>

See Also

Introduction to DHTML Behaviors, Using HTML Components to Implement DHTML Behaviors in Script, PUBLIC:EVENT, PUBLIC:PROPERTY


PUBLIC:PROPERTY

PUBLIC:PROPERTY Element

Defines a property of the HTML Component (HTC) to be exposed to the containing document.

Syntax

<PUBLIC:PROPERTY
    GET = "sGetFunction"
    ID = "sPropertyID"
    INTERNALNAME = "sInternalName"
    NAME = "sName"
    PERSIST = "bPersist"
    PUT = "sPutFunction"
    VALUE = "vValue"
/>

Attributes

GET
Optional. String that specifies the function to be called whenever the value of the property is retrieved. A PUBLIC:PROPERTY element that specifies a GET attribute without specifying a PUT attribute is a read-only property.
ID
Optional. String that uniquely identifies the PUBLIC:PROPERTY element within the component. This attribute is analogous to the ID attribute in Dynamic HTML (DHTML).
INTERNALNAME
Optional. String that specifies the name by which the property is referred to within the component. This internal name must be declared globally before it can be referenced anywhere in the component; otherwise, a scripting error occurs, indicating that the name is undefined. If no internal name is specified, the NAME attribute is used by default.
NAME
Required. String that specifies the name of the property exposed to the containing document. By default, the NAME specified is also used to refer to the property within the component, unless an INTERNALNAME attribute is specified.
PERSIST
Optional. Boolean that specifies whether to persist the property as part of the page.
PUT
Optional. String that specifies the function to be called when the value of the property is set. A PUBLIC:PROPERTY element that specifies the GET and PUT attributes is a read/write property. Failure to specify a GET function, when a PUT function is specified, causes the property to be write-only, which often might not be desired.
VALUE
Optional. Variant that specifies the default value for the property.

Methods

propertyID.fireChange()
Notifies the containing document that the value of the property has changed by firing the onpropertychange event on the element. If no PUT attribute is specified on the property, the onpropertychange is automatically fired when the property is set in the containing document.

Element Information

Parent elements | PUBLIC:COMPONENT
Child elements | None
Minimum availability | Internet Explorer 5
Minimum operating systems | Windows 95, Windows NT 4.0

Remarks

By specifying a NAME attribute similar to a standard property already defined for the element, a behavior can override the element's default behavior.

If either the PUT or GET attribute is specified, the INTERNALNAME attribute is ignored. Setting and/or retrieving the value of the property through the function(s) specified in the PUT and GET attributes takes precedence over setting and/or retrieving the value of the property through the INTERNALNAME.

The function specified in the PUT attribute must notify the element in the containing document about the property change by calling the PUBLIC:PROPERTY element's fireChange method. Invoking this method causes the onpropertychange event to fire on the element in the containing page, with the event object's propertyName set to the name of the property.

Examples

This example uses an HTC to create a table of contents that expands and collapses when the user clicks it. The HTC exposes a child property to the containing document to indicate which element needs to toggle its display property to achieve the desired expanding/collapsing effect.

<PUBLIC:PROPERTY NAME="child" />
<PUBLIC:ATTACH EVENT="onclick" ONEVENT="ExpandCollapse()" />
<SCRIPT LANGUAGE="JScript">
function ExpandCollapse()
{
var i;
var sDisplay;
// Determine current state of the list (expanded or collapsed)
// based on the current display property of the child.
bCollapsed = (element.document.all(child).runtimeStyle.display == "none");
if (bCollapsed)
{
runtimeStyle.listStyleImage = "url('../common/blueminus.gif')";
element.document.all(child).runtimeStyle.display = "";
}
else
{
runtimeStyle.listStyleImage = "url('../common/blueplus.gif')";
element.document.all(child).runtimeStyle.display = "none";
}
}
</SCRIPT>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the PUT and GET attributes to specify which functions to invoke when the property is set or retrieved.

<PUBLIC:PROPERTY ID="propID" NAME="child"
PUT="saveChild" GET="returnChild"/>
:
<SCRIPT LANGUAGE="JScript">
var myChild=null;
function saveChild (vValue)
{
myChild = vValue;
propID.fireChange();
}
function returnChild()
{
return myChild;
}
</SCRIPT>

See Also

Introduction to DHTML Behaviors, Using HTML Components to Implement DHTML Behaviors in Script, PUBLIC:EVENT, PUBLIC:METHOD


createEventObject

createEventObject Method

Creates an event object that can be used when passing event context information to the PUBLIC:EVENT element's fire method.

Syntax

oEvent = element.createEventObject()

Return Value

Returns an event object.

Remarks

The same event object cannot be reused in multiple calls to the fire method.

All properties of the event object created using createEventObject are read/write, including those that would be read-only in Dynamic HTML (DHTML). This enables you to set properties on the event object from the HTML Component (HTC) file, before firing the event.

Examples

This example is derived from a calculator behavior sample. When the result changes, the behavior fires a custom onResultChange event back to the page, passing the result as a custom property of the event object.

<PUBLIC:EVENT NAME="onResultChange" ID="rcID"  />
<SCRIPT LANGUAGE="JScript">
:
function doCalc()
{
:
oEvent = createEventObject();
oEvent.result = sResult;
rcID.fire (oEvent);
}
</SCRIPT >

This example shows what the containing page looks like.

<HTML XMLNS:InetSDK>
<HEAD>
<STYLE>
@media all {
InetSDK\:CALC    {behavior:url(engine.htc)}
}
</STYLE>
</HEAD>
<InetSDK:CALC id="myCalc"
onResultChange="resultWindow.innerText=window.event.result">
<TABLE>
<TR><DIV ID="resultWindow" STYLE="border:'.025cm solid gray'"
ALIGN=RIGHT>0.</DIV></TR>
<TR><TD><INPUT TYPE=BUTTON VALUE=" 7 "></TD>
<TD><INPUT TYPE=BUTTON VALUE=" 8 "></TD>
<TD><INPUT TYPE=BUTTON VALUE=" 9 "></TD>
<TD><INPUT TYPE=BUTTON VALUE=" / "></TD>
<TD><INPUT TYPE=BUTTON VALUE=" C "></TD>
</TR>
:
</TABLE>
</InetSDK:CALC>
</HTML>

This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

element

See Also

detachEvent, Introduction to DHTML Behaviors, Introduction to Viewlink, About Element Behaviors


oncontentready

oncontentready Event

Fires when the content of the element, to which the behavior is attached, has been completely parsed.

Syntax

<PUBLIC:ATTACH
EVENT = oncontentready
ONEVENT = sEventHandler
FOR = element
ID = sID
/>

Attributes

EVENT
Required. String that specifies the name of a Dynamic HTML (DHTML) event, or any of the events specific to the HTML Component (HTC) that are listed in the HTC Reference.
FOR
Optional. String that specifies one of the following values to identify the source of the event.
document | Refers to the document object.
element | Default. Refers to the element to which the behavior is attached.
window | Refers to the window object.
ID
Optional. String that uniquely identifies the PUBLIC:ATTACH element within the component. This attribute is analogous to the ID attribute in Dynamic HTML (DHTML).
ONEVENT
Required. String that specifies an inline script or a direct invocation of the event handler function.

Remarks

The innerHTML property of the element might not return the correct value until this event fires.

When this event is fired and the literalContent attribute of the PUBLIC:COMPONENT element is true, the literal content of the Element Behavior has been stored in the innerHTML property. This event indicates to the element behavior that it can then access the innerHTML property.

Because this event is specific to HTC components, the only way to bind to the oncontentready event is by using the PUBLIC:ATTACH element. The attachEvent method does not bind to this event because it works with standard DHTML Events only. When an HTC file is implemented as a Viewlink, the oncontentready event, or any other event that is HTC-specific, cannot be attached to an element in the document fragment.

See Component Initialization for an overview of events fired during the initialization of an HTC file and its primary document.

Example

This example uses the oncontentready event on a page to display the value of the element's innerHTML property.

<PUBLIC:ATTACH EVENT="oncontentready" ONEVENT="show_innerHTML()" />
<SCRIPT LANGUAGE="JScript">
function show_innerHTML()
{
window.alert ('innerHTML = ' + element.innerHTML);
}
</SCRIPT>

See Also

Introduction to DHTML Behaviors, About Element Behaviors, Using HTML Components to Implement DHTML Behaviors in Script


oncontentsave

oncontentsave Event

Fires just before the content of an element that is attached to an element behavior is saved or copied.

Syntax

<PUBLIC:ATTACH
EVENT = oncontentsave
ONEVENT = sEventHandler
FOR = element
ID = sID
/>

Attributes

EVENT
Required. String that specifies the name of a Dynamic HTML (DHTML) event, or any of the events specific to the HTML Component (HTC) that are listed in the HTC Reference.
FOR
Optional. String that specifies one of the following values to identify the source of the event.
document | Refers to the document object.
element | Default. Refers to the element to which the behavior is attached.
window | Refers to the window object.
ID
Optional. String that uniquely identifies the PUBLIC:ATTACH element within the component. This attribute is analogous to the ID attribute in DHTML.
ONEVENT
Required. String that specifies an inline script or a direct invocation of the event handler function.

See Also

Introduction to DHTML Behaviors, About Element Behaviors, Using HTML Components to Implement DHTML Behaviors in Script


ondetach

ondetach Event

Fires before a behavior is detached from an element.

Syntax

<PUBLIC:ATTACH
EVENT = ondetach
ONEVENT = sEventHandler
FOR = element
ID = sID
/>

Attributes

EVENT
Required. String that specifies the name of a Dynamic HTML (DHTML) event, or any of the events specific to the HTML Component (HTC) that are listed in the HTC Reference.
FOR
Optional. String that specifies one of the following values to identify the source of the event.
document | Refers to the document object.
element | Default. Refers to the element to which the behavior is attached.
window | Refers to the window object.
ID
Optional. String that uniquely identifies the PUBLIC:ATTACH element within the component. This attribute is analogous to the ID attribute in DHTML.
ONEVENT
Required. String that specifies an inline script or a direct invocation of the event handler function.

Remarks

The ondetach event allows the behavior to perform some cleanup just before it completely detaches from the element.

In cases where a behavior attaches to events on the containing page using the attachEvent method, this event gives the behavior the opportunity to call the detachEvent method to stop receiving notifications from the page. A behavior that attaches to events on the page using the PUBLIC:ATTACH element automatically stops receiving notifications when the behavior detaches from the element, and does not need to call the detachEvent method when the ondetach event fires.

Example

This example uses the ondetach event to turn off the highlighting effect on a list of items initially attached to a highlighting behavior.

<PUBLIC:ATTACH EVENT="ondetach" ONEVENT="cleanup()" />
<SCRIPT LANGUAGE="JScript">
attachEvent ('onmouseover', Hilite);
attachEvent ('onmouseout', Restore);
function cleanup()
{
detachEvent ('onmouseover', Hilite);
detachEvent ('onmouseout', Restore);
}
function Hilite()
{
if (event.srcElement == element)
{
normalColor = style.color;
runtimeStyle.color  = "red";
runtimeStyle.cursor = "hand";
}
}
function Restore()
{
if (event.srcElement == element)
{
runtimeStyle.color  = normalColor;
runtimeStyle.cursor = "";
}
}
</SCRIPT>

See Also

detachEvent, attachEvent, Introduction to DHTML Behaviors, About Element Behaviors, Using HTML Components to Implement DHTML Behaviors in Script


ondocumentready

ondocumentready Event

Fires when the behavior's containing document has been completely parsed.

Syntax

<PUBLIC:ATTACH
EVENT = ondocumentready
ONEVENT = sEventHandler
FOR = element
ID = sID
/>

Attributes

EVENT
Required. String that specifies the name of a Dynamic HTML (DHTML) event, or any of the events specific to the HTML Component (HTC) that are listed in the HTC Reference.
FOR
Optional. String that specifies one of the following values to identify the source of the event.
document | Refers to the document object.
element | Default. Refers to the element to which the behavior is attached.
window | Refers to the window object.
ID
Optional. String that uniquely identifies the PUBLIC:ATTACH element within the component. This attribute is analogous to the ID attribute in Dynamic HTML (DHTML).
ONEVENT
Required. String that specifies an inline script or a direct invocation of the event handler function.

Remarks

A behavior attached to an element receives both the ondocumentready and oncontentready notifications, but only after the window.onload event has fired.

See Component Initialization for an overview of events fired during the initialization of an HTC file and its primary document.

See Also

oncontentready, Introduction to DHTML Behaviors, About Element Behaviors, Using HTML Components to Implement DHTML Behaviors in Script


Default Behaviors

Default Behaviors Reference

Introduction to DHTML Behaviors provides a means for Web developers to extend the current Microsoft® Internet Explorer object model. A number of behaviors have been implemented as part of Internet Explorer 5 and are referred to as default behaviors.

As of Internet Explorer 5.5 and later, the time2 behavior is available only in the Microsoft Win32® platform. This default behavior enables users to add timed, interactive elements to HTML pages. Using the HTML+TIME (Timed Interactive Multimedia Extensions) extensions, any HTML element can be set to appear at a given time, last for a specified duration, and repeat the action if desired.

This section contains links that provide access to the object model exposed by these default behaviors.

Behaviors

anchorClick

Enables the browser to navigate to a folder view.

anim

Defines an instance of the Microsoft DirectAnimation® viewer in an HTML document to render DirectAnimation objects and play DirectAnimation sounds.

clientCaps

Provides information about features supported by Internet Explorer, as well as a way for installing browser components on demand.

download

Downloads a file and notifies a specified callback function when the download is complete.

homePage

Contains information about a user's homepage.

httpFolder

Contains scripting features that enable browser navigation to a folder view.

mediaBar

Provides a basic user interface (UI) for locating and playing media within the browser window. The Media Bar

saveFavorite

Enables the object to persist data in a favorite Web site.

saveHistory

Enables the object to persist data in the browser history.

saveSnapshot

Enables the object to persist data when a Web page is saved.

userData

Enables the object to persist data in user data.

Objects

MediaItem

Represents a single item in a media player playlist.

PlaylistInfo

Contains information about a media player playlist.

Attributes/Properties

attributeCount

Sets or retrieves the count of the attributes associated with the media object.

availHeight

Retrieves the height of the working area of the system's screen, excluding the Microsoft Windows® taskbar.

availWidth

Retrieves the width of the working area of the system's screen, excluding the Windows taskbar.

bufferDepth

Retrieves the number of bits per pixel used for colors on the off-screen bitmap buffer.

colorDepth

Retrieves the number of bits per pixel used for colors on the destination device or buffer.

connectionType

Retrieves the type of connection in use.

cookieEnabled

Retrieves whether client-side cookies are enabled in the browser.

cpuClass

Retrieves a string representing the CPU class.

currentItem

Sets or retrieves the current media item.

disabledUI

Sets or retrieves a Boolean value that specifies whether an instance of the Media Bar? UI is disabled.

duration

Sets or retrieves the duration of the current media item.

enabled

Sets or retrieves a Boolean value that specifies whether the Media Bar player control is enabled.

expires

Sets or retrieves the expiration date of data persisted with the userData behavior.

folder

Sets or retrieves a namespace extension, address, or path.

hasNextItem

Sets or retrieves a value that indicates whether any successive items follow the current item in the playlist.

height

Retrieves the vertical resolution of the screen.

image

Sets or retrieves the DirectAnimation Image (DAImage class) displayed by the anim:DA element.

javaEnabled

Retrieves whether the Microsoft virtual machine (Microsoft VM) is enabled.

name

Sets or retrieves the name of the media.

nextItem

Sets or retrieves the next media item in a playlist, if there is one.

openState

Sets or retrieves an integer that indicates the open state of the Media Bar player.

platform

Retrieves the platform on which the browser is running.

playlistInfo

Sets or retrieves playlist information, if a playlist exists.

playState

Sets or retrieves an integer that indicates the play state of the Media Bar player.

sound

Sets or retrieves the DirectAnimation sound (DASound class) played by the anim:DA element.

sourceURL

Sets or retrieves the URL of the media.

statics

Retrieves an object containing the DAStatics class library used with DirectAnimation.

systemLanguage

Retrieves the default language that the system is running.

target

Sets or retrieves the name of a window or frame that is the target for navigation.

userLanguage

Retrieves the current user language.

width

Retrieves the horizontal resolution of the screen.

XMLDocument

Retrieves a reference to the XML Document Object Model (DOM) exposed by the object.

Methods

addComponentRequest

Adds the specified component to the queue of components to be installed.

addDABehavior

Adds a DirectAnimation behavior (DABehavior class) to the run list when the behavior is not part of the animation model.

clearComponentRequest

Clears the queue of all component download requests.

compareVersions

Compares two version numbers.

doComponentRequest

Downloads all the components that have been queued using addComponentRequest.

getAttribute

Retrieves the value of the specified attribute.

getAttributeName

Returns the name of the attribute whose index has been specified.

getComponentVersion

Retrieves the version of the specified component.

getItemInfo

Returns the value of the specified attribute for the current media.

isComponentInstalled

Retrieves whether the specified component is available.

isHomePage

Determines whether the specified URL refers to the client's home page.

load

Loads an object participating in userData persistence from a UserData store.

navigate

Navigates the window to the specified location and displays the contents in folder view.

navigateFrame

Navigates the window or frame to the specified location and displays the contents in folder view.

navigateHomePage

Navigates the browser to a user's home page.

playNext

Starts playback of the next media item in the playlist, if a playlist is present.

playURL

Loads media from a URL into the Media Bar and starts playback.

removeAttribute

Removes the specified attribute from the object.

removeDABehavior

Removes a DirectAnimation behavior (DABehavior class) added by the addDABehavior method.

save

Saves an object participating in userData persistence to a UserData store.

setAttribute

Sets the value of the specified attribute.

setHomePage

Sets a user's home page to the specified value.

startDownload

Downloads the specified file.

stop

Stops playback of the media that is currently playing.

Events

onhide

Fires when the Media Bar player is hidden.

onload

Fires from a persistent element when the page reloads.

onopenstatechange

Fires when the Media Bar player changes its open state.

onplaystatechange

Fires when the Media Bar player changes its play state.

onsave

Fires from a persisted element when the Web page is saved or bookmarked, or when the user navigates away from the page.

onshow

Fires when the Media Bar player becomes visible.


anchorClick

anchorClick Behavior

Enables the browser to navigate to a folder view.

Syntax

XML | <Prefix: CustomTag ID=sID STYLE="behavior:url('#default#AnchorClick')" />
HTML | <A STYLE="behavior:url('#default#AnchorClick')" ID=sID>
Scripting | object.style.behavior = "url('#default#AnchorClick')"
object.addBehavior ("#default#AnchorClick")

Possible Values

Prefix | Prefix that associates the CustomTag with an XML namespace. This prefix is set using the XMLNS attribute of the HTML tag.
CustomTag | User-defined tag.
sID | String that specifies a unique identifier for the object.

Members Table

The following table lists the members exposed by the anchorClick object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
FOLDER | folder | Sets or retrieves a namespace extension, address, or path.
TARGET | target | Sets or retrieves the name of a window or frame that is the target for navigation.

Remarks

You can use the anchorClick behavior and the exposed FOLDER attribute to display the files and folders on a Web server in a Web folder view, similar to the Microsoft® Windows® folder view. The FOLDER attribute must be present for the folder navigation to occur. If the FOLDER attribute is not included, the HREF on the A object is used as normal.

For this behavior to work, the Web Folders component of Microsoft Internet Explorer must be installed. If the component is not installed and the behavior is invoked, Internet Explorer prompts the user to download the component. To open a Web address in folder view, the Web server must include a WebDAV server, available as of Microsoft Internet Information Services (IIS) 5.0, or support Web Extender Client (WEC) extensions, available as of Microsoft FrontPage® 2000.

Using the folder property with the anchorClick behavior to navigate to a folder view is the same as invoking the navigate or navigateFrame method from the httpFolder behavior.

Internet Explorer 5 displays the value of the FOLDER attribute when the mouse moves over the A object. Earlier browser versions can display the value of the HREF property in the status bar or as a title, so the file name and content of the earlier file version are important to keep in mind.

You can use the TARGET attribute to specify the window or frame that loads the specified location in the FOLDER attribute.

The anchorClick behavior is available as of Internet Explorer 5, only in the Microsoft Win32® platform.

Example

This example uses the anchorClick behavior to navigate to a folder view.

<STYLE>
A {behavior:url(#default#AnchorClick);}
</STYLE>
<!--
The href points to folder.htm for earlier browser versions;
the FOLDER attribute points to the local root.
-->
<A HREF = "folder.htm" FOLDER = "/" >
Open Folder
</A>

Applies To

A

See Also

About Web Folder Behaviors


anim:DA Element | anim

anim:DA Element | anim Behavior

Defines an instance of the Microsoft® DirectAnimation® viewer in an HTML document to render DirectAnimation objects and play DirectAnimation sounds.

Syntax

XML | <anim:DA ID=sID />
HTML | N/A
Scripting | N/A

Possible Values

sID String that specifies a unique identifier for the object.

Members Table

The following table lists the members exposed by the anim object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
image | Sets or retrieves the DirectAnimation Image (DAImage class) displayed by the anim:DA element.
sound | Sets or retrieves the DirectAnimation sound (DASound class) played by the anim:DA element.
statics | Retrieves an object containing the DAStatics class library used with DirectAnimation.

Methods

Method | Description
addDABehavior | Adds a DirectAnimation behavior (DABehavior class) to the run list when the behavior is not part of the animation model.
removeDABehavior | Removes a DirectAnimation behavior (DABehavior class) added by the addDABehavior method.

Remarks

The prefix anim is used to associate this attribute with an XML namespace. You must include this prefix when using the anim:DA element. To define this namespace prefix, include the following line of code in the head section of your HTML document.

<XML:NAMESPACE PREFIX="anim"/>

You also must define the custom DA element and associate it with the default anim behavior. You can do this by adding the following line of code to the style block of your document.

<STYLE>
anim\:DA	{ behavior: url(#default#anim); }
</STYLE>

You also must use the height and width properties, as shown in the following line of code, to make the DirectAnimation viewer display properly.

<anim:DA STYLE="width:400; height:200;" />

Other inline style properties can be used to control the DirectAnimation viewer's position and z-index.

The anim:DA element is available as of Microsoft Internet Explorer 5, only in the Microsoft Win32® platform.

See Also

Introduction to HTML+TIME


clientCaps

clientCaps Behavior

Provides information about features supported by Microsoft® Internet Explorer, as well as a way for installing browser components on demand.

Syntax

XML | <Prefix: CustomTag ID=sID STYLE="behavior:url('#default#clientCaps')" />
HTML | <ELEMENT STYLE="behavior:url('#default#clientCaps')" ID=sID>
Scripting | object.style.behavior = "url('#default#clientCaps')"
object.addBehavior ("#default#clientCaps")

Possible Values

Prefix | Prefix that associates the CustomTag with an XML namespace. This prefix is set using the XMLNS attribute of the HTML tag.
CustomTag | User-defined tag.
sID | String that specifies a unique identifier for the object.

Members Table

The following table lists the members exposed by the clientCaps object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
availHeight | Retrieves the height of the working area of the system's screen, excluding the Microsoft Windows® taskbar.
availWidth | Retrieves the width of the working area of the system's screen, excluding the Windows taskbar.
bufferDepth | Retrieves the number of bits per pixel used for colors on the off-screen bitmap buffer.
colorDepth | Retrieves the number of bits per pixel used for colors on the destination device or buffer.
connectionType | Retrieves the type of connection in use.
cookieEnabled | Retrieves whether client-side cookies are enabled in the browser.
cpuClass | Retrieves a string representing the CPU class.
height | Retrieves the vertical resolution of the screen.
javaEnabled | Retrieves whether the Microsoft virtual machine (Microsoft VM) is enabled.
platform | Retrieves the platform on which the browser is running.
systemLanguage | Retrieves the default language that the system is running.
userLanguage | Retrieves the current user language.
width | Retrieves the horizontal resolution of the screen.

Methods

Method | Description
addComponentRequest | Adds the specified component to the queue of components to be installed.
clearComponentRequest | Clears the queue of all component download requests.
compareVersions | Compares two version numbers.
doComponentRequest | Downloads all the components that have been queued using addComponentRequest.
getComponentVersion | Retrieves the version of the specified component.
isComponentInstalled | Retrieves whether the specified component is available.

Remarks

The members listed in the preceding table might not be accessible through scripting until the window.onload event fires. Waiting for this event to fire ensures that the page is completely loaded, that all behaviors have been applied to corresponding elements on the page, and that all the behavior's properties, methods, and events are available for scripting. To prevent a scripting error—which would indicate that the object does not support a particular member—do not use any of the behavior-defined members before the window.onload event fires.

The clientCaps behavior is available as of Internet Explorer 5, in the Microsoft Win32® and Unix platforms.

Examples

This example retrieves all the properties exposed by the clientCaps behavior.

<HTML XMLNS:IE>
<HEAD>
<STYLE>
@media all {
IE\:clientCaps {behavior:url(#default#clientCaps)}
}
</STYLE>
</HEAD>
<BODY>
<IE:clientCaps ID="oClientCaps" />
<PRE id=oPre></PRE>
<SCRIPT>
<!--
function window.onload()
{
sTempStr = "availHeight    = " + oClientCaps.availHeight    + "\n" +
"availWidth     = " + oClientCaps.availWidth     + "\n" +
"bufferDepth    = " + oClientCaps.bufferDepth    + "\n" +
"colorDepth     = " + oClientCaps.colorDepth     + "\n" +
"connectionType = " + oClientCaps.connectionType + "\n" +
"cookieEnabled  = " + oClientCaps.cookieEnabled  + "\n" +
"cpuClass       = " + oClientCaps.cpuClass       + "\n" +
"height         = " + oClientCaps.height         + "\n" +
"javaEnabled    = " + oClientCaps.javaEnabled    + "\n" +
"platform       = " + oClientCaps.platform       + "\n" +
"systemLanguage = " + oClientCaps.systemLanguage + "\n" +
"userLanguage   = " + oClientCaps.userLanguage   + "\n" +
"width          = " + oClientCaps.width          + "\n" ;
oPre.innerText = sTempStr;
}
-->
</SCRIPT>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the getComponentVersion method of the clientCaps behavior to determine the browser version.

<SCRIPT>
function window.onload()
{
var sVersion = oClientCaps.getComponentVersion ("{89820200-ECBD-11CF-8B85-00AA005B4383}","componentid");
myText.innerHTML = "<FONT SIZE=4>You are running Internet Explorer " + sVersion + ".</FONT>";
}
</SCRIPT>
<BODY BGCOLOR="#FFFFFF" STYLE="behavior:url(#default#clientCaps)" ID="oClientCaps">
:
<DIV ID="myText"></DIV>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example shows how to install the Internet Explorer Data Binding component, if the component does not already exist in the user's system.

<HEAD>
<SCRIPT>
function window.onload()
{
// dynamically set the behavior through script
oClientCaps.style.behavior = "url(#default#clientCaps)";
var bDBAvailable  = false;
var sDBVersion = '';
var sDBID = "{9381D8F2-0288-11D0-9501-00AA00B911A5}";
bDBAvailable = oClientCaps.isComponentInstalled(sDBID,"componentid");
// if data binding is unavailable, install it
if (!bDBAvailable)
{
oClientCaps.addComponentRequest (sDBID, "componentid");
bDBAvailable = oClientCaps.doComponentRequest();
}
:
}
</SCRIPT>
</HEAD>
<BODY BGCOLOR="#FFFFFF" ID="oClientCaps">
:
<PRE ID="preText"></PRE>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP

See Also

About Client Capabilities, Introduction to DHTML Behaviors, Using DHTML Behaviors


download

download Behavior

Downloads a file and notifies a specified callback function when the download is complete.

Syntax

XML | <Prefix: CustomTag ID=sID STYLE="behavior:url('#default#download')" />
HTML | <ELEMENT STYLE="behavior:url('#default#download')" ID=sID>
Scripting | object.style.behavior = "url('#default#download')"
object.addBehavior ("#default#download")

Possible Values

Prefix | Prefix that associates the CustomTag with an XML namespace. This prefix is set using the XMLNS attribute of the HTML tag.
CustomTag | User-defined tag.
sID | String that specifies a unique identifier for the object.

Members Table

The following table lists the members exposed by the download object. Click a tab on the left to choose the type of member you want to view.

Methods

Method | Description
startDownload | Downloads the specified file.

Remarks

The members listed in the preceding table might not be accessible through scripting until the window.onload event fires. Waiting for this event to fire ensures that the page is completely loaded, that all behaviors have been applied to corresponding elements on the page, and that all the behavior's properties, methods, and events are available for scripting. To prevent a scripting error—which would indicate that the object does not support a particular member—do not use any of the behavior-defined members before the window.onload event fires.

The download behavior and the file specified in the startDownload method must exist on the same domain.

The download behavior is available as of Microsoft® Internet Explorer 5, in the Microsoft Win32® and Unix platforms.

Examples

This example uses the download behavior to download a page.

<HTML XMLNS:IE>
<SCRIPT>
function onDownloadDone(s) { alert (s); }
</SCRIPT>
<IE:Download ID="oDownload" STYLE="behavior:url(#default#download)" />
<P>Click <A HREF="javascript:oDownload.startDownload('download.htm',
onDownloadDone)">here</A> to begin downloading this page.
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example demonstrates using the download behavior with Microsoft Visual Basic® Scripting Edition (VBScript).

<HTML XMLNS:IE>
<SCRIPT LANGUAGE="VBScript">
Function onDownloadDone(s)
MsgBox s
End Function
</SCRIPT>
<IE:DOWNLOAD ID="oDownload" STYLE="behavior:url(#default#download)" />
<button
onclick="vbscript:oDownload.startDownload 'downloadvb.htm', GetRef('onDownloadDone')">
Download File</button>

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP


homePage

homePage Behavior

Contains information about a user's homepage.

Syntax

XML | <Prefix: CustomTag ID=sID STYLE="behavior:url('#default#homePage')" />
HTML | <ELEMENT STYLE="behavior:url('#default#homePage')" ID=sID>
Scripting | object.style.behavior = "url('#default#homePage')"
object.addBehavior ("#default#homePage")

Possible Values

Prefix | Prefix that associates the CustomTag with an XML namespace. This prefix is set using the XMLNS attribute of the HTML tag.
CustomTag | User-defined tag.
sID | String that specifies a unique identifier for the object.

Members Table

The following table lists the members exposed by the homePage object. Click a tab on the left to choose the type of member you want to view.

Methods

Method | Description
isHomePage | Determines whether the specified URL refers to the client's home page.
navigateHomePage | Navigates the browser to a user's home page.
setHomePage | Sets a user's home page to the specified value.

Remarks

The members listed in the preceding table might not be accessible through scripting until the window.onload event fires. Waiting for this event to fire ensures that the page is completely loaded, that all behaviors have been applied to corresponding elements on the page, and that all the behavior's properties, methods, and events are available for scripting. To prevent a scripting error—which would indicate that the object does not support a particular member—do not use any of the behavior-defined members before the window.onload event fires.

The homePage behavior is available as of Microsoft® Internet Explorer 5, in the Microsoft Win32® and Unix platforms.

Example

This example uses the homePage behavior to set the user's home page to the specified URL.

<HTML XMLNS:IE>
<HEAD>
<STYLE>
@media all {
IE\:homePage {behavior:url(#default#homepage)}
}
</STYLE>
<SCRIPT>
function fnVerify(){
sQueryHome = oHomePage.isHomePage(oHomeHref.value);
alert(sQueryHome);
event.returnValue = false;
}
function fnGo(){
oHomePage.navigateHomePage();
event.returnValue=false;
}
function fnSet(){
oHomePage.setHomePage(oHomeHref.value);
event.returnValue = false;
}
</SCRIPT>
</HEAD>
<BODY>
<IE:homePage ID="oHomePage" />
<INPUT TYPE=text ID=oHomeHref VALUE="http://www.microsoft.com">
<INPUT TYPE=button VALUE="Verify" onclick="fnVerify()">
<INPUT TYPE=button VALUE="Set" onclick="fnSet()">
<INPUT TYPE=button VALUE="Navigate" onclick="fnGo()">
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BDO, BGSOUND, BIG, BLOCKQUOTE, BODY, BR, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, COMMENT, DD, DEL, DFN, DIR, DIV, DL, DT, EM, EMBED, FIELDSET, FONT, FORM, FRAME, FRAMESET, HEAD, hn, HR, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, ISINDEX, KBD, LABEL, LEGEND, LI, LINK, LISTING, MAP, MARQUEE, MENU, nextID, NOBR, NOFRAMES, NOSCRIPT, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, RT, RUBY, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TITLE, TR, TT, U, UL, VAR, WBR, XML, XMP

See Also

Introduction to DHTML Behaviors


httpFolder

httpFolder Behavior

Contains scripting features that enable browser navigation to a folder view.

Syntax

XML | <Prefix: CustomTag ID=sID STYLE="behavior:url('#default#httpFolder')" />
HTML | <ELEMENT STYLE="behavior:url('#default#httpFolder')" ID=sID>
Scripting | object.style.behavior = "url('#default#httpFolder')"
object.addBehavior ("#default#httpFolder")

Possible Values

Prefix | Prefix that associates the CustomTag with an XML namespace. This prefix is set using the XMLNS attribute of the HTML tag.
CustomTag | User-defined tag.
sID | String that specifies a unique identifier for the object.

Members Table

The following table lists the members exposed by the httpFolder object. Click a tab on the left to choose the type of member you want to view.

Methods

Method | Description
navigate | Navigates the window to the specified location and displays the contents in folder view.
navigateFrame | Navigates the window or frame to the specified location and displays the contents in folder view.

Remarks

The httpFolder behavior can be defined in a style block, or inline with the element.

The httpFolder behavior is available as of Microsoft® Internet Explorer 5, only in the Microsoft Win32® platform.

Example

This example uses the httpFolder behavior to navigate to a folder view.

<STYLE>
.hhFolder{behavior:url(#default#httpFolder);}
</STYLE>
<SCRIPT>
function fnNavigate(){
var sFolder=location.href.substring(0,location.href.lastIndexOf("/"));
oViewFolder.navigate(sFolder);
}
</SCRIPT>
<SPAN ID=oViewFolder
CLASS = "hFolder"
onclick = "fnNavigate()"
>
Display this page in folder view.
</SPAN>

Applies To

A, ACRONYM, ADDRESS, AREA, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TT, U, UL, VAR, XMP

See Also

About Web Folder Behaviors


mediaBar

mediaBar Behavior

Provides a basic user interface (UI) for locating and playing media within the browser window. The Media Bar?A HREF="/workshop/author/behaviors/overview.html">default behavior exposes much of the Media Bar functionality to scripting, giving you control over playback, navigation, and the player UI. It also enables you to load HTML in the Media Bar content area.

Syntax

XML | <Prefix: CustomTag ID=sID STYLE="behavior:url('#default#mediaBar')" />
HTML | <ELEMENT STYLE="behavior:url('#default#mediaBar')" ID=sID>
Scripting | object.style.behavior = "url('#default#mediaBar')"
object.addBehavior ("#default#mediaBar")

Possible Values

Prefix | Prefix that associates the CustomTag with an XML namespace. This prefix is set using the XMLNS attribute of the HTML tag.
CustomTag | User-defined tag.
sID | String that specifies a unique identifier for the object.

Members Table

The following table lists the members exposed by the mediaBar object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
currentItem | Sets or retrieves the current media item.
disabledUI | Sets or retrieves a Boolean value that specifies whether an instance of the Media Bar? UI is disabled.
enabled | Sets or retrieves a Boolean value that specifies whether the Media Bar player control is enabled.
hasNextItem | Sets or retrieves a value that indicates whether any successive items follow the current item in the playlist.
nextItem | Sets or retrieves the next media item in a playlist, if there is one.
openState | Sets or retrieves an integer that indicates the open state of the Media Bar player.
playlistInfo | Sets or retrieves playlist information, if a playlist exists.
playState | Sets or retrieves an integer that indicates the play state of the Media Bar player.

Events

Event | Description
onhide | Fires when the Media Bar player is hidden.
onopenstatechange | Fires when the Media Bar player changes its open state.
onplaystatechange | Fires when the Media Bar player changes its play state.
onshow | Fires when the Media Bar player becomes visible.

Methods

Method | Description
playNext | Starts playback of the next media item in the playlist, if a playlist is present.
playURL | Loads media from a URL into the Media Bar and starts playback.
stop | Stops playback of the media that is currently playing.

Objects

Object | Description
MediaItem | Represents a single item in a media player playlist.
PlaylistInfo | Contains information about a media player playlist.

Remarks

Users can open the Media Bar by clicking a media link in the browser, typing the URL of a media file in the address bar, clicking the Media button in the Internet Explorer toolbar, or by choosing Explorer Bar from the View menu and selecting Media. The mediaBar behavior only functions within the Media Bar.

When new content is targeted at the mediaBar behavior, the Media Bar becomes dedicated to that content, stopping playback of previous media and navigating away from HTML in the Media Bar content area. For a demonstration, see the example section that follows.

You might not have access to the members listed in this table using script until the window.onload event fires. If you wait for this event to fire, it ensures that the page is completely loaded, that all behaviors have been applied to corresponding elements on the page, and that all the behavior's properties, methods, and events are available for scripting. If you use any of the behavior-defined members before the window.onload event fires, a scripting error can occur, which indicates that the object does not support that particular member.

security note Security Alert The Media Bar can load .asx and .asf files that specify multiple media URLs and scripted content. For security reasons, streamed content from unverified sources should be treated as user input. Developers should use caution when displaying content from unverified sources as HTML in the Media Bar content pane. For more information, see Security Considerations: Dynamic HTML and Security Considerations: DHTML and Default Behaviors.

The mediaBar behavior is available in Internet Explorer 6 only in the Microsoft Win32® platform.

Examples

The following example shows an ordinary link to media content. When clicked, it starts media playback in the Media Bar.

<A
href="http://msdn.microsoft.com/workshop/samples/author/behaviors/media/56movie.asf">
Launch the shuttle.</A>

To display HTML content in the Media Bar content area, you can use a link that targets the Media Bar.

<A  target="_media"
href="http://msdn.microsoft.com/workshop/samples/author/behaviors/
sample_content.htm"></A>

Because the behavior works only within the Media Bar, you must load any HTML content that uses the mediaBar behavior in the Media Bar content area and declare the behavior there. Playback of media files loaded with the mediaBar behavior's playNext or playURL methods can then be paused, scanned, and stopped using the media player user interface.

<!-- Use an inline behavior declaration for media content in the Media Bar content area. -->
<DIV style="behavior:url(#default#mediaBar)" id="divMedia">
Container for media to play in the Media Bar.
</DIV>
This feature requires Microsoft® Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

See Also

Using the Media Bar in Internet Explorer


saveFavorite

saveFavorite Behavior

Enables the object to persist data in a favorite Web site.

Syntax

XML | <Prefix: CustomTag ID=sID STYLE="behavior:url('#default#saveFavorite')" />
HTML | <ELEMENT STYLE="behavior:url('#default#saveFavorite')" ID=sID>
Scripting | object.style.behavior = "url('#default#saveFavorite')"
object.addBehavior ("#default#saveFavorite")

Possible Values

Prefix | Prefix that associates the CustomTag with an XML namespace. This prefix is set using the XMLNS attribute of the HTML tag.
CustomTag | User-defined tag.
sID | String that specifies a unique identifier for the object.

Members Table

The following table lists the members exposed by the saveFavorite object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
XMLDocument | Retrieves a reference to the XML Document Object Model (DOM) exposed by the object.

Events

Event | Description
onload | Fires from a persistent element when the page reloads.
onsave | Fires from a persisted element when the Web page is saved or bookmarked, or when the user navigates away from the page.

Methods

Method | Description
getAttribute | Retrieves the value of the specified attribute.
removeAttribute | Removes the specified attribute from the object.
setAttribute | Sets the value of the specified attribute.

Remarks

The saveFavorite behavior allows the current state of a page to be saved when the user adds the page to the Favorites menu. When the user returns to the page through a shortcut or the Favorites menu, the state of the page is restored.

The saveFavorite behavior persists data across sessions, using one userData store for each object. If two objects try to use the same attribute, both are persisted in the userData store for each element. The saveFavoriteuserData store is persisted in the Favorites .ini file, which includes the URL of the page as well as the userData store. When the page is loaded through a shortcut or the Favorites menu, the data from the userData store is loaded from the .ini file, even if the user closes and reopens Microsoft® Internet Explorer.

For example, a page with several dynamically updated styles can save these updates using the onload and onsave events. The style values can be saved as attributes when onsave fires, and restored when onload fires.

security note Security Alert Using this behavior incorrectly can compromise the security of your application. This behavior uses a userData store, which is not encrypted and therefore not secure. Any application that has access to the drive where userData is saved has access to the data. Therefore, it is recommended that you not persist sensitive data like credit card numbers. For more information, see Security Considerations: DHTML and Default Behaviors.

To persist the state of a page by adding it to the browser Favorites menu, first define a Cascading Style Sheets (CSS) style that applies the saveFavorite behavior. Then use this style in the tags containing content that needs to be persisted. The required style can be set inline or in the document header, as follows:

   <STYLE>
.sFavorite {behavior:url(#default#savefavorite);}
</STYLE>

An ID is optional for saveFavorite, but including one improves performance.

The saveFavorite behavior is available as of Internet Explorer 5, in the Microsoft Win32® and Unix platforms.

Example

This example uses the saveFavorite behavior to persist information after the user saves the page as a favorite.

<HTML>
<HEAD>
<STYLE>
.sFavorite {behavior:url(#default#savefavorite);}
</STYLE>
<SCRIPT>
function fnSaveInput(){
oPersistInput.setAttribute("sPersistValue",oPersistInput.value);
}
function fnLoadInput(){
oPersistInput.value=oPersistInput.getAttribute("sPersistValue");
}
</SCRIPT>
</HEAD>
<BODY>
<INPUT class=sFavorite onsave="fnSaveInput()" onload="fnLoadInput()" type=text id=oPersistInput>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, AREA, B, BIG, BLOCKQUOTE, BUTTON, CAPTION, CENTER, CITE, CODE, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TT, U, UL, VAR, XMP

See Also

Introduction to DHTML Behaviors, Introduction to Persistence


saveHistory

saveHistory Behavior

Enables the object to persist data in the browser history.

Syntax

XML | <Prefix: CustomTag ID=sID STYLE="behavior:url('#default#saveHistory')" />
HTML | <ELEMENT STYLE="behavior:url('#default#saveHistory')" ID=sID>
Scripting | object.style.behavior = "url('#default#saveHistory')"
object.addBehavior ("#default#saveHistory")

Possible Values

Prefix | Prefix that associates the CustomTag with an XML namespace. This prefix is set using the XMLNS attribute of the HTML tag.
CustomTag | User-defined tag.
sID | String that specifies a unique identifier for the object.

Members Table

The following table lists the members exposed by the saveHistory object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
XMLDocument | Retrieves a reference to the XML Document Object Model (DOM) exposed by the object.

Events

Event | Description
onload | Fires from a persistent element when the page reloads.
onsave | Fires from a persisted element when the Web page is saved or bookmarked, or when the user navigates away from the page.

Methods

Method | Description
getAttribute | Retrieves the value of the specified attribute.
removeAttribute | Removes the specified attribute from the object.
setAttribute | Sets the value of the specified attribute.

Remarks

The saveHistory behavior saves the current state of the page when the user navigates away from the page. When the user returns to the page by pressing the back or forward button, the values are restored.

The saveHistory behavior persists only for the current session. When the user navigates away from the page containing the saveHistory behavior, the data is persisted in a UserData store. The saveHistory behavior uses one UserData store for the entire document. Thus, if two elements write the same attribute, the first is overwritten by the second. The UserData store is saved in an in-memory stream and is not saved to disk. Therefore, it is not available after the user closes Microsoft® Internet Explorer.

For example, a page with several dynamically updated styles might save these updates using the onload and onsave event handlers. The style values can be saved as attributes when onsave fires, and restored when onload fires.

To use the saveHistory behavior, use a meta tag that identifies the type of persistence.

   <META NAME="save" CONTENT="history">

The required style can be set inline or in the document header, as follows:

   <STYLE>
.sHistory {behavior:url(#default#savehistory);}
</STYLE>

An ID is optional for saveHistory, but including one improves performance.

The saveHistory behavior is available as of Internet Explorer 5, in the Microsoft Win32® and Unix platforms.

Example

This example uses the saveHistory behavior to persist information after the user leaves and subsequently returns to the page.

<HTML>
<HEAD>
<META NAME="save" CONTENT="history">
<STYLE>
.sHistory {behavior:url(#default#savehistory);}
</STYLE>
</HEAD>
<BODY>
<INPUT class=sHistory type=text id=oPersistInput>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, AREA, B, BIG, BLOCKQUOTE, BUTTON, CAPTION, CENTER, CITE, CODE, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TT, U, UL, VAR, XMP

See Also

Introduction to DHTML Behaviors, Introduction to Persistence


saveSnapshot

saveSnapshot Behavior

Enables the object to persist data when a Web page is saved.

Syntax

XML | <Prefix: CustomTag ID=sID STYLE="behavior:url('#default#saveSnapshot')" />
HTML | <ELEMENT STYLE="behavior:url('#default#saveSnapshot')" ID=sID>
Scripting | object.style.behavior = "url('#default#saveSnapshot')"
object.addBehavior ("#default#saveSnapshot")

Possible Values

Prefix | Prefix that associates the CustomTag with an XML namespace. This prefix is set using the XMLNS attribute of the HTML tag.
CustomTag | User-defined tag.
sID | String that specifies a unique identifier for the object.

Members Table

The following table lists the members exposed by the saveSnapshot object. Click a tab on the left to choose the type of member you want to view.

Events

Event | Description
onsave | Fires from a persisted element when the Web page is saved or bookmarked, or when the user navigates away from the page.

Remarks

The saveSnapshot behavior can persist form values, styles, dynamically updated content, and scripting variables when the user saves a Web page locally as Web Page, HTML Only.

security note Security Alert Using this behavior incorrectly can compromise the security of your application. This behavior persists data as plain text in a saved Web page. Text is not encrypted and therefore not secure. Any application that has access to the drive where the page is saved has access to the data and can tamper with it. Therefore, it is recommended that you not persist sensitive data like credit card numbers. For more information, see Security Considerations: DHTML and Default Behaviors.

The saveSnapshot behavior cannot persist the body element and individual table elements, such as rows and cells.

The saveSnapshot behavior can persist the content of the script element if the element is assigned an ID and a CLASS. The saveSnapshot behavior can persist only string, Boolean, and integer variants. Comments, functions, and scripting objects, such as arrays, are stripped out. Persistent script elements with an external source write the variables into the persistent page from the source.

To use the saveSnapshot behavior, use a meta tag that identifies the type of persistence.

   <META NAME="save" CONTENT="snapshot">

The required style may be set inline or in the document header, as follows:

   <STYLE>
.sSnapshot {behavior:url(#default#savesnapshot);}
</STYLE>

An ID is required for the object to persist correctly.

The saveSnapshot behavior is available as of Microsoft® Internet Explorer 5, in the Microsoft Win32® and Unix platforms.

Examples

The following examples show how to use the saveSnapshot behavior.

This example uses the saveSnapshot behavior to persist form data.

<HTML>
<HEAD>
<META NAME="save" CONTENT="history">
<STYLE>
.sSnapshot {behavior:url(#default#savesnapshot);}
</STYLE>
</HEAD>
<BODY>
<INPUT class=sSnapshot type=text id=oPersistInput>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the saveSnapshot behavior to persist an entire form in two ways: by setting the CLASS attribute of the input fields to "saveSnapshot", and by packaging the data into a string variable, sData, when the user clicks the Save From Data button.

<HTML>
<HEAD>
<META NAME="save" CONTENT="snapshot">
<STYLE>
.sSnapshot {behavior:url(#default#savesnapshot);}
</STYLE>
<SCRIPT CLASS="sSnapshot" id=oPersistScript>
var sData="";
</SCRIPT>
<SCRIPT>
function PersistArray(){
var sData="";
for(var i=0;i<oPersistForm.elements.length;i++){
if(oPersistForm.elements[i].type == "text"){
sData+=oPersistForm.elements[i].value + "|";
oPersistForm.elements[i].value="";
}
if(oPersistForm.elements[i].tagName == "SELECT"){
sData+="spamtype=" + oPersistForm.elements[i].selectedIndex;
oPersistForm.oSelSpam.selected=-1;
}
}
sPersistData=sData;
}
function RestoreArray(){
if(sPersistData!="~Empty~"){
collData=sPersistData.split("|");
for(var i=0;i<collData.length;i++){
if(collData[i].indexOf("spamtype=")==-1){
oPersistForm.elements[i].value=collData[i];
}
if(collData[i].indexOf("spamtype=")>=0){
oPersistForm.oSelSpam.selectedIndex=
collData[i].substring(
collData[i].indexOf("=")+1,collData[i].length
);
}
}
}
}
</SCRIPT>
</HEAD>
<BODY>
<FORM ID="oPersistForm">
<TABLE CLASS="oSampleStyle">
<TR><TD><LABEL FOR="oFirstName">First Name:</LABEL></TD>
<TD><INPUT CLASS="sSnapshot" TYPE="text" ID="oFirstName" SIZE=15></TD></TR>
<TR><TD><LABEL FOR="oSelSpam">Select Method of Spam:</LABEL></TD>
<TD>
<SELECT ID="oSelSpam">
<OPTION>E-mail<OPTION>Postal Mail<OPTION>Telemarketing
</SELECT></TD></TR>
:
</TABLE>
<INPUT TYPE="button"
VALUE="Save form data in script"
onclick="PersistArray()"
>
<INPUT TYPE="button"
VALUE="Restore data from script"
onclick="RestoreArray()"
>
</FORM>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, AREA, B, BIG, BLOCKQUOTE, BUTTON, CENTER, CITE, CODE, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, OBJECT, OL, P, PLAINTEXT, PRE, Q, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TT, U, UL, VAR, XMP

See Also

Introduction to DHTML Behaviors, Introduction to Persistence


userData

userData Behavior

Enables the object to persist data in user data.

Syntax

XML | <Prefix: CustomTag ID=sID STYLE="behavior:url('#default#userData')" />
HTML | <ELEMENT STYLE="behavior:url('#default#userData')" ID=sID>
Scripting | object.style.behavior = "url('#default#userData')"
object.addBehavior ("#default#userData")

Possible Values

Prefix | Prefix that associates the CustomTag with an XML namespace. This prefix is set using the XMLNS attribute of the HTML tag.
CustomTag | User-defined tag.
sID | String that specifies a unique identifier for the object.

Members Table

The following table lists the members exposed by the userData object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
expires | Sets or retrieves the expiration date of data persisted with the userData behavior.
XMLDocument | Retrieves a reference to the XML Document Object Model (DOM) exposed by the object.

Methods

Method | Description
getAttribute | Retrieves the value of the specified attribute.
load | Loads an object participating in userData persistence from a UserData store.
removeAttribute | Removes the specified attribute from the object.
save | Saves an object participating in userData persistence to a UserData store.
setAttribute | Sets the value of the specified attribute.

Remarks

security note Security Alert For security reasons, a UserData store is available only in the same directory and with the same protocol used to persist the store.
security note Security Alert Using this behavior incorrectly can compromise the security of your application. Data in a UserData store is not encrypted and therefore not secure. Any application that has access to the drive where UserData is saved has access to the data. Therefore, it is recommended that you not persist sensitive data like credit card numbers. For more information, see Security Considerations: DHTML and Default Behaviors.

The userData behavior persists information across sessions by writing to a UserData store. This provides a data structure that is more dynamic and has a greater capacity than cookies. The capacity of the UserData store depends on the security zone of the domain. The following table shows the maximum amount of UserData storage that is available for an individual document and also the total available for an entire domain, based on the security zone.

Security Zone | Document Limit (KB) | Domain Limit (KB)
Local Machine | 128 | 1024
Intranet | 512 | 10240
Trusted Sites | 128 | 1024
Internet | 128 | 1024
Restricted | 64 | 640

The userData behavior persists data across sessions, using one UserData store for each object. The UserData store is persisted in the cache using the save and load methods. Once the UserData store has been saved, it can be reloaded even if Microsoft® Internet Explorer has been closed and reopened.

Setting the userData behavior class on the html, head, title, or style object causes an error when the save or load method is called.

The required style can be set inline or in the document header, as follows:

   <STYLE>
.storeuserData {behavior:url(#default#userData);}
</STYLE>

An ID is optional for userData, but including one improves performance.

The userData behavior is available as of Internet Explorer 5, in the Microsoft Win32® and Unix platforms.

Examples

This example uses the userData behavior to preserve information in a UserData Store.

<HTML>
<HEAD>
<STYLE>
.storeuserData {behavior:url(#default#userData);}
</STYLE>
<SCRIPT>
function fnSaveInput(){
var oPersist=oPersistForm.oPersistInput;
oPersist.setAttribute("sPersist",oPersist.value);
oPersist.save("oXMLBranch");
}
function fnLoadInput(){
var oPersist=oPersistForm.oPersistInput;
oPersist.load("oXMLBranch");
oPersist.value=oPersist.getAttribute("sPersist");
}
</SCRIPT>
</HEAD>
<BODY>
<FORM ID="oPersistForm">
<INPUT CLASS="storeuserData" TYPE="text" ID="oPersistInput">
<INPUT TYPE="button" VALUE="Load" onclick="fnLoadInput()">
<INPUT TYPE="button" VALUE="Save" onclick="fnSaveInput()">
</FORM>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The following example uses the userData behavior in a custom tag to preserve information in a UserData Store.

<HTML XMLNS:sdk>
<HEAD>
<STYLE>
sdk\:cacher {behavior:url(#default#userData);}
</STYLE>
<SCRIPT>
function fnSaveInput(){
cachetag.setAttribute("sPersist",txt1.value);
cachetag.save("cache");
}
function fnLoadInput(){
cachetag.load("cache");
cachetag.value=cachetag.getAttribute("sPersist");
}
</SCRIPT>
</HEAD>
<BODY>
<sdk:cacher id="cachetag"></sdk:cacher>
<INPUT TYPE="button" VALUE="Load" onclick="fnLoadInput()">
<INPUT TYPE="button" VALUE="Save" onclick="fnSaveInput()">
<INPUT TYPE="text" ID="txt1" VALUE="some value">
</BODY>
</HTML>

Applies To

A, ACRONYM, ADDRESS, AREA, B, BIG, BLOCKQUOTE, BUTTON, CAPTION, CENTER, CITE, CODE, DD, DEL, DFN, DIR, DIV, DL, DT, EM, FONT, FORM, hn, HR, I, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, KBD, LABEL, LI, LISTING, MAP, MARQUEE, MENU, OBJECT, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TEXTAREA, TT, U, UL, VAR, XMP

See Also

Introduction to DHTML Behaviors, Introduction to Persistence


MediaItem

MediaItem Object

Represents a single item in a media player playlist.

Members Table

The following table lists the members exposed by the MediaItem object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
attributeCount | Sets or retrieves the count of the attributes associated with the media object.
duration | Sets or retrieves the duration of the current media item.
name | Sets or retrieves the name of the media.
sourceURL | Sets or retrieves the URL of the media.

Methods

Method | Description
getAttributeName | Returns the name of the attribute whose index has been specified.
getItemInfo | Returns the value of the specified attribute for the current media.

Applies To

mediaBar


addComponentRequest

addComponentRequest Method

Adds the specified component to the queue of components to be installed.

Syntax

clientCaps.addComponentRequest(sID, sIDType [, sMinVer])

Parameters

sID | Required. String that specifies any of the component identifiers listed in the Installable Components in Internet Explorer document.
sIDType Required. String that specifies the case-insensitive type of the identifier specified in sID, or the following value:
componentid Active Setup identifier of the component.
sMinVer | Optional. String that specifies the minimum version number of the component to install.

Return Value

No return value.

Remarks

Only Microsoft® Internet Explorer components are specified by this method. Components not supported by Internet Explorer are ignored.

The addComponentRequest method queues a download request for the specified component. Actual download of the component does not occur until a call is made to the doComponentRequest method.

Example

This example uses the addComponentRequest and doComponentRequest methods to install the Internet Explorer Data Binding component, if the component does not already exist in the user's system.

<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
IE\:clientCaps {behavior:url(#default#clientCaps)}
}
</STYLE>
<SCRIPT>
function window.onload()
{
var bDBAvailable  = false;
var sDBVersion = '';
var sDBID = "{9381D8F2-0288-11D0-9501-00AA00B911A5}";
bDBAvailable = oClientCaps.isComponentInstalled(sDBID,"componentid");
// if data binding is unavailable, install it
if (!bDBAvailable)
{
oClientCaps.addComponentRequest(sDBID, "componentid");
bDBAvailable = oClientCaps.doComponentRequest();
}
:
}
</SCRIPT>
</HEAD>
<BODY BGCOLOR="#FFFFFF">
:
<IE:clientCaps ID="oClientCaps" />
:
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

clientCaps

See Also

ClientCaps, Using DHTML Behaviors, compareVersions, doComponentRequest, isComponentInstalled


addDABehavior

addDABehavior Method

Adds a Microsoft® DirectAnimation® behavior (DABehavior class) to the run list when the behavior is not part of the animation model.

Syntax

anim:DA.addDABehavior(oBehavior, iID)

Parameters

oBehavior | Required. Object that specifies the DABehavior class to add.
iID | Required. Integer that specifies the identifier of the DABehavior class to add. This value is used in a subsequent call to the removeDABehavior method to remove the DABehavior class.

Return Value

No return value.

Remarks

When the system starts the animation, additional behaviors are run with the same start time as the behaviors included in the original animation.

Standards Information

There is no public standard that applies to this method.

Applies To

anim:DA


clearComponentRequest

clearComponentRequest Method

Clears the queue of all component download requests.

Syntax

clientCaps.clearComponentRequest()

Return Value

No return value.

Standards Information

There is no public standard that applies to this method.

Applies To

clientCaps

See Also

ClientCaps, Using DHTML Behaviors, addComponentRequest, doComponentRequest, isComponentInstalled


compareVersions

compareVersions Method

Compares two version numbers.

Syntax

iResult = clientCaps.compareVersions(sVersionNumber1, sVersionNumber2)

Parameters

sVersionNumber1 | Required. String that specifies the first of two version numbers to compare.
sVersionNumber2 | Required. String that specifies the second of two version numbers to compare.

Return Value

Returns one of the following values:

-1 | sVersionNumber1 is less than sVersionNumber2
0 | sVersionNumber1 is equal to sVersionNumber2
1 | sVersionNumber1 is greater than sVersionNumber2

Example

This example uses the compareVersions method to compare the version of the installed Microsoft virtual machine component with a specified version.

<HTML xmlns:IE >
<HEAD>
<STYLE>
@media all {
IE\:clientCaps {behavior:url(#default#clientcaps)}
}
</STYLE>
</HEAD>
<BODY >
<IE:clientCaps ID="oClientCaps" />
:
<SCRIPT>
sMSvmVersion = oClientCaps.getComponentVersion
("{08B0E5C0-4FCB-11CF-AAA5-00401C608500}","ComponentID");
if (0 == oClientCaps.compareVersions(sMSvmVersion, "5,0,18,1024"))
window.alert ("Versions matched!");
</SCRIPT>
:
</BODY>

Standards Information

There is no public standard that applies to this method.

Applies To

clientCaps

See Also

ClientCaps, Using DHTML Behaviors, getComponentVersion, isComponentInstalled


doComponentRequest

doComponentRequest Method

Downloads all the components that have been queued using addComponentRequest.

Syntax

bSuccess = clientCaps.doComponentRequest()

Return Value

Boolean. Returns one of the following values:

true | The specified component(s) downloaded successfully.
false | The specified component(s) were not downloaded.

Example

This example uses the doComponentRequest and addComponentRequest methods to install the Microsoft® Internet Explorer Data Binding component, if the component does not already exist in the user's system.

<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
IE\:clientCaps {behavior:url(#default#clientcaps);}
}
</STYLE>
<SCRIPT>
function window.onload()
{
var bDBAvailable  = false;
var sDBVersion = '';
var sDBID = "{9381D8F2-0288-11D0-9501-00AA00B911A5}";
bDBAvailable = oClientCaps.isComponentInstalled(sDBID,"componentid");
// if data binding is unavailable, install it
if (!bDBAvailable)
{
oClientCaps.addComponentRequest
This feature requires Internet Explorer 5 or later. Click the icon below to install the latest version.
Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

clientCaps

See Also

ClientCaps, Using DHTML Behaviors, getComponentVersion, isComponentInstalled


getComponentVersion

getComponentVersion Method

Retrieves the version of the specified component.

Syntax

sVersion = clientCaps.getComponentVersion(sID, sIDType)

Parameters

sID Required. String that specifies any of the component identifiers listed in the Detectable Components in Internet Explorer document.
sIDType Required. String that specifies the case-insensitive type of the identifier specified in sID, or the following value:
componentid Active Setup identifier of the component.

Return Value

String. Returns the version number of the component, if it is installed, or null otherwise.

Remarks

Only Microsoft® Internet Explorer components are detected by this method. If a component identifier of a third-party component is specified, the method returns null.

Example

This example detects whether the Microsoft virtual machine is installed and, if it is, uses the getComponentVersion method to indicate the version of the component currently installed.

<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
IE\:clientCaps {behavior:url(#default#clientcaps)}
}
</STYLE>
</HEAD>
<BODY>
<IE:clientCaps ID="oClientCaps" />
<SCRIPT>
sMSvmVersion = oClientCaps.getComponentVersion("{08B0E5C0-4FCB-11CF-AAA5-00401C608500}",
"ComponentID");
</SCRIPT>
:
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

clientCaps

See Also

About Client Capabilities, Using DHTML Behaviors, compareVersions, isComponentInstalled


getItemInfo

getItemInfo Method

Returns the value of the specified attribute for the current media.

Syntax

sVal = object.getItemInfo(sItemName)

Parameters

sItemName Required. String that specifies the attribute name.

Return Value

String that receives the value of the specified attribute.

Remarks

If no media is currently playing in the Media Bar, any attempt to access media attribute information with getItemInfo, getAttributeName, or attributeCount returns a script error.

Applies To

PlaylistInfo, MediaItem

See Also

getAttributeName, currentItem


isComponentInstalled

isComponentInstalled Method

Retrieves whether the specified component is available.

Syntax

bInstalled = clientCaps.isComponentInstalled(sID, sIDType [, sMinVersion])

Parameters

sID | Required. String that specifies any of the component identifiers listed in the Detectable Components in Internet Explorer document.
sIDType Required. String that specifies the case-insensitive type of the identifier specified in sID, or the following value:
componentid Active Setup identifier of the component.
sMinVersion | Optional. String that specifies the version number of the component.

Return Value

Returns one of the following values:

true | The component is installed and its version number is greater than or equal to the specified sMinVersion.
false | The component is not installed or its version number is less than the specified sMinVersion.

Remarks

Only Microsoft® Internet Explorer components are detected by this method. If a component identifier of a third-party component is specified, the method returns false.

Example

This example uses the isComponentInstalled method to determine whether the Microsoft virtual machine is installed.

<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
IE\:clientCaps {behavior:url(#default#clientcaps)}
}
</STYLE>
</HEAD>
<BODY>
<IE:clientCaps ID="oClientCaps" />
<SCRIPT>
bMSvmAvailable = oClientCaps.isComponentInstalled("{08B0E5C0-4FCB-11CF-AAA5-00401C608500}",
"ComponentID");
</SCRIPT>
:
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

clientCaps

See Also

About Client Capabilities, Using DHTML Behaviors, compareVersions, getComponentVersion


isHomePage

isHomePage Method

Determines whether the specified URL refers to the client's home page.

Syntax

bQueryHome = homePage.isHomePage(sPageURL)

Parameters

sPageURL Required. String that specifies the path and/or file name to compare against a client's specified home page.

Return Value

Boolean. Returns one of the following values:

true | The client's home page is the same as the provided argument.
false | The client's home page is different than the provided argument.

Remarks

The isHomePage method returns false if the argument and a user's home page are the same, but the document calling the method is on a different domain than the user's home page.

Example

This example uses the isHomePage method to determine whether a user's home page is the same as the specified URL.

<HTML XMLNS:IE>
<HEAD>
<STYLE>
@media all {
IE\:HOMEPAGE {behavior:url(#default#homepage)}
}
</STYLE>
<SCRIPT>
function fnVerify(){
sQueryHome = oHomePage.isHomePage(oHomeHref.value);
alert(sQueryHome);
event.returnValue = false;
}
</SCRIPT>
</HEAD>
<BODY>
<IE:HOMEPAGE ID="oHomePage" />
<INPUT TYPE=text ID=oHomeHref VALUE="http://www.microsoft.com">
<INPUT TYPE=button VALUE="Verify" onclick="fnVerify()">
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

homePage

See Also

Introduction to DHTML Behaviors


load

load Method

Loads an object participating in userData persistence from a UserData store.

Syntax

userData.load(sStoreName)

Parameters

sStoreName Required. String that specifies the arbitrary name assigned to a persistent object within a UserData store.

Return Value

No return value.

Remarks

The load method reads information from a UserData store. You can determine access to a UserData store by specifying a path within the immediate directory tree between the Web root and the current folder. For example, if you save the UserData store in the /private/ folder, a Web page located in the /public/ folder cannot access that UserData store.

This method requires an object participating in userData persistence, where the object has an ID and a class name equal to the persistence behavior.

Example

This example uses the load method to read information about an object participating in userData persistence saved in a UserData store.

<HEAD>
<STYLE>
.userData {behavior:url(#default#userdata);}
</STYLE>
<SCRIPT>
function fnLoad(){
oPersistInput.load("oDataStore");
oPersistInput.value=oPersistInput.getAttribute("sPersistAttr");
}
function fnSave(){
oPersistInput.setAttribute("sPersistAttr",oPersistInput.value);
oPersistInput.save("oDataStore");
}
</SCRIPT>
</HEAD>
<BODY >
<INPUT type=text class=userData id=oPersistInput>
<INPUT type=button value="Load Attribute" onclick="fnLoad()">
<INPUT type=button value="Save Attribute" onclick="fnSave()">
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

userData

See Also

Introduction to DHTML Behaviors, Introduction to Persistence


navigate

navigate Method

Navigates the window to the specified location and displays the contents in folder view.

Syntax

sRetVal = httpFolder.navigate(sHTTP)

Parameters

sHTTP Required. String that specifies any valid HTTP address.

Return Value

String.?Returns OK if successful, or an error message otherwise.

Remarks

The navigate method is a shortcut whose function is identical to that of the navigateFrame method with the _self for the target.

Standards Information

There is no public standard that applies to this method.

Applies To

httpFolder


navigateFrame

navigateFrame Method

Navigates the window or frame to the specified location and displays the contents in folder view.

Syntax

sRetVal = httpFolder.navigateFrame(sHTTP, sTarget)

Parameters

sHTTP Required. String that specifies any valid HTTP address.
sTarget Required. String that specifies one of the following values:
sName | Loads the document into the named target frame.
_self | Loads the document into the current window.
_top | Loads the document into a new window.

Return Value

String.?Returns OK if successful, or an error message otherwise.

Remarks

This method requires an object with the httpFolder behavior.

Standards Information

There is no public standard that applies to this method.

Applies To

httpFolder


navigateHomePage

navigateHomePage Method

Navigates the browser to a user's home page.

Syntax

homePage.navigateHomePage()

Return Value

No return value.

Example

This example uses the navigateHomePage method to load a user's home page.

<HTML XMLNS:IE>
<HEAD>
<STYLE>
@media all {
IE\:HOMEPAGE {behavior:url(#default#homepage)}
}
</STYLE>
<SCRIPT>
function fnGo(){
oHomePage.navigateHomePage();
event.returnValue=false;
}
</SCRIPT>
</HEAD>
<BODY>
<IE:HOMEPAGE ID="oHomePage" />
<INPUT TYPE=button VALUE="Navigate" onclick="fnGo()">
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

homePage

See Also

Introduction to DHTML Behaviors


playNext

playNext Method

Starts playback of the next media item in the playlist, if a playlist is present.

Syntax

mediaBar.playNext()

Return Value

No return value.

Applies To

mediaBar


playURL

playURL Method

Loads media from a URL into the Media Bar and starts playback.

Syntax

mediaBar.playURL(sURL, sMIME)

Parameters

sURL | Required. String that specifies the URL of the media to play.
sMIME | Required. String that specifies the Multipurpose Internet Mail Extensions (MIME) type of the media to play. Cannot be NULL.

Return Value

No return value.

Remarks

You must specify the MIME type for sMIME . If the MIME type specified is invalid but not NULL, the openState property returns 21 ("The player is opening a URL whose type is not known") while Internet Explorer attempts to determine the media's MIME type. Internet Explorer can handle the media appropriately, even if the MIME type specified in sMIME is incorrect. However, if no MIME type is specified, the Media Bar does not play the media. For more information about MIME types, see MIME Types in IIS.

You must also specify an absolute http, https, or ftp address for the media with sURL . Unlike the HTML page loaded in the media pane, the media player itself cannot serve as a reference point to a particular domain for uplevel or downlevel directories. Therefore, specify an absolute URL in calls to playURL.

If no media is currently playing in the Media Bar, any attempt to access media attribute information with getItemInfo, getAttributeName, or attributeCount returns a script error.

Example

In the following example, a button loaded in the Media Bar content area starts playback of an ASX file.

<INPUT type=button onclick="divMedia.playURL(
'http://msdn.microsoft.com/workshop/samples/author/behaviors/media/mediabar_1.asx',
'video/x-ms-asf');" value='Play the ASX file'/>
This feature requires Microsoft® Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

mediaBar


removeDABehavior

removeDABehavior Method

Removes a Microsoft® DirectAnimation® behavior (DABehavior class) added by the addDABehavior method.

Syntax

anim:DA.removeDABehavior(iID)

Parameters

iID Required. Integer that specifies the identifier of the DABehavior class to remove. This value is obtained from a previous call made to the addDABehavior method.

Return Value

No return value.

Standards Information

There is no public standard that applies to this method.

Applies To

anim:DA


save

save Method

Saves an object participating in userData persistence to a UserData store.

Syntax

userData.save(sStoreName)

Parameters

sStoreName Required. String that specifies the arbitrary name assigned to a persistent object within a UserData store.

Return Value

No return value.

Remarks

The save method writes information into a UserData store. You can determine access to a UserData store by specifying a path within the immediate directory tree between the Web root and the current folder. For example, if you save the UserData store in the /private/ folder, a Web page located in the /public/ folder cannot access the UserData store.

This method requires an object participating in userData persistence, where that object has an ID and a class name equal to the desired persistence behavior.

Example

This example uses the save method to save an object participating in userData persistence to a UserData store.

<HEAD>
<STYLE>
.userData {behavior:url(#default#userdata);}
</STYLE>
<SCRIPT>
function fnLoad(){
oPersistInput.load("oDataStore");
oPersistInput.value=oPersistInput.getAttribute("sPersistAttr");
}
function fnSave(){
oPersistInput.setAttribute("sPersistAttr",oPersistInput.value);
oPersistInput.save("oDataStore");
}
</SCRIPT>
</HEAD>
<BODY >
<INPUT type=text class=userData id=oPersistInput>
<INPUT type=button value="Load Attribute" onclick="fnLoad()">
<INPUT type=button value="Save Attribute" onclick="fnSave()">
</BODY>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

userData

See Also

Introduction to DHTML Behaviors, Introduction to Persistence


setHomePage

setHomePage Method

Sets a user's home page to the specified value.

Syntax

homePage.setHomePage(sPageURL)

Parameters

sPageURL Required. String that specifies the path and/or file name of the user's home page.

Return Value

No return value.

Remarks

The setHomePage method prompts the user to confirm the new home page value before setting it on the browser.

Example

This example uses the setHomePage method to set a user's home page.

<HTML XMLNS:IE>
<HEAD>
<STYLE>
@media all {
IE\:HOMEPAGE {behavior:url(#default#homepage)}
}
</STYLE>
<SCRIPT>
function fnSet(){
oHomePage.setHomePage(oHomeHref.value);
event.returnValue = false;
}
</SCRIPT>
</HEAD>
<BODY>
<IE:HOMEPAGE ID="oHomePage" />
<INPUT TYPE=text ID=oHomeHref VALUE="http://www.microsoft.com">
<INPUT TYPE=button VALUE="Set" onclick="fnSet()">
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this method.

Applies To

homePage

See Also

Introduction to DHTML Behaviors


startDownload

startDownload Method

Downloads the specified file.

Syntax

download.startDownload(sUrl, fpCallback)

Parameters

sUrl | Required. String that specifies the location of the file to download.
fpCallback | Required. Function pointer that specifies the code to execute after the download is complete.

Return Value

No return value.

Remarks

The callback function pointer takes a single parameter. When a file downloads successfully, the file contents are passed as the parameter and are accessible in script.

The startDownload method returns only the content of text documents. If a different document format is downloaded, the format is returned, but the file content is not.

Note In order to use the startDownload method with Microsoft® Visual Basic® Scripting Edition (VBScript), you need to use the GetRef to obtain a function pointer. The function pointer can then be passed to startDownload.

The following sample code shows a callback function.

// The callback function accepts one parameter.
function fnCallBack(vData){
/* vData stores the downloaded file content.
The content can be split into an array,
written to another file, or processed in a form.
*/
var aData=vData.split("\n");
}

Examples

This example uses the startDownload method to begin downloading a file when the user clicks the link. In addition, the specified callback function, onDownloadDone, is notified when the download is complete.

<HTML XMLNS:MSIE >
<MSIE:DOWNLOAD ID="oDownload" STYLE="behavior:url(#default#download)" />
<SCRIPT>
function onDownloadDone(s) { alert (s); }
</SCRIPT>
<P>Click <A HREF="javascript:oDownload.startDownload('download.htm',
onDownloadDone)">here</A> to download this page.
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example demonstrates using the download behavior with VBScript.

<HTML XMLNS:IE>
<SCRIPT LANGUAGE="VBScript">
Function onDownloadDone(s)
MsgBox s
End Function
</SCRIPT>
<IE:DOWNLOAD ID="oDownload" STYLE="behavior:url(#default#download)" />
<button
onclick="vbscript:oDownload.startDownload 'downloadvb.htm', GetRef('onDownloadDone')">
Download File</button>

Standards Information

There is no public standard that applies to this method.

Applies To

download


stop

stop Method

Stops playback of the media that is currently playing.

Syntax

mediaBar.stop()

Return Value

No return value.

Remarks

When the current instance of the Media Bar behavior is unloaded—in other words, during dynamic navigation in the Media Bar HTML content area, or when the content area is refreshed—the currently playing media stops. This design helps protect user privacy. However, developers should be aware of this functionality when designing dynamic content for the Media Bar content area, and consider other strategies to maintain the currently playing instance of the behavior. The iframe and XMLHttpRequest objects provide a couple of possibilities.

If a second call to the stop method is made within 10 seconds of the first call, the media pane loads a default page. This occurs even when the stop method call is made because the current instance of the Media Bar behavior is unloaded.

Applies To

mediaBar


onhide

onhide Event

Fires when the Media Bar player is hidden.

Syntax

Event property | mediaBar.onhide = handler | JScript only
mediaBar.onhide = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = mediaBar EVENT = onhide> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke
  • Click the Close button in the Media pane.
  • Click the Media button in the Internet Explorer toolbar.
  • Choose Explorer Bar from the View menu and clear the Media menu item.
Default action | Initiates any action associated with this script.

Available Properties

Available Properties

srcElement

Applies To

mediaBar


onload

onload Event

Fires from a persistent element when the page reloads.

Syntax

Event property | object.onload = handler | JScript only
object.onload = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onload> | Internet Explorer only

Event Information

Bubbles | No
Cancels | Yes
To invoke | Load the persistent Web page from a favorite or shortcut or through an Internet address.
Default action | Initiates any action associated with this script. The onload event for behaviors overrides the onload event for DHTML objects.

Available Properties

Available Properties

srcElement

Example

This example shows how to use the onload event for a persistence behavior.

<HTML>
<HEAD>
<META NAME="save" CONTENT="favorite">
<STYLE>
.saveFavorite {behavior:url(#default#savefavorite);}
</STYLE>
<SCRIPT>
function fnSaveInput(){
oPersistInput.setAttribute("sPersistValue",oPersistInput.value);
}
function fnLoadInput(){
alert("The onload event fired.");
oPersistInput.value=oPersistInput.getAttribute("sPersistValue");
}
</SCRIPT>
</HEAD>
<BODY>
<INPUT class=saveFavorite onsave="fnSaveInput()" onload="fnLoadInput()"
type=text id=oPersistInput>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this event.

Applies To

saveFavorite, saveHistory


onopenstatechange

onopenstatechange Event

Fires when the Media Bar player changes its open state.

Syntax

Event property | mediaBar.onopenstatechange = handler | JScript only
mediaBar.onopenstatechange = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = mediaBar EVENT = onopenstatechange> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke
  • Attempt to open media content in the media player.
  • Attempt to change the media content playing in the media player.
Default action | Initiates any action associated with this script.

Available Properties

Available Properties

srcElement

Remarks

The Media Bar player's open state changes as it locates and loads playlists, connects to servers hosting media content, acquires codecs for media playback, and so on. To handle events related to playback of media items, use onplaystatechange.

If multiple instances of the mediaBar behavior run concurrently, only one of them receives event notification, even though all instances have access to media item attributes and information about the open and play states. Developers are encouraged to avoid designs that employ multiple instances of the behavior.

Although the event object is theoretically available in event notifications from onopenstatechange and onplaystatechange, it does not contain or provide useful information if queried. Instead, event handlers should query the openState and playState properties to return player state information.

Example

In the following example, HTML in the Media Bar content area is updated with the media's open state information when the onopenstatechange event fires. Because the openState and playState properties return an integer, the function in this example accesses an array in order to return a text description. The array is not shown on this page, but you can see it by clicking the Show Me sample and viewing the source code.

<SCRIPT>
.
.
.
function open_state_handle() {
// Return open state as integer and access the array to return the text associated
// with that integer
div_Openstate.innerText += divMedia.openState + '  ' + open_array[divMedia.openState]
+ '<BR>';
}
.
.
.
</SCRIPT>
<BODY>
<!-- In the Media Bar content area, the open state description text appears in divMedia. -->
<DIV style="behavior:url(#default#mediaBar)" OnOpenStateChange="open_state_handle()"
id="divMedia"></DIV>
</BODY>
This feature requires Microsoft® Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

mediaBar

See Also

openState


onplaystatechange

onplaystatechange Event

Fires when the Media Bar player changes its play state.

Syntax

Event property | mediaBar.onplaystatechange = handler | JScript only
mediaBar.onplaystatechange = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = mediaBar EVENT = onplaystatechange> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke
  • Attempt to play media content in the media player.
  • Scan forward or backward in the currently playing media content.
  • Pause or stop the currently playing media content.
Default action | Initiates any action associated with this script.

Available Properties

Available Properties

srcElement

Remarks

The Media Bar player's play state changes as it begins, pauses, or stops media playback, scans a stream forward or backward, and buffers or waits for streaming data. To handle events related to locating and opening media items, use onopenstatechange.

If multiple instances of the mediaBar behavior run concurrently, only one of them receives event notification, even though all instances have access to media item attributes and information about the open and play states. Developers are encouraged to avoid designs that employ multiple instances of the behavior.

Although the event object is theoretically available in event notifications from onopenstatechange and onplaystatechange, it does not contain or provide useful information if queried. Instead, event handlers should query the openState and playState properties to return player state information.

Example

In the following example, HTML in the Media Bar content area is updated with the media's play state information when the onplaystatechange event fires. Because the openState and playState properties return an integer, the function in this example accesses an array in order to return a text description. The array is not shown on this page, but you can see it by clicking the Show Me sample and viewing the source code.

<SCRIPT>
.
.
.
function play_state_handle() {
// Return the play state as integer and access the array to return the text associated
// with that integer
div_Playstate.innerText += divMedia.playState + '  ' + play_array[divMedia.playState]
+ '<BR>'
}
.
.
.
</SCRIPT>
<BODY>
<!-- In the Media Bar content area, the play state description text appears in divMedia. -->
<DIV style="behavior:url(#default#mediaBar)" OnPlayStateChange="play_state_handle()"
id="divMedia"></DIV>
</BODY>
This feature requires Microsoft® Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

mediaBar

See Also

playState


onsave

onsave Event

Fires from a persisted element when the Web page is saved or bookmarked, or when the user navigates away from the page.

Syntax

Event property | object.onsave = handler | JScript only
object.onsave = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onsave> | Internet Explorer only

Event Information

Bubbles | No
Cancels | Yes
To invoke
  • Save the Web page.
  • Bookmark the Web page.
  • Navigate to another page.
Default action | Initiates any action associated with this script.

Available Properties

Available Properties

srcElement

Example

This example shows how to use the onsave event for a persistence behavior.

<HTML>
<HEAD>
<META NAME="save" CONTENT="favorite">
<STYLE>
.saveFavorite {behavior:url(#default#savefavorite);}
</STYLE>
<SCRIPT>
function fnSaveInput(){
alert("The onsave event fired.");
oPersistInput.setAttribute("sPersistValue",oPersistInput.value);
}
function fnLoadInput(){
oPersistInput.value=oPersistInput.getAttribute("sPersistValue");
}
</SCRIPT>
</HEAD>
<BODY>
<INPUT class=saveFavorite onsave="fnSaveInput()" onload="fnLoadInput()"
type=text id=oPersistInput>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this event.

Applies To

saveFavorite, saveHistory, saveSnapshot


onshow

onshow Event

Fires when the Media Bar player becomes visible.

Syntax

Event property | mediaBar.onshow = handler | JScript only
mediaBar.onshow = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = mediaBar EVENT = onshow> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke
  • Click the Media button in the Internet Explorer toolbar to display the media player.
  • Select Explorer Bars from the View menu, and then click Media to display the media player.
  • Click a Media Bar behavior-targeted link in the main browser window.
  • Type the URL of a media file in the address bar.
Default action | Initiates any action associated with this script.

Available Properties

Available Properties

srcElement

Applies To

mediaBar

See Also

onhide


availHeight

availHeight Property

Retrieves the height of the working area of the system's screen, excluding the Microsoft® Windows® taskbar.

Syntax

XML | N/A
Scripting | [ iHeight = ] clientCaps.availHeight

Possible Values

iHeight Integer that receives the available screen height, in pixels.

The property is read-only. The property has no default value.

Example

This example displays all the properties available through the clientCaps behavior.

<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
IE\:CLIENTCAPS {behavior:url(#default#clientCaps)}
}
</STYLE>
<SCRIPT>
function window.onload()
{
sTempStr = "availHeight    = " + oClientCaps.availHeight    + "\n" +
"availWidth     = " + oClientCaps.availWidth     + "\n" +
"bufferDepth    = " + oClientCaps.bufferDepth    + "\n" +
"colorDepth     = " + oClientCaps.colorDepth     + "\n" +
"connectionType = " + oClientCaps.connectionType + "\n" +
"cookieEnabled  = " + oClientCaps.cookieEnabled  + "\n" +
"cpuClass       = " + oClientCaps.cpuClass       + "\n" +
"height         = " + oClientCaps.height         + "\n" +
"javaEnabled    = " + oClientCaps.javaEnabled    + "\n" +
"platform       = " + oClientCaps.platform       + "\n" +
"systemLanguage = " + oClientCaps.systemLanguage + "\n" +
"userLanguage   = " + oClientCaps.userLanguage   + "\n" +
"width          = " + oClientCaps.width          + "\n" ;
oPre.innerText = sTempStr;
}
</SCRIPT>
</HEAD>
<BODY>
<H1>clientCaps Behavior Sample</H1>
<P>This example shows how to use the new <B>clientCaps</B>
behavior, introduced in Microsoft Internet Explorer 5, to obtain
client capabilities information. The following is a sampling of the
information that can be obtained:</P>
<IE:CLIENTCAPS ID="oClientCaps" />
<PRE id="oPre"></PRE>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

clientCaps

See Also

About Client Capabilities, height


availWidth

availWidth Property

Retrieves the width of the working area of the system's screen, excluding the Microsoft® Windows® taskbar.

Syntax

XML | N/A
Scripting | [ iWidth = ] clientCaps.availWidth

Possible Values

iWidth Integer that receives the available screen width, in pixels.

The property is read-only. The property has no default value.

Example

This example displays all the properties available through the clientCaps behavior.

<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
IE\:CLIENTCAPS {behavior:url(#default#clientCaps)}
}
</STYLE>
<SCRIPT>
function window.onload()
{
sTempStr = "availHeight    = " + oClientCaps.availHeight    + "\n" +
"availWidth     = " + oClientCaps.availWidth     + "\n" +
"bufferDepth    = " + oClientCaps.bufferDepth    + "\n" +
"colorDepth     = " + oClientCaps.colorDepth     + "\n" +
"connectionType = " + oClientCaps.connectionType + "\n" +
"cookieEnabled  = " + oClientCaps.cookieEnabled  + "\n" +
"cpuClass       = " + oClientCaps.cpuClass       + "\n" +
"height         = " + oClientCaps.height         + "\n" +
"javaEnabled    = " + oClientCaps.javaEnabled    + "\n" +
"platform       = " + oClientCaps.platform       + "\n" +
"systemLanguage = " + oClientCaps.systemLanguage + "\n" +
"userLanguage   = " + oClientCaps.userLanguage   + "\n" +
"width          = " + oClientCaps.width          + "\n" ;
oPre.innerText = sTempStr;
}
</SCRIPT>
</HEAD>
<BODY>
<H1>clientCaps Behavior Sample</H1>
<P>This example shows how to use the new <B>clientCaps</B>
behavior, introduced in Microsoft Internet Explorer 5, to obtain
client capabilities information. The following is a sampling of the
information that can be obtained:</P>
<IE:CLIENTCAPS ID="oClientCaps" />
<PRE id="oPre"></PRE>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

clientCaps

See Also

About Client Capabilities, width


bufferDepth

bufferDepth Property

Retrieves the number of bits per pixel used for colors on the off-screen bitmap buffer.

Syntax

XML | N/A
Scripting | [ iBitsPerPixel = ] clientCaps.bufferDepth

Possible Values

iBitsPerPixel Integer that receives one of the following values:
0 | Default. No explicit buffering occurs. The colorDepth property is set to the screen depth.
-1 | Buffering occurs at the screen depth. The colorDepth property is set to the screen depth.
1, 4, 8, 15, 16, 24, 32 | Off-screen buffering occurs based on the specified number of bits per pixel. The colorDepth property is also set to this value. The value 15 specifies 16 bits per pixel, in which only 15 bits are used in a 5-5-5 layout of red-green-blue (RGB) values.

The property is read-only. The property has a default value of 0.

Remarks

Nonsupported values cause bufferDepth to be set to -1.

When bufferDepth is -1 and the user changes system settings that affect the screen depth, the buffer depth automatically updates to the new depth. This does not occur if bufferDepth is set to a specific value.

Example

This example displays all the properties available through the clientCaps behavior.

<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
IE\:CLIENTCAPS {behavior:url(#default#clientCaps)}
}
</STYLE>
<SCRIPT>
function window.onload()
{
sTempStr = "availHeight    = " + oClientCaps.availHeight    + "\n" +
"availWidth     = " + oClientCaps.availWidth     + "\n" +
"bufferDepth    = " + oClientCaps.bufferDepth    + "\n" +
"colorDepth     = " + oClientCaps.colorDepth     + "\n" +
"connectionType = " + oClientCaps.connectionType + "\n" +
"cookieEnabled  = " + oClientCaps.cookieEnabled  + "\n" +
"cpuClass       = " + oClientCaps.cpuClass       + "\n" +
"height         = " + oClientCaps.height         + "\n" +
"javaEnabled    = " + oClientCaps.javaEnabled    + "\n" +
"platform       = " + oClientCaps.platform       + "\n" +
"systemLanguage = " + oClientCaps.systemLanguage + "\n" +
"userLanguage   = " + oClientCaps.userLanguage   + "\n" +
"width          = " + oClientCaps.width          + "\n" ;
oPre.innerText = sTempStr;
}
</SCRIPT>
</HEAD>
<BODY>
<H1>clientCaps Behavior Sample</H1>
<P>This example shows how to use the new <B>clientCaps</B>
behavior, introduced in Microsoft Internet Explorer 5, to obtain
client capabilities information. The following is a sampling of the
information that can be obtained:</P>
<IE:CLIENTCAPS ID="oClientCaps" />
<PRE id="oPre"></PRE>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

clientCaps

See Also

About Client Capabilities


colorDepth

colorDepth Property

Retrieves the number of bits per pixel used for colors on the destination device or buffer.

Syntax

XML | N/A
Scripting | [ iBitsPerPixel = ] clientCaps.colorDepth

Possible Values

iBitsPerPixel Integer that receives one of the following values:
1, 4, 8, 15, 16, 24, 32 Off-screen buffering occurs based on the specified number of bits per pixel. The value 15 specifies 16 bits per pixel, in which only 15 bits are used in a 5-5-5 layout of red-green-blue (RGB) values.

The property is read-only. The property has no default value.

Remarks

To select an appropriate color to return to the browser, retrieve the property's value through script.

If bufferDepth is 0 or -1, colorDepth is equal to the bits-per-pixel value for the screen or printer. If bufferDepth is nonzero, colorDepth is equal to bufferDepth.

Example

This example displays all the properties available through the clientCaps behavior.

<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
IE\:CLIENTCAPS {behavior:url(#default#clientCaps)}
}
</STYLE>
<SCRIPT>
function window.onload()
{
sTempStr = "availHeight    = " + oClientCaps.availHeight    + "\n" +
"availWidth     = " + oClientCaps.availWidth     + "\n" +
"bufferDepth    = " + oClientCaps.bufferDepth    + "\n" +
"colorDepth     = " + oClientCaps.colorDepth     + "\n" +
"connectionType = " + oClientCaps.connectionType + "\n" +
"cookieEnabled  = " + oClientCaps.cookieEnabled  + "\n" +
"cpuClass       = " + oClientCaps.cpuClass       + "\n" +
"height         = " + oClientCaps.height         + "\n" +
"javaEnabled    = " + oClientCaps.javaEnabled    + "\n" +
"platform       = " + oClientCaps.platform       + "\n" +
"systemLanguage = " + oClientCaps.systemLanguage + "\n" +
"userLanguage   = " + oClientCaps.userLanguage   + "\n" +
"width          = " + oClientCaps.width          + "\n" ;
oPre.innerText = sTempStr;
}
</SCRIPT>
</HEAD>
<BODY>
<H1>clientCaps Behavior Sample</H1>
<P>This example shows how to use the new <B>clientCaps</B>
behavior, introduced in Microsoft Internet Explorer 5, to obtain
client capabilities information. The following is a sampling of the
information that can be obtained:</P>
<IE:CLIENTCAPS ID="oClientCaps" />
<PRE id="oPre"></PRE>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

clientCaps

See Also

About Client Capabilities


cookieEnabled

cookieEnabled Property

Retrieves whether client-side cookies are enabled in the browser.

Syntax

XML | N/A
Scripting | [ bEnabled = ] clientCaps.cookieEnabled

Possible Values

bEnabled Boolean that specifies one of the following values:
false | Browser does not support cookies.
true | Browser supports cookies.

The property is read-only. The property has no default value.

Example

This example displays all the properties available through the clientCaps behavior.

<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
IE\:CLIENTCAPS {behavior:url(#default#clientCaps)}
}
</STYLE>
<SCRIPT>
function window.onload()
{
sTempStr = "availHeight    = " + oClientCaps.availHeight    + "\n" +
"availWidth     = " + oClientCaps.availWidth     + "\n" +
"bufferDepth    = " + oClientCaps.bufferDepth    + "\n" +
"colorDepth     = " + oClientCaps.colorDepth     + "\n" +
"connectionType = " + oClientCaps.connectionType + "\n" +
"cookieEnabled  = " + oClientCaps.cookieEnabled  + "\n" +
"cpuClass       = " + oClientCaps.cpuClass       + "\n" +
"height         = " + oClientCaps.height         + "\n" +
"javaEnabled    = " + oClientCaps.javaEnabled    + "\n" +
"platform       = " + oClientCaps.platform       + "\n" +
"systemLanguage = " + oClientCaps.systemLanguage + "\n" +
"userLanguage   = " + oClientCaps.userLanguage   + "\n" +
"width          = " + oClientCaps.width          + "\n" ;
oPre.innerText = sTempStr;
}
</SCRIPT>
</HEAD>
<BODY>
<H1>clientCaps Behavior Sample</H1>
<P>This example shows how to use the new <B>clientCaps</B>
behavior, introduced in Microsoft Internet Explorer 5, to obtain
client capabilities information. The following is a sampling of the
information that can be obtained:</P>
<IE:CLIENTCAPS ID="oClientCaps" />
<PRE id="oPre"></PRE>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

clientCaps

See Also

About Client Capabilities


cpuClass

cpuClass Property

Retrieves a string representing the CPU class.

Syntax

XML | N/A
Scripting | [ sCPU = ] clientCaps.cpuClass

Possible Values

sCPU String that receives one of the following values:
x86 | CPU is an x86 processor.
Alpha | CPU is an Alpha processor.

The property is read-only. The property has no default value.

Example

This example displays all the properties available through the clientCaps behavior.

<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
IE\:CLIENTCAPS {behavior:url(#default#clientCaps)}
}
</STYLE>
<SCRIPT>
function window.onload()
{
sTempStr = "availHeight    = " + oClientCaps.availHeight    + "\n" +
"availWidth     = " + oClientCaps.availWidth     + "\n" +
"bufferDepth    = " + oClientCaps.bufferDepth    + "\n" +
"colorDepth     = " + oClientCaps.colorDepth     + "\n" +
"connectionType = " + oClientCaps.connectionType + "\n" +
"cookieEnabled  = " + oClientCaps.cookieEnabled  + "\n" +
"cpuClass       = " + oClientCaps.cpuClass       + "\n" +
"height         = " + oClientCaps.height         + "\n" +
"javaEnabled    = " + oClientCaps.javaEnabled    + "\n" +
"platform       = " + oClientCaps.platform       + "\n" +
"systemLanguage = " + oClientCaps.systemLanguage + "\n" +
"userLanguage   = " + oClientCaps.userLanguage   + "\n" +
"width          = " + oClientCaps.width          + "\n" ;
oPre.innerText = sTempStr;
}
</SCRIPT>
</HEAD>
<BODY>
<H1>clientCaps Behavior Sample</H1>
<P>This example shows how to use the new <B>clientCaps</B>
behavior, introduced in Microsoft Internet Explorer 5, to obtain
client capabilities information. The following is a sampling of the
information that can be obtained:</P>
<IE:CLIENTCAPS ID="oClientCaps" />
<PRE id="oPre"></PRE>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

clientCaps

See Also

About Client Capabilities


platform

platform Property

Retrieves the platform on which the browser is running.

Syntax

XML | N/A
Scripting | [ sPlatform = ] clientCaps.platform

Possible Values

sPlatform String that receives one of the following values:
Win32 | Browser is running on Windows 32-bit platform.
Win16 | Browser is running on Windows 16-bit platform.
WinCE | Browser is running on Windows CE platform.

The property is read-only. The property has no default value.

Example

This example displays all the properties available through the clientCaps behavior.

<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
IE\:CLIENTCAPS {behavior:url(#default#clientCaps)}
}
</STYLE>
<SCRIPT>
function window.onload()
{
sTempStr = "availHeight    = " + oClientCaps.availHeight    + "\n" +
"availWidth     = " + oClientCaps.availWidth     + "\n" +
"bufferDepth    = " + oClientCaps.bufferDepth    + "\n" +
"colorDepth     = " + oClientCaps.colorDepth     + "\n" +
"connectionType = " + oClientCaps.connectionType + "\n" +
"cookieEnabled  = " + oClientCaps.cookieEnabled  + "\n" +
"cpuClass       = " + oClientCaps.cpuClass       + "\n" +
"height         = " + oClientCaps.height         + "\n" +
"javaEnabled    = " + oClientCaps.javaEnabled    + "\n" +
"platform       = " + oClientCaps.platform       + "\n" +
"systemLanguage = " + oClientCaps.systemLanguage + "\n" +
"userLanguage   = " + oClientCaps.userLanguage   + "\n" +
"width          = " + oClientCaps.width          + "\n" ;
oPre.innerText = sTempStr;
}
</SCRIPT>
</HEAD>
<BODY>
<H1>clientCaps Behavior Sample</H1>
<P>This example shows how to use the new <B>clientCaps</B>
behavior, introduced in Microsoft Internet Explorer 5, to obtain
client capabilities information. The following is a sampling of the
information that can be obtained:</P>
<IE:CLIENTCAPS ID="oClientCaps" />
<PRE id="oPre"></PRE>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

clientCaps

See Also

About Client Capabilities


systemLanguage

systemLanguage Property

Retrieves the default language that the system is running.

Syntax

XML | N/A
Scripting | [ sLanguage = ] clientCaps.systemLanguage

Possible Values

sLanguage String that receives any of the values described in Language Codes.

The property is read-only. The property has no default value.

Example

This example displays all the properties available through the clientCaps behavior.

<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
IE\:CLIENTCAPS {behavior:url(#default#clientCaps)}
}
</STYLE>
<SCRIPT>
function window.onload()
{
sTempStr = "availHeight    = " + oClientCaps.availHeight    + "\n" +
"availWidth     = " + oClientCaps.availWidth     + "\n" +
"bufferDepth    = " + oClientCaps.bufferDepth    + "\n" +
"colorDepth     = " + oClientCaps.colorDepth     + "\n" +
"connectionType = " + oClientCaps.connectionType + "\n" +
"cookieEnabled  = " + oClientCaps.cookieEnabled  + "\n" +
"cpuClass       = " + oClientCaps.cpuClass       + "\n" +
"height         = " + oClientCaps.height         + "\n" +
"javaEnabled    = " + oClientCaps.javaEnabled    + "\n" +
"platform       = " + oClientCaps.platform       + "\n" +
"systemLanguage = " + oClientCaps.systemLanguage + "\n" +
"userLanguage   = " + oClientCaps.userLanguage   + "\n" +
"width          = " + oClientCaps.width          + "\n" ;
oPre.innerText = sTempStr;
}
</SCRIPT>
</HEAD>
<BODY>
<H1>clientCaps Behavior Sample</H1>
<P>This example shows how to use the new <B>clientCaps</B>
behavior, introduced in Microsoft Internet Explorer 5, to obtain
client capabilities information. The following is a sampling of the
information that can be obtained:</P>
<IE:CLIENTCAPS ID="oClientCaps" />
<PRE id="oPre"></PRE>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

clientCaps

See Also

About Client Capabilities


TARGET Attribute | target

TARGET Attribute | target Property

Sets or retrieves the name of a window or frame that is the target for navigation.

Syntax

XML | <ELEMENT TARGET = sTarget... >
Scripting | anchorClick.target [ = sTarget ]

Possible Values

sTarget String that specifies or receives one or more of the following values:
sName | Name of the frame or window.
_self | Linked document loads into the same window as the link.
_top | Linked document loads into the topmost window.

The property is read/write. The property has no default value.

Remarks

This property is case sensitive.

The TARGET attribute is exposed to objects participating in the anchorClick behavior.

Example

This example uses the TARGET attribute and the anchorClick behavior to specify the name of a window or frame.

<STYLE>
SPAN {behavior:url(#default#AnchorClick);}
</STYLE>
<!--
The href points to folder.htm for earlier browser versions,
the FOLDER attribute points to the local root.
-->
<SPAN TARGET="_top" "FOLDER = "/" >
Open Folder
</SPAN>

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

anchorClick


userLanguage

userLanguage Property

Retrieves the current user language.

Syntax

XML | N/A
Scripting | [ sLanguage = ] clientCaps.userLanguage

Possible Values

sLanguage String that receives any of the possible return values listed in Language Codes.

The property is read-only. The property has no default value.

Example

This example displays all the properties available through the clientCaps behavior.

<HTML xmlns:IE>
<HTML xmlns:IE>
<HEAD>
<STYLE>
@media all {
IE\:CLIENTCAPS {behavior:url(#default#clientCaps)}
}
</STYLE>
<SCRIPT>
function window.onload()
{
sTempStr = "availHeight    = " + oClientCaps.availHeight    + "\n" +
"availWidth     = " + oClientCaps.availWidth     + "\n" +
"bufferDepth    = " + oClientCaps.bufferDepth    + "\n" +
"colorDepth     = " + oClientCaps.colorDepth     + "\n" +
"connectionType = " + oClientCaps.connectionType + "\n" +
"cookieEnabled  = " + oClientCaps.cookieEnabled  + "\n" +
"cpuClass       = " + oClientCaps.cpuClass       + "\n" +
"height         = " + oClientCaps.height         + "\n" +
"javaEnabled    = " + oClientCaps.javaEnabled    + "\n" +
"platform       = " + oClientCaps.platform       + "\n" +
"systemLanguage = " + oClientCaps.systemLanguage + "\n" +
"userLanguage   = " + oClientCaps.userLanguage   + "\n" +
"width          = " + oClientCaps.width          + "\n" ;
oPre.innerText = sTempStr;
}
</SCRIPT>
</HEAD>
<BODY>
<H1>clientCaps Behavior Sample</H1>
<P>This example shows how to use the new <B>clientCaps</B>
behavior, introduced in Microsoft Internet Explorer 5, to obtain
client capabilities information. The following is a sampling of the
information that can be obtained:</P>
<IE:CLIENTCAPS ID="oClientCaps" />
<PRE id="oPre"></PRE>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

clientCaps

See Also

About Client Capabilities


XMLDocument

XMLDocument Property

Retrieves a reference to the XML Document Object Model (DOM) exposed by the object.

Syntax

XML | N/A
Scripting | [ oXMLObject = ] object.XMLDocument

Possible Values

oXMLObject Object that specifies the XML DOM exposed by the object.

The property is read-only. The property has no default value.

Remarks

For a complete description of the XML DOM exposed by the XMLDocument property, see the XML DOM Reference.

When persistence is applied to an element, a root node is automatically created within the exposed XML document. This node is accessed through the documentElement property. You can use setAttribute to add attributes to the root node, and you can use appendChild to add child nodes to the root node.

The XMLDocument property is available to the saveFavorite and saveHistory behaviors only when the onload and onsave events are fired.

Example

This example shows how a persistent object can access the XML DOM through the XMLDocument property. The setAttribute method is exposed through the XML DOM. The setAttribute method is not the same as the DHTML and persistence methods of the same name.

<HTML>
<HEAD>
<META NAME="save" CONTENT="history">
<STYLE>
.saveHistory {behavior:url(#default#savehistory);}
</STYLE>
<SCRIPT>
function fnSave(){
var oXMLDoc=oPersistObject.XMLDocument;
var oNode=oXMLDoc.createNode(1,"Trunk", "");
oNode.text="A tree trunk.";
oNode.setAttribute("desc",oPersistObject.innerHTML);
oXMLDoc.documentElement.insertBefore(oNode, null);
}
function fnLoad(){
var oXMLDoc=oPersistObject.XMLDocument;
var oItem=oXMLDoc.documentElement.childNodes.item(1);
oPersistObject.innerHTML=oItem.getAttribute("desc");
}
function fnInsTxt(){
oPersistObject.innerHTML="I am an Ash.  I am an Ash sapling."
+ "Well, I am the trunk of an Ash sapling.";
}
</SCRIPT>
</HEAD>
<BODY>
<INPUT TYPE="button" VALUE="Insert Text" ONCLICK="fnInsTxt()">
<A HREF="/workshop/samples/author/persistence/saveTarget_1.htm">
Leave The Page
</A>
<DIV
ID="oPersistObject"
CLASS="saveHistory"
ONSAVE="fnSave()"
ONLOAD="fnLoad()">
</DIV>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

saveFavorite, saveHistory, userData

See Also

Introduction to Persistence


HTML Applications

HTML Applications (HTAs) are full-fledged applications. These applications are trusted and display only the menus, icons, toolbars, and title information that the Web developer creates. In short, HTAs pack all the power of Microsoft® Internet Explorer—its object model, performance, rendering power, protocol support, and channel–download technology—without enforcing the strict security model and user interface of the browser. HTAs can be created using the HTML and Dynamic HTML (DHTML) that you already know.

Overviews/Tutorials

Introduction to HTML Applications (HTAs)

The power to build HTAs brings Internet Explorer 5 to the fore as a viable Microsoft Windows® development platform. HTAs are full-fledged applications. These applications are trusted and display only the menus, icons, toolbars, and title information that the Web developer creates. In short, HTAs pack all the power of Internet Explorer—its object model, performance, rendering power, protocol support, and channel-download technology—without enforcing the strict security model and user interface of the browser.

Elements/Objects

HTA:APPLICATION

Enables an extended object model for building HTML Applications (HTA).

Attributes/Properties

APPLICATION

Indicates whether the content of the object is an HTML Application (HTA) and, therefore, exempt from the browser security model.

applicationName

Sets or retrieves the name of the HTML Application (HTA).

border

Sets or retrieves the type of window border for the HTML Application (HTA).

borderStyle

Sets or retrieves the style set for the content border within the HTML Application (HTA) window.

caption

Sets or retrieves a Boolean value that indicates whether the window is set to display a title bar or caption, for the HTML Application (HTA).

commandLine

Retrieves the argument used to launch the HTML Application (HTA).

contextMenu

Sets or retrieves whether the context menu is displayed when the right mouse button is clicked.

icon

Sets or retrieves the name and location of the icon specified in the HTML Application (HTA).

innerBorder

Sets or retrieves whether the inside 3-D border is displayed.

maximizeButton

Sets or retrieves a Boolean value that indicates whether a Maximize button is displayed in the title bar of the HTML Application (HTA) window.

minimizeButton

Sets or retrieves a Boolean value that indicates whether a Minimize button is displayed in the title bar of the HTML Application (HTA) window.

navigable

Sets or retrieves whether linked documents will be loaded in the main HTA window or in a new browser window.

scroll

Sets or retrieves whether the scroll bars are displayed.

scrollFlat

Sets or retrieves whether the scroll bar is 3-D or flat.

selection

Sets or retrieves whether the content can be selected with the mouse or keyboard.

showInTaskBar

Sets or retrieves a value that indicates whether the HTML Application (HTA) is displayed in the Windows taskbar.

singleInstance

Sets or retrieves a value that indicates whether only one instance of the specified HTML Application (HTA) can run at a time.

sysMenu

Sets or retrieves a Boolean value that indicates whether a system menu is displayed in the HTML Application (HTA).

version

Sets or retrieves the version number of the HTML Application (HTA).

windowState

Sets or retrieves the initial size of the HTA window.


BORDER Attribute | border

BORDER Attribute | border Property

Sets or retrieves the type of window border for the HTML Application (HTA).

Syntax

HTML | <HTA:APPLICATION BORDER = sType... >
Scripting | [ sType = ] HTA:APPLICATION.border

Possible Values

sType String that specifies one of the following values:
thick | Default. Thick window border, plus a size grip and sizing border for resizing the window.
dialog | Dialog window border.
none | No window border.
thin | Thin window border with a caption.

The property is read-only. The property has a default value of thick.

Remarks

Note The border property is read-only; however, the BORDER attribute can be used to set the initial value.

The border property affects the window border and is valid only for HTA windows that contain a title bar or caption. Setting border to none eliminates the title bar, the program icon, and the Minimize and Maximize buttons. This property can be used with the borderStyle property, which controls the content border within the window.

Example

This example uses the border property to apply a thin border to the window.

<HTML>
<HEAD>
<TITLE>Hello, World!</TITLE>
<HTA:APPLICATION ID="oHTA"
APPLICATIONAME="myApp"
BORDER="thin"
>
<SCRIPT>
alert("border    = " + oHTA.border);
</SCRIPT>
</HEAD>
<BODY SCROLL="no">
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

HTA:APPLICATION

See Also

Introduction to HTML Applications (HTAs)


BORDERSTYLE Attribute | borderStyle

BORDERSTYLE Attribute | borderStyle Property

Sets or retrieves the style set for the content border within the HTML Application (HTA) window.

Syntax

HTML | <HTA:APPLICATION BORDERSTYLE = sStyle... >
Scripting | [ sStyle = ] HTA:APPLICATION.borderStyle

Possible Values

sStyle String that specifies one of the following values:
normal | Default. Normal border.
complex | Raised and sunken border.
raised | Raised 3-D border.
static | 3-D border typically used for windows that do not accept user input.
sunken | Sunken 3-D border.

The property is read-only. The property has a default value of normal.

Remarks

Note The borderStyle property is read-only; however, the BORDERSTYLE attribute can be used to set the initial value.

All HTAs have two adjacent borders: one for the content of a window, and one for the application window. The borderStyle property sets the style for the content border, while the border property controls the application window border.

Example

This example uses the borderStyle property to apply a normal border around the content of a window.

<HTML>
<HEAD>
<TITLE>Hello, World!</TITLE>
<HTA:APPLICATION ID="oHTA"
APPLICATIONNAME="sampleApp"
CAPTION="yes"
BORDER="thin"
BORDERSTYLE="normal"
>
<SCRIPT>
alert("borderStyle    = " + oHTA.borderStyle);
</SCRIPT>
</HEAD>
<BODY SCROLL="no">
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

HTA:APPLICATION

See Also

Introduction to HTML Applications (HTAs)


CAPTION Attribute | caption

CAPTION Attribute | caption Property

Sets or retrieves a Boolean value that indicates whether the window is set to display a title bar or caption, for the HTML Application (HTA).

Syntax

HTML | <HTA:APPLICATION CAPTION = bTitleBar... >
Scripting | [ bTitleBar = ] HTA:APPLICATION.caption

Possible Values

bTitleBar Boolean that specifies one of the following values:
yes | Default. Title bar is displayed.
no | Title bar is not displayed.

The property is read-only. The property has a default value of yes.

Remarks

Note The caption property is read-only; however, the CAPTION attribute can be used to set the initial value.

The application title appears only when the caption property is set to yes. Turning off the caption also disables the program icon and the Minimize and Maximize buttons. In this case, you must provide an alternate way for the user to quit the HTA, such as a button that invokes the close method of the window object.

Example

This example shows how to retrieve the caption property.

<HTML>
<HEAD>
<HTA:APPLICATION ID="oHTA"
CAPTION="yes"
>
<SCRIPT>
alert ("caption    = " + oHTA.caption);
</SCRIPT>
</HEAD>
<BODY SCROLL="no">
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in World Wide Web Consortium (W3C) Document Object Model (DOM) Level 1 Non-Microsoft link.

Applies To

HTA:APPLICATION

See Also

Introduction to HTML Applications (HTAs)


commandLine

commandLine Property

Retrieves the argument used to launch the HTML Application (HTA).

Syntax

HTML | N/A
Scripting | [ sPath = ] HTA:APPLICATION.commandLine

Possible Values

sPath String that specifies the path and arguments used to launch the HTA.

The property is read-only. The property has no default value.

Remarks

The commandLine property returns an empty string when the HTA is launched over the HTTP protocol.

Example

This example shows how to retrieve the commandLine property value.

<HTML>
<HEAD>
<HTA:APPLICATION ID="oHTA"
APPLICATIONNAME="myApp"
>
<SCRIPT>
alert("commandLine    = " + oHTA.commandLine);
</SCRIPT>
</HEAD>
<BODY SCROLL="no">
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

HTA:APPLICATION

See Also

Introduction to HTML Applications (HTAs)


CONTEXTMENU Attribute | contextMenu

CONTEXTMENU Attribute | contextMenu Property

Sets or retrieves whether the context menu is displayed when the right mouse button is clicked.

Syntax

HTML | <HTA:APPLICATION CONTEXTMENU = sContextMenu... >
Scripting | [ sContextMenu = ] HTA:APPLICATION.contextMenu

Possible Values

sContextMenu String that specifies one of the following values.
yes | Default. Context menus are displayed.
no | Context menus are not displayed.

The property is read-only. The property has a default value of yes.

Remarks

Note The contextMenu property is read only, however the CONTEXTMENU attribute can be used to set the initial value.

Example

This example shows how to retrieve the contextMenu property.

<HTML>
<HEAD>
<HTA:APPLICATION
ID=oHTA
CONTEXTMENU="no"
/>
<TITLE>HTA Properties</TITLE>
<STYLE>
BODY {font-size: 8pt; font-family: Arial;}
</STYLE>
</HEAD>
<SCRIPT>
function readFun()
{
alert("The contextMenu property is set to:  " + oHTA.contextMenu);
}
</SCRIPT>
<BODY>
<P>Read the property:
<INPUT TYPE="button"  VALUE="Test contextMenu value" onClick="readFun()"/>
</P>
</BODY>
</HTML>

Standards Information

There is no public standard that applies to this property.

Applies To

HTA:APPLICATION


ICON Attribute | icon

ICON Attribute | icon Property

Sets or retrieves the name and location of the icon specified in the HTML Application (HTA).

Syntax

HTML | <HTA:APPLICATION ICON = sIcon... >
Scripting | [ sIcon = ] HTA:APPLICATION.icon

Possible Values

sIcon String that specifies an icon for the application.
System Application Icon The HTA uses the System Application Icon when nothing is specified, but the System Application Icon is not an actual value.

The property is read-only. The property has no default value.

Remarks

Note The icon property is read-only; however, the ICON attribute can be used to set the initial value.

The icon attribute recognizes the standard 32x32 pixel Microsoft® Windows® format for .ico image files.

The HTA uses the System Application Icon when nothing is specified, but the System Application Icon is not an actual value.

Example

This example shows how to retrieve the icon property.

<HTML>
<HEAD>
<HTA:APPLICATION ID="oHTA"
APPLICATIONNAME="myApp"
ICON="graphics/face01.ico"
>
<SCRIPT>
alert ("icon    = " + oHTA.icon);
</SCRIPT>
</HEAD>
<BODY SCROLL="no">
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

HTA:APPLICATION

See Also

Introduction to HTML Applications (HTAs)


INNERBORDER Attribute | innerBorder

INNERBORDER Attribute | innerBorder Property

Sets or retrieves whether the inside 3-D border is displayed.

Syntax

HTML | <HTA:APPLICATION INNERBORDER = sInnerBorder... >
Scripting | [ sInnerBorder = ] HTA:APPLICATION.innerBorder

Possible Values

sInnerBorder String that specifies one of the following values.
yes | Default. Three-dimensional inner border is displayed.
no | Inner border is not displayed.

The property is read-only. The property has a default value of yes.

Remarks

Note The innerBorder property is read only, however the INNERBORDER attribute can be used to set the initial value.

Example

This example shows how to retrieve the innerBorder property.

<HTML>
<HEAD>
<HTA:APPLICATION
ID=oHTA
INNERBORDER="no"/>
<TITLE>HTA Properties</TITLE>
<STYLE>
BODY {font-size: 8pt; font-family: Arial;}
</STYLE>
</HEAD>
<SCRIPT>
function readFun()
{
alert("The innerBorder property is set to:  " + oHTA.innerBorder);
}
</SCRIPT>
<BODY>
<P>Read the property:
<INPUT TYPE="button"  VALUE="Test innerBorder value" onClick="readFun()"/>
</P>
</BODY>
</HTML>

Standards Information

There is no public standard that applies to this property.

Applies To

HTA:APPLICATION


MAXIMIZEBUTTON Attribute | maximizeButton

MAXIMIZEBUTTON Attribute | maximizeButton Property

Sets or retrieves a Boolean value that indicates whether a Maximize button is displayed in the title bar of the HTML Application (HTA) window.

Syntax

HTML | <HTA:APPLICATION MAXIMIZEBUTTON = bShowButton... >
Scripting | [ bShowButton = ] HTA:APPLICATION.maximizeButton

Possible Values

bShowButton Boolean that specifies one of the following values:
yes | Default. Maximize button is displayed.
no | Maximize button is not displayed.

The property is read-only. The property has a default value of yes.

Remarks

Note The maximizeButton property is read-only; however, the MAXIMIZEBUTTON attribute can be used to set the initial value.

The window must have a title bar or caption for the Minimize and Maximize buttons to display.

Example

This example shows how to retrieve the maximizeButton property.

<HTML>
<HEAD>
<TITLE>Hello, World!</TITLE>
<HTA:APPLICATION ID="oHTA"
APPLICATIONNAME="myApp"
CAPTION="yes"
MAXIMIZEBUTTON="yes"
>
<SCRIPT>
alert("maximizeButton    = " + oHTA.maximizeButton);
</SCRIPT>
</HEAD>
<BODY SCROLL="no">
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

HTA:APPLICATION

See Also

Introduction to HTML Applications (HTAs)


MINIMIZEBUTTON Attribute | minimizeButton

MINIMIZEBUTTON Attribute | minimizeButton Property

Sets or retrieves a Boolean value that indicates whether a Minimize button is displayed in the title bar of the HTML Application (HTA) window.

Syntax

HTML | <HTA:APPLICATION MINIMIZEBUTTON = bShowButton... >
Scripting | [ bShowButton = ] HTA:APPLICATION.minimizeButton

Possible Values

bShowButton Boolean that specifies one of the following values:
yes | Default. Minimize button is displayed.
no | Minimize button is not displayed.

The property is read-only. The property has a default value of yes.

Remarks

Note The minimizeButton property is read-only; however, the MINIMIZEBUTTON attribute can be used to set the initial value.

The window must have a title bar or caption for the Minimize and Maximize buttons to display.

Example

This example shows how to retrieve the minimizeButton property.

<HTML>
<HEAD>
<TITLE>Hello, World!</TITLE>
<HTA:APPLICATION ID="oHTA"
APPLICATIONNAME="myApp"
CAPTION="yes"
MINIMIZEBUTTON="yes"
>
<SCRIPT>
alert ("minimizeButton    = " + oHTA.minimizeButton);
</SCRIPT>
</HEAD>
<BODY SCROLL="no">
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

HTA:APPLICATION

See Also

Introduction to HTML Applications (HTAs)


NAVIGABLE Attribute | navigable

NAVIGABLE Attribute | navigable Property

Sets or retrieves whether linked documents will be loaded in the main HTML Application (HTA) window or in a new browser window.

Syntax

HTML | <HTA:APPLICATION NAVIGABLE = sNavigable... >
Scripting | [ sNavigable = ] HTA:APPLICATION.navigable(v)

Possible Values

sNavigable String?that specifies one of the following values:
no | Default. Links in the main HTA window will be loaded in a new browser window.
yes | Links in the main HTA window will be loaded in the main HTA window.

The property is read-only. The property has a default value of no.

Remarks

Note The navigable property is read only, however the NAVIGABLE attribute can be used to set the initial value.

Standards Information

There is no public standard that applies to this property.

Applies To

HTA:APPLICATION


SCROLL Attribute | scroll

SCROLL Attribute | scroll Property

Sets or retrieves whether the scroll bars are displayed.

Syntax

HTML | <HTA:APPLICATION SCROLL = sScroll... >
Scripting | [ sScroll = ] HTA:APPLICATION.scroll

Possible Values

sScroll String that specifies one of the following values.
yes | Default. Scroll bars are displayed.
no | Scroll bars are not displayed.
auto | Scroll bars are displayed only when the content exceeds what can fit in the client area.

The property is read-only. The property has a default value of yes.

Remarks

Note The scroll property is read only, however the SCROLL attribute can be used to set the initial value.

Setting the body.scroll property to no is an alternate way to prevent scroll bars from being displayed.

Example

This example shows how to retrieve the scroll property.

<HTML>
<HEAD>
<HTA:APPLICATION
ID=oHTA
SCROLL="no"/>
<TITLE>HTA Properties</TITLE>
<STYLE>
BODY {font-size: 8pt; font-family: Arial;}
</STYLE>
</HEAD>
<SCRIPT>
function readFun()
{
alert("The scroll property is set to:  " + oHTA.scroll);
}
</SCRIPT>
<BODY>
<P>Read the property:
<INPUT TYPE="button"  VALUE="Test scroll value" onClick="readFun()"/>
</P>
<p>.</p><p>.</p><p>.</p><p>.</p><p>.</p>
<p>.</p><p>.</p><p>.</p><p>.</p><p>scroll down</p>
<p>.</p><p>.</p><p>.</p><p>.</p><p>.</p>
<p>.</p><p>.</p><p>.</p><p>.</p><p>scroll down</p>
<p>.</p><p>.</p><p>.</p><p>.</p><p>.</p>
<p>.</p><p>.</p><p>.</p><p>.</p><p>scroll down</p>
</BODY>
</HTML>

Standards Information

There is no public standard that applies to this property.

Applies To

HTA:APPLICATION


SCROLLFLAT Attribute | scrollFlat

SCROLLFLAT Attribute | scrollFlat Property

Sets or retrieves whether the scroll bar is 3-D or flat.

Syntax

HTML | <HTA:APPLICATION SCROLLFLAT = sScrollFlat... >
Scripting | [ sScrollFlat = ] HTA:APPLICATION.scrollFlat

Possible Values

sScrollFlat String that specifies one of the following values.
yes | Scroll bars are flat.
no | Default. Scroll bars are 3-D.

The property is read-only. The property has a default value of no.

Remarks

Note The scrollFlat property is read only, however the SCROLLFLAT attribute can be used to set the initial value.

Example

This example shows how to retrieve the scrollFlat property.

<HTML>
<HEAD>
<HTA:APPLICATION
ID=oHTA
SCROLLFLAT="yes"/>
<TITLE>HTA Properties</TITLE>
<STYLE>
BODY {font-size: 8pt; font-family: Arial;}
</STYLE>
</HEAD>
<SCRIPT>
function readFun()
{
alert("The scrollFlat property is set to:  " + oHTA.scrollFlat);
}
</SCRIPT>
<BODY>
<P>Read the property:
<INPUT TYPE="button"  VALUE="Test scrollFlat value" onClick="readFun()"/>
</P>
<p>.</p><p>.</p><p>.</p><p>.</p><p>.</p>
<p>.</p><p>.</p><p>.</p><p>.</p><p>scroll down</p>
<p>.</p><p>.</p><p>.</p><p>.</p><p>.</p>
<p>.</p><p>.</p><p>.</p><p>.</p><p>scroll down</p>
<p>.</p><p>.</p><p>.</p><p>.</p><p>.</p>
<p>.</p><p>.</p><p>.</p><p>.</p><p>scroll down</p>
</BODY>
</HTML>

Standards Information

There is no public standard that applies to this property.

Applies To

HTA:APPLICATION


SELECTION Attribute | selection

SELECTION Attribute | selection Property

Sets or retrieves whether the content can be selected with the mouse or keyboard.

Syntax

HTML | <HTA:APPLICATION SELECTION = sSelection... >
Scripting | [ sSelection = ] HTA:APPLICATION.selection

Possible Values

sSelection String that specifies one of the following values.
yes | Default. Content can be selected with the mouse or keyboard.
no | Content cannot be selected with the mouse or keyboard.

The property is read-only. The property has a default value of yes.

Remarks

Note The selection property is read only, however the SELECTION attribute can be used to set the initial value.

Setting the SELECTION attribute to no prevents the context menu from displaying. Setting the CONTEXTMENU attribute to yes has no effect in this case.

Note The use of content editable elements overrides the selection property. When the contentEditable property is set to true anywhere in an HTML Application (HTA), any object may be selected.

Example

This example shows how to retrieve the selection property.

<HTML>
<HEAD>
<HTA:APPLICATION
ID=oHTA
CONTEXTMENU="yes"
SELECTION="no"/>
<TITLE>HTA Properties</TITLE>
<STYLE>
BODY {font-size: 8pt; font-family: Arial;}
</STYLE>
</HEAD>
<SCRIPT>
function readFun()
{
alert("The selection property is set to:  " + oHTA.selection);
}
</SCRIPT>
<BODY>
<P>Read the property:
<INPUT TYPE="button"  VALUE="Test selection value" onClick="readFun()"/>
</P>
</BODY>
</HTML>

Standards Information

There is no public standard that applies to this property.

Applies To

HTA:APPLICATION

See Also

contentEditable


SHOWINTASKBAR Attribute | showInTaskBar

SHOWINTASKBAR Attribute | showInTaskBar Property

Sets or retrieves a value that indicates whether the HTML Application (HTA) is displayed in the Microsoft® Windows® taskbar.

Syntax

HTML | <HTA:APPLICATION SHOWINTASKBAR = bShow... >
Scripting | [ bShow = ] HTA:APPLICATION.showInTaskBar

Possible Values

bShow Boolean that specifies one of the following values:
yes | Default. Application is displayed in the Windows taskbar.
no | Application is not displayed in the Windows taskbar.

The property is read-only. The property has a default value of yes.

Remarks

Note The showInTaskBar property is read-only; however, the SHOWINTASKBAR attribute can be used to set the initial value.

The showInTaskBar property does not affect whether the application appears in the list of applications displayed when the user presses ALT+TAB.

Example

This example shows how to retrieve the showInTaskBar property.

<HTML>
<HEAD>
<HTA:APPLICATION ID="oHTA"
APPLICATIONNAME="myApp"
SHOWINTASKBAR="no"
>
<SCRIPT>
alert ("showInTaskBar    = " + oHTA.showInTaskBar);
</SCRIPT>
</HEAD>
<BODY SCROLL="no">
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

HTA:APPLICATION

See Also

Introduction to HTML Applications (HTAs)


SINGLEINSTANCE Attribute | singleInstance

SINGLEINSTANCE Attribute | singleInstance Property

Sets or retrieves a value that indicates whether only one instance of the specified HTML Application (HTA) can run at a time.

Syntax

HTML | <HTA:APPLICATION SINGLEINSTANCE = bOpen... >
Scripting | [ bOpen = ] HTA:APPLICATION.singleInstance

Possible Values

bOpen Boolean that specifies one of the following values:
yes | Only one instance of the specified application can run at a time.
no | Default. Multiple instances of the specified application can run at the same time.

The property is read-only. The property has a default value of no.

Remarks

Note The singleInstance property is read-only; however, the SINGLEINSTANCE attribute can be used to set the initial value.

When set to true, the singleInstance property checks the value of the applicationName property before launching an instance of the application. For this check to be valid, the applicationName property must have a unique value assigned to it. You can use the applicationName property to identify a single application, regardless of the URL used to access it.

Example

This example shows how to retrieve the singleInstance property.

<HTML>
<HEAD>
<HTA:APPLICATION ID="oHTA"
APPLICATIONNAME="myApp"
SINGLEINSTANCE="yes"
>
<SCRIPT>
alert("singleInstance    = " + oHTA.singleInstance);
</SCRIPT>
</HEAD>
<BODY SCROLL="no">
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

HTA:APPLICATION

See Also

Introduction to HTML Applications (HTAs)


SYSMENU Attribute | sysMenu

SYSMENU Attribute | sysMenu Property

Sets or retrieves a Boolean value that indicates whether a system menu is displayed in the HTML Application (HTA).

Syntax

HTML | <HTA:APPLICATION SYSMENU = bMenu... >
Scripting | [ bMenu = ] HTA:APPLICATION.sysMenu

Possible Values

bMenu Boolean that specifies one of the following values:
yes | Default. System menu is displayed in the title bar.
no | System menu is not displayed in the title bar.

The property is read-only. The property has a default value of yes.

Remarks

Note The sysMenu property is read-only; however, the SYSMENU attribute can be used to set the initial value.

The HTA system menu is denoted by the program icon on the far left corner of the title bar. When clicked, the HTA system menu displays all the commands included in the standard Microsoft® Windows® system menu, including Restore, Move, Size, Minimize, Maximize, and Close.

Many of the properties that affect the user interface of the window are interdependent. For example, setting sysMenu to no disables the program icon and the Minimize and Maximize buttons. Similarly, setting the border property to none disables the program icon, title bar, and Minimize and Maximize buttons.

Example

This example shows how to retrieve the sysMenu property.

<HTML>
<HEAD>
<HTA:APPLICATION ID="oHTA"
APPLICATIONNAME="myApp"
SYSMENU="yes"
>
<SCRIPT>
alert("sysMenu    = " + oHTA.sysMenu);
</SCRIPT>
</HEAD>
<BODY SCROLL="no">
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

HTA:APPLICATION

See Also

Introduction to HTML Applications (HTAs)


VERSION Attribute | version

VERSION Attribute | version Property

Sets or retrieves the version number of the HTML Application (HTA).

Syntax

HTML | <HTA:APPLICATION VERSION = sVersion... >
Scripting | [ sVersion = ] HTA:APPLICATION.version

Possible Values

sVersion String that specifies the version number of the application.

The property is read-only. The property has no default value.

Remarks

Note The version property is read-only; however, the VERSION attribute can be used to set the initial value.

Example

This example shows how to retrieve the version property.

<HTML>
<HEAD>
<HTA:APPLICATION ID="oHTA"
VERSION="1.0"
>
<SCRIPT>
alert("version    = " + oHTA.version);
</SCRIPT>
</HEAD>
<BODY SCROLL="no">
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

HTA:APPLICATION

See Also

Introduction to HTML Applications (HTAs)


WINDOWSTATE Attribute | windowState

WINDOWSTATE Attribute | windowState Property

Sets or retrieves the initial size of the HTML Application (HTA) window.

Syntax

HTML | <HTA:APPLICATION WINDOWSTATE = sWindowSize... >
Scripting | [ sWindowSize = ] HTA:APPLICATION.windowState

Possible Values

sWindowSize String that specifies one of the following values:
normal | Default. Window is the default size for Microsoft® Internet Explorer.
minimize | Window does not display on launch. Instead, the title of the minimized application appears in the taskbar.
maximize | Window is sized to fill the screen.

The property is read-only. The property has a default value of normal.

Remarks

Note The windowState property is read-only; however, the WINDOWSTATE attribute can be used to set the initial value.

Example

This example shows how to retrieve the windowState property.

<HTML>
<HEAD>
<HTA:APPLICATION ID="oHTA"
APPLICATIONNAME="myApp"
WINDOWSTATE="maximize"
>
<SCRIPT>
alert("windowState    = " + oHTA.windowState);
</SCRIPT>
</HEAD>
<BODY SCROLL="no">
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

There is no public standard that applies to this property.

Applies To

HTA:APPLICATION

See Also

Introduction to HTML Applications (HTAs)


HTML+TIME Reference (Internet Explorer - HTML+Time)

HTML+TIME Reference

This section contains reference information for the HTML+TIME (Timed Interactive Multimedia Extensions) application programming interface (API).

HTML+TIME Reference

HTML+TIME 1.0 Reference

This section contains reference information for the object model exposed by the time behavior.

HTML+TIME 2.0 Reference

HTML+TIME, first released in Microsoft?Internet Explorer 5, adds timing and media synchronization support to HTML pages. Using a few Extensible Markup Language (XML)-based elements and attributes, you can add images, video, and sounds to an HTML page, then synchronize them with HTML text elements over a specified amount of time.


HTML+TIME 1.0 Reference (Internet Explorer - HTML+Time)

HTML+TIME 1.0 Reference

This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

This section contains reference information for the object model exposed by the time behavior.

Behaviors

audio

Defines a timed audio element in an HTML document.

img

Defines a timed image element in an HTML document.

media

Defines a generic, timed media element in an HTML document.

par

Defines a new timeline container in an HTML document for independently timed elements.

seq

Defines a new timeline container in an HTML document for sequentially timed elements.

time

Provides an active timeline for an HTML element.

video

Defines a timed video element in an HTML document.

Events

onbegin

Fires when the timeline starts on an element.

onend

Fires when the timeline stops on an element.

onmediacomplete

Fires when the element's associated media is finished loading.

onmedialoadfailed

Fires when an element's media file fails to load for any reason.

onmediaslip

Fires when an element's media file fails to keep up with the defined timeline.

onpause

Fires when the timeline on an element pauses.

onrepeat

Fires when the timeline repeats on an element, beginning with the second iteration.

onresume

Fires when an element's timeline resumes from a paused state.

onresync

Fires when the element's associated media synchronization is interrupted.

onreverse

Fires when the timeline on an element begins to play backward.

onscriptcommand

Fires when the Microsoft?Windows Media?Player control receives a synchronized command or URL.

Methods

beginElement

Starts the element on the timeline.

endElement

Stops the element on the timeline.

pause

Pauses the timeline on the HTML document.

resume

Resumes a paused timeline on the HTML document.

Attributes/Properties

accelerate

Sets or retrieves a value that applies an acceleration to the element's local timeline.

autoReverse

Sets or retrieves whether the timeline on an element immediately begins playing in reverse after completing in the forward direction.

begin

Sets or retrieves the delay time before the timeline begins playing on the element.

beginAfter

Sets or retrieves a value indicating that the timeline of an element starts when the referenced element ends.

beginEvent

Sets or retrieves a value that starts the timeline of an element when the referenced event occurs.

beginWith

Sets or retrieves a value that starts an element's timeline at the same time as the referenced element.

clipBegin

Sets or retrieves the beginning point of a sub-clip of a continuous media object.

clipEnd

Sets or retrieves the end point of a sub-clip of a continuous media object.

clockSource

Sets or retrieves whether all the elements within the local time scope are synchronized with this element's timeline.

currTime

Retrieves a value indicating the current time along the simple duration as defined by the element's t:DUR or t:END attribute.

decelerate

Sets or retrieves a value that applies a deceleration to the end of a simple duration.

dur

Sets or retrieves a value indicating the amount of time the element remains active or displayed.

end

Sets or retrieves a value indicating the end time for the element, or the end of the simple duration when the element is set to repeat.

endEvent

Sets or retrieves a value indicating that the timeline of an element ends immediately when the referenced event occurs, regardless of the element's repeat count or repeatDur property.

endHold

Sets or retrieves whether an element remains active if its timeline ends before the timeline on its parent element ends.

eventRestart

Sets or retrieves whether the element should restart if a beginEvent call occurs while the local timeline is already running.

img

Sets or retrieves the URL of an alternate image to display if the MIME type is not supported on the user's computer.

localTime

Retrieves a value indicating the current time along the local duration, as defined by the element's t:REPEAT or t:REPEATDUR attribute.

onOffBehavior

Retrieves an object indicating whether the specified Microsoft DirectAnimation?behavior is running.

player

Sets or retrieves the object used to render the media associated with this element.

playerObject

Retrieves the object that plays media files.

progressBehavior

Retrieves an object indicating the progress of the specified DirectAnimation behavior.

repeat

Sets or retrieves the number of times an element's timeline repeats.

repeatDur

Sets or retrieves the number of seconds an element's timeline repeats.

src

Sets or retrieves the source URL of the media.

syncBehavior

Sets or retrieves the synchronization rules for the element's timeline.

syncTolerance

Retrieves the time variance allowed on a timeline with locked synchronization.

timeAction

Sets or retrieves what action is taken on the element while the timeline is active.

timeline

Sets or retrieves the type of timeline associated with an HTML element.

timelineBehavior

Retrieves a DirectAnimation number object containing the timeline behavior associated with the specified object.

timeStartRule

Sets or retrieves the point at which the document's timeline begins.

type

Sets or retrieves the MIME type of the media object referenced by the t:SRC attribute.


t:AUDIO Element | audio Behavior(deprecated)

t:AUDIO Element | audio Behavior?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Defines a timed audio element in an HTML document.

Syntax

XML | <t:AUDIO ID=sID STYLE="behavior:url('#default#time')" />
HTML | N/A
Scripting | N/A

Possible Values

sID String that specifies a unique identifier for the object.

Members Table

The following table lists the members exposed by the audio object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
t:ACCELERATE | accelerate | Sets or retrieves a value that applies an acceleration to the element's local timeline.
t:AUTOREVERSE | autoReverse | Sets or retrieves whether the timeline on an element immediately begins playing in reverse after completing in the forward direction.
t:BEGIN | begin | Sets or retrieves the delay time before the timeline begins playing on the element.
t:BEGINAFTER | beginAfter | Sets or retrieves a value indicating that the timeline of an element starts when the referenced element ends.
t:BEGINEVENT | beginEvent | Sets or retrieves a value that starts the timeline of an element when the referenced event occurs.
t:BEGINWITH | beginWith | Sets or retrieves a value that starts an element's timeline at the same time as the referenced element.
t:CLIPBEGIN | clipBegin | Sets or retrieves the beginning point of a sub-clip of a continuous media object.
t:CLIPEND | clipEnd | Sets or retrieves the end point of a sub-clip of a continuous media object.
t:CLOCKSOURCE | clockSource | Sets or retrieves whether all the elements within the local time scope are synchronized with this element's timeline.
currTime | Retrieves a value indicating the current time along the simple duration as defined by the element's t:DUR or t:END attribute.
t:DECELERATE | decelerate | Sets or retrieves a value that applies a deceleration to the end of a simple duration.
t:DUR | dur | Sets or retrieves a value indicating the amount of time the element remains active or displayed.
t:END | end | Sets or retrieves a value indicating the end time for the element, or the end of the simple duration when the element is set to repeat.
t:ENDEVENT | endEvent | Sets or retrieves a value indicating that the timeline of an element ends immediately when the referenced event occurs, regardless of the element's repeat count or repeatDur property.
t:ENDHOLD | endHold | Sets or retrieves whether an element remains active if its timeline ends before the timeline on its parent element ends.
t:EVENTRESTART | eventRestart | Sets or retrieves whether the element should restart if a beginEvent call occurs while the local timeline is already running.
localTime | Retrieves a value indicating the current time along the local duration, as defined by the element's t:REPEAT or t:REPEATDUR attribute.
t:PLAYER | player | Sets or retrieves the object used to render the media associated with this element.
playerObject | Retrieves the object that plays media files.
t:REPEAT | repeat | Sets or retrieves the number of times an element's timeline repeats.
t:REPEATDUR | repeatDur | Sets or retrieves the number of seconds an element's timeline repeats.
t:SRC | src | Sets or retrieves the source URL of the media.
t:SYNCBEHAVIOR | syncBehavior | Sets or retrieves the synchronization rules for the element's timeline.
syncTolerance | Retrieves the time variance allowed on a timeline with locked synchronization.
t:TIMEACTION | timeAction | Sets or retrieves what action is taken on the element while the timeline is active.
t:TYPE | type | Sets or retrieves the MIME type of the media object referenced by the t:SRC attribute.

Events

Event | Description
onbegin | Fires when the timeline starts on an element.
onend | Fires when the timeline stops on an element.
onmediacomplete | Fires when the element's associated media is finished loading.
onmedialoadfailed | Fires when an element's media file fails to load for any reason.
onmediaslip | Fires when an element's media file fails to keep up with the defined timeline.
onpause | Fires when the timeline on an element pauses.
onrepeat | Fires when the timeline repeats on an element, beginning with the second iteration.
onresume | Fires when an element's timeline resumes from a paused state.
onresync | Fires when the element's associated media synchronization is interrupted.
onreverse | Fires when the timeline on an element begins to play backward.
onscriptcommand | Fires when the Microsoft?Windows Media?Player control receives a synchronized command or URL.

Methods

Method | Description
beginElement | Starts the element on the timeline.
endElement | Stops the element on the timeline.

Remarks

The members listed in the preceding table might not be accessible through scripting until the window.onload event fires. Waiting for this event to fire ensures that the page is completely loaded, that all behaviors have been applied to corresponding elements on the page, and that all the behavior's properties, methods, and events are available for scripting. Using any of the behavior-defined members before the window.onload event fires could result in a scripting error, indicating that the object does not support that particular member.

Although different media-based elements exist, there is no functional difference in their current implementation. However, you are encouraged to use elements such as t:AUDIO, t:IMG, t:MEDIA, and t:VIDEO for improved document readability and enhanced support.

The prefix t is used to associate this element with an XML namespace. You must include the following line of code in the head section of your HTML document when using this element.

<XML:NAMESPACE PREFIX="t"/>

The t:AUDIO element is available as of Microsoft Internet Explorer 5, only in the Microsoft Win32?platform.

See Also

Introduction to DHTML Behaviors, Introduction to HTML+TIME, time, time2, Using DHTML Behaviors


t:MEDIA Element | media Behavior(deprecated)

t:MEDIA Element | media Behavior?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Defines a generic, timed media element in an HTML document.

Syntax

XML | <t:MEDIA ID=sID STYLE="behavior:url('#default#time')" />
HTML | N/A
Scripting | N/A

Possible Values

sID String that specifies a unique identifier for the object.

Members Table

The following table lists the members exposed by the media object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
t:ACCELERATE | accelerate | Sets or retrieves a value that applies an acceleration to the element's local timeline.
t:AUTOREVERSE | autoReverse | Sets or retrieves whether the timeline on an element immediately begins playing in reverse after completing in the forward direction.
t:BEGIN | begin | Sets or retrieves the delay time before the timeline begins playing on the element.
t:BEGINAFTER | beginAfter | Sets or retrieves a value indicating that the timeline of an element starts when the referenced element ends.
t:BEGINEVENT | beginEvent | Sets or retrieves a value that starts the timeline of an element when the referenced event occurs.
t:BEGINWITH | beginWith | Sets or retrieves a value that starts an element's timeline at the same time as the referenced element.
t:CLIPBEGIN | clipBegin | Sets or retrieves the beginning point of a sub-clip of a continuous media object.
t:CLIPEND | clipEnd | Sets or retrieves the end point of a sub-clip of a continuous media object.
t:CLOCKSOURCE | clockSource | Sets or retrieves whether all the elements within the local time scope are synchronized with this element's timeline.
currTime | Retrieves a value indicating the current time along the simple duration as defined by the element's t:DUR or t:END attribute.
t:DECELERATE | decelerate | Sets or retrieves a value that applies a deceleration to the end of a simple duration.
t:DUR | dur | Sets or retrieves a value indicating the amount of time the element remains active or displayed.
t:END | end | Sets or retrieves a value indicating the end time for the element, or the end of the simple duration when the element is set to repeat.
t:ENDEVENT | endEvent | Sets or retrieves a value indicating that the timeline of an element ends immediately when the referenced event occurs, regardless of the element's repeat count or repeatDur property.
t:ENDHOLD | endHold | Sets or retrieves whether an element remains active if its timeline ends before the timeline on its parent element ends.
t:EVENTRESTART | eventRestart | Sets or retrieves whether the element should restart if a beginEvent call occurs while the local timeline is already running.
t:IMG | img | Sets or retrieves the URL of an alternate image to display if the MIME type is not supported on the user's computer.
localTime | Retrieves a value indicating the current time along the local duration, as defined by the element's t:REPEAT or t:REPEATDUR attribute.
t:PLAYER | player | Sets or retrieves the object used to render the media associated with this element.
playerObject | Retrieves the object that plays media files.
t:REPEAT | repeat | Sets or retrieves the number of times an element's timeline repeats.
t:REPEATDUR | repeatDur | Sets or retrieves the number of seconds an element's timeline repeats.
t:SRC | src | Sets or retrieves the source URL of the media.
t:SYNCBEHAVIOR | syncBehavior | Sets or retrieves the synchronization rules for the element's timeline.
syncTolerance | Retrieves the time variance allowed on a timeline with locked synchronization.
t:TIMEACTION | timeAction | Sets or retrieves what action is taken on the element while the timeline is active.
t:TYPE | type | Sets or retrieves the MIME type of the media object referenced by the t:SRC attribute.

Events

Event | Description
onbegin | Fires when the timeline starts on an element.
onend | Fires when the timeline stops on an element.
onmediacomplete | Fires when the element's associated media is finished loading.
onmedialoadfailed | Fires when an element's media file fails to load for any reason.
onmediaslip | Fires when an element's media file fails to keep up with the defined timeline.
onpause | Fires when the timeline on an element pauses.
onrepeat | Fires when the timeline repeats on an element, beginning with the second iteration.
onresume | Fires when an element's timeline resumes from a paused state.
onresync | Fires when the element's associated media synchronization is interrupted.
onreverse | Fires when the timeline on an element begins to play backward.
onscriptcommand | Fires when the Microsoft?Windows Media?Player control receives a synchronized command or URL.

Methods

Method | Description
beginElement | Starts the element on the timeline.
endElement | Stops the element on the timeline.

Remarks

The members listed in the preceding table might not be accessible through scripting until the window.onload event fires. Waiting for this event to fire ensures that the page is completely loaded, that all behaviors have been applied to corresponding elements on the page, and that all the behavior's properties, methods, and events are available for scripting. Using any of the behavior-defined members before the window.onload event fires could result in a scripting error, indicating that the object does not support that particular member.

Although different media-based elements exist, there is no functional difference in their current implementation. However, you are encouraged to use elements such as t:AUDIO, t:IMG, t:MEDIA, and t:VIDEO for improved document readability and enhanced support.

The prefix t is used to associate this element with an XML namespace. You must include the following line of code in the head section of your HTML document when using this element.

<XML:NAMESPACE PREFIX="t"/>

The t:MEDIA element is available as of Microsoft Internet Explorer 5, only in the Microsoft?Win32?platform.

See Also

Introduction to DHTML Behaviors, Introduction to HTML+TIME, time, time2, Using DHTML Behaviors


t:PAR Element | par Behavior(deprecated)

t:PAR Element | par Behavior?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Defines a new timeline container in an HTML document for independently timed elements.

Syntax

XML | <t:PAR ID=sID STYLE="behavior:url('#default#time')" />
HTML | N/A
Scripting | N/A

Possible Values

sID String that specifies a unique identifier for the object.

Members Table

The following table lists the members exposed by the par object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
t:ACCELERATE | accelerate | Sets or retrieves a value that applies an acceleration to the element's local timeline.
t:AUTOREVERSE | autoReverse | Sets or retrieves whether the timeline on an element immediately begins playing in reverse after completing in the forward direction.
t:BEGIN | begin | Sets or retrieves the delay time before the timeline begins playing on the element.
t:BEGINAFTER | beginAfter | Sets or retrieves a value indicating that the timeline of an element starts when the referenced element ends.
t:BEGINEVENT | beginEvent | Sets or retrieves a value that starts the timeline of an element when the referenced event occurs.
t:BEGINWITH | beginWith | Sets or retrieves a value that starts an element's timeline at the same time as the referenced element.
currTime | Retrieves a value indicating the current time along the simple duration as defined by the element's t:DUR or t:END attribute.
t:DECELERATE | decelerate | Sets or retrieves a value that applies a deceleration to the end of a simple duration.
t:DUR | dur | Sets or retrieves a value indicating the amount of time the element remains active or displayed.
t:END | end | Sets or retrieves a value indicating the end time for the element, or the end of the simple duration when the element is set to repeat.
t:ENDEVENT | endEvent | Sets or retrieves a value indicating that the timeline of an element ends immediately when the referenced event occurs, regardless of the element's repeat count or repeatDur property.
t:ENDHOLD | endHold | Sets or retrieves whether an element remains active if its timeline ends before the timeline on its parent element ends.
t:EVENTRESTART | eventRestart | Sets or retrieves whether the element should restart if a beginEvent call occurs while the local timeline is already running.
localTime | Retrieves a value indicating the current time along the local duration, as defined by the element's t:REPEAT or t:REPEATDUR attribute.
t:REPEAT | repeat | Sets or retrieves the number of times an element's timeline repeats.
t:REPEATDUR | repeatDur | Sets or retrieves the number of seconds an element's timeline repeats.
t:SYNCBEHAVIOR | syncBehavior | Sets or retrieves the synchronization rules for the element's timeline.
syncTolerance | Retrieves the time variance allowed on a timeline with locked synchronization.
t:TIMEACTION | timeAction | Sets or retrieves what action is taken on the element while the timeline is active.

Events

Event | Description
onbegin | Fires when the timeline starts on an element.
onend | Fires when the timeline stops on an element.
onmediacomplete | Fires when the element's associated media is finished loading.
onmedialoadfailed | Fires when an element's media file fails to load for any reason.
onmediaslip | Fires when an element's media file fails to keep up with the defined timeline.
onpause | Fires when the timeline on an element pauses.
onrepeat | Fires when the timeline repeats on an element, beginning with the second iteration.
onresume | Fires when an element's timeline resumes from a paused state.
onresync | Fires when the element's associated media synchronization is interrupted.
onreverse | Fires when the timeline on an element begins to play backward.

Methods

Method | Description
beginElement | Starts the element on the timeline.
endElement | Stops the element on the timeline.

Remarks

All HTML descendants of this element have independent, or parallel, timing.

Use this element instead of the t:TIMELINE attribute to create a time container without using an HTML element. All descendant elements, or time children, of this new time container inherit the time properties of their container. Unlike the time children of the t:SEQ element, the par descendants have no implicit timing relationships with each other, and their timelines might overlap. The t:PAR element effectively groups elements together so they can be easily modified as a single unit.

The prefix t is used to associate this element with an XML namespace. You must include the following line of code in the head section of your HTML document when using this element.

<XML:NAMESPACE PREFIX="t"/>

The t:PAR element is available as of Microsoft?Internet Explorer 5, only in the Microsoft?Win32?platform.

Example

This example uses the t:PAR element to apply a timeline to a group of HTML elements.

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<XML:NAMESPACE PREFIX="t"/>
<STYLE>
.time    { behavior:url(#default#time);}
</STYLE>
</HEAD>
<BODY BGCOLOR="white">
<FONT FACE="Verdana">
<t:PAR CLASS=time t:BEGIN="0" t:DUR="10" t:TIMEACTION="display">
<H3>Paragraph 1</H3>
<P>This is paragraph number one. It appears for ten seconds
immediately after the page is loaded.</P>
<SPAN CLASS=time t:BEGIN="5">
<H3>Paragraph 2</H3>
<P>This is paragraph number two. It appears five seconds
after the page is loaded, and remains displayed until its
parent element's timeline ends at ten seconds.</P>
</SPAN>
</t:PAR>
</FONT>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

See Also

Introduction to DHTML Behaviors, Introduction to HTML+TIME, time, time2, Using DHTML Behaviors


t:SEQ Element | seq Behavior(deprecated)

t:SEQ Element | seq Behavior?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Defines a new timeline container in an HTML document for sequentially timed elements.

Syntax

XML | <t:SEQ ID=sID STYLE="behavior:url('#default#time')" />
HTML | N/A
Scripting | N/A

Possible Values

sID String that specifies a unique identifier for the object.

Members Table

The following table lists the members exposed by the seq object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
t:ACCELERATE | accelerate | Sets or retrieves a value that applies an acceleration to the element's local timeline.
t:AUTOREVERSE | autoReverse | Sets or retrieves whether the timeline on an element immediately begins playing in reverse after completing in the forward direction.
t:BEGIN | begin | Sets or retrieves the delay time before the timeline begins playing on the element.
t:BEGINAFTER | beginAfter | Sets or retrieves a value indicating that the timeline of an element starts when the referenced element ends.
t:BEGINEVENT | beginEvent | Sets or retrieves a value that starts the timeline of an element when the referenced event occurs.
t:BEGINWITH | beginWith | Sets or retrieves a value that starts an element's timeline at the same time as the referenced element.
currTime | Retrieves a value indicating the current time along the simple duration as defined by the element's t:DUR or t:END attribute.
t:DECELERATE | decelerate | Sets or retrieves a value that applies a deceleration to the end of a simple duration.
t:DUR | dur | Sets or retrieves a value indicating the amount of time the element remains active or displayed.
t:END | end | Sets or retrieves a value indicating the end time for the element, or the end of the simple duration when the element is set to repeat.
t:ENDEVENT | endEvent | Sets or retrieves a value indicating that the timeline of an element ends immediately when the referenced event occurs, regardless of the element's repeat count or repeatDur property.
t:ENDHOLD | endHold | Sets or retrieves whether an element remains active if its timeline ends before the timeline on its parent element ends.
t:EVENTRESTART | eventRestart | Sets or retrieves whether the element should restart if a beginEvent call occurs while the local timeline is already running.
localTime | Retrieves a value indicating the current time along the local duration, as defined by the element's t:REPEAT or t:REPEATDUR attribute.
t:REPEAT | repeat | Sets or retrieves the number of times an element's timeline repeats.
t:REPEATDUR | repeatDur | Sets or retrieves the number of seconds an element's timeline repeats.
t:SYNCBEHAVIOR | syncBehavior | Sets or retrieves the synchronization rules for the element's timeline.
syncTolerance | Retrieves the time variance allowed on a timeline with locked synchronization.
t:TIMEACTION | timeAction | Sets or retrieves what action is taken on the element while the timeline is active.

Events

Event | Description
onbegin | Fires when the timeline starts on an element.
onend | Fires when the timeline stops on an element.
onmediacomplete | Fires when the element's associated media is finished loading.
onmedialoadfailed | Fires when an element's media file fails to load for any reason.
onmediaslip | Fires when an element's media file fails to keep up with the defined timeline.
onpause | Fires when the timeline on an element pauses.
onrepeat | Fires when the timeline repeats on an element, beginning with the second iteration.
onresume | Fires when an element's timeline resumes from a paused state.
onresync | Fires when the element's associated media synchronization is interrupted.
onreverse | Fires when the timeline on an element begins to play backward.

Methods

Method | Description
beginElement | Starts the element on the timeline.
endElement | Stops the element on the timeline.

Remarks

All timed HTML descendants of this XML element have sequential timing. A duration value (dur property) must be specified or the next element in the sequence might never be displayed. Elements without timing attributes are ignored by the timing mechanism and are statically rendered. A timed element is an HTML element with an associated time behavior.

The prefix t is used to associate this element with an XML namespace. You must include the following line of code in the head section of your HTML document when using this element.

<XML:NAMESPACE PREFIX="t"/>

The t:SEQ element is available as of Microsoft?Internet Explorer 5, only in the Microsoft?Win32?platform.

Example

This example uses the t:SEQ element to display a sequence of text lines without specifying begin times for each timed element in the sequence.

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<XML:NAMESPACE PREFIX="t"/>
<STYLE>
.time    {behavior: url(#default#time);}
</STYLE>
</HEAD>
<BODY BGCOLOR="white">
<t:SEQ ID="parent" CLASS="time" t:BEGIN="0" t:DUR="indefinite">
<DIV ID="div1" CLASS="time" t:DUR="2">First line of text.</DIV>
<DIV ID="div1" CLASS="time" t:DUR="2">Second line of text.</DIV>
<DIV ID="div1" CLASS="time" t:DUR="2">Third line of text.</DIV>
<DIV ID="div1" CLASS="time" t:DUR="2">Fourth line of text.</DIV>
<SPAN STYLE="color:black" ID="span1" CLASS="time"
t:DUR="indefinite"><B>End of sequence.</B></SPAN>
</t:SEQ>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

See Also

Introduction to DHTML Behaviors, Introduction to HTML+TIME, time, time2, Using DHTML Behaviors


t:VIDEO Element | video Behavior(deprecated)

t:VIDEO Element | video Behavior?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Defines a timed video element in an HTML document.

Syntax

XML | <t:VIDEO ID=sID STYLE="behavior:url('#default#time')" />
HTML | N/A
Scripting | N/A

Possible Values

sID String that specifies a unique identifier for the object.

Members Table

The following table lists the members exposed by the video object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
t:ACCELERATE | accelerate | Sets or retrieves a value that applies an acceleration to the element's local timeline.
t:AUTOREVERSE | autoReverse | Sets or retrieves whether the timeline on an element immediately begins playing in reverse after completing in the forward direction.
t:BEGIN | begin | Sets or retrieves the delay time before the timeline begins playing on the element.
t:BEGINAFTER | beginAfter | Sets or retrieves a value indicating that the timeline of an element starts when the referenced element ends.
t:BEGINEVENT | beginEvent | Sets or retrieves a value that starts the timeline of an element when the referenced event occurs.
t:BEGINWITH | beginWith | Sets or retrieves a value that starts an element's timeline at the same time as the referenced element.
t:CLIPBEGIN | clipBegin | Sets or retrieves the beginning point of a sub-clip of a continuous media object.
t:CLIPEND | clipEnd | Sets or retrieves the end point of a sub-clip of a continuous media object.
t:CLOCKSOURCE | clockSource | Sets or retrieves whether all the elements within the local time scope are synchronized with this element's timeline.
currTime | Retrieves a value indicating the current time along the simple duration as defined by the element's t:DUR or t:END attribute.
t:DECELERATE | decelerate | Sets or retrieves a value that applies a deceleration to the end of a simple duration.
t:DUR | dur | Sets or retrieves a value indicating the amount of time the element remains active or displayed.
t:END | end | Sets or retrieves a value indicating the end time for the element, or the end of the simple duration when the element is set to repeat.
t:ENDEVENT | endEvent | Sets or retrieves a value indicating that the timeline of an element ends immediately when the referenced event occurs, regardless of the element's repeat count or repeatDur property.
t:ENDHOLD | endHold | Sets or retrieves whether an element remains active if its timeline ends before the timeline on its parent element ends.
t:EVENTRESTART | eventRestart | Sets or retrieves whether the element should restart if a beginEvent call occurs while the local timeline is already running.
t:IMG | img | Sets or retrieves the URL of an alternate image to display if the MIME type is not supported on the user's computer.
localTime | Retrieves a value indicating the current time along the local duration, as defined by the element's t:REPEAT or t:REPEATDUR attribute.
t:PLAYER | player | Sets or retrieves the object used to render the media associated with this element.
playerObject | Retrieves the object that plays media files.
t:REPEAT | repeat | Sets or retrieves the number of times an element's timeline repeats.
t:REPEATDUR | repeatDur | Sets or retrieves the number of seconds an element's timeline repeats.
t:SRC | src | Sets or retrieves the source URL of the media.
t:SYNCBEHAVIOR | syncBehavior | Sets or retrieves the synchronization rules for the element's timeline.
syncTolerance | Retrieves the time variance allowed on a timeline with locked synchronization.
t:TIMEACTION | timeAction | Sets or retrieves what action is taken on the element while the timeline is active.
t:TYPE | type | Sets or retrieves the MIME type of the media object referenced by the t:SRC attribute.

Events

Event | Description
onbegin | Fires when the timeline starts on an element.
onend | Fires when the timeline stops on an element.
onmediacomplete | Fires when the element's associated media is finished loading.
onmedialoadfailed | Fires when an element's media file fails to load for any reason.
onmediaslip | Fires when an element's media file fails to keep up with the defined timeline.
onpause | Fires when the timeline on an element pauses.
onrepeat | Fires when the timeline repeats on an element, beginning with the second iteration.
onresume | Fires when an element's timeline resumes from a paused state.
onresync | Fires when the element's associated media synchronization is interrupted.
onreverse | Fires when the timeline on an element begins to play backward.
onscriptcommand | Fires when the Microsoft?Windows Media?Player control receives a synchronized command or URL.

Methods

Method | Description
beginElement | Starts the element on the timeline.
endElement | Stops the element on the timeline.

Remarks

The members listed in the preceding table might not be accessible through scripting until the window.onload event fires. Waiting for this event to fire ensures that the page is completely loaded, that all behaviors have been applied to corresponding elements on the page, and that all the behavior's properties, methods, and events are available for scripting. Using any of the behavior-defined members before the window.onload event fires could result in a scripting error, indicating that the object does not support that particular member.

Although different media-based elements exist, there is no functional difference in their current implementation. However, you are encouraged to use elements such as t:AUDIO, t:IMG, t:MEDIA, and t:VIDEO for improved document readability and enhanced support.

The prefix t is used to associate this element with an XML namespace. You must include the following line of code in the head section of your HTML document when using this element.

<XML:NAMESPACE PREFIX="t"/>

The t:VIDEO element is available as of Microsoft Internet Explorer 5, only in the Microsoft?Win32?platform.

See Also

Introduction to DHTML Behaviors, Introduction to HTML+TIME, time, time2, Using DHTML Behaviors


onbegin Event(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

onbegin Event?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Fires when the timeline starts on an element.

Syntax

Inline HTML | <ELEMENT onbegin = "handler" ... > | All platforms
Event property | object.onbegin = handler | JScript only
object.onbegin = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onbegin> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Set the element's begin time. The value of the element's begin time, which can depend on other elements, determines when the event actually fires.
Default action | Calls the associated event handler.

Available Properties

Available Properties

srcElement
type

Remarks

This event also fires for the element when the beginElement method is invoked on it, or in response to other dependencies created by the t:BEGINWITH or t:BEGINEVENT attribute.

Standards Information

This event is a Microsoft extension to HTML+TIME (Timed Interactive Multimedia Extensions) Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:SEQ, time, t:VIDEO

See Also

onend, Introduction to HTML+TIME


onend Event(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

onend Event?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Fires when the timeline stops on an element.

Syntax

Inline HTML | <ELEMENT onend = "handler" ... > | All platforms
Event property | object.onend = handler | JScript only
object.onend = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onend> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Set the element's end time. The value of the element's end time, which can depend on other elements, determines when the event actually fires.
Default action | Calls the associated event handler.

Available Properties

Available Properties

srcElement
type

Remarks

This event also fires for the element when the endElement method is invoked on it, or in response to other dependencies created by the t:END attribute. The timing of this event is not affected by the t:ENDHOLD attribute. If the t:ENDHOLD attribute is set to true for the element, this event fires when the parent element's timeline completes.

Standards Information

This event is a Microsoft extension to HTML+TIME (Timed Interactive Multimedia Extensions) Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:SEQ, time, t:VIDEO

See Also

onbegin, Introduction to HTML+TIME


onmediacomplete Event(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

onmediacomplete Event?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Fires when the element's associated media is finished loading.

Syntax

Inline HTML | <ELEMENT onmediacomplete = "handler" ... > | All platforms
Event property | object.onmediacomplete = handler | JScript only
object.onmediacomplete = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onmediacomplete> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Open a page in the browser that contains a media file affected by HTML+TIME.
Default action | Calls the associated event handler.

Available Properties

Available Properties

srcElement
type

Remarks

When a streaming media file is used, this event could fire before the file starts playing.

Standards Information

This event is a Microsoft extension to HTML+TIME (Timed Interactive Multimedia Extensions) Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:SEQ, t:VIDEO

See Also

Introduction to HTML+TIME


onmedialoadfailed Event(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

onmedialoadfailed Event?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Fires when an element's media file fails to load for any reason.

Syntax

Inline HTML | <ELEMENT onmedialoadfailed = "handler" ... > | All platforms
Event property | object.onmedialoadfailed = handler | JScript only
object.onmedialoadfailed = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onmedialoadfailed> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Open a page in the browser that contains a media file affected by HTML+TIME. The event will fire only if the media file fails to load.
Default action | Calls the associated event handler.

Available Properties

Available Properties

srcElement
type

Remarks

This event is deprecated.

Standards Information

This event is defined in HTML+TIME (Timed Interactive Multimedia Extensions) 1.0 Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:SEQ, t:VIDEO

See Also

Introduction to HTML+TIME


onmediaslip Event(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

onmediaslip Event?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Fires when an element's media file fails to keep up with the defined timeline.

Syntax

Inline HTML | <ELEMENT onmediaslip = "handler" ... > | All platforms
Event property | object.onmediaslip = handler | JScript only
object.onmediaslip = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onmediaslip> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Open a page in the browser that contains a media file affected by HTML+TIME. This event fires only if the media file fails to keep up with the defined timeline. This event could fire as a result of network problems.
Default action | Calls the associated event handler.

Available Properties

Available Properties

srcElement
type

Remarks

This event is deprecated.

Standards Information

This event is defined in HTML+TIME (Timed Interactive Multimedia Extensions) 1.0 Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:SEQ, t:VIDEO

See Also

Introduction to HTML+TIME


onpause Event(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

onpause Event?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Fires when the timeline on an element pauses.

Syntax

Inline HTML | <ELEMENT onpause = "handler" ... > | All platforms
Event property | object.onpause = handler | JScript only
object.onpause = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onpause> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Call the pause method.
Default action | Calls the associated event handler.

Available Properties

Available Properties

srcElement
type

Remarks

The onpause event fires on every element that is active when the timeline pauses, including the body element.

Standards Information

This event is a Microsoft extension to HTML+TIME (Timed Interactive Multimedia Extensions) Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:SEQ, time, t:VIDEO

See Also

onresume, Introduction to HTML+TIME


onrepeat Event(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

onrepeat Event?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Fires when the timeline repeats on an element, beginning with the second iteration.

Syntax

Inline HTML | <ELEMENT onrepeat = "handler" ... > | All platforms
Event property | object.onrepeat = handler | JScript only
object.onrepeat = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onrepeat> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Set the repeat property to a value greater than 1.
Default action | Calls the associated event handler.

Available Properties

Available Properties

srcElement
type

Remarks

The event fires once for each repetition of the timeline, excluding the first full cycle. Therefore, the onrepeat event fires repeat? times unless it is stopped by other dependencies before completion. This event fires only if the repeat or repeatDur property is set directly on the element. This event does not fire on child elements that have the repeat or repeatDur property set only on their parent elements.

Standards Information

This event is a Microsoft extension to HTML+TIME (Timed Interactive Multimedia Extensions) Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:SEQ, time, t:VIDEO

See Also

Introduction to HTML+TIME


onresume Event(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

onresume Event?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Fires when an element's timeline resumes from a paused state.

Syntax

Inline HTML | <ELEMENT onresume = "handler" ... > | All platforms
Event property | object.onresume = handler | JScript only
object.onresume = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onresume> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Call the resume method.
Default action | Calls the associated event handler.

Available Properties

Available Properties

srcElement
type

Remarks

The onresume event fires on every element that becomes active when the timeline resumes, including the body element.

Standards Information

This event is a Microsoft extension to HTML+TIME (Timed Interactive Multimedia Extensions) Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:SEQ, time, t:VIDEO

See Also

onpause, Introduction to HTML+TIME


onresync Event(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

onresync Event?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Fires when the element's associated media synchronization is interrupted.

Syntax

Inline HTML | <ELEMENT onresync = "handler" ... > | All platforms
Event property | object.onresync = handler | JScript only
object.onresync = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onresync> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Interrupt the element's ability to play its media as defined by the timeline. Using timelines with locked t:SYNCBEHAVIOR increases the chances that the element needs to be resynchronized somewhere along the timeline.
Default action | Calls the associated event handler and re-establishes media synchronization.

Available Properties

Available Properties

srcElement
type

Remarks

This event is deprecated.

Standards Information

This event is defined in HTML+TIME (Timed Interactive Multimedia Extensions) 1.0 Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:SEQ, t:VIDEO

See Also

Introduction to HTML+TIME


onreverse Event(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

onreverse Event?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Fires when the timeline on an element begins to play backward.

Syntax

Inline HTML | <ELEMENT onreverse = "handler" ... > | All platforms
Event property | object.onreverse = handler | JScript only
object.onreverse = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onreverse> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Set the t:AUTOREVERSE attribute on the element to true.
Default action | Calls the associated event handler.

Available Properties

Available Properties

srcElement
type

Remarks

If the element has a repeat value greater than one, this event fires every time the timeline begins to play backward.

Standards Information

This event is a Microsoft extension to HTML+TIME (Timed Interactive Multimedia Extensions) Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:SEQ, time, t:VIDEO

See Also

Introduction to HTML+TIME


onscriptcommand Event(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

onscriptcommand Event?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Fires when the Microsoft?Windows Media?Player control receives a synchronized command or URL.

Syntax

Inline HTML | <ELEMENT onscriptcommand = "handler" ... > | All platforms
Event property | object.onscriptcommand = handler | JScript only
object.onscriptcommand = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onscriptcommand> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Open a document in the browser that plays a streaming media file affected by HTML+TIME. The streaming media file (.asf) must contain embedded commands, or triggers, in the stream.
Default action | Calls the associated event handler.

Available Properties

Available Properties

srcElement
type

Remarks

This event is deprecated.

This event fires when the Windows Media Player is used with one of the HTML+TIME media elements, including t:AUDIO, t:IMG, t:MEDIA, and t:VIDEO.

Commands can be embedded among the sounds and images of an .asf file. A command consists of a pair of Unicode strings associated with a designated time in the stream. When the stream reaches the time associated with the command, the Windows Media Player control fires this event and sets two properties on the event object, the scType property and the Param property. The scType property specifies the type of command, and the Param property specifies the command value. The scType property determines how the Windows Media Player control processes the command parameter.

Any type of command can be embedded in an ASF stream to be handled by this event. For example, if the Windows Media Player encounters a URL trigger in the .asf file, the scType property is set to URL and the Param property is set to URL (http://...).

In addition to the onscriptcommand event, a second event is fired in response to the .asf trigger. The event prefix on is added to the front of the string specified in the scType property, and that event is fired. For example, suppose a stream defines a trigger with the scType property set to the string mytype. In this case, the custom onmytype event fires at that point in the stream with the onscriptcommand.

Standards Information

This event is defined in HTML+TIME (Timed Interactive Multimedia Extensions) Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:VIDEO

See Also

Introduction to HTML+TIME


beginElement Method(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

beginElement Method?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Starts the element on the timeline.

Syntax

object.beginElement()

Return Value

No return value.

Remarks

This method applies the same action as if the element's begin time is reached on the local timeline. When the beginElement method is called, the element begins. All time children elements are notified and aligned correctly to the local timeline.

Example

This example displays an image when the countdown reaches 0. Click the Restart Timeline button to restart the timeline with the beginElement method.

<!DOCTYPE HTML PUBLIC "-//W3C//DTD W3 HTML//EN">
<HTML>
<HEAD>
<XML:NAMESPACE PREFIX="t"/>
<STYLE>
.time  { behavior: url(#default#time);}
</STYLE>
</HEAD>
<BODY BGCOLOR="white">
<t:SEQ ID="sequence" CLASS="time">
<SPAN CLASS="time" STYLE="Color:Red; font-size:20pt;"
t:TIMEACTION="display" t:DUR="1">5...
</SPAN>
<SPAN CLASS="time" STYLE="Color:Green; font-size:20pt;"
t:TIMEACTION="display" t:DUR="1">4...
</SPAN>
<SPAN CLASS="time" STYLE="Color:Blue; font-size:20pt;"
t:TIMEACTION="display" t:DUR="1">3...
</SPAN>
<SPAN CLASS="time" STYLE="Color:Orange; font-size:20pt;"
t:TIMEACTION="display" t:DUR="1">2...
</SPAN>
<SPAN CLASS="time" STYLE="Color:Purple; font-size:20pt;"
t:TIMEACTION="display" t:DUR="1">1...
</SPAN><BR>
<IMG CLASS="time" t:DUR="indefinite"
SRC="../../common/sun.gif" />
</t:SEQ><BR>
<BUTTON ID="btn" onclick="sequence.beginElement();">
Restart Timeline
</BUTTON>
<BR><BR>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is a Microsoft extension to HTML+TIME (Timed Interactive Multimedia Extensions) Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:SEQ, time, t:VIDEO

See Also

endElement, Introduction to HTML+TIME


endElement Method(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

endElement Method?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Stops the element on the timeline.

Syntax

object.endElement()

Return Value

No return value.

Remarks

This method applies the same action as if the element's end time is reached on the local timeline, or the element's duration (dur) has expired. All time children elements are notified and aligned correctly to the local timeline. In addition, the endElement method fires the onend event.

Standards Information

This method is a Microsoft extension to HTML+TIME (Timed Interactive Multimedia Extensions) Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:SEQ, time, t:VIDEO

See Also

beginElement, Introduction to HTML+TIME


pause Method(deprecated) (BODY)

pause Method?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Pauses the timeline on the HTML document.

Syntax

BODY.pause()

Return Value

No return value.

Remarks

This method is deprecated. For similar functionality, refer to the pauseElement method available with the time2 behavior.

Only the BODY element supports the pause method. When this method is invoked, the onpause event occurs.

Standards Information

This method is defined in HTML+TIME (Timed Interactive Multimedia Extensions) 1.0 Non-Microsoft link.

Applies To

BODY

See Also

resume, Introduction to HTML+TIME


resume Method(deprecated) (BODY)

resume Method?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Resumes a paused timeline on the HTML document.

Syntax

BODY.resume()

Return Value

No return value.

Remarks

This method is deprecated. For similar functionality, refer to the resumeElement method available with the time2 behavior.

Only the BODY element supports the resume method. When this method is invoked, the onresume event occurs.

Standards Information

This method is defined in HTML+TIME (Timed Interactive Multimedia Extensions) 1.0 Non-Microsoft link.

Applies To

BODY

See Also

pause, Introduction to HTML+TIME


t:ACCELERATE Attribute | accelerate Property(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

t:ACCELERATE Attribute | accelerate Property?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Sets or retrieves a value that applies an acceleration to the element's local timeline.

Syntax

XML | <ELEMENT t:ACCELERATE = fRate... >
Scripting | object.accelerate [ = fRate ]

Possible Values

fRate Floating-point number that specifies a value between 0 and 1 representing the portion of the local timeline over which the acceleration is applied. The local timeline refers to the timeline associated with a particular HTML element (such as a div or span), rather than the global timeline associated with the entire document.
0 Default. Acceleration is not applied to the element's timeline.

The property is read/write. The property has a default value of 0.

Remarks

If the t:REPEAT or t:REPEATDUR attribute is set on an element, the acceleration occurs each time the element repeats.

The t:ACCELERATE attribute is especially well suited to animation content and behaviors. Setting this attribute to a nonzero value does not affect the duration of the timeline, but it could change the effective play speed of the local timeline. The sum of the values for the t:ACCELERATE and t:DECELERATE attributes must not exceed 1. This property is also commonly known as "ease-in" in some systems.

Standards Information

This property is a Microsoft extension to HTML+TIME (Timed Interactive Multimedia Extensions) Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:SEQ, time, t:VIDEO

See Also

Introduction to HTML+TIME


t:AUTOREVERSE Attribute | autoReverse Property(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

t:AUTOREVERSE Attribute | autoReverse Property?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Sets or retrieves whether the timeline on an element immediately begins playing in reverse after completing in the forward direction.

Syntax

XML | <ELEMENT t:AUTOREVERSE = bReverse... >
Scripting | object.autoReverse [ = bReverse ]

Possible Values

bReverse Boolean that specifies or receives one of the following values:
true | Timeline plays in the forward direction until it completes, then it immediately plays in the reverse direction.
false | Default. Timeline does not play in the reverse direction after it finishes playing in the forward direction.

The property is read/write. The property has a default value of false.

Remarks

On some systems, this attribute is referred to as "Play forward, then backward." The property cannot be modified in script after the onload event fires on the document body.

Setting autoReverse to true on a video element results in the element being frozen on the frame where the reverse occurred, that is, the last frame that played.

Audio files do not play in reverse, they simply end.

Standards Information

This property is a Microsoft extension to HTML+TIME (Timed Interactive Multimedia Extensions) Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:SEQ, time, t:VIDEO

See Also

Introduction to HTML+TIME


BEGIN Attribute | begin Property (A, ACRONYM, ADDRESS, ...)

BEGIN Attribute | begin Property

Sets or retrieves the delay time before the timeline begins playing on the element.

What's New for Microsoft?Internet Explorer 6

The begin property applies to the transitionFilter element.

Syntax

HTML | <ELEMENT BEGIN = sTime... >
Scripting | object.begin [ = sTime ]

Possible Values

sTime String that specifies or receives one or more of the following values.
clock-value | Clock value, such as h:min:s.f, described in Time Formats.
id.event[+clock-value] | Element begin time is defined relative to the firing of an event. The clock-value is optional.
indefinite | Element begin time is determined by a beginElement method call.

The property is read/write. The property has a default value of 0.

Remarks

The begin property exposed by the time2 behavior includes functionality that was previously provided by the beginAfter and beginWith properties in the time behavior.

The BEGIN attribute can be assigned many BEGIN time values. For example, to make the element begin 12 seconds after element x receives focus, specify BEGIN="x.onfocus+12s". To make the element begin 10 seconds before element x begins, specify BEGIN="x.end-10s". If you want an element to begin four seconds after the page loads or to begin one second after the user clicks an object on the page, use the following syntax. BEGIN="4; oObject.click+1".

You can set the begin property relative to an event by using the syntax begin="element.onevent" and begin="element.event"; both are valid.

For children of excl time containers, the default value is indefinite.

Examples

This example uses the BEGIN attribute to make text appear and disappear over time.

<HTML>
<HEAD>
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY BGCOLOR="white">
<SPAN CLASS=time STYLE="COLOR:Red;" BEGIN="0" DUR="3"
TIMEACTION="display">
<H3>Paragraph #1</H3>
<P>This is paragraph number one. It appears for three seconds immediately
after the page is loaded.</P>
</SPAN>
<SPAN CLASS=time STYLE="COLOR:Blue;" BEGIN="4" DUR="4"
TIMEACTION="display">
<H3>Paragraph 2</H3>
<P>This is paragraph number two. It appears one second after the first
paragraph disappears, and remains displayed for four seconds.</P>
</SPAN>
<H1 CLASS=time BEGIN="8" DUR="indefinite" TIMEACTION="display">
The End.
</H1>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example shows how to create timeline dependencies by specifying an event value for the BEGIN attribute.

<HTML>
<HEAD>
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY BGCOLOR="white">
<P>Click the following button to display a paragraph two seconds later.
The paragraph displays for five seconds.</P><BR><BR>
<BUTTON ID="button1">Show Paragraph</BUTTON><BR><BR>
<SPAN ID="span1" CLASS=time STYLE="COLOR:Red;"
BEGIN="button1.click+2" DUR="5" TIMEACTION="display">
<H3>Paragraph 1</H3>
<P>This is paragraph number one. It appears two seconds after
the button is clicked and displays for five seconds.</P>
</SPAN>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, AREA, t:AUDIO, B, BIG, BLOCKQUOTE, BUTTON, CAPTION, CENTER, CITE, CODE, DD, DEL, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, hn, HR, I, IFRAME, IMG, t:IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LEGEND, LI, LISTING, MARQUEE, t:MEDIA, MENU, OL, OPTION, P, PLAINTEXT, playItem, PRE, Q, t:REF, S, SAMP, t:SEQ, t:SET, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, time2, TR, TT, U, UL, VAR, t:VIDEO, XMP, t:TRANSITIONFILTER

See Also

Introduction to HTML+TIME, end


t:BEGINAFTER Attribute | beginAfter Property(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

t:BEGINAFTER Attribute | beginAfter Property?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Sets or retrieves a value indicating that the timeline of an element starts when the referenced element ends.

Syntax

XML | <ELEMENT t:BEGINAFTER = sID... >
Scripting | object.beginAfter [ = sID ]

Possible Values

sID String that specifies the unique identifier of another timed element within the current time scope. The timeline begins on the current element when the referenced element ends. For more information about time scope, see the Remarks section.

The property is read/write. The property has no default value.

Remarks

This property is deprecated. For similar functionality, refer to the begin property available with the time2 behavior.

This property supports relative sequential timing. You can offset the start time by specifying a nonzero value for the t:BEGIN attribute on the element. This indicates that the timeline should start at a specified amount of time after the timeline on the referenced element ends. If the referenced element has an indefinite duration, the timeline on the current element does not start. This property cannot be used on the same element as the t:BEGINEVENT or t:BEGINWITH attribute.

The current time scope is defined by the closest parent time container created with the t:TIMELINE attribute or the t:PAR or t:SEQ element. All timed elements within the same parent time container (time siblings) share the current time scope. If no time containers are explicitly declared, the document root is defined as the parent time container. In this case, all timed elements in the document would share the current time scope. To create timing dependencies between elements in different time scopes, use the t:BEGINEVENT attribute instead of the t:BEGINAFTER attribute.

The prefix t is used to associate this attribute with an XML namespace.

Example

This example uses the t:BEGINAFTER and t:BEGIN attributes to make a paragraph appear one second after the first paragraph disappears. -->

<!DOCTYPE HTML PUBLIC "-//W3C//DTD W3 HTML//EN">
<HTML>
<HEAD>
<STYLE>
.time        	{ behavior: url(#default#time);}
</STYLE>
</HEAD>
<BODY BGCOLOR="white">
<SPAN ID="span1" CLASS=time STYLE="COLOR:Red;" t:BEGIN="2" t:DUR="5"
t:TIMEACTION="display">
<H3>Paragraph 1</H3>
<P>This is paragraph number one. It appears 2 seconds after the
page is loaded and remains displayed for 5 seconds.</P>
</SPAN>
<SPAN CLASS=time STYLE="COLOR:Blue;" t:BEGIN="1" t:BEGINAFTER="span1"
t:TIMEACTION="display">
<H3>Paragraph 2</H3>
<P>This is paragraph number two. It appears one second after the
first paragraph disappears, and remains displayed indefinitely.</P>
</SPAN>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in HTML+TIME (Timed Interactive Multimedia Extensions) 1.0 Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:SEQ, time, t:VIDEO

See Also

Introduction to HTML+TIME, t:BEGIN, t:BEGINEVENT, t:BEGINWITH


t:BEGINEVENT Attribute | beginEvent Property(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

t:BEGINEVENT Attribute | beginEvent Property?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Sets or retrieves a value that starts the timeline of an element when the referenced event occurs.

Syntax

XML | <ELEMENT t:BEGINEVENT = sEventName... >
Scripting | object.beginEvent [ = sEventName ]

Possible Values

sEventName String that specifies or receives one of the following values:
event | String that specifies a timing event or an event supported by the Dynamic HTML (DHTML) Object Model.
none | Default. Value that specifies the element's timeline is not started when a particular event occurs.

The property is read/write. The property has a default value of none.

Remarks

This property is deprecated. For similar functionality, refer to the begin property available with the time2 behavior.

This property supports interactive timing, where element timelines can begin in response to events from users, media players, or the presentation. You can offset the start time by specifying a nonzero value for the t:BEGIN attribute on the element. This indicates that the timeline should start a specified amount of time after the referenced event occurs. If the referenced event doesn't occur, the timeline on the current element does not start. This property cannot be used on the same element as the t:BEGINAFTER or t:BEGINWITH attribute.

To start the timeline on the current element, you can specify more than one event setting the t:BEGINEVENT attribute to a string containing a list of semicolon-separated events. For example, you would use the following code to cause the timeline to begin on the heading when either button is pressed:

<BUTTON ID="btn1">Button #1</BUTTON>
<BUTTON ID="btn2">Button #2</BUTTON>
.
.
.
<H1 CLASS="time" t:BEGINEVENT="btn1.onclick;btn2.onclick" t:DUR="5">
My Heading
</H1>

The t: prefix is used to associate this attribute with an XML namespace.

Standards Information

This property is defined in HTML+TIME (Timed Interactive Multimedia Extensions) 1.0 Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:SEQ, time, t:VIDEO

See Also

t:BEGIN, t:BEGINAFTER, t:BEGINWITH, Introduction to HTML+TIME


t:BEGINWITH Attribute | beginWith Property(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

t:BEGINWITH Attribute | beginWith Property?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Sets or retrieves a value that starts an element's timeline at the same time as the referenced element.

Syntax

XML | <ELEMENT t:BEGINWITH = sID... >
Scripting | object.beginWith [ = sID ]

Possible Values

sID String that specifies the unique identifier of another element within the current time scope. The timeline on the current element starts when this referenced element starts. For more information about time scope, see the Remarks section.

The property is read/write. The property has no default value.

Remarks

This property is deprecated. For similar functionality, refer to the begin property available with the time2 behavior.

This property supports relative timing between elements. You can offset the start time by specifying a nonzero value for the t:BEGIN attribute on the element. This indicates that the timeline should start at a specified amount of time after the referenced element starts. This property cannot be used on the same element as the t:BEGINAFTER or t:BEGINEVENT property.

The current time scope is defined by the closest parent time container created with the t:TIMELINE attribute or the t:PAR or t:SEQ element. All timed elements within the same parent time container (time siblings) share the current time scope. If no time containers are explicitly declared, the document root is defined as the parent time container. In this case, all timed elements in the document would share the current time scope. If you need to create begin dependencies between elements in different time scopes, use the t:BEGINEVENT attribute instead.

The t: prefix is used to associate this attribute with an XML namespace.

Example

This example uses the t:BEGINWITH and t:BEGIN attributes to make a paragraph appear two seconds after the first one appears.

<!DOCTYPE HTML PUBLIC "-//W3C//DTD W3 HTML//EN">
<HTML>
<HEAD>
<STYLE>
.time    { behavior: url(#default#time);}
</STYLE>
</HEAD>
<BODY BGCOLOR="white">
<SPAN ID="span1" CLASS=time STYLE="COLOR:Red;" t:BEGIN="2" t:DUR="5"
t:TIMEACTION="visibility">
<H3>Paragraph 1</H3>
<P>This is paragraph number one. It appears two seconds after
the page loads, and displays for five seconds.</P>
</SPAN>
<SPAN ID="span2" CLASS=time STYLE="COLOR:Blue;" t:BEGINWITH="span1"
t:BEGIN="2" t:TIMEACTION="display">
<H3>Paragraph 2</H3>
<P>This is paragraph number two. It appears two seconds after
the first paragraph appears, and displays indefinitely.</P>
</SPAN>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in HTML+TIME (Timed Interactive Multimedia Extensions) 1.0 Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:SEQ, time, t:VIDEO

See Also

Introduction to HTML+TIME


t:CLIPBEGIN Attribute | clipBegin Property(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

t:CLIPBEGIN Attribute | clipBegin Property?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Sets or retrieves the beginning point of a sub-clip of a continuous media object.

Syntax

XML | <ELEMENT t:CLIPBEGIN = sTime... >
Scripting | object.clipBegin [ = sTime ]

Possible Values

sTime String that specifies or receives the beginning point of a media object as an offset from the start time. The time must be specified as described in Time Formats.

The property is read/write. The property has no default value.

Remarks

This property cannot be modified in script after the onload event fires on the document body.

Standards Information

This property is defined in HTML+TIME (Timed Interactive Multimedia Extensions) 1.0 Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:VIDEO

See Also

Introduction to HTML+TIME, t:CLIPEND


t:CLIPEND Attribute | clipEnd Property(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

t:CLIPEND Attribute | clipEnd Property?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Sets or retrieves the end point of a sub-clip of a continuous media object.

Syntax

XML | <ELEMENT t:CLIPEND = sTime... >
Scripting | object.clipEnd [ = sTime ]

Possible Values

sTime String that specifies or receives the end point of a media object as an offset from the start time. The time must be specified as described in Time Formats.

The property is read/write. The property has no default value.

Remarks

This property cannot be modified in script after the onload event fires on the document body.

If the t:CLIPEND attribute exceeds the duration of the media object, the value is ignored and t:CLIPEND is set equal to the end of the media object.

Standards Information

This property is defined in HTML+TIME (Timed Interactive Multimedia Extensions) 1.0 Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:VIDEO

See Also

Introduction to HTML+TIME, t:CLIPBEGIN


t:CLOCKSOURCE Attribute | clockSource Property(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

t:CLOCKSOURCE Attribute | clockSource Property?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Sets or retrieves whether all the elements within the local time scope are synchronized with this element's timeline.

Syntax

XML | <ELEMENT t:CLOCKSOURCE = bSyncLocal... >
Scripting | object.clockSource [ = bSyncLocal ]

Possible Values

bSyncLocal Boolean that specifies one of the following values.
true | Elements within the local time scope are synchronized with the timeline on this element. The local time scope is determined by the t:SYNCBEHAVIOR attribute on the parent element.
false | Default. Elements within the local time scope are not synchronized with the timeline on this element.

The property is read/write. The property has a default value of false.

Remarks

This property is deprecated. For similar functionality, refer to the syncMaster property available with the time2 behavior.

This property must be used with the t:SYNCBEHAVIOR attribute to ensure synchronization between a designated media object, such as a video file, and other timed elements in the document.

The t: prefix is used to associate this attribute with an XML namespace.

Standards Information

This property is defined in HTML+TIME (Timed Interactive Multimedia Extensions) 1.0 Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:VIDEO

See Also

Introduction to HTML+TIME, syncTolerance


currTime Property(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

currTime Property?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Retrieves a value indicating the current time along the simple duration as defined by the element's t:DUR or t:END attribute.

Syntax

XML | N/A
Scripting | [ sTime = ] object.currTime

Possible Values

sTime String that specifies the current time on the element's simple duration.

The property is read-only. The property has no default value.

Remarks

This property is deprecated. For similar functionality, refer to the activeTime property available with the time2 behavior.

The simple duration is the amount of time it takes for the element to complete one forward cycle without any repetitions.

If the t:REPEAT or t:REPEATDUR attribute is set on an element, the value of the currTime property resets each time the element repeats.

Standards Information

This property is defined in HTML+TIME (Timed Interactive Multimedia Extensions) 1.0 Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:SEQ, time, t:VIDEO

See Also

Introduction to HTML+TIME, localTime


t:DECELERATE Attribute | decelerate Property(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

t:DECELERATE Attribute | decelerate Property?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Sets or retrieves a value that applies a deceleration to the end of a simple duration.

Syntax

XML | <ELEMENT t:DECELERATE = fRate... >
Scripting | object.decelerate [ = fRate ]

Possible Values

fRate Floating-point number that specifies a value between 0 and 1 representing the portion of the local timeline over which the deceleration is applied. The local timeline refers to the timeline associated with a particular HTML element (such as a div or span), rather than the global timeline associated with the entire document.
0 Default. Deceleration is not applied to the element's timeline.

The property is read/write. The property has a default value of 0.

Remarks

The simple duration is the segment of time from when the element begins playing until it completes one forward cycle of its behavior, excluding repetitions.

If the t:REPEAT or t:REPEATDUR attribute is set on an element, the deceleration occurs each time the element repeats.

The t:DECELERATE attribute is especially well suited to animation content and behaviors. Setting this attribute to a nonzero value does not affect the duration of the timeline in any way, but it might change the effective play speed of the local timeline.

The sum of the values for the t:ACCELERATE and t:DECELERATE attributes must not exceed 1. This property is also commonly known as "ease-out" in some systems.

Standards Information

This property is a Microsoft extension to HTML+TIME (Timed Interactive Multimedia Extensions) Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:SEQ, time, t:VIDEO

See Also

Introduction to HTML+TIME


t:DUR Attribute | dur Property(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

t:DUR Attribute | dur Property?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Sets or retrieves a value indicating the amount of time the element remains active or displayed.

Syntax

XML | <ELEMENT t:DUR = sTime... >
Scripting | object.dur [ = sTime ]

Possible Values

sTime String that specifies one of the following values:
indefinite | Default. Element remains active on the timeline for an indefinite amount of time.
duration | Amount of time the element remains active or displayed. The time must be specified as described in Time Formats.

The property is read/write. The property has a default value of indefinite.

Remarks

The t:DUR attribute is a value relative to the value of the element's t:BEGIN attribute. By contrast, the t:END attribute represents an absolute value along the parent element's timeline starting at 0 seconds. Do not use the t:DUR attribute on the same element as the t:END attribute.

A dur value of 0 is invalid. If 0 is specified, the default value is used instead.

Example

This example uses the t:DUR attribute to display lines of text for different amounts of time.

<!DOCTYPE HTML PUBLIC "-//W3C//DTD W3 HTML//EN">
<HTML>
<HEAD>
<STYLE>
.time  {behavior: url(#default#time);}
</STYLE>
</HEAD>
<BODY BGCOLOR="white">
<SPAN CLASS=time STYLE="COLOR:Red;" t:BEGIN="0" t:DUR="5"
TIMEACTION="visibility">
<H3>Paragraph 1</H3>
<P>This is paragraph number one. It displays for five
seconds.</P>
</SPAN>
<SPAN CLASS=time STYLE="COLOR:Blue;" t:BEGIN="0" t:DUR="10"
TIMEACTION="visibility">
<H3>Paragraph 2</H3>
<P>This is paragraph number two. It displays for ten
seconds.</P>
</SPAN>
<SPAN CLASS=time STYLE="COLOR:Green;" t:BEGIN="0" t:DUR="indefinite"
TIMEACTION="visibility">
<H3>Paragraph 3</H3>
<P>This is paragraph number three. It displays
indefinitely.</P>
</SPAN>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in HTML+TIME (Timed Interactive Multimedia Extensions) 1.0 Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:SEQ, time, t:VIDEO

See Also

t:BEGIN, Introduction to HTML+TIME


t:END Attribute | end Property(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

t:END Attribute | end Property?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Sets or retrieves a value indicating the end time for the element, or the end of the simple duration when the element is set to repeat.

Syntax

XML | <ELEMENT t:END = sTime... >
Scripting | object.end [ = sTime ]

Possible Values

sTime String that specifies or receives one of the following values:
clock-value | Clock value, such as h:min:s.f, described in Time Formats.
indefinite | Element remains active on the timeline for an indefinite amount of time.

The property is read/write. The property has no default value.

Remarks

The t:END attribute represents an absolute value along the parent element's timeline starting at zero seconds. By contrast, the t:DUR attribute represents a value relative to the value of the element's t:BEGIN attribute. Do not use the t:END attribute on the same element as the t:DUR attribute.

You must prefix the attribute with the t: namespace.

Example

This example uses the t:END attribute to display three lines of text, each with its own start time, but all with the same end time.

<!DOCTYPE HTML PUBLIC "-//W3C//DTD W3 HTML//EN">
<HTML>
<HEAD>
<STYLE>
.time  {behavior:url(#default#time);}
</STYLE>
</HEAD>
<BODY BGCOLOR="white">
<SPAN CLASS="time" STYLE="COLOR:Red;" t:BEGIN="0" t:END="10"
t:TIMEACTION="visibility">
<H3>Paragraph 1</H3>
<P>This is paragraph number one. It is displayed as soon as
the page is loaded.</P>
</SPAN>
<SPAN CLASS="time" STYLE="COLOR:Blue;" t:BEGIN="3" t:END="10"
t:TIMEACTION="visibility">
<H3>Paragraph 2</H3>
<P>This is paragraph number two. It is displayed three seconds
after the page is loaded.</P>
</SPAN>
<SPAN CLASS="time" STYLE="COLOR:Green;" t:BEGIN="6" t:END="10"
t:TIMEACTION="visibility">
<H3>Paragraph 3</H3>
<P>This is paragraph number three. It is displayed six seconds
after the page is loaded.</P>
</SPAN>
<P>The preceding paragraphs have different start times, but they
all have an end value of ten. Therefore, all three paragraphs will
disappear when the timeline reaches ten seconds.</P>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in HTML+TIME (Timed Interactive Multimedia Extensions) 1.0 Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:SEQ, time, t:VIDEO

See Also

Introduction to HTML+TIME, t:ENDEVENT, t:ENDHOLD


t:ENDEVENT Attribute | endEvent Property(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

t:ENDEVENT Attribute | endEvent Property?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Sets or retrieves a value indicating that the timeline of an element ends immediately when the referenced event occurs, regardless of the element's repeat count or repeatDur property.

Syntax

XML | <ELEMENT t:ENDEVENT = sEventName... >
Scripting | object.endEvent [ = sEventName ]

Possible Values

sEventName String that specifies or receives one of the following values:
none | Default. Value that specifies the element's timeline is not stopped when a particular event occurs.
event | String that specifies a timing event or an event supported by the Dynamic HTML (DHTML) Object Model.

The property is read/write. The property has a default value of none.

Remarks

This property is deprecated.

This property supports interactive timing, where element timelines can end in response to events from users, media players, or the presentation. If the referenced event does not occur, the timeline on the current element does not start. To override this behavior, you can specify a maximum duration for the timeline using either the t:DUR or t:END attribute on the same element. This behavior is sometimes referred to as "lazy interactive."

The prefix t is used to associate this attribute with an XML namespace.

Example

This example uses the t:ENDEVENT attribute to make a paragraph disappear when the user clicks the button.

<!DOCTYPE HTML PUBLIC "-//W3C//DTD W3 HTML//EN">
<HTML>
<HEAD>
<STYLE>
.time    { behavior: url(#default#time);}
</STYLE>
</HEAD>
<BODY BGCOLOR="white">
<BUTTON ID="button1">Hide Paragraph</BUTTON><BR><BR>
<SPAN ID="span1" CLASS=time STYLE="COLOR:Red;"
t:ENDEVENT="button1.onclick" t:TIMEACTION="display">
<H3>Paragraph 1</H3>
<P>This is paragraph number one. It disappears when the button
is clicked.</P>
</SPAN>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in HTML+TIME (Timed Interactive Multimedia Extensions) 1.0 Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:SEQ, time, t:VIDEO

See Also

Introduction to HTML+TIME, t:ENDHOLD


t:ENDHOLD Attribute | endHold Property(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

t:ENDHOLD Attribute | endHold Property?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Sets or retrieves whether an element remains active if its timeline ends before the timeline on its parent element ends.

Syntax

XML | <ELEMENT t:ENDHOLD = bHold... >
Scripting | object.endHold [ = bHold ]

Possible Values

bHold Boolean that specifies one of the following values:
true | Element is frozen at the end of its local timeline. This last snapshot of the element displays until the end of the element's parent timeline is reached.
false | Element is not held until the end of the parent timeline is reached.

The property is read/write. The property has no default value.

Remarks

This property is deprecated. For similar functionality, refer to the fill property available with the time2 behavior.

This property does not affect the defined duration (t:DUR) of the timeline, nor the timeline's defined t:END time. However, the t:ENDHOLD attribute does affect the display of the element between the end of the element's timeline and the end of the parent element's timeline. For example, suppose an element has an end value of 10 seconds and its parent element has an end value of 15 seconds. In this case, the t:ENDHOLD attribute defines whether the element displays during the five-second interval (seconds 11 through 15) after the timeline ends.

The t: prefix is used to associate this attribute with an XML namespace.

Standards Information

This property is defined in HTML+TIME (Timed Interactive Multimedia Extensions) 1.0 Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:SEQ, time, t:VIDEO

See Also

Introduction to HTML+TIME, t:ENDEVENT


t:EVENTRESTART Attribute | eventRestart Property(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

t:EVENTRESTART Attribute | eventRestart Property?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Sets or retrieves whether the element should restart if a beginEvent call occurs while the local timeline is already running.

Syntax

XML | <ELEMENT t:EVENTRESTART = bRestart... >
Scripting | object.eventRestart [ = bRestart ]

Possible Values

bRestart Boolean that specifies one of the following values.
true | Timeline immediately restarts every time the referenced event happens.
false | Default. Timeline cannot be restarted while it is running.

The property is read/write. The property has a default value of false.

Remarks

This property is deprecated. For similar functionality, refer to the restart property available with the time2 behavior.

The t: prefix is used to associate this attribute with an XML namespace.

Standards Information

This property is defined in HTML+TIME (Timed Interactive Multimedia Extensions) 1.0 Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:SEQ, time, t:VIDEO

See Also

Introduction to HTML+TIME


t:IMG Attribute | img Property(deprecated) (t:MEDIA, t:VIDEO)

t:IMG Attribute | img Property?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Sets or retrieves the URL of an alternate image to display if the MIME type is not supported on the user's computer.

Syntax

XML | <ELEMENT t:IMG = sURL... >
Scripting | object.img [ = sURL ]

Possible Values

sURL String that specifies the URL of an alternate image to display for this element if the MIME type is not supported on the user's computer.

The property is read/write. The property has no default value.

Remarks

This property is deprecated.

The t: prefix is used to associate this attribute with an XML namespace.

Standards Information

This property is defined in HTML+TIME (Timed Interactive Multimedia Extensions) 1.0 Non-Microsoft link.

Applies To

t:MEDIA, t:VIDEO

See Also

Introduction to HTML+TIME


localTime Property(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

localTime Property?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Retrieves a value indicating the current time along the local duration, as defined by the element's t:REPEAT or t:REPEATDUR attribute.

Syntax

XML | N/A
Scripting | [ sTime = ] object.localTime

Possible Values

sTime String that specifies the current time on the element's local duration. The local duration is the amount of time from when the element begins until it stops, including playing in reverse and all repetitions.

The property is read-only. The property has no default value.

Remarks

This property is deprecated. For similar functionality, refer to the simpleTime property available with the time2 behavior.

If the t:AUTOREVERSE attribute is set to true on an element, the localTime is effectively doubled. The localTime property also includes the value of the element's t:REPEAT or t:REPEATDUR attribute.

Standards Information

This property is defined in HTML+TIME (Timed Interactive Multimedia Extensions) 1.0 Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:SEQ, time, t:VIDEO

See Also

Introduction to HTML+TIME, currTime


onOffBehavior Property(deprecated) (A, ADDRESS, B, ...)

onOffBehavior Property?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Retrieves an object indicating whether the specified Microsoft?DirectAnimation?behavior is running.

Syntax

HTML | N/A
Scripting | [ oOn = ] object.onOffBehavior

Possible Values

oOn DirectAnimation Boolean (DABoolean) object that specifies one of the following values.
true | Behavior is running.
false | Behavior is not running.

The property is read-only. The property has no default value.

Remarks

This property is deprecated.

This property allows you to incorporate multimedia elements, such as 2-D and 3-D animated images and sounds, into an HTML page using the anim:DA element. The object this property is applied to must be an HTML object with a valid HTML+TIME (Timed Interactive Multimedia Extensions) timeline. Use this property with HTML+TIME timelines to control DirectAnimation content. This property is not part of the HTML+TIME specification.

Note To ensure that pages using this property display properly in Microsoft Internet Explorer, complete the following steps.

  • Use #time instead of #default#time for the behavior declaration.
  • Include the time object in your page. The class identifier used to specify this object is 476C391C-3E0D-11D2-B948-00C04FA32195.

These actions are necessary only for pages that use HTML+TIME timelines to control DirectAnimation content.

Example

This example attaches a timeline specified with HTML+TIME to an image animated with DirectAnimation. The onOffBehavior property is used to display one image while the animation is running, and to display a different image while the animation is stopped.

<HTML>
<HEAD>
<TITLE>progressBehavior</TITLE>
<XML:NAMESPACE PREFIX="anim"/>
<STYLE>
.time       { behavior: url(#time); }
anim\:DA    { behavior: url(#default#anim); }
</STYLE>
<OBJECT ID="time" CLASSID="CLSID:476C391C-3E0D-11D2-B948-00C04FA32195">
</OBJECT>
</HEAD>
<BODY>
<P>An image of the sun is displayed before the DirectAnimation
behavior starts. Five seconds later, a new image replaces the
image of the sun. The new image fades out during five seconds
of animation, and the original image of the sun reappears.</P>
<SPAN ID="spanImg" CLASS="time" t:TIMEACTION="visibility" t:BEGIN="5"
t:DUR="5">
</SPAN>
<DIV ALIGN="center">
<anim:DA ID="da1" STYLE="width:504; height:126; z-index: -1;" />
</DIV>
<BR>
<BUTTON onclick="spanImg.beginElement();">Restart</BUTTON>
<SCRIPT LANGUAGE="JScript">
<!--
// Assign a variable to the DA statics library
m = da1.statics;
// Create the DAImages
img1 = m.ImportImage("../../common/solarsys.gif");
img2 = m.ImportImage("../../common/sun.gif");
// Display image 1 while the behavior is running, and
// image 2 while it is stopped.
img3 = m.Cond(spanImg.onOffBehavior, img1, img2)
// Animate the opacity of the image from 100% to 0%, based on the
// progress of the time behavior. Use (1 - progress) to get the
// proper opacity.
img4 = img3.OpacityAnim(m.Sub(m.DANumber(1),spanImg.progressBehavior));
// Set the image of the DA Object to be the final image behavior
da1.image = img4;
//-->
</SCRIPT>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in HTML+TIME 1.0 Non-Microsoft link.

Applies To

A, ADDRESS, B, BIG, BLOCKQUOTE, BODY, BUTTON, CAPTION, CENTER, CITE, CODE, COL, COLGROUP, currentStyle, CUSTOM, DD, DFN, DIR, DIV, DL, DT, EM, FIELDSET, FORM, hn, HTML, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, ISINDEX, KBD, LABEL, LEGEND, LI, LISTING, MARQUEE, MENU, OL, OPTION, P, PLAINTEXT, PRE, runtimeStyle, S, SAMP, SELECT, SMALL, SPAN, STRIKE, STRONG, style, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

progressBehavior, timelineBehavior


t:PLAYER Attribute | player Property(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

t:PLAYER Attribute | player Property?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Sets or retrieves the object used to render the media associated with this element.

Syntax

XML | <ELEMENT t:PLAYER = sID... >
Scripting | object.player [ = sID ]

Possible Values

sID String that specifies or receives the class identifier of the object used to render the element's media. The format is "{XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX}" for registered Microsoft ActiveX controls.

The property is read/write. The property has no default value.

Remarks

Only media playing objects that support HTML+TIME work with this property. This property cannot be modified in script after the onload event fires on the document body.

Standards Information

This property is a Microsoft extension to HTML+TIME (Timed Interactive Multimedia Extensions) Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:VIDEO

See Also

Introduction to HTML+TIME, playerObject


playerObject Property(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

playerObject Property?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Retrieves the object that plays media files.

Syntax

XML | N/A
Scripting | [ oPlayer = ] object.playerObject

Possible Values

oPlayer Player object used for rendering the element's media.

The property is read-only. The property has no default value.

Remarks

The t:PLAYER attribute specifies the object that plays media files.

This property provides access to all the properties, methods, and events available on the player object.

Example

This example plays a video clip with the Microsoft?Windows Media?Player control. The video clip begins playing five seconds after the page loads, and continues playing for 20 seconds. The playerObject is used to access the mute property and AboutBox method available on the Windows Media Player control.

<HTML>
<HEAD>
<TITLE>playerObject</TITLE>
<XML:NAMESPACE PREFIX="t"/>
<STYLE>
.time            { behavior: url(#default#time);}
</STYLE>
<SCRIPT>
function toggleVol() {
if (cBox.checked == true) {
mp.playerObject.mute = false;
}
else {
mp.playerObject.mute = true;
}
}
</SCRIPT>
</HEAD>
<BODY>
<SPAN STYLE="width:175; position:absolute; left:20; top:50;
padding:5; z-index:-1; border:1pt solid red;">
A video clip is played here 5 seconds after the page is loaded.
</SPAN>
<!-- Add clip with HTML+TIME video element and specify the GUID for
Windows Media Player control with the PLAYER attribute -->
<t:VIDEO ID="mp" CLASS="time" STYLE="width:200; height:200"
t:PLAYER="{22d6f312-b0f6-11d0-94ab-0080c74c7e95}"
t:SRC="../../common/samples/author/behaviors/media/movie.avi" t:BEGIN="5"
t:DUR="20" />
<BR><BR>
<INPUT TYPE="BUTTON" VALUE="About Player"
onclick="mp.playerObject.AboutBox();" >
<INPUT ID="cBox" TYPE=Checkbox CHECKED
onpropertychange="toggleVol();">
Volume On
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to HTML+TIME (Timed Interactive Multimedia Extensions) Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:VIDEO

See Also

Introduction to HTML+TIME, t:PLAYER


progressBehavior Property(deprecated) (time)

progressBehavior Property?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Retrieves an object indicating the progress of the specified Microsoft?DirectAnimation?behavior.

Syntax

XML | N/A
Scripting | [ oProgress = ] time.progressBehavior

Possible Values

oProgress Object that specifies the DirectAnimation number (DANumber class) used to indicate the progress of the behavior. The DANumber object contains a floating-point number, with a value between 0.0 and 1.0, that indicates how much of the behavior is complete.

The property is read-only. The property has no default value.

Remarks

This property is deprecated.

This property enables you to incorporate multimedia elements, such as 2-D and 3-D animated images and sounds, into an HTML page with the anim:DA element. The object this property is applied to must be an HTML object with a valid HTML+TIME (Timed Interactive Multimedia Extensions) timeline. Use this property with HTML+TIME timelines to control DirectAnimation content. This property is not part of the HTML+TIME specification.

Note To ensure that pages using this property display properly in Microsoft Internet Explorer, complete the following steps:

  • Use #time instead of #default#time for the behavior declaration.
  • Include the time object in your page. The class identifier used to specify this object is 476C391C-3E0D-11D2-B948-00C04FA32195.

These actions are necessary only for pages that use HTML+TIME timelines to control DirectAnimation content.

Example

This example attaches a timeline specified with HTML+TIME to an image animated with DirectAnimation. The progressBehavior property is used to animate the opacity of the image.

<HTML>
<HEAD>
<TITLE>progressBehavior</TITLE>
<XML:NAMESPACE PREFIX="anim"/>
<STYLE>
.time       { behavior: url(#time); }
anim\:DA    { behavior: url(#default#anim); }
</STYLE>
<OBJECT ID="time" CLASSID="CLSID:476C391C-3E0D-11D2-B948-00C04FA32195">
</OBJECT>
</HEAD>
<BODY>
<P>Two seconds after the page loads, the image begins to
fade. It disappears after five seconds of animation. This
process repeats itself three times.</P>
<SPAN ID="spanImg" CLASS="time" t:TIMEACTION="visibility" t:BEGIN="2"
t:DUR="5" t:REPEAT="3">
</SPAN>
<DIV ALIGN="center">
<anim:DA ID="da1" STYLE="width:504; height:126; z-index: -1;" />
</DIV>
<BR>
<BUTTON onclick="spanImg.beginElement();">Restart</BUTTON>
<SCRIPT LANGUAGE="JScript">
<!--
// Assign a variable to the DA statics library
m = da1.statics;
// Create a DAImage
img1 = m.ImportImage("../../common/solarsys.gif");
// Animate the opacity of the image from 100% to 0%, based
// on the progress of the time behavior. Use (1 - progress)
// to get the proper opacity.
img2 = img1.OpacityAnim(m.Sub(m.DANumber(1),spanImg.progressBehavior));
// Set the image do be displayed
da1.image = img2;
//-->
</SCRIPT>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in HTML+TIME 1.0 Non-Microsoft link.

Applies To

time

See Also

Introduction to HTML+TIME, onOffBehavior, timelineBehavior


t:REPEAT Attribute | repeat Property(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

t:REPEAT Attribute | repeat Property?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Sets or retrieves the number of times an element's timeline repeats.

Syntax

XML | <ELEMENT t:REPEAT = vRepetitions... >
Scripting | object.repeat [ = vRepetitions ]

Possible Values

vRepetitions Variant that specifies one of the following values.
indefinite | Timeline repeats indefinitely.
repetitions | Floating-point number greater than 0 that specifies how many times the timeline repeats.

The property is read/write. The property has no default value.

Remarks

This property is deprecated. For similar functionality, refer to the repeatCount property available with the time2 behavior.

Use the t:DUR or t:END attribute to define each repeat iteration. The t:REPEAT attribute has no effect if the duration is either not defined or is indefinite.

Do not use this property on the same element as the t:REPEATDUR attribute. Typically, t:REPEAT is set on elements that are time containers, such as the t:PAR or t:SEQ element. Elements containing the t:TIMELINE attribute are also time containers. If you set the t:REPEAT attribute on an element that is not a time container, it increases the element's duration by multiplying the duration by the repeat count. This causes the element to remain active on the timeline for the increased duration, but it doesn't change the element's appearance as it repeats the local timeline.

The prefix t is used to associate this attribute with an XML namespace.

Standards Information

This property is defined in HTML+TIME (Timed Interactive Multimedia Extensions) 1.0 Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:SEQ, time, t:VIDEO

See Also

Introduction to HTML+TIME


t:REPEATDUR Attribute | repeatDur Property(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

t:REPEATDUR Attribute | repeatDur Property?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Sets or retrieves the number of seconds an element's timeline repeats.

Syntax

XML | <ELEMENT t:REPEATDUR = sTime... >
Scripting | object.repeatDur [ = sTime ]

Possible Values

sTime String that specifies one of the following values:
indefinite | Default. Timeline repeats indefinitely.
totaldur | Total amount of time to repeat the element's timeline. The time must be specified as described in Time Formats.

The property is read/write. The property has a default value of indefinite.

Remarks

Use the dur or end property to define each repeat iteration. The repeatDur property has no effect if the duration is not defined or is indefinite.

Typically, repeatDur is set on elements that are time containers, such as the t:PAR or t:SEQ element. Elements containing the t:TIMELINE attribute are also time containers. If you set the t:REPEATDUR attribute on an element that is not a time container, it sets the element's duration to the repeatDur value. This property is useful for coordinating the timing of an element with a media element that has a fractional duration, such as an audio file that is 3.45 seconds.

A repeatDur value of 0 is invalid. If 0 is specified, the default value is used instead.

Standards Information

This property is defined in HTML+TIME (Timed Interactive Multimedia Extensions) 1.0 Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:SEQ, time, t:VIDEO

See Also

Introduction to HTML+TIME


t:SRC Attribute | src Property(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

t:SRC Attribute | src Property?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Sets or retrieves the source URL of the media.

Syntax

XML | <ELEMENT t:SRC = sURL... >
Scripting | object.src [ = sURL ]

Possible Values

sURL String that specifies the URL of the media.

The property is read/write. The property has no default value.

Standards Information

This property is defined in HTML+TIME (Timed Interactive Multimedia Extensions) 1.0 Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:VIDEO

See Also

Introduction to HTML+TIME


t:SYNCBEHAVIOR Attribute | syncBehavior Property(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

t:SYNCBEHAVIOR Attribute | syncBehavior Property?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Sets or retrieves the synchronization rules for the element's timeline.

Syntax

XML | <ELEMENT t:SYNCBEHAVIOR = sRule... >
Scripting | object.syncBehavior [ = sRule ]

Possible Values

sRule String that specifies or receives one of the following values:
canSlip | Element does not have to be synchronized with the parent element's timeline. This allows an HTML page to have enough flexibility to handle network problems.
locked | Element must be synchronized with the parent element's timeline. For example, a parent element's timeline does not progress until the child element's media is ready to be played.

The property is read/write. The property has no default value.

Remarks

You must use this property with the t:CLOCKSOURCE attribute to determine the scope of which elements to synchronize. If a media file isn't ready when the timeline begins, the canSlip value enables the parent timeline to continue without interruption. The timeline on the element associated with the media begins as soon as the file loads.

If you set the t:SYNCBEHAVIOR attribute to locked, the parent timeline must pause and wait for the element to catch up. If the parent element's timeline is also locked, the scope of the synchronization behavior is extended to include all the time children of the parent's parent element. If all timelines are locked, the entire document pauses when an element cannot maintain its synchronization.

Standards Information

This property is defined in HTML+TIME (Timed Interactive Multimedia Extensions) 1.0 Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:SEQ, time, t:VIDEO

See Also

Introduction to HTML+TIME, syncTolerance


syncTolerance Property(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

syncTolerance Property?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Retrieves the time variance allowed on a timeline with locked synchronization.

Syntax

XML | N/A
Scripting | [ sTime = ] object.syncTolerance

Possible Values

sTime String that receives the amount of time variance, in seconds, allowed between synchronized elements.

The property is read-only. The property has no default value.

Remarks

This property is valid only for time containers with locked timelines, as defined using the t:SYNCBEHAVIOR and t:CLOCKSOURCE attributes. Once the synchronization of locked elements is off by more than the syncTolerance value, the elements resynchronize.

Standards Information

This property is defined in HTML+TIME (Timed Interactive Multimedia Extensions) 1.0 Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:SEQ, time, t:VIDEO

See Also

Introduction to HTML+TIME


t:TIMEACTION Attribute | timeAction Property(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

t:TIMEACTION Attribute | timeAction Property?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Sets or retrieves what action is taken on the element while the timeline is active.

Syntax

XML | <ELEMENT t:TIMEACTION = sAction... >
Scripting | object.timeAction [ = sAction ]

Possible Values

sAction String that specifies or receives one of the following values.
class:classname1 [classname2 ...] | The specified classname is applied to the element while it is active on the timeline and removed while the element is inactive. The class value is available as of Microsoft?Internet Explorer 5.5.
display | Element displays when the timeline is active and disappears when the timeline is inactive. As the element changes between active and inactive states, the surrounding HTML elements dynamically reflow within the page.
none | Element takes no action. This is useful for time grouping when the parent element should not do anything in response to timing. Media will still play when timeAction is set to none.
onOff | Element's on property toggles between true and false over time. The onOff value is invalid if no on property exists for the element, which may produce undesirable results.
style | Element displays with the inline style when the timeline is active, and displays without the inline style when the timeline is inactive. If no inline style is defined for this element, nothing happens.
visibility | Default. Element's visibility property displays the element when the timeline is active, and makes the element disappear when the timeline is inactive. The surrounding HTML elements do not reflow as a result of the local element changing between active and inactive states.

The property is read/write. The property has a default value of visibility.

Remarks

The default value of the timeAction property depends on the element using it. When this property is used on the body element, the default value is none. When it is used on the t:SEQ element, the default value is display. For all other elements, the default value is visibility.

If you specify a CLASS attribute for the timeAction property that is already present on the element, that class will be removed whenever the element is not active on the timeline. In the following example, the redText class is applied only while the span is active on the timeline; however, the boldFont class is always applied to the span.

<SPAN CLASS="redText boldFont" STYLE="behavior:url(#default#time2)"
BEGIN="5" TIMEACTION="class:redText">The text is red
only while this element is active on the timeline.
</SPAN>

To specify multiple classes for the timeAction property, separate the class names with white space. Specifying an invalid class name is equivalent to specifying a timeAction value of none.

When using an element associated with the time behavior, you must prefix the attribute with the t: namespace.

Example

This example shows text with different timeAction values.

<!DOCTYPE HTML PUBLIC "-//W3C//DTD W3 HTML//EN">
<HTML>
<HEAD>
<STYLE>
.time  { behavior: url(#default#time);}
</STYLE>
</HEAD>
<BODY BGCOLOR="white">
<SPAN CLASS="time" STYLE="Color:Red; Font-Weight:bold;" t:BEGIN="0"
t:DUR="5" t:TIMEACTION="style">
<H3>Paragraph 1</H3>
<P>This is paragraph number one. It is displayed in red, bold
typeface for five seconds. After five seconds, the inline style
is no longer applied. The timeAction property is set to
"style."</P>
</SPAN>
<SPAN CLASS="time" STYLE="COLOR:Blue;" t:BEGIN="0" t:DUR="10"
t:TIMEACTION="display">
<H3>Paragraph 2</H3>
<P>This is paragraph number two. It displays for 10
seconds. The timeAction property is set to "display."</P>
</SPAN>
<SPAN>
<H3>Paragraph 3</H3>
<P>This is paragraph number three. When the second
paragraph disappears, this paragraph moves into its place because
the document reflows.</P>
</SPAN>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in HTML+TIME (Timed Interactive Multimedia Extensions) 1.0 Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:SEQ, time, t:VIDEO

See Also

Introduction to HTML+TIME


t:TIMELINE Attribute | timeline Property(deprecated) (time)

t:TIMELINE Attribute | timeline Property?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Sets or retrieves the type of timeline associated with an HTML element.

Syntax

XML | <ELEMENT t:TIMELINE = sType... >
Scripting | time.timeline [ = sType ]

Possible Values

sType String that specifies one of the following values:
excl | Exclusive timeline container element in a document. Only one HTML descendant of this element can play at a time.
none | Default. Current element does not define a local timeline and has no affect on its contained time descendants.
par | New timeline container element in a document. All HTML descendants of this element have independent, or parallel, timing.
seq | Sequence timeline container element in a document. When the timeline of an element in the sequence ends, the next element begins playing.

The property is read/write. The property has a default value of none.

Example

This example uses the t:TIMELINE attribute to create a parallel time container.

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<STYLE>
.time  { behavior: url(#default#time);}
</STYLE>
</HEAD>
<BODY BGCOLOR="white">
<SPAN ID="parent" CLASS="time" t:TIMELINE="par" t:BEGIN="0"
t:DUR="10">
<P>This paragraph inherits the "parallel" timeline set on its
parent &lt;SPAN&gt; element. It will be displayed for ten
seconds. <BR><BR>
</P>
<P CLASS="time" t:BEGIN="5">This paragraph also inherits the
"parallel" timeline set on its parent &lt;SPAN&gt; element, but it
can have independent timing attributes as well.<BR><BR>
</P>
</SPAN>
<P>This paragraph is not a child of the <SPAN> element
containing a timeline.</P>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to HTML+TIME (Timed Interactive Multimedia Extensions) Non-Microsoft link.

Applies To

time

See Also

Introduction to HTML+TIME, par, seq


timelineBehavior Property(deprecated) (time)

timelineBehavior Property?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Retrieves a Microsoft?DirectAnimation?number object containing the timeline behavior associated with the specified object.

Syntax

XML | N/A
Scripting | [ oBehavior = ] time.timelineBehavior

Possible Values

oBehavior Object that specifies the DirectAnimation number object containing the behavior associated with the specified object.

The property is read-only. The property has no default value.

Remarks

This property is deprecated.

This property allows you to incorporate multimedia elements, such as 2-D and 3-D animated images and sounds, into an HTML page with the anim:DA element. Use this property with HTML+TIME timelines to control DirectAnimation content. This property is not part of the HTML+TIME specification.

Note To ensure that pages using this property display properly in Microsoft Internet Explorer, complete the following steps:

  • Use #time instead of #default#time for the behavior declaration.
  • Include the time object in your page. The class identifier used to specify this object is 476C391C-3E0D-11D2-B948-00C04FA32195.

These actions are necessary only for pages that use HTML+TIME timelines to control DirectAnimation content.

Example

This example uses the timelineBehavior property to apply a timeline, created with HTML+TIME, to a simple animation that rotates an image.

<HTML>
<HEAD>
<TITLE>progressBehavior</TITLE>
<XML:NAMESPACE PREFIX="anim"/>
<STYLE>
.time       { behavior: url(#time); }
anim\:DA    { behavior: url(#default#anim); }
</STYLE>
<OBJECT ID="time" CLASSID="CLSID:476C391C-3E0D-11D2-B948-00C04FA32195">
</OBJECT>
</HEAD>
<BODY>
<P>The image begins rotating three seconds after the page loads and
continues rotating for five seconds.</P>
<SPAN ID="spanImg" CLASS="time" t:TIMEACTION="visibility" t:BEGIN="3"
t:DUR="5">
</SPAN>
<DIV ALIGN="center">
<anim:DA ID="da1" STYLE="width:200; height:200; z-index: -1;" />
</DIV>
<BR>
<SCRIPT LANGUAGE="JScript">
<!--
// Assign a variable to the DA statics library
m = da1.statics;
// Create the DAImage
img1 = m.ImportImage("../../common/sun.gif");
// Rotate the image at a rate of 60 degrees/second
img2 = img1.Transform(m.Rotate2RateDegrees(60));
// Apply the HTML+TIME timeline to the DAImage
img3 = img2.SubstituteTime(spanImg.timelineBehavior);
da1.image = img3;
//-->
</SCRIPT>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to HTML+TIME (Timed Interactive Multimedia Extensions) Non-Microsoft link.

Applies To

time

See Also

Introduction to HTML+TIME, onOffBehavior, progressBehavior


t:TIMESTARTRULE Attribute | timeStartRule Property(deprecated) (BODY, time)

t:TIMESTARTRULE Attribute | timeStartRule Property?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Sets or retrieves the point at which the document's timeline begins.

Syntax

HTML | <ELEMENT t:TIMESTARTRULE = sAction... >
Scripting | object.timeStartRule [ = sAction ]

Possible Values

sAction String that specifies or receives the following value:
onDocLoad Default. Starts the document timeline after the document is fully loaded without waiting for any document-associated media. This value ties the start of the document timeline to the window.onload event.

The property is read/write. The property has a default value of onDocLoad.

Remarks

Only the HTML?A HREF="../../objects/body.html">BODY element supports this property.

Standards Information

This property is defined in HTML+TIME (Timed Interactive Multimedia Extensions) 1.0 Non-Microsoft link.

Applies To

BODY, time

See Also

Introduction to HTML+TIME


t:TYPE Attribute | type Property(deprecated) (t:AUDIO, t:IMG, t:MEDIA, ...)

t:TYPE Attribute | type Property?deprecated)

Internet Development Index
This page documents a feature of HTML+TIME 1.0, which was released in Microsoft?Internet Explorer 5. We recommend that you migrate your content to the latest version of HTML+TIME, which implements the SMIL 2.0 Working Draft. See the Introduction to HTML+TIME overview for more information.

Sets or retrieves the MIME type of the media object referenced by the t:SRC attribute.

Syntax

XML | <ELEMENT t:TYPE = sType... >
Scripting | object.type [ = sType ]

Possible Values

sType String that specifies or receives the MIME type of the media associated with the element.

The property is read/write. The property has no default value.

Remarks

By default, the server should send the MIME type to the user agent. If that mechanism fails, the MIME type is obtained from this property.

This property cannot be modified in script after the onload event fires on the document body.

Standards Information

This property is defined in HTML+TIME (Timed Interactive Multimedia Extensions) 1.0 Non-Microsoft link.

Applies To

t:AUDIO, t:IMG, t:MEDIA, t:VIDEO

See Also

Introduction to HTML+TIME


HTML+TIME 2.0 Reference

HTML+TIME (Timed Interactive Multimedia Extensions), first released in Microsoft?Internet Explorer 5, adds timing and media synchronization support to HTML pages. Using a few Extensible Markup Language (XML)-based elements and attributes, you can add images, video, and sounds to an HTML page, then synchronize them with HTML text elements over a specified amount of time.

Thus, HTML+TIME technology allows you to create multimedia-rich, interactive content on a Web page with little or no scripting. Because HTML+TIME adds timing to a document through new attributes on existing HTML elements, you can leverage your existing HTML knowledge when you add timing to a page. The HTML+TIME attributes specify when an element appears on a page, how long it remains displayed, and how the surrounding HTML elements are affected, allowing you to create animation effects. In addition to the attributes, some new XML-based elements have been created to simplify the incorporation of media into Web pages.

The topic areas listed below provide access to the object model exposed by the time2 behavior.

HTML+TIME References by Topic

Animation | Introduction to HTML+TIME allows Web authors to animate content on the page by changing the value of particular attributes and properties over time. Without using script, you can animate an element's color; move an element along a specific path or between intervals; cause elements to appear or disappear over time or in response to events; or accelerate, reverse, or loop an animation.
Microsoft DirectMusic?/A> | Authors can add sophisticated musical content to Web pages by combining the timeline control and synchronization offered by Introduction to HTML+TIME with some of the attributes and properties provided by the DirectMusic application programming interface (API). DirectMusic provides support for MIDI, downloadable sounds, and consistent playback on the Microsoft Windows?platform.
Media | Introduction to HTML+TIME provides extensive support for media playback through media container elements, a unified timeline model, a variety of media-specific attributes and properties, and system test attributes. These features make it simpler for Web authors to provide tightly synchronized multimedia presentations, and to coordinate media and animation without using script.
Time Containers | By providing a timing model that unifies a rigid timeline with event-based timing relationships, Introduction to HTML+TIME makes it easy to synchronize media elements, control animations, and add timed, interactive content to a Web page without using script.
Transitions | Introduction to HTML+TIME provides support for Introduction to Filters and Transitions, which allow you to apply multimedia-style effects to your Web pages. Visual filters are extensions to CSS properties that change the display of an object's contents. Transitions are time-varying filters: they affect the way content changes in an object are displayed. You can apply visual filters and transitions to standard HTML controls, such as text containers, images, and other windowless objects. Although filters and transitions can be implemented as script, Introduction to HTML+TIME allows Web authors to combine filters and transitions with timeline control and animation without using script.
Other Features | These links provide access to additional features of the object model exposed by the time2 behavior, including content control elements, system test attributes, timing attributes and properties, and several overviews on Introduction to HTML+TIME functionality.

HTML+TIME Overviews and Articles

Introduction to HTML+TIME | HTML+TIME, first released in Internet Explorer 5, adds timing and media synchronization support to HTML pages. Using a few XML-based elements and attributes, you can add images, video, and sounds to an HTML page, and synchronize them with HTML text elements over a specified amount of time.
Basics of HTML+TIME Animation | This article introduces you to the basics of HTML+TIME animation, so that you can create an exciting Web experience for your users.
Controlling Child Elements Using HTML+TIME: Time Containers | HTML+TIME?.0 comes equipped with three time containers that enable you to control how timed interactive child elements behave on your Web pages. These time containers enforce time relationships with their corresponding child elements, control the amount of time that children may be active, and define the relationships among a set of grouped child elements.
About Content Selection: System Test Attributes and t:SWITCH | HTML+TIME 2.0 provides authors with the option to display different elements based on system settings.
Incorporate the time2 Behavior | This tutorial explains how to incorporate the time2 behavior in your Web pages so you can begin using timelines, multimedia, and animation with HTML elements.
Initiating Timed Elements with the begin Attribute | This overview provides you with the syntax for the begin attribute and describes how to initiate timed interactive HTML+TIME elements using the time2 behavior implemented in Internet Explorer 5.5.
Getting Started with HTML+TIME | HTML+TIME enables you to support timed, animated, and multimedia content in your pages. Using a few XML-based elements and attributes, you can synchronize media playback with text and other elements and animate content in your Web pages without using script.
Spice Up Your Web Pages with HTML+TIME | HTML+TIME provides a declarative means for adding multimedia and interactivity to Web pages. You don't need to know script to use HTML+TIME, so you can focus on creating the content instead of learning a programming language.
Using HTML+TIME Transitions | It is now possible to create transitions with HTML+TIME quickly, without writing script. Internet Explorer 6 implements the inline transitions module of the SMIL 2.0 Transition Effects Modules Non-Microsoft link through the time2 behavior of HTML+TIME. To get started, you need only learn one new HTML+TIME element called t:TRANSITIONFILTER and a few of the t:TRANSITIONFILTER attributes.

HTML+TIME References by Name

Members Table

The following table lists the members exposed by the HTML+TIME 2.0 Reference object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
abstract | Retrieves a description of the media file.
abstract | Retrieves a description of the media file if available.
Abstract | Retrieves the Abstract content of the entry banner in an Advanced Stream Redirector (ASX) file using the event object.
ACCELERATE | accelerate | Sets or retrieves a value that applies an acceleration to an element's timeline.
ACCUMULATE | accumulate | Sets or retrieves a value that indicates whether the animation is cumulative.
activeDur | Retrieves the total duration of the timeline.
activeTime | Retrieves the current point in time along the total active timeline, including repeats and time spent in reverse mode.
activeTrack | Sets or retrieves the track, or playItem object, that is currently active in the playList collection.
ADDITIVE | additive | Sets or retrieves a value that indicates whether the animation is additive with other animations.
ATTRIBUTENAME | attributeName | Sets or retrieves the name of the element's attribute to be animated.
author | Retrieves the name of the media file's author.
author | Retrieves the name of the media file's author if available.
AUTOREVERSE | autoReverse | Sets or retrieves whether the timeline on an element begins playing in reverse immediately after completing in the forward direction.
Banner | Retrieves the Banner content of an entry in an ASX file using the event object.
Banner | Retrieves the Banner content of an entry in an ASX file.
BannerAbstract | Retrieves the BannerAbstract content of an entry in an ASX file.
BannerMoreInfo | Retrieves the BannerMoreInfo content of an entry in an ASX file.
BEGIN | begin | Sets or retrieves the delay time before the timeline begins playing on the element.
boundary | Sets when music should begin to play by using DirectMusic.
bufferingProgress | Retrieves a value that indicates the current percentage of buffering completed.
bufferingProgress | Retrieves a value that indicates the current percentage of buffering completed.
BY | by | Sets or retrieves a relative offset value for an animation.
BY | by | Specifies a relative offset value for the progress of the transitionFilter.
BY | by | Sets or retrieves a relative offset value by which to animate a color attribute or property with the t:ANIMATECOLOR element.
CALCMODE | calcMode | Sets or retrieves the interpolation mode for the animation.
CALCMODE | calcMode | Sets or retrieves the interpolation mode for the progress of the transitionFilter.
CALCMODE | calcMode | Sets or retrieves the interpolation mode for the animateMotion object.
CALCMODE | calcMode | Sets or retrieves the interpolation mode for a t:ANIMATECOLOR element.
canPause | Retrieves a value that indicates whether the media file can be paused.
canPause | Retrieves a value that indicates whether the media file can be paused.
canSeek | Retrieves a value that indicates whether the media file is capable of locating a specific time in the media's duration.
canSeek | Retrieves a value that indicates whether the media file is capable of locating a specific time in the media's duration.
CLIPBEGIN | clipBegin | Sets or retrieves the beginning point of a sub-clip of a continuous media object.
clipBegin | Sets or retrieves the beginning point of a sub-clip of a continuous media object.
clipDur | Outputs the effective media duration.
CLIPEND | clipEnd | Sets or retrieves the end point of a sub-clip of a continuous media object.
clipEnd | Sets or retrieves the end point of a sub-clip of a continuous media object.
copyright | Retrieves the copyright information associated with a media file.
copyright | Retrieves the copyright information associated with a media file.
currentFrame | Retrieves a value that indicates the currentFrame of the object.
currTime | Retrieves the current playback time of the player.
customObject | Allows the player to pass in a dispatch that implements the custom object model. This interface can be passed out to script.
DECELERATE | decelerate | Sets or retrieves a value that applies a deceleration to the end of a simple duration.
downloadCurrent | Retrieves a value that indicates the current number of bytes downloaded from streaming content.
downloadProgress | Retrieves the downloading progress of the media.
downloadTotal | Retrieves a value that indicates the total size of the file (in bytes) downloaded.
DUR | dur | Sets or retrieves a value indicating the amount of time the element remains active or displayed.
DUR | dur | Sets or retrieves a value indicating the amount of time a transition is applied to an element.
END | end | Sets or retrieves a value indicating the end time for the element, or the end of the simple duration when the element is set to repeat.
ENDSYNC | endSync | Sets or retrieves the synchronization rule that specifies which child element is used to determine when the time container will end.
FILL | fill | Sets or retrieves the action an element takes if its timeline ends before the timeline on its parent element ends.
FROM | from | Sets or retrieves the starting value of an animation.
FROM | from | Sets or retrieves a progress value indicating the point from which to begin the transition.
FROM | from | Sets or retrieves the starting value of a color attribute or property animated by t:ANIMATECOLOR.
hasAudio | Retrieves a Boolean value that indicates whether the media contains audio.
hasAudio | Retrieves a Boolean value that indicates whether the media contains audio.
hasDownloadProgress | Retrieves a Boolean value that indicates whether a media file has begun to download.
hasDownloadProgress | Retrieves a Boolean value that indicates whether a media file has begun to download.
hasMedia | Retrieves a Boolean value that indicates whether the element is an Introduction to HTML+TIME media element.
hasPlayList | Retrieves a Boolean value that indicates whether the element has a playList collection.
hasVisual | Retrieves a Boolean value that indicates whether the element can draw on the screen.
hasVisual | Retrieves a Boolean value that indicates whether the element can draw on the screen.
higher | higher | Controls how elements with higher priority interrupt child elements of a priorityClass element.
immediateEnd | Sets a value that indicates whether a DirectMusic segment ends immediately or plays a transition before ending.
index | Retrieves the index value of the playItem object in the playList collection.
isActive | Retrieves a value that indicates whether the element is currently active on the timeline.
isBuffered | Retrieves whether the media can be buffered.
isDirectMusicInstalled | Retrieves a Boolean value that indicates whether DirectMusic is installed on the machine.
isMuted | Retrieves a value indicating whether the element's audio is currently muted.
isOn | Retrieves a value that specifies whether the element is active or holding on the timeline in its current state.
isPaused | Retrieves a value that specifies whether the element is paused on the timeline.
isStreamed | Retrieves a Boolean value that indicates if the source of the media object is streamed.
KEYSPLINES | keySplines | Sets or retrieves a set of Bezier control points that define the interval pacing of an animation.
KEYTIMES | keyTimes | Sets or retrieves a list of time values used to control the pacing of an animation.
latestMediaTime | Retrieves a value that indicates the amount of time it takes for a media object to begin playing.
length | Retrieves the number of objects in a collection.
longTransition | Sets whether to allow introduction and ending transitions longer than one bar with DirectMusic.
lower | lower | Controls how elements that are defined with lower priority interrupt child elements of a priorityClass element.
mediaDur | Retrieves the duration of the element's media file.
mediaDur | Retrieves the duration of the element's media file.
mediaHeight | Retrieves the height of the element.
mediaHeight | Retrieves the rendering height of the media.
mediaWidth | Retrieves the width of the element.
mediaWidth | Retrieves the rendering width of the media.
mimeType | Retrieves the MIME content-type of the object.
MODE | mode | Sets or retrieves a variable that indicates whether an element transitions in or out.
modulate | Sets whether to attempt to modulate between keys when playing transitions with DirectMusic.
MoreInfo | Retrieves the MoreInfo content of an entry banner in an ASX file through the event object.
motifName | Sets the name of the DirectMusic motif to play.
MUTE | mute | Sets or retrieves a value that indicates whether the audio is turned on or off.
mute | Sets or retrieves a value that indicates whether the audio is turned on or off.
ORIGIN | origin | Sets or retrieves the origin of motion for the animation.
parentTimeBegin | Retrieves the current element's begin time as an offset from the parent element's begin time.
parentTimeEnd | Retrieves the current element's end time as an offset from the parent element's begin time.
PATH | path | Sets or retrieves a set of values that describe a path as a function of time.
peers | peers | Controls how child elements of a priorityClass element interrupt one another.
PLAYER | player | Sets or retrieves the object used to render the media associated with this element.
playerObject | Retrieves the object that plays media files.
playList | Retrieves playlist information if the player supports play lists.
progress | Retrieves the current progress of the element's timeline.
rating | Retrieves the rating of the media file.
rating | Retrieves the rating of the media file.
repeatCount | Retrieves the current iteration in the repetition loop.
REPEATCOUNT | repeatCount | Sets or retrieves the number of times an element's timeline repeats.
REPEATDUR | repeatDur | Sets or retrieves the number of seconds that an element's timeline repeats.
RESTART | restart | Sets or retrieves the conditions under which an element can be restarted on a timeline.
segmentDur | Retrieves the duration of an element on a timeline in seconds, including autoReverse.
segmentTime | Retrieves the current point in time along a segment of time.
segmentType | Sets whether to play a DirectMusic segment as a controlling or secondary segment.
simpleDur | Retrieves the duration of a repeat iteration.
simpleTime | Retrieves an object's current point along its timeline from zero to its dur value.
SPEED | speed | Sets or retrieves the playback speed of an element relative to its parent time container.
speed | Retrieves the playback speed of an element at run time, which includes the cascading effect of the speed set for the parent time container.
SRC | src | Sets or retrieves the source URL of the media.
src | Sets or retrieves the source URL of the media.
state | Retrieves the current state of the element's timeline.
state | Retrieves the current state of the media's timeline.
stateString | Retrieves the current state of the element's timeline.
SUBTYPE | subtype | Sets or retrieves the name of the subtype that will be applied to the transition.
SYNCBEHAVIOR | syncBehavior | Sets or retrieves a value that indicates the synchronization rules for the element's timeline.
SYNCMASTER | syncMaster | Sets or retrieves whether the time container must synchronize playback to this element.
syncTolerance | Sets or retrieves the time variance allowed on a timeline with locked synchronization.
systemBitrate | Retrieves the approximate bandwidth available to the system in bits-per-second.
systemCaptions | Indicates whether or not to display a text equivalent of the audio portion of the presentation.
systemLanguage | Indicates whether a given language is selected in a user's system preferences.
systemOverdubOrSubtitle | Specifies whether overdubs or subtitles render during a presentation.
TARGETELEMENT | targetElement | Sets or retrieves the target element to be animated.
TIMEACTION | timeAction | Sets or retrieves what action is taken on the element while the timeline is active.
TIMECONTAINER | timeContainer | Sets or retrieves the type of timeline associated with an element.
timeElement | Used by the control to retrieve the time node
timeParent | Retrieves the parent time container element of the current element.
timeState | Used by the control to retrieve the time state.
title | Retrieves the title of the media file.
title | Retrieves the title of the media file.
TO | to | Sets or retrieves the ending value of an animation.
TO | to | Sets or retrieves a value that indicates the point in the transition's progress at which the transition ends.
TO | to | Sets or retrieves the ending value of a color attribute or property animated by t:ANIMATECOLOR
TRANSITIONTYPE | Sets or retrieves the type of DirectMusic transition to use between segments.
TYPE | type | Sets or retrieves the MIME type of the media object referenced by the SRC attribute.
TYPE | type | Sets or retrieves the type of transition to be applied.
UPDATEMODE | updateMode | Specifies or retrieves a value that indicates how the object is to be updated.
URL | Retrieves the URL specified by the Advanced Streaming Format (ASF) file script command after the onURLFlip event is fired.
VALUES | values | Sets or retrieves a list of semicolon-separated values of an animation.
VALUES | values | Sets or retrieves a semicolon-separated list of one or more values specifying the progress of the transition.
VALUES | values | Sets or retrieves a list of semicolon-delimited RGB color values for a t:ANIMATECOLOR element.
VOLUME | volume | Sets or retrieves the volume of the media file.
volume | Retrieves the playback volume of an element at run time.
volume | Sets or retrieves the volume of the media file.

Collections

Collection | Description
activeElements | Returns a reference to the collection of all top-level child elements of the object that are currently active on the timeline.
playList | Retrieves a collection of playItem objects.
timeAll | Retrieves a reference to the collection of all timed elements.
timeChildren | Retrieves a reference to the collection of all timed, top-level children elements.

Elements/Objects

Element | Object | Description
t:ANIMATE | animate | Animates a specified attribute of an object.
t:ANIMATECOLOR | animateColor | Changes the color of an object over time.
t:ANIMATEMOTION | animateMotion | Animates the position of an element over time.
t:ANIMATION | animation | Defines a timed animation element in an HTML document.
t:AUDIO | audio | Defines a timed audio element in an HTML document.
currTimeState | Contains information about an HTML+TIME timeline.
t:EXCL | excl | Defines a time container that allows only one child element to play at any given time.
t:IMG | img | Defines a timed image element in an HTML document.
t:MEDIA | media | Defines a generic, timed media element in an HTML document.
t:PAR | par | Defines a new timeline container in an HTML document for independently timed elements.
playItem | Represents an individual media file in a playList collection.
t:PRIORITYCLASS | priorityClass | Defines a group of excl children and the pause/interrupt behavior of the children.
t:REF | ref | Defines a reference to a generic timed element in an HTML document.
t:SEQ | seq | Defines a new timeline container in an HTML document for sequentially timed elements.
t:SET | set | Sets the value of an object's attribute for a specified duration.
t:SWITCH | switch | Enables you to provide several choices and display content depending on which choice is true on the user's computer.
t:TRANSITIONFILTER | transitionFilter | Animates the progress of a transition on an element or elements with renderable content.
t:VIDEO | video | Defines a timed video element in an HTML document.

Events

Event | Description
onbegin | Fires when the timeline starts on an element.
onend | Fires when the timeline stops on an element.
onmediacomplete | Fires when the element's associated media finish loading.
onmediaerror | Fires when an element's media file causes any error.
onoutofsync | Fires when the element loses synchronization with its associated timeline.
onpause | Fires when the timeline on an element pauses.
onrepeat | Fires when the timeline repeats on an element, beginning with the second iteration.
onreset | Fires when the timeline reaches the value of the BEGIN attribute or when the resetElement method is called on the element.
onresume | Fires when an element's timeline resumes from a paused state.
onreverse | Fires when the timeline on an element begins to play backward.
onseek | Fires whenever a seek operation is performed on the element.
onsyncrestored | Fires when synchronization is resumed between the element and its associated timeline.
ontimeerror | Fires whenever a time-specific error occurs, usually as a result of setting a property to an invalid value.
ontrackchange | The event fires when a track changes in a playList defined in an ASX file.
onURLFlip | This event fires when an ASF file, played by a HTML+TIME?A HREF="elements/media.html">media tag, processes script commands embedded in the ASF file.

Methods

Method | Description
activeTimeToParentTime | Converts a value in the element's active timeline to the corresponding point in the parent timeline.
activeTimeToSegmentTime | Converts a value in the element's active timeline to the corresponding point in the segment timeline.
begin | Begins playback on the player.
beginElement | Starts the element on the timeline.
beginElementAt | Starts an element's timeline at the specified time.
Detach | Used by the host to control player lifetime.
documentTimeToParentTime | Converts a value in the document timeline to the corresponding point in the element's parent timeline.
end | Ends the progression of the media.
endElement | Stops the element on the timeline.
endElementAt | Ends an element's timeline at the specified time.
getControl | Retrieves IUnknown control.
Init | Used by the host to control player lifetime.
item | Retrieves an object from the specified collection.
nextElement | Advances the timeline so that the next element in the sequence begins playing.
nextTrack | Advances the media-playing container to the next track, or playItem object, in the playList collection, and begins playing that track.
parentTimeToActiveTime | Converts a value in the parent timeline to the corresponding point in the element's active timeline.
parentTimeToDocumentTime | Converts a value in the element's parent timeline to the corresponding point in the document timeline.
pause | Pauses playback on the player.
pauseElement | Stops playing an element's timeline at the current point.
prevElement | Resets the timeline so that the previous element in the sequence begins playing.
prevTrack | Sets the media-playing container to the previous track, or playItem object, in the playList collection and begins playing that track.
repeat | Player repeats playback.
reportError | Used by the control to report errors.
reset | The HTML+TIME host calls reset when it's time state has completely changed and the control needs to adjust it's internal state to match that of the HTML+TIME host.
resetElement | Removes any changes made to the element and returns the element to its original state.
resume | Resumes playback of media.
resumeElement | Restarts the element's timeline from a paused state.
seek | Seek to a specified point of media playback.
seekActiveTime | Locates a specified point on the element's active timeline and begins playing from that point.
seekSegmentTime | Locates the specified point on the element's segment timeline, and begins playing from that point.
seekTo | Locates a specified point on the element's segment timeline, including repetitions, and begins playing from that point.
seekToFrame | Locates a specified frame in the object.
segmentTimeToActiveTime | Converts a value in the element's segment timeline to the corresponding point in the element's active timeline.
segmentTimeToSimpleTime | Converts a value in the element's segment timeline to the corresponding point in the element's simple timeline.
setActive | Sets the playItem object as the active track in the playList collection, which causes the track to play.
simpleTimeToSegmentTime | Converts a value in the element's simple timeline to the corresponding point in the element's segment timeline.


t:ANIMATE Element | animate Object

Animates a specified attribute of an object.

Members Table

The following table lists the members exposed by the animate object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
ACCELERATE | accelerate | Sets or retrieves a value that applies an acceleration to an element's timeline.
ACCUMULATE | accumulate | Sets or retrieves a value that indicates whether the animation is cumulative.
ADDITIVE | additive | Sets or retrieves a value that indicates whether the animation is additive with other animations.
ATTRIBUTENAME | attributeName | Sets or retrieves the name of the element's attribute to be animated.
AUTOREVERSE | autoReverse | Sets or retrieves whether the timeline on an element begins playing in reverse immediately after completing in the forward direction.
BEGIN | begin | Sets or retrieves the delay time before the timeline begins playing on the element.
BY | by | Sets or retrieves a relative offset value for an animation.
CALCMODE | calcMode | Sets or retrieves the interpolation mode for the animation.
DECELERATE | decelerate | Sets or retrieves a value that applies a deceleration to the end of a simple duration.
DUR | dur | Sets or retrieves a value indicating the amount of time the element remains active or displayed.
END | end | Sets or retrieves a value indicating the end time for the element, or the end of the simple duration when the element is set to repeat.
FILL | fill | Sets or retrieves the action an element takes if its timeline ends before the timeline on its parent element ends.
FROM | from | Sets or retrieves the starting value of an animation.
hasMedia | Retrieves a Boolean value that indicates whether the element is an Introduction to HTML+TIME media element.
KEYSPLINES | keySplines | Sets or retrieves a set of Bezier control points that define the interval pacing of an animation.
KEYTIMES | keyTimes | Sets or retrieves a list of time values used to control the pacing of an animation.
REPEATCOUNT | repeatCount | Sets or retrieves the number of times an element's timeline repeats.
REPEATDUR | repeatDur | Sets or retrieves the number of seconds that an element's timeline repeats.
RESTART | restart | Sets or retrieves the conditions under which an element can be restarted on a timeline.
SPEED | speed | Sets or retrieves the playback speed of an element relative to its parent time container.
systemBitrate | Retrieves the approximate bandwidth available to the system in bits-per-second.
systemCaptions | Indicates whether or not to display a text equivalent of the audio portion of the presentation.
systemLanguage | Indicates whether a given language is selected in a user's system preferences.
systemOverdubOrSubtitle | Specifies whether overdubs or subtitles render during a presentation.
TARGETELEMENT | targetElement | Sets or retrieves the target element to be animated.
TIMECONTAINER | timeContainer | Sets or retrieves the type of timeline associated with an element.
timeParent | Retrieves the parent time container element of the current element.
TO | to | Sets or retrieves the ending value of an animation.
VALUES | values | Sets or retrieves a list of semicolon-separated values of an animation.

Events

Event | Description
onbegin | Fires when the timeline starts on an element.
onend | Fires when the timeline stops on an element.
onpause | Fires when the timeline on an element pauses.
onrepeat | Fires when the timeline repeats on an element, beginning with the second iteration.
onreset | Fires when the timeline reaches the value of the BEGIN attribute or when the resetElement method is called on the element.
onresume | Fires when an element's timeline resumes from a paused state.
onreverse | Fires when the timeline on an element begins to play backward.

Methods

Method | Description
activeTimeToParentTime | Converts a value in the element's active timeline to the corresponding point in the parent timeline.
activeTimeToSegmentTime | Converts a value in the element's active timeline to the corresponding point in the segment timeline.
beginElement | Starts the element on the timeline.
beginElementAt | Starts an element's timeline at the specified time.
documentTimeToParentTime | Converts a value in the document timeline to the corresponding point in the element's parent timeline.
endElement | Stops the element on the timeline.
endElementAt | Ends an element's timeline at the specified time.
parentTimeToActiveTime | Converts a value in the parent timeline to the corresponding point in the element's active timeline.
parentTimeToDocumentTime | Converts a value in the element's parent timeline to the corresponding point in the document timeline.
pauseElement | Stops playing an element's timeline at the current point.
resetElement | Removes any changes made to the element and returns the element to its original state.
resumeElement | Restarts the element's timeline from a paused state.
seekActiveTime | Locates a specified point on the element's active timeline and begins playing from that point.
seekSegmentTime | Locates the specified point on the element's segment timeline, and begins playing from that point.
seekTo | Locates a specified point on the element's segment timeline, including repetitions, and begins playing from that point.
seekToFrame | Locates a specified frame in the object.
segmentTimeToActiveTime | Converts a value in the element's segment timeline to the corresponding point in the element's active timeline.
segmentTimeToSimpleTime | Converts a value in the element's segment timeline to the corresponding point in the element's simple timeline.
simpleTimeToSegmentTime | Converts a value in the element's simple timeline to the corresponding point in the element's segment timeline.

Objects

Object | Description
currTimeState | Contains information about an HTML+TIME timeline.

Remarks

When animating style properties on an object, the property, and any related properties, must be initialized in the object's style. For example, when animating the top or left properties, you must initialize the top and left properties, as well as the position.

The following example demonstrates how to use the t:ANIMATE element to move a div.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>t:ANIMATE Demo</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY>
<DIV ID="oDIV" STYLE="position:absolute; top:100px; left:50px; width:100px;
height:50px; border:solid black 1px; text-align:center;">Moving DIV!</DIV>
<t:ANIMATE targetElement="oDIV" attributeName="left" to="200" dur="5"
fill="hold"/>
</BODY>
</HTML>

The prefix t: is used to associate this element with an Extensible Markup Language (XML) namespace. You must declare the XML namespace in the html tag of your document when using this element.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">

You must then import the tag definitions from the time2 behavior by using the IMPORT processing instruction.

<?IMPORT namespace="t" implementation="#default#time2">

When writing script to dynamically change the properties of an active animation, developers should consider a couple of issues. Because results might be unpredictable or undefined when you change the properties of an active animation, restart the animation with beginElement after you have made the change. For example:

<SCRIPT>
object.endElement();
object.path="M 0 0 L 100 100";
object.beginElement();
</SCRIPT>

For the animate, animateMotion, and animateColor objects, the time2 behavior uses the following model to evaluate which properties to animate.

  • The values property, if specified, overrides any setting for the from, to, or by properties.
  • The from property is used unless the values or path properties are specified.
  • The to property, if specified, overrides any setting for the by property.
  • The by property doesn't override any properties.
To change an active animation from a path to a values list through script:
<SCRIPT>
object.endElement();
object.path=null;
object.values="100,100;0,0";
object.beginElement();
</SCRIPT>

The members listed in the following table might not be accessible through scripting until the window.onload event fires. Waiting for this event to fire ensures that the page is completely loaded, that all behaviors have been applied to corresponding elements on the page, and that all the behavior's properties, methods, and events are available for scripting. Using any of the behavior-defined members before the window.onload event fires could result in a scripting error, indicating that the object does not support that particular member.

This element is not rendered.

This element requires a closing tag.

Standards Information

This object is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

See Also

Introduction to HTML+TIME, animateColor, animateMotion, set, time2


t:ANIMATECOLOR Element | animateColor Object

Changes the color of an object over time.

Members Table

The following table lists the members exposed by the animateColor object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
ACCELERATE | accelerate | Sets or retrieves a value that applies an acceleration to an element's timeline.
ACCUMULATE | accumulate | Sets or retrieves a value that indicates whether the animation is cumulative.
ADDITIVE | additive | Sets or retrieves a value that indicates whether the animation is additive with other animations.
ATTRIBUTENAME | attributeName | Sets or retrieves the name of the element's attribute to be animated.
AUTOREVERSE | autoReverse | Sets or retrieves whether the timeline on an element begins playing in reverse immediately after completing in the forward direction.
BEGIN | begin | Sets or retrieves the delay time before the timeline begins playing on the element.
BY | by | Sets or retrieves a relative offset value for an animation.
BY | by | Sets or retrieves a relative offset value by which to animate a color attribute or property with the t:ANIMATECOLOR element.
CALCMODE | calcMode | Sets or retrieves the interpolation mode for the animation.
CALCMODE | calcMode | Sets or retrieves the interpolation mode for a t:ANIMATECOLOR element.
DECELERATE | decelerate | Sets or retrieves a value that applies a deceleration to the end of a simple duration.
DUR | dur | Sets or retrieves a value indicating the amount of time the element remains active or displayed.
END | end | Sets or retrieves a value indicating the end time for the element, or the end of the simple duration when the element is set to repeat.
FILL | fill | Sets or retrieves the action an element takes if its timeline ends before the timeline on its parent element ends.
FROM | from | Sets or retrieves the starting value of an animation.
FROM | from | Sets or retrieves the starting value of a color attribute or property animated by t:ANIMATECOLOR.
hasMedia | Retrieves a Boolean value that indicates whether the element is an Introduction to HTML+TIME media element.
KEYSPLINES | keySplines | Sets or retrieves a set of Bezier control points that define the interval pacing of an animation.
KEYTIMES | keyTimes | Sets or retrieves a list of time values used to control the pacing of an animation.
REPEATCOUNT | repeatCount | Sets or retrieves the number of times an element's timeline repeats.
REPEATDUR | repeatDur | Sets or retrieves the number of seconds that an element's timeline repeats.
RESTART | restart | Sets or retrieves the conditions under which an element can be restarted on a timeline.
SPEED | speed | Sets or retrieves the playback speed of an element relative to its parent time container.
systemBitrate | Retrieves the approximate bandwidth available to the system in bits-per-second.
systemCaptions | Indicates whether or not to display a text equivalent of the audio portion of the presentation.
systemLanguage | Indicates whether a given language is selected in a user's system preferences.
systemOverdubOrSubtitle | Specifies whether overdubs or subtitles render during a presentation.
TARGETELEMENT | targetElement | Sets or retrieves the target element to be animated.
TIMECONTAINER | timeContainer | Sets or retrieves the type of timeline associated with an element.
timeParent | Retrieves the parent time container element of the current element.
TO | to | Sets or retrieves the ending value of an animation.
TO | to | Sets or retrieves the ending value of a color attribute or property animated by t:ANIMATECOLOR
VALUES | values | Sets or retrieves a list of semicolon-separated values of an animation.
VALUES | values | Sets or retrieves a list of semicolon-delimited RGB color values for a t:ANIMATECOLOR element.

Events

Event | Description
onbegin | Fires when the timeline starts on an element.
onend | Fires when the timeline stops on an element.
onpause | Fires when the timeline on an element pauses.
onrepeat | Fires when the timeline repeats on an element, beginning with the second iteration.
onreset | Fires when the timeline reaches the value of the BEGIN attribute or when the resetElement method is called on the element.
onresume | Fires when an element's timeline resumes from a paused state.
onreverse | Fires when the timeline on an element begins to play backward.

Methods

Method | Description
activeTimeToParentTime | Converts a value in the element's active timeline to the corresponding point in the parent timeline.
activeTimeToSegmentTime | Converts a value in the element's active timeline to the corresponding point in the segment timeline.
beginElement | Starts the element on the timeline.
beginElementAt | Starts an element's timeline at the specified time.
documentTimeToParentTime | Converts a value in the document timeline to the corresponding point in the element's parent timeline.
endElement | Stops the element on the timeline.
endElementAt | Ends an element's timeline at the specified time.
parentTimeToActiveTime | Converts a value in the parent timeline to the corresponding point in the element's active timeline.
parentTimeToDocumentTime | Converts a value in the element's parent timeline to the corresponding point in the document timeline.
pauseElement | Stops playing an element's timeline at the current point.
resetElement | Removes any changes made to the element and returns the element to its original state.
resumeElement | Restarts the element's timeline from a paused state.
seekActiveTime | Locates a specified point on the element's active timeline and begins playing from that point.
seekSegmentTime | Locates the specified point on the element's segment timeline, and begins playing from that point.
seekTo | Locates a specified point on the element's segment timeline, including repetitions, and begins playing from that point.
seekToFrame | Locates a specified frame in the object.
segmentTimeToActiveTime | Converts a value in the element's segment timeline to the corresponding point in the element's active timeline.
segmentTimeToSimpleTime | Converts a value in the element's segment timeline to the corresponding point in the element's simple timeline.
simpleTimeToSegmentTime | Converts a value in the element's simple timeline to the corresponding point in the element's segment timeline.

Objects

Object | Description
currTimeState | Contains information about an HTML+TIME timeline.

Remarks

When animating the color property on an object, the color must be initialized in the object's style. You must also set the attributeName to the specific color attribute you wish to animate.

The following example demonstrates how to use the t:ANIMATECOLOR element to change the color of a div over time.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>t:ANIMATECOLOR Demo</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY>
<DIV ID="oDIV" STYLE="width:100px; height:50px; background-color:red;
text-align:center;">DIV!</DIV>
<t:ANIMATECOLOR targetElement="oDIV" attributeName="backgroundColor"
to="yellow" start="2" dur="5" fill="hold">
</BODY>
</HTML>

The prefix t: is used to associate this element with an Extensible Markup Language (XML) namespace. You must declare the XML namespace in the html tag of your document when using this element.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">

You must then import the tag definitions from the time2 behavior by using the IMPORT processing instruction.

<?IMPORT namespace="t" implementation="#default#time2">

When writing script to dynamically change the properties of an active animation, developers should consider a couple of issues. Because results might be unpredictable or undefined when you change the properties of an active animation, restart the animation with beginElement after you have made the change.

For the animate, animateMotion, and animateColor objects, the time2 behavior uses the following model to evaluate which properties to animate.

  • The values property, if specified, overrides any setting for the from, to, or by properties.
  • The from property is used unless the values or path properties are specified.
  • The to property, if specified, overrides any setting for the by property.
  • The by property doesn't override any properties.

The members listed in the following table might not be accessible through scripting until the window.onload event fires. Waiting for this event to fire ensures that the page is completely loaded, that all behaviors have been applied to corresponding elements on the page, and that all the behavior's properties, methods, and events are available for scripting. Using any of the behavior-defined members before the window.onload event fires could result in a scripting error, indicating that the object does not support that particular member.

This element is not rendered.

This element requires a closing tag.

Standards Information

This object is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

See Also

Introduction to HTML+TIME, animate, animateMotion, set, time2


t:ANIMATEMOTION Element | animateMotion Object

Animates the position of an element over time.

Members Table

The following table lists the members exposed by the animateMotion object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
ACCELERATE | accelerate | Sets or retrieves a value that applies an acceleration to an element's timeline.
ACCUMULATE | accumulate | Sets or retrieves a value that indicates whether the animation is cumulative.
ADDITIVE | additive | Sets or retrieves a value that indicates whether the animation is additive with other animations.
AUTOREVERSE | autoReverse | Sets or retrieves whether the timeline on an element begins playing in reverse immediately after completing in the forward direction.
BEGIN | begin | Sets or retrieves the delay time before the timeline begins playing on the element.
BY | by | Sets or retrieves a relative offset value for an animation.
CALCMODE | calcMode | Sets or retrieves the interpolation mode for the animateMotion object.
DECELERATE | decelerate | Sets or retrieves a value that applies a deceleration to the end of a simple duration.
DUR | dur | Sets or retrieves a value indicating the amount of time the element remains active or displayed.
END | end | Sets or retrieves a value indicating the end time for the element, or the end of the simple duration when the element is set to repeat.
FILL | fill | Sets or retrieves the action an element takes if its timeline ends before the timeline on its parent element ends.
FROM | from | Sets or retrieves the starting value of an animation.
hasMedia | Retrieves a Boolean value that indicates whether the element is an Introduction to HTML+TIME media element.
KEYSPLINES | keySplines | Sets or retrieves a set of Bezier control points that define the interval pacing of an animation.
KEYTIMES | keyTimes | Sets or retrieves a list of time values used to control the pacing of an animation.
ORIGIN | origin | Sets or retrieves the origin of motion for the animation.
PATH | path | Sets or retrieves a set of values that describe a path as a function of time.
REPEATCOUNT | repeatCount | Sets or retrieves the number of times an element's timeline repeats.
REPEATDUR | repeatDur | Sets or retrieves the number of seconds that an element's timeline repeats.
RESTART | restart | Sets or retrieves the conditions under which an element can be restarted on a timeline.
SPEED | speed | Sets or retrieves the playback speed of an element relative to its parent time container.
systemBitrate | Retrieves the approximate bandwidth available to the system in bits-per-second.
systemCaptions | Indicates whether or not to display a text equivalent of the audio portion of the presentation.
systemLanguage | Indicates whether a given language is selected in a user's system preferences.
systemOverdubOrSubtitle | Specifies whether overdubs or subtitles render during a presentation.
TARGETELEMENT | targetElement | Sets or retrieves the target element to be animated.
TIMECONTAINER | timeContainer | Sets or retrieves the type of timeline associated with an element.
timeParent | Retrieves the parent time container element of the current element.
TO | to | Sets or retrieves the ending value of an animation.
VALUES | values | Sets or retrieves a list of semicolon-separated values of an animation.

Events

Event | Description
onbegin | Fires when the timeline starts on an element.
onend | Fires when the timeline stops on an element.
onpause | Fires when the timeline on an element pauses.
onrepeat | Fires when the timeline repeats on an element, beginning with the second iteration.
onreset | Fires when the timeline reaches the value of the BEGIN attribute or when the resetElement method is called on the element.
onresume | Fires when an element's timeline resumes from a paused state.
onreverse | Fires when the timeline on an element begins to play backward.

Methods

Method | Description
activeTimeToParentTime | Converts a value in the element's active timeline to the corresponding point in the parent timeline.
activeTimeToSegmentTime | Converts a value in the element's active timeline to the corresponding point in the segment timeline.
beginElement | Starts the element on the timeline.
beginElementAt | Starts an element's timeline at the specified time.
documentTimeToParentTime | Converts a value in the document timeline to the corresponding point in the element's parent timeline.
endElement | Stops the element on the timeline.
endElementAt | Ends an element's timeline at the specified time.
parentTimeToActiveTime | Converts a value in the parent timeline to the corresponding point in the element's active timeline.
parentTimeToDocumentTime | Converts a value in the element's parent timeline to the corresponding point in the document timeline.
pauseElement | Stops playing an element's timeline at the current point.
resetElement | Removes any changes made to the element and returns the element to its original state.
resumeElement | Restarts the element's timeline from a paused state.
seekActiveTime | Locates a specified point on the element's active timeline and begins playing from that point.
seekSegmentTime | Locates the specified point on the element's segment timeline, and begins playing from that point.
seekTo | Locates a specified point on the element's segment timeline, including repetitions, and begins playing from that point.
seekToFrame | Locates a specified frame in the object.
segmentTimeToActiveTime | Converts a value in the element's segment timeline to the corresponding point in the element's active timeline.
segmentTimeToSimpleTime | Converts a value in the element's segment timeline to the corresponding point in the element's simple timeline.
simpleTimeToSegmentTime | Converts a value in the element's simple timeline to the corresponding point in the element's segment timeline.

Objects

Object | Description
currTimeState | Contains information about an HTML+TIME timeline.

Remarks

When animating style properties on an object, the property and any related properties must be initialized in the object's style. For example, when animating the top or left properties, you must initialize the top and left properties, as well as the position.

The following example demonstrates how to use the t:ANIMATEMOTION element to move a div.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>t:ANIMATEMOTION Demo</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY>
<DIV ID="oDIV" STYLE="position:absolute; top:100px; left:50px; width:100px;
height:50px; border:solid black 1px; text-align:center;">Moving DIV!</DIV>
<t:ANIMATEMOTION targetElement="oDIV" to="200,200" dur="5" fill="hold"/>
</BODY>
</HTML>

The prefix t: is used to associate this element with an Extensible Markup Language (XML) namespace. You must declare the XML namespace in the html tag of your document when using this element.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">

You must then import the tag definitions from the time2 behavior by using the IMPORT processing instruction.

<?IMPORT namespace="t" implementation="#default#time2">

Specify BY, FROM, and TO attribute values in comma-separated x,y pairs.

<t:ANIMATEMOTION TO="200,200" .../>

When writing script to dynamically change the properties of an active animation, developers should consider a couple of issues. Because results might be unpredictable or undefined when you change the properties of an active animation, restart the animation with beginElement after you have made the change. For example:

<SCRIPT>
object.endElement();
object.path="M 0 0 L 100 100";
object.beginElement();
</SCRIPT>

The members listed in the following table might not be accessible through scripting until the window.onload event fires. Waiting for this event to fire ensures that the page is completely loaded, that all behaviors have been applied to corresponding elements on the page, and that all the behavior's properties, methods, and events are available for scripting. Using any of the behavior-defined members before the window.onload event fires could result in a scripting error, indicating that the object does not support that particular member.

For the animate, animateMotion, and animateColor objects, the time2 behavior uses the following model to evaluate which properties to animate.

  • The path property overrides any setting for the values, from, to, or by properties.
  • The values property, if specified, overrides any setting for the from, to, or by properties.
  • The from property is used unless the values or path properties are specified.
  • The to property, if specified, overrides any setting for the by property.
  • The by property doesn't override any properties.
To change an active animation from a path to a values list through script:
<SCRIPT>
object.endElement();
object.path=null;
object.values="100,100;0,0";
object.beginElement();
</SCRIPT>

This element is not rendered.

This element requires a closing tag.

Standards Information

This object is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

See Also

animate, animateColor, Introduction to HTML+TIME, set, time2


t:ANIMATION Element | animation Object

Defines a timed animation element in an HTML document.

Members Table

The following table lists the members exposed by the animation object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
abstract | Retrieves a description of the media file.
ACCELERATE | accelerate | Sets or retrieves a value that applies an acceleration to an element's timeline.
author | Retrieves the name of the media file's author.
AUTOREVERSE | autoReverse | Sets or retrieves whether the timeline on an element begins playing in reverse immediately after completing in the forward direction.
BEGIN | begin | Sets or retrieves the delay time before the timeline begins playing on the element.
boundary | Sets when music should begin to play by using Microsoft?DirectMusic?
bufferingProgress | Retrieves a value that indicates the current percentage of buffering completed.
canPause | Retrieves a value that indicates whether the media file can be paused.
canSeek | Retrieves a value that indicates whether the media file is capable of locating a specific time in the media's duration.
CLIPBEGIN | clipBegin | Sets or retrieves the beginning point of a sub-clip of a continuous media object.
CLIPEND | clipEnd | Sets or retrieves the end point of a sub-clip of a continuous media object.
copyright | Retrieves the copyright information associated with a media file.
currentFrame | Retrieves a value that indicates the currentFrame of the object.
DECELERATE | decelerate | Sets or retrieves a value that applies a deceleration to the end of a simple duration.
downloadCurrent | Retrieves a value that indicates the current number of bytes downloaded from streaming content.
downloadTotal | Retrieves a value that indicates the total size of the file (in bytes) downloaded.
DUR | dur | Sets or retrieves a value indicating the amount of time the element remains active or displayed.
END | end | Sets or retrieves a value indicating the end time for the element, or the end of the simple duration when the element is set to repeat.
FILL | fill | Sets or retrieves the action an element takes if its timeline ends before the timeline on its parent element ends.
hasAudio | Retrieves a Boolean value that indicates whether the media contains audio.
hasDownloadProgress | Retrieves a Boolean value that indicates whether a media file has begun to download.
hasMedia | Retrieves a Boolean value that indicates whether the element is an Introduction to HTML+TIME media element.
hasVisual | Retrieves a Boolean value that indicates whether the element can draw on the screen.
immediateEnd | Sets a value that indicates whether a DirectMusic segment ends immediately or plays a transition before ending.
isStreamed | Retrieves a Boolean value that indicates if the source of the media object is streamed.
latestMediaTime | Retrieves a value that indicates the amount of time it takes for a media object to begin playing.
longTransition | Sets whether to allow introduction and ending transitions longer than one bar with DirectMusic.
mediaDur | Retrieves the duration of the element's media file.
mediaHeight | Retrieves the height of the element.
mediaWidth | Retrieves the width of the element.
mimeType | Retrieves the MIME content-type of the object.
modulate | Sets whether to attempt to modulate between keys when playing transitions with DirectMusic.
motifName | Sets the name of the DirectMusic motif to play.
MUTE | mute | Sets or retrieves a value that indicates whether the audio is turned on or off.
PLAYER | player | Sets or retrieves the object used to render the media associated with this element.
playerObject | Retrieves the object that plays media files.
rating | Retrieves the rating of the media file.
REPEATCOUNT | repeatCount | Sets or retrieves the number of times an element's timeline repeats.
REPEATDUR | repeatDur | Sets or retrieves the number of seconds that an element's timeline repeats.
RESTART | restart | Sets or retrieves the conditions under which an element can be restarted on a timeline.
segmentType | Sets whether to play a DirectMusic segment as a controlling or secondary segment.
SPEED | speed | Sets or retrieves the playback speed of an element relative to its parent time container.
SRC | src | Sets or retrieves the source URL of the media.
SYNCBEHAVIOR | syncBehavior | Sets or retrieves a value that indicates the synchronization rules for the element's timeline.
SYNCMASTER | syncMaster | Sets or retrieves whether the time container must synchronize playback to this element.
syncTolerance | Sets or retrieves the time variance allowed on a timeline with locked synchronization.
systemBitrate | Retrieves the approximate bandwidth available to the system in bits-per-second.
systemCaptions | Indicates whether or not to display a text equivalent of the audio portion of the presentation.
systemLanguage | Indicates whether a given language is selected in a user's system preferences.
systemOverdubOrSubtitle | Specifies whether overdubs or subtitles render during a presentation.
TIMEACTION | timeAction | Sets or retrieves what action is taken on the element while the timeline is active.
TIMECONTAINER | timeContainer | Sets or retrieves the type of timeline associated with an element.
timeParent | Retrieves the parent time container element of the current element.
title | Retrieves the title of the media file.
TRANSITIONTYPE | Sets or retrieves the type of DirectMusic transition to use between segments.
TYPE | type | Sets or retrieves the MIME type of the media object referenced by the SRC attribute.
UPDATEMODE | updateMode | Specifies or retrieves a value that indicates how the object is to be updated.
VOLUME | volume | Sets or retrieves the volume of the media file.

Events

Event | Description
onbegin | Fires when the timeline starts on an element.
onend | Fires when the timeline stops on an element.
onmediacomplete | Fires when the element's associated media finish loading.
onmediaerror | Fires when an element's media file causes any error.
onoutofsync | Fires when the element loses synchronization with its associated timeline.
onpause | Fires when the timeline on an element pauses.
onrepeat | Fires when the timeline repeats on an element, beginning with the second iteration.
onreset | Fires when the timeline reaches the value of the BEGIN attribute or when the resetElement method is called on the element.
onresume | Fires when an element's timeline resumes from a paused state.
onreverse | Fires when the timeline on an element begins to play backward.
onseek | Fires whenever a seek operation is performed on the element.
onsyncrestored | Fires when synchronization is resumed between the element and its associated timeline.

Methods

Method | Description
activeTimeToParentTime | Converts a value in the element's active timeline to the corresponding point in the parent timeline.
activeTimeToSegmentTime | Converts a value in the element's active timeline to the corresponding point in the segment timeline.
beginElement | Starts the element on the timeline.
beginElementAt | Starts an element's timeline at the specified time.
documentTimeToParentTime | Converts a value in the document timeline to the corresponding point in the element's parent timeline.
endElement | Stops the element on the timeline.
endElementAt | Ends an element's timeline at the specified time.
parentTimeToActiveTime | Converts a value in the parent timeline to the corresponding point in the element's active timeline.
parentTimeToDocumentTime | Converts a value in the element's parent timeline to the corresponding point in the document timeline.
pauseElement | Stops playing an element's timeline at the current point.
resetElement | Removes any changes made to the element and returns the element to its original state.
resumeElement | Restarts the element's timeline from a paused state.
seekActiveTime | Locates a specified point on the element's active timeline and begins playing from that point.
seekSegmentTime | Locates the specified point on the element's segment timeline, and begins playing from that point.
seekTo | Locates a specified point on the element's segment timeline, including repetitions, and begins playing from that point.
seekToFrame | Locates a specified frame in the object.
segmentTimeToActiveTime | Converts a value in the element's segment timeline to the corresponding point in the element's active timeline.
segmentTimeToSimpleTime | Converts a value in the element's segment timeline to the corresponding point in the element's simple timeline.
simpleTimeToSegmentTime | Converts a value in the element's simple timeline to the corresponding point in the element's segment timeline.

Remarks

The t:ANIMATION tag is used to delineate animated GIF files from other media content.

Although different media-based elements exist, there is no functional difference in their current implementation. However, you are encouraged to use elements such as t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:REF, and t:VIDEO for improved document readability and enhanced support.

The prefix t: is used to associate this element with an XML namespace. You must declare the XML namespace in the html tag of your document when using this element.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">

You must then import the tag definitions from the time2 behavior by using the IMPORT processing instruction.

<?IMPORT namespace="t" implementation="#default#time2">

The members listed in the following table might not be accessible through scripting until the window.onload event fires. Waiting for this event to fire ensures that the page is completely loaded, that all behaviors have been applied to corresponding elements on the page, and that all the behavior's properties, methods, and events are available for scripting. Using any of the behavior-defined members before the window.onload event fires could result in a scripting error, indicating that the object does not support that particular member.

This element is not rendered.

This element requires a closing tag.

Standards Information

This object is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

See Also

Introduction to DHTML Behaviors, Introduction to HTML+TIME, time2, Using DHTML Behaviors


t:AUDIO Element | audio Object

Defines a timed audio element in an HTML document.

Members Table

The following table lists the members exposed by the audio object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
abstract | Retrieves a description of the media file.
ACCELERATE | accelerate | Sets or retrieves a value that applies an acceleration to an element's timeline.
author | Retrieves the name of the media file's author.
AUTOREVERSE | autoReverse | Sets or retrieves whether the timeline on an element begins playing in reverse immediately after completing in the forward direction.
Banner | Retrieves the Banner content of an entry in an Advanced Stream Redirector (ASX) file.
BannerAbstract | Retrieves the BannerAbstract content of an entry in an ASX file.
BannerMoreInfo | Retrieves the BannerMoreInfo content of an entry in an ASX file.
BEGIN | begin | Sets or retrieves the delay time before the timeline begins playing on the element.
boundary | Sets when music should begin to play by using Microsoft DirectMusic?
bufferingProgress | Retrieves a value that indicates the current percentage of buffering completed.
canPause | Retrieves a value that indicates whether the media file can be paused.
canSeek | Retrieves a value that indicates whether the media file is capable of locating a specific time in the media's duration.
CLIPBEGIN | clipBegin | Sets or retrieves the beginning point of a sub-clip of a continuous media object.
CLIPEND | clipEnd | Sets or retrieves the end point of a sub-clip of a continuous media object.
copyright | Retrieves the copyright information associated with a media file.
currentFrame | Retrieves a value that indicates the currentFrame of the object.
DECELERATE | decelerate | Sets or retrieves a value that applies a deceleration to the end of a simple duration.
downloadCurrent | Retrieves a value that indicates the current number of bytes downloaded from streaming content.
downloadTotal | Retrieves a value that indicates the total size of the file (in bytes) downloaded.
DUR | dur | Sets or retrieves a value indicating the amount of time the element remains active or displayed.
END | end | Sets or retrieves a value indicating the end time for the element, or the end of the simple duration when the element is set to repeat.
FILL | fill | Sets or retrieves the action an element takes if its timeline ends before the timeline on its parent element ends.
hasAudio | Retrieves a Boolean value that indicates whether the media contains audio.
hasDownloadProgress | Retrieves a Boolean value that indicates whether a media file has begun to download.
hasMedia | Retrieves a Boolean value that indicates whether the element is an Introduction to HTML+TIME media element.
hasPlayList | Retrieves a Boolean value that indicates whether the element has a playList collection.
hasVisual | Retrieves a Boolean value that indicates whether the element can draw on the screen.
immediateEnd | Sets a value that indicates whether a DirectMusic segment ends immediately or plays a transition before ending.
isStreamed | Retrieves a Boolean value that indicates if the source of the media object is streamed.
latestMediaTime | Retrieves a value that indicates the amount of time it takes for a media object to begin playing.
longTransition | Sets whether to allow introduction and ending transitions longer than one bar with DirectMusic.
mediaDur | Retrieves the duration of the element's media file.
mediaHeight | Retrieves the height of the element.
mediaWidth | Retrieves the width of the element.
mimeType | Retrieves the MIME content-type of the object.
modulate | Sets whether to attempt to modulate between keys when playing transitions with DirectMusic.
motifName | Sets the name of the DirectMusic motif to play.
MUTE | mute | Sets or retrieves a value that indicates whether the audio is turned on or off.
PLAYER | player | Sets or retrieves the object used to render the media associated with this element.
playerObject | Retrieves the object that plays media files.
rating | Retrieves the rating of the media file.
REPEATCOUNT | repeatCount | Sets or retrieves the number of times an element's timeline repeats.
REPEATDUR | repeatDur | Sets or retrieves the number of seconds that an element's timeline repeats.
RESTART | restart | Sets or retrieves the conditions under which an element can be restarted on a timeline.
segmentType | Sets whether to play a DirectMusic segment as a controlling or secondary segment.
SPEED | speed | Sets or retrieves the playback speed of an element relative to its parent time container.
SRC | src | Sets or retrieves the source URL of the media.
SYNCBEHAVIOR | syncBehavior | Sets or retrieves a value that indicates the synchronization rules for the element's timeline.
SYNCMASTER | syncMaster | Sets or retrieves whether the time container must synchronize playback to this element.
syncTolerance | Sets or retrieves the time variance allowed on a timeline with locked synchronization.
systemBitrate | Retrieves the approximate bandwidth available to the system in bits-per-second.
systemCaptions | Indicates whether or not to display a text equivalent of the audio portion of the presentation.
systemLanguage | Indicates whether a given language is selected in a user's system preferences.
systemOverdubOrSubtitle | Specifies whether overdubs or subtitles render during a presentation.
TIMEACTION | timeAction | Sets or retrieves what action is taken on the element while the timeline is active.
TIMECONTAINER | timeContainer | Sets or retrieves the type of timeline associated with an element.
timeParent | Retrieves the parent time container element of the current element.
title | Retrieves the title of the media file.
TRANSITIONTYPE | Sets or retrieves the type of DirectMusic transition to use between segments.
TYPE | type | Sets or retrieves the MIME type of the media object referenced by the SRC attribute.
UPDATEMODE | updateMode | Specifies or retrieves a value that indicates how the object is to be updated.
URL | Retrieves the URL specified by the Advanced Streaming Format (ASF) file script command after the onURLFlip event is fired.
VOLUME | volume | Sets or retrieves the volume of the media file.

Collections

Collection | Description
playList | Retrieves a collection of playItem objects.

Events

Event | Description
onbegin | Fires when the timeline starts on an element.
onend | Fires when the timeline stops on an element.
onmediacomplete | Fires when the element's associated media finish loading.
onmediaerror | Fires when an element's media file causes any error.
onoutofsync | Fires when the element loses synchronization with its associated timeline.
onpause | Fires when the timeline on an element pauses.
onrepeat | Fires when the timeline repeats on an element, beginning with the second iteration.
onreset | Fires when the timeline reaches the value of the BEGIN attribute or when the resetElement method is called on the element.
onresume | Fires when an element's timeline resumes from a paused state.
onreverse | Fires when the timeline on an element begins to play backward.
onseek | Fires whenever a seek operation is performed on the element.
onsyncrestored | Fires when synchronization is resumed between the element and its associated timeline.
ontrackchange | The event fires when a track changes in a playList defined in an ASX file.
onURLFlip | This event fires when an ASF file, played by a HTML+TIME (Timed Interactive Multimedia Extensions)?A HREF="../../time2/elements/media.html">media tag, processes script commands embedded in the ASF file.

Methods

Method | Description
activeTimeToParentTime | Converts a value in the element's active timeline to the corresponding point in the parent timeline.
activeTimeToSegmentTime | Converts a value in the element's active timeline to the corresponding point in the segment timeline.
beginElement | Starts the element on the timeline.
beginElementAt | Starts an element's timeline at the specified time.
documentTimeToParentTime | Converts a value in the document timeline to the corresponding point in the element's parent timeline.
endElement | Stops the element on the timeline.
endElementAt | Ends an element's timeline at the specified time.
parentTimeToActiveTime | Converts a value in the parent timeline to the corresponding point in the element's active timeline.
parentTimeToDocumentTime | Converts a value in the element's parent timeline to the corresponding point in the document timeline.
pauseElement | Stops playing an element's timeline at the current point.
resetElement | Removes any changes made to the element and returns the element to its original state.
resumeElement | Restarts the element's timeline from a paused state.
seekActiveTime | Locates a specified point on the element's active timeline and begins playing from that point.
seekSegmentTime | Locates the specified point on the element's segment timeline, and begins playing from that point.
seekTo | Locates a specified point on the element's segment timeline, including repetitions, and begins playing from that point.
seekToFrame | Locates a specified frame in the object.
segmentTimeToActiveTime | Converts a value in the element's segment timeline to the corresponding point in the element's active timeline.
segmentTimeToSimpleTime | Converts a value in the element's segment timeline to the corresponding point in the element's simple timeline.
simpleTimeToSegmentTime | Converts a value in the element's simple timeline to the corresponding point in the element's segment timeline.

Objects

Object | Description
currTimeState | Contains information about an HTML+TIME timeline.

Remarks

Although different media-based elements exist, there is no functional difference in their current implementation. However, you are encouraged to use elements such as t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:REF, and t:VIDEO for improved document readability and enhanced support.

The prefix t: is used to associate this element with an Extensible Markup Language (XML) namespace. You must declare the XML namespace in the html tag of your document when using this element.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">

You must then import the tag definitions from the time2 behavior by using the IMPORT processing instruction.

<?IMPORT namespace="t" implementation="#default#time2">

The members listed in the following table might not be accessible through scripting until the window.onload event fires. Waiting for this event to fire ensures that the page is completely loaded, that all behaviors have been applied to corresponding elements on the page, and that all the behavior's properties, methods, and events are available for scripting. Using any of the behavior-defined members before the window.onload event fires could result in a scripting error, indicating that the object does not support that particular member.

Media elements with timed children should have their TIMECONTAINER attribute set to par for Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link compatibility. Currently, media elements such as t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:REF, and t:VIDEO do not treat their child elements as parallel but the SMIL 2.0 specification says that media elements with timed children should be parallel. Setting this value now may prevent incompatibilities.

This element is not rendered.

This element requires a closing tag.

Standards Information

This object is defined in SMIL 2.0 Non-Microsoft link.

See Also

Introduction to DHTML Behaviors, Introduction to HTML+TIME, time2, Using DHTML Behaviors


t:EXCL Element | excl Object

Defines a time container that allows only one child element to play at any given time.

Members Table

The following table lists the members exposed by the excl object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
ACCELERATE | accelerate | Sets or retrieves a value that applies an acceleration to an element's timeline.
AUTOREVERSE | autoReverse | Sets or retrieves whether the timeline on an element begins playing in reverse immediately after completing in the forward direction.
DECELERATE | decelerate | Sets or retrieves a value that applies a deceleration to the end of a simple duration.
DUR | dur | Sets or retrieves a value indicating the amount of time the element remains active or displayed.
ENDSYNC | endSync | Sets or retrieves the synchronization rule that specifies which child element is used to determine when the time container will end.
REPEATDUR | repeatDur | Sets or retrieves the number of seconds that an element's timeline repeats.
SYNCBEHAVIOR | syncBehavior | Sets or retrieves a value that indicates the synchronization rules for the element's timeline.
syncTolerance | Sets or retrieves the time variance allowed on a timeline with locked synchronization.

Collections

Collection | Description
activeElements | Returns a reference to the collection of all top-level child elements of the object that are currently active on the timeline.
timeAll | Retrieves a reference to the collection of all timed elements.
timeChildren | Retrieves a reference to the collection of all timed, top-level children elements.

Events

Event | Description
onend | Fires when the timeline stops on an element.
onmediaerror | Fires when an element's media file causes any error.
onrepeat | Fires when the timeline repeats on an element, beginning with the second iteration.
onreset | Fires when the timeline reaches the value of the BEGIN attribute or when the resetElement method is called on the element.
onreverse | Fires when the timeline on an element begins to play backward.
onseek | Fires whenever a seek operation is performed on the element.

Methods

Method | Description
activeTimeToParentTime | Converts a value in the element's active timeline to the corresponding point in the parent timeline.
activeTimeToSegmentTime | Converts a value in the element's active timeline to the corresponding point in the segment timeline.
beginElement | Starts the element on the timeline.
documentTimeToParentTime | Converts a value in the document timeline to the corresponding point in the element's parent timeline.
endElement | Stops the element on the timeline.
parentTimeToActiveTime | Converts a value in the parent timeline to the corresponding point in the element's active timeline.
parentTimeToDocumentTime | Converts a value in the element's parent timeline to the corresponding point in the document timeline.
resetElement | Removes any changes made to the element and returns the element to its original state.
seekTo | Locates a specified point on the element's segment timeline, including repetitions, and begins playing from that point.
seekToFrame | Locates a specified frame in the object.
segmentTimeToActiveTime | Converts a value in the element's segment timeline to the corresponding point in the element's active timeline.
segmentTimeToSimpleTime | Converts a value in the element's segment timeline to the corresponding point in the element's simple timeline.
simpleTimeToSegmentTime | Converts a value in the element's simple timeline to the corresponding point in the element's segment timeline.

Remarks

A child element playing in the t:EXCL time container will end if another child element in that same container starts playing. Use the priorityClass element to specify that the original child element will resume after the other child element has finished. The priorityClass element is used to define the pause/interrupt behavior of t:EXCL children. When a child element plays through without any interruptions from other child elements, the t:EXCL time container also ends. The t:EXCL time container must be restarted before any of its child elements can play again. Much like a jukebox, the t:EXCL time container is used to store several media files that can be played one at a time.

The default value of begin for children of t:EXCL is indefinite. The t:EXCL time container has 0 duration unless a child of the t:EXCL has been added to the timeline.

The prefix t: is used to associate this element with an Extensible Markup Language (XML) namespace. You must declare the XML namespace in the html tag of your document when using this element.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">

You must then import the tag definitions from the time2 behavior by using the IMPORT processing instruction.

<?IMPORT namespace="t" implementation="#default#time2">

The members listed in the following table might not be accessible through scripting until the window.onload event fires. Waiting for this event to fire ensures that the page is completely loaded, that all behaviors have been applied to corresponding elements on the page, and that all the behavior's properties, methods, and events are available for scripting. Using any of the behavior-defined members before the window.onload event fires could result in a scripting error, indicating that the object does not support that particular member.

This element is not rendered.

This element requires a closing tag.

Example

This example uses the t:EXCL element to demonstrate that only one HTML element can play at any given time. If a child element starts before the preceding child's duration ends, the new child element will override the timeline.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>excl Element</TITLE>
<STYLE>
.time {behavior:url(#default#time2);}
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<t:excl>
<DIV ID="div1" CLASS="time" BEGIN="0" DUR="3">First line of text.</DIV>
<DIV ID="div2" CLASS="time" BEGIN="2" DUR="3">Second line of text.</DIV>
<DIV ID="div3" CLASS="time" BEGIN="4" DUR="3">Third line of text.</DIV>
<SPAN ID="span1" CLASS="time" BEGIN="6" DUR="indefinite">
End of t:excl element.</SPAN>
</t:excl>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This object is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

See Also

Introduction to HTML+TIME, time2, priorityClass


t:IMG Element | img Object

Defines a timed image element in an HTML document.

Members Table

The following table lists the members exposed by the img object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
abstract | Retrieves a description of the media file.
ACCELERATE | accelerate | Sets or retrieves a value that applies an acceleration to an element's timeline.
author | Retrieves the name of the media file's author.
AUTOREVERSE | autoReverse | Sets or retrieves whether the timeline on an element begins playing in reverse immediately after completing in the forward direction.
BEGIN | begin | Sets or retrieves the delay time before the timeline begins playing on the element.
boundary | Sets when music should begin to play by using Microsoft?DirectMusic?
bufferingProgress | Retrieves a value that indicates the current percentage of buffering completed.
canPause | Retrieves a value that indicates whether the media file can be paused.
canSeek | Retrieves a value that indicates whether the media file is capable of locating a specific time in the media's duration.
CLIPBEGIN | clipBegin | Sets or retrieves the beginning point of a sub-clip of a continuous media object.
CLIPEND | clipEnd | Sets or retrieves the end point of a sub-clip of a continuous media object.
copyright | Retrieves the copyright information associated with a media file.
currentFrame | Retrieves a value that indicates the currentFrame of the object.
DECELERATE | decelerate | Sets or retrieves a value that applies a deceleration to the end of a simple duration.
downloadCurrent | Retrieves a value that indicates the current number of bytes downloaded from streaming content.
downloadTotal | Retrieves a value that indicates the total size of the file (in bytes) downloaded.
DUR | dur | Sets or retrieves a value indicating the amount of time the element remains active or displayed.
END | end | Sets or retrieves a value indicating the end time for the element, or the end of the simple duration when the element is set to repeat.
FILL | fill | Sets or retrieves the action an element takes if its timeline ends before the timeline on its parent element ends.
hasAudio | Retrieves a Boolean value that indicates whether the media contains audio.
hasDownloadProgress | Retrieves a Boolean value that indicates whether a media file has begun to download.
hasMedia | Retrieves a Boolean value that indicates whether the element is an Introduction to HTML+TIME media element.
hasVisual | Retrieves a Boolean value that indicates whether the element can draw on the screen.
immediateEnd | Sets a value that indicates whether a DirectMusic segment ends immediately or plays a transition before ending.
isStreamed | Retrieves a Boolean value that indicates if the source of the media object is streamed.
latestMediaTime | Retrieves a value that indicates the amount of time it takes for a media object to begin playing.
longTransition | Sets whether to allow introduction and ending transitions longer than one bar with DirectMusic.
mediaDur | Retrieves the duration of the element's media file.
mediaHeight | Retrieves the height of the element.
mediaWidth | Retrieves the width of the element.
mimeType | Retrieves the MIME content-type of the object.
modulate | Sets whether to attempt to modulate between keys when playing transitions with DirectMusic.
motifName | Sets the name of the DirectMusic motif to play.
MUTE | mute | Sets or retrieves a value that indicates whether the audio is turned on or off.
PLAYER | player | Sets or retrieves the object used to render the media associated with this element.
playerObject | Retrieves the object that plays media files.
rating | Retrieves the rating of the media file.
REPEATCOUNT | repeatCount | Sets or retrieves the number of times an element's timeline repeats.
REPEATDUR | repeatDur | Sets or retrieves the number of seconds that an element's timeline repeats.
RESTART | restart | Sets or retrieves the conditions under which an element can be restarted on a timeline.
segmentType | Sets whether to play a DirectMusic segment as a controlling or secondary segment.
SPEED | speed | Sets or retrieves the playback speed of an element relative to its parent time container.
SRC | src | Sets or retrieves the source URL of the media.
SYNCBEHAVIOR | syncBehavior | Sets or retrieves a value that indicates the synchronization rules for the element's timeline.
SYNCMASTER | syncMaster | Sets or retrieves whether the time container must synchronize playback to this element.
syncTolerance | Sets or retrieves the time variance allowed on a timeline with locked synchronization.
systemBitrate | Retrieves the approximate bandwidth available to the system in bits-per-second.
systemCaptions | Indicates whether or not to display a text equivalent of the audio portion of the presentation.
systemLanguage | Indicates whether a given language is selected in a user's system preferences.
systemOverdubOrSubtitle | Specifies whether overdubs or subtitles render during a presentation.
TIMEACTION | timeAction | Sets or retrieves what action is taken on the element while the timeline is active.
TIMECONTAINER | timeContainer | Sets or retrieves the type of timeline associated with an element.
timeParent | Retrieves the parent time container element of the current element.
title | Retrieves the title of the media file.
TRANSITIONTYPE | Sets or retrieves the type of DirectMusic transition to use between segments.
TYPE | type | Sets or retrieves the MIME type of the media object referenced by the SRC attribute.
UPDATEMODE | updateMode | Specifies or retrieves a value that indicates how the object is to be updated.
VOLUME | volume | Sets or retrieves the volume of the media file.

Events

Event | Description
onbegin | Fires when the timeline starts on an element.
onend | Fires when the timeline stops on an element.
onmediacomplete | Fires when the element's associated media finish loading.
onmediaerror | Fires when an element's media file causes any error.
onoutofsync | Fires when the element loses synchronization with its associated timeline.
onpause | Fires when the timeline on an element pauses.
onrepeat | Fires when the timeline repeats on an element, beginning with the second iteration.
onreset | Fires when the timeline reaches the value of the BEGIN attribute or when the resetElement method is called on the element.
onresume | Fires when an element's timeline resumes from a paused state.
onreverse | Fires when the timeline on an element begins to play backward.
onseek | Fires whenever a seek operation is performed on the element.
onsyncrestored | Fires when synchronization is resumed between the element and its associated timeline.

Methods

Method | Description
activeTimeToParentTime | Converts a value in the element's active timeline to the corresponding point in the parent timeline.
activeTimeToSegmentTime | Converts a value in the element's active timeline to the corresponding point in the segment timeline.
beginElement | Starts the element on the timeline.
beginElementAt | Starts an element's timeline at the specified time.
documentTimeToParentTime | Converts a value in the document timeline to the corresponding point in the element's parent timeline.
endElement | Stops the element on the timeline.
endElementAt | Ends an element's timeline at the specified time.
parentTimeToActiveTime | Converts a value in the parent timeline to the corresponding point in the element's active timeline.
parentTimeToDocumentTime | Converts a value in the element's parent timeline to the corresponding point in the document timeline.
pauseElement | Stops playing an element's timeline at the current point.
resetElement | Removes any changes made to the element and returns the element to its original state.
resumeElement | Restarts the element's timeline from a paused state.
seekActiveTime | Locates a specified point on the element's active timeline and begins playing from that point.
seekSegmentTime | Locates the specified point on the element's segment timeline, and begins playing from that point.
seekTo | Locates a specified point on the element's segment timeline, including repetitions, and begins playing from that point.
seekToFrame | Locates a specified frame in the object.
segmentTimeToActiveTime | Converts a value in the element's segment timeline to the corresponding point in the element's active timeline.
segmentTimeToSimpleTime | Converts a value in the element's segment timeline to the corresponding point in the element's simple timeline.
simpleTimeToSegmentTime | Converts a value in the element's simple timeline to the corresponding point in the element's segment timeline.

Objects

Object | Description
currTimeState | Contains information about an HTML+TIME timeline.

Remarks

Although different media-based elements exist, there is no functional difference in their current implementation. However, you are encouraged to use elements such as t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:REF, and t:VIDEO for improved document readability and enhanced support.

This element duplicates the HTMLimg element and provides control over media loading. Use this element instead of the HTML img element for timing images in Internet Explorer 5 and later.

The prefix t: is used to associate this element with an Extensible Markup Language (XML) namespace. You must declare the XML namespace in the html tag of your document when using this element.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">

You must then import the tag definitions from the time2 behavior by using the IMPORT processing instruction.

<?IMPORT namespace="t" implementation="#default#time2">

The members listed in the following table might not be accessible through scripting until the window.onload event fires. Waiting for this event to fire ensures that the page is completely loaded, that all behaviors have been applied to corresponding elements on the page, and that all the behavior's properties, methods, and events are available for scripting. Using any of the behavior-defined members before the window.onload event fires could result in a scripting error, indicating that the object does not support that particular member.

Media elements with timed children should have their TIMECONTAINER attribute set to par for Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link compatibility. Currently, media elements such as t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:REF, and t:VIDEO do not treat their child elements as parallel but the SMIL 2.0 specification says that media elements with timed children should be parallel. Setting this value now may prevent incompatibilities.

This element is not rendered.

This element requires a closing tag.

Standards Information

This object is defined in SMIL 2.0 Non-Microsoft link.

See Also

Introduction to DHTML Behaviors, Introduction to HTML+TIME, time2, Using DHTML Behaviors


t:MEDIA Element | media Object

Defines a generic, timed media element in an HTML document.

Members Table

The following table lists the members exposed by the media object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
abstract | Retrieves a description of the media file.
ACCELERATE | accelerate | Sets or retrieves a value that applies an acceleration to an element's timeline.
author | Retrieves the name of the media file's author.
AUTOREVERSE | autoReverse | Sets or retrieves whether the timeline on an element begins playing in reverse immediately after completing in the forward direction.
Banner | Retrieves the Banner content of an entry in an Advanced Stream Redirector (ASX) file.
BannerAbstract | Retrieves the BannerAbstract content of an entry in an ASX file.
BannerMoreInfo | Retrieves the BannerMoreInfo content of an entry in an ASX file.
BEGIN | begin | Sets or retrieves the delay time before the timeline begins playing on the element.
boundary | Sets when music should begin to play by using Microsoft DirectMusic?
bufferingProgress | Retrieves a value that indicates the current percentage of buffering completed.
canPause | Retrieves a value that indicates whether the media file can be paused.
canSeek | Retrieves a value that indicates whether the media file is capable of locating a specific time in the media's duration.
CLIPBEGIN | clipBegin | Sets or retrieves the beginning point of a sub-clip of a continuous media object.
CLIPEND | clipEnd | Sets or retrieves the end point of a sub-clip of a continuous media object.
copyright | Retrieves the copyright information associated with a media file.
currentFrame | Retrieves a value that indicates the currentFrame of the object.
DECELERATE | decelerate | Sets or retrieves a value that applies a deceleration to the end of a simple duration.
downloadCurrent | Retrieves a value that indicates the current number of bytes downloaded from streaming content.
downloadTotal | Retrieves a value that indicates the total size of the file (in bytes) downloaded.
DUR | dur | Sets or retrieves a value indicating the amount of time the element remains active or displayed.
END | end | Sets or retrieves a value indicating the end time for the element, or the end of the simple duration when the element is set to repeat.
FILL | fill | Sets or retrieves the action an element takes if its timeline ends before the timeline on its parent element ends.
hasAudio | Retrieves a Boolean value that indicates whether the media contains audio.
hasDownloadProgress | Retrieves a Boolean value that indicates whether a media file has begun to download.
hasMedia | Retrieves a Boolean value that indicates whether the element is an Introduction to HTML+TIME media element.
hasPlayList | Retrieves a Boolean value that indicates whether the element has a playList collection.
hasVisual | Retrieves a Boolean value that indicates whether the element can draw on the screen.
immediateEnd | Sets a value that indicates whether a DirectMusic segment ends immediately or plays a transition before ending.
isStreamed | Retrieves a Boolean value that indicates if the source of the media object is streamed.
latestMediaTime | Retrieves a value that indicates the amount of time it takes for a media object to begin playing.
longTransition | Sets whether to allow introduction and ending transitions longer than one bar with DirectMusic.
mediaDur | Retrieves the duration of the element's media file.
mediaHeight | Retrieves the height of the element.
mediaWidth | Retrieves the width of the element.
mimeType | Retrieves the MIME content-type of the object.
modulate | Sets whether to attempt to modulate between keys when playing transitions with DirectMusic.
motifName | Sets the name of the DirectMusic motif to play.
MUTE | mute | Sets or retrieves a value that indicates whether the audio is turned on or off.
PLAYER | player | Sets or retrieves the object used to render the media associated with this element.
playerObject | Retrieves the object that plays media files.
rating | Retrieves the rating of the media file.
REPEATCOUNT | repeatCount | Sets or retrieves the number of times an element's timeline repeats.
REPEATDUR | repeatDur | Sets or retrieves the number of seconds that an element's timeline repeats.
RESTART | restart | Sets or retrieves the conditions under which an element can be restarted on a timeline.
segmentType | Sets whether to play a DirectMusic segment as a controlling or secondary segment.
SPEED | speed | Sets or retrieves the playback speed of an element relative to its parent time container.
SRC | src | Sets or retrieves the source URL of the media.
SYNCBEHAVIOR | syncBehavior | Sets or retrieves a value that indicates the synchronization rules for the element's timeline.
SYNCMASTER | syncMaster | Sets or retrieves whether the time container must synchronize playback to this element.
syncTolerance | Sets or retrieves the time variance allowed on a timeline with locked synchronization.
systemBitrate | Retrieves the approximate bandwidth available to the system in bits-per-second.
systemCaptions | Indicates whether or not to display a text equivalent of the audio portion of the presentation.
systemLanguage | Indicates whether a given language is selected in a user's system preferences.
systemOverdubOrSubtitle | Specifies whether overdubs or subtitles render during a presentation.
TIMEACTION | timeAction | Sets or retrieves what action is taken on the element while the timeline is active.
TIMECONTAINER | timeContainer | Sets or retrieves the type of timeline associated with an element.
timeParent | Retrieves the parent time container element of the current element.
title | Retrieves the title of the media file.
TRANSITIONTYPE | Sets or retrieves the type of DirectMusic transition to use between segments.
TYPE | type | Sets or retrieves the MIME type of the media object referenced by the SRC attribute.
UPDATEMODE | updateMode | Specifies or retrieves a value that indicates how the object is to be updated.
URL | Retrieves the URL specified by the Advanced Streaming Format (ASF) file script command after the onURLFlip event is fired.
VOLUME | volume | Sets or retrieves the volume of the media file.

Collections

Collection | Description
playList | Retrieves a collection of playItem objects.

Events

Event | Description
onbegin | Fires when the timeline starts on an element.
onend | Fires when the timeline stops on an element.
onmediacomplete | Fires when the element's associated media finish loading.
onmediaerror | Fires when an element's media file causes any error.
onoutofsync | Fires when the element loses synchronization with its associated timeline.
onpause | Fires when the timeline on an element pauses.
onrepeat | Fires when the timeline repeats on an element, beginning with the second iteration.
onreset | Fires when the timeline reaches the value of the BEGIN attribute or when the resetElement method is called on the element.
onresume | Fires when an element's timeline resumes from a paused state.
onreverse | Fires when the timeline on an element begins to play backward.
onseek | Fires whenever a seek operation is performed on the element.
onsyncrestored | Fires when synchronization is resumed between the element and its associated timeline.
ontrackchange | The event fires when a track changes in a playList defined in an ASX file.
onURLFlip | This event fires when an ASF file, played by a HTML+TIME (Timed Interactive Multimedia Extensions)?B>media tag, processes script commands embedded in the ASF file.

Methods

Method | Description
activeTimeToParentTime | Converts a value in the element's active timeline to the corresponding point in the parent timeline.
activeTimeToSegmentTime | Converts a value in the element's active timeline to the corresponding point in the segment timeline.
beginElement | Starts the element on the timeline.
beginElementAt | Starts an element's timeline at the specified time.
documentTimeToParentTime | Converts a value in the document timeline to the corresponding point in the element's parent timeline.
endElement | Stops the element on the timeline.
endElementAt | Ends an element's timeline at the specified time.
nextTrack | Advances the media-playing container to the next track, or playItem object, in the playList collection, and begins playing that track.
parentTimeToActiveTime | Converts a value in the parent timeline to the corresponding point in the element's active timeline.
parentTimeToDocumentTime | Converts a value in the element's parent timeline to the corresponding point in the document timeline.
pauseElement | Stops playing an element's timeline at the current point.
prevTrack | Sets the media-playing container to the previous track, or playItem object, in the playList collection and begins playing that track.
resetElement | Removes any changes made to the element and returns the element to its original state.
resumeElement | Restarts the element's timeline from a paused state.
seekActiveTime | Locates a specified point on the element's active timeline and begins playing from that point.
seekSegmentTime | Locates the specified point on the element's segment timeline, and begins playing from that point.
seekTo | Locates a specified point on the element's segment timeline, including repetitions, and begins playing from that point.
seekToFrame | Locates a specified frame in the object.
segmentTimeToActiveTime | Converts a value in the element's segment timeline to the corresponding point in the element's active timeline.
segmentTimeToSimpleTime | Converts a value in the element's segment timeline to the corresponding point in the element's simple timeline.
simpleTimeToSegmentTime | Converts a value in the element's simple timeline to the corresponding point in the element's segment timeline.

Objects

Object | Description
currTimeState | Contains information about an HTML+TIME timeline.

Remarks

Although different media-based elements exist, there is no functional difference in their current implementation. However, you are encouraged to use elements such as t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:REF, and t:VIDEO for improved document readability and enhanced support.

The prefix t: is used to associate this element with an Extensible Markup Language (XML) namespace. You must declare the XML namespace in the html tag of your document when using this element.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">

You must then import the tag definitions from the time2 behavior by using the IMPORT processing instruction.

<?IMPORT namespace="t" implementation="#default#time2">

The members listed in the following table might not be accessible through scripting until the window.onload event fires. Waiting for this event to fire ensures that the page is completely loaded, that all behaviors have been applied to corresponding elements on the page, and that all the behavior's properties, methods, and events are available for scripting. Using any of the behavior-defined members before the window.onload event fires could result in a scripting error, indicating that the object does not support that particular member.

Media elements with timed children should have their TIMECONTAINER attribute set to par for Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link compatibility. Currently, media elements such as t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:REF, and t:VIDEO do not treat their child elements as parallel but the SMIL 2.0 specification says that media elements with timed children should be parallel. Setting this value now may prevent incompatibilities.

This element is not rendered.

This element requires a closing tag.

Standards Information

This object is defined in SMIL 2.0 Non-Microsoft link.

See Also

Introduction to DHTML Behaviors, Introduction to HTML+TIME, time2, Using DHTML Behaviors


t:PAR Element | par Object

Defines a new timeline container in an HTML document for independently timed elements.

Members Table

The following table lists the members exposed by the par object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
ACCELERATE | accelerate | Sets or retrieves a value that applies an acceleration to an element's timeline.
AUTOREVERSE | autoReverse | Sets or retrieves whether the timeline on an element begins playing in reverse immediately after completing in the forward direction.
DECELERATE | decelerate | Sets or retrieves a value that applies a deceleration to the end of a simple duration.
DUR | dur | Sets or retrieves a value indicating the amount of time the element remains active or displayed.
ENDSYNC | endSync | Sets or retrieves the synchronization rule that specifies which child element is used to determine when the time container will end.
FILL | fill | Sets or retrieves the action an element takes if its timeline ends before the timeline on its parent element ends.
mediaDur | Retrieves the duration of the element's media file.
mediaHeight | Retrieves the height of the element.
mediaWidth | Retrieves the width of the element.
MUTE | mute | Sets or retrieves a value that indicates whether the audio is turned on or off.
REPEATCOUNT | repeatCount | Sets or retrieves the number of times an element's timeline repeats.
REPEATDUR | repeatDur | Sets or retrieves the number of seconds that an element's timeline repeats.
RESTART | restart | Sets or retrieves the conditions under which an element can be restarted on a timeline.
SPEED | speed | Sets or retrieves the playback speed of an element relative to its parent time container.
SYNCBEHAVIOR | syncBehavior | Sets or retrieves a value that indicates the synchronization rules for the element's timeline.
syncTolerance | Sets or retrieves the time variance allowed on a timeline with locked synchronization.
TIMEACTION | timeAction | Sets or retrieves what action is taken on the element while the timeline is active.
timeParent | Retrieves the parent time container element of the current element.
VOLUME | volume | Sets or retrieves the volume of the media file.

Collections

Collection | Description
activeElements | Returns a reference to the collection of all top-level child elements of the object that are currently active on the timeline.
timeAll | Retrieves a reference to the collection of all timed elements.
timeChildren | Retrieves a reference to the collection of all timed, top-level children elements.

Events

Event | Description
onbegin | Fires when the timeline starts on an element.
onend | Fires when the timeline stops on an element.
onmediacomplete | Fires when the element's associated media finish loading.
onmediaerror | Fires when an element's media file causes any error.
onoutofsync | Fires when the element loses synchronization with its associated timeline.
onpause | Fires when the timeline on an element pauses.
onrepeat | Fires when the timeline repeats on an element, beginning with the second iteration.
onreset | Fires when the timeline reaches the value of the BEGIN attribute or when the resetElement method is called on the element.
onresume | Fires when an element's timeline resumes from a paused state.
onreverse | Fires when the timeline on an element begins to play backward.
onseek | Fires whenever a seek operation is performed on the element.
onsyncrestored | Fires when synchronization is resumed between the element and its associated timeline.

Methods

Method | Description
activeTimeToParentTime | Converts a value in the element's active timeline to the corresponding point in the parent timeline.
activeTimeToSegmentTime | Converts a value in the element's active timeline to the corresponding point in the segment timeline.
beginElement | Starts the element on the timeline.
beginElementAt | Starts an element's timeline at the specified time.
documentTimeToParentTime | Converts a value in the document timeline to the corresponding point in the element's parent timeline.
endElement | Stops the element on the timeline.
endElementAt | Ends an element's timeline at the specified time.
nextTrack | Advances the media-playing container to the next track, or playItem object, in the playList collection, and begins playing that track.
parentTimeToActiveTime | Converts a value in the parent timeline to the corresponding point in the element's active timeline.
parentTimeToDocumentTime | Converts a value in the element's parent timeline to the corresponding point in the document timeline.
pauseElement | Stops playing an element's timeline at the current point.
prevTrack | Sets the media-playing container to the previous track, or playItem object, in the playList collection and begins playing that track.
resetElement | Removes any changes made to the element and returns the element to its original state.
resumeElement | Restarts the element's timeline from a paused state.
seekActiveTime | Locates a specified point on the element's active timeline and begins playing from that point.
seekSegmentTime | Locates the specified point on the element's segment timeline, and begins playing from that point.
seekTo | Locates a specified point on the element's segment timeline, including repetitions, and begins playing from that point.
seekToFrame | Locates a specified frame in the object.
segmentTimeToActiveTime | Converts a value in the element's segment timeline to the corresponding point in the element's active timeline.
segmentTimeToSimpleTime | Converts a value in the element's segment timeline to the corresponding point in the element's simple timeline.
simpleTimeToSegmentTime | Converts a value in the element's simple timeline to the corresponding point in the element's segment timeline.

Objects

Object | Description
currTimeState | Contains information about an HTML+TIME timeline.

Remarks

All HTML descendants of this element either have independent or parallel timing.

Use this element instead of the TIMECONTAINER attribute to create a time container without using an HTML element. All descendant elements, or time children, of this new time container inherit the time properties of their container. Unlike the time children of the t:SEQ element, the par descendants have no implicit timing relationships with each other, and their timelines might overlap. The t:PAR element effectively groups elements together so they can be easily modified as a single unit.

The default value of begin for children of a par time container is 0 seconds.

The prefix t: is used to associate this element with an Extensible Markup Language (XML) namespace. You must declare the XML namespace in the html tag of your document when using this element.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">

You must then import the tag definitions from the time2 behavior by using the IMPORT processing instruction.

<?IMPORT namespace="t" implementation="#default#time2">

The members listed in the following table might not be accessible through scripting until the window.onload event fires. Waiting for this event to fire ensures that the page is completely loaded, that all behaviors have been applied to corresponding elements on the page, and that all the behavior's properties, methods, and events are available for scripting. Using any of the behavior-defined members before the window.onload event fires could result in a scripting error, indicating that the object does not support that particular member.

This element is not rendered.

This element requires a closing tag.

Example

This example uses the t:PAR element to apply a timeline to a group of HTML elements.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>PAR</TITLE>
<STYLE>
.time {behavior:url(#default#time2);}
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<t:PAR BEGIN="0" DUR="10" TIMEACTION="display">
<H3>Paragraph 1</H3>
<P>This is paragraph number one. It appears for ten seconds immediately
after the page is loaded.</P>
<SPAN CLASS="time" BEGIN="5">
<H3>Paragraph 2</H3>
<P>This is paragraph number two. It appears five seconds after the
page is loaded, and remains displayed until its parent element's
timeline ends at ten seconds.</P>
</SPAN>
</t:PAR>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This object is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

See Also

Introduction to HTML+TIME, time2


t:PRIORITYCLASS Element | priorityClass Object

Defines a group of excl children and the pause/interrupt behavior of the children.

Members Table

The following table lists the members exposed by the priorityClass object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
higher | higher | Controls how elements with higher priority interrupt child elements of a priorityClass element.
lower | lower | Controls how elements that are defined with lower priority interrupt child elements of a priorityClass element.
peers | peers | Controls how child elements of a priorityClass element interrupt one another.

Remarks

If a priorityClass element appears as the child of an excl element, the excl element can only contain priorityClass elements. An author cannot mix timed children and priorityClass elements within an excl element.

A priorityClass element does not affect timing; it defines only the way in which elements interrupt one another. The order in which priorityClass elements are declared within an excl time container defines the priority for each element. The first priorityClass element declared has the highest priority and the last priorityClass element declared has lowest priority.

A priorityClass element cannot contain other priorityClass elements.

The prefix t: is used to associate this element with an XML namespace. You must declare the XML namespace in the html tag of your document when using this element.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">

You must then import the tag definitions from the time2 behavior by using the IMPORT processing instruction.

<?IMPORT namespace="t" implementation="#default#time2">

The members listed in the following table might not be accessible through scripting until the window.onload event fires. Waiting for this event to fire ensures that the page is completely loaded, that all behaviors have been applied to corresponding elements on the page, and that all the behavior's properties, methods, and events are available for scripting. Using any of the behavior-defined members before the window.onload event fires could result in a scripting error, indicating that the object does not support that particular member.

This element is not rendered.

This element requires a closing tag.

Example

This example demonstrates one of the ways to use the priorityClass element.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>priorityClass Element</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time {behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY>
<t:excl id="t1" begin="0;indefinite">
<t:priorityClass >
<SPAN id="s1" class="time" begin="7" dur="5">
<H3>Paragraph 1</H3>
<P>Paragraph 1 begins at 7 seconds with a duration of 5
seconds.</P>
</SPAN>
</t:priorityClass>
<t:priorityClass higher="stop">
<SPAN id="s2" class="time" begin="0" dur="10">
<H3>Paragraph 2</H3>
<P>Paragraph 2 is displayed until it is interrupted by a
higher priorityClass (at 7 seconds). Paragraph 2
pauses and is added to a queue of pending elements.
When Paragraph 1 completes its active duration,
Paragraph 2 resumes and will complete its duration.</P>
</SPAN>
</t:priorityClass>
</t:excl>
<BR>
<BUTTON id="b1" onclick="t1.beginElement();">Click to restart</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This object is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

See Also

Introduction to HTML+TIME, time2


t:REF Element | ref Object

Defines a reference to a generic timed element in an HTML document.

Members Table

The following table lists the members exposed by the ref object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
abstract | Retrieves a description of the media file.
ACCELERATE | accelerate | Sets or retrieves a value that applies an acceleration to an element's timeline.
author | Retrieves the name of the media file's author.
AUTOREVERSE | autoReverse | Sets or retrieves whether the timeline on an element begins playing in reverse immediately after completing in the forward direction.
Banner | Retrieves the Banner content of an entry in an Advanced Stream Redirector (ASX) file.
BannerAbstract | Retrieves the BannerAbstract content of an entry in an ASX file.
BannerMoreInfo | Retrieves the BannerMoreInfo content of an entry in an ASX file.
BEGIN | begin | Sets or retrieves the delay time before the timeline begins playing on the element.
boundary | Sets when music should begin to play by using Microsoft DirectMusic?
bufferingProgress | Retrieves a value that indicates the current percentage of buffering completed.
canPause | Retrieves a value that indicates whether the media file can be paused.
canSeek | Retrieves a value that indicates whether the media file is capable of locating a specific time in the media's duration.
CLIPBEGIN | clipBegin | Sets or retrieves the beginning point of a sub-clip of a continuous media object.
CLIPEND | clipEnd | Sets or retrieves the end point of a sub-clip of a continuous media object.
copyright | Retrieves the copyright information associated with a media file.
currentFrame | Retrieves a value that indicates the currentFrame of the object.
DECELERATE | decelerate | Sets or retrieves a value that applies a deceleration to the end of a simple duration.
downloadCurrent | Retrieves a value that indicates the current number of bytes downloaded from streaming content.
downloadTotal | Retrieves a value that indicates the total size of the file (in bytes) downloaded.
DUR | dur | Sets or retrieves a value indicating the amount of time the element remains active or displayed.
END | end | Sets or retrieves a value indicating the end time for the element, or the end of the simple duration when the element is set to repeat.
FILL | fill | Sets or retrieves the action an element takes if its timeline ends before the timeline on its parent element ends.
hasAudio | Retrieves a Boolean value that indicates whether the media contains audio.
hasDownloadProgress | Retrieves a Boolean value that indicates whether a media file has begun to download.
hasMedia | Retrieves a Boolean value that indicates whether the element is an Introduction to HTML+TIME media element.
hasPlayList | Retrieves a Boolean value that indicates whether the element has a playList collection.
hasVisual | Retrieves a Boolean value that indicates whether the element can draw on the screen.
immediateEnd | Sets a value that indicates whether a DirectMusic segment ends immediately or plays a transition before ending.
isStreamed | Retrieves a Boolean value that indicates if the source of the media object is streamed.
latestMediaTime | Retrieves a value that indicates the amount of time it takes for a media object to begin playing.
longTransition | Sets whether to allow introduction and ending transitions longer than one bar with DirectMusic.
mediaDur | Retrieves the duration of the element's media file.
mediaHeight | Retrieves the height of the element.
mediaWidth | Retrieves the width of the element.
mimeType | Retrieves the MIME content-type of the object.
modulate | Sets whether to attempt to modulate between keys when playing transitions with DirectMusic.
motifName | Sets the name of the DirectMusic motif to play.
MUTE | mute | Sets or retrieves a value that indicates whether the audio is turned on or off.
PLAYER | player | Sets or retrieves the object used to render the media associated with this element.
playerObject | Retrieves the object that plays media files.
rating | Retrieves the rating of the media file.
REPEATCOUNT | repeatCount | Sets or retrieves the number of times an element's timeline repeats.
REPEATDUR | repeatDur | Sets or retrieves the number of seconds that an element's timeline repeats.
RESTART | restart | Sets or retrieves the conditions under which an element can be restarted on a timeline.
segmentType | Sets whether to play a DirectMusic segment as a controlling or secondary segment.
SPEED | speed | Sets or retrieves the playback speed of an element relative to its parent time container.
SRC | src | Sets or retrieves the source URL of the media.
SYNCBEHAVIOR | syncBehavior | Sets or retrieves a value that indicates the synchronization rules for the element's timeline.
SYNCMASTER | syncMaster | Sets or retrieves whether the time container must synchronize playback to this element.
syncTolerance | Sets or retrieves the time variance allowed on a timeline with locked synchronization.
systemBitrate | Retrieves the approximate bandwidth available to the system in bits-per-second.
systemCaptions | Indicates whether or not to display a text equivalent of the audio portion of the presentation.
systemLanguage | Indicates whether a given language is selected in a user's system preferences.
systemOverdubOrSubtitle | Specifies whether overdubs or subtitles render during a presentation.
TIMEACTION | timeAction | Sets or retrieves what action is taken on the element while the timeline is active.
TIMECONTAINER | timeContainer | Sets or retrieves the type of timeline associated with an element.
timeParent | Retrieves the parent time container element of the current element.
title | Retrieves the title of the media file.
TRANSITIONTYPE | Sets or retrieves the type of DirectMusic transition to use between segments.
TYPE | type | Sets or retrieves the MIME type of the media object referenced by the SRC attribute.
UPDATEMODE | updateMode | Specifies or retrieves a value that indicates how the object is to be updated.
VOLUME | volume | Sets or retrieves the volume of the media file.

Collections

Collection | Description
playList | Retrieves a collection of playItem objects.

Events

Event | Description
onbegin | Fires when the timeline starts on an element.
onend | Fires when the timeline stops on an element.
onmediacomplete | Fires when the element's associated media finish loading.
onmediaerror | Fires when an element's media file causes any error.
onoutofsync | Fires when the element loses synchronization with its associated timeline.
onpause | Fires when the timeline on an element pauses.
onrepeat | Fires when the timeline repeats on an element, beginning with the second iteration.
onreset | Fires when the timeline reaches the value of the BEGIN attribute or when the resetElement method is called on the element.
onresume | Fires when an element's timeline resumes from a paused state.
onreverse | Fires when the timeline on an element begins to play backward.
onseek | Fires whenever a seek operation is performed on the element.
onsyncrestored | Fires when synchronization is resumed between the element and its associated timeline.
ontrackchange | The event fires when a track changes in a playList defined in an ASX file.

Methods

Method | Description
activeTimeToParentTime | Converts a value in the element's active timeline to the corresponding point in the parent timeline.
activeTimeToSegmentTime | Converts a value in the element's active timeline to the corresponding point in the segment timeline.
beginElement | Starts the element on the timeline.
beginElementAt | Starts an element's timeline at the specified time.
documentTimeToParentTime | Converts a value in the document timeline to the corresponding point in the element's parent timeline.
endElement | Stops the element on the timeline.
endElementAt | Ends an element's timeline at the specified time.
nextTrack | Advances the media-playing container to the next track, or playItem object, in the playList collection, and begins playing that track.
parentTimeToActiveTime | Converts a value in the parent timeline to the corresponding point in the element's active timeline.
parentTimeToDocumentTime | Converts a value in the element's parent timeline to the corresponding point in the document timeline.
pauseElement | Stops playing an element's timeline at the current point.
prevTrack | Sets the media-playing container to the previous track, or playItem object, in the playList collection and begins playing that track.
resetElement | Removes any changes made to the element and returns the element to its original state.
resumeElement | Restarts the element's timeline from a paused state.
seekActiveTime | Locates a specified point on the element's active timeline and begins playing from that point.
seekSegmentTime | Locates the specified point on the element's segment timeline, and begins playing from that point.
seekTo | Locates a specified point on the element's segment timeline, including repetitions, and begins playing from that point.
seekToFrame | Locates a specified frame in the object.
segmentTimeToActiveTime | Converts a value in the element's segment timeline to the corresponding point in the element's active timeline.
segmentTimeToSimpleTime | Converts a value in the element's segment timeline to the corresponding point in the element's simple timeline.
simpleTimeToSegmentTime | Converts a value in the element's simple timeline to the corresponding point in the element's segment timeline.

Objects

Object | Description
currTimeState | Contains information about an HTML+TIME timeline.

Remarks

Although different media-based elements exist, there is no functional difference in their current implementation. However, you are encouraged to use elements such as t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:REF, and t:VIDEO for improved document readability and enhanced support.

The prefix t: is used to associate this element with an Extensible Markup Language (XML) namespace. You must declare the XML namespace in the html tag of your document when using this element.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">

You must then import the tag definitions from the time2 behavior by using the IMPORT processing instruction.

<?IMPORT namespace="t" implementation="#default#time2">

The members listed in the following table might not be accessible through scripting until the window.onload event fires. Waiting for this event to fire ensures that the page is completely loaded, that all behaviors have been applied to corresponding elements on the page, and that all the behavior's properties, methods, and events are available for scripting. Using any of the behavior-defined members before the window.onload event fires could result in a scripting error, indicating that the object does not support that particular member.

Media elements with timed children should have their TIMECONTAINER attribute set to par for Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link compatibility. Currently, media elements such as t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:REF, and t:VIDEO do not treat their child elements as parallel but the SMIL 2.0 specification says that media elements with timed children should be parallel. Setting this value now may prevent incompatibilities.

This element is not rendered.

This element requires a closing tag.

Standards Information

This object is defined in SMIL 2.0 Non-Microsoft link.

See Also

Introduction to DHTML Behaviors, Introduction to HTML+TIME, time2, Using DHTML Behaviors


t:SEQ Element | seq Object

Defines a new timeline container in an HTML document for sequentially timed elements.

Members Table

The following table lists the members exposed by the seq object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
ACCELERATE | accelerate | Sets or retrieves a value that applies an acceleration to an element's timeline.
AUTOREVERSE | autoReverse | Sets or retrieves whether the timeline on an element begins playing in reverse immediately after completing in the forward direction.
BEGIN | begin | Sets or retrieves the delay time before the timeline begins playing on the element.
DECELERATE | decelerate | Sets or retrieves a value that applies a deceleration to the end of a simple duration.
DUR | dur | Sets or retrieves a value indicating the amount of time the element remains active or displayed.
END | end | Sets or retrieves a value indicating the end time for the element, or the end of the simple duration when the element is set to repeat.
FILL | fill | Sets or retrieves the action an element takes if its timeline ends before the timeline on its parent element ends.
hasMedia | Retrieves a Boolean value that indicates whether the element is an Introduction to HTML+TIME media element.
mediaDur | Retrieves the duration of the element's media file.
mediaHeight | Retrieves the height of the element.
mediaWidth | Retrieves the width of the element.
MUTE | mute | Sets or retrieves a value that indicates whether the audio is turned on or off.
REPEATCOUNT | repeatCount | Sets or retrieves the number of times an element's timeline repeats.
REPEATDUR | repeatDur | Sets or retrieves the number of seconds that an element's timeline repeats.
RESTART | restart | Sets or retrieves the conditions under which an element can be restarted on a timeline.
SPEED | speed | Sets or retrieves the playback speed of an element relative to its parent time container.
SYNCBEHAVIOR | syncBehavior | Sets or retrieves a value that indicates the synchronization rules for the element's timeline.
syncTolerance | Sets or retrieves the time variance allowed on a timeline with locked synchronization.
systemBitrate | Retrieves the approximate bandwidth available to the system in bits-per-second.
systemCaptions | Indicates whether or not to display a text equivalent of the audio portion of the presentation.
systemLanguage | Indicates whether a given language is selected in a user's system preferences.
systemOverdubOrSubtitle | Specifies whether overdubs or subtitles render during a presentation.
TIMEACTION | timeAction | Sets or retrieves what action is taken on the element while the timeline is active.
TIMECONTAINER | timeContainer | Sets or retrieves the type of timeline associated with an element.
timeParent | Retrieves the parent time container element of the current element.
VOLUME | volume | Sets or retrieves the volume of the media file.

Collections

Collection | Description
activeElements | Returns a reference to the collection of all top-level child elements of the object that are currently active on the timeline.
timeAll | Retrieves a reference to the collection of all timed elements.
timeChildren | Retrieves a reference to the collection of all timed, top-level children elements.

Events

Event | Description
onbegin | Fires when the timeline starts on an element.
onend | Fires when the timeline stops on an element.
onmediacomplete | Fires when the element's associated media finish loading.
onmediaerror | Fires when an element's media file causes any error.
onoutofsync | Fires when the element loses synchronization with its associated timeline.
onpause | Fires when the timeline on an element pauses.
onrepeat | Fires when the timeline repeats on an element, beginning with the second iteration.
onreset | Fires when the timeline reaches the value of the BEGIN attribute or when the resetElement method is called on the element.
onresume | Fires when an element's timeline resumes from a paused state.
onreverse | Fires when the timeline on an element begins to play backward.
onseek | Fires whenever a seek operation is performed on the element.
onsyncrestored | Fires when synchronization is resumed between the element and its associated timeline.

Methods

Method | Description
activeTimeToParentTime | Converts a value in the element's active timeline to the corresponding point in the parent timeline.
activeTimeToSegmentTime | Converts a value in the element's active timeline to the corresponding point in the segment timeline.
beginElement | Starts the element on the timeline.
beginElementAt | Starts an element's timeline at the specified time.
documentTimeToParentTime | Converts a value in the document timeline to the corresponding point in the element's parent timeline.
endElement | Stops the element on the timeline.
endElementAt | Ends an element's timeline at the specified time.
nextElement | Advances the timeline so that the next element in the sequence begins playing.
nextTrack | Advances the media-playing container to the next track, or playItem object, in the playList collection, and begins playing that track.
parentTimeToActiveTime | Converts a value in the parent timeline to the corresponding point in the element's active timeline.
parentTimeToDocumentTime | Converts a value in the element's parent timeline to the corresponding point in the document timeline.
pauseElement | Stops playing an element's timeline at the current point.
prevElement | Resets the timeline so that the previous element in the sequence begins playing.
prevTrack | Sets the media-playing container to the previous track, or playItem object, in the playList collection and begins playing that track.
resetElement | Removes any changes made to the element and returns the element to its original state.
resumeElement | Restarts the element's timeline from a paused state.
seekActiveTime | Locates a specified point on the element's active timeline and begins playing from that point.
seekSegmentTime | Locates the specified point on the element's segment timeline, and begins playing from that point.
seekTo | Locates a specified point on the element's segment timeline, including repetitions, and begins playing from that point.
seekToFrame | Locates a specified frame in the object.
segmentTimeToActiveTime | Converts a value in the element's segment timeline to the corresponding point in the element's active timeline.
segmentTimeToSimpleTime | Converts a value in the element's segment timeline to the corresponding point in the element's simple timeline.
simpleTimeToSegmentTime | Converts a value in the element's simple timeline to the corresponding point in the element's segment timeline.

Objects

Object | Description
currTimeState | Contains information about an HTML+TIME timeline.

Remarks

All timed HTML descendants of this Extensible Markup Language (XML) element have sequential timing. A duration value (dur property) must be specified or the next element in the sequence might never be displayed. Elements without timing attributes are ignored by the timing mechanism and are statically rendered. A timed element is an HTML element with an associated time behavior.

The default value of begin for children of a seq time container is 0 seconds.

The prefix t: is used to associate this element with an XML namespace. You must declare the XML namespace in the html tag of your document when using this element.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">

You must then import the tag definitions from the time2 behavior by using the IMPORT processing instruction.

<?IMPORT namespace="t" implementation="#default#time2">

The members listed in the following table might not be accessible through scripting until the window.onload event fires. Waiting for this event to fire ensures that the page is completely loaded, that all behaviors have been applied to corresponding elements on the page, and that all the behavior's properties, methods, and events are available for scripting. Using any of the behavior-defined members before the window.onload event fires could result in a scripting error, indicating that the object does not support that particular member.

This element is not rendered.

This element requires a closing tag.

Example

This example uses the t:SEQ element to display a sequence of text lines without specifying begin times for each timed element in the sequence.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>SEQ</TITLE>
<STYLE>
.time {behavior:url(#default#time2);}
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<t:SEQ ID="parent" BEGIN="0" DUR="indefinite">
<DIV ID="div1" CLASS="time" DUR="2">First line of text.</DIV>
<DIV ID="div1" CLASS="time" DUR="2">Second line of text.</DIV>
<DIV ID="div1" CLASS="time" DUR="2">Third line of text.</DIV>
<DIV ID="div1" CLASS="time" DUR="2">Fourth line of text.</DIV>
<SPAN STYLE="color:black" ID="span1" CLASS="time" DUR="indefinite">
<B>End of sequence.</B></SPAN>
</t:SEQ>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This object is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

See Also

Introduction to HTML+TIME, par, time2, timeContainer


t:SET Element | set Object

Sets the value of an object's attribute for a specified duration.

Members Table

The following table lists the members exposed by the set object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
ATTRIBUTENAME | attributeName | Sets or retrieves the name of the element's attribute to be animated.
AUTOREVERSE | autoReverse | Sets or retrieves whether the timeline on an element begins playing in reverse immediately after completing in the forward direction.
BEGIN | begin | Sets or retrieves the delay time before the timeline begins playing on the element.
DUR | dur | Sets or retrieves a value indicating the amount of time the element remains active or displayed.
END | end | Sets or retrieves a value indicating the end time for the element, or the end of the simple duration when the element is set to repeat.
FILL | fill | Sets or retrieves the action an element takes if its timeline ends before the timeline on its parent element ends.
hasMedia | Retrieves a Boolean value that indicates whether the element is an Introduction to HTML+TIME media element.
REPEATDUR | repeatDur | Sets or retrieves the number of seconds that an element's timeline repeats.
RESTART | restart | Sets or retrieves the conditions under which an element can be restarted on a timeline.
systemBitrate | Retrieves the approximate bandwidth available to the system in bits-per-second.
systemCaptions | Indicates whether or not to display a text equivalent of the audio portion of the presentation.
systemLanguage | Indicates whether a given language is selected in a user's system preferences.
systemOverdubOrSubtitle | Specifies whether overdubs or subtitles render during a presentation.
TARGETELEMENT | targetElement | Sets or retrieves the target element to be animated.
TIMECONTAINER | timeContainer | Sets or retrieves the type of timeline associated with an element.
timeParent | Retrieves the parent time container element of the current element.
TO | to | Sets or retrieves the ending value of an animation.

Events

Event | Description
onbegin | Fires when the timeline starts on an element.
onend | Fires when the timeline stops on an element.
onpause | Fires when the timeline on an element pauses.
onrepeat | Fires when the timeline repeats on an element, beginning with the second iteration.
onreset | Fires when the timeline reaches the value of the BEGIN attribute or when the resetElement method is called on the element.
onresume | Fires when an element's timeline resumes from a paused state.
onreverse | Fires when the timeline on an element begins to play backward.

Methods

Method | Description
activeTimeToParentTime | Converts a value in the element's active timeline to the corresponding point in the parent timeline.
activeTimeToSegmentTime | Converts a value in the element's active timeline to the corresponding point in the segment timeline.
beginElement | Starts the element on the timeline.
beginElementAt | Starts an element's timeline at the specified time.
documentTimeToParentTime | Converts a value in the document timeline to the corresponding point in the element's parent timeline.
endElement | Stops the element on the timeline.
endElementAt | Ends an element's timeline at the specified time.
parentTimeToActiveTime | Converts a value in the parent timeline to the corresponding point in the element's active timeline.
parentTimeToDocumentTime | Converts a value in the element's parent timeline to the corresponding point in the document timeline.
pauseElement | Stops playing an element's timeline at the current point.
resetElement | Removes any changes made to the element and returns the element to its original state.
resumeElement | Restarts the element's timeline from a paused state.
seekActiveTime | Locates a specified point on the element's active timeline and begins playing from that point.
seekSegmentTime | Locates the specified point on the element's segment timeline, and begins playing from that point.
seekTo | Locates a specified point on the element's segment timeline, including repetitions, and begins playing from that point.
seekToFrame | Locates a specified frame in the object.
segmentTimeToActiveTime | Converts a value in the element's segment timeline to the corresponding point in the element's active timeline.
segmentTimeToSimpleTime | Converts a value in the element's segment timeline to the corresponding point in the element's simple timeline.
simpleTimeToSegmentTime | Converts a value in the element's simple timeline to the corresponding point in the element's segment timeline.

Objects

Object | Description
currTimeState | Contains information about an HTML+TIME timeline.

Remarks

This element only manipulates the presentation value for the duration of the animation. When the animation completes, the effect is no longer applied.

When setting style properties on an object, the property must be initialized in the object's style. The following example demonstrates how to use the t:SET element to change the width of a div.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>t:SET Demo</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY>
<DIV ID="oDIV" STYLE="width:100px; height:50px; border:solid black 1px;
text-align:center;">Resizing DIV!</DIV>
<t:SET attributeName="width" begin="2" to="300" dur="5" targetElement="oDIV" />
</BODY>
</HTML>

The prefix t: is used to associate this element with an Extensible Markup Language (XML) namespace. You must declare the XML namespace in the html tag of your document when using this element.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">

You must then import the tag definitions from the time2 behavior by using the IMPORT processing instruction.

<?IMPORT namespace="t" implementation="#default#time2">

The members listed in the following table might not be accessible through scripting until the window.onload event fires. Waiting for this event to fire ensures that the page is completely loaded, that all behaviors have been applied to corresponding elements on the page, and that all the behavior's properties, methods, and events are available for scripting. Using any of the behavior-defined members before the window.onload event fires could result in a scripting error, indicating that the object does not support that particular member.

This element is not rendered.

This element requires a closing tag.

Standards Information

This object is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

See Also

animate, animateColor, animateMotion, Introduction to HTML+TIME, time2


t:SWITCH Element | switch Object

Enables you to provide several choices and display content depending on which choice is true on the user's computer.

Members Table

The following table lists the members exposed by the switch object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
hasMedia | Retrieves a Boolean value that indicates whether the element is an Introduction to HTML+TIME media element.
systemBitrate | Retrieves the approximate bandwidth available to the system in bits-per-second.
systemCaptions | Indicates whether or not to display a text equivalent of the audio portion of the presentation.
systemLanguage | Indicates whether a given language is selected in a user's system preferences.
systemOverdubOrSubtitle | Specifies whether overdubs or subtitles render during a presentation.

Remarks

Use the t:SWITCH element to decide which content to display based on the value of test attributes such as systemCaptions, systemBitrate, systemOverdubOrSubtitle, and systemLanguage.

This example detects the system language setting from the Regional Options in Control Panel and displays a text fragment in Spanish, Portuguese, or English, depending on the system language setting.

<t:switch>
<span class="time" systemLanguage="es" >Somos interdependientes (Espanol)</span>
<span class="time" systemLanguage="pt" >Nos somos interdependentes (Portuguese)</span>
<span class="time" systemLanguage="en" >We are interdependent (English)</span>
<span class="time">None of the above</span>
</t:switch>

Although different media-based elements exist, there is no functional difference in their current implementation. However, you are encouraged to use elements such as t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:REF, and t:VIDEO for improved document readability and enhanced support.

The prefix t: is used to associate this element with an Extensible Markup Language (XML) namespace. You must declare the XML namespace in the html tag of your document when using this element.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">

You must then import the tag definitions from the time2 behavior by using the IMPORT processing instructions.

<?IMPORT namespace="t" implementation="#default#time2">

Within a switch block, all tags (including tags such as HR and BR) resolve true if they don't have valid test attributes. This has a couple of implications.

  1. The switch element is not effective as a time container for multiple elements because it stops rendering children after the first child resolves true. For this reason, the timeContainer attribute is ignored by the switch element.
  2. HTML comment tags always resolve true. To incorporate HTML comment tags in switch blocks, you must wrap them in another container, such as a DIV or t:PAR. The following code fragment demonstrates how to do this.
<t:switch>
<div systemLanguage="en" >
<!--This is the english language part -->
...
</div>
<t:par>
<!-- This is the catch-all part  -->
</t:par>
</t:switch>

This element is not rendered.

This element requires a closing tag.

See Also

Introduction to DHTML Behaviors, Introduction to HTML+TIME, time2, Using DHTML Behaviors


t:TRANSITIONFILTER Element | transitionFilter Object

Animates the progress of a transition on an element or elements with renderable content.

Members Table

The following table lists the members exposed by the transitionFilter object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
ACCELERATE | accelerate | Sets or retrieves a value that applies an acceleration to an element's timeline.
ACCUMULATE | accumulate | Sets or retrieves a value that indicates whether the animation is cumulative.
ADDITIVE | additive | Sets or retrieves a value that indicates whether the animation is additive with other animations.
AUTOREVERSE | autoReverse | Sets or retrieves whether the timeline on an element begins playing in reverse immediately after completing in the forward direction.
BEGIN | begin | Sets or retrieves the delay time before the timeline begins playing on the element.
BY | by | Specifies a relative offset value for the progress of the transitionFilter.
CALCMODE | calcMode | Sets or retrieves the interpolation mode for the progress of the transitionFilter.
DECELERATE | decelerate | Sets or retrieves a value that applies a deceleration to the end of a simple duration.
DUR | dur | Sets or retrieves a value indicating the amount of time a transition is applied to an element.
END | end | Sets or retrieves a value indicating the end time for the element, or the end of the simple duration when the element is set to repeat.
FROM | from | Sets or retrieves a progress value indicating the point from which to begin the transition.
KEYSPLINES | keySplines | Sets or retrieves a set of Bezier control points that define the interval pacing of an animation.
KEYTIMES | keyTimes | Sets or retrieves a list of time values used to control the pacing of an animation.
MODE | mode | Sets or retrieves a variable that indicates whether an element transitions in or out.
REPEATCOUNT | repeatCount | Sets or retrieves the number of times an element's timeline repeats.
REPEATDUR | repeatDur | Sets or retrieves the number of seconds that an element's timeline repeats.
RESTART | restart | Sets or retrieves the conditions under which an element can be restarted on a timeline.
SPEED | speed | Sets or retrieves the playback speed of an element relative to its parent time container.
SUBTYPE | subtype | Sets or retrieves the name of the subtype that will be applied to the transition.
TARGETELEMENT | targetElement | Sets or retrieves the target element to be animated.
TO | to | Sets or retrieves a value that indicates the point in the transition's progress at which the transition ends.
TYPE | type | Sets or retrieves the type of transition to be applied.
VALUES | values | Sets or retrieves a semicolon-separated list of one or more values specifying the progress of the transition.

Events

Event | Description
onbegin | Fires when the timeline starts on an element.
onend | Fires when the timeline stops on an element.
onpause | Fires when the timeline on an element pauses.
onrepeat | Fires when the timeline repeats on an element, beginning with the second iteration.
onresume | Fires when an element's timeline resumes from a paused state.
onreverse | Fires when the timeline on an element begins to play backward.
onseek | Fires whenever a seek operation is performed on the element.

Methods

Method | Description
activeTimeToParentTime | Converts a value in the element's active timeline to the corresponding point in the parent timeline.
activeTimeToSegmentTime | Converts a value in the element's active timeline to the corresponding point in the segment timeline.
beginElement | Starts the element on the timeline.
beginElementAt | Starts an element's timeline at the specified time.
documentTimeToParentTime | Converts a value in the document timeline to the corresponding point in the element's parent timeline.
endElement | Stops the element on the timeline.
endElementAt | Ends an element's timeline at the specified time.
parentTimeToActiveTime | Converts a value in the parent timeline to the corresponding point in the element's active timeline.
parentTimeToDocumentTime | Converts a value in the element's parent timeline to the corresponding point in the document timeline.
pauseElement | Stops playing an element's timeline at the current point.
resumeElement | Restarts the element's timeline from a paused state.
seekActiveTime | Locates a specified point on the element's active timeline and begins playing from that point.
seekSegmentTime | Locates the specified point on the element's segment timeline, and begins playing from that point.
seekTo | Locates a specified point on the element's segment timeline, including repetitions, and begins playing from that point.
segmentTimeToActiveTime | Converts a value in the element's segment timeline to the corresponding point in the element's active timeline.
segmentTimeToSimpleTime | Converts a value in the element's segment timeline to the corresponding point in the element's simple timeline.
simpleTimeToSegmentTime | Converts a value in the element's simple timeline to the corresponding point in the element's segment timeline.

Objects

Object | Description
currTimeState | Contains information about an HTML+TIME timeline.

Remarks

The prefix t: is used to associate this element with an XML namespace. You must declare the XML namespace in the html tag of your document when using this element.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">

You must then import the tag definitions from the time2 behavior by using the IMPORT processing instruction.

<?IMPORT namespace="t" implementation="#default#time2">

The members listed in the following table might not be accessible through scripting until the window.onload event fires. Waiting for this event to fire ensures that the page is completely loaded, that all behaviors have been applied to corresponding elements on the page, and that all the behavior's properties, methods, and events are available for scripting. Using any of the behavior-defined members before the window.onload event fires could result in a scripting error, indicating that the object does not support that particular member.

This element is not rendered.

This element requires a closing tag.

Examples

This example demonstrates the effects of changing various attributes of the transitionFilter.

This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example shows how to use the transitionFilter to transition an element in and out of view.

<HTML XMLNS:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
<DIV STYLE="width:270" CLASS="time" DUR="8" ID="oDiv">
<t:TRANSITIONFILTER BEGIN="oDiv.begin" DUR="3" TYPE="clockWipe"/>
<t:TRANSITIONFILTER BEGIN="oDiv.end-3" DUR="3" MODE="out" TYPE="fade"/>
This DIV Transitions In, Stays For Two Seconds, And Then Transitions Out.
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

See Also

Introduction to HTML+TIME, Using HTML+TIME Transitions, time2


t:VIDEO Element | video Object

Defines a timed video element in an HTML document.

Members Table

The following table lists the members exposed by the video object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
abstract | Retrieves a description of the media file.
ACCELERATE | accelerate | Sets or retrieves a value that applies an acceleration to an element's timeline.
author | Retrieves the name of the media file's author.
AUTOREVERSE | autoReverse | Sets or retrieves whether the timeline on an element begins playing in reverse immediately after completing in the forward direction.
Banner | Retrieves the Banner content of an entry in an Advanced Stream Redirector (ASX) file.
BannerAbstract | Retrieves the BannerAbstract content of an entry in an ASX file.
BannerMoreInfo | Retrieves the BannerMoreInfo content of an entry in an ASX file.
BEGIN | begin | Sets or retrieves the delay time before the timeline begins playing on the element.
boundary | Sets when music should begin to play by using Microsoft DirectMusic?
bufferingProgress | Retrieves a value that indicates the current percentage of buffering completed.
canPause | Retrieves a value that indicates whether the media file can be paused.
canSeek | Retrieves a value that indicates whether the media file is capable of locating a specific time in the media's duration.
CLIPBEGIN | clipBegin | Sets or retrieves the beginning point of a sub-clip of a continuous media object.
CLIPEND | clipEnd | Sets or retrieves the end point of a sub-clip of a continuous media object.
copyright | Retrieves the copyright information associated with a media file.
currentFrame | Retrieves a value that indicates the currentFrame of the object.
DECELERATE | decelerate | Sets or retrieves a value that applies a deceleration to the end of a simple duration.
downloadCurrent | Retrieves a value that indicates the current number of bytes downloaded from streaming content.
downloadTotal | Retrieves a value that indicates the total size of the file (in bytes) downloaded.
DUR | dur | Sets or retrieves a value indicating the amount of time the element remains active or displayed.
END | end | Sets or retrieves a value indicating the end time for the element, or the end of the simple duration when the element is set to repeat.
FILL | fill | Sets or retrieves the action an element takes if its timeline ends before the timeline on its parent element ends.
hasAudio | Retrieves a Boolean value that indicates whether the media contains audio.
hasDownloadProgress | Retrieves a Boolean value that indicates whether a media file has begun to download.
hasMedia | Retrieves a Boolean value that indicates whether the element is an Introduction to HTML+TIME media element.
hasPlayList | Retrieves a Boolean value that indicates whether the element has a playList collection.
hasVisual | Retrieves a Boolean value that indicates whether the element can draw on the screen.
immediateEnd | Sets a value that indicates whether a DirectMusic segment ends immediately or plays a transition before ending.
isStreamed | Retrieves a Boolean value that indicates if the source of the media object is streamed.
latestMediaTime | Retrieves a value that indicates the amount of time it takes for a media object to begin playing.
longTransition | Sets whether to allow introduction and ending transitions longer than one bar with DirectMusic.
mediaDur | Retrieves the duration of the element's media file.
mediaHeight | Retrieves the height of the element.
mediaWidth | Retrieves the width of the element.
mimeType | Retrieves the MIME content-type of the object.
modulate | Sets whether to attempt to modulate between keys when playing transitions with DirectMusic.
motifName | Sets the name of the DirectMusic motif to play.
MUTE | mute | Sets or retrieves a value that indicates whether the audio is turned on or off.
PLAYER | player | Sets or retrieves the object used to render the media associated with this element.
playerObject | Retrieves the object that plays media files.
rating | Retrieves the rating of the media file.
REPEATCOUNT | repeatCount | Sets or retrieves the number of times an element's timeline repeats.
REPEATDUR | repeatDur | Sets or retrieves the number of seconds that an element's timeline repeats.
RESTART | restart | Sets or retrieves the conditions under which an element can be restarted on a timeline.
segmentType | Sets whether to play a DirectMusic segment as a controlling or secondary segment.
SPEED | speed | Sets or retrieves the playback speed of an element relative to its parent time container.
SRC | src | Sets or retrieves the source URL of the media.
SYNCBEHAVIOR | syncBehavior | Sets or retrieves a value that indicates the synchronization rules for the element's timeline.
SYNCMASTER | syncMaster | Sets or retrieves whether the time container must synchronize playback to this element.
syncTolerance | Sets or retrieves the time variance allowed on a timeline with locked synchronization.
systemBitrate | Retrieves the approximate bandwidth available to the system in bits-per-second.
systemCaptions | Indicates whether or not to display a text equivalent of the audio portion of the presentation.
systemLanguage | Indicates whether a given language is selected in a user's system preferences.
systemOverdubOrSubtitle | Specifies whether overdubs or subtitles render during a presentation.
TIMEACTION | timeAction | Sets or retrieves what action is taken on the element while the timeline is active.
TIMECONTAINER | timeContainer | Sets or retrieves the type of timeline associated with an element.
timeParent | Retrieves the parent time container element of the current element.
title | Retrieves the title of the media file.
TRANSITIONTYPE | Sets or retrieves the type of DirectMusic transition to use between segments.
TYPE | type | Sets or retrieves the MIME type of the media object referenced by the SRC attribute.
UPDATEMODE | updateMode | Specifies or retrieves a value that indicates how the object is to be updated.
URL | Retrieves the URL specified by the Advanced Streaming Format (ASF) file script command after the onURLFlip event is fired.
VOLUME | volume | Sets or retrieves the volume of the media file.

Collections

Collection | Description
playList | Retrieves a collection of playItem objects.

Events

Event | Description
onbegin | Fires when the timeline starts on an element.
onend | Fires when the timeline stops on an element.
onmediacomplete | Fires when the element's associated media finish loading.
onmediaerror | Fires when an element's media file causes any error.
onoutofsync | Fires when the element loses synchronization with its associated timeline.
onpause | Fires when the timeline on an element pauses.
onrepeat | Fires when the timeline repeats on an element, beginning with the second iteration.
onreset | Fires when the timeline reaches the value of the BEGIN attribute or when the resetElement method is called on the element.
onresume | Fires when an element's timeline resumes from a paused state.
onreverse | Fires when the timeline on an element begins to play backward.
onseek | Fires whenever a seek operation is performed on the element.
onsyncrestored | Fires when synchronization is resumed between the element and its associated timeline.
ontrackchange | The event fires when a track changes in a playList defined in an ASX file.

Methods

Method | Description
activeTimeToParentTime | Converts a value in the element's active timeline to the corresponding point in the parent timeline.
activeTimeToSegmentTime | Converts a value in the element's active timeline to the corresponding point in the segment timeline.
beginElement | Starts the element on the timeline.
beginElementAt | Starts an element's timeline at the specified time.
documentTimeToParentTime | Converts a value in the document timeline to the corresponding point in the element's parent timeline.
endElement | Stops the element on the timeline.
endElementAt | Ends an element's timeline at the specified time.
parentTimeToActiveTime | Converts a value in the parent timeline to the corresponding point in the element's active timeline.
parentTimeToDocumentTime | Converts a value in the element's parent timeline to the corresponding point in the document timeline.
pauseElement | Stops playing an element's timeline at the current point.
resetElement | Removes any changes made to the element and returns the element to its original state.
resumeElement | Restarts the element's timeline from a paused state.
seekActiveTime | Locates a specified point on the element's active timeline and begins playing from that point.
seekSegmentTime | Locates the specified point on the element's segment timeline, and begins playing from that point.
seekTo | Locates a specified point on the element's segment timeline, including repetitions, and begins playing from that point.
seekToFrame | Locates a specified frame in the object.
segmentTimeToActiveTime | Converts a value in the element's segment timeline to the corresponding point in the element's active timeline.
segmentTimeToSimpleTime | Converts a value in the element's segment timeline to the corresponding point in the element's simple timeline.
simpleTimeToSegmentTime | Converts a value in the element's simple timeline to the corresponding point in the element's segment timeline.

Objects

Object | Description
currTimeState | Contains information about an HTML+TIME timeline.

Remarks

Although different media-based elements exist, there is no functional difference in their current implementation. However, you are encouraged to use elements such as t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:REF, and t:VIDEO for improved document readability and enhanced support.

The prefix t: is used to associate this element with an Extensible Markup Language (XML) namespace. You must declare the XML namespace in the html tag of your document when using this element.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">

You must then import the tag definitions from the time2 behavior by using the IMPORT processing instruction.

<?IMPORT namespace="t" implementation="#default#time2">

The members listed in the following table might not be accessible through scripting until the window.onload event fires. Waiting for this event to fire ensures that the page is completely loaded, that all behaviors have been applied to corresponding elements on the page, and that all the behavior's properties, methods, and events are available for scripting. Using any of the behavior-defined members before the window.onload event fires could result in a scripting error, indicating that the object does not support that particular member.

Media elements with timed children should have their TIMECONTAINER attribute set to par for Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link compatibility. Currently, media elements such as t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:REF, and t:VIDEO do not treat their child elements as parallel but the SMIL 2.0 specification says that media elements with timed children should be parallel. Setting this value now may prevent incompatibilities.

This element is not rendered.

This element requires a closing tag.

Standards Information

This object is defined in SMIL 2.0 Non-Microsoft link.

See Also

Introduction to DHTML Behaviors, Introduction to HTML+TIME, time2, Using DHTML Behaviors


activeElements Collection (t:EXCL, t:PAR, t:SEQ)

activeElements Collection

Returns a reference to the collection of all top-level child elements of the object that are currently active on the timeline.

Syntax

[ oColl = ] object.activeElements
[ oObject = ] object.activeElements(iIndex)

Possible Values

oColl | Array of elements contained by the object.
oObject | Reference to an individual item in the array of elements contained by the object.
iIndex | Required. Integer that specifies the zero-based index of the item to be returned.

Members Table

The following table lists the members exposed by the activeElements object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Retrieves the number of objects in a collection.

Methods

Method | Description
item | Retrieves an object from the specified collection.

Remarks

The BODY element behaves like a t:PAR element, or parallel time container. Therefore, you can retrieve all the currently active top-level elements in the document by applying the activeElements collection to the BODY element.

As with other Dynamic HTML (DHTML) collections, you can use an index value to access objects contained in the activeElements collection. However, you might encounter scripting errors, because the contents of this collection can change quickly as local timelines expire in the document. Typically, these errors occur when using an index value that becomes invalid because a timeline ends and the collection contains fewer objects. To prevent these errors, avoid stepping through each object in the collection that uses a for loop that starts at index 0 and then processes each element until it reaches the last index. Instead, use the Enumerator object in Microsoft?JScript? or the For Each...Next statement in Microsoft Visual Basic?Scripting Edition (VBScript).

Example

The following example shows how to access each member of the activeElements collection.

<HTML>
<HEAD>
<TITLE>activeElements Collection</TITLE>
<STYLE>
.time {behavior:url(#default#time2);}
</STYLE>
<XML:NAMESPACE PREFIX="t"/>
<SCRIPT LANGUAGE="JScript">
function showActive() {
var oAE = new Enumerator(parallel.activeElements);
var myStr = "";
for(; !oAE.atEnd(); oAE.moveNext()) {
myStr = myStr + "\nElement Type: <" + oAE.item().tagName +
">; Element ID: " + oAE.item().id;
}
alert("Currently Active Elements: " + myStr);
}
</SCRIPT>
</HEAD>
<BODY ID="docBody">
<P>Click the button below to display the elements that are
currently active on the timeline. In this sample, active elements
are displayed in color while they are active. Elements that are
inactive are displayed in black.
</P>
<BUTTON STYLE="width:140px;" onclick="showActive();">Show Active
Elements</BUTTON>
<t:PAR CLASS="time" ID="parallel" timeaction="none" DUR="9"
REPEATCOUNT="indefinite">
<H1 ID="hdg1" CLASS="time" STYLE="color:red;"
TIMEACTION="style" BEGIN="0" DUR="3">Heading 1</H1>
<H2 ID="hdg2" CLASS="time" STYLE="color:red;"
TIMEACTION="style" BEGIN="0" DUR="3">Heading 2</H2>
<H3 ID="hdg3" CLASS="time" STYLE="color:blue;"
TIMEACTION="style" BEGIN="3" DUR="3">Heading 3</H3>
<H4 ID="hdg4" CLASS="time" STYLE="color:blue;"
TIMEACTION="style" BEGIN="3" DUR="3">Heading 4</H4>
<H5 ID="hdg5" CLASS="time" STYLE="color:green;"
TIMEACTION="style" BEGIN="6" DUR="3">Heading 5</H5>
<H6 ID="hdg6" CLASS="time" STYLE="color:green;"
TIMEACTION="style" BEGIN="6" DUR="3">Heading 6</H6>
</t:PAR>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This collection is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:EXCL, t:PAR, t:SEQ

See Also

Introduction to HTML+TIME, timeAll, timeChildren


playList Collection (t:AUDIO, t:MEDIA, t:REF, ...)

playList Collection

Retrieves a collection of playItem objects.

Syntax

[ oColl = ] object.playList
[ oObject = ] object.playList(iIndex)

Possible Values

oColl | Array of elements contained by the object.
oObject | Reference to an individual item in the array of elements contained by the object.
iIndex | Required. Integer that specifies the zero-based index of the item to be returned.

Members Table

The following table lists the members exposed by the playList object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
activeTrack | Sets or retrieves the track, or playItem object, that is currently active in the playList collection.
Banner | Retrieves the Banner content of an entry in an Advanced Stream Redirector (ASX) file.
BannerAbstract | Retrieves the BannerAbstract content of an entry in an ASX file.
BannerMoreInfo | Retrieves the BannerMoreInfo content of an entry in an ASX file.
DUR | dur | Sets or retrieves a value indicating the amount of time the element remains active or displayed.
length | Retrieves the number of objects in a collection.

Methods

Method | Description
item | Retrieves an object from the specified collection.
nextTrack | Advances the media-playing container to the next track, or playItem object, in the playList collection, and begins playing that track.
prevTrack | Sets the media-playing container to the previous track, or playItem object, in the playList collection and begins playing that track.

Objects

Object | Description
playItem | Represents an individual media file in a playList collection.

Remarks

Some media file formats contain several individual media files, such as an MPEG-Layer 3 (MP3) playlist that contains several MP3 files. This collection provides access to those individual media files.

The playList collection is available only while the parent element is active on the timeline. When the parent element's timeline ends, this collection is no longer available.

Example

This example demonstrates how to retrieve a collection of playItem objects using the playList collection.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
<SCRIPT LANGUAGE="JavaScript">
function updateBtns() {
if(m1.currTimeState.isActive){
b0.disabled=true;
b1.disabled=false;
b2.disabled=false;
b3.disabled=false;
}else{
b0.disabled=false;
b1.disabled=true;
b2.disabled=true;
b3.disabled=true;
}
}
function updateFields(){
title1.innerText = 'Title: ' + m1.playList.activeTrack.title;
author1.innerText = 'Author: ' + m1.playList.activeTrack.author;
abstract1.innerText = 'Abstract: ' + m1.playList.activeTrack.abstract;
copyright1.innerText = 'Copyright: ' + m1.playList.activeTrack.copyright;
}
function emptyFields(){
title1.innerText = 'Title: ';
author1.innerText = 'Author: ';
abstract1.innerText = 'Abstract: ';
copyright1.innerText = 'Copyright: ';
}
</SCRIPT>
</HEAD>
<BODY onload="updateBtns()" TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED"
BGCOLOR="#FFFFFF" LINK="#000000" 	VLINK="#808080" ALINK="#000000">
...
<t:media id="m1" src="../../common/samples/author/behaviors/media/media.asx"
onmediacomplete="updateFields();updateBtns();"/>
<SPAN id="title1">Title:</SPAN><BR>
<SPAN id="author1">Author:</SPAN><BR>
<SPAN id="abstract1">Abstract:</SPAN><BR>
<SPAN id="copyright1">Copyright</SPAN><BR><BR>
<BUTTON id="b0" onclick="m1.beginElement();updateFields();updateBtns();">Start</BUTTON>
<BUTTON id="b1" onclick="m1.playList.nextTrack();updateFields();">Next Track</BUTTON>
<BUTTON id="b2" onclick="m1.playList.prevTrack();updateFields();">Previous Track</BUTTON>
<BUTTON id="b3" onclick="m1.endElement();emptyFields();updateBtns();">Stop</BUTTON>
<BR><BR>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This collection is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:AUDIO, t:MEDIA, t:REF, t:VIDEO

See Also

Introduction to HTML+TIME


timeAll Collection (BODY, t:EXCL, t:PAR, ...)

timeAll Collection

Retrieves a reference to the collection of all timed elements.

Syntax

[ oColl = ] object.timeAll
[ oObject = ] object.timeAll(iIndex)

Possible Values

oColl | Array of elements contained by the object.
oObject | Reference to an individual item in the array of elements contained by the object.
iIndex | Required. Integer that specifies the zero-based index of the item to be returned.

Members Table

The following table lists the members exposed by the timeAll object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Retrieves the number of objects in a collection.

Methods

Method | Description
item | Retrieves an object from the specified collection.

Remarks

The timeAll collection contains all timed objects that are a descendant of the container object to which the collection is applied. To retrieve a collection of all timed elements on a page, apply the timeAll collection to the BODY element.

Standards Information

This collection is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

BODY, t:EXCL, t:PAR, t:SEQ

See Also

Introduction to HTML+TIME, activeElements, timeChildren


timeChildren Collection (BODY, t:EXCL, t:PAR, ...)

timeChildren Collection

Retrieves a reference to the collection of all timed, top-level children elements.

Syntax

[ oColl = ] object.timeChildren
[ oObject = ] object.timeChildren(iIndex)

Possible Values

oColl | Array of elements contained by the object.
oObject | Reference to an individual item in the array of elements contained by the object.
iIndex | Required. Integer that specifies the zero-based index of the item to be returned.

Members Table

The following table lists the members exposed by the timeChildren object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
length | Retrieves the number of objects in a collection.

Methods

Method | Description
item | Retrieves an object from the specified collection.

Remarks

The timeChildren collection contains all timed objects that are a top-level descendant of the container object to which the collection is applied.

Standards Information

This collection is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

BODY, t:EXCL, t:PAR, t:SEQ

See Also

Introduction to HTML+TIME, activeElements, timeAll


onbegin Event (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...)

onbegin Event

Fires when the timeline starts on an element.

Syntax

Inline HTML | <ELEMENT onbegin = "handler" ... > | All platforms
Event property | object.onbegin = handler | JScript only
object.onbegin = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onbegin> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Set the element's begin time. The value of the element's begin time, which can depend on other elements, determines when the event actually fires.
Default action | Calls the associated event handler.

Available Properties

Available Properties

srcElement
type

Remarks

This event also fires for the element when the beginElement method is invoked on it. This event does not fire when the timeline on the element has a repeatCount greater than one. However, it fires if the parent element's repeatCount is greater than one.

Example

In this example, the onbegin event fires immediately when the element's timeline begins.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>onbegin Event</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time {behavior:url(#default#time2);}
</STYLE>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<t:excl id="t1" begin="indefinite" dur="5" repeatCount="5"
onbegin="alert('Beginning!');">
<t:ANIMATEMOTION ID="a1" targetElement="div1" to="200,0" begin="0" dur="2"
autoReverse="true" />
</t:excl>
<DIV ID="div1" CLASS="time"
STYLE="position:relative;top:15px;left:25px;height:100px;width:100px;
background-color:yellow;text-align:center;font-size:large;
border:solid black 1px">Moving DIV
</DIV>
<P style="position:relative;top:40px;left:45px;">
<BUTTON id="b1" onclick="t1.beginElement();">Start</BUTTON>
<BUTTON id="b4" onclick="t1.endElement();">Stop</BUTTON>
</P>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This event is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:SET, time2, t:VIDEO

See Also

onend, Introduction to HTML+TIME


onend Event (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...)

onend Event

Fires when the timeline stops on an element.

Syntax

Inline HTML | <ELEMENT onend = "handler" ... > | All platforms
Event property | object.onend = handler | JScript only
object.onend = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onend> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Set the element's end time. The value of the element's end time, which can depend on other elements, determines when the event actually fires.
Default action | Calls the associated event handler.

Available Properties

Available Properties

srcElement
type

Remarks

This event also fires for the element when the endElement method is invoked on it, or in response to other dependencies created by the END attribute. If the element timeline has a repeatCount greater than one, this event fires only once after all repetitions are complete. The timing of this event is not affected by the FILL attribute. If the FILL attribute is set to freeze or hold for the element, this event fires when the parent element's timeline completes.

Example

This example causes the onend event to fire when the timeline ends.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>onend Event</TITLE>
<STYLE>
.time {behavior:url(#default#time2);}
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<t:excl onend="alert('Normal Completion!');">
<DIV ID="div1" CLASS="time" BEGIN="0" DUR="3">First line of text.</DIV>
<DIV ID="div2" CLASS="time" BEGIN="2" DUR="3">Second line of text.</DIV>
<DIV ID="div3" CLASS="time" BEGIN="4" DUR="3">Third line of text.</DIV>
</t:excl>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This event is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:EXCL, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:SET, time2, t:VIDEO

See Also

onbegin, Introduction to HTML+TIME


onmediacomplete Event (t:ANIMATION, t:AUDIO, t:IMG, ...)

onmediacomplete Event

Fires when the element's associated media finish loading.

Syntax

Inline HTML | <ELEMENT onmediacomplete = "handler" ... > | All platforms
Event property | object.onmediacomplete = handler | JScript only
object.onmediacomplete = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onmediacomplete> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Open a page in the browser that contains a media file affected by HTML+TIME.
Default action | Calls the associated event handler.

Available Properties

Available Properties

srcElement
type

Remarks

When a streaming media file is used, this event could fire before the file starts playing.

Example

This example demonstrates the onmediacomplete event. When the media element finishes loading, the onmediacomplete event fires and updates the status.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>onmediacomplete Event</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time {behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<t:video id="m1" src="../../common/samples/author/behaviors/media/shuttle3.wmv"
onmediacomplete="s1.innerText +=' Media Loaded'"/>
<BR><BR>
<SPAN id="s1">Status:</SPAN>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This event is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, time2, t:VIDEO

See Also

Introduction to HTML+TIME


onmediaerror Event (t:ANIMATION, t:AUDIO, t:EXCL, ...)

onmediaerror Event

Fires when an element's media file causes any error.

Syntax

Inline HTML | <ELEMENT onmediaerror = "handler" ... > | All platforms
Event property | object.onmediaerror = handler | JScript only
object.onmediaerror = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onmediaerror> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Open a page in the browser that contains a media file affected by Introduction to HTML+TIME. The event will fire if there is any problem with the file.
Default action | Calls the associated event handler.

Available Properties

Available Properties

srcElement
type

Remarks

This event supersedes the onmedialoadfailed event.

Example

This example uses the onmediaerror event to display an error message when the page attempts to load an image from an invalid path.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>onmediaerror Event</TITLE>
<STYLE>
.time {behavior: url(#default#time2);}
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<t:img ID="oImg" src="\\some\invalid\path.gif"
onmediaerror="alert('Media Error--Invalid path to image source file!')"
STYLE="position:relative;top:25px;left:50px;height:100px;width:100px;
background-color:yellow">
</t:img>
<t:animation ID="oAnim" targetElement="oImg" to="0,400" dur="2" begin="0"
accelerate="1" autoReverse="true" repeatCount="5"/>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This event is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:ANIMATION, t:AUDIO, t:EXCL, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, time2, t:VIDEO

See Also

Introduction to HTML+TIME


onoutofsync Event (t:ANIMATION, t:AUDIO, t:IMG, ...)

onoutofsync Event

Fires when the element loses synchronization with its associated timeline.

Syntax

Inline HTML | <ELEMENT onoutofsync = "handler" ... > | All platforms
Event property | object.onoutofsync = handler | JScript only
object.onoutofsync = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onoutofsync> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Interrupt the element's ability to play its media as defined by the timeline. Using timelines with locked SYNCBEHAVIOR increases the chance that the element needs to be resynchronized somewhere along the timeline.
Default action | Calls the associated event handler and reestablishes media synchronization.

Available Properties

Available Properties

srcElement
type

Standards Information

This event is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:VIDEO

See Also

Introduction to HTML+TIME


onpause Event (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...)

onpause Event

Fires when the timeline on an element pauses.

Syntax

Inline HTML | <ELEMENT onpause = "handler" ... > | All platforms
Event property | object.onpause = handler | JScript only
object.onpause = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onpause> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Call the pauseElement method.
Default action | Calls the associated event handler.

Available Properties

Available Properties

srcElement
type

Remarks

The onpause event fires on every element that is active when the timeline pauses, including the body element.

Example

This example demonstrates how to use the onpause event, which fires when the element's timeline pauses.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>onpause Event</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time {behavior:url(#default#time2);}
</STYLE>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<B>Time container timer:</B>
<SPAN id="Timer2" class="time" dur="1" repeatCount="indefinite"
onrepeat="innerText=parseInt(t1.currTimeState.activeTime);">0</SPAN>
<BR>
<B>Moving DIV timer:</B>
<SPAN id="Timer3" class="time" dur="1" repeatCount="indefinite"
onrepeat="innerText=parseInt(a1.currTimeState.activeTime);">0</SPAN>
<P></P>
<t:excl id="t1" begin="indefinite" dur="5" repeatCount="5"
onpause="alert('Moving DIV is paused!');">
<t:ANIMATEMOTION ID="a1" targetElement="div1" to="200,0" begin="0" dur="2"
autoReverse="true" />
</t:excl>
<DIV ID="div1" CLASS="time"
STYLE="position:relative;top:15px;left:25px;height:100px;width:100px;
background-color:yellow;text-align:center;font-size:large;
border:solid black 1px">Moving DIV
</DIV>
<P style="position:relative;top:40px;">
<BUTTON id="b1" onclick="t1.beginElement();">Start</BUTTON>
<BUTTON id="b2" onclick="t1.pauseElement();">Pause</BUTTON>
<BUTTON id="b3" onclick="t1.resumeElement();">Resume</BUTTON>
<BUTTON id="b4" onclick="t1.endElement();">Stop</BUTTON>
</P>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This event is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:SET, time2, t:VIDEO

See Also

onresume, Introduction to HTML+TIME


onrepeat Event (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...)

onrepeat Event

Fires when the timeline repeats on an element, beginning with the second iteration.

Syntax

Inline HTML | <ELEMENT onrepeat = "handler" ... > | All platforms
Event property | object.onrepeat = handler | JScript only
object.onrepeat = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onrepeat> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Set the repeatCount property to a value greater than 1.
Default action | Calls the associated event handler.

Available Properties

Available Properties

srcElement
type

Remarks

The event fires once for each repetition of the timeline, excluding the first full cycle. Therefore, the onrepeat event fires repeatCount? times unless it is stopped by other dependencies before completion. This event fires only if the repeatCount or repeatDur property is set directly on the element. This event does not fire on child elements that have the repeatCount or repeatDur property set only on their parent elements.

Example

This example displays a message box that indicates the current repeat iteration every time the onrepeat event fires on a timeline.

<HTML>
<HEAD>
<STYLE>
.time {behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY BGCOLOR="white">
<SPAN ID="parent1" CLASS=time BEGIN="0" DUR="6" REPEATCOUNT="4"
TIMELINE="par"
TIMEACTION="display" onrepeat="alert('Current iteration: ' +
parent1.currTimeState.repeatCount);">
<SPAN CLASS=time BEGIN="0" DUR="2">This text will be
displayed for two seconds.</SPAN><BR>
<SPAN CLASS=time BEGIN="3" DUR="4">This text will be
displayed for four seconds.</SPAN>
</SPAN>
<SPAN CLASS="time" BEGIN="parent1.end">The End.</SPAN>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This event is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:EXCL, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:SET, time2, t:VIDEO

See Also

Introduction to HTML+TIME


onreset Event (t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, ...)

onreset Event

Fires when the timeline reaches the value of the BEGIN attribute or when the resetElement method is called on the element.

Syntax

Inline HTML | <ELEMENT onreset = "handler" ... > | All platforms
Event property | object.onreset = handler | JScript only
object.onreset = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onreset> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Add the time2 behavior to an element. Call the resetElement method.
Default action | Calls the associated event handler.

Available Properties

Available Properties

srcElement
type

Example

In this example, the onreset event fires when the resetElement method is called on the time container.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>onreset Event</TITLE>
<SCRIPT>
function doReset(){
//Reset changes applied to time container.
t1.resetElement();
b2.disabled=true;
b1.disabled=false;
t1.onreset=alert('Timeline has been reset.');
}
function setEndTime(){
//Time container is set to end at 10 seconds.
t1.endElementAt(10);
//Has 10 seconds already lapsed within the document?
//Yes: End time container immediately and disable buttons.
//No: Enable reset button.
if(document.body.currTimeState.activeTime > 10){
alert('Time container will end immediately.');
b2.disabled=true;
b1.disabled=true;
}else{
alert('The time container will end at 10 seconds!');
b2.disabled=false;
b1.disabled=true;
}
}
</SCRIPT>
<STYLE>
.time { behavior: url(#default#time2) }
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="fixed" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<t:excl ID="t1" repeatDur="indefinite" BEGIN="0"
onbegin="b1.disabled=false;b2.disabled=true;">
<DIV ID="div1" CLASS="time" BEGIN="0" DUR="7.5s">First line displayed for
7.5 seconds.</DIV>
<DIV ID="div2" CLASS="time" BEGIN="5" DUR="7.5s">Second line displayed for
7.5 seconds.</DIV>
</t:excl>
<BR>
<BUTTON id="b1" onclick="setEndTime();">End Timeline at 10 seconds</BUTTON>
<BUTTON id="b2" onclick="doReset();">Reset</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This event is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:EXCL, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:SET, time2, t:VIDEO

See Also

Introduction to HTML+TIME


onresume Event (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...)

onresume Event

Fires when an element's timeline resumes from a paused state.

Syntax

Inline HTML | <ELEMENT onresume = "handler" ... > | All platforms
Event property | object.onresume = handler | JScript only
object.onresume = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onresume> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Call the resetElement method.
Default action | Calls the associated event handler.

Available Properties

Available Properties

srcElement
type

Remarks

The onresume event fires on every element that becomes active when the timeline resumes, including the body element.

Example

In this example, the onresume event fires on the paused element when it resumes its duration.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>onresume Event</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<!-- Total duration of the t:excl time container is 20 seconds. -->
<t:excl id="tp1">
<t:priorityclass peers="pause">
<SPAN id="d1" class="time" begin="0s" dur="15s"
onresume="alert('Paragraph 1 resuming duration.');">
<H3>Paragraph 1</H3>
<P>Paragraph 1 is displayed until it is interrupted by
the next element (at 5 seconds). Paragraph 1 then resumes its
duration.</P>
</SPAN>
<SPAN id="d2" class="time" begin="5s" dur="5s"
onend="d2.style.visibility='hidden';">
<H3>Paragraph 2</H3>
<P>Paragraph 2 is displayed for 5 seconds; Paragraph
1 then resumes its duration.</P>
</SPAN>
</t:priorityclass>
</t:excl>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This event is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:SET, time2, t:VIDEO

See Also

onpause, Introduction to HTML+TIME


onreverse Event (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...)

onreverse Event

Fires when the timeline on an element begins to play backward.

Syntax

Inline HTML | <ELEMENT onreverse = "handler" ... > | All platforms
Event property | object.onreverse = handler | JScript only
object.onreverse = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onreverse> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Set the AUTOREVERSE attribute on the element to true.
Default action | Calls the associated event handler.

Available Properties

Available Properties

srcElement
type

Remarks

If the element has a repeatCount greater than one, this event fires every time the timeline begins to play backward.

Example

This example causes the onreverse event to fire when the timeline is set to play backward.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>onreverse Event</TITLE>
<STYLE>
.time { behavior: url(#default#time2) }
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="fixed" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<t:excl AUTOREVERSE="true" DUR="6" repeatCount="indefinite"
onreverse="alert('Reversing');">
<DIV ID="div1" CLASS="time" BEGIN="0" DUR="2">First line of text.</DIV>
<DIV ID="div2" CLASS="time" BEGIN="2" DUR="2">Second line of text.</DIV>
<DIV ID="div3" CLASS="time" BEGIN="4" DUR="2">Third line of text.</DIV>
</t:excl>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This event is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:EXCL, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:SET, time2, t:VIDEO

See Also

Introduction to HTML+TIME


onseek Event (t:TRANSITIONFILTER, t:ANIMATION, t:AUDIO, ...)

onseek Event

Fires whenever a seek operation is performed on the element.

Syntax

Inline HTML | <ELEMENT onseek = "handler" ... > | All platforms
Event property | object.onseek = handler | JScript only
object.onseek = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onseek> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Open a page in the browser that contains a media file affected by Introduction to HTML+TIME. Call one of the seek methods, such as seekTo, seekToFrame or seekActiveTime.
Default action | Calls the associated event handler.

Available Properties

Available Properties

srcElement
type

Example

This example demonstrates how to use the onseek event. The onseek event fires when either the seekTo, seekToFrame or seekActiveTime method is called upon a media object. Before validating and implementing the value to seek, make sure the object is active to avoid receiving an error message. In this example, if the object is not active the beginElement method is called to restart the object, followed by the request to seek. Choose a method to use from the drop-down menu and enter a value in the input box. Click the button labelled 'Click to seek'. The media object seeks to the value entered and pauses. Click the 'Resume' button to resume the video from that point.

<HTML xmlns:t= "urn:schemas-microsoft-com:time">
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{behavior:url(#default#time2)}
</STYLE>
<SCRIPT>
function doSeek(){
var maxlength;
//What is the maximum value that the user can input.
//There are a total of 597 frames in the video with duration of 20.06205
//seconds.
switch(oMethod.options.selectedIndex){
case 0: maxlength = oMedia.mediaDur;
break;
case 1: maxlength = oMedia.mediaDur;
break;
case 2: maxlength = 598;
break;
}
//Is media object active?
//Yes, continue and do seek.
//No, restart element using the beginElement method.
if(!oMedia.currTimeState.isActive){
oMedia.beginElement();
}
//Is user input valid and within the media's duration boundaries?
if(isFinite(seekInput.value) && seekInput.value > 0 && seekInput.value < maxlength){
switch(oMethod.options.selectedIndex){
case 0: oMedia.seekTo(1, seekInput.value);
break;
case 1: oMedia.seekActiveTime(seekInput.value);
break;
case 2: oMedia.seekToFrame(seekInput.value);
break;
}
oMedia.pauseElement();
}else{
//Input is not valid, alert user to re-enter choice.
switch(oMethod.options.selectedIndex){
case 0:
alert("Please enter a valid integer. Value must be greater" +
" than 0 and less than " + oMedia.mediaDur + ".");
break;
case 1:
alert("Please enter a valid integer. Value must be greater" +
" than 0 and less than " + oMedia.mediaDur + ".");
break;
case 2:
alert("Please enter a valid integer. Value must be greater" +
" than 0 and less than 597.");
break;
}
seekInput.focus();
}
}
function fn_doseek(flag){
//Is the function being called from the onseek event?
if(flag){
resumeBtn.style.visibility = "visible";
seekBtn.style.visibility = "hidden";
restartBtn.style.visibility = "hidden";
//Function is being called from the resumeBtn.
}else{
resumeBtn.style.visibility = "hidden";
seekBtn.style.visibility = "visible";
restartBtn.style.visibility = "visible";
oMedia.resumeElement();
seekInput.value="";
}
}
</SCRIPT>
</HEAD>
<BODY>
<CENTER>
<B>Media timer:</B>
<SPAN id="Timer2" class="time" dur=".01" repeatCount="indefinite" fill="hold"
onrepeat="innerText=parseInt(oMedia.currTimeState.activeTime);">0</SPAN>
<BR><BR>
<t:video onseek="fn_doseek(true);" style="width:175px; height:150px;"
id="oMedia" src="../../common/samples/author/behaviors/media/movie.avi"/>
<BR><BR>
<B>Choose method:</B>&nbsp;<SELECT name="oMethod">
<OPTION value="seekTo" selected>seekTo</OPTION>
<OPTION value="seekActiveTime">seekActiveTime</OPTION>
</SELECT>
<BR>
<B>Time value to seek in object's timeline</B>:
<INPUT type="text" value="" name="seekInput" size="3"/>&nbsp;seconds
<BR><BR>
<BUTTON id="seekBtn" onclick="doSeek();">Click to seek</BUTTON>
<BUTTON id="resumeBtn" onclick="fn_doseek(false);"
style="visibility:hidden;">Resume</BUTTON>
<BUTTON id="restartBtn" onclick="oMedia.beginElement()">Restart</BUTTON>
</CENTER>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This event is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATION, t:AUDIO, t:EXCL, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, time2, t:VIDEO

See Also

Introduction to HTML+TIME


onsyncrestored Event (t:ANIMATION, t:AUDIO, t:IMG, ...)

onsyncrestored Event

Fires when synchronization is resumed between the element and its associated timeline.

Syntax

Inline HTML | <ELEMENT onsyncrestored = "handler" ... > | All platforms
Event property | object.onsyncrestored = handler | JScript only
object.onsyncrestored = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onsyncrestored> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Interrupt the element's ability to play its media as defined by the timeline. Using timelines with locked SYNCBEHAVIOR increases the chance that the element needs to be resynchronized somewhere along the timeline.
Default action | Calls the associated event handler and reestablishes media synchronization.

Available Properties

Available Properties

srcElement
type

Standards Information

This event is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:VIDEO

See Also

Introduction to HTML+TIME


ontimeerror Event (A, ACRONYM, ADDRESS, ...)

ontimeerror Event

Fires whenever a time-specific error occurs, usually as a result of setting a property to an invalid value.

Syntax

Inline HTML | <ELEMENT ontimeerror = "handler" ... > | All platforms
Named script | <SCRIPT FOR = object EVENT = ontimeerror> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Set a time property, such as dur, to an invalid value.
Default action | Calls the associated event handler.

Available Properties

Available Properties

srcElement
type

Remarks

The ontimeerror event can only be set on the BODY. Use the FOR attribute of the script element to attach the ontimeerror event handler to the BODY.

<SCRIPT FOR="BODY" event="ontimeerror">
alert("An HTML+TIME error has occurred.");
</SCRIPT>

Standards Information

This event is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, AREA, B, BIG, BLOCKQUOTE, BUTTON, CAPTION, CENTER, CITE, CODE, DD, DEL, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, hn, HR, I, IFRAME, IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LEGEND, LI, LISTING, MARQUEE, MENU, OL, OPTION, P, PLAINTEXT, PRE, Q, S, SAMP, selection, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, XMP

See Also

Introduction to HTML+TIME


ontrackchange Event (t:AUDIO, t:MEDIA, t:REF, ...)

ontrackchange Event

The event fires when a track changes in a playList defined in an Advanced Stream Redirector (ASX) file.

Syntax

Inline HTML | <ELEMENT ontrackchange = "handler" ... > | All platforms
Event property | object.ontrackchange = handler | JScript only
object.ontrackchange = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = ontrackchange> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Change track in a playList.
Default action | Calls the associated event handler.

Available Properties

Available Properties

Abstract
Banner
MoreInfo

Examples

This is an example entry in an ASX file.

<ASX Version="1.0" PreviewMode="No" >
<entry>
<title>First title</title>
<author>Unknown 1</author>
<copyright>1998</copyright>
<abstract>WAV File</abstract>
<ref href=""/>
<banner href = "first_title.gif" >
<moreinfo href = "first_title.doc" />
<abstract>Visit the first abstract Web site</abstract>
</banner>
</entry>
</asx>

In the following example, the ontrackchange event fires when a user changes the track in the playlist by clicking the 'Previous Track' or 'Next Track' buttons.

...
function trackChange(){
banner1.innerText = event.Banner;
bannerabstract1.innerText = event.Abstract;
bannermoreinfo1.innerText = event.MoreInfo;
}
...
<t:media id="m1" src="../../common/samples/author/behaviors/media/media.asx"
onmediacomplete="updateBtns();updateFields();"
ontrackchange="trackChange();"/>
...
<B>Banner:</B>&nbsp;&nbsp;<SPAN id="banner1"></SPAN>
<BR>
<B>Abstract for banner:</B>&nbsp;&nbsp;<SPAN id="bannerabstract1"></SPAN>
<BR>
<B>More information on banner:</B>&nbsp;&nbsp;<SPAN id="bannermoreinfo1"></SPAN>
...
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

t:AUDIO, t:MEDIA, t:REF, t:VIDEO

See Also

Introduction to HTML+TIME


onURLFlip Event (t:MEDIA, t:AUDIO)

onURLFlip Event

This event fires when an Advanced Streaming Format (ASF) file, played by a HTML+TIME (Timed Interactive Multimedia Extensions)?A HREF="../../time2/elements/media.html">media tag, processes script commands embedded in the ASF file.

Syntax

Inline HTML | <ELEMENT onURLFlip = "handler" ... > | All platforms
Event property | object.onURLFlip = handler | JScript only
object.onURLFlip = GetRef("handler") | Visual Basic Scripting Edition (VBScript) 5.0 or later only
Named script | <SCRIPT FOR = object EVENT = onURLFlip> | Internet Explorer only

Event Information

Bubbles | No
Cancels | No
To invoke | Embedded script command processes.
Default action | Calls the associated event handler.

Available Properties

Available Properties

srcElement
type

Applies To

t:MEDIA, t:AUDIO

See Also

Introduction to HTML+TIME


activeTimeToParentTime Method (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...)

activeTimeToParentTime Method

Converts a value in the element's active timeline to the corresponding point in the parent timeline.

Syntax

parentTime = object.activeTimeToParentTime(activeTime)

Parameters

activeTime Required. Integer that specifies a point on the element's active timeline. Legal values range from 0 to activeDur.

Return Value

Integer that specifies the point in the parent timeline that corresponds to activeTime.

Example

This example uses the activeTimeToParentTime method to compare the value of the element's active timeline to the corresponding point in the parent timeline. To see each element's point in the parent timeline, click its activeTimeToParentTime button.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>activeTimeToParentTime Method</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY ID="b1" TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<B>Time container timer:</B>
<SPAN class="time" dur="1" repeatCount="indefinite"
onrepeat="innerText=parseInt(t1.currTimeState.activeTime);">0</SPAN>
<BR>
<t:excl id="t1" class="time" dur="10s" autoReverse="true">
<DIV id="div1" style="color:blue" class="time" begin="1s" dur="3s"
timeAction="visibility">First Line</DIV>
<DIV id="div2" style="color:green" class="time" begin="4s" dur="3s"
timeAction="visibility">Second Line</DIV>
<DIV id="div3" style="color:red" class="time" begin="7s" dur="3s"
timeAction="visibility">Third Line</DIV>
</t:excl>
<BR>
<BUTTON class="time" dur="1" repeatCount="indefinite"
onclick="alert('Point in parent timeline: ' +
div1.activeTimeToParentTime(t1.currTimeState.activeTime));"
onrepeat="innerText='First line\'s activeTimeToParentTime at ' +
parseInt(t1.currTimeState.activeTime) + ' seconds';">
First line's activeTimeToParentTime at 0 seconds
</BUTTON>
<BR>
<BUTTON class="time" dur="1" repeatCount="indefinite"
onclick="alert('Point in parent timeline: ' +
div2.activeTimeToParentTime(t1.currTimeState.activeTime));"
onrepeat="innerText='Second line\'s activeTimeToParentTime at ' +
parseInt(t1.currTimeState.activeTime) + ' seconds';">
Second line's activeTimeToParentTime at 0 seconds
</BUTTON>
<BR>
<BUTTON class="time" dur="1" repeatCount="indefinite"
onclick="alert('Point in parent timeline: ' +
div3.activeTimeToParentTime(t1.currTimeState.activeTime));"
onrepeat="innerText='Third line\'s activeTimeToParentTime at ' +
parseInt(t1.currTimeState.activeTime) + ' seconds';">
Third line's activeTimeToParentTime at 0 seconds
</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:EXCL, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:SET, time2, t:VIDEO

See Also

Introduction to HTML+TIME, activeTime, parentTimeBegin, parentTimeEnd


activeTimeToSegmentTime Method (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...)

activeTimeToSegmentTime Method

Converts a value in the element's active timeline to the corresponding point in the segment timeline.

Syntax

segmentTime = object.activeTimeToSegmentTime(activeTime)

Parameters

activeTime Required. Integer that specifies a point on the element's active timeline. Legal values range from 0 to activeDur.

Return Value

Integer that specifies the point in the segment timeline that corresponds to activeTime.

Example

This example uses the activeTimeToSegmentTime method to compare the value of the element's active timeline to the corresponding point in the element's segment timeline.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>activeTimeToSegmentTime Method</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<SCRIPT>
window.onload = fnOnLoad;
function fnOnLoad()
{
// Set up a timer to watch the time values.
window.setInterval(fnUpdateTimes, 100);
}
function fnUpdateTimes()
{
s1.innerHTML = "&nbsp;activeTimeToSegmentTime:&nbsp;" +
(a1.activeTimeToSegmentTime(div1.currTimeState.activeTime));
s2.innerHTML = "&nbsp;segmentTime:&nbsp;" +
(a1.currTimeState.segmentTime);
}
</SCRIPT>
<STYLE>
.time{behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<B>Timer:</B>
<SPAN id="Timer1" class="time" dur="1" repeatCount="indefinite"
onrepeat="innerText=parseInt(document.body.currTimeState.activeTime);">
0</SPAN>
<DIV ID="div1" CLASS="time" STYLE="position:relative;top:25px;left:25px;
height:100px;width:100;background-color:yellow;"></DIV>
<t:ANIMATEMOTION ID="a1" targetElement="div1" to="250,0" dur="3"
autoReverse="true"/>
<SPAN id="s1" style="position:relative;top:40px;">
activeTimeToSegmentTime:</SPAN>
<BR>
<SPAN id="s2" style="position:relative;top:40px;">segmentTime:</SPAN>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:EXCL, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:SET, time2, t:VIDEO

See Also

Introduction to HTML+TIME, activeTime, segmentTime


ITIMEMediaPlayer::begin Method

Begins playback on the player.

Syntax

HRESULT begin(VOID);

Return Value

Returns S_OK if successful, or an error value otherwise.

Remarks

This method is only relevant for people who are writing a custom player for HTML+TIME (Timed Interactive Multimedia Extensions).


beginElement Method (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...)

beginElement Method

Starts the element on the timeline.

Syntax

object.beginElement()

Return Value

No return value.

Remarks

This method applies the same action as if the element's begin time is reached on the local timeline. When the beginElement method is called, the element begins. All time children elements are notified and aligned correctly to the local timeline.

Example

This example displays an image when the countdown reaches 0. Click the Restart Timeline button to restart the timeline with the beginElement method.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
<?IMPORT namespace="t" implementation="#default#time">
</HEAD>
<BODY BGCOLOR="white">
<t:SEQ ID="sequence" CLASS="time">
<SPAN CLASS="time" STYLE="Color:Red; font-size:20pt;"
TIMEACTION="display" DUR="1">5...
</SPAN>
<SPAN CLASS="time" STYLE="Color:Green; font-size:20pt;"
TIMEACTION="display" DUR="1">4...
</SPAN>
<SPAN CLASS="time" STYLE="Color:Blue; font-size:20pt;"
TIMEACTION="display" DUR="1">3...
</SPAN>
<SPAN CLASS="time" STYLE="Color:Orange; font-size:20pt;"
TIMEACTION="display" DUR="1">2...
</SPAN>
<SPAN CLASS="time" STYLE="Color:Purple; font-size:20pt;"
TIMEACTION="display" DUR="1">1...
</SPAN><BR>
<IMG CLASS="time" DUR="indefinite"
SRC="../../common/sun.gif"/>
</t:SEQ><BR>
<BUTTON ID="btn" onclick="sequence.beginElement();">
Restart Timeline
</BUTTON>
<BR><BR>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:EXCL, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:SET, time2, t:VIDEO

See Also

beginElementAt, endElement, Introduction to HTML+TIME


beginElementAt Method (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...)

beginElementAt Method

Starts an element's timeline at the specified time.

Syntax

object.beginElementAt(iSeconds)

Parameters

iSeconds Required. String that specifies the point along the element's parent timeline at which to start playing the element.

Return Value

No return value.

Remarks

The element's timeline will start at the time specified by the beginElementAt method if beginElementAt is invoked at any time before the parent element reaches that specified time. Otherwise, the element's timeline will start immediately. If beginElementAt is invoked on an element's timeline more than once with a value that is the same or less than the previous value used, it will be ignored.

Example

This example shows how to use the beginElementAt method to start an element's timeline at a specified time.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>beginElementAt Method</TITLE>
<SCRIPT>
function doBegin(){
<!-- Validate input from user. -->
if(secondToStart.value<=document.body.currTimeState.activeTime
|| secondToStart.value==null){
alert('Must be an integer greater than document timer value!\nPlease enter value again.');
secondToStart.value='';
secondToStart.focus();
return;
}
t1.beginElementAt(secondToStart.value);
}
</SCRIPT>
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF" LINK="#000000"
VLINK="#808080" ALINK="#000000">
<B>Document Timer:</B>
<SPAN id="Timer" class="time" dur=".01" repeatCount="indefinite" fill="hold"
onrepeat="innerText=parseInt(document.body.currTimeState.activeTime);">0</SPAN><BR>
<B>Time Container Timer:</B>
<SPAN id="Timer" class="time" dur=".01" repeatCount="indefinite" fill="hold"
onrepeat="innerText=parseInt(t1.currTimeState.activeTime);">0</SPAN><BR><BR>
<!-- The time container begins upon document.body.onload. By entering a value
in the begin element input box, you cause the time container to
start over at a certain time in the document.body.currTimeState.activeTime.-->
<t:excl id="t1" begin="0" class="time" dur="27">
<DIV id="s1" CLASS="time" STYLE="Color:Red; font-size:20pt;" begin="1" DUR="5">
First line displayed for 5 seconds.</DIV>
<DIV id="s2" CLASS="time" STYLE="Color:Green; font-size:20pt;" begin="6" DUR="5">
Second line displayed for 5 seconds.</DIV>
<DIV id="s3" CLASS="time" STYLE="Color:Blue; font-size:20pt;" begin="11" DUR="5">
Third line displayed for 5 seconds.</DIV>
<DIV id="s4" CLASS="time" STYLE="Color:Orange; font-size:20pt;" begin="16" DUR="5">
Fourth line displayed for 5 seconds.</DIV>
<DIV id="s5" CLASS="time" STYLE="Color:Purple; font-size:20pt;" begin="21" DUR="5">
Last line displayed </DIV>
</t:excl>
Point in document time to start (must be a positive integer):
<INPUT type="number" name="secondToStart" size="3" />
<BUTTON ID="b1" onclick="doBegin()">Click here</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:SET, time2, t:VIDEO

See Also

beginElement, endElementAt, Introduction to HTML+TIME


ITIMEMediaPlayer::Detach Method

Used by the host to control player lifetime.

Syntax

HRESULT Detach(VOID);

Return Value

Returns S_OK if successful, or an error value otherwise.

Remarks

This method is only relevant for people who are writing a custom player for HTML+TIME (Timed Interactive Multimedia Extensions).


documentTimeToParentTime Method (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...)

documentTimeToParentTime Method

Converts a value in the document timeline to the corresponding point in the element's parent timeline.

Syntax

parentTime = object.documentTimeToParentTime(documentTime)

Parameters

documentTime Required. Integer that specifies a point on the document's timeline.

Return Value

Integer that specifies the point in the element's parent timeline that corresponds to documentTime.

Example

This example uses the documentTimeToParentTime method to retrieve the point in the element's parent timeline corresponding to documentTime. To see the element's point in the parent timeline, click the documentTimeToParentTime button.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>documentTimeToParentTime Method</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<B>Document timer:</B>
<SPAN id="Timer1" class="time" dur="1" repeatCount="indefinite"
onrepeat="innerText=parseInt(t1.currTimeState.activeTime);">0</SPAN>
<BR>
<B>Time container timer:</B>
<SPAN id="Timer2" class="time" dur="1" repeatCount="indefinite"
onrepeat="innerText=parseInt(t1.currTimeState.activeTime);">0</SPAN>
<BR>
<t:excl id="t1" class="time" repeatCount="3">
<DIV id="div1" style="color:blue;font-size:0.5in" class="time"
begin="2s" dur="5s">HELLO WORLD!</DIV>
</t:excl>
<BR>
<SPAN id="s1">Point in parent timeline:</span>
<BR><BR>
<BUTTON id="b1" class="time" dur="1" repeatCount="indefinite"
onclick="s1.innerText='Point in parent timeline: ' +
div1.documentTimeToParentTime(t1.currTimeState.activeTime);"
onrepeat="innerText='Get documentTimeToParentTime'">
Get documentTimeToParentTime
</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:EXCL, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:SET, time2, t:VIDEO

See Also

Introduction to HTML+TIME, parentTimeBegin, parentTimeEnd


ITIMEMediaPlayer::end Method

Ends the progression of the media.

Syntax

HRESULT end(VOID);

Return Value

Returns S_OK if successful, or an error value otherwise.

Remarks

This method is only relevant for people who are writing a custom player for HTML+TIME (Timed Interactive Multimedia Extensions).


endElement Method (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...)

endElement Method

Stops the element on the timeline.

Syntax

object.endElement()

Return Value

No return value.

Remarks

This method applies the same action as would occur if the element's end time were reached on the local timeline, or if the element's duration (dur) had expired. All timed child elements are notified and aligned correctly to the local timeline. The endElement method fires the onend event.

Example

This example shows how to end a timeline using the endElement method.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>endElement Method</TITLE>
<STYLE>
.time { behavior: url(#default#time2) }
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="fixed" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<B>Timer:</B>
<span id="Timer" class="time" dur=".01"  repeatCount="indefinite" fill="hold"
onrepeat="innerText=parseInt(t1.currTimeState.activeTime);">0</span>
<BR><BR>
<t:excl ID="t1" repeatDur="indefinite">
<DIV ID="div1" CLASS="time" BEGIN="0" DUR="3">First line displayed for 3
seconds.</DIV>
<DIV ID="div2" CLASS="time" BEGIN="3" DUR="3">Second line displayed for 3
seconds.</DIV>
</t:excl>
<BR>
<BUTTON id="b1" onclick="t1.endElement()">End Timeline!</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:EXCL, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:SET, time2, t:VIDEO

See Also

beginElement, endElementAt, Introduction to HTML+TIME


endElementAt Method (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...)

endElementAt Method

Ends an element's timeline at the specified time.

Syntax

object.endElementAt(iSeconds)

Parameters

iSeconds Required. String that specifies the point along the element's parent timeline at which to stop playing the element.

Return Value

No return value.

Remarks

The element will stop playing at the point in its timeline specified by the endElementAt method if endElementAt is invoked at any time before the parent element reaches that specified time. Otherwise, the element will continue playing until it reaches the end of its timeline.

Example

This example shows how to use the endElementAt method to end an element's timeline at a specified time.

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<SCRIPT>
function doEnd(){
<!-- Validate input from user. -->
if(secondToEnd.value<=document.body.currTimeState.activeTime || secondToEnd.value==null)
{
alert('Must be an integer greater than the time container timer value!\nPlease enter value again.');
}
else
{
t1.endElementAt(secondToEnd.value);
}
}
</SCRIPT>
<STYLE>
.time { behavior: url(#default#time2) }
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY>
<B>Time Container Timer:</B>
<SPAN id="Timer" class="time" dur=".01"  repeatCount="indefinite" fill="hold"
onrepeat="innerText=parseInt(t1.currTimeState.activeTime);">0</SPAN>
<BR><BR>
<t:excl ID="t1" repeatDur="indefinite">
<DIV ID="div1" CLASS="time" BEGIN="0" DUR="5">First line displayed for 5 seconds.</DIV>
<DIV ID="div2" CLASS="time" BEGIN="5" DUR="5">Second line displayed for 5 seconds.</DIV>
</t:excl>
<BR>
Point in document time to end (must be a positive integer):<BR>
<INPUT type="number" name="secondToEnd" size="3" />
<BUTTON ID="b1" onclick="doEnd()">Submit Time</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:SET, time2, t:VIDEO

See Also

beginElementAt, endElement, Introduction to HTML+TIME


ITIMEMediaPlayerControl::getControl Method

Retrieves IUnknown control.

Syntax

HRESULT getControl(
    IUnknown **control
);

Parameters

control
IUnknown control desired.

Return Value

Returns S_OK if successful, or an error value otherwise.

Remarks

This method is only relevant for people who are writing a custom player for HTML+TIME (Timed Interactive Multimedia Extensions).


item Method (activeElements, timeAll, timeChildren, ...)

item Method

Retrieves an object from the specified collection.

Syntax

oItem = object.item( [iIndex])

Parameters

iIndex Optional. Integer that specifies the index of the object to retrieve from the collection. The first object in the collection is located at index position 0, and the last object in the collection is located at position length minus 1. If a value is not specified, the default is 0.

Return Value

Returns a reference to the object located at the specified index in the collection.

Example

This example demonstrates how to use the item method to retrieve an object from a collection.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>item Method</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
<SCRIPT LANGUAGE="JavaScript">
var m2; //another media object
//...
function setActiveTrack(){
if(itemNumber.value=="" || (itemNumber.value<1 || itemNumber.value>5) || (isFinite(itemNumber.value)==false)){
alert('Must enter a valid track number!\nPlease re-enter your choice (1-5).');
itemNumber.value='';
itemNumber.focus();
return;
}else{
m2 = m1.playList.item(itemNumber.value-1); //index starts at 0
updateFields();
}
}
...
</SCRIPT>
</HEAD>
<BODY  TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF" LINK="#000000" VLINK="#808080" ALINK="#000000">
<t:media id="m1" begin="indefinite;" src="../../common/samples/author/behaviors/media/media.asx" />
<span id="title1">Title:</span><BR>
<span id="author1">Author:</span><BR>
<span id="abstract1">Abstract:</span><BR>
<span id="copyright1">Copyright:</span><BR>
<span id="index1">Index: </span><BR><BR>
Enter track number (1-5): <input type="text" name="itemNumber" value="" size="2"><BR><BR>
<BUTTON id="b0" onclick="m1.beginElement();setActiveTrack();">Start</BUTTON>
<BUTTON id="b3" onclick="m1.endElement();emptyFields();">Stop</BUTTON>
<BR><BR>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

activeElements, timeAll, timeChildren, playList

See Also

Introduction to HTML+TIME, activeElements


nextElement Method (t:SEQ)

nextElement Method

Advances the timeline so that the next element in the sequence begins playing.

Syntax

t:SEQ.nextElement()

Return Value

No return value.

Remarks

When this method is invoked on the last element in a sequence, the local timeline for that element ends. This method is valid only while the sequence is active.

Example

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>nextElement and prevElement Methods</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<t:seq id="ts1" id="parent" begin="indefinite;">
<DIV id="div1" class="time"
style="position:relative;top:15px;left:25px;width:100px;height:100px;
background-color:yellow;" dur="10"></DIV>
<DIV id="div1" class="time"
style="position:relative;top:15px;left:25px;width:100px;height:100px;
background-color:blue;" dur="10"></DIV>
<DIV id="div1" class="time"
style="position:relative;top:15px;left:25px;width:100px;height:100px;
background-color:green;" dur="10"></DIV>
<DIV id="div1" class="time"
style="position:relative;top:15px;left:25px;width:100px;height:100px;
background-color:red;" dur="10"></DIV>
</t:seq>
<BR><BR>
<BUTTON id="b0" onclick="ts1.beginElement();" style="font-weight:bold;">
Start</BUTTON>
<BUTTON id="b1" onclick="ts1.nextElement();">Next Element</BUTTON>
<BUTTON id="b2" onclick="ts1.prevElement();">Previous Element</BUTTON>
<BUTTON id="b3" onclick="ts1.endElement();">Stop</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:SEQ

See Also

Introduction to HTML+TIME, prevElement, isActive


nextTrack Method (playList, t:MEDIA, t:PAR, ...)

nextTrack Method

Advances the media-playing container to the next track, or playItem object, in the playList collection, and begins playing that track.

Syntax

object.nextTrack()

Return Value

No return value.

Remarks

Using this method on the last track causes the playList to stop playing tracks. If the element has a repeatCount greater than 0, the next repeat iteration begins.

Example

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>nextTrack and prevTrack Methods</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
<SCRIPT LANGUAGE="JavaScript">
function updateBtns() {
if(m1.currTimeState.isActive){
b0.disabled=true;
b1.disabled=false;
b2.disabled=false;
b3.disabled=false;
}else{
b0.disabled=false;
b1.disabled=true;
b2.disabled=true;
b3.disabled=true;
}
}
function updateFields(){
title1.innerText = 'Title: ' + m1.playList.activeTrack.title;
author1.innerText = 'Author: ' + m1.playList.activeTrack.author;
abstract1.innerText = 'Abstract: ' + m1.playList.activeTrack.abstract;
copyright1.innerText = 'Copyright: ' + m1.playList.activeTrack.copyright;
}
function emptyFields(){
title1.innerText = 'Title: ';
author1.innerText = 'Author: ';
abstract1.innerText = 'Abstract: ';
copyright1.innerText = 'Copyright: ';
}
</SCRIPT>
</HEAD>
<BODY onload="updateBtns()" TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED"
BGCOLOR="#FFFFFF" LINK="#000000" VLINK="#808080" ALINK="#000000">
...
<t:media id="m1" begin="0;indefinite;"
src="../../common/samples/author/behaviors/media/media.asx"
onmediacomplete="updateFields();updateBtns();"/>
<span id="title1">Title:</span><BR>
<span id="author1">Author:</span><BR>
<span id="abstract1">Abstract:</span><BR>
<span id="copyright1">Copyright</span><BR><BR>
<BUTTON id="b0" onclick="m1.beginElement();updateFields();updateBtns();">
Start</BUTTON>
<BUTTON id="b1" onclick="m1.playList.nextTrack();updateFields();">
Next Track</BUTTON>
<BUTTON id="b2" onclick="m1.playList.prevTrack();updateFields();">
Previous Track</BUTTON>
<BUTTON id="b3" onclick="m1.endElement();emptyFields();updateBtns();">
Stop</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

playList, t:MEDIA, t:PAR, t:REF, t:SEQ

See Also

Introduction to HTML+TIME, activeTrack, prevTrack


parentTimeToActiveTime Method (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...)

parentTimeToActiveTime Method

Converts a value in the parent timeline to the corresponding point in the element's active timeline.

Syntax

activeTime = object.parentTimeToActiveTime(parentTime)

Parameters

parentTime Required. Integer that specifies a point in the parent timeline.

Return Value

Integer that specifies the point in the active timeline that corresponds to parentTime.

Example

This example uses the parentTimeToActiveTime method to compare the value of the parent's timeline to the corresponding point in the active timeline. To see the element's point in the active timeline, click its parentTimeToActiveTime button.

<HTML>
<XML:NAMESPACE PREFIX="t"/>
<HEAD>
<TITLE>parentTimeToActiveTime Method</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY>
<t:excl id="t1" repeatCount="3">
<DIV id="div1" class="time" style="color:blue;font-size:1in" begin="1s"
dur="5s">Hello World!</DIV>
</t:excl>
<!-- Values allowed for the parent timeline are 1, 2, 3, 4, 5. -->
<!-- This example uses a value of 3. -->
<BR>
<BUTTON onclick="alert('Point in active timeline: ' +
div1.parentTimeToActiveTime(3));">parentTimeToActiveTime(3)
</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:EXCL, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:SET, time2, t:VIDEO

See Also

Introduction to HTML+TIME, activeTime, parentTimeBegin, parentTimeEnd


parentTimeToDocumentTime Method (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...)

parentTimeToDocumentTime Method

Converts a value in the element's parent timeline to the corresponding point in the document timeline.

Syntax

documentTime = object.parentTimeToDocumentTime(parentTime)

Parameters

parentTime Required. Integer that specifies a point on the element's parent timeline.

Return Value

Integer that specifies the point in the document timeline that corresponds to parentTime.

Example

This example uses the parentTimeToDocumentTime method to retrieve the value of the point in the document timeline corresponding to parentTime. To see the element's point in the document timeline, click its parentTimeToDocumentTime button.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>parentTimeToDocumentTime Method</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<!-- Time Element, t:par, to be tested -->
<t:par id="t1" class="time" repeatCount="3">
<DIV id="div1" class="time" begin="2s" dur="2s"
style="color:blue;font-size:0.5in">Hello World</DIV>
</t:par>
<SPAN id="s1" style="position:relative;top:20px;">
parentTimeToDocumentTime:</SPAN>
<BR>
<!-- Time Method, parentTimeToDocumentTime(), to be tested -->
<!-- Values should be 3,7,& 11 depending on the time in which the button is clicked.-->
<BUTTON id="b1" onclick="s1.innerText='parentTimeToDocumentTime: ' +
div1.parentTimeToDocumentTime(3);">Get parentTimeToDocumentTime(3)</BUTTON>
</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:EXCL, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:SET, time2, t:VIDEO

See Also

Introduction to HTML+TIME, parentTimeBegin, parentTimeEnd


pauseElement Method (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...)

pauseElement Method

Stops playing an element's timeline at the current point.

Syntax

object.pauseElement()

Return Value

No return value.

Remarks

This method supersedes the pause method.

Example

The following example shows how to pause and resume a timeline using the pauseElement and resumeElement methods.

<HTML>
<HEAD>
<TITLE>Pause and Resume</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2); }
.hiliteText{ color:#483D8B;
font-weight:bold;}
</STYLE>
<SCRIPT>
function doResume(){
oParent.resumeElement();
pauseBtn.disabled = false;
resumeBtn.disabled = true;
}
function doPause(){
oParent.pauseElement();
pauseBtn.disabled = true;
resumeBtn.disabled = false;
}
</SCRIPT>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<TABLE ID="oParent" BORDER="1" CLASS="time" DUR="8s" REPEATCOUNT="indefinite"
TIMECONTAINER="SEQ" TIMEACTION="none">
<TBODY>
<TR>
<TH WIDTH="120">Item</TH>
<TH WIDTH="50">Code</TH>
<TH WIDTH="40">Qty.</TH>
</TR>
<TR CLASS="time" TIMEACTION="class:hiliteText" DUR="2s">
<TD>Apples</TD>
<TD>A1</TD>
<TD>7</TD>
</TR>
<TR CLASS="time" TIMEACTION="class:hiliteText" DUR="2s">
<TD>Bananas</TD>
<TD>B2</TD>
<TD>23</TD>
</TR>
<TR CLASS="time" TIMEACTION="class:hiliteText" DUR="2s">
<TD>Oranges</TD>
<TD>O3</TD>
<TD>12</TD>
</TR>
<TR CLASS="time" TIMEACTION="class:hiliteText" DUR="2s">
<TD>Strawberries</TD>
<TD>S4</TD>
<TD>31</TD>
</TR>
</TBODY>
</TABLE>
<BR>
<BUTTON ID="pauseBtn" onclick="doPause();">Pause</BUTTON>&nbsp;&nbsp;
<BUTTON ID="resumeBtn" DISABLED="true" onclick="doResume();">
Resume</BUTTON>&nbsp;&nbsp;
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:SET, time2, t:VIDEO

See Also

resumeElement, Introduction to HTML+TIME


prevElement Method (t:SEQ)

prevElement Method

Resets the timeline so that the previous element in the sequence begins playing.

Syntax

t:SEQ.prevElement()

Return Value

No return value.

Remarks

When this method is invoked on the first element in a sequence, the local timeline on that element resets to 0. This method is valid only while the sequence is active.

Example

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>nextElement and prevElement Methods</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<t:seq id="ts1" id="parent" begin="indefinite;">
<DIV id="div1" class="time"
style="position:relative;top:15px;left:25px;width:100px;height:100px;
background-color:yellow;" dur="10"></DIV>
<DIV id="div1" class="time"
style="position:relative;top:15px;left:25px;width:100px;height:100px;
background-color:blue;" dur="10"></DIV>
<DIV id="div1" class="time"
style="position:relative;top:15px;left:25px;width:100px;height:100px;
background-color:green;" dur="10"></DIV>
<DIV id="div1" class="time"
style="position:relative;top:15px;left:25px;width:100px;height:100px;
background-color:red;" dur="10"></DIV>
</t:seq>
<BR><BR>
<BUTTON id="b0" onclick="ts1.beginElement();" style="font-weight:bold;">
Start</BUTTON>
<BUTTON id="b1" onclick="ts1.nextElement();">Next Element</BUTTON>
<BUTTON id="b2" onclick="ts1.prevElement();">Previous Element</BUTTON>
<BUTTON id="b3" onclick="ts1.endElement();">Stop</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:SEQ

See Also

Introduction to HTML+TIME, nextElement, isActive


prevTrack Method (playList, t:MEDIA, t:PAR, ...)

prevTrack Method

Sets the media-playing container to the previous track, or playItem object, in the playList collection and begins playing that track.

Syntax

object.prevTrack()

Return Value

No return value.

Remarks

Using this method on the first track in the playList causes that track to restart.

Example

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>nextTrack and prevTrack Methods</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
<SCRIPT LANGUAGE="JavaScript">
function updateBtns() {
if(m1.currTimeState.isActive){
b0.disabled=true;
b1.disabled=false;
b2.disabled=false;
b3.disabled=false;
}else{
b0.disabled=false;
b1.disabled=true;
b2.disabled=true;
b3.disabled=true;
}
}
function updateFields(){
title1.innerText = 'Title: ' + m1.playList.activeTrack.title;
author1.innerText = 'Author: ' + m1.playList.activeTrack.author;
abstract1.innerText = 'Abstract: ' + m1.playList.activeTrack.abstract;
copyright1.innerText = 'Copyright: ' + m1.playList.activeTrack.copyright;
}
function emptyFields(){
title1.innerText = 'Title: ';
author1.innerText = 'Author: ';
abstract1.innerText = 'Abstract: ';
copyright1.innerText = 'Copyright: ';
}
</SCRIPT>
</HEAD>
<BODY onload="updateBtns()" TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED"
BGCOLOR="#FFFFFF" LINK="#000000" VLINK="#808080" ALINK="#000000">
...
<t:media id="m1" begin="0;indefinite;"
src="../../common/samples/author/behaviors/media/media.asx"
onmediacomplete="updateFields();updateBtns();"/>
<span id="title1">Title:</span><BR>
<span id="author1">Author:</span><BR>
<span id="abstract1">Abstract:</span><BR>
<span id="copyright1">Copyright</span><BR><BR>
<BUTTON id="b0" onclick="m1.beginElement();updateFields();updateBtns();">
Start</BUTTON>
<BUTTON id="b1" onclick="m1.playList.nextTrack();updateFields();">
Next Track</BUTTON>
<BUTTON id="b2" onclick="m1.playList.prevTrack();updateFields();">
Previous Track</BUTTON>
<BUTTON id="b3" onclick="m1.endElement();emptyFields();updateBtns();">
Stop</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

playList, t:MEDIA, t:PAR, t:REF, t:SEQ

See Also

Introduction to HTML+TIME, activeTrack, nextTrack


resetElement Method (t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, ...)

resetElement Method

Removes any changes made to the element and returns the element to its original state.

Syntax

object.resetElement()

Return Value

No return value.

Example

This example uses the resetElement method to demonstrate how to return an element to its original state.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>resetElement Method</TITLE>
<STYLE>
.time { behavior: url(#default#time2) }
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="fixed" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<t:excl ID="t1" repeatDur="indefinite" onbegin="b1.disabled=false;
b2.disabled=true;">
<DIV ID="div1" CLASS="time" BEGIN="0" DUR="5">First line displayed for 5
seconds.</DIV>
<DIV ID="div2" CLASS="time" BEGIN="5" DUR="5">Second line displayed for 5
seconds.</DIV>
</t:excl>
<BR>
<BUTTON id="b1"
onclick="t1.endElementAt(5);
alert('The time container will end at 5 seconds!');
b2.disabled=false;b1.disabled=true;">End Timeline at 5 seconds</BUTTON>
<BUTTON id="b2"
onclick="t1.resetElement();alert('No changes made to the timeline!');
b2.disabled=true;b1.disabled=false;">Reset</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:EXCL, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:SET, time2, t:VIDEO

See Also

Introduction to HTML+TIME


resumeElement Method (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...)

resumeElement Method

Restarts the element's timeline from a paused state.

Syntax

object.resumeElement()

Return Value

No return value.

Remarks

This method supersedes the resume method.

If an element is not paused and the resumeElement method is called, the element's timeline will not be affected.

Example

The following example shows how to pause and resume a timeline using the pauseElement and resumeElement methods.

<HTML>
<HEAD>
<TITLE>Pause and Resume</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2); }
.hiliteText{ color:#483D8B;
font-weight:bold;}
</STYLE>
<SCRIPT>
function doResume(){
oParent.resumeElement();
pauseBtn.disabled = false;
resumeBtn.disabled = true;
}
function doPause(){
oParent.pauseElement();
pauseBtn.disabled = true;
resumeBtn.disabled = false;
}
</SCRIPT>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<TABLE ID="oParent" BORDER="1" CLASS="time" DUR="8s" REPEATCOUNT="indefinite"
TIMECONTAINER="SEQ" TIMEACTION="none">
<TBODY>
<TR>
<TH WIDTH="120">Item</TH>
<TH WIDTH="50">Code</TH>
<TH WIDTH="40">Qty.</TH>
</TR>
<TR CLASS="time" TIMEACTION="class:hiliteText" DUR="2s">
<TD>Apples</TD>
<TD>A1</TD>
<TD>7</TD>
</TR>
<TR CLASS="time" TIMEACTION="class:hiliteText" DUR="2s">
<TD>Bananas</TD>
<TD>B2</TD>
<TD>23</TD>
</TR>
<TR CLASS="time" TIMEACTION="class:hiliteText" DUR="2s">
<TD>Oranges</TD>
<TD>O3</TD>
<TD>12</TD>
</TR>
<TR CLASS="time" TIMEACTION="class:hiliteText" DUR="2s">
<TD>Strawberries</TD>
<TD>S4</TD>
<TD>31</TD>
</TR>
</TBODY>
</TABLE>
<BR>
<BUTTON ID="pauseBtn" onclick="doPause();">Pause</BUTTON>&nbsp;&nbsp;
<BUTTON ID="resumeBtn" DISABLED="true" onclick="doResume();">Resume</BUTTON>&nbsp;&nbsp;
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:SET, time2, t:VIDEO

See Also

pauseElement, Introduction to HTML+TIME


seekActiveTime Method (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...)

seekActiveTime Method

Locates a specified point on the element's active timeline and begins playing from that point.

Syntax

object.seekActiveTime(iSeconds)

Parameters

iSeconds Required. Integer that specifies a point on the element's active timeline. The element's timeline immediately begins playing from the specified point. Legal values range from 0 to activeDur.

Return Value

No return value.

Remarks

If you attempt to seek to a time on an object that is not currently active, an error is generated. To prevent this, check the object's status using the isActive property.

Not all media types support seeking. In cases where seeking is not supported by the player, calls to seek methods are ignored.

Example

The following example demonstrates how to use the seekActiveTime method. Before validating and implementing the seekActiveTime value, make sure the object is active or an error may be generated. In this example, if the object is not active the beginElement method is called to restart the object, followed by the seekActiveTime method request.

<HTML xmlns:t= "urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>seekActiveTime Method</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{behavior:url(#default#time2)}
</STYLE>
<SCRIPT>
function doSeekActiveTime(){
//Is media object active?
//Yes, continue and do seek.
//No, restart element using the beginElement method.
if(!oMedia.currTimeState.isActive){
oMedia.beginElement();
}
//Is user input valid and within the media's duration boundaries?
if(isFinite(seekActiveTimeInput.value) && seekActiveTimeInput.value
<= oMedia.mediaDur && seekActiveTimeInput.value > 0){
oMedia.seekActiveTime(seekActiveTimeInput.value);
}else{
//Input is not valid, alert user to re-enter choice.
alert("Please enter a valid integer. Value must be greater than 0" +
" seconds and less than the media's duration (" +
oMedia.mediaDur + " seconds).");
seekActiveTimeInput.focus();
}
}
</SCRIPT>
</HEAD>
<BODY>
<CENTER>
<B>Media timer:</B>
<SPAN id="Timer2" class="time" dur=".01" repeatCount="indefinite" fill="hold"
onrepeat="innerText=parseInt(oMedia.currTimeState.activeTime);">0</SPAN>
<BR><BR>
<t:video style="width:175px; height:150px;" id="oMedia"
src="../../common/samples/author/behaviors/media/movie.avi"
onmediacomplete="oMediaDur.innerText=oMedia.mediaDur;" />
<BR>
Media's duration: <SPAN id="oMediaDur"></SPAN>&nbsp;seconds
<BR><BR>
<B>Enter value for seekActiveTime</B>:
<INPUT type="text" value="" name="seekActiveTimeInput" size="3"/>&nbsp;seconds
<BR><BR>
<BUTTON id="seekBtn" onClick="doSeekActiveTime();">Click to seek</BUTTON>&nbsp;
<BUTTON onClick="oMedia.beginElement()">Restart</BUTTON>
</CENTER>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:SET, time2, t:VIDEO

See Also

Introduction to HTML+TIME, seekSegmentTime, seekTo


seekSegmentTime Method (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...)

seekSegmentTime Method

Locates the specified point on the element's segment timeline, and begins playing from that point.

Syntax

object.seekSegmentTime(iSeconds)

Parameters

iSeconds Required. Integer that specifies a point on the element's segment timeline. The element's timeline immediately begins playing the from the specified point. Legal values range from 0 to segmentDur.

Return Value

No return value.

Remarks

If you attempt to seek to a time on an object that is not currently active, an error is generated. To prevent this, check the object's status using the isActive property.

Not all media types support seeking. In cases where seeking is not supported by the player, calls to seek methods are ignored.

Standards Information

This method is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:SET, time2, t:VIDEO

See Also

Introduction to HTML+TIME, seekActiveTime, seekTo


seekTo Method (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...)

seekTo Method

Locates a specified point on the element's segment timeline, including repetitions, and begins playing from that point.

Syntax

object.seekTo(iIteration, iSeconds)

Parameters

iIteration | Required. Integer that specifies the repeatCount iteration at which to begin playing the element's timeline.
iSeconds | Required. Integer that specifies the point in the element's segment timeline at which to start playing the element. Legal values range from 0 to segmentDur.

Return Value

No return value.

Remarks

If you attempt to seek to a time on an object that is not currently active, an error is generated. To prevent this, check the object's status using the isActive property.

Not all media types support seeking. In cases where seeking is not supported by the player, calls to seek methods are ignored.

Example

This example demonstrates how to use the seekTo property. Before validating and implementing the seekTo value, make sure the object is active, otherwise an error generates. In this example, if the object is not active the beginElement method is called to restart the object, followed by the seekTo method request.

<HTML xmlns:t= "urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>seekTo Method</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{behavior:url(#default#time2)}
</STYLE>
<SCRIPT>
function doSeek(){
//Is media object active?
//Yes, continue and do seek.
//No, restart element using the beginElement method.
if(!oMedia.currTimeState.isActive){
oMedia.beginElement();
}
//Is user input valid and within the media's duration boundaries?
if(isFinite(seekInput.value) && seekInput.value <= oMedia.mediaDur
&& seekInput.value > 0){
oMedia.seekTo(1, seekInput.value);
}else{
//Input is not valid, alert user to re-enter choice.
alert("Please enter a valid integer. Value must be greater than" +
" 0 seconds and less than the media's duration (" +
oMedia.mediaDur + " seconds).");
seekInput.focus();
}
}
</SCRIPT>
</HEAD>
<BODY>
<CENTER>
<B>Media timer:</B>
<SPAN id="Timer2" class="time" dur=".01" repeatCount="indefinite" fill="hold"
onrepeat="innerText=parseInt(oMedia.currTimeState.activeTime);">0</SPAN>
<BR><BR>
<t:video style="width:175px; height:150px;" id="oMedia"
src="../../common/samples/author/behaviors/media/movie.avi"
onmediacomplete="oMediaDur.innerText=oMedia.mediaDur;" />
<BR>
Media's duration: <SPAN id="oMediaDur"></SPAN>&nbsp;seconds
<BR><BR>
<B>Time value to seekTo in object's timeline</B>:
<INPUT type="text" value="" name="seekInput" size="3"/>&nbsp;seconds
<BR><BR>
<BUTTON id="seekBtn" onClick="doSeek();">Click to seek</BUTTON>&nbsp;
<BUTTON onClick="oMedia.beginElement()">Restart</BUTTON>
</CENTER>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:EXCL, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:SET, time2, t:VIDEO

See Also

Introduction to HTML+TIME, seekActiveTime, seekSegmentTime


seekToFrame Method (t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, ...)

seekToFrame Method

Locates a specified frame in the object.

Syntax

object.seekToFrame(iFrame)

Parameters

iFrame Required. Integer that specifies a frame in the object.

Return Value

No return value.

Remarks

If you attempt to call the seekToFrame method on an object that is not currently active, an error is generated. To prevent this, check the object's status using the isActive property.

Not all media types support seeking. In cases where seeking is not supported by the player, calls to seek methods are ignored.

Example

This example demonstrates how to use the seekToFrame property. Before validating and implementing the seekToFrame value, make sure the object is active to avoid generating an error. In this example, if the object is not active the beginElement method is called to restart the object, followed by the seekToFrame method call.

<HTML xmlns:t= "urn:schemas-microsoft-com:time">
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{behavior:url(#default#time2)}
</STYLE>
<SCRIPT>
function doSeekToFrame(){
//Is media object active?
//Yes, continue and do seek.
//No, restart element using the beginElement method.
if(!oMedia.currTimeState.isActive){
oMedia.beginElement();
}
//Is user input valid and within the media's duration boundaries?
//Video has a total of 597 frames.
if(isFinite(seekFrame.value) && seekFrame.value >= 1 &&
seekFrame.value < 598){
oMedia.seekToFrame(seekFrame.value);
}else{
//Input is not valid, alert user to re-enter choice.
alert("Please enter a valid integer. Possible values are 1 to" +
" 597 inclusive.");
seekFrame.value = "";
seekFrame.focus();
}
}
</SCRIPT>
</HEAD>
<BODY>
<CENTER>
<B>Media timer:</B>
<SPAN id="Timer2" class="time" dur=".01" repeatCount="indefinite" fill="hold"
onrepeat="innerText=parseInt(oMedia.currTimeState.activeTime);">0</SPAN>
<BR><BR>
<t:video style="width:175; height:150;" id="oMedia"
src="../../common/samples/author/behaviors/media/movie.avi"/>
<BR>
Current frame: <SPAN id="oCurrFrame" class="time" dur="0.01"
repeatCount="indefinite" fill="hold"
onrepeat="innerText=parseInt(oMedia.currentFrame);"></SPAN>
<BR><BR>
<B>Frame to seek to</B>:
<INPUT type="text" value="" name="seekFrame" size="3"/>&nbsp;seconds
<BR><BR>
<BUTTON id="seekBtn" onClick="doSeekToFrame();">Click to seek</BUTTON>&nbsp;
<BUTTON onClick="oMedia.beginElement()">Restart</BUTTON>
</CENTER>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:EXCL, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:SET, time2, t:VIDEO

See Also

Introduction to HTML+TIME, seekActiveTime, seekSegmentTime


segmentTimeToActiveTime Method (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...)

segmentTimeToActiveTime Method

Converts a value in the element's segment timeline to the corresponding point in the element's active timeline.

Syntax

activeTime = object.segmentTimeToActiveTime(segmentTime)

Parameters

segmentTime Required. Integer that specifies a point on the element's segment timeline.

Return Value

Integer that specifies the point in the element's active timeline that corresponds to segmentTime.

Example

This example uses the segmentTimeToActiveTime method to compare the value of the element's segment timeline to the corresponding point in the element's active timeline.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>segmentTimeToActiveTime Method</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<SCRIPT>
window.onload = fnOnLoad;
function fnOnLoad()
{
// Set up a timer to watch the time values.
window.setInterval(fnUpdateTimes, 100);
}
function fnUpdateTimes()
{
s1.innerHTML = "&nbsp;segmentTimeToActiveTime:&nbsp;" +
(a1.segmentTimeToActiveTime(div1.currTimeState.activeTime));
s2.innerHTML = "&nbsp;activeTime:&nbsp;" +
(a1.currTimeState.activeTime);
}
</SCRIPT>
<STYLE>
.time{behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY>
<DIV ID="div1" CLASS="time" STYLE="position:relative;top:25px;left:25px;
height:100px;width:100;background-color:yellow;"></DIV>
<t:ANIMATEMOTION ID="a1" targetElement="div1" to="250,0" dur="3"
autoReverse="true"/>
<SPAN id="s1" style="position:relative;top:40px;">segmentTimeToActiveTime:</SPAN>
<BR>
<SPAN id="s2" style="position:relative;top:40px;">activeTime:</SPAN>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:EXCL, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:SET, time2, t:VIDEO

See Also

Introduction to HTML+TIME, activeTime, segmentTime


segmentTimeToSimpleTime Method (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...)

segmentTimeToSimpleTime Method

Converts a value in the element's segment timeline to the corresponding point in the element's simple timeline.

Syntax

simpleTime = object.segmentTimeToSimpleTime(segmentTime)

Parameters

segmentTime Required. Integer that specifies a point on the element's segment timeline.

Return Value

Integer that specifies the point in the element's simple timeline that corresponds to segmentTime.

Example

This example uses the segmentTimeToSimpleTime method to compare the value of the element's segment timeline to the corresponding point in the element's simple timeline.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>segmentTimeToSimpleTime Method</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<SCRIPT>
window.onload = fnOnLoad;
function fnOnLoad()
{
// Set up a timer to watch the time values.
window.setInterval(fnUpdateTimes, 100);
}
function fnUpdateTimes()
{
s1.innerHTML = "&nbsp;segmentTimeToSimpleTime:&nbsp;" +
(a1.segmentTimeToSimpleTime(div1.currTimeState.activeTime));
s2.innerHTML = "&nbsp;simpleTime:&nbsp;" +
(a1.currTimeState.simpleTime);
}
</SCRIPT>
<STYLE>
.time{behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<DIV ID="div1" CLASS="time" STYLE="position:relative;top:25px;left:25px;
height:100px;width:100;background-color:yellow;"></DIV>
<t:ANIMATEMOTION ID="a1" targetElement="div1" to="250,0" dur="3"
autoReverse="true" repeatCount="indefinite"/>
<SPAN id="s1" style="position:relative;top:40px;">segmentTimeToSimpleTime:</SPAN>
<BR>
<SPAN id="s2" style="position:relative;top:40px;">simpleTime:</SPAN>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:EXCL, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:SET, time2, t:VIDEO

See Also

Introduction to HTML+TIME, segmentTime, simpleTime


setActive Method (playItem)

setActive Method

Sets the playItem object as the active track in the playList collection, which causes the track to play.

Syntax

playItem.setActive()

Return Value

No return value.

Standards Information

This method is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

playItem

See Also

Introduction to HTML+TIME


simpleTimeToSegmentTime Method (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...)

simpleTimeToSegmentTime Method

Converts a value in the element's simple timeline to the corresponding point in the element's segment timeline.

Syntax

segmentTime = object.simpleTimeToSegmentTime(simpleTime)

Parameters

simpleTime Required. Integer that specifies a point on the element's simple timeline.

Return Value

Integer that specifies the point in the segment timeline that corresponds to simpleTime.

Example

This example uses the simpleTimeToSegmentTime method to compare the value of the element's simple timeline to the corresponding point in the element's segment timeline.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>simpleTimeToSegmentTime Method</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<SCRIPT>
window.onload = fnOnLoad;
function fnOnLoad()
{
// Set up a timer to watch the time values.
window.setInterval(fnUpdateTimes, 100);
}
function fnUpdateTimes()
{
s1.innerHTML = "&nbsp;simpleTimeToSegmentTime:&nbsp;" +
(a1.simpleTimeToSegmentTime(div1.currTimeState.activeTime));
s2.innerHTML = "&nbsp;segmentTime:&nbsp;" +
(a1.currTimeState.segmentTime);}
</SCRIPT>
<STYLE>
.time{behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<B>Timer:</B>
<SPAN id="Timer1" class="time" dur="1" repeatCount="indefinite"
onrepeat="innerText=parseInt(document.body.currTimeState.activeTime);">
0</SPAN>
<DIV ID="div1" CLASS="time" STYLE="position:relative;top:25px;left:25px;
height:100px;width:100;background-color:yellow;"></DIV>
<t:ANIMATEMOTION ID="a1" targetElement="div1" to="250,0" dur="3"
autoReverse="true" repeatCount="indefinite"/>
<SPAN id="s1" style="position:relative;top:40px;">simpleTimeToSegmentTime:</SPAN>
<BR>
<SPAN id="s2" style="position:relative;top:40px;">segmentTime:</SPAN>
<BR>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This method is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:EXCL, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:SET, time2, t:VIDEO

See Also

Introduction to HTML+TIME, segmentTime, simpleTime


currTimeState Object (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...)

currTimeState Object

Contains information about an HTML+TIME timeline.

Members Table

The following table lists the members exposed by the currTimeState object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Property | Description
activeDur | Retrieves the total duration of the timeline.
activeTime | Retrieves the current point in time along the total active timeline, including repeats and time spent in reverse mode.
isActive | Retrieves a value that indicates whether the element is currently active on the timeline.
isMuted | Retrieves a value indicating whether the element's audio is currently muted.
isOn | Retrieves a value that specifies whether the element is active or holding on the timeline in its current state.
isPaused | Retrieves a value that specifies whether the element is paused on the timeline.
parentTimeBegin | Retrieves the current element's begin time as an offset from the parent element's begin time.
parentTimeEnd | Retrieves the current element's end time as an offset from the parent element's begin time.
progress | Retrieves the current progress of the element's timeline.
repeatCount | Retrieves the current iteration in the repetition loop.
segmentDur | Retrieves the duration of an element on a timeline in seconds, including autoReverse.
segmentTime | Retrieves the current point in time along a segment of time.
simpleDur | Retrieves the duration of a repeat iteration.
simpleTime | Retrieves an object's current point along its timeline from zero to its dur value.
speed | Retrieves the playback speed of an element at run time, which includes the cascading effect of the speed set for the parent time container.
state | Retrieves the current state of the element's timeline.
stateString | Retrieves the current state of the element's timeline.
volume | Retrieves the playback volume of an element at run time.

Remarks

The currTimeState object is a child of the objects listed in the Applies To list at the end of this page. Therefore, the syntax for the currTimeState object is:

objectID.currTimeState.propertyName
Use code similar to the following example to access the repeatCount property of an img object with an id value of myIMG.
var nCount;
nCount = myIMG.currTimeState.repeatCount;

Standards Information

This object is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:SET, time2, t:VIDEO

See Also

Introduction to HTML+TIME


ITIMEMediaPlayer::abstract Property

Retrieves a description of the media file if available.

Syntax

HRESULT ITIMEMediaPlayer::get_abstract(BSTR *sDesc);

Parameters

sDesc
Pointer to a variable of type BSTR that receives a description of the media file.

Return Value

Returns S_OK if successful, or an error value otherwise.

Remarks

This property is only relevant for people who are writing a custom player for HTML+TIME (Timed Interactive Multimedia Extensions).


Abstract Property (event) (Internet Explorer)

Abstract Property

Retrieves the Abstract content of the entry banner in an Advanced Stream Redirector (ASX) file using the event object.

Syntax

[ sAbstract = ] event.Abstract

Possible Values

sAbstract String that receives the Abstract content of an entry banner in an ASX file.

The property is read-only. The property has no default value.

Expressions can be used in place of the preceding value(s), as of Microsoft?Internet Explorer 5. For more information, see About Dynamic Properties.

Examples

This is an example entry in an ASX file.

<ASX Version="1.0" PreviewMode="No" >
<entry>
<title>First title</title>
<author>Unknown 1</author>
<copyright>1998</copyright>
<abstract>WAV File</abstract>
<ref href=""/>
<banner href = "first_title.gif" >
<moreinfo href = "first_title.doc" />
<abstract>Visit the first abstract Web site</abstract>
</banner>
</entry>
</asx>

In the following example, the Abstract property is exposed by the event object.

...
function trackChange(){
banner1.innerText = event.Banner;
bannerabstract1.innerText = event.Abstract;
bannermoreinfo1.innerText = event.MoreInfo;
}
...
<t:media id="m1" src="../../common/samples/author/behaviors/media/media.asx"
onmediacomplete="updateBtns();updateFields();"
ontrackchange="trackChange();"/>
...
<B>Banner:</B>&nbsp;&nbsp;<SPAN id="banner1"></SPAN>
<BR>
<B>Abstract for banner:</B>&nbsp;&nbsp;<SPAN id="bannerabstract1"></SPAN>
<BR>
<B>More information of banner:</B>&nbsp;&nbsp;<SPAN id="bannermoreinfo1"></SPAN>
...
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

event


ACCELERATE Attribute | accelerate Property (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...)

ACCELERATE Attribute | accelerate Property

Sets or retrieves a value that applies an acceleration to an element's timeline.

Syntax

HTML | <ELEMENT ACCELERATE = fRate... >
Scripting | object.accelerate [ = fRate ]

Possible Values

fRate Floating-point number that specifies a value between 0 and 1 that represents the portion of the timeline over which the acceleration is applied. The timeline refers to that timeline associated with a particular HTML element (such as a div or span), rather than the timeline associated with the entire document.
0 Default. Acceleration is not applied to the element's timeline.

The property is read/write. The property has a default value of 0.

Remarks

If the REPEATCOUNT or REPEATDUR attribute is set on an element, the acceleration occurs each time the element repeats.

The ACCELERATE attribute is especially well suited to animation content and behaviors. Setting this attribute to a nonzero value does not affect the duration of the timeline.

The sum of the values for the ACCELERATE and DECELERATE attributes must not exceed 1. If the individual values of the ACCELERATE and DECELERATE attributes are between 0 and 1 and the sum is greater than 1, then both the ACCELERATE and DECELERATE attributes will be ignored and the timed element will behave as if neither attribute was specified.

This property is also commonly known as "ease-in" in some systems.

Example

This example uses the accelerate element to demonstrate an accelerated element's timeline.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>accelerate Property</TITLE>
<STYLE>
.time { behavior: url(#default#time2) }
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="fixed" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<DIV ID="oDIV" CLASS="time" STYLE="position:absolute;top:75px;left:25px;
height:50px;width:100px;background-color:yellow;text-align:center;
font-color:black;font-size:large">Accelerating DIV
</DIV>
<t:ANIMATE targetElement="oDIV" attributeName="left" to="400" dur="3" accelerate="1"
repeatCount="3"/>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:EXCL, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, time2, t:VIDEO

See Also

decelerate, Introduction to HTML+TIME


ACCUMULATE Attribute | accumulate Property (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...)

ACCUMULATE Attribute | accumulate Property

Sets or retrieves a value that indicates whether the animation is cumulative.

Syntax

HTML | <ELEMENT ACCUMULATE = sType... >
Scripting | object.accumulate(val) [ = sType ]

Possible Values

sType String that specifies or receives one of the following values:
none | Default. Repeat iterations are not cumulative.
sum | Each repeat iteration after the first one builds upon the last value of the previous iteration.

The property is read/write. The property has a default value of none.

Remarks

This property is ignored if the target attribute value does not support addition, or if the repeatCount value is one. Also, cumulative animation is not defined for animation specified using the to attribute.

Example

This example demonstrates the two uses of the accumulate property; none and sum.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>accumulate Property</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
<SCRIPT>
function beginNone(){
count.innerText="1";
t1.accumulate="none";
accumulate1.innerText="none";
t1.beginElement();
l.innerText = "";
h.innerText = "";
}
function beginSum(){
count.innerText="1";
t1.accumulate="sum";
accumulate1.innerText="sum";
t1.beginElement();
l.innerText = "";
h.innerText = "";
}
function displayDimension(){
if(t1.accumulate == 'sum'){
l.style.left = "305px";
h.style.left = "610px";
l.innerText = "450px";
h.innerText = "100px";
}else{
l.style.left = "135px";
h.style.left = "310px";
l.innerText = "150px";
h.innerText = "100px";
}
}
</SCRIPT>
</HEAD>
<BODY>
<SPAN id="l" style="position:absolute;top:100px;"></SPAN>
<SPAN id="h" style="position:absolute;top:165px;"></SPAN>
<t:ANIMATE id="t1" targetElement="div1" attributeName="width" by="150px"
dur="3" repeatCount="3" begin="indefinite" onend="displayDimension();"
onrepeat="count.innerText=t1.currTimeState.repeatCount+1" fill="freeze" />
<DIV id="div1"
style="position:absolute;top:125px;left:25px;height:100px;width:125px;
background-color:yellow;text-align:center;font-size:large;
border:solid black 2px;">Expanding DIV
</DIV>
<SPAN style="position:absolute;top:245px;"><B>Accumulate:</B></SPAN>
<SPAN id="accumulate1" style="position:absolute;top:245px;left:130px;"></SPAN>
<SPAN style="position:absolute;top:265px;">Current Iteration:</SPAN>
<SPAN id="count" style="position:absolute;top:265px;left:150px;">1</SPAN>
<P style="position:absolute;top:300px;left:25px;">
<BUTTON onclick="beginNone()"><B>Accumulate</B> = NONE</BUTTON>
<BUTTON onclick="beginSum()"><B>Accumulate</B> = SUM</BUTTON>
</P>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION

See Also

Introduction to HTML+TIME


activeDur Property (currTimeState)

activeDur Property

Retrieves the total duration of the timeline.

Syntax

[ iTime = ] currTimeState.activeDur

Possible Values

iTime Integer that receives the total duration of the timeline, in seconds.

The property is read-only. The property has no default value.

Remarks

This property includes the repeatDur time and the effect of the autoReverse property, if applicable. For example, a timeline with a duration (dur) of five seconds, a repeatCount of 3, and autoReverse set to true would yield an activeDur of 30 seconds.

Example

This example demonstrates how to use the activeDur property to retrieve the total duration of a timeline.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>activeDur Property</TITLE>
<SCRIPT>
function getActiveDur(){
var aDur = t1.currTimeState.activeDur;
alert('Total duration: ' + aDur + ' seconds.');
}
</SCRIPT>
<STYLE>
.time { behavior: url(#default#time2) }
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY>
<!-- This timeline has a duration (dur) of three seconds, a repeatCount of 3,
and autoReverse set to true, yielding an activeDur value of 18 seconds. -->
<t:excl id="t1" dur="3" repeatcount="3" autoreverse="true">
<DIV ID="div1" CLASS="time" BEGIN="0" DUR="1">First line of text.</DIV>
<DIV ID="div2" CLASS="time" BEGIN="1" DUR="1">Second line of text.</DIV>
<DIV ID="div3" CLASS="time" BEGIN="2" DUR="1">Third line of text.</DIV>
</t:excl>
<BR>
<BUTTON id="b1" onclick="getActiveDur()">Get total duration of timeline.</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

currTimeState

See Also

Introduction to HTML+TIME, dur, mediaDur, repeatDur, segmentDur, simpleDur


activeTime Property (currTimeState)

activeTime Property

Retrieves the current point in time along the total active timeline, including repeats and time spent in reverse mode.

Syntax

[ iTime = ] currTimeState.activeTime

Possible Values

iTime Integer that receives the current point in time along the timeline, in seconds. The value of this property ranges from 0 to activeDur.

The property is read-only. The property has no default value.

Remarks

This property supersedes the currTime property.

The activeTime property contains the time elapsed since the timeline for the object began, including time spent repeating and in reverse mode. Run the example below and note how activeTime accumulates throughout the entire duration of the timeline.

Example

This example shows how activeTime, segmentTime, and simpleTime relate to each other.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>autoReverse Example</TITLE>
<STYLE>
.time{behavior: url(#default#time2);}
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
<SCRIPT LANGUAGE="JScript">
window.onload = fnOnLoad;
function fnOnLoad()
{
// Set up a timer to watch the time values.
window.setInterval(fnUpdateTimes, 100);
}
function fnUpdateTimes()
{
oSimpleTime.innerHTML = "&nbsp;simpleTime:&nbsp;" +
(oAnim.currTimeState.simpleTime);
oSegmentTime.innerHTML = "segmentTime:&nbsp;" +
(oAnim.currTimeState.segmentTime);
oActiveTime.innerHTML = "&nbsp;activeTime:&nbsp;" +
(oAnim.currTimeState.activeTime);
}
function fnRepeat()
{
oRepeatCount.innerHTML = "repeatCount:&nbsp;" +
(oAnim.currTimeState.repeatCount + 1);
// Add one because repeatCount is zero-based.
}
</SCRIPT>
</HEAD>
<BODY>
<DIV STYLE="font-family:courier;">
<DIV ID="oRepeatCount">repeatCount: 1</DIV>
<DIV ID="oSimpleTime">&nbsp;simpleTime:&nbsp;0</DIV>
<DIV ID="oSegmentTime">segmentTime:&nbsp;0</DIV>
<DIV ID="oActiveTime">&nbsp;activeTime:&nbsp;0</DIV>
</DIV>
<DIV ID="oDiv" CLASS="time" STYLE="position:absolute; left:50px;
top:250px; width:100px; height:100px; background-color:blue;"></DIV>
<t:ANIMATEMOTION ID="oAnim" targetElement="oDIV" to="340,40" dur="2"
autoReverse="true" repeatCount="5" onrepeat="fnRepeat()" fill="freeze"/>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

currTimeState

See Also

segmentTime, simpleTime, Introduction to HTML+TIME


activeTrack Property (playList)

activeTrack Property

Sets or retrieves the track, or playItem object, that is currently active in the playList collection.

Syntax

playList.activeTrack [ = oPlayItem ]

Possible Values

oPlayItem Object that specifies or receives the name of the track, or playItem object, that is currently active in the playList collection.

The property is read/write. The property has no default value.

Remarks

Using this property to set the active track in the playList causes that track to begin playing immediately.

If a script accesses this property on a playList that is not currently active, an error is returned. To prevent this error, the script should check the element's isActive property before attempting to read the activeTrack.

Example

This example demonstrates how to retrieve a property of the currently active track using the activeTrack property.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<TITLE>HTML+TIME playList Example</TITLE>
<LINK REL="stylesheet" HREF="../../common/samples/samples.css" TYPE="text/css">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
<SCRIPT LANGUAGE="JScript">
function updateBtns()
{
if (oMedia.currTimeState.isActive) {
btnStart.disabled=true;
btnNext.disabled=false;
btnPrev.disabled=false;
btnStop.disabled=false;
}
else {
btnStart.disabled=false;
btnNext.disabled=true;
btnPrev.disabled=true;
btnStop.disabled=true;
}
}
function updateFields()
{
oTitle.innerText = "Title: " + oMedia.playList.activeTrack.title;
oAuthor.innerText = "Author: " + oMedia.playList.activeTrack.author;
oAbstract.innerText = "Abstract: " + oMedia.playList.activeTrack.abstract;
oCopyright.innerText = "Copyright: " + oMedia.playList.activeTrack.copyright;
oFilename.innerText = "Filename: " + oMedia.playList.activeTrack.src;
}
function clearFields()
{
oTitle.innerText = "Title: ";
oAuthor.innerText = "Author: ";
oAbstract.innerText = "Abstract: ";
oCopyright.innerText = "Copyright: ";
oFilename.innerText = "Filename: ";
}
</SCRIPT>
</HEAD>
<BODY onload="updateBtns()">
<t:MEDIA id="oMedia" src="short_3tracks.asx" begin="indefinite" timeAction="visibility"
onend="updateBtns();" ontrackchange="updateFields();"/>
<P>
<SPAN id="oTitle">Title:</SPAN><BR>
<SPAN id="oAuthor">Author:</SPAN><BR>
<SPAN id="oAbstract">Abstract:</SPAN><BR>
<SPAN id="oCopyright">Copyright:</SPAN><BR>
<SPAN id="oFilename">Filename:</SPAN><BR><BR>
<BUTTON id="btnStart"
onclick="oMedia.beginElement(); updateBtns();">
Start
</BUTTON>
<BUTTON id="btnPrev"
onclick="oMedia.playList.prevTrack();">
Previous Track
</BUTTON>
<BUTTON id="btnNext"
onclick="oMedia.playList.nextTrack();">
Next Track
</BUTTON>
<BUTTON id="btnStop"
onclick="oMedia.endElement(); clearFields();">
Stop
</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

playList

See Also

Introduction to HTML+TIME, nextTrack, prevTrack


ADDITIVE Attribute | additive Property (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...) (Internet Explorer - DHTML)

ADDITIVE Attribute | additive Property

Sets or retrieves a value that indicates whether the animation is additive with other animations.

Syntax

HTML | <ELEMENT ADDITIVE = sType... >
Scripting | object.additive(val) [ = sType ]

Possible Values

sType String that specifies or receives one of the following values:
replace | Default. The animation overrides the underlying value of the attribute and other lower priority animations.
sum | The animation adds to the underlying value of the attribute and other lower priority animations.

The property is read/write. The property has a default value of replace.

Remarks

Attribute types such as strings and Booleans, for which addition is not defined, cannot support additive animation.

The attribute values to and by, used to describe the animation function, can override the additive attribute in certain cases. If by is used without from, the animation is defined to be additive. This is the equivalent of additive="sum". However, if to is used without from and if the attribute supports addition, the animation is defined to be a hybrid of additive and non-additive. The underlying value is used as a starting point as with additive animation; however, the ending value specified by the to attribute overrides the underlying value as though the animation was non-additive.

The accumulate attribute should not be confused with the additive attribute. The additive attribute defines how an animation is combined with other animations and the base value of the attribute. The accumulate attribute defines only how the animation function interacts with itself, across repeat iterations.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION

See Also

Introduction to HTML+TIME


ATTRIBUTENAME Attribute | attributeName Property (t:ANIMATE, t:ANIMATECOLOR, t:SET)

ATTRIBUTENAME Attribute | attributeName Property

Sets or retrieves the name of the element's attribute to be animated.

Syntax

HTML | <ELEMENT ATTRIBUTENAME = sAttribute... >
Scripting | object.attributeName(attrib) [ = sAttribute ]

Possible Values

sAttribute String that specifies or receives the name of the element's attribute to be animated.

The property is read/write. The property has no default value.

Remarks

The value of this property must be a valid attribute on the specified element.

Example

This example shows how to use the attributeName property set to "width" to animate the element's width attribute.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>attributeName Property</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<t:ANIMATE id="t1" targetElement="div1" attributeName="width" to="250px"
dur="5" autoreverse="true" repeatCount="indefinite" />
<DIV id="div1" style="position:relative;top:25px;left:50px;height:100px;
width:100px;background-color:yellow;text-align:center;font-size:large;">
Expanding DIV</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:ANIMATE, t:ANIMATECOLOR, t:SET

See Also

Introduction to HTML+TIME


ITIMEMediaPlayer::author Property

Retrieves the name of the media file's author if available.

Syntax

HRESULT ITIMEMediaPlayer::get_author(BSTR *sName);

Parameters

sName
Pointer to a variable of type BSTR that receives the name of the media file's author.

Return Value

Returns S_OK if successful, or an error value otherwise.

Remarks

This property is only relevant for people who are writing a custom player for HTML+TIME (Timed Interactive Multimedia Extensions).


AUTOREVERSE Attribute | autoReverse Property (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...)

AUTOREVERSE Attribute | autoReverse Property

Sets or retrieves whether the timeline on an element begins playing in reverse immediately after completing in the forward direction.

Syntax

HTML | <ELEMENT AUTOREVERSE = bReverse... >
Scripting | object.autoReverse [ = bReverse ]

Possible Values

bReverse Boolean that specifies or receives one of the following values:
true | Timeline plays in the forward direction until it completes, and then immediately plays in the reverse direction.
false | Default. Timeline does not play in the reverse direction after it finishes playing in the forward direction.

The property is read/write. The property has a default value of false.

Remarks

On some systems, this attribute is referred to as "Play forward, then backward." The property cannot be modified in script after the onload event fires on the document body.

Setting autoReverse to true on a video file results in the file being frozen at the frame on which the reverse occurred—that is, on the last frame played.

Audio files do not play in reverse if autoReverse is set; they simply end.

If the element has a repeatCount greater than one and autoReverse is set to true, the element is considered to have completed one loop through the timeline when it has played once forward and once backward.

Example

The following example shows the current loop iteration of an animateMotion element with the autoReverse attribute set to true.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>autoReverse Property</TITLE>
<STYLE>
.time   {behavior: url(#default#time2);}
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
<SCRIPT LANGUAGE="JScript">
function fnRepeat()
{
oCount.innerText = "Current iteration: " +
(oAnim.currTimeState.repeatCount + 1);
// Add one because repeatCount is zero-based.
}
</SCRIPT>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<DIV ID="oCount">Current iteration: 1</DIV>
<DIV ID="oDiv" CLASS="time"
STYLE="position:absolute;
top:25px; left:50px;
height:100px; width:100px;
background-color:blue;"
</DIV>
<t:ANIMATEMOTION ID="oAnim" targetElement="oDIV"
to="150,0" dur="1" autoReverse="true" repeatCount="5"
onrepeat="fnRepeat()"/>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:EXCL, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:SET, time2, t:VIDEO

See Also

Introduction to HTML+TIME, time2


Banner Property (event) (Internet Explorer)

Banner Property

Retrieves the Banner content of an entry in an Advanced Stream Redirector (ASX) file using the event object.

Syntax

[ sBanner = ] event.Banner

Possible Values

sBanner String that receives the Banner content of an entry in an ASX file.

The property is read-only. The property has no default value.

Examples

This is an example entry in an ASX file.

<ASX Version="1.0" PreviewMode="No" >
<entry>
<title>First title</title>
<author>Unknown 1</author>
<copyright>1998</copyright>
<abstract>WAV File</abstract>
<ref href=""/>
<banner href = "first_title.gif" >
<moreinfo href = "first_title.doc" />
<abstract>Visit the first abstract Web site</abstract>
</banner>
</entry>
</asx>

In the following example, the Banner property is exposed by the event object.

...
function trackChange(){
banner1.innerText = event.Banner;
bannerabstract1.innerText = event.Abstract;
bannermoreinfo1.innerText = event.MoreInfo;
}
...
<t:media id="m1" src="../../common/samples/author/behaviors/media/media.asx"
onmediacomplete="updateBtns();updateFields();"
ontrackchange="trackChange();"/>
...
<B>Banner:</B>&nbsp;&nbsp;<SPAN id="banner1"></SPAN>
<BR>
<B>Abstract for banner:</B>&nbsp;&nbsp;<SPAN id="bannerabstract1"></SPAN>
<BR>
<B>More information on banner:</B>&nbsp;&nbsp;<SPAN id="bannermoreinfo1"></SPAN>
...
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

event


Banner Property (activeTrack, t:AUDIO, t:MEDIA, ...) (Internet Explorer)

Banner Property

Retrieves the Banner content of an entry in an Advanced Stream Redirector (ASX) file.

Syntax

HTML | N/A
Scripting | [ sBanner = ] object.playList.activeTrack.Banner

Possible Values

sBanner String that receives the Banner content of an entry in an ASX file.

The property is read-only. The property has no default value.

Remarks

The property is read-only in Internet Explorer 6.

Examples

This is an example entry in an ASX file.

<ASX Version="1.0" PreviewMode="No" >
<entry>
<title>First title</title>
<author>Unknown 1</author>
<copyright>1998</copyright>
<abstract>WAV File</abstract>
<ref href=""/>
<banner href = "first_title.gif" >
<moreinfo href = "first_title.doc" />
<abstract>Visit the first abstract Web site</abstract>
</banner>
</entry>
</asx>

The following example demonstrates how to retrieve the Banner content.

...
function updateFields(){
//...
banner1.innerText = m1.playList.activeTrack.Banner;
bannerabstract1.innerText = m1.playList.activeTrack.BannerAbstract;
bannermoreinfo1.innerText = m1.playList.activeTrack.BannerMoreInfo;
}
...
<t:media id="m1" src="../../common/samples/author/behaviors/media/media.asx"
onmediacomplete="updateBtns();updateFields();"
ontrackchange="trackChange();"/>
...
<B>Banner:</B>&nbsp;&nbsp;<SPAN id="banner1"></SPAN>
<BR>
<B>Abstract for banner:</B>&nbsp;&nbsp;<SPAN id="bannerabstract1"></SPAN>
<BR>
<B>More information on banner:</B>&nbsp;&nbsp;<SPAN id="bannermoreinfo1"></SPAN>
...
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

activeTrack, t:AUDIO, t:MEDIA, playList, t:REF, t:VIDEO


BannerAbstract Property (activeTrack, t:AUDIO, t:MEDIA, ...) (Internet Explorer)

BannerAbstract Property

Retrieves the BannerAbstract content of an entry in an Advanced Stream Redirector (ASX) file.

Syntax

HTML | N/A
Scripting | [ sBannerAbstract = ] object.playList.activeTrack.BannerAbstract

Possible Values

sBannerAbstract String that receives the BannerAbstract content of an entry in an ASX file.

The property is read-only. The property has no default value.

Remarks

The property is read-only in Internet Explorer 6.

Examples

This is an example entry in an ASX file.

<ASX Version="1.0" PreviewMode="No" >
<entry>
<title>First title</title>
<author>Unknown 1</author>
<copyright>1998</copyright>
<abstract>WAV File</abstract>
<ref href=""/>
<banner href = "first_title.gif" >
<moreinfo href = "first_title.doc" />
<abstract>Visit the first abstract Web site</abstract>
</banner>
</entry>
</asx>

The following example demonstrates how to retrieve the BannerAbstract content.

...
function updateFields(){
//...
banner1.innerText = m1.playList.activeTrack.Banner;
bannerabstract1.innerText = m1.playList.activeTrack.BannerAbstract;
bannermoreinfo1.innerText = m1.playList.activeTrack.BannerMoreInfo;
}
...
<t:media id="m1" src="../../common/samples/author/behaviors/media/media.asx"
onmediacomplete="updateBtns();updateFields();"
ontrackchange="trackChange();"/>
...
<B>Banner:</B>&nbsp;&nbsp;<SPAN id="banner1"></SPAN>
<BR>
<B>Abstract for banner:</B>&nbsp;&nbsp;<SPAN id="bannerabstract1"></SPAN>
<BR>
<B>More information on banner:</B>&nbsp;&nbsp;<SPAN id="bannermoreinfo1"></SPAN>
...
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

activeTrack, t:AUDIO, t:MEDIA, playList, t:REF, t:VIDEO


BannerMoreInfo Property (activeTrack, t:AUDIO, t:MEDIA, ...) (Internet Explorer)

BannerMoreInfo Property

Retrieves the BannerMoreInfo content of an entry in an Advanced Stream Redirector (ASX) file.

Syntax

HTML | N/A
Scripting | [ sBannerMoreInfo = ] object.playList.activeTrack.BannerMoreInfo

Possible Values

sBannerMoreInfo String that receives the BannerMoreInfo content of a an entry in an ASX file.

The property is read-only. The property has no default value.

Remarks

The property is read-only in Internet Explorer 6.

Examples

This is an example entry in an ASX file.

<ASX Version="1.0" PreviewMode="No" >
<entry>
<title>First title</title>
<author>Unknown 1</author>
<copyright>1998</copyright>
<abstract>WAV File</abstract>
<ref href=""/>
<banner href = "first_title.gif" >
<moreinfo href = "first_title.doc" />
<abstract>Visit the first abstract Web site</abstract>
</banner>
</entry>
</asx>

The following example demonstrates how to retrieve the BannerMoreInfo content.

...
function updateFields(){
//...
banner1.innerText = m1.playList.activeTrack.Banner;
bannerabstract1.innerText = m1.playList.activeTrack.BannerAbstract;
bannermoreinfo1.innerText = m1.playList.activeTrack.BannerMoreInfo;
}
...
<t:media id="m1" src="../../common/samples/author/behaviors/media/media.asx"
onmediacomplete="updateBtns();updateFields();"
ontrackchange="trackChange();"/>
...
<B>Banner:</B>&nbsp;&nbsp;<SPAN id="banner1"></SPAN>
<BR>
<B>Abstract for banner:</B>&nbsp;&nbsp;<SPAN id="bannerabstract1"></SPAN>
<BR>
<B>More information on banner:</B>&nbsp;&nbsp;<SPAN id="bannermoreinfo1"></SPAN>
...
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

activeTrack, t:AUDIO, t:MEDIA, playList, t:REF, t:VIDEO


boundary Attribute (t:ANIMATION, t:AUDIO, t:IMG, ...)

boundary Attribute

Sets when music should begin to play by using Microsoft?DirectMusic?

Syntax

HTML | <ELEMENT boundary= ... >
Scripting | N/A

Possible Values

default | Default. Play on the musical boundary the composer chose as the default boundary when composing the segment or motif.
beat | Come in on the next beat in the music.
grid | Come in on the next grid (subdivision of a beat) in the music.
immediate | Play immediately instead of waiting for the default musical boundary set for the segment.
measure | Come in on the next bar in the music.

Remarks

The boundary attribute is only valid if the PLAYER attribute is set to DMusic.

Example

The following example shows how to specify a secondary music segment that comes in on the next beat.

<t:MEDIA CLASS="time" ID="seg2" PLAYER="DMusic"
SRC="http://www.hearmusic.com/jazz/hancock.sgt"
BEGIN="7.2" DUR="19.5" SEGMENTTYPE="secondary" BOUNDARY="beat"/>

Standards Information

This attribute is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:ANIMATION, t:AUDIO, t:IMG, t:VIDEO, t:MEDIA, t:REF

See Also

Using HTML+TIME with DirectMusic, Introduction to HTML+TIME


ITIMEMediaPlayerNetwork::bufferingProgress Property

Retrieves a value that indicates the current percentage of buffering completed.

Syntax

HRESULT ITIMEMediaPlayerNetwork::get_bufferingProgress(long *l);

Parameters

l
Pointer to a variable of type long that receives the current percentage of buffering completed.

Return Value

Returns S_OK if successful, or an error value otherwise.

Remarks

This property is only relevant for people who are writing a custom player for HTML+TIME (Timed Interactive Multimedia Extensions).


BY Attribute | by Property (t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION)

BY Attribute | by Property

Sets or retrieves a relative offset value for an animation.

Syntax

HTML | <ELEMENT BY = vValue... >
Scripting | object.by(val) [ = vValue ]

Possible Values

vValue Variant that specifies or receives the relative value used to animate an element's attribute over time. This is a delta value used to offset the underlying value of the attribute. This value can include any of the following length unit designators: px, in, cm, mm, pt, pc. For more information about the supported length units, see the CSS Length Units Reference.

The property is read/write. The property has no default value.

Remarks

The by property cannot be used on the same element as the to property. If both properties are specified, the by value is ignored. However, specifying a starting value for the animation using the from property is optional.

The by property is only valid for attribute values that support addition.

When writing script to dynamically change the properties of an active animation, developers should consider a couple of issues. Because results might be unpredictable or undefined when you change the properties of an active animation, restart the animation with beginElement after you have made the change. For example:

<SCRIPT>
object.endElement();
object.by='150';
object.beginElement();
</SCRIPT>

For the animate, animateMotion, and animateColor objects, the time2 behavior uses the following model to evaluate which properties to animate.

  • The path property overrides any setting for the values, from, to, or by properties.
  • The values property, if specified, overrides any setting for the from, to, or by properties.
  • The from property is used unless the values or path properties are specified.
  • The to property, if specified, overrides any setting for the by property.
  • The by property doesn't override any properties.
To change an active animation from a path to a by value through script:
<SCRIPT>
object.endElement();
object.path=null;
object.by='150';
object.beginElement();
</SCRIPT>

Example

The following example shows how to use the by property to specify the offset of an animation.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY>
<t:ANIMATE AUTOREVERSE="true" targetElement="div1" attributeName="left"
from="100" dur="5" by="200" fill="hold"/>
<DIV id="div1" class="time"
style="position:absolute; top:170; background-color:#003399;color:#FFCC00">
Moving DIV</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION

See Also

Introduction to HTML+TIME


BY Attribute | by Property (t:TRANSITIONFILTER) (Internet Explorer - HTML+Time 2)

BY Attribute | by Property

Specifies a relative offset value for the progress of the transitionFilter.

Syntax

HTML | <t:TRANSITIONFILTER BY = sBy... >
Scripting | t:TRANSITIONFILTER.by(val) [ = sBy ]

Possible Values

sBy String that specifies or receives the relative offset value for the progress of the transitionFilter. Legal values are real numbers in the range 0-1.

The property is read/write. The property has no default value.

Remarks

The by attribute specifies the relative offset value of the progress from the value of the from attribute. For example, if from has a value of 0.2 and by has a value of 0.5, then the transition will start at a progress of 0.2 and end at a progress of 0.7. In contrast, if the from attribute is set to a value of 0.2 and the to attribute is set to a value of 0.5, then the transition will start at a progress of 0.2 and end at a progress of 0.5.

The by property cannot be used on the same transitionFilter element as the to property. If both properties are specified, the by value is ignored.

The value specified for the by property is ignored if the values attribute is specified.

When writing script to dynamically change the properties of an active animation, developers should consider a couple of issues. Because results might be unpredictable or undefined when you change the properties of an active animation, restart the animation with beginElement after you have made the change. For example:

<SCRIPT>
object.endElement();
object.by='0.4';
object.beginElement();
</SCRIPT>

For the animate, animateMotion, and animateColor objects, the time2 behavior uses the following model to evaluate which properties to animate.

  • The values property, if specified, overrides any setting for the from, to, or by properties.
  • The from property is used unless the values or path properties are specified.
  • The to property, if specified, overrides any setting for the by property.
  • The by property doesn't override any properties.

Example

This example shows how to use the by property to stop a transition part way through the transition.

<HTML XMLNS:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time{behavior: url(#default#time2);}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
<t:TRANSITIONFILTER FROM="0.3" BY="0.4" TYPE="barWipe" DUR="3"
TARGETELEMENT="oDiv1" />
<DIV CLASS="time" ID="oDiv1" DUR="indefinite"
STYLE="position:relative; left:20px; width:420px; height:100px;
background-image:url(ART_time_progress.gif); background-repeat: no-repeat;">
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

t:TRANSITIONFILTER

See Also

Introduction to HTML+TIME, Using HTML+TIME Transitions


BY Attribute | by Property (t:ANIMATECOLOR)

BY Attribute | by Property

Sets or retrieves a relative offset value by which to animate a color attribute or property with the t:ANIMATECOLOR element.

Syntax

HTML | <t:ANIMATECOLOR BY = vValue... >
Scripting | t:ANIMATECOLOR.by(val) [ = vValue ]

Possible Values

vValue Variant that specifies or receives the relative value used to animate an element's color properties. This is a delta value used to offset the underlying value of the attribute or property.

The property is read/write. The property has no default value.

Remarks

The by property cannot be used on the same element as the to property. If both properties are specified, the by value is ignored. However, specifying a starting value for the animation using the from property is optional.

The by property is only valid for attribute values that support addition. In the context of t:ANIMATECOLOR, valid attribute values are hexadecimal RGB values or the keywords that represent them (for example, #8A2BE2 or blueviolet). For more information about supported color values, see the Color Table.

During the course of an animation, you can change the target element's color attribute by offsetting its value with the value specified for the by property. This offset value is actually the sum of the target element's color value and the by property's value. Note that if you choose to specify a starting value for the animation's target attribute by setting the from property, the end value of the target attribute will instead be the sum of the values set for the from and by properties.

If the by property is set without also setting the from property, the animation is defined to be additive and will override the additive property.

When writing script to dynamically change the properties of an active animation, developers should consider a couple of issues. Because results might be unpredictable or undefined when you change the properties of an active animation, restart the animation with beginElement after you have made the change. For example:

<SCRIPT>
object.endElement();
object.by='150';
object.beginElement();
</SCRIPT>

For the animate, animateMotion, and animateColor objects, the time2 behavior uses the following model to evaluate which properties to animate.

  • The values property, if specified, overrides any setting for the from, to, or by properties.
  • The from property is used unless the values or path properties are specified.
  • The to property, if specified, overrides any setting for the by property.
  • The by property doesn't override any properties.

Example

The following example uses an t:ANIMATECOLOR element to animate the backgroundColor of a DIV element. The inner DIV element's backgroundColor is set to #808000 (olive).

The outerDIV's backgroundColor is initially set to #FF7F50 (coral). Over the course of the a1 t:ANIMATECOLOR element's duration, this value is offset by #808000 (olive), the value of the inner DIV element's backgroundColor. Since the by attribute is additive, outerDIV's backgroundColor is calculated over the duration of the animation as the progressive sum of #FF7F50 (coral) and #808000 (olive). Thus, outerDIV ends the animation with a yellow hue of #FFFF50.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time {behavior: url(#default#time2);}
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY>
<t:PAR id="p1" dur="15" fill="hold">
<t:ANIMATECOLOR id="a1" targetElement="outerDIV"
attributeName="background-color" by="#808000" begin="1" dur="3"
fill="hold"/>
</t:PAR>
<DIV id="outerDIV" class="time" style="FONT-SIZE: 18; LEFT: 58px; WIDTH: 279px;
POSITION: absolute; TOP: 190px; HEIGHT: 217px; BACKGROUND-COLOR: #ff7f50;
TEXT-ALIGN: left; border:1px solid black; padding-left:3">outerDIV</DIV>
<DIV id="innerDIV" class="time" style="FONT-SIZE: 18; LEFT: 102px;
WIDTH: 188px; POSITION: absolute; TOP: 248px; HEIGHT: 98px;
BACKGROUND-COLOR: #808000; TEXT-ALIGN: left; padding-left:3;
border:1px solid black;">innerDIV</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

t:ANIMATECOLOR

See Also

color, backgroundColor, Introduction to HTML+TIME, Color Table


CALCMODE Attribute | calcMode Property (t:ANIMATE, t:ANIMATECOLOR)

CALCMODE Attribute | calcMode Property

Sets or retrieves the interpolation mode for the animation.

Syntax

HTML | <ELEMENT CALCMODE = sMode... >
Scripting | object.calcMode(calcmode) [ = sMode ]

Possible Values

sMode String that specifies or receives one of the following values:
discrete | The animation jumps from one value to the next, without any interpolation.
linear | Default. The animation uses simple linear interpolation between values to calculate the animation function.
paced | The animation defines an even pace of change across the animation. This is only supported for attribute values that define a linear numeric range, and for which a notion of distance between points can be calculated, such as width or height.
spline | The animation interpolates from one value to the next according to a time function defined by a cubic Bezier spline. The points of the spline are defined in the keyTimes property and the control points for each interval are defined in the keySplines property.

The property is read/write. The property has a default value of linear.

Remarks

The default value for the t:ANIMATEMOTION element is paced.

If the attribute does not support linear interpolation, as with a string value, discrete interpolation is used instead.

When this property is set to a value of discrete, the duration of the animation is divided into equal time periods that depend on the values assigned to one or more of the following attributes: TO, FROM, BY, VALUES, or PATH. As one time period moves to the next, the animation jumps to the next value with no interpolation. Here is a list of examples.

  • VALUES = "0.3;0.6;0.8"

    The animation spends 1/3 of its duration at each value (0.3, 0.6, and 0.8).

  • VALUES = "0.3;0.6"

    The animation spends 1/2 of its duration at each value (0.3 and 0.6).

  • FROM = "0" TO = "0.8"

    When the FROM and TO or BY attributes are used together, 1/2 of its duration is spent at the value of the FROM attribute and 1/2 of its duration is spent at the value of the TO or BY attribute (0 and 0.8).

  • TO = "0.8"

    When the FROM attribute is omitted, the animation spends 100% of its duration at the value of the TO or BY attribute (0.8).

Example

This example uses the calcMode property to demonstrate how to set the interpolation mode for an animation.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>calcmode Property</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<SCRIPT>
function btnEnable(){
//After element's timeline has ended, enable buttons.
b1.disabled=false;
b2.disabled=false;
b3.disabled=false;
b4.disabled=false;
}
function btnDisable(){
//Element's timeline begins; disable buttons.
b1.disabled=true;
b2.disabled=true;
b3.disabled=true;
b4.disabled=true;
}
</SCRIPT>
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<H2 style="position:absolute;top:35px;">Click one of the buttons below.</H2>
<P style="position:absolute;top:65px;">This example demonstrates each of the
possible values for the calcMode property.</P>
<DIV id="t1" style="position:absolute;top:75px;left:50px;height:100px;
width:100px;background-color:yellow;text-align:center;font-size:large;
visibility:hidden">
</DIV>
<t:animate id="tt1" begin="b1.click + 1;" dur="4s" from="50" to="410"
targetElement="t1" attributeName="left" fill="remove"
onbegin="btnDisable();" onend="t1.style.visibility='hidden';btnEnable();"/>
<DIV id="t2" style="position:absolute;top:75px;left:50px;height:100px;
width:100px;background-color:yellow;text-align:center;font-size:large;
visibility:hidden">
</DIV>
<t:animate id="tt2" begin="b2.click + 1;" calcmode="discrete" dur="4s"
from="50" to="410" targetElement="t2" attributeName="left" fill="remove"
onbegin="btnDisable();" onend="t2.style.visibility='hidden';btnEnable();"/>
<DIV id="t3" style="position:absolute;top:75px;left:50px;height:100px;
width:100px;background-color:yellow;text-align:center;font-size:large;
visibility:hidden">
</DIV>
<t:animate id="tt3" begin="b3.click + 1" dur="4s" calcMode="paced" from="50"
by="335" targetElement="t3" attributeName="left" fill="remove"
onbegin="btnDisable();" onend="t3.style.visibility='hidden';btnEnable();"/>
<DIV id="t4" style="position:absolute;z-index=1;top:75px;left:50px;
height:100px;width:100px;background-color:yellow;text-align:center;
font-size:large;visibility:hidden">
</DIV>
<t:animate id="tt4" begin="b4.click + 1" dur="4s" calcMode="spline"
keySplines="0 0 1 1" keyTimes="0; 1" values="200;410" targetElement="t4"
attributeName="left" fill="freeze" onbegin="btnDisable();"
onend="t4.style.visibility='hidden';btnEnable();"/>
<P style="position:relative;top:175px;">
<BUTTON id="b1" onclick="t1.style.visibility='visible';tt1.calcmode='linear';
t1.innerText='Linear Example';" style="font-weight:bold;">Default Linear</BUTTON>
<BUTTON id="b2" onclick="t2.style.visibility='visible';
t2.innerText='Discrete Example';">Show Discrete</BUTTON>
<BUTTON id="b3" onclick="t3.style.visibility='visible';
t3.innerText='Paced Example';">Show Paced</BUTTON>
<BUTTON id="b4" onclick="t4.style.visibility='visible';
t4.innerText='Spline Example';">Show Spline</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:ANIMATE, t:ANIMATECOLOR

See Also

Introduction to HTML+TIME


CALCMODE Attribute | calcMode Property (t:TRANSITIONFILTER) (Internet Explorer - HTML+Time 2)

CALCMODE Attribute | calcMode Property

Sets or retrieves the interpolation mode for the progress of the transitionFilter.

Syntax

HTML | <t:TRANSITIONFILTER CALCMODE = sMode... >
Scripting | t:TRANSITIONFILTER.calcMode(calcmode) [ = sMode ]

Possible Values

sMode String that specifies or receives one of the following values:
discrete | The progress of the transition jumps from one value to the next, without any interpolation.
linear | Default. The transition uses simple linear interpolation between values to calculate the animation function.

The property is read/write. The property has a default value of linear.

Remarks

Use the calcMode attribute to determine how the specified values of the values, to, by, and from attributes are interpreted. For an illustration of this, see the following example.

When this property is set to a value of discrete, the duration of the animation is divided into equal time periods that depend on the values assigned to one or more of the following attributes: TO, FROM, BY, VALUES, or PATH. As one time period moves to the next, the animation jumps to the next value with no interpolation. Here is a list of examples.

  • VALUES = "0.3;0.6;0.8"

    The animation spends 1/3 of its duration at each value (0.3, 0.6, and 0.8).

  • VALUES = "0.3;0.6"

    The animation spends 1/2 of its duration at each value (0.3 and 0.6).

  • FROM = "0" TO = "0.8"

    When the FROM and TO or BY attributes are used together, 1/2 of its duration is spent at the value of the FROM attribute and 1/2 of its duration is spent at the value of the TO or BY attribute (0 and 0.8).

  • TO = "0.8"

    When the FROM attribute is omitted, the animation spends 100% of its duration at the value of the TO or BY attribute (0.8).

Example

This example shows how the calcMode property determines the way the values attribute is interpreted.

<HTML XMLNS:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time{behavior: url(#default#time2);}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
<t:TRANSITIONFILTER BEGIN="oDiv1.begin" TYPE="barWipe" DUR="5"
TARGETELEMENT="oDiv1" VALUES=".1;.17;.27;.37;.47;.56;.65;.71;.82;.92;1.0"
CALCMODE="discrete"/>
<t:TRANSITIONFILTER BEGIN="oDiv1.begin" TYPE="barWipe" DUR="5"
TARGETELEMENT="oDiv2" VALUES=".1;.17;.27;.37;.47;.56;.65;.71;.82;.92;1.0"
CALCMODE="linear"/>
<INPUT TYPE="button" ID="oStartButton" VALUE="Start Transition">
<P>
<DIV CLASS="time"  begin="oStartButton.click" ID="oDiv1" DUR="indefinite"
STYLE="position:relative; left:20px; width:420px; height:100px;
background-image:url(ART_time_progress.gif); background-repeat: no-repeat;">
</DIV>
<DIV CLASS="time"  begin="oStartButton.click" ID="oDiv2" DUR="indefinite"
STYLE="position:relative; left:20px; width:420px; height:100px;
background-image:url(ART_time_progress.gif); background-repeat: no-repeat;">
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

t:TRANSITIONFILTER

See Also

Introduction to HTML+TIME, Using HTML+TIME Transitions


CALCMODE Attribute | calcMode Property (t:ANIMATEMOTION)

CALCMODE Attribute | calcMode Property

Sets or retrieves the interpolation mode for the animateMotion object.

Syntax

HTML | <t:ANIMATEMOTION CALCMODE = sMode... >
Scripting | t:ANIMATEMOTION.calcMode(calcmode) [ = sMode ]

Possible Values

sMode String that specifies or receives one of the following values:
discrete | The animation jumps from one value to the next, without any interpolation.
linear | The animation uses simple linear interpolation between values to calculate the animation function.
paced | Default. The animation defines an even pace of change across the animation. This is only supported for attribute values that define a linear numeric range, and for which a notion of distance between points can be calculated, such as width or height.
spline | The animation interpolates from one value to the next according to a time function defined by a cubic Bezier spline. The points of the spline are defined in the keyTimes property and the control points for each interval are defined in the keySplines property.

The property is read/write. The property has a default value of paced.

Remarks

The default value for the t:ANIMATEMOTION element is paced.

Applies To

t:ANIMATEMOTION

See Also

Introduction to HTML+TIME


CALCMODE Attribute | calcMode Property (t:ANIMATECOLOR)

CALCMODE Attribute | calcMode Property

Sets or retrieves the interpolation mode for a t:ANIMATECOLOR element.

Syntax

HTML | <t:ANIMATECOLOR CALCMODE = sMode... >
Scripting | t:ANIMATECOLOR.calcMode(calcmode) [ = sMode ]

Possible Values

sMode String that specifies or receives one of the following values:
discrete | The animation jumps from one value to the next, without any interpolation.
linear | Default. The animation uses simple linear interpolation between values to calculate the animation function. In the context of t:ANIMATECOLOR, valid values are hexadecimal RGB values or the keywords that represent them.
paced | The animation defines an even rate of change across the animation. This is only supported for attribute values that define a linear numeric range, values for which a notion of distance between points can be calculated (such as width or height), and hexadecimal RGB values or the keywords that represent them.
spline | The animation interpolates from one value to the next according to a time function defined by a cubic Bezier spline. The points of the spline are defined in the keyTimes property and the control points for each interval are defined in the keySplines property.

The property is read/write. The property has a default value of linear.

Remarks

The default value for the t:ANIMATECOLOR element is linear.

Use the calcMode attribute to determine how the specified values of the to, by, from, and values attributes are interpolated.

Example

This example shows how to set the interpolation mode for an animation by specifying a value for the calcMode attribute. The a2 t:ANIMATECOLOR element changes the value of a DIV element's backgroundColor property over an 8-second duration. When calcMode is set to discrete, the animation displays each of the color values #FF0000, #0000FF, #32CD32, and #FFFF00 for 2.5 seconds without interpolation. When calcMode is set to linear, the animation distributes the color values evenly across the 10-second duration, but the rate of change between hexadecimal RGB values does not remain constant, since the colors in the values list might not be evenly spaced along the RGB color model. When calcMode is set to paced, the animation maintains a constant rate of change between color values—however, the intervals between the appearance of each listed value might be different.

When calcMode is set to spline, the animation interpolates from one value in the values list to the next according to a time function defined by a cubic Bezier spline. The points of the spline are defined in the keyTimes attribute, and the control points for each interval are defined in the keySplines attribute (keyTimes and keySplines must be added to this example if calcMode is set to spline). Click the Show Me button to see an expanded version of this snippet that resets the calcMode attribute for the animation.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time {behavior: url(#default#time2);}
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY>
<t:PAR id="p1" begin="0" dur="13" fill="hold"
onbegin="outerDIV.innerText=(a2.calcMode);">
<t:ANIMATECOLOR id="a2"
targetElement="innerDIV"
attributeName="background-color"
values="#FF0000;#0000FF;#32CD32;#FFFF00"
begin="2"
dur="8" fill="hold"
calcMode="paced" />
<!-- When you set calcMode to "spline", you must also set the keyTimes
and keySplines attributes on the element. -->
</t:PAR>
<DIV id="outerDIV" class="time" style="FONT-SIZE: 18; LEFT: 68px;
WIDTH: 279px; POSITION: absolute; TOP: 240px; HEIGHT: 217px;
BACKGROUND-COLOR: #B0C4DE; TEXT-ALIGN: left; padding-left:3;
border:1px solid black;"></DIV>
<DIV id="innerDIV" class="time" style="FONT-SIZE: 18; LEFT: 92px;
WIDTH: 228px; POSITION: absolute; TOP: 278px; HEIGHT: 148px;
BACKGROUND-COLOR:#FFFFFF; TEXT-ALIGN: left;padding-left:3"></DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

t:ANIMATECOLOR

See Also

Introduction to HTML+TIME, Color Table


canPause Property (t:ANIMATION, t:AUDIO, t:IMG, ...)

canPause Property

Retrieves a value that indicates whether the media file can be paused.

Syntax

HTML | N/A
Scripting | [ bPause = ] object.canPause

Possible Values

bPause Boolean that receives one of the following values.
false | Default. Media file cannot be paused.
true | Media file can be paused.

The property is read-only. The property has a default value of false.

Standards Information

This property is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:REF, t:VIDEO

See Also

Introduction to HTML+TIME, canSeek


ITIMEMediaPlayer::canPause Property

Retrieves a value that indicates whether the media file can be paused.

Syntax

HRESULT ITIMEMediaPlayer::get_canPause(VARIANT_BOOL *b);

Parameters

b
Pointer to a variable of type VARIANT_BOOL that receives one of the values listed in Possible Values.

Possible Values

VARIANT_FALSE | Media file cannot be paused.
VARIANT_TRUE | Media file can be paused.

Return Value

Returns S_OK if successful, or an error value otherwise.

Remarks

This property is only relevant for people who are writing a custom player for HTML+TIME (Timed Interactive Multimedia Extensions).


canSeek Property (t:ANIMATION, t:AUDIO, t:IMG, ...)

canSeek Property

Retrieves a value that indicates whether the media file is capable of locating a specific time in the media's duration.

Syntax

HTML | N/A
Scripting | [ bSeek = ] object.canSeek

Possible Values

bSeek Boolean that receives one of the following values.
false | Default. Media file cannot locate a specific time in its duration.
true | Media can file locate a specific time in its duration.

The property is read-only. The property has a default value of false.

Remarks

Some streaming formats do not support seeking. Ideally, the canSeek property should indicate if a media type supports seeking. Some formats, particularly streaming media, do not report the correct information regarding their ability to seek.

Media must be seekable (canSeek = true), for the clipBegin or clipEnd methods to work on that media.

Standards Information

This property is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:REF, t:VIDEO

See Also

Introduction to HTML+TIME, canPause, clipBegin


CLIPBEGIN Attribute | clipBegin Property (t:ANIMATION, t:AUDIO, t:IMG, ...)

CLIPBEGIN Attribute | clipBegin Property

Sets or retrieves the beginning point of a sub-clip of a continuous media object.

Syntax

HTML | <ELEMENT CLIPBEGIN = sTime... >
Scripting | object.clipBegin [ = sTime ]

Possible Values

sTime String that specifies or receives the beginning point of a media object as an offset from the start time. The time must be specified as described in Time Formats.

The property is read/write. The property has no default value.

Remarks

In order for the CLIPBEGIN attribute to work, the time2 behavior must be able to seek into the media. Some streaming formats do not support seeking. Ideally, the canSeek property should indicate if a media type supports seeking. Some formats, particularly streaming media, do not report the correct information regarding their ability to seek.

Media must be seekable (canSeek = true), for the clipBegin or clipEnd methods to work on that media.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:REF, t:VIDEO

See Also

Introduction to HTML+TIME, canSeek, CLIPEND


ITIMEMediaPlayer::clipDur Property

Outputs the effective media duration.

Syntax

HRESULT ITIMEMediaPlayer::get_clipDur(double *dur);

Parameters

dur
Pointer to a variable of type double that receives the media duration.

Return Value

Returns S_OK if successful, or an error value otherwise.

Remarks

This property is only relevant for people who are writing a custom player for HTML+TIME (Timed Interactive Multimedia Extensions).


ITIMEMediaPlayer::clipEnd Property

Sets or retrieves the end point of a sub-clip of a continuous media object.

Syntax

HRESULT ITIMEMediaPlayer::put_clipEnd(VARIANT e);

Parameters

e
VARIANT that specifies the end point of a media object as an offset from the start time.

Return Value

Returns S_OK if successful, or an error value otherwise.

Remarks

This property is only relevant for people who are writing a custom player for HTML+TIME (Timed Interactive Multimedia Extensions).


ITIMEMediaPlayer::copyright Property

Retrieves the copyright information associated with a media file.

Syntax

HRESULT ITIMEMediaPlayer::get_copyright(BSTR *cpyrght);

Parameters

cpyrght
Pointer to a variable of type BSTR that receives the copyright information associated with the media file.

Return Value

Returns S_OK if successful, or an error value otherwise.

Remarks

This property is only relevant for people who are writing a custom player for HTML+TIME (Timed Interactive Multimedia Extensions).


currentFrame Property (t:ANIMATION, t:AUDIO, t:IMG, ...)

currentFrame Property

Retrieves a value that indicates the currentFrame of the object.

Syntax

HTML | N/A
Scripting | [ iFrame = ] object.currentFrame

Possible Values

iFrame Integer that receives the currentFrame of the object.

The property is read-only. The property has no default value.

Example

This example demonstrates how to use the currentFrame property to retrieve the current frame every hundredth of a second while the media object plays.

<HTML xmlns:t= "urn:schemas-microsoft-com:time">
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{behavior:url(#default#time2)}
</STYLE>
</HEAD>
<BODY>
<CENTER>
...
<t:video style="width:175px; height:150px;" id="oMedia"
src="../../common/samples/author/behaviors/media/movie.avi"/>
<BR><BR>
<B>Current frame: </B><SPAN id="oCurrFrame" class="time" dur="0.01"
repeatCount="indefinite" fill="hold"
onrepeat="innerText=parseInt(oMedia.currentFrame);"></SPAN>
<BR><BR>
<BUTTON onclick="oMedia.beginElement();">Restart</BUTTON>
</CENTER>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:REF, t:VIDEO


ITIMEMediaPlayer::currTime Property

Retrieves the current playback time of the player.

Syntax

HRESULT ITIMEMediaPlayer::get_currTime(double *time);

Parameters

time
Pointer to a variable of type double that receives the current playback time of the player.

Return Value

Returns S_OK if successful, or an error value otherwise.

Remarks

This property is only relevant for people who are writing a custom player for HTML+TIME (Timed Interactive Multimedia Extensions).


ITIMEMediaPlayer::customObject Property

Allows the player to pass in a dispatch that implements the custom object model. This interface can be passed out to script.

Syntax

HRESULT ITIMEMediaPlayer::get_customObject(IDispatch **disp);

Parameters

disp
Address of a pointer to a variable of type IDispatch interface that receives the dispatch that impliments the custom object model.

Return Value

Returns S_OK if successful, or an error value otherwise.

Remarks

This property is only relevant for people who are writing a custom player for HTML+TIME (Timed Interactive Multimedia Extensions).


DECELERATE Attribute | decelerate Property (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...)

DECELERATE Attribute | decelerate Property

Sets or retrieves a value that applies a deceleration to the end of a simple duration.

Syntax

HTML | <ELEMENT DECELERATE = fRate... >
Scripting | object.decelerate [ = fRate ]

Possible Values

fRate Floating-point number that specifies a value between 0 and 1 that represents the portion of the timeline over which the deceleration is applied. The timeline refers to that timeline associated with a particular HTML element (such as a div or span), rather than the timeline associated with the entire document.
0 Default. Deceleration is not applied to the element's timeline.

The property is read/write. The property has a default value of 0.

Remarks

The simple duration is the segment of time from when the element begins playing until it completes one forward cycle of its behavior, excluding repetitions.

If the REPEATCOUNT or REPEATDUR attribute is set on an element, the deceleration occurs each time the element repeats.

The DECELERATE attribute is especially well suited to animation content and behaviors. Setting this attribute to a nonzero value does not affect the duration of the timeline.

The sum of the values for the ACCELERATE and DECELERATE attributes must not exceed 1. If the individual values of the ACCELERATE and DECELERATE attributes are between 0 and 1 and the sum is greater than 1, then both the ACCELERATE and DECELERATE attributes will be ignored and the timed element will behave as if neither attribute was specified.

This property is also commonly known as "ease-out" in some systems.

Example

This example uses the decelerate element to display a decelerated timeline.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>decelerate Property</TITLE>
<STYLE>
.time { behavior: url(#default#time2) }
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="fixed" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<DIV ID="oDIV" CLASS="time"
STYLE="position:absolute;top:75px;left:10px;height:50px;width:100px;
background-color:yellow;text-align:center;font-color:black;
font-size:large">Decelerating DIV
</DIV>
<t:ANIMATE targetElement="oDIV" attributeName="left" to="400" dur="4" decelerate="1"
repeatCount="3"/>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:EXCL, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, time2, t:VIDEO

See Also

accelerate, Introduction to HTML+TIME


downloadCurrent Property (t:ANIMATION, t:AUDIO, t:IMG, ...)

downloadCurrent Property

Retrieves a value that indicates the current number of bytes downloaded from streaming content.

Syntax

HTML | N/A
Scripting | [ idownloadCurrent = ] object.downloadCurrent

Possible Values

idownloadCurrent Integer that receives the current number of bytes downloaded from streaming content.

The property is read-only. The property has no default value.

Remarks

This property applies only to streaming content.

Example

The following example demonstrates how to retrieve the current number of bytes downloaded from streaming content. By setting the syncBehavior attribute to locked, the parent's timeline does not progress until the media object is ready to be played.

<HTML xmlns:t="urn:schemas-microsoft-com:time">
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{behavior:url(#default#time2)}
</STYLE>
<BODY>
<t:media id="mp2" src="/directory/file.asx" syncBehavior="locked"
timeAction="display"/>
<P>DownloadCurrent:
<SPAN class="time" dur="0.1" repeatCount="indefinite"
onrepeat="innerText=mp2.downloadCurrent;">0</SPAN>
</P>
</BODY>
</HTML>

Applies To

t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:REF, t:VIDEO

See Also

Introduction to HTML+TIME


ITIMEMediaPlayerNetwork::downloadProgress Property

Retrieves the downloading progress of the media.

Syntax

HRESULT ITIMEMediaPlayerNetwork::get_downloadProgress(long *l);

Parameters

l
Pointer to a variable of type long that receives the downloading progress of the media.

Return Value

Returns S_OK if successful, or an error value otherwise.

Remarks

This property is only relevant for people who are writing a custom player for HTML+TIME (Timed Interactive Multimedia Extensions).


downloadTotal Property (t:ANIMATION, t:AUDIO, t:IMG, ...)

downloadTotal Property

Retrieves a value that indicates the total size of the file (in bytes) downloaded.

Syntax

HTML | N/A
Scripting | [ idownloadTotal = ] object.downloadTotal

Possible Values

idownloadTotal Integer that receives the total size of the file (in bytes) downloaded.

The property is read-only. The property has no default value.

Example

This example demonstrates how to retrieve the file size (in bytes) downloaded using the downloadTotal property.

<HTML xmlns:t= "urn:schemas-microsoft-com:time">
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{behavior:url(#default#time2)}
</STYLE>
<BODY>
<t:video id="mp2"
src="http://msdn.microsoft.com../../common/samples/author/behaviors/media/movie.avi"/>
<P>
DownloadTotal:
<SPAN class="time" dur="0.1" repeatCount="indefinite"
onrepeat="innerText=mp2.downloadTotal;">0</SPAN>
</P>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:REF, t:VIDEO

See Also

Introduction to HTML+TIME


DUR Attribute | dur Property (t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, ...)

DUR Attribute | dur Property

Sets or retrieves a value indicating the amount of time the element remains active or displayed.

Syntax

HTML | <ELEMENT DUR = sTime... >
Scripting | object.dur [ = sTime ]

Possible Values

sTime String that specifies one of the following values:
indefinite | Element remains active on the timeline for an indefinite amount of time.
duration | Amount of time the element remains active or displayed. The time must be specified as described in Time Formats.

The property is read/write. The property has no default value.

Remarks

Any media tag (img, media, etc.) has a default DUR value based on the type of media. For movies, audio, and animated GIFs, the default DUR is built into the media and can be determined by calling the mediaDur property. For static images, the default DUR value is zero seconds. When used with any other type of element, the default value for DUR is indefinite.

The DUR attribute is a value relative to the value of the element's BEGIN attribute. By contrast, the END attribute represents an absolute value along the parent element's timeline starting at 0 seconds. Do not use the DUR attribute on the same element as the END attribute.

For Microsoft?DirectMusic? if you set dur to be 0 on a playing segment, it will stop playing at the end of the next measure.

The dur property is read-only on the playItem object.

Example

This example uses the DUR attribute to display lines of text for different amounts of time.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY BGCOLOR="white">
<SPAN CLASS=time STYLE="COLOR:Red;" BEGIN="0" DUR="5"
TIMEACTION="visibility">
<H3>Paragraph 1</H3>
<P>This is paragraph number one. It displays for five
seconds.</P>
</SPAN>
<SPAN CLASS=time STYLE="COLOR:Blue;" BEGIN="0" DUR="10"
TIMEACTION="visibility">
<H3>Paragraph 2</H3>
<P>This is paragraph number two. It displays for ten
seconds.</P>
</SPAN>
<SPAN CLASS=time STYLE="COLOR:Green;" BEGIN="0" DUR="indefinite"
TIMEACTION="visibility">
<H3>Paragraph 3</H3>
<P>This is paragraph number three. It displays
indefinitely.</P>
</SPAN>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:EXCL, t:IMG, t:MEDIA, t:PAR, playItem, playList, t:REF, t:SEQ, t:SET, time2, t:VIDEO

See Also

Introduction to HTML+TIME, activeDur, mediaDur, repeatDur, segmentDur, simpleDur


DUR Attribute | dur Property (t:TRANSITIONFILTER)

DUR Attribute | dur Property

Sets or retrieves a value indicating the amount of time a transition is applied to an element.

Syntax

HTML | <t:TRANSITIONFILTER DUR = sDur... >
Scripting | t:TRANSITIONFILTER.dur [ = sDur ]

Possible Values

sDur String that specifies one of the following values:
1s | Default. The transition lasts for one second.
duration | Duration of the transition. The time must be specified as described in Time Formats.

The property is read/write. The property has a default value of 1s.

Remarks

This attribute is required by the transitionFilter element.

Example

The following sample shows how the value of the DUR attribute inside of a transitionFilter element determines how fast a transition is executed.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time{behavior: url(#default#time2);}
</STYLE>
<?import namespace=t urn="urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
<t:TRANSITIONFILTER BEGIN="oButtonSlow.click" TYPE="barWipe" DUR="6"
TARGETELEMENT="oDiv1"/>
<t:TRANSITIONFILTER BEGIN="oButtonFast.click" TYPE="barWipe" DUR="1"
TARGETELEMENT="oDiv2"/>
<INPUT TYPE="button" ID="oButtonSlow" VALUE="Slow DUR=6"><BR/><BR/>
<BR/>
<DIV CLASS="time" BEGIN="oButtonSlow.click" ID="oDiv1" DUR="indefinite"
STYLE="position:relative; left:20px; width:420px; height:100px;
background-image:url(ART_time_progress.gif); background-repeat: no-repeat;">
</DIV>
<INPUT TYPE="button" ID="oButtonFast" VALUE="Fast DUR=1">
<BR/>
<DIV CLASS="time" BEGIN="oButtonFast.click" ID="oDiv2" DUR="indefinite"
STYLE="position:relative; left:20px; width:420px; height:100px;
background-image:url(ART_time_progress.gif); background-repeat: no-repeat;">
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

t:TRANSITIONFILTER

See Also

Introduction to HTML+TIME, activeDur, mediaDur, repeatDur, segmentDur, simpleDur


END Attribute | end Property (A, ACRONYM, ADDRESS, ...)

END Attribute | end Property

Sets or retrieves a value indicating the end time for the element, or the end of the simple duration when the element is set to repeat.

What's New for Microsoft?Internet Explorer 6

The end property applies to the transitionFilter.

Syntax

HTML | <ELEMENT END = sTime... >
Scripting | object.end [ = sTime ]

Possible Values

sTime String that specifies or receives one of the following values:
clock-value | Clock value, such as h:min:s.f, described in Time Formats.
id.begin[+/-clock-value] | Element end time defined relative to the begin time of another element. For example, to make the element end 10 seconds after element x begins, specify end="x.begin+10s". The clock-value is optional.
id.end[+/-clock-value] | Element end time defined relative to the end time of another element. For example, to make the element end 25 seconds before element x ends, specify end="x.end-25s". The clock-value is optional.
indefinite | Element remains active on the timeline for an indefinite amount of time.

The property is read/write. The property has no default value.

Remarks

The END attribute represents an absolute value along the parent element's timeline starting at zero seconds. By contrast, the DUR attribute represents a value relative to the value of the element's BEGIN attribute. Do not use the END attribute on the same element as the DUR attribute.

The END attribute can be assigned many END time values. For example, to make the element end 12 seconds after element x receives focus, specify END="x.onfocus+12s". To make the element end 10 seconds before element x begins, specify END="x.end-10s". If you want an element to end four seconds after the page loads or to end one second after the user clicks an object on the page, use the following syntax. END="4; oObject.click+1".

When using an element associated with the time behavior, rather than the time2 behavior, you must prefix the attribute with the t: namespace. The time behavior only supports the clock-value format and the value indefinite.

Examples

This example uses the END attribute to display three lines of text, each with its own start time, but all with the same end time.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY BGCOLOR="white">
<SPAN CLASS=time STYLE="COLOR:Red;" BEGIN="0" END="10"
TIMEACTION="visibility">
<H3>Paragraph 1</H3>
<P>This is paragraph number one. It is displayed as soon as
the page is loaded.</P>
</SPAN>
<SPAN CLASS=time STYLE="COLOR:Blue;" BEGIN="3" END="10"
TIMEACTION="visibility">
<H3>Paragraph 2</H3>
<P>This is paragraph number two. It is displayed three seconds
after the page is loaded.</P>
</SPAN>
<SPAN CLASS=time STYLE="COLOR:Green;" BEGIN="6" END="10"
TIMEACTION="visibility">
<H3>Paragraph 3</H3>
<P>This is paragraph number three. It is displayed six seconds
after the page is loaded.</P>
</SPAN>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the END attribute to make a paragraph disappear when the user clicks the button.

<HTML>
<HEAD>
<STYLE>
.time2 {behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY BGCOLOR="white">
<BUTTON ID="button1">Hide Paragraph</BUTTON><BR><BR>
<SPAN ID="span1" CLASS="time2" STYLE="COLOR:Red;"
END="button1.click" TIMEACTION="display">
<H3>Paragraph 1</H3>
<P>This is paragraph number one. It disappears when the button
is clicked.</P>
</SPAN>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example uses the END attribute to alter the effect of a transition.

<HTML xmlns:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
<t:TRANSITIONFILTER TYPE="fade" DUR="8" END="4" TARGETELEMENT="firstDiv"/>
<DIV CLASS="time" ID="firstDiv" DUR="indefinite"
STYLE="position:relative; left:20px; width:420px; height:100px;
background-image:url(ART_time_progress.gif); background-repeat: no-repeat;">
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example shows how to use multiple values for the END attribute to specify that a time element can end on the time line for several different reasons.

<HTML XMLNS:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
#oDiv
{
border:2px solid black;
font:12pt arial;
padding:20;
color:#000000;
background-color:#FFCC00;
width:270px;
height:270px;
}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY ID="oBody">
<BUTTON ID="oButton">Click</BUTTON>
<t:PAR ID="oPar" BEGIN="oButton.click">
<!-- This DIV ends on the time line either after 8 seconds, one second after the body
of the document is clicked, or one second after the mouse cursor leaves the DIV. -->
<DIV ID="oDiv" BEGIN="1" CLASS="time" END="8;oBody.click+1;oPar.mouseleave+1">
<!-- These TRANSITIONFILTER elements are just here to create the visible transitions -->
<t:TRANSITIONFILTER BEGIN="oDiv.begin" DUR="1" MODE="in" TYPE="fade"/>
<t:TRANSITIONFILTER BEGIN="oDiv.End-1;" DUR="1" MODE="out" TYPE="pushWipe"/>
This is the contents of the DIV
</DIV>
</t:PAR>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, AREA, t:AUDIO, B, BIG, BLOCKQUOTE, BUTTON, CAPTION, CENTER, CITE, CODE, DD, DEL, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, hn, HR, I, IFRAME, IMG, t:IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LEGEND, LI, LISTING, MARQUEE, t:MEDIA, MENU, OL, OPTION, P, PLAINTEXT, playItem, PRE, Q, t:REF, S, SAMP, t:SEQ, t:SET, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, time2, TR, TT, U, UL, VAR, t:VIDEO, XMP, t:TRANSITIONFILTER

See Also

Introduction to HTML+TIME, endElement, endElementAt


ENDSYNC Attribute | endSync Property (t:PAR, t:EXCL)

ENDSYNC Attribute | endSync Property

Sets or retrieves the synchronization rule that specifies which child element is used to determine when the time container will end.

Syntax

HTML | <ELEMENT ENDSYNC = sRule... >
Scripting | object.endSync [ = sRule ]

Possible Values

sRule String that specifies or receives one of the following values.
all | Time container ends when all of the child elements have ended their respective active durations. Elements with indefinite or unresolved begin times will keep the simple duration of the time container from ending. When all elements have completed the active duration one or more times, the parent time container can end.
first | Time container ends the first time one of its child elements ends. This child element does not have to be the first to start in the time container, nor the first child in lexical order.
id | Time container ends with the specified child. The id must correspond to one of the immediate children of the time container.
last | Default. Time container ends when the last of all its child elements ends. This child element does not have to be the last to start in the time container, nor the last child in lexical order.
none | The time container ignores the children's duration and uses the time container's duration. For example, you can set a dur or end value on the time container itself rather than rely on the duration of the child elements. This value is a Microsoft?extension to the Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link specification.

The property is read/write. The property has a default value of last.

Example

This example uses the ENDSYNC attribute to show how to end a time container once the second child element ends.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time {behavior: url(#default#time2);}
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY>
<t:excl ID="parent" endsync="div2">
<DIV ID="div1" CLASS="time" BEGIN="0" DUR="2">First line of text.</DIV>
<DIV ID="div2" CLASS="time" BEGIN="2" DUR="2">Second line of text.</DIV>
<DIV ID="div3" CLASS="time" BEGIN="4" DUR="2">Third line of text.</DIV>
</t:excl>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:PAR, t:EXCL

See Also

Introduction to HTML+TIME


FILL Attribute | fill Property (t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, ...)

FILL Attribute | fill Property

Sets or retrieves the action an element takes if its timeline ends before the timeline on its parent element ends.

What's New for Microsoft?Internet Explorer 6

The fill property supports transition as a new possible value.

Syntax

HTML | <ELEMENT FILL = sAction... >
Scripting | object.fill(f) [ = sAction ]

Possible Values

sAction String that specifies or receives one of the following values.
freeze | Element will remain in its state at the end of its timeline. The effective end of the element is dependent on the parent time container type. In a t:PAR container, the element ends when the t:PAR ends. In a t:SEQ or an t:EXCL container, the element ends when the next element begins.
hold | Element will remain in its state at the end of its timeline until the end of the parent time container, regardless of the parent time container type.
remove | Element will not extend past the end of its timeline.
transition Internet Explorer 6 and later. Element will remain in its state at the end of its timeline. The effective end of the element is dependent upon the subsequent transition of an overlapping element. The element ends when the overlapping element's transition ends. An element with a value of transition will only work appropriately when the following conditions are met:
  • The element is inside of a t:SEQ or t:PAR element.
  • The t:TRANSITIONFILTER is a child of the element to be transitioned.
  • The parent element of the t:TRANSITIONFILTER must have a TIMECONTAINER attribute value of par.
  • t:AUTOREVERSE is not used on the t:TRANSITIONFILTER element.
  • The elements overlap in layout. It is currently possible for the elements not to overlap and a value of transition to have an effect. However, this should not be done because later versions of Internet Explorer may not support this behavior.

The property is read/write. The property has no default value.

Remarks

If an element is a time container (t:SEQ, for example), then the default value is remove.

If an element is not a time container and specifies a DUR, END, REPEATDUR, or REPEATCOUNT, then the default value is remove.

If an element is not a time container and does not specify any of the above four attributes, then the default value is freeze.

This property supersedes the endHold property.

Examples

This example uses the fill attribute to set the action taken by the element when its timeline ends before the timeline of its parent element ends.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>fill Property</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY>
<t:excl id="t1" begin="0" DUR="15">
<DIV ID="div1" class="time" BEGIN="0" DUR="10" fill="freeze">
This text has a duration of 10 seconds, but the time container has a
duration of 15 seconds. This text will be displayed beyond its timeline
until the timeline of its parent element ends.
</DIV>
</t:excl>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The example below demonstrates setting the FILL attribute to transition. Because the first and second images have the FILL attribute set to transition, the first image will be visible while the second image transitions in and the second image will be visible as the third image transitions in.

<HTML XMLNS:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
<DIV STYLE="height:100px">
<t:SEQ REPEATCOUNT="indefinite" >
<t:MEDIA STYLE="position:absolute;" src = "onepic.jpg" DUR="3"
TIMECONTAINER="par" FILL="transition" >
<t:TRANSITIONFILTER TYPE="fade" DUR="2"/>
</t:MEDIA>
<t:MEDIA  STYLE="position:absolute;" SRC = "twopic.jpg" DUR="3"
TIMECONTAINER="par" FILL="transition"  >
<t:TRANSITIONFILTER TYPE="ClockWipe" DUR="2"/>
</t:MEDIA>
<t:MEDIA  STYLE="position:absolute;" SRC = "threepic.jpg" DUR="3"
TIMECONTAINER="par" >
<t:TRANSITIONFILTER TYPE="barnDoorWipe" DUR="2"/>
</t:MEDIA>
</t:SEQ>
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:SET, time2, t:VIDEO

See Also

Introduction to HTML+TIME


FROM Attribute | from Property (t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION)

FROM Attribute | from Property

Sets or retrieves the starting value of an animation.

Syntax

HTML | <ELEMENT FROM = vValue... >
Scripting | object.from(val) [ = vValue ]

Possible Values

vValue Variant that specifies or receives the starting value of the animation. This value can include any of the following length unit designators: px, in, cm, mm, pt, pc. For more information about the supported length units, see the CSS Length Units Reference.

The property is read/write. The property has no default value.

Remarks

If a from value is not specified, the animation uses the attribute's value at the time the animation is started.

When writing script to dynamically change the properties of an active animation, developers should consider a couple of issues. Because results might be unpredictable or undefined when you change the properties of an active animation, restart the animation with beginElement after you have made the change. For example:

<SCRIPT>
object.endElement();
object.from='100px';
object.beginElement();
</SCRIPT>

For the animate, animateMotion, and animateColor objects, the time2 behavior uses the following model to evaluate which properties to animate.

  • The path property overrides any setting for the values, from, to, or by properties.
  • The values property, if specified, overrides any setting for the from, to, or by properties.
  • The from property is used unless the values or path properties are specified.
  • The to property, if specified, overrides any setting for the by property.
  • The by property doesn't override any properties.
To change an active animation from a path to a from value through script:
<SCRIPT>
object.endElement();
object.path=null;
object.from='100px';
object.beginElement();
</SCRIPT>

Example

This example uses the from property to set the starting value of the animation.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY>
<!-- The ANIMATE element that facilitates animation of the DIV. -->
<t:ANIMATE ID="oAnim" AUTOREVERSE="true" begin="2" targetElement="div1"
attributeName="left" from="100px" dur="5" to="200px" fill="hold"/>
<!-- The DIV that is being animated -->
<DIV id="div1" class="time"
style="position:absolute;left:0px; top:170px; background-color:#003399;color:#FFCC00">
Moving DIV</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION

See Also

Introduction to HTML+TIME, by, to


FROM Attribute | from Property (t:TRANSITIONFILTER)

FROM Attribute | from Property

Sets or retrieves a progress value indicating the point from which to begin the transition.

Syntax

HTML | <t:TRANSITIONFILTER FROM = sFrom... >
Scripting | t:TRANSITIONFILTER.from(val) [ = sFrom ]

Possible Values

sFrom String that specifies or receives the starting value of the transition. Legal values are real numbers in the range 0.0-1.0. For instance, this attribute would equal "0.3" to begin a transition with the destination content transitioned in by 30%.
0.0 Default. Begin transition at 0 progress.

The property is read/write. The property has a default value of 0.0.

Remarks

The from is ignored if the values attribute is specified.

The transition can transition in or out depending how the to and from properties are set. For example, if the from property had a value of 1.0 and the to property had a value of 0.0, the transition would appear to transition out. However, to set the transition to go out, you would typically use the mode property.

When writing script to dynamically change the properties of an active animation, developers should consider a couple of issues. Because results might be unpredictable or undefined when you change the properties of an active animation, restart the animation with beginElement after you have made the change. For example:

<SCRIPT>
object.endElement();
object.from='0.5';
object.beginElement();
</SCRIPT>

For the animate, animateMotion, and animateColor objects, the time2 behavior uses the following model to evaluate which properties to animate.

  • The values property, if specified, overrides any setting for the from, to, or by properties.
  • The from property is used unless the values or path properties are specified.
  • The to property, if specified, overrides any setting for the by property.
  • The by property doesn't override any properties.

Example

This example shows how the from property begins progress of the transition part way through the transition.

<HTML XMLNS:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time{behavior: url(#default#time2);}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
<t:TRANSITIONFILTER  TYPE="barWipe" DUR="3" TARGETELEMENT="oDiv1" FROM="0.5"
TO="1.0"/>
<DIV CLASS="time" ID="oDiv1" DUR="indefinite" STYLE="position:relative;
left:20px; width:420px; height:100px;
background-image:url(ART_time_progress.gif); background-repeat: no-repeat;">
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

t:TRANSITIONFILTER

See Also

Introduction to HTML+TIME, Using HTML+TIME Transitions, by, to


FROM Attribute | from Property (t:ANIMATECOLOR)

FROM Attribute | from Property

Sets or retrieves the starting value of a color attribute or property animated by t:ANIMATECOLOR.

Syntax

HTML | <t:ANIMATECOLOR FROM = vValue... >
Scripting | t:ANIMATECOLOR.from(val) [ = vValue ]

Possible Values

vValue Variant that specifies or receives the starting value of the animation. This value supersedes the underlying value of the attribute or property.

The property is read/write. The property has no default value.

Remarks

If a from value is not specified, the animation uses the target attribute's value at the time the animation is started.

In the context of t:ANIMATECOLOR, valid attribute values are hexadecimal RGB values or the keywords that represent them (for example, #8A2BE2 or blueviolet). For more information about supported color values, see the Color Table.

When writing script to dynamically change the properties of an active animation, developers should consider a couple of issues. Because results might be unpredictable or undefined when you change the properties of an active animation, restart the animation with beginElement after you have made the change. For example:

<SCRIPT>
object.endElement();
object.from='#7FFFD4';
object.beginElement();
</SCRIPT>

For the animate, animateMotion, and animateColor objects, the time2 behavior uses the following model to evaluate which properties to animate.

  • The values property, if specified, overrides any setting for the from, to, or by properties.
  • The from property is used unless the values or path properties are specified.
  • The to property, if specified, overrides any setting for the by property.
  • The by property doesn't override any properties.

Example

The following example uses two t:ANIMATECOLOR elements to animate the backgroundColor of two DIV elements, outerDIV and innerDIV. The inner DIV begins with its backgroundColor set to yellow, which is animated to red over a five-second duration. The outer DIV is animated from red to yellow over the same duration.

The Show Me example provides several colored buttons; clicking one of them sets the from attribute of the inner DIV's animation element to that button's color value, and likewise sets the to attribute of the outer DIV's animation element.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time {behavior: url(#default#time2);}
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY>
<t:PAR id="p1" begin="0" dur="15" fill="hold">
<t:ANIMATECOLOR id="a1" attributeName="background-color" from="red" to="
yellow" targetElement="outerDIV" begin="0" dur="5" fill="hold"/>
<t:ANIMATECOLOR id="a2" attributeName="background-color" from="yellow"
to="red" targetElement="innerDIV" to="#0000FF" begin="0" dur="5"
fill="hold"/>
</t:PAR>
<DIV id="outerDIV" class="time" style="FONT-SIZE: 18px; LEFT: 118px;
BORDER: black 1px solid; WIDTH: 279px; POSITION: absolute; TOP: 240px;
HEIGHT: 217px; BACKGROUND-COLOR: red; TEXT-ALIGN: left; padding-left:3">
outerDIV</DIV>
<DIV id="innerDIV" class="time" style="FONT-SIZE: 18px; LEFT: 162px;
WIDTH: 188px; POSITION: absolute; TOP: 298px; HEIGHT: 98px;
BACKGROUND-COLOR: yellow; TEXT-ALIGN: left; padding-left:3">innerDIV</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

t:ANIMATECOLOR

See Also

Introduction to HTML+TIME, Color Table


ITIMEMediaPlayer::hasAudio Property

Retrieves a VARIANT_BOOL value that indicates whether the media contains audio.

Syntax

HRESULT ITIMEMediaPlayer::get_hasAudio(VARIANT_BOOL *b);

Parameters

b
Pointer to a variable of type VARIANT_BOOL that receives one of the values listed in Possible Values.

Possible Values

VARIANT_FALSE | The media does not contain audio.
VARIANT_TRUE | The media has audio.

Return Value

Returns S_OK if successful, or an error value otherwise.

Remarks

This property is only relevant for people who are writing a custom player for HTML+TIME (Timed Interactive Multimedia Extensions).


ITIMEMediaPlayerNetwork::hasDownloadProgress Property

Retrieves a VARIANT_BOOL value that indicates whether a media file has begun to download.

Syntax

HRESULT ITIMEMediaPlayerNetwork::get_hasDownloadProgress(VARIANT_BOOL *b);

Parameters

b
Pointer to a variable of type VARIANT_BOOL that receives one of the values listed in Possible Values.

Possible Values

VARIANT_FALSE | File has not begun to download.
VARIANT_TRUE | File has begun to download.

Return Value

Returns S_OK if successful, or an error value otherwise.

Remarks

This property is only relevant for people who are writing a custom player for HTML+TIME (Timed Interactive Multimedia Extensions).


hasMedia Property (A, ACRONYM, ADDRESS, ...)

hasMedia Property

Retrieves a Boolean value that indicates whether the element is an Introduction to HTML+TIME media element.

Syntax

HTML | N/A
Scripting | [ bMedia = ] object.hasMedia

Possible Values

bMedia Boolean that receives one of the following values.
true | The element is an Introduction to HTML+TIME media element.
false | The element is not an Introduction to HTML+TIME media element.

The property is read-only. The property has no default value.

Example

The following brief code sample uses an alert message to show the value of the hasMedia property.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>hasMedia Property</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
<SCRIPT>
function doFunction(){
alert('hasMedia: ' + m1.hasMedia);
}
</SCRIPT>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<t:media id="m1" begin="0" src="../../common/samples/author/behaviors/media/shuttle3.wmv"
onmediacomplete="doFunction();" fill="remove"/>
</BODY>
</HTML>

Standards Information

This property is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, AREA, t:AUDIO, B, BIG, BLOCKQUOTE, BUTTON, CAPTION, CENTER, CITE, CODE, DD, DEL, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, hn, HR, I, IFRAME, IMG, t:IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LEGEND, LI, LISTING, MARQUEE, t:MEDIA, MENU, OL, OPTION, P, PLAINTEXT, playItem, PRE, Q, t:REF, S, SAMP, t:SEQ, t:SET, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, t:SWITCH, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, time2, TR, TT, U, UL, VAR, t:VIDEO, XMP

See Also

Introduction to HTML+TIME


hasPlayList Property (t:AUDIO, t:MEDIA, t:REF, ...)

hasPlayList Property

Retrieves a Boolean value that indicates whether the element has a playList collection.

Syntax

HTML | N/A
Scripting | [ bMedia = ] object.hasPlayList

Possible Values

bMedia Boolean that receives one of the following values.
true | The element has a playList collection.
false | The element does not have a playList collection.

The property is read-only. The property has no default value.

Example

The following brief code sample uses an alert message to show the value of the hasPlayList property.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>hasPlayList Property</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
<SCRIPT>
function doFunction(){
alert('hasPlayList: ' + m1.hasPlayList);
}
</SCRIPT>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<t:media id="m1" begin="0" src="../../common/samples/author/behaviors/media/shuttle3.wmv"
onmediacomplete="doFunction();" fill="remove"/>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

t:AUDIO, t:MEDIA, t:REF, t:VIDEO

See Also

Introduction to HTML+TIME


ITIMEMediaPlayer::hasVisual Property

Retrieves a VARIANT_BOOL value that indicates whether the element can draw on the screen.

Syntax

HRESULT ITIMEMediaPlayer::get_hasVisual(VARIANT_BOOL *b);

Parameters

b
Pointer to a variable of type VARIANT_BOOL that receives one of the values listed in Possible Values.

Possible Values

VARIANT_FALSE | The element cannot draw on the screen.
VARIANT_TRUE | The element can draw on the screen.

Return Value

Returns S_OK if successful, or an error value otherwise.

Remarks

This property is only relevant for people who are writing a custom player for HTML+TIME (Timed Interactive Multimedia Extensions).


higher Attribute | higher Property (t:PRIORITYCLASS)

higher Attribute | higher Property

Controls how elements with higher priority interrupt child elements of a priorityClass element.

Syntax

HTML | <t:PRIORITYCLASS higher = sHigherPriority... >
Scripting | t:PRIORITYCLASS.higher [ = sHigherPriority ]

Possible Values

sHigherPriority String that specifies or receives one of the following values.
pause | Default. If a higher priority element begins while a child element of this priorityClass is active, the active child element is paused and resumes when the interrupting element completes its active duration. The paused element is added to the top of the pause queue.
stop | If a higher priority element begins while a child element of this priorityClass is active, the active child element is stopped. Any paused elements are also stopped, and the pause queue is cleared.

The property is read/write. The property has a default value of pause.

Example

This example uses the higher attribute set to "stop" to show how elements with higher priority interrupt child elements of a priorityClass element.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>higher Property</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<t:excl id="t1" begin="0;indefinite;">
<t:priorityclass>
<SPAN id="s1" class="time" begin="5" dur="5">
<H3>Paragraph 1</H3>
<P>Paragraph 1 begins at 5 seconds with a duration of 5
seconds.</P>
</SPAN>
</t:priorityclass>
<t:priorityclass higher="stop">
<SPAN id="s2" class="time" begin="0" dur="10">
<H3>Paragraph 2</H3>
<P>Paragraph 2 begins at 0 seconds until it is interrupted by
a higher priority element at 5 seconds. Paragraph 2
ends.</P>
</SPAN>
</t:priorityclass>
</t:excl>
<BR>
<BUTTON id="b1" onclick="t1.beginElement();">Click to restart</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:PRIORITYCLASS

See Also

Introduction to HTML+TIME, priorityClass


immediateEnd Attribute (t:ANIMATION, t:AUDIO, t:IMG, ...)

immediateEnd Attribute

Sets a value that indicates whether a Microsoft?DirectMusic?segment ends immediately or plays a transition before ending.

Syntax

HTML | <ELEMENT immediateEnd= ... >
Scripting | N/A

Possible Values

false | Default. The segment plays a transition before ending.
true | The segment ends immediately without playing a transition.

Remarks

The type of transition between segments is specified by the transitionType attribute.

The immediateEnd attribute is only valid if the PLAYER attribute is set to DMusic.

Applies To

t:ANIMATION, t:AUDIO, t:IMG, t:VIDEO, t:MEDIA, t:REF

See Also

Using HTML+TIME with DirectMusic, Introduction to HTML+TIME


index Property (playItem)

index Property

Retrieves the index value of the playItem object in the playList collection.

Syntax

[ iIndex = ] playItem.index

Possible Values

iIndex Integer that receives the index value of the playItem object in the playList collection.

The property is read-only. The property has no default value.

Example

This example uses the index property to retrieve the index value of the playItem object in the playList collection.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
<SCRIPT>
function getIndex(){
alert('Index value: ' + m1.playList.activeTrack.index);
}
</SCRIPT>
<BODY>
<t:media id="m1" begin="0;" src="/test/someCollection.asx"/>
<BUTTON onclick="getIndex();">Get index value</BUTTON>
</BODY>
</HTML>

Standards Information

This property is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

playItem

See Also

Introduction to HTML+TIME


isActive Property (currTimeState)

isActive Property

Retrieves a value that indicates whether the element is currently active on the timeline.

Syntax

[ bActive = ] currTimeState.isActive

Possible Values

bActive Boolean that receives one of the following values.
true | Element is active on the timeline.
false | Element is not active on the timeline.

The property is read-only. The property has no default value.

Example

This example uses the isActive property to retrieve a value that indicates whether the media element is active on the timeline.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>isActive Property</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
<SCRIPT LANGUAGE="JavaScript">
function checkIsActive(){
isActive1.innerText='isActive: ' + m1.currTimeState.isActive;
if(m1.currTimeState.isActive){
b0.disabled=true;
b1.disabled=false;
}else{
b0.disabled=false;
b1.disabled=true;
}
}
</SCRIPT>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<t:video id="m1" begin="0;indefinite;"
src="../../common/samples/author/behaviors/media/shuttle3.wmv"
onend="checkIsActive();" onbegin="checkIsActive();" fill="remove"/>
<BR><BR>
<SPAN id="isActive1">isActive:</SPAN>
<BR>
<BUTTON id="b0" onclick="m1.beginElement();">Restart</BUTTON>
<BUTTON id="b1" onclick="m1.endElement();">Stop</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

currTimeState

See Also

Introduction to HTML+TIME, activeElements, isOn, isPaused, state, stateString


ITIMEMediaPlayerNetwork::isBuffered Property

Retrieves whether the media can be buffered.

Syntax

HRESULT ITIMEMediaPlayerNetwork::get_isBuffered(VARIANT_BOOL *b);

Parameters

b
Pointer to a variable of type VARIANT_BOOL that receives one of the values listed in Possible Values.

Possible Values

VARIANT_FALSE | Media cannot be buffered.
VARIANT_TRUE | Media can be buffered

Return Value

Returns S_OK if successful, or an error value otherwise.

Remarks

This property is only relevant for people who are writing a custom player for HTML+TIME (Timed Interactive Multimedia Extensions).


isDirectMusicInstalled Property (playerObject)

isDirectMusicInstalled Property

Retrieves a Boolean value that indicates whether Microsoft?DirectMusic?is installed on the machine.

Syntax

[ bInstalled = ] playerObject.isDirectMusicInstalled

Possible Values

bInstalled Boolean that receives one of the following values.
false | Default. DirectMusic is not installed.
true | DirectMusic is installed.

The property is read-only. The property has a default value of false.

Example

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY>
<t:media id="media1" player="Dmusic" src="" />
<BR><BR>
isDirectMusicInstalled: <SPAN id="message" class="time" dur="1" repeatCount="indefinite"
onrepeat='innerText=media1.playerObject.isDirectMusicInstalled '></SPAN>
</BODY>
</HTML>

Standards Information

This property is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

playerObject

See Also

Introduction to HTML+TIME


isMuted Property (currTimeState)

isMuted Property

Retrieves a value indicating whether the element's audio is currently muted.

Syntax

[ bMuted = ] currTimeState.isMuted

Possible Values

bMuted Boolean that receives one of the following values.
true | Element's audio is currently muted.
false | Default. Element's audio is not muted.

The property is read-only. The property has a default value of false.

Example

This example demonstrates the use of the isMuted property. The isMuted property returns true if the element's audio is muted or false if the element's audio is not muted.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>isMuted Property</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
<SCRIPT>
function checkIsMuted(){
if(m1.currTimeState.isActive)
isMuted1.innerText='isMuted: ' + m1.currTimeState.isMuted;
else
isMuted1.innerText='isMuted: No active object';
}
</SCRIPT>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<t:media id="m1" begin="indefinite;"
src="../../common/samples/author/behaviors/media/shuttle3.wmv" fill="remove"/>
<BR><BR>
<SPAN id="isMuted1">isMuted: No active object</SPAN>
<BR><BR>
<BUTTON id="b0" onclick="m1.beginElement();checkIsMuted();">Start</BUTTON>
<BUTTON id="b3" onclick="m1.endElement();checkIsMuted();">Stop</BUTTON>
<BR><BR>
<B>Volume control:</B>&nbsp;
<input type="radio" name="i1" onpropertychange="m1.mute='true';checkIsMuted();">Mute
<input type="radio" name="i1"
onpropertychange="m1.mute='false';m1.volume=100;checkIsMuted();" checked>100% Volume
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

currTimeState

See Also

Introduction to HTML+TIME, mute


isOn Property (currTimeState)

isOn Property

Retrieves a value that specifies whether the element is active or holding on the timeline in its current state.

Syntax

[ bHolding = ] currTimeState.isOn

Possible Values

bHolding Boolean that specifies one of the following values:
true | Element is active on the timeline or paused at its end, waiting for the container's timeline to end.
false | Default. Element is not active, or is holding on the timeline.

The property is read-only. The property has a default value of false.

Remarks

An element must have the fill attribute set to freeze or hold to enable holding. This property is equivalent to the state property when it returns a value of 4.

An element is considered inactive when it is in a holding state. When an element is inactive, it can neither generate nor respond to events.

Example

This example uses the isOn property to retrieve a value that indicates whether the element is active or holding in its current state.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>isOn Property</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<SCRIPT>
window.onload = fnOnLoad;
function fnOnLoad()
{
// Set up a timer to watch the time values.
window.setInterval(fnUpdateTimes, 10);
}
function fnUpdateTimes()
{
(a1.currTimeState.isOn == true ? s1.innerHTML='<B>&nbsp;isOn:&nbsp;</B>True - Active' : s1.innerHTML='<B>&nbsp;isOn:&nbsp;</B>False - Not active, or holding.');
}
</SCRIPT>
<STYLE>
.time{behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<B>Moving DIV timer:</B>
<SPAN id="Timer3" class="time" dur="1" repeatCount="indefinite"
onrepeat="innerText=parseInt(a1.currTimeState.activeTime);">0</SPAN>
<t:excl id="t1" begin="indefinite" dur="5" repeatCount="5">
<t:ANIMATEMOTION ID="a1" targetElement="div1" to="200,0" begin="0"
dur="2" autoReverse="true" />
</t:excl>
<DIV ID="div1" CLASS="time"	STYLE="position:relative;top:15px;left:25px;
height:100px;width:100px;background-color:yellow;"></DIV>
<SPAN id="s1" style="position:relative;top:40px;"><B>isOn:</B></SPAN>
<P style="position:relative;top:40px;">
<BUTTON id="b1" onclick="t1.beginElement();">Start</BUTTON>
<BUTTON id="b2" onclick="t1.endElement();">Stop</BUTTON>
</P>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

currTimeState

See Also

Introduction to HTML+TIME, isActive, isPaused, state, stateString


isPaused Property (currTimeState)

isPaused Property

Retrieves a value that specifies whether the element is paused on the timeline.

Syntax

[ bPaused = ] currTimeState.isPaused

Possible Values

bPaused Boolean that specifies one of the following values:
true | Element is currently paused on the timeline.
false | Default. Element is not paused on the timeline.

The property is read-only. The property has a default value of false.

Remarks

When an element is paused on the timeline, it is still considered to be in an active state. Elements in an active state can generate and respond to events.

Example

This example uses the isPaused property to retrieve a value that indicates whether the element is paused on the timeline.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>isPaused Property</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<SCRIPT>
function doPauseCheck(){
(a1.currTimeState.isPaused == true ? s1.innerHTML='<B>isPaused: </B>True - Element is currently paused on timeline.' : s1.innerHTML='<B>isPaused: </B>False - Element is not paused on timeline.');
}
</SCRIPT>
<STYLE>
.time{behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<B>Moving DIV timer:</B>
<SPAN id="Timer3" class="time" dur="1" repeatCount="indefinite"
onrepeat="innerText=parseInt(a1.currTimeState.activeTime);">0</SPAN>
<t:excl id="t1" begin="indefinite" dur="5" repeatCount="5"
onbegin="doPauseCheck();" onend="s1.innerHTML='<B>isPaused:</B>';">
<t:ANIMATEMOTION ID="a1" targetElement="div1" to="200,0" begin="0" dur="2"
autoReverse="true" />
</t:excl>
<DIV ID="div1" CLASS="time" STYLE="position:relative;top:15px;left:25px;
height:100px;width:100px;background-color:yellow;"></DIV>
<SPAN id="s1" style="position:relative;top:40px;"><B>isPaused:</B></SPAN>
<P style="position:relative;top:40px;">
<BUTTON id="b1" onclick="t1.beginElement();">Start</BUTTON>
<BUTTON id="b2" onclick="t1.pauseElement();doPauseCheck();">Pause</BUTTON>
<BUTTON id="b3" onclick="t1.resumeElement();doPauseCheck();">Resume</BUTTON>
<BUTTON id="b4" onclick="t1.endElement();s1.innerHTML='<B>isPaused:</B>';">Stop</BUTTON>
</P>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

currTimeState

See Also

Introduction to HTML+TIME, isActive, isOn, state, stateString


isStreamed Property (t:ANIMATION, t:AUDIO, t:IMG, ...)

isStreamed Property

Retrieves a Boolean value that indicates if the source of the media object is streamed.

Syntax

HTML | N/A
Scripting | [ bisStreamed = ] object.isStreamed

Possible Values

bisStreamed Boolean that receives one of the following values.
false | Source of media is not streamed.
true | Source of media is streamed.

The property is read-only. The property has no default value.

Example

In the following example, the isStreamed property is used to check whether or not the source of the media object is streamed.

...
<t:video id="mp2"
src="http://msdn.microsoft.com../../common/samples/author/behaviors/media/shuttle3.wmv"/>
<P>
<B>Streaming content</B>:
<SPAN class="time" dur="0.1" repeatCount="indefinite"
onrepeat="innerText=mp2.isStreamed;"></SPAN>
</P>
...
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:REF, t:VIDEO

See Also

Introduction to HTML+TIME


KEYSPLINES Attribute | keySplines Property (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...)

KEYSPLINES Attribute | keySplines Property

Sets or retrieves a set of Bezier control points that define the interval pacing of an animation.

Syntax

HTML | <ELEMENT KEYSPLINES = vPoint... >
Scripting | object.keySplines(val) [ = vPoint ]

Possible Values

vPoint String that specifies or receives a semicolon-separated list of Bezier control points associated with the keyTimes list. Each control point is a set of four floating-point values, describing the Bezier control points for one time segment. The control points are listed in the following order:
x1 | A floating-point value between 0 and 1 representing the x-axis of the first control point.
y1 | A floating-point value between 0 and 1 representing the y-axis of the first control point.
x2 | A floating-point value between 0 and 1 representing the x-axis of the second control point.
y2 | A floating-point value between 0 and 1 representing the y-axis of the second control point.

The property is read/write. The property has no default value.

Remarks

The keyTimes values that define the associated time segment are the Bezier anchor points for the spline that determines how the animation is interpolated during that time segment. The keySplines values are the control points for the spline. Therefore, there must be one fewer set of control points than keyTimes.

The keySplines value is ignored unless the calcMode property is set to spline.

Example

This example demonstrates how to use the keySplines and keyTimes properties to set the pace of an animation. The keySplines property contains a list of Bezier control points to define the interval pacing of the animated DIV. The keyTimes property contains a list of time values to control the pacing of the animated DIV.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>keyTimes / keySplines Properties</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
.div1{position:absolute; top:195px; height:100px; width:150px;
background-color:yellow; text-align:center; font-size:large;
border:solid black 2px;}
</STYLE>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<B>Simple timer:</B>
<SPAN id="Timer1" class="time" dur=".1" repeatCount="indefinite" fill="hold"
onrepeat="innerText=(oAnim.currTimeState.simpleTime);">0</SPAN>
<BR>
<B>Segment timer:</B>
<SPAN id="Timer2" class="time" dur=".1" repeatCount="indefinite" fill="hold"
onrepeat="innerText=(oAnim.currTimeState.activeTime);">0</SPAN>
<DIV id="t1" class="div1">How to use keyTimes and keySplines</DIV>
<t:animateMotion id="oAnim" begin="1;b1.click+1" dur="6s" autoReverse="true"
calcMode="spline" keySplines="0 1 .5 1;.5 1 0 1" keyTimes="0;.5;1"
values="25,0;250,50;500,0" targetElement="t1" fill="hold"/>
<P style="position:absolute;top:325px;">
<BUTTON id="b1"><B>Restart</B></BUTTON>
</P>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION

See Also

Introduction to HTML+TIME, keyTimes


KEYTIMES Attribute | keyTimes Property (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...)

KEYTIMES Attribute | keyTimes Property

Sets or retrieves a list of time values used to control the pacing of an animation.

Syntax

HTML | <ELEMENT KEYTIMES = vTimes... >
Scripting | object.keyTimes(val) [ = vTimes ]

Possible Values

vTimes String that specifies or receives a semicolon-separated list of time values, representing a proportional offset into the simple duration of the animation element. Each successive time value in the list must be greater than or equal to the preceding time value. Valid time values are floating-point numbers between 0 and 1, inclusive.

The property is read/write. The property has no default value.

Remarks

Each time in the keyTimes list corresponds to a value in the VALUES attribute list. There must be exactly the same number of times in the keyTimes list as there are values in the VALUES attribute list.

For linear and spline animations, the first time value in the keyTimes list must be 0; the last time value in the list must be 1. The time associated with each value defines when that value is set; values are interpolated between the keyTimes specified.

For discrete animation, the first time value in the list must be 0. The time associated with each value defines when the value is set; the animation function uses that value until the next time defined in the keyTimes list.

The value of keyTimes is ignored if the CALCMODE attribute is set to paced.

When using keyTimes with the t:ANIMATEMOTION element, you must set the CALCMODE attribute to a value other than paced.

Example

This example demonstrates how to use the keySplines and keyTimes properties to set the pace of an animation. The keySplines property contains a list of Bezier control points to define the interval pacing of the animated DIV. The keyTimes property contains a list of time values to control the pacing of the animated DIV.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>keyTimes / keySplines Properties</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
.div1{position:absolute; top:195px; height:100px; width:150px;
background-color:yellow; text-align:center; font-size:large;
border:solid black 2px;}
</STYLE>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<B>Simple timer:</B>
<SPAN id="Timer1" class="time" dur=".1" repeatCount="indefinite" fill="hold"
onrepeat="innerText=(oAnim.currTimeState.simpleTime);">0</SPAN>
<BR>
<B>Segment timer:</B>
<SPAN id="Timer2" class="time" dur=".1" repeatCount="indefinite" fill="hold"
onrepeat="innerText=(oAnim.currTimeState.activeTime);">0</SPAN>
<DIV id="t1" class="div1">How to use keyTimes and keySplines</DIV>
<t:animateMotion id="oAnim" begin="1;b1.click+1" dur="6s" autoReverse="true"
calcMode="spline" keySplines="0 1 .5 1;.5 1 0 1" keyTimes="0;.5;1"
values="25,0;250,50;500,0" targetElement="t1" fill="hold"/>
<P style="position:absolute;top:325px;">
<BUTTON id="b1"><B>Restart</B></BUTTON>
</P>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION

See Also

Introduction to HTML+TIME, keySplines


latestMediaTime Property (t:ANIMATION, t:AUDIO, t:IMG, ...)

latestMediaTime Property

Retrieves a value that indicates the amount of time it takes for a media object to begin playing.

Syntax

HTML | N/A
Scripting | [ vlatestMediaTime = ] object.latestMediaTime

Possible Values

vlatestMediaTime Variant that receives the amount of time it takes for a media object to begin playing.

The property is read-only. The property has no default value.

Remarks

This property does not apply to objects with streaming content.

Example

...
<t:video id="mp2" fill="remove"
src="http://msdn.microsoft.com../../common/samples/author/behaviors/media/movie.avi"/>
<P>
<B>Latest Media Time</B>:
<SPAN class="time" dur="0.1" repeatCount="indefinite"
onrepeat="innerText=mp2.latestMediaTime;">0</SPAN>
</P>
...
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:REF, t:VIDEO

See Also

Introduction to HTML+TIME


length Property (activeElements, timeAll, timeChildren, ...)

length Property

Retrieves the number of objects in a collection.

Syntax

[ iCollObjs = ] object.length

Possible Values

iCollObjs Integer that receives the number of objects in the collection.

The property is read-only. The property has no default value.

Example

This example uses the length property to retrieve the number of objects in a collection.

<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
<SCRIPT>
function getLength(){
alert('Number of objects: ' + m1.playList.length);
}
</SCRIPT>
<BODY>
<t:media id="m1" begin="0;" src="/test/someCollection.asx"/>
<BUTTON onclick="getLength();">Get number of objects</BUTTON>
</BODY>
</HTML>

Standards Information

This property is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

activeElements, timeAll, timeChildren, playList

See Also

Introduction to HTML+TIME


longTransition Attribute (t:ANIMATION, t:AUDIO, t:IMG, ...)

longTransition Attribute

Sets whether to allow introduction and ending transitions longer than one bar with Microsoft?DirectMusic?

Syntax

HTML | <ELEMENT longTransition= ... >
Scripting | N/A

Possible Values

false | Default. Do not allow long transitions.
true | Allow long transitions.

Remarks

The longTransition attribute is only valid if the PLAYER attribute is set to DMusic.

Standards Information

This attribute is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:ANIMATION, t:AUDIO, t:IMG, t:VIDEO, t:MEDIA, t:REF

See Also

Using HTML+TIME with DirectMusic, Introduction to HTML+TIME


lower Attribute | lower Property (t:PRIORITYCLASS)

lower Attribute | lower Property

Controls how elements that are defined with lower priority interrupt child elements of a priorityClass element.

Syntax

HTML | <t:PRIORITYCLASS lower = sLowerPriority... >
Scripting | t:PRIORITYCLASS.lower [ = sLowerPriority ]

Possible Values

sLowerPriority String that specifies or receives one of the following values.
defer | Default. If a lower-priority element attempts to begin while a child element of this priorityClass is active, the interrupting element is deferred until the active element completes its active duration. In effect, the new element is placed at the top of the pause queue and paused at its very beginning.
never | If a lower priority element attempts to begin while a child element of this priorityClass is active, the interrupting element's attempt is denied. The begin time of the interrupting element is ignored. The pause queue is unaffected.

The property is read/write. The property has a default value of defer.

Example

This example uses the lower property set to never to show how elements with a lower priority interrupt child elements of a priorityClass element.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>lower Property</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<t:excl id="t1" begin="0;indefinite;">
<t:priorityclass lower="never">
<SPAN id="s2" class="time" begin="0" dur="10">
<H3>Paragraph 1</H3>
<P>Paragraph 1 begins at 0 seconds and has a duration of 10
seconds.</P>
</SPAN>
</t:priorityclass>
<t:priorityclass>
<SPAN id="s1" class="time" begin="5" dur="5">
<H3>Paragraph 2</H3>
<P>Paragraph 2 never begins.</P>
</SPAN>
</t:priorityclass>
</t:excl>
<BR>
<BUTTON id="b1" onclick="t1.beginElement();">Click to restart</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:PRIORITYCLASS

See Also

Introduction to HTML+TIME


ITIMEMediaPlayer::mediaDur Property

Retrieves the duration of the element's media file.

Syntax

HRESULT ITIMEMediaPlayer::get_mediaDur(double *dur);

Parameters

dur
Pointer to a variable of type double that receives the media file's duration, in seconds.

Return Value

Returns S_OK if successful, or an error value otherwise.

Remarks

This property is only relevant for people who are writing a custom player for HTML+TIME (Timed Interactive Multimedia Extensions).


ITIMEMediaPlayer::mediaHeight Property

Retrieves the rendering height of the media.

Syntax

HRESULT ITIMEMediaPlayer::get_mediaHeight(long *height);

Parameters

height
Pointer to a variable of type long that receives the height of the media, in pixels.

Return Value

Returns S_OK if successful, or an error value otherwise.

Remarks

This property is only relevant for people who are writing a custom player for HTML+TIME (Timed Interactive Multimedia Extensions).


ITIMEMediaPlayer::mediaWidth Property

Retrieves the rendering width of the media.

Syntax

HRESULT ITIMEMediaPlayer::get_mediaWidth(long *width);

Parameters

width
the width of the media, in pixels.

Return Value

Returns S_OK if successful, or an error value otherwise.

Remarks

This property is only relevant for people who are writing a custom player for HTML+TIME (Timed Interactive Multimedia Extensions).


mimeType Property (t:ANIMATION, t:AUDIO, t:IMG, ...)

mimeType Property

Retrieves the MIME content-type of the object.

Syntax

HTML | N/A
Scripting | [ sMimeType = ] object.mimeType

Possible Values

sMimeType String that receives the MIME content-type of the object.

The property is read-only. The property has no default value.

Remarks

MIME is an abbreviation for Multipurpose Internet Mail Extension.

Example

This example uses the mimeType property to retrieve the MIME content-type of the media object.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>mimeType Property</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY>
<t:video id="m1" src="../../common/samples/author/behaviors/media/movie.avi" />
<BR><BR>
<B>mimeType:</B>
<SPAN id="mimeType1" class="time" dur="1" repeatCount="indefinite"
onrepeat="mimeType1.innerText=m1.mimeType;"></SPAN>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:REF, t:VIDEO

See Also

Introduction to HTML+TIME


MODE Attribute | mode Property (t:TRANSITIONFILTER) (Internet Explorer - HTML+Time 2)

MODE Attribute | mode Property

Sets or retrieves a variable that indicates whether an element transitions in or out.

Syntax

HTML | <t:TRANSITIONFILTER MODE = sMode... >
Scripting | t:TRANSITIONFILTER.mode [ = sMode ]

Possible Values

sMode String that specifies or receives one of the following values.
in | Default. Determines that the element transitions in.
out | Determines that the element transitions out.

The property is read/write. The property has a default value of in.

Remarks

The legal value of in indicates that the transition content becomes more visible as the transition progress increases, and out indicates that the transition content becomes less visible as the transition progress increases. The mode attribute does not automatically tie the transitionFilter to the beginning or end of the media. Authors can use the begin attribute on the transitionFilter to indicate the begin time for the transitionFilter.

You can apply a transition to a media element at any time during its active period. If MODE is set to in and the t:TRANSITIONFILTER is applied to the media element in the middle of its active period, then the media element will disappear for a moment and transition in. If MODE is set to out, then the media element will transition out and then immediately reappear.

You cannot return the default value of the mode property through script unless the default value has been set by the attribute or through script.

Example

The example below demonstrates the use of the mode attribute to transition renderable content in and out of visibility.

<HTML XMLNS:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time{behavior: url(#default#time2);}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
<t:TRANSITIONFILTER TYPE="barWipe" DUR="3" TARGETELEMENT="oDiv1" MODE="in"
ID="transitionPlay1"/>
<t:TRANSITIONFILTER TYPE="barWipe" DUR="3" TARGETELEMENT="oDiv2" MODE="out"
ID="transitionPlay2"/>
<DIV CLASS="time"  BEGIN="0" ID="oDiv1" DUR="indefinite"
STYLE="position:relative; left:20px; width:420px; height:100px;
background-image:url(ART_time_progress.gif); background-repeat: no-repeat;">
</DIV>
<DIV CLASS="time"  BEGIN="0" ID="oDiv2" DUR="indefinite"
STYLE="position:relative; left:20px; width:420px; height:100px;
background-image:url(ART_time_progress.gif); background-repeat: no-repeat;">
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

t:TRANSITIONFILTER

See Also

Introduction to HTML+TIME, Using HTML+TIME Transitions, end


modulate Attribute (t:ANIMATION, t:AUDIO, t:IMG, ...)

modulate Attribute

Sets whether to attempt to modulate between keys when playing transitions with Microsoft?DirectMusic?

Syntax

HTML | <ELEMENT modulate= ... >
Scripting | N/A

Possible Values

false | Default. Do not modulate.
true | Attempt to modulate.

Remarks

The modulate attribute is only valid if the PLAYER attribute is set to DMusic.

Standards Information

This attribute is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:ANIMATION, t:AUDIO, t:IMG, t:VIDEO, t:MEDIA, t:REF

See Also

Using HTML+TIME with DirectMusic, Introduction to HTML+TIME


MoreInfo Property (event) (Internet Explorer)

MoreInfo Property

Retrieves the MoreInfo content of an entry banner in an Advanced Stream Redirector (ASX) file through the event object.

Syntax

[ sMoreInfo = ] event.MoreInfo

Possible Values

sMoreInfo String that receives the MoreInfo content of an entry banner in an ASX file.

The property is read-only. The property has no default value.

Remarks

The property is read-only in Internet Explorer 6.

Examples

This is an example entry in an ASX file.

<ASX Version="1.0" PreviewMode="No" >
<entry>
<title>First title</title>
<author>Unknown 1</author>
<copyright>1998</copyright>
<abstract>WAV File</abstract>
<ref href=""/>
<banner href = "first_title.gif" >
<moreinfo href = "first_title.doc" />
<abstract>Visit the first abstract Web site</abstract>
</banner>
</entry>
</asx>

In the following example, the MoreInfo property is exposed by the event object.

...
function trackChange(){
banner1.innerText = event.Banner;
bannerabstract1.innerText = event.Abstract;
bannermoreinfo1.innerText = event.MoreInfo;
}
...
<t:media id="m1" src="../../common/samples/author/behaviors/media/media.asx"
onmediacomplete="updateBtns();updateFields();"
ontrackchange="trackChange();"/>
...
<B>Banner:</B>&nbsp;&nbsp;<SPAN id="banner1"></SPAN>
<BR>
<B>Abstract for banner:</B>&nbsp;&nbsp;<SPAN id="bannerabstract1"></SPAN>
<BR>
<B>More information on banner:</B>&nbsp;&nbsp;<SPAN id="bannermoreinfo1"></SPAN>
...
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

event


motifName Attribute (t:ANIMATION, t:AUDIO, t:IMG, ...)

motifName Attribute

Sets the name of the Microsoft?DirectMusic?motif to play.

Syntax

HTML | <ELEMENT motifName=sMotif ... >
Scripting | N/A

Possible Values

sMotif A String containing the name of the motif to play.

Remarks

Specifying a motif indicates that the motif in the segment should be played instead of the segment itself. Motifs are automatically played as secondary segments.

When motifName is used, the segment must contain a style track. The style referenced in the style track must contain a motif with that name and that is the motif that will be played. Thus, to gain access to a style, you access the motif by using the style referenced by the segment. The default for motifName is an empty string indicating to play the source segment itself.

The motifName attribute is only valid if the PLAYER attribute is set to DMusic.

Standards Information

This attribute is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:ANIMATION, t:AUDIO, t:IMG, t:VIDEO, t:MEDIA, t:REF

See Also

Using HTML+TIME with DirectMusic, Introduction to HTML+TIME


ITIMEMediaPlayerAudio::mute Property

Sets or retrieves a value that indicates whether the audio is turned on or off.

Syntax

HRESULT ITIMEMediaPlayerAudio::put_mute(VARIANT_BOOL m);

Parameters

m
VARIANT_BOOL that specifies one of the values listed in Possible Values.

Possible Values

VARIANT_FALSE | Sound is turned on.
VARIANT_TRUE | Sound is turned off.

Return Value

Returns S_OK if successful, or an error value otherwise.

Remarks

This property is only relevant for people who are writing a custom player for HTML+TIME (Timed Interactive Multimedia Extensions).


ORIGIN Attribute | origin Property (t:ANIMATEMOTION)

ORIGIN Attribute | origin Property

Sets or retrieves the origin of motion for the animation.

Syntax

HTML | <t:ANIMATEMOTION ORIGIN = sOrigin... >
Scripting | t:ANIMATEMOTION.origin(val) [ = sOrigin ]

Possible Values

sOrigin String that specifies or receives the origin of motion for the animation.
parent | Origin is the upper-left corner of the bounding box of the element's parent.
element | Default. Origin is the upper-left corner of the bounding box of the element.
default | Equivalent to element.

The property is read/write. The property has a default value of element.

Remarks

The ORIGIN attribute only applies when the additive property is set to replace.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:ANIMATEMOTION

See Also

Introduction to HTML+TIME, time2


parentTimeBegin Property (currTimeState)

parentTimeBegin Property

Retrieves the current element's begin time as an offset from the parent element's begin time.

Syntax

[ iTime = ] currTimeState.parentTimeBegin

Possible Values

iTime Integer that receives the current element's begin time, in seconds.

The property is read-only. The property has no default value.

Example

This example uses the parentTimeBegin property to retrieve the element's begin time.

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>parentTimeBegin Property</TITLE>
<SCRIPT>
function getValue(){
parentBegin.innerText += div1.currTimeState.parentTimeBegin + ' second(s)';
}
</SCRIPT>
<STYLE>
.time { behavior: url(#default#time2) }
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="fixed" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<B>Document timer:</B>
<SPAN id="Timer1" class="time" dur=".01" repeatCount="indefinite" fill="hold"
onrepeat="innerText=parseInt(document.body.currTimeState.activeTime);">0</SPAN>
<BR>
<B>Time container timer:</B>
<SPAN id="Timer2" class="time" dur=".01" repeatCount="indefinite" fill="hold"
onrepeat="innerText=parseInt(t1.currTimeState.activeTime);">0</SPAN>
<BR><BR>
<t:excl ID="t1" repeatDur="indefinite" onbegin="getValue();">
<DIV ID="div1" CLASS="time" BEGIN="1" DUR="5"
style="position:relative;top:5px;left:0px;width:550px;height:100px;
background-color:yellow;text-align:center;font-size:large">
This div begins at 1 second and has a duration of 5 seconds. The parent
element's repeatDur property is set to "indefinite".
</DIV>
</t:excl>
<BR>
<B>parentTimeBegin</B><SPAN id="parentBegin"> - Element's begin time as an offset
from parent element's begin time: </SPAN><BR>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

currTimeState

See Also

Introduction to HTML+TIME


parentTimeEnd Property (currTimeState)

parentTimeEnd Property

Retrieves the current element's end time as an offset from the parent element's begin time.

Syntax

[ iTime = ] currTimeState.parentTimeEnd

Possible Values

iTime Integer that receives the current element's end time, in seconds.

The property is read-only. The property has no default value.

Remarks

This property represents the sum of the parentTimeBegin and activeDur properties. For example, if an element has a begin time of four seconds, a duration (dur) of 10 seconds, and autoReverse set to true, the value of the parentTimeEnd property will be 24 seconds.

Example

This example uses the parentTimeEnd property to retrieve the current element's end time.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>parentTimeEnd Property</TITLE>
<SCRIPT>
function getValue(){
parentBegin.innerText += div1.currTimeState.parentTimeEnd + ' second(s)';
}
</SCRIPT>
<STYLE>
.time { behavior: url(#default#time2) }
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="fixed" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<B>Document timer:</B>
<SPAN id="Timer1" class="time" dur=".01" repeatCount="indefinite" fill="hold"
onrepeat="innerText=parseInt(document.body.currTimeState.activeTime);">0</SPAN>
<BR>
<B>Time container timer:</B>
<SPAN id="Timer2" class="time" dur=".01" repeatCount="indefinite" fill="hold"
onrepeat="innerText=parseInt(t1.currTimeState.activeTime);">0</SPAN>
<BR><BR>
<t:excl ID="t1" repeatDur="indefinite" onbegin="getValue();">
<DIV ID="div1" CLASS="time" BEGIN="4" DUR="10" autoReverse="true"
style="position:relative;top:5px;left:0px;width:550px;height:100px;
background-color:yellow;text-align:center;font-size:large">
This div begins at 4 seconds and has a duration of 10 seconds.
Its autoReverse property is set to "true".
</DIV>
</t:excl>
<BR>
<B>parentTimeEnd</B><SPAN id="parentBegin"> - Element's end time as an offset from
parent element's begin time: </SPAN><BR>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

currTimeState

See Also

Introduction to HTML+TIME


PATH Attribute | path Property (t:ANIMATEMOTION)

PATH Attribute | path Property

Sets or retrieves a set of values that describe a path as a function of time.

Syntax

HTML | <t:ANIMATEMOTION PATH = vPath... >
Scripting | t:ANIMATEMOTION.path(val) [ = vPath ]

Possible Values

vPath String that specifies or receives a set of commands and values that describe a path. The values supported for this property are a subset of the Scalable Vector Graphics (SVG) path syntax. Two forms of the path commands are supported, absolute and relative. Note that these terms only apply to the definition of the path itself, rather than the animation using the path. Absolute commands must specify the coordinate system of the path values, whereas relative commands simply define the point as an offset from the current point. The following commands are supported:
m | Relative "Move To" command. Starts a new subpath at the given x,y coordinate. If a moveto is followed by multiple pairs of coordinates, the subsequent pairs are treated as implicit "Line To" commands.
M | Absolute "Move To" command. Starts a new subpath at the given x,y coordinate. If a moveto is followed by multiple pairs of coordinates, the subsequent pairs are treated as implicit "Line To" commands.
l | Relative "Line To" command. Draws a line from the current point to the given x,y coordinate, which becomes the new current point. A number of coordinate pairs can be specified to draw a polyline.
L | Absolute "Line To" command. Draws a line from the current point to the given x,y coordinate, which becomes the new current point. A number of coordinate pairs can be specified to draw a polyline.
h | Relative "Horizontal Line To" command. Draws a line from the current point (cpx, cpy) to (x, cpy). Multiple values can be provided.
H | Absolute "Horizontal Line To" command. Draws a line from the current point (cpx, cpy) to (x, cpy).
v | Relative "Vertical Line To" command. Draws a line from the current point (cpx, cpy) to (cpx, y). Multiple values can be provided.
V | Absolute "Vertical Line To" command. Draws a line from the current point (cpx, cpy) to (cpx, y).
z | Relative "Closepath" command. Causes an automatic straight line to be drawn from the current point to the initial point of the current subpath.
Z | Absolute "Closepath" command. Causes an automatic straight line to be drawn from the current point to the initial point of the current subpath.
c | Relative "Cubic Bezier Curve To" command. Draws a cubic Bezier curve from the current point to (x,y) using (x1,y1) as the control point at the beginning of the curve and (x2,y2) as the control point at the end of the curve. Multiple sets of coordinates can be specified to draw a polybezier.
C | Absolute "Cubic Bezier Curve To" command. Draws a cubic Bezier curve from the current point to (x,y) using (x1,y1) as the control point at the beginning of the curve and (x2,y2) as the control point at the end of the curve. Multiple sets of coordinates can be specified to draw a polybezier.

The property is read/write. The property has no default value.

Remarks

Valid paths must begin with one of the two move to commands, M or m. This establishes a starting point, even if it is just "M 0 0" or "m 0 0", which don't move the element.

When a path is combined with linear or spline?A HREF="../../time2/properties/calcmode.html">calcMode settings, the number of values is defined to be the number of points defined by the path, unless there are move to commands within the path. A move to command does not count as an additional point for the purpose of keyTimes and keySplines, and should not define an additional segment for the purposes of timing or interpolation. When a path is combined with a paced?B>calcMode setting, all move to commands are considered to have 0 length (that is, they always happen instantaneously), and should not be considered in computing the pacing.

The vPath string cannot include any Cascading Style Sheets (CSS) length unit abbreviations. If any of these (in,cm,mm,pt,pc,em,ex,px,%) are specified, no animation will occur.

When writing script to dynamically change the properties of an active animation, developers should consider a couple of issues. Because results might be unpredictable or undefined when you change the properties of an active animation, restart the animation with beginElement after you have made the change. For example:

<SCRIPT>
object.endElement();
object.path="M 0 0 L 100 100";
object.beginElement();
</SCRIPT>
To change an active animation from a path to a values list through script:
<SCRIPT>
object.endElement();
object.path=null;
object.values="100,100;0,0";
object.beginElement();
</SCRIPT>

For the animate, animateMotion, and animateColor objects, the time2 behavior uses the following model to evaluate which properties to animate.

  • The path property overrides any setting for the values, from, to, or by properties.
  • The values property, if specified, overrides any setting for the from, to, or by properties.
  • The from property is used unless the values or path properties are specified.
  • The to property, if specified, overrides any setting for the by property.
  • The by property doesn't override any properties.

Example

This example demonstrates two ways to use the path attribute to animate a div along a square path.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>path Property</TITLE>
<STYLE>
.time { behavior: url(#default#time2) }
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="fixed" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<DIV ID="oDIV" CLASS="time"
STYLE="position:absolute;top:50px;left:50px;height:100px;width:150px;
background-color:yellow;text-align:center;font-color:black;
font-size:large;border:solid black 1px;">How to use the
<B>path</B> attribute.
</DIV>
<t:ANIMATEMOTION targetElement="oDIV" begin="b1.click"
path="M 0 0 L 100 0 v 100 h -100 V 0" dur="3" />
<DIV ID="oDIV2" CLASS="time"
STYLE="position:absolute;top:50px;left:250px;height:100px;width:150px;
background-color:yellow;text-align:center;font-color:black;
font-size:large;border:solid black 1px;">Another way how
to use the <B>path</B> attribute.
</DIV>
<t:ANIMATEMOTION targetElement="oDIV2" begin="b1.click"
path="m 0 0 L 100 0  100 100 0 100 z" dur="3" />
<BUTTON id="b1" style="position:absolute;top:275px;left:125px;">
Click to begin / restart
</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:ANIMATEMOTION

See Also

Introduction to HTML+TIME, keySplines, keyTimes


peers Attribute | peers Property (t:PRIORITYCLASS)

peers Attribute | peers Property

Controls how child elements of a priorityClass element interrupt one another.

Syntax

HTML | <t:PRIORITYCLASS peers = peers... >
Scripting | t:PRIORITYCLASS.peers [ = peers ]

Possible Values

peers String that specifies or receives one of the following values.
stop | Default. If a child element begins while another child element is active, the active element is stopped. The pause queue is unaffected.
defer | If a child element attempts to begin while another child element is active, the interrupting element is deferred until the active element completes its active duration. In effect, the new element is placed at the top of the pause queue and paused at its very beginning. The pause queue is otherwise unaffected.
never | If a child element attempts to begin while another child element is active, the interrupting element's attempt is denied. The pause queue remains unaffected.
pause | If a child element begins while another child element is active, the active element is paused and resumes when the interrupting element completes its active duration. The paused element is added to the top of the pause queue.

The property is read/write. The property has a default value of stop.

Example

This example uses the peers attribute to specify that a child element pause when another child element begins, and then resume its duration.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>peers Property</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<t:excl>
<t:priorityclass peers="pause">
<SPAN id="d1" class="time" begin="0" dur="10">
<H3>Paragraph 1</H3>
<P>Paragraph 1 is displayed until it is interrupted by the next element
(at 5 seconds) and then resumes its duration of 10 seconds.</P>
</SPAN>
<SPAN id="d2" class="time" begin="5" dur="3">
<H3>Paragraph 2</H3>
<P>Paragraph 2 is displayed for 3 seconds; Paragraph 1 then resumes its
duration.</P>
</SPAN>
</t:priorityclass>
</t:excl>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:PRIORITYCLASS

See Also

Introduction to HTML+TIME, priorityClass


PLAYER Attribute | player Property (t:ANIMATION, t:AUDIO, t:IMG, ...)

PLAYER Attribute | player Property

Sets or retrieves the object used to render the media associated with this element.

Syntax

HTML | <ELEMENT PLAYER = sID... >
Scripting | object.player [ = sID ]

Possible Values

sID String that specifies or receives one of the following values.
Class ID | The class identifier of the object used to render the element's media. The format is "{XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX}" for registered Microsoft?ActiveX?controls. For example, use "{22d6f312-b0f6-11d0-94ab-0080c74c7e95}" for the Microsoft Windows Media?Player control. For more information about this value, see Remarks.
DMusic | The Microsoft DirectMusic?player.
DVD | The digital video disc (DVD) movie player.

The property is read/write. The property has no default value.

Remarks

Only media-playing objects that support HTML+TIME (Timed Interactive Multimedia Extensions) work with this property. This property cannot be modified in script after the onload event fires on the document body.

As of Microsoft Internet Explorer 6, authors can use HTML+TIME in conjunction with the mediaBar behavior to play timed content in the Media Bar. The Media Bar content proxy player is provided to ensure that the activeTime of an HTML+TIME timeline is coordinated with the activeTime used by the Media Bar player control. To coordinate media playing in the Media Bar with an HTML+TIME timeline playing in the Media Bar content area, specify the class identifier of the Media Bar content proxy player in the PLAYER attribute of the t:MEDIA element. The content proxy class identifier is {52ca3bcf-3b9b-419e-a3d6-5d28c0b0b50c}.

Example

The following example applies only to Internet Explorer 6 and later. It demonstrates media playing in the Media Bar, synchronized with an HTML+TIME timeline playing in the Media Bar content area, with {52ca3bcf-3b9b-419e-a3d6-5d28c0b0b50c} specified in the PLAYER attribute of the t:MEDIA element.

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time {behavior: url(#default#time2);}
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
<LINK REL="stylesheet" HREF="../../common/samples/samples.css" TYPE="text/css">
</HEAD>
<BODY id="oBody">
<t:PAR syncBehavior="locked">
<t:MEDIA id="m1" src="../../common/samples/author/behaviors/media/j0082200.mid"
player="{52ca3bcf-3b9b-419e-a3d6-5d28c0b0b50c}"
syncMaster="true" syncBehavior="locked" begin="1"  />
<t:ANIMATEMOTION id="a1" begin="m1.begin" dur="9" targetElement="oDiv"
path="M 0 0 L 100 300" fill="freeze"/>
<t:SEQ style="font-size:18pt;color:#ff0000" syncBehavior="locked"
begin="m1.begin" fill="freeze">
<DIV class="time" dur="1.5">Add Some Text</DIV>
<DIV class="time" dur="1.5">Or HTML</DIV>
<DIV class="time" dur="2">To Accompany</DIV>
<DIV class="time" dur="2">Media Playing in the Media Bar</DIV>
</t:SEQ>
</t:PAR>
<DIV id="oDiv" class="time"
style="background-color:#FFCC00;position:absolute;height:40;width:120;
top:70;left:10;font-size:18;border-style:solid" >
Falling DIV</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:REF, t:VIDEO

See Also

Introduction to HTML+TIME, playerObject


playerObject Property (t:ANIMATION, t:AUDIO, t:IMG, ...)

playerObject Property

Retrieves the object that plays media files.

Syntax

HTML | N/A
Scripting | [ oPlayer = ] object.playerObject

Possible Values

oPlayer Player object used for rendering the element's media.

The property is read-only. The property has no default value.

Remarks

The PLAYER attribute specifies the object that plays media files.

This property provides access to all the properties, methods, and events available on the player object.

Example

This example plays a video clip with the Microsoft?Windows Media?Player control. The video clip begins playing five seconds after the page loads, and continues playing for 20 seconds. The playerObject is used to access the mute property and AboutBox method available on the Windows Media Player control.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>playerObject</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<SCRIPT>
function toggleVol()
{
if (cBox.checked == true) {
mp.playerObject.mute = false;
}
else {
mp.playerObject.mute = true;
}
}
</SCRIPT>
</HEAD>
<BODY>
<SPAN STYLE="width:175; position:absolute; left:20px; top:50px; padding:5;
z-index:-1; border:1pt solid red;">A video clip is played here 5 seconds
after the page is loaded.</SPAN>
<t:VIDEO ID="mp" STYLE="width:200px; height:200px"
PLAYER="{22d6f312-b0f6-11d0-94ab-0080c74c7e95}"
SRC="../../common/samples/author/behaviors/media/movie.avi" BEGIN="5" DUR="20"/>
<BR><BR>
<INPUT TYPE="BUTTON" VALUE="About Player" onclick="mp.playerObject.AboutBox();">
<INPUT ID="cBox" TYPE=CHECKBOX CHECKED onpropertychange="toggleVol();">
&nbsp;Volume On
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:REF, t:VIDEO

See Also

Introduction to HTML+TIME, PLAYER


progress Property (currTimeState)

progress Property

Retrieves the current progress of the element's timeline.

Syntax

[ fProgress = ] currTimeState.progress

Possible Values

fProgress Floating-point that receives the current progress along the element's timeline, as compared to the element's simpleDur property. Valid values for this property are in the range between 0.0 and 1.0.

The property is read-only. The property has no default value.

Remarks

The value of this property is continuously updated for the duration of the element's timeline. If the autoReverse property is set to true, then progress begins decrementing from 1 until it reaches 0, or the end of the timeline.

Example

The following example shows how to display the progress of the timeline as a percentage.

<HTML>
<HEAD>
<TITLE>progress Property</TITLE>
<SCRIPT LANGUAGE="JScript">
// Update the SPAN container with the progress value
function update() {
var pro = movie.currTimeState.progress;
var sPro = pro.toString();    // convert to a string
if (movie.currTimeState.stateString != "holding") {
if (pro != 0) {
if (sPro.substr(2,1) == "0") {
sPro = sPro.substr(3,1);  // single digit (1-9)
}
else {
sPro = sPro.substr(2,2);  // double digit (10-99)
}
}
else {
sPro = "0";
}
}
else {
sPro = "100";        // Timestate is holding at the end
}
progressText.innerText = sPro + "%";    // Set the span
}
// Update each button based on the current timeline state
function updateBtns() {
switch (movie.currTimeState.stateString) {
case "active":
if (movie.currTimeState.isPaused == true) {
playBtn.disabled = true;
stopBtn.disabled = false;
pauseBtn.disabled = true;
resumeBtn.disabled = false;
}
else {
playBtn.disabled = true;
stopBtn.disabled = false;
pauseBtn.disabled = false;
resumeBtn.disabled = true;
}
break;
case "inactive":
playBtn.disabled = false;
stopBtn.disabled = true;
pauseBtn.disabled = true;
resumeBtn.disabled = true;
break;
case "holding":
playBtn.disabled = false;
stopBtn.disabled = true;
pauseBtn.disabled = true;
resumeBtn.disabled = true;
break;
}
}
</SCRIPT>
<SCRIPT FOR="document" EVENT="onclick" LANGUAGE="JScript">
updateBtns();
</SCRIPT>
<STYLE>
.time{ behavior: url(#default#time2);}
BODY{font-size: 12pt;}
</STYLE>
<XML:NAMESPACE PREFIX="t"/>
</HEAD>
<BODY ID="docBody" TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED"
BGCOLOR="#FFFFFF" LINK="#000000" VLINK="#808080" ALINK="#000000"
onload="update(); updateBtns();">
<BLOCKQUOTE CLASS="body">
<!-- Timer for refreshing the displayed progress -->
<SPAN ID="timer" CLASS="time" BEGIN="movie.begin" DUR=".25"
REPEATCOUNT="indefinite" onrepeat="update();" FILL="FREEZE">
</SPAN>
<!-- Container to display current progress -->
<SPAN STYLE="color:#FFFFFF; background-color:#000000;
position:relative; top:70px; left:240px; padding:2;">Progress:
<SPAN STYLE="font-family:courier; font-weight:bold;
color:#FFFFFF;" ID="progressText">0%</SPAN>
</SPAN>
<TABLE  CELLSPACING="5" STYLE="background-color:#EEEEEE;"
ID="proSpan">
<TR>
<TD STYLE="background-color:Silver; padding:5;">
<SPAN>Video Controls:&nbsp;
<BUTTON ID="playBtn" onclick="movie.beginElement();">Play
</BUTTON>&nbsp;
<BUTTON ID="stopBtn" onclick="movie.endElement();
txSeq.endElement();">Stop</BUTTON>&nbsp;
<BUTTON ID="pauseBtn" onclick="movie.pauseElement();
txSeq.pauseElement();">Pause</BUTTON>&nbsp;
<BUTTON ID="resumeBtn" onclick="movie.resumeElement();
txSeq.resumeElement();">Resume</BUTTON></SPAN>
</TD>
</TR>
<TR>
<TD>
<t:VIDEO CLASS="time" ID="movie"
SRC="../../common/samples/author/behaviors/media/movie.avi"
BEGIN="indefinite" FILL="FREEZE" onend="updateBtns();
update();"/>
</TD>
</TR>
<TR>
<TD ID="caption" STYLE="background-color:Silver;"
ALIGN="CENTER">
<t:SEQ ID="txSeq" CLASS="time" BEGIN="movie.begin+.5">
<SPAN ID="ten" CLASS="time" DUR="1">Ten</SPAN>
<SPAN ID="go" CLASS="time" DUR="2">We're go for
main engine start</SPAN>
<SPAN ID="seven" CLASS="time" DUR="1">7</SPAN>
<SPAN ID="six" CLASS="time" DUR="1">6</SPAN>
<SPAN ID="start" CLASS="time" BEGIN="1" DUR="1">
Start</SPAN>
<SPAN ID="three" CLASS="time" DUR="1">3</SPAN>
<SPAN ID="two" CLASS="time" DUR="1">2</SPAN>
<SPAN ID="one" CLASS="time" DUR="1">1</SPAN>
<SPAN ID="zero" CLASS="time" DUR="1">0</SPAN>
<SPAN ID="liftoff" CLASS="time" DUR="2">
and lift off!</SPAN>
<SPAN ID="liftoff2" CLASS="time" DUR="1.75">
Lift off, Americans return to space</SPAN>
<SPAN ID="liftoff2" CLASS="time" DUR="2">
as Discovery clears the tower.</SPAN>
<SPAN ID="last" CLASS="time" BEGIN="1" DUR="3">
Roger all, Discovery.</SPAN>
</t:SEQ>&nbsp;
</TD>
</TR>
</TABLE>
</SPAN>
</BLOCKQUOTE>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

currTimeState

See Also

Introduction to HTML+TIME


rating Property (playItem, t:ANIMATION, t:AUDIO, ...)

rating Property

Retrieves the rating of the media file.

Syntax

HTML | N/A
Scripting | [ sRating = ] object.rating

Possible Values

sRating String that receives the rating of the media file.

The property is read-only. The property has no default value.

Remarks

If the rating information is not available, an empty string ("") is returned.

Example

This example uses the rating property to retrieve the rating of the media file.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>rating Property</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY>
<t:video id="m1" style="height:100px"
src="../../common/samples/author/behaviors/media/shuttle3.wmv" />
<span id="rating1">Rating:</span>
<P style="position:absolute;top:190px;">
<BUTTON id="b1" onclick="rating1.innerText=m1.rating">Click here for rating</BUTTON>
</P>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

playItem, t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:REF, t:VIDEO

See Also

Introduction to HTML+TIME


ITIMEMediaPlayer::rating Property

Retrieves the rating of the media file.

Syntax

HRESULT ITIMEMediaPlayer::get_rating(BSTR *rate);

Parameters

rate
Pointer to a variable of type BSTR that receives the rating of the media file.

Return Value

Returns S_OK if successful, or an error value otherwise.

Remarks

This property is only relevant for people who are writing a custom player for HTML+TIME (Timed Interactive Multimedia Extensions).


repeatCount Property (currTimeState)

repeatCount Property

Retrieves the current iteration in the repetition loop.

Syntax

[ iIteration = ] currTimeState.repeatCount

Possible Values

iIteration Integer that receives the current iteration in the repetition loop.

The property is read-only. The property has no default value.

Remarks

This is a read-only property, exposed by the currTimeState object, that you can access at run-time to determine the current iteration of a repetition loop. A repetition loop is created by setting the repeatCount property.

Example

This example uses the repeatCount property to retrieve the current iteration.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
<SCRIPT LANGUAGE="JScript">
function fnRepeat()
{
oCount.innerText = "Current iteration: " +
(oAnim.currTimeState.repeatCount + 1);
// Add one because repeatCount is zero-based.
}
</SCRIPT>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<DIV ID="oCount">Current iteration: 1</DIV>
<DIV ID="oDiv" CLASS="time" STYLE="position:relative;top:25px;left:50px;
height:100px;width:100px;background-color:blue;"></DIV>
<t:ANIMATEMOTION ID="oAnim" targetElement="oDIV" to="150,0"
begin="0;indefinite" dur="1" autoReverse="true" repeatCount="5"
onrepeat="fnRepeat()"/>
<BR><BR>
<BUTTON id="b1" onclick="oCount.innerText='Current iteration: 1';
oAnim.beginElement();">Click to restart</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

currTimeState

See Also

Introduction to HTML+TIME, repeatDur


REPEATCOUNT Attribute | repeatCount Property (t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, ...)

REPEATCOUNT Attribute | repeatCount Property

Sets or retrieves the number of times an element's timeline repeats.

What's New for Microsoft?Internet Explorer 6

The begin repeatCount applies to the transitionFilter.

Syntax

HTML | <ELEMENT REPEATCOUNT = vRepetitions... >
Scripting | object.repeatCount(time) [ = vRepetitions ]

Possible Values

vRepetitions Variant that specifies or receives one of the following values.
indefinite | Timeline repeats indefinitely.
repetitions | Floating-point number or integer greater than 0 that specifies how many times the timeline repeats.
1 | Default. Timeline runs only once.

The property is read/write. The property has a default value of 1.

Remarks

This property supersedes the repeat property exposed by the time behavior.

If the repeatCount property is a floating-point number, the element's timeline multiplies the fractional amount by the simple duration (simpleDur) on the last iteration. For example, a t:SEQ with a simpleDur of 10 seconds and a repeatCount of 2.5 would result in a sequence that plays for a total of 25 seconds. In this case, the sequence completes two full iterations, and the last iteration ends after playing for 5 seconds (10 seconds x .5).

The current iteration of a repeat loop can be obtained on an active timeline using the repeatCount property exposed by the currTimeState object.

Examples

The following example shows how to repeat a parallel timeline container using the REPEATCOUNT attribute.

<HTML>
<HEAD>
<TITLE>repeatCount Property</TITLE>
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF" LINK="#000000"
VLINK="#808080" ALINK="#000000">
<P>Three paragraphs will be shown for three seconds each, and
the entire process will be repeated three times.
<SPAN ID="parent" CLASS=time BEGIN="0" DUR="9" TIMECONTAINER="PAR"
REPEATCOUNT="3" TIMEACTION="display">
<SPAN ID="span1" CLASS=time STYLE="COLOR:Red;" BEGIN="0"
DUR="3" TIMEACTION="visibility">
<H3>Paragraph 1</H3>
<P>This is paragraph number one.</P>
</SPAN>
<SPAN ID="span2" CLASS=time STYLE="COLOR:Blue;" BEGIN="3"
DUR="3" TIMEACTION="visibility">
<H3>Paragraph 2</H3>
<P>This is paragraph number two.</P>
</SPAN>
<SPAN ID="span2" CLASS=time STYLE="COLOR:Green;" BEGIN="6"
DUR="3" TIMEACTION="visibility">
<H3>Paragraph 3</H3>
<P>This is paragraph number three.</P>
</SPAN>
</SPAN>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The example below uses the REPEATCOUNT attribute to repeat a transition on a DIV. The REPEATCOUNT attribute inside the t:TRANSITIONFILTER element is set to indefinite. However, the DIV below will only repeat for the duration of the DIV (in this case seven seconds).

<HTML XMLNS:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
<t:TRANSITIONFILTER REPEATCOUNT="indefinite" TYPE="barnDoorWipe" DUR="3"
TARGETELEMENT="oDiv1"/>
<!-- The REPEATCOUNT property inside the transitionFilter is set to
indefinite. However, the DIV below will only repeat for the duration
of the DIV (in this case seven seconds).
-->
<DIV CLASS="time" ID="oDiv1" dur="7"  style="position:relative; left:20px;
width:420px; height:100px; background-image:url(ART_time_progress.gif);
background-repeat: no-repeat;">
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, time2, t:VIDEO, t:TRANSITIONFILTER

See Also

Introduction to HTML+TIME, repeatDur


REPEATDUR Attribute | repeatDur Property (t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, ...)

REPEATDUR Attribute | repeatDur Property

Sets or retrieves the number of seconds that an element's timeline repeats.

What's New for Microsoft?Internet Explorer 6

The repeatDur property applies to the transitionFilter.

Syntax

HTML | <ELEMENT REPEATDUR = sTime... >
Scripting | object.repeatDur [ = sTime ]

Possible Values

sTime String that specifies one of the following values:
indefinite | Default. Timeline repeats indefinitely.
totaldur | Total amount of time to repeat the element's timeline. The value must be specified as described in Time Formats.

The property is read/write. The property has a default value of indefinite.

Remarks

Use the dur or end property to define each repeat iteration. The repeatDur property has no effect if the duration is not defined or is indefinite.

Do not use this property on the same element as the REPEATCOUNT attribute. Typically, repeatDur is set on elements that are time containers, such as the t:PAR or t:SEQ elements. Elements with the TIMECONTAINER attribute set are also time containers. If you set the REPEATDUR attribute on an element that is not a time container, it sets the element's duration to the repeatDur value. This property is useful for coordinating the timing of an element with a media element that has a fractional duration, such as an audio file with a duration of 3.45 seconds.

A repeatDur value of 0 is invalid. If 0 is specified, the default value is used instead.

Example

This example uses the repeatDur attribute to demonstrate how to repeat an element's timeline.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>repeatDur Property</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time { behavior: url(#default#time2) }
</STYLE>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="fixed" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<t:SEQ repeatDur="27" begin="0">
<DIV ID="d1" CLASS="time" DUR="3">The first line appears for 3 seconds.</DIV>
<DIV ID="d2" CLASS="time" DUR="3">The second line appears for 3 seconds after the
first line disappears.</DIV>
<DIV ID="d3" CLASS="time" DUR="3">The third line appears for 3 seconds after the
second line disappears. The first line reappears.</DIV>
</t:SEQ>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:EXCL, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:SET, time2, t:VIDEO, t:TRANSITIONFILTER

See Also

Introduction to HTML+TIME, activeDur, dur, mediaDur, segmentDur, simpleDur


RESTART Attribute | restart Property (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...)

RESTART Attribute | restart Property

Sets or retrieves the conditions under which an element can be restarted on a timeline.

Syntax

HTML | <ELEMENT RESTART = sAction... >
Scripting | object.restart(action) [ = sAction ]

Possible Values

sAction String that specifies or receives one of the following values.
always | Default. Element can be restarted at any time.
never | Element cannot be restarted for the remaining duration of the parent time container.
whenNotActive | Element can be restarted only when it is not active on the timeline.

The property is read/write. The property has a default value of always.

Remarks

This property supersedes the eventRestart property.

Example

This example demonstrates each of the three values (always, never, whenNotActive) for the restart property. These values specify the conditions in which an element can be restarted on a timeline.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY>
<t:par id="tp1" begin="indefinite" dur="20">
<DIV id="div1" class="time"
style="position:absolute;top:255px;left:35px;width:100px;height:100px;
background-color:yellow; font-size:large; text-align:center;"
end="6" restart="never">DIV1<BR>'never'
</DIV>
<DIV id="div2" class="time"
style="position:absolute;top:255px;left:145px;width:100px;height:100px;
background-color:blue; font-size:large; text-align:center;"
begin="2" end="8" restart="always">DIV2<BR>'always'
</DIV>
<DIV id="div3" class="time"
style="position:absolute;top:255px;left:255px;width:100px;height:100px;
background-color:green; font-size:large; text-align:center;"
begin="4" end="10" restart="whenNotActive">DIV3<BR>'whenNotActive'
</DIV>
</t:par>
<P style="position:absolute; top:370px; left:45px;">
<BUTTON id="b0" onclick="tp1.beginElement();"
style="font-weight:bold;">Start</BUTTON>
<BUTTON id="b1" onclick="tp1.endElement();">Stop</BUTTON>&nbsp;&nbsp;
<BUTTON id="b2" onclick="div1.beginElement();alert('DIV1 cannot be restarted for the remaining duration of the parent time container (20 seconds).');">Restart DIV1</BUTTON>
<BUTTON id="b3" onclick="div2.beginElement();">Restart DIV2</BUTTON>
<BUTTON id="b4" onclick="div3.beginElement();">Restart DIV3</BUTTON>
</P>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:SET, time2, t:VIDEO

See Also

Introduction to HTML+TIME


segmentDur Property (currTimeState)

segmentDur Property

Retrieves the duration of an element on a timeline in seconds, including autoReverse.

Syntax

[ iDuration = ] currTimeState.segmentDur

Possible Values

iDuration Integer that receives the duration of an element on a timeline in seconds, including autoReverse.

The property is read-only. The property has no default value.

Example

This example uses the segmentDur property to retrieve the duration of the elements on the timeline.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<SCRIPT>
function getSegmentDur(){
s1.innerText += d1.currTimeState.segmentDur;
s2.innerText += d2.currTimeState.segmentDur;
}
</SCRIPT>
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<t:excl id="t1" onbegin="getSegmentDur();">
<t:priorityclass peers="pause">
<SPAN id="d1" class="time" begin="0" dur="10">
<H3>Paragraph 1</H3>
<P>Paragraph 1 is displayed until it is interrupted by the
next element (at 5 seconds); it then resumes its
duration of 10 seconds.
</P>
</SPAN>
<SPAN id="d2" class="time" begin="5" dur="5">
<H3>Paragraph 2</H3>
<P>Paragraph 2 is displayed for 5 seconds; Paragraph 1 then
resumes its duration.
</P>
</SPAN>
</t:priorityclass>
</t:excl>
<BR>
<B>Duration of paragraph 1 on timeline:&nbsp;</B><SPAN id="s1"></SPAN>&nbsp;second(s)
<BR>
<B>Duration of paragraph 2 on timeline:&nbsp;</B><SPAN id="s2"></SPAN>&nbsp;second(s)
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

currTimeState

See Also

Introduction to HTML+TIME, activeDur, dur, mediaDur, repeatDur, simpleDur


segmentTime Property (currTimeState)

segmentTime Property

Retrieves the current point in time along a segment of time.

Syntax

[ iTime = ] currTimeState.segmentTime

Possible Values

iTime Integer that receives the current point in time along a segment of time, in seconds. The value of this property ranges from 0 to segmentDur.

The property is read-only. The property has no default value.

Remarks

The segmentTime property contains the time elapsed since the beginning of the current iteration through an object's timeline. This includes time spent in reverse mode. Run the example below and note how segmentTime accumulates as the timeline goes forward and backward, then starts over when the repeatCount increments.

Example

This example shows how activeTime, segmentTime, and simpleTime relate to each other.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>segmentTime Example</TITLE>
<STYLE>
.time{behavior: url(#default#time2);}
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
<SCRIPT LANGUAGE="JScript">
window.onload = fnOnLoad;
function fnOnLoad()
{
// Set up a timer to watch the time values.
window.setInterval(fnUpdateTimes, 100);
}
function fnUpdateTimes()
{
oSimpleTime.innerHTML = "&nbsp;simpleTime:&nbsp;" +
(oAnim.currTimeState.simpleTime);
oSegmentTime.innerHTML = "segmentTime:&nbsp;" +
(oAnim.currTimeState.segmentTime);
oActiveTime.innerHTML = "&nbsp;activeTime:&nbsp;" +
(oAnim.currTimeState.activeTime);
}
function fnRepeat()
{
oRepeatCount.innerHTML = "repeatCount:&nbsp;" +
(oAnim.currTimeState.repeatCount + 1);
// Add one because repeatCount is zero-based.
}
</SCRIPT>
</HEAD>
<BODY>
<DIV STYLE="font-family:courier;">
<DIV ID="oRepeatCount">repeatCount: 1</DIV>
<DIV ID="oSimpleTime">&nbsp;simpleTime:&nbsp;0</DIV>
<DIV ID="oSegmentTime">segmentTime:&nbsp;0</DIV>
<DIV ID="oActiveTime">&nbsp;activeTime:&nbsp;0</DIV>
</DIV>
<DIV ID="oDiv" CLASS="time" STYLE="position:absolute; left:50px;
top:250px; width:100px; height:100px; background-color:blue;"></DIV>
<t:ANIMATEMOTION ID="oAnim" targetElement="oDIV" to="340,40" dur="2"
autoReverse="true" repeatCount="5" onrepeat="fnRepeat()" fill="freeze"/>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

currTimeState

See Also

activeTime, simpleTime, Introduction to HTML+TIME


segmentType Attribute (t:ANIMATION, t:AUDIO, t:IMG, ...)

segmentType Attribute

Sets whether to play a Microsoft?DirectMusic?segment as a controlling or secondary segment.

Syntax

HTML | <ELEMENT segmentType= ... >
Scripting | N/A

Possible Values

primary | Default. Play as the primary segment.
control | Play as a controlling segment. The primary segment continues playing, but properties like groove, level, and chord progression are set by the new control segment.
secondary | Play as a secondary segment while the primary segment continues playing.

Remarks

The segmentType attribute is only valid if the PLAYER attribute is set to DMusic.

Example

The following example shows how to specify a secondary music segment.

<t:MEDIA CLASS="time" ID=seg2 PLAYER="DMusic"
SRC="http://www.hearmusic.com/jazz/hancock.sgt"
BEGIN="7.2" DUR="19.5" SEGMENTTYPE="secondary"/>

Standards Information

This attribute is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:ANIMATION, t:AUDIO, t:IMG, t:VIDEO, t:MEDIA, t:REF

See Also

Using HTML+TIME with DirectMusic, Introduction to HTML+TIME


simpleDur Property (currTimeState)

simpleDur Property

Retrieves the duration of a repeat iteration.

Syntax

[ fTime = ] currTimeState.simpleDur

Possible Values

fTime Floating-point that receives the amount of time in each repeat iteration of a element's timeline.

The property is read-only. The property has no default value.

Remarks

The simpleDur property includes the additional time required to play the element if the autoReverse property is set to true.

Example

This example uses the simpleDur property to retrieve the duration of a repeat iteration.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
<SCRIPT LANGUAGE="JScript">
function fnRepeat()
{
oCount.innerText = "Current iteration: " +
(oAnim.currTimeState.repeatCount + 1);
// Add one because repeatCount is zero-based.
}
function getSimpleDur()
{
s1.innerHTML = "Duration of each repeat iteration:&nbsp;" +
(oAnim.currTimeState.simpleDur) + ' seconds.';
}
</SCRIPT>
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" BGCOLOR="#FFFFFF"
LINK="#000000" VLINK="#808080" ALINK="#000000">
<B>Timer:</B>
<SPAN id="Timer" class="time" dur=".01" repeatCount="indefinite" fill="hold"
onrepeat="innerText=parseInt(document.body.currTimeState.activeTime);">0
</SPAN>
<BR><BR>
<DIV ID="oCount">Current iteration: 1</DIV>
<SPAN id="s1">Duration of each repeat iteration:</SPAN>
<DIV ID="oDiv" CLASS="time" STYLE="position:relative;top:25px;left:50px;
height:100;width:100px;background-color:blue;"></DIV>
<t:ANIMATEMOTION ID="oAnim" targetElement="oDIV" to="325,0"
begin="0; indefinite;" dur="2" autoReverse="true" repeatCount="5"
onrepeat="fnRepeat()"/>
<BR><BR>
<BUTTON id="b1" onclick="getSimpleDur()">Click for the duration of each
repeat iteration</BUTTON>
<BUTTON id="b2" onclick="oAnim.beginElement();">Click to restart</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

currTimeState

See Also

Introduction to HTML+TIME, activeDur, dur, mediaDur, repeatDur, segmentDur


simpleTime Property (currTimeState)

simpleTime Property

Retrieves an object's current point along its timeline from zero to its dur value.

Syntax

[ iTime = ] currTimeState.simpleTime

Possible Values

iTime Integer that receives the current point in time along a timeline. The value of this property ranges from 0 to the duration (dur) of the element. If the element has the autoReverse property set to true, the simpleTime property will begin decreasing until it reaches 0.

The property is read-only. The property has no default value.

Remarks

This property supersedes the localTime property.

Run the example below and note how simpleTime increments as the object moves forward, decrements as the object moves backward, then starts over from zero when the repeatCount increments.

Example

This example shows how activeTime, segmentTime, and simpleTime relate to each other.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time{behavior: url(#default#time2);}
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
<SCRIPT LANGUAGE="JScript">
window.onload = fnOnLoad;
function fnOnLoad()
{
// Set up a timer to watch the time values.
window.setInterval(fnUpdateTimes, 100);
}
function fnUpdateTimes()
{
oSimpleTime.innerHTML = "&nbsp;simpleTime:&nbsp;" +
(oAnim.currTimeState.simpleTime);
oSegmentTime.innerHTML = "segmentTime:&nbsp;" +
(oAnim.currTimeState.segmentTime);
oActiveTime.innerHTML = "&nbsp;activeTime:&nbsp;" +
(oAnim.currTimeState.activeTime);
}
function fnRepeat()
{
oRepeatCount.innerHTML = "repeatCount:&nbsp;" +
(oAnim.currTimeState.repeatCount + 1);
// Add one because repeatCount is zero-based.
}
</SCRIPT>
</HEAD>
<BODY>
<DIV STYLE="font-family:courier;">
<DIV ID="oRepeatCount">repeatCount: 1</DIV>
<DIV ID="oSimpleTime">&nbsp;simpleTime:&nbsp;0</DIV>
<DIV ID="oSegmentTime">segmentTime:&nbsp;0</DIV>
<DIV ID="oActiveTime">&nbsp;activeTime:&nbsp;0</DIV>
</DIV>
<DIV ID="oDiv" CLASS="time" STYLE="position:absolute; left:50px;
top:250px; width:100px; height:100px; background-color:blue;"></DIV>
<t:ANIMATEMOTION ID="oAnim" targetElement="oDIV" to="340,40" dur="2"
autoReverse="true" repeatCount="5" onrepeat="fnRepeat()" fill="freeze"/>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

currTimeState

See Also

activeTime, segmentTime, Introduction to HTML+TIME


SPEED Attribute | speed Property (t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, ...)

SPEED Attribute | speed Property

Sets or retrieves the playback speed of an element relative to its parent time container.

Syntax

HTML | <ELEMENT SPEED = fSpeed... >
Scripting | object.speed(speed) [ = fSpeed ]

Possible Values

fSpeed Floating-point that specifies or receives the playback speed of an element relative to its parent time container.
float | Element playback speed is multiplied by this value.
1.0 | Default. Element playback speed is not modified.

The property is read/write. The property has a default value of 1.0.

Remarks

Element playback speed is relative to its parent time container at run time. For example, if an element's parent time container and the element itself both have the speed property set to 0.5, the element plays back at 25% of its normal playback speed. That is, the parent plays at 50% and the child plays at 50% of the parent speed, yielding a 25% playback speed for the child. You can obtain an element's run-time speed by accessing the speed property exposed by the currTimeState object.

Negative values cause video elements to freeze on the last frame.

A value of zero is considered invalid. The media will play at the default of 1.0 if speed is set to 0.

Some media players are not able to play at the requested speed value. If the media player cannot keep up, an onoutofsync event occurs and the requested speed value is treated as invalid. As a result, the media will play back at normal speed. The rest of the timeline progresses at the specified speed value, even if the media player cannot keep up.

The speed value affects the length of the active duration of an element. If an object's speed is increased, the active duration will be shorter than the value specified in the DUR attribute. If the object is slowed, the active duration will be longer than the value specified in the DUR attribute.

Example

This example shows how to use the speed property to set the playback speed of a timeline. The time container is set to begin at zero seconds, with a duration of five seconds and speed set to 0.5 (or half of its normal speed). The child element is set to begin one second after its parent, with a duration of one second and speed set to 0.5 (half of its normal speed). The parent's speed of 0.5 multiplied by the child's speed of 0.5 equals a speed of 0.25, or 25%. Therefore, the child element plays at 25% of its normal speed, or four times its duration, yielding a total duration of four seconds. The parent's timeline plays at only 50% of its normal speed, or twice its duration, yielding a total duration of 10 seconds.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY>
<B>Document Timer:</B>
<SPAN id="Timer1" class="time" dur=".01" repeatCount="indefinite" fill="hold"
onrepeat="innerText=parseInt(document.body.currTimeState.activeTime);">0</SPAN>
<BR><BR>
<B>Time Container Timer:</B>
<SPAN id="Timer2" class="time" dur=".01" repeatCount="indefinite" fill="hold"
onrepeat="innerText=parseInt(t1.currTimeState.activeTime);">0</SPAN>
<BR><BR>
<t:excl ID="t1" begin="0; b1.onclick;" dur="5" speed="0.5">
<DIV ID="div1" CLASS="time" begin="1" DUR="1" speed="0.5"
style="color:blue;font-size:1in">Hello World!</DIV>
</t:excl>
<BR>
<BUTTON id="b1">Click to restart</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:TRANSITIONFILTER, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, time2, t:VIDEO

See Also

Introduction to HTML+TIME


speed Property (currTimeState)

speed Property

Retrieves the playback speed of an element at run time, which includes the cascading effect of the speed set for the parent time container.

Syntax

[ fcurrSpeed = ] currTimeState.speed

Possible Values

fcurrSpeed Floating-point that receives the run-time speed of an element.

The property is read-only. The property has no default value.

Remarks

The value of this read-only property reflects the speed settings inherited by the element from its parent time container. For example, if the speed properties of both an element's parent time container and the element itself are set to 0.5, the element plays back at 25% of its normal playback speed. In other words, the parent plays at 50% speed and the child plays at 50% of the parent speed, yielding a 25% playback speed for the child.

Example

The following example accesses an element's speed property at run time. Click the buttons to see the difference between the speed of the video element and the value of the speed property exposed by the currTimeState object. In this case, the speed value is the product of speed settings for the element and its parent.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>speed Property</TITLE>
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY>
<t:PAR id="p1" SPEED="2" >
<t:VIDEO id="v1" BEGIN="1" style="position:absolute; top:80px; left:20px;
height:100px;"
src="shuttle3.wmv"
speed="1.5"
/>
</t:PAR>
<BUTTON class="time" style="position:absolute;top:200px" repeatCount="indefinite"
onclick="alert('Run time speed: ' +  v1.currTimeState.speed);">
Run time speed</BUTTON>
<BUTTON class="time" style="position:absolute;top:200px;left:150px"
repeatCount="indefinite" onclick="alert('Video element speed: ' + v1.speed);">
Video element speed</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

currTimeState

See Also

Introduction to HTML+TIME


SRC Attribute | src Property (t:ANIMATION, t:AUDIO, t:IMG, ...)

SRC Attribute | src Property

Sets or retrieves the source URL of the media.

Syntax

HTML | <ELEMENT SRC = sURL... >
Scripting | object.src [ = sURL ]

Possible Values

sURL String that specifies the URL of the media. The URL can be suffixed with the keyword #sami to include a .smi or .sami file type for media captioning. For more information, see Remarks.

The property is read/write. The property has no default value.

Remarks

This property is read-only when applied to the playItem object.

HTML+TIME (Timed Interactive Multimedia Extensions) 2.0 supports media that includes captioning stream technology, called Synchronized Accessible Media Interchange (SAMI). The SRC attribute of a media element can use the #sami suffix to include captioning with media playback. For more information, see Adding Closed Captions to Digital Media and Understanding SAMI 1.0.

security note Security Alert When the #sami suffix is specified with a valid URL for the SRC attribute of a media element, the contents of the SAMI stream display as text in that element. Likewise, the stream contents can be returned as the innerText of that element. For security reasons, developers should regard the SAMI stream as user input and take routine precautions against displaying unconfirmed user input as HTML rather than text. For more information, see Security Considerations: Dynamic HTML and Security Considerations: DHTML and Default Behaviors.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, playItem, t:REF, t:VIDEO

See Also

Introduction to HTML+TIME


ITIMEMediaPlayer::src Property

Sets or retrieves the source URL of the media.

Syntax

HRESULT ITIMEMediaPlayer::put_src(BSTR url);

Parameters

url
BSTR that specifies the URL of the media.

Return Value

Returns S_OK if successful, or an error value otherwise.

Remarks

This property is only relevant for people who are writing a custom player for HTML+TIME (Timed Interactive Multimedia Extensions).


ITIMEMediaPlayer::state Property

Retrieves the current state of the media's timeline.

Syntax

HRESULT ITIMEMediaPlayer::get_state(TimeState *ts);

Parameters

ts
Pointer to a variable of type TimeState that receives one of the values listed in Possible Values.

Possible Values

0 | Timeline is inactive.
1 | Timeline is active.
2 | Timeline is cueing the media file.
3 | Timeline is seeking the specified point in the media file.
4 | Timeline is holding on the current element, waiting for the parent element's timeline to end.

Return Value

Returns S_OK if successful, or an error value otherwise.

Remarks

This property is only relevant for people who are writing a custom player for HTML+TIME (Timed Interactive Multimedia Extensions).


stateString Property (currTimeState)

stateString Property

Retrieves the current state of the element's timeline.

Syntax

[ sState = ] currTimeState.stateString

Possible Values

sState String that receives one of the following values.
unknown | Timeline is in an unknown state.
active | Timeline is active.
cueing | Timeline is cueing the media file.
holding | Timeline is holding on the current element, waiting for the parent element's timeline to end.
inactive | Timeline is inactive.

The property is read-only. The property has no default value.

Remarks

An element is active when it is in either a cueing or seeking state. Note that these two states apply only to elements containing media that can be played, such as an audio or video file.

Elements with the fill attribute set to hold or freeze will wait to synchronize with other elements on the page. An element is inactive when it is in a holding state. When an element is inactive, it can neither generate nor respond to events.

To retrieve the stateString value as an integer, use the state property.

Example

This example uses the stateString property to retrieve the current state of the element's timeline as a string.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>stateString Property</TITLE>
<?IMPORT namespace="t" implementation="#default#time2">
<SCRIPT>
// Update each button based on the current timeline state
function updateBtns() {
switch (m1.currTimeState.stateString) {
case "active":
if (m1.currTimeState.isPaused == true) {
playBtn.disabled = true;
stopBtn.disabled = false;
pauseBtn.disabled = true;
resumeBtn.disabled = false;
}
else {
playBtn.disabled = true;
stopBtn.disabled = false;
pauseBtn.disabled = false;
resumeBtn.disabled = true;
}
break;
case "inactive":
playBtn.disabled = false;
stopBtn.disabled = true;
pauseBtn.disabled = true;
resumeBtn.disabled = true;
break;
case "holding":
playBtn.disabled = false;
stopBtn.disabled = true;
pauseBtn.disabled = true;
resumeBtn.disabled = true;
break;
}
}
</SCRIPT>
<SCRIPT FOR="document" EVENT="onclick" LANGUAGE="JScript">
updateBtns();
</SCRIPT>
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY onload="updateBtns()">
Click the Current State button at any time to retrieve the string value of the
element's current state. To start the movie clip, click the Begin button.
<BR><BR>
<t:video class="time" id="m1" begin="indefinite"
style="position:absolute;top:90px;height:150px;"
src="../../common/samples/author/behaviors/media/movie.avi" fill="remove"/>
<SPAN id="stateString1" style="position:absolute;top:255px;">
State: inactive</SPAN>
<P style="position:absolute;top:280px;">
<BUTTON id="b1"
onclick="stateString1.innerText='State: '+m1.currTimeState.stateString">
Current state
</BUTTON>
<BUTTON id="playBtn" onclick="m1.beginElement();">Begin</BUTTON>
<BUTTON id="pauseBtn" onclick="m1.pauseElement();">Pause</BUTTON>
<BUTTON id="resumeBtn" onclick="m1.resumeElement();">Resume</BUTTON>
<BUTTON id="stopBtn"
onclick="m1.endElement();stateString1.innerText='State: inactive'">Stop
</BUTTON>
</P>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

currTimeState

See Also

Introduction to HTML+TIME, activeElements, isActive, isOn, isPaused


SUBTYPE Attribute | subtype Property (t:TRANSITIONFILTER) (Internet Explorer - HTML+Time 2)

SUBTYPE Attribute | subtype Property

Sets or retrieves the name of the subtype that will be applied to the transition.

Syntax

HTML | <t:TRANSITIONFILTER SUBTYPE = sSubType... >
Scripting | t:TRANSITIONFILTER.subtype [ = sSubType ]

Possible Values

sSubType String that specifies or receives the name of the subtype that will be applied to the transition.

The property is read/write. The property has no default value.

Remarks

This parameter is optional and, if specified, must be one of the transition subtype values appropriate for the specified type value, as shown in the table below. If this parameter is not specified, then the transition reverts to the default subtype value for the specified type value with the following exception: When the type property is set to starWipe, it is required to explicitly set the subtype property to fivePoint for the transition to work.

You cannot return the default value of the subtype property through script unless the default value has been set by the attribute or through script.

Type | Associated Subtype(s)
starWipe | fivePoint (this must be specified)
barWipe | leftToRight, topToBottom
barnDoorWipe | vertical, horizontal
irisWipe | rectangle, diamond
ellipseWipe | circle
clockWipe | clockwiseTwelve
fanWipe | centerTop
snakeWipe | topLeftHorizontal
spiralWipe | topLeftClockwise
pushWipe | fromLeft
slideWipe | fromLeft
fade | crossfade

Example

This example demonstrates the different transition type values and the possible subtype values that can be used with those type values. In addition, the effects of changing various other attributes of the transitionFilter is also demonstrated.

This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

t:TRANSITIONFILTER

See Also

Introduction to HTML+TIME, Using HTML+TIME Transitions, end


About Content Selection: System Test Attributes and t:SWITCH

HTML+TIME 2.0 provides authors with the option to display different elements based on system settings. The t:SWITCH element specifies a set of alternative elements from which only the first acceptable element is chosen. Although the t:SWITCH element is most useful for setting conditions that determine what content to display based on the value of various system test attributes, it can also allow you to handle circumstances in which those system attributes affect timing, animation, or media presentation on your Web page.

Suppose that your page displays a video presentation that you want to accompany with an English, Spanish, or Portuguese audio file, depending on the language settings of the user's system. The t:SWITCH element can enable your page to detect the system language setting in the Regional Options section of the user's Control Panel and to play the appropriate audio file. Alternatively, your page can play a default file if, in this case, the user's system language is Japanese (or any other language for which you don't have an audio file). In much the same way, you can use t:SWITCH to display different elements based on system bitrate or the user's captioning, overdub, or subtitle preferences. Supported system test attributes include systemCaptions, systemBitrate, systemOverdubOrSubtitle, and systemLanguage.

You can also use system test attributes inline with other elements, rather than with the t:SWITCH element. This overview provides some examples of both methods and their relative advantages.

  • Adding the Time2 Behavior
  • System Test Attributes
  • Using System Test Attributes with the t:SWITCH Element
  • Using Inline System Test Attributes
  • Comments in the t:SWITCH Element
  • Related Topics

Adding the Time2 Behavior

Because Microsoft?Internet Explorer 5.5 provides support for HTML+TIME (Timed Interactive Multimedia Extensions) through the time2 behavior, you must add a declaration for the behavior to your page. The time2 behavior is available as of Internet Explorer 5.5 in the Microsoft Win32?platform. For more information about element behaviors, see the About Element Behaviors overview.

The prefix t: associates the t:SWITCH element with an Extensible Markup Language (XML) namespace. You must declare the XML namespace in the html tag of your document when using this element.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">

You must then import the tag definitions from the time2 behavior by using the IMPORT processing instruction.

<?IMPORT namespace="t" implementation="#default#time2">

If you want to use system test attributes with the media elements introduced with HTML+TIME (t:ANIMATION, t:AUDIO, t:MEDIA, t:IMG, and t:VIDEO), you don't need to associate the time2 behavior with them because the media elements are defined by the behavior itself. However, if you want to use system test attributes and the t:SWITCH element with other content elements, you must associate the behavior with those elements. You can do this inline on a given element:

<DIV STYLE="behavior:url(#default#time2)";}...

If you plan to use HTML+TIME functionality on more than a couple of elements on the page, however, you might find it less cumbersome to associate elements with the time2 behavior by creating a Cascading Style Sheets (CSS) class attribute.

<HTML>
<HEAD>
<STYLE>
.time {behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY>
<DIV CLASS="time"...
</BODY>
</HTML>

For more information about referencing the time2 behavior, see Authoring HTML+TIME.

System Test Attributes

The systemCaptions, systemBitrate, systemOverdubOrSubtitle, and systemLanguage attributes provide a means of testing system settings. For example, users can set the system language in the Regional Options control panel, available from the Start menu by choosing Control Panel from the Settings menu. Your Web page can test for this setting with the systemLanguage attribute. Similarly, the systemCaptions attribute tests whether the user has set sound captioning in the Accessibility Options control panel. The systemBitrate attribute retrieves the bandwidth available to the system; it is sampled once when the page loads or is refreshed. Note that if the user changes the system settings during a browser session, the new attribute values will not be reflected on your page until the page is refreshed.

Using System Test Attributes with the t:SWITCH Element

You can use the system test attributes provided in HTML+TIME 2.0 within a t:SWITCH element or inline with other elements. You might use the t:SWITCH element to:

  • Set an order of preference for your page markup to select among different elements or media. For example, if your page includes a media presentation, you might prefer that users with high-speed Internet connections see larger, higher-resolution video files. If users connect to the Internet with slower modems, however, you can ensure that they see smaller files and experience a faster, less frustrating download.

  • Set a "failsafe" element to appear when no other system attributes return true. For instance, you might use this option to show a simple image if users' connections are too slow to accommodate any available video presentation, or to play a default music file when users' systems are set to languages you can't support with an audio presentation.

Note Within a t:SWITCH element, any element without a valid test attribute resolves true. It's important to remember this as you order elements within a t:SWITCH block.

The following example tests the systemBitrate attribute, within a t:SWITCH element, in order to select an appropriate audio object to accompany the video object.

<t:PAR>
<t:VIDEO SRC="omelette.mpg">
<t:SWITCH>
<t:AUDIO SRC="chef_fast.aiff" SYSTEMBITRATE="56000"/>
<t:AUDIO SRC="chef_med.aiff" SYSTEMBITRATE="28800"/>
<t:AUDIO SRC="chef_slow.aiff" SYSTEMBITRATE="14400"/>
<t:AUDIO SRC="sizzle.aiff" />
</t:SWITCH>
</t:PAR>

Because the t:AUDIO elements are arranged in descending order in the t:SWITCH element, the most desirable (fastest) bitrate is selected first. In this case, true means that the speed of the connection at page load was greater than or equal to one of the listed values for systemBitrate. If no element's systemBitrate returns a value of true, Sizzle.aiff is selected because it has no test attribute and is therefore always acceptable. Using t:SWITCH in this situation allows you to set a "fallback" option that always returns true, which might not be feasible using inline test attributes. Authors are encouraged to use a fallback option.

In the following example, a French-language video is accompanied by one or more media objects. The first t:SWITCH element provides an appropriate audio file for overdubbing if the system language has been set to English or Dutch; if neither, the default French audio object plays. The second t:SWITCH element selects a subtitle sequence in English or Dutch if systemOverdubOrSubtitle has been set to subtitle. The last sequence provides captions in French if captioning is set on the user's system.

<t:PAR>
<t:VIDEO src="rhinoceros.mpg"/>
<t:SWITCH>
<t:AUDIO SRC="rhino-english.aiff" SYSTEMLANGUAGE="en"
SYSTEMOVERDUBORSUBTITLE="overdub"/>
<t:AUDIO SRC="rhino-dutch.aiff" SYSTEMLANGUAGE="nl"
SYSTEMOVERDUBORSUBTITLE="overdub"/>
<t:AUDIO SRC="rhino-french-lecture.aiff" />
</t:SWITCH>
<t:SWITCH>
<t:SEQ SYSTEMLANGUAGE="en" SYSTEMOVERDUBORSUBTITLE="subtitle" DUR="15">
<SPAN class="time" BEGIN="1" DUR="4" >English subtitle 1</SPAN>
<SPAN class="time" BEGIN="5" DUR="4" >English subtitle 2</SPAN>
<SPAN class="time" BEGIN="9" DUR="4" >English subtitle 3</SPAN>
</t:SEQ>
<t:SEQ SYSTEMLANGUAGE="nl" SYSTEMOVERDUBORSUBTITLE="subtitle" DUR="15">
<SPAN class="time" BEGIN="1" DUR="4" >Dutch subtitle 1</SPAN>
<SPAN class="time" BEGIN="5" DUR="4" >Dutch subtitle 2</SPAN>
<SPAN class="time" BEGIN="9" DUR="4" >Dutch subtitle 3</SPAN>
</t:SEQ>
<t:SEQ SYSTEMCAPTIONS="on" DUR="15">
<SPAN class="time" BEGIN="1" DUR="4" >French subtitle 1</SPAN>
<SPAN class="time" BEGIN="5" DUR="4" >French subtitle 2</SPAN>
<SPAN class="time" BEGIN="9" DUR="4" >French subtitle 3</SPAN>
</t:SEQ>
</t:SWITCH>
</t:PAR>

Notice that in this example, unlike the previous example, no fallback media file accompanies the video. For the t:AUDIO elements contained by the two t:SWITCH elements to return true, the attribute values must match both the user overdub or subtitle preference and the system language setting. Also notice that if the user prefers captioning, the example provides French captions regardless of the user's system language setting.

Using Inline System Test Attributes

In some circumstances—when you want to support multiple attribute criteria, for instance—using many nested t:SWITCH containers might become unwieldy. Instead, you might choose to set inline system test attributes on the elements themselves.

In the following example, a video can play by itself or accompanied by one or more media objects with inline system test attributes. If the system language has been set to Dutch or English, the appropriate audio object plays. If the system language is Dutch or English and systemCaptions has been set to on, appropriate text blocks are displayed as well. Notice that if the system language is neither Dutch nor English, only the video object is displayed.

<t:PAR>
<t:VIDEO SRC="somemovie.mpg" />
<t:AUDIO SRC="dutch.aiff" SYSTEMLANGUAGE="nl" />
<t:AUDIO SRC="english.aiff" SYSTEMLANGUAGE="en" />
<DIV class="time" SYSTEMLANGUAGE="nl" SYSTEMCAPTION="on">
Text block to accompany Dutch audio</DIV>
<DIV class="time" SYSTEMLANGUAGE="en" SYSTEMCAPTION="on">
Text block to accompany English audio</DIV>
</t:PAR>

Comments in the t:SWITCH Element

When used inside a t:SWITCH element, any element without a valid test attribute returns true. In Internet Explorer 6, comment tags are an exception to this rule, so it's possible to add comments to your markup in a t:SWITCH element without causing errors.

However, in Internet Explorer 5.5 and earlier versions, comment elements in a t:SWITCH element always return true, so they resolve the t:SWITCH element before any element that follows them. If you want to include comments within a t:SWITCH element, wrap the comments in another container, such as a div or t:PAR element. Assign an invalid test attribute to the container, so that it can't return true, as in the following example.

<t:PAR>
<t:VIDEO SRC="omelette.mpg">
<t:SWITCH>
<t:AUDIO SRC="chef_fast.aiff" SYSTEMBITRATE="56000"/>
<t:AUDIO SRC="chef_med.aiff" SYSTEMBITRATE="28800"/>
<t:AUDIO SRC="chef_slow.aiff" SYSTEMBITRATE="14400"/>
<DIV SYSTEMBITRATE="99999999999"> <!-- The following audio object plays if none of
the preceding bitrates are true. --> </DIV>
<t:AUDIO SRC="sizzle.aiff" />
</t:SWITCH>
</t:PAR>

Related Topics

  • Introduction to HTML+TIME
  • Spice Up Your Web Pages with HTML+TIME
  • Basics of HTML+TIME Animation


SYNCBEHAVIOR Attribute | syncBehavior Property (t:ANIMATION, t:AUDIO, t:EXCL, ...)

SYNCBEHAVIOR Attribute | syncBehavior Property

Sets or retrieves a value that indicates the synchronization rules for the element's timeline.

Syntax

HTML | <ELEMENT SYNCBEHAVIOR = sRule... >
Scripting | object.syncBehavior [ = sRule ]

Possible Values

sRule String that specifies or receives one of the following values:
canSlip | Element does not have to be synchronized with the parent element's timeline. This allows an HTML page enough flexibility to handle network problems.
locked | Element must be synchronized with the parent element's timeline. For example, a parent element's timeline does not progress until the child element's media is ready to be played.

The property is read/write. The property has no default value.

Remarks

You must use this property with the SYNCMASTER attribute to determine which elements to synchronize within the document. If a media file isn't ready when the timeline begins, the canSlip value enables the parent timeline to continue without interruption. The timeline on the element associated with the media begins as soon as the file loads.

If you set an element's SYNCBEHAVIOR attribute to locked, the parent timeline must pause and wait for the element to catch up. If the parent element's timeline is also locked, the scope of the synchronization behavior is extended to include all of the timed children of the parent's own parent element. If all timelines are locked, the entire document pauses when an element cannot maintain its synchronization.

The SYNCBEHAVIOR attribute applies to the media delivery of an element, or to the sync relationship of the timeline defined by a time container. If there is a delay or interruption in either the media element or the time container, the SYNCBEHAVIOR attribute controls how the media element is delivered while the rest of the document continues to play.

Example

This example uses the syncBehavior property to show how to set the synchronization rules of a timeline.

...
<DIV style="position:absolute;left:300">
...
<t:PAR id="par2" timeAction="display" >
<t:media id="oMedia1" begin="0s" dur="20s" timeAction="display"
syncMaster="true" syncBehavior="locked"
src="\workshop\samples\author\behaviors\media\shuttle3.avi"  />
</t:PAR>
</DIV>
...
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:ANIMATION, t:AUDIO, t:EXCL, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, time2, t:VIDEO

See Also

Introduction to HTML+TIME, syncTolerance


SYNCMASTER Attribute | syncMaster Property (A, ACRONYM, ADDRESS, ...)

SYNCMASTER Attribute | syncMaster Property

Sets or retrieves whether the time container must synchronize playback to this element.

Syntax

HTML | <ELEMENT SYNCMASTER ... >
Scripting | [ bSync = ] object.syncMaster

Possible Values

bSync Boolean that receives one of the following values.
false | Default. Time container synchronization is not required with this element.
true | Element time container must synchronize playback to this element.

The property is read-only. The property has a default value of false.

Remarks

The value for syncMaster can be set only as an attribute. The associated property is read-only and cannot be set by script.

This property supersedes the clockSource property.

You cannot have two elements that share a common parent, with a locked relationship, act as syncMasters in a single document tree.

In this graphic, T4 and T6 can be syncMasters as long as T1 isn't locked. See syncBehavior for more infromation on locked elements.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, t:ANIMATION, AREA, t:AUDIO, B, BIG, BLOCKQUOTE, BUTTON, CAPTION, CENTER, CITE, CODE, DD, DEL, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, hn, HR, I, IFRAME, IMG, t:IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LEGEND, LI, LISTING, MARQUEE, t:MEDIA, MENU, OL, OPTION, P, PLAINTEXT, PRE, Q, t:REF, S, SAMP, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, TR, TT, U, UL, VAR, t:VIDEO, XMP

See Also

Introduction to HTML+TIME, syncBehavior


syncTolerance Property (t:ANIMATION, t:AUDIO, t:EXCL, ...)

syncTolerance Property

Sets or retrieves the time variance allowed on a timeline with locked synchronization.

Syntax

HTML | N/A
Scripting | object.syncTolerance [ = sTime ]

Possible Values

sTime String that specifies the amount of time variance, in seconds, allowed between synchronized elements.

The property is read/write. The property has no default value.

Remarks

This property is valid only for time containers with locked timelines, as defined using the SYNCBEHAVIOR and SYNCMASTER attributes. Once the synchronization of locked elements is off by more than the syncTolerance value, the elements resynchronize.

Example

This example demonstrates how to retrieve the time variance allowed on a timeline with locked synchronization using the syncTolerance property. To use this example, replace the path some_media_file.wmv with a valid location path of a media file on your machine.

...
<SCRIPT>
function getsyncTolerance(){
//Retrieve the time variance using syncTolerance.
osyncTolerance.innerText = oMedia1.syncTolerance;
}
</SCRIPT>
...
<t:PAR id="par2" timeAction="display" >
<t:media id="oMedia1" begin="0" dur="20s" timeAction="display"
syncMaster="true" syncBehavior="locked" src="some_media_file.wmv"
onmediacomplete="getsyncTolerance()"/>
</t:PAR>
...

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:ANIMATION, t:AUDIO, t:EXCL, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, time2, t:VIDEO

See Also

Introduction to HTML+TIME


systemBitrate Attribute (A, ACRONYM, ADDRESS, ...)

systemBitrate Attribute

Retrieves the approximate bandwidth available to the system in bits-per-second.

Syntax

HTML | <ELEMENT systemBitrate=sSpeed ... >
Scripting | N/A

Possible Values

sSpeed String that contains an integer value greater than 0.

Remarks

Evaluates to true if the speed is equal to or greater than the specified value. Evaluates to false if the available system bitrate is less than the given value.

If the systemBitrate attribute is used on an HTML element within a switch statement, it is not necessary to apply the time2 behavior to the HTML element.

The value of the systemBitrate property may be unreliable on operating systems prior to Microsoft?Windows?2000. This includes Windows 95, Windows 98, and Microsoft Windows NT?4.0.

Applies To

A, ACRONYM, ADDRESS, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, AREA, t:AUDIO, B, BIG, BLOCKQUOTE, BUTTON, CAPTION, CENTER, CITE, CODE, DD, DEL, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, hn, HR, I, IFRAME, IMG, t:IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LEGEND, LI, LISTING, MARQUEE, t:MEDIA, MENU, OL, OPTION, P, PLAINTEXT, playItem, PRE, Q, t:REF, S, SAMP, t:SEQ, t:SET, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, t:SWITCH, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, time2, TR, TT, U, UL, VAR, t:VIDEO, XMP

See Also

Introduction to HTML+TIME, systemCaptions, systemLanguage, systemOverdubOrSubtitle, time2


systemCaptions Attribute (A, ACRONYM, ADDRESS, ...)

systemCaptions Attribute

Indicates whether or not to display a text equivalent of the audio portion of the presentation.

Syntax

HTML | <ELEMENT systemCaptions= ... >
Scripting | N/A

Possible Values

on | The user's machine is set to see captions.
off | The user's machine is not set to see captions.

Remarks

Intended for audiences with hearing disabilities, those learning to read, or anyone who wants or needs this information.

Evaluates to true if the user preference matches this attribute value. Evaluates to false if they do not match.

If the systemCaptions attribute is used on an HTML element within a switch statement, is not necessary to apply the time2 behavior to the HTML element.

Example

<t:switch id=switchID>
<p id=choice1 systemCaptions="on">on</p>
<p id=choice2 systemCaptions="off">off</p>
</t:switch>

Applies To

A, ACRONYM, ADDRESS, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, AREA, t:AUDIO, B, BIG, BLOCKQUOTE, BUTTON, CAPTION, CENTER, CITE, CODE, DD, DEL, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, hn, HR, I, IFRAME, IMG, t:IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LEGEND, LI, LISTING, MARQUEE, t:MEDIA, MENU, OL, OPTION, P, PLAINTEXT, playItem, PRE, Q, t:REF, S, SAMP, t:SEQ, t:SET, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, t:SWITCH, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, time2, TR, TT, U, UL, VAR, t:VIDEO, XMP

See Also

Introduction to HTML+TIME, systemBitrate, systemLanguage, systemOverdubOrSubtitle, time2


systemLanguage Attribute (A, ACRONYM, ADDRESS, ...)

systemLanguage Attribute

Indicates whether a given language is selected in a user's system preferences.

Syntax

HTML | <ELEMENT systemLanguage=sLang ... >
Scripting | N/A

Possible Values

sLang A comma-delimited list of language names to check.

Remarks

Evaluates to true if a language indicated by user preferences equals a language given in the value of the systemLanguage attribute. Also evaluates to true if a language indicated by user preferences equals a prefix of a language given in the value of this parameter such that the first tag character following the prefix is "-". Evaluates to false otherwise.

For a list of available language codes, see the Language Codes reference. Note that the prefixes described in the preceding paragraph provide more specific language designations. For example, en for English is a valid setting; so are en-us for English (United States), en-nz for English (New Zealand), and en-ie for English (Ireland).

This use of a prefix matching rule should not be misconstrued to mean that language tags are assigned to languages so that users who understand a language with a certain tag will also understand all languages with tags for which this tag is a prefix. The prefix rule simply allows the use of prefix tags if this is the case.

Multiple languages may be listed for content that is intended for multiple audiences. For example, a rendition of the "Treaty of Waitangi," presented simultaneously in the original Maori and English versions, would call for:

<t:AUDIO src="fun.wav" systemLanguage="mi, en"/>

However, just because multiple languages are present within the object on which the systemLanguage test attribute is placed, this does not mean that it is intended for multilingual audiences. An example would be a beginner's language primer, such as "A First Lesson in Latin," which is clearly intended to be used by an English-literate audience. In this case, the systemLanguage test attribute should only include "en".

Note If several alternative language objects are enclosed in a switch, and none of them matches, this may lead to situations such as a video being shown without any audio track. It is therefore recommended to include a catch-all choice at the end of such a switch which is acceptable in all cases.

If the systemLanguage attribute is used on an HTML element within a systemLanguage statement, it is not necessary to apply the time2 behavior to the HTML element.

Example

This example demonstrates that, based on your current locale (language setting) in the General Tab in the Regional Options in Control Panel, the following sentence, 'This is an example for the systemLanguage property', appears in that particular language. The sentence is translated into the three following languages: Spanish?es), Portuguese?pt) and English?en).

To test this sample, switch your current locale (language setting) to either Spanish, Portuguese, or English and refresh this Web page. If any other language is chosen, a 'Language not supported' message appears. Be sure to set your current locale back to its original setting.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY>
<t:SWITCH>
<SPAN systemLanguage="es" ><b>Your current locale setting is Espanol</b>.
<BR><BR>Este es un ejemplo para el <b>systemLanguage</b> la propiedad.
</SPAN>
<SPAN systemLanguage="pt" ><b>Your current locale setting is
Portuguese</b>.<BR><BR>Este e um exemplo para a <b>systemLanguage</b>
propriedade.
</SPAN>
<SPAN systemLanguage="en" ><b>Your current locale setting is English</b>.
<BR><BR>This is an example for the <b>systemLanguage</b> property.
</SPAN>
<SPAN>This language is not supported.</SPAN>
</t:SWITCH>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

A, ACRONYM, ADDRESS, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, AREA, t:AUDIO, B, BIG, BLOCKQUOTE, BUTTON, CAPTION, CENTER, CITE, CODE, DD, DEL, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, hn, HR, I, IFRAME, IMG, t:IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LEGEND, LI, LISTING, MARQUEE, t:MEDIA, MENU, OL, OPTION, P, PLAINTEXT, playItem, PRE, Q, t:REF, S, SAMP, t:SEQ, t:SET, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, t:SWITCH, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, time2, TR, TT, U, UL, VAR, t:VIDEO, XMP

See Also

Introduction to HTML+TIME, Language Codes, systemBitrate, systemCaptions, systemOverdubOrSubtitle, time2


systemOverdubOrSubtitle Attribute (A, ACRONYM, ADDRESS, ...)

systemOverdubOrSubtitle Attribute

Specifies whether overdubs or subtitles render during a presentation.

Syntax

HTML | <ELEMENT systemOverdubOrSubtitle= ... >
Scripting | N/A

Possible Values

overdub | The user prefers to substitute one voice track for another.
subtitle | The user prefers to display text in a language different from the one currently being used in the audio track.

Remarks

Evaluates to true if the user preference matches this attribute value. Evaluates to false if they do not match.

If the systemOverdubOrSubtitle attribute is used on an HTML element within a switch statement, it is not necessary to apply the time2 behavior to the HTML element.

To turn captions on or off, select the Use ShowSounds check box under the Sound tab of Accessibility Options located in Control Panel.

Example

This example demonstrates how to use the systemOverdubOrSubtitle attribute. If captioning (Use ShowSounds) is not set to on, the first t:AUDIO evaluates true and starts to play. Otherwise, the second t:AUDIO evaluates true and starts to play.

<HTML xmlns:t="urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY timecontainer="seq">
<t:PAR>
<t:SWITCH>
<!-- If language is set to English and show sounds isn't checked, the
following line evaluates true. -->
<t:AUDIO  src="ShowSoundsOff.wav" systemOverdubOrSubtitle="subtitle"
systemLanguage="en" />
<!-- If language is set to English and show sounds is checked, the
following line evaluates true. -->
<t:AUDIO  src="ShowSoundsOn.wav" systemOverdubOrSubtitle="overdub"
systemLanguage="en" />
</t:SWITCH>
</t:PAR>
</BODY>
</HTML>

Applies To

A, ACRONYM, ADDRESS, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, AREA, t:AUDIO, B, BIG, BLOCKQUOTE, BUTTON, CAPTION, CENTER, CITE, CODE, DD, DEL, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, hn, HR, I, IFRAME, IMG, t:IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LEGEND, LI, LISTING, MARQUEE, t:MEDIA, MENU, OL, OPTION, P, PLAINTEXT, playItem, PRE, Q, t:REF, S, SAMP, t:SEQ, t:SET, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, t:SWITCH, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, time2, TR, TT, U, UL, VAR, t:VIDEO, XMP

See Also

Introduction to HTML+TIME, systemBitrate, systemCaptions, systemLanguage, time2


TARGETELEMENT Attribute | targetElement Property (t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, ...)

TARGETELEMENT Attribute | targetElement Property

Sets or retrieves the target element to be animated.

What's New for Microsoft?Internet Explorer 6

The targetElement property applies to the transitionFilter.

Syntax

HTML | <ELEMENT TARGETELEMENT = sID... >
Scripting | object.targetElement(target) [ = sID ]

Possible Values

sID String that specifies or receives the value of the element's unique identifier.

The property is read/write. The property has no default value.

Remarks

If the targetElement is not specified, the parent element of the animation element is implicitly defined as the target element.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:SET, t:TRANSITIONFILTER

See Also

Introduction to HTML+TIME, time2


TIMEACTION Attribute | timeAction Property (t:ANIMATION, t:AUDIO, t:IMG, ...)

TIMEACTION Attribute | timeAction Property

Sets or retrieves what action is taken on the element while the timeline is active.

Syntax

HTML | <ELEMENT TIMEACTION = sAction... >
Scripting | object.timeAction [ = sAction ]

Possible Values

sAction String that specifies or receives one of the following values.
class:classname1 [classname2 ...] | The specified classname is applied to the element while it is active on the timeline and removed while the element is inactive. The class value is available as of Microsoft?Internet Explorer 5.5.
display | Element displays when the timeline is active and disappears when the timeline is inactive. As the element changes between active and inactive states, the surrounding HTML elements dynamically reflow within the page.
style | Element displays with the inline style when the timeline is active, and displays without the inline style when the timeline is inactive. If no inline style is defined for this element, nothing happens.
visibility | Element's visibility property displays the element when the timeline is active, and makes the element disappear when the timeline is inactive. The surrounding HTML elements do not reflow as a result of the local element changing between active and inactive states.

The property is read/write. The property has no default value.

Remarks

The default value of the timeAction property depends on the element using it. When it is used on the t:SEQ element, the default value is display. For all other elements, the default value is visibility.

If you specify a CLASS attribute for the timeAction property that is already present on the element, that class will be removed whenever the element is not active on the timeline. In the following example, the redText class is applied only while the span is active on the timeline; however, the boldFont class is always applied to the span.

<SPAN CLASS="redText boldFont" STYLE="behavior:url(#default#time2)"
BEGIN="5" TIMEACTION="class:redText">The text is red
only while this element is active on the timeline.
</SPAN>

To specify multiple classes for the timeAction property, separate the class names with white space.

If the display attribute is set to none through persistence or before the time2 behavior is dynamically added, the element will not display.

If the visibility attribute is set to hidden through persistence or before the time2 behavior is dynamically added, the element will not display.

If the HTML+TIME (Timed Interactive Multimedia Extensions) behavior is applied directly to the A element, by default, the element is always visible but is only a viable hyperlink when it is active on the time line. To make this element appear and disappear, you must specify a value for the TIMEACTION attribute in the a element.

Example

This example shows text with different timeAction values.

<HTML>
<HEAD>
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY BGCOLOR="white">
<SPAN CLASS=time STYLE="Color:Red; Font-Weight:bold;" BEGIN="0"
DUR="5" TIMEACTION="style">
<H3>Paragraph 1</H3>
<P>This is paragraph number one. It is displayed in red, bold
typeface for five seconds. After five seconds, the inline style
is no longer applied. The timeAction property is set to
"style."</P>
</SPAN>
<SPAN CLASS=time STYLE="COLOR:Blue;" BEGIN="0" DUR="10"
TIMEACTION="display">
<H3>Paragraph 2</H3>
<P>This is paragraph number two. It displays for 10
seconds. The timeAction property is set to "display."</P>
</SPAN>
<SPAN>
<H3>Paragraph 3</H3>
<P>This is paragraph number three. When the second
paragraph disappears, this paragraph moves into its place because
the document reflows.</P>
</SPAN>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, time2, t:VIDEO

See Also

Introduction to HTML+TIME


TIMECONTAINER Attribute | timeContainer Property (A, ACRONYM, ADDRESS, ...)

TIMECONTAINER Attribute | timeContainer Property

Sets or retrieves the type of timeline associated with an element.

Syntax

HTML | <ELEMENT TIMECONTAINER = sType... >
Scripting | [ sType = ] object.timeContainer

Possible Values

sType String that specifies one of the following values:
excl | Exclusive timeline container element in a document. Only one HTML descendant of this element can play at a time.
none | Default. Current element does not define a local timeline and has no affect on its contained time descendants.
par | New timeline container element in a document. All HTML descendants of this element have independent, or parallel, timing.
seq | Sequence timeline container element in a document. When the timeline of an element in the sequence ends, the next element begins playing.

The property is read-only. The property has a default value of none.

Example

This example shows how to use the TIMECONTAINER attribute to create a time container.

<HTML>
<HEAD>
<STYLE>
.time        	{ behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY>
<MARQUEE CLASS="time" TIMECONTAINER="seq" REPEATCOUNT="indefinite">
<IMG CLASS="time" DUR="4" SRC="smilingWoman.gif" ALT="Smiling Woman">
<img CLASS="time" DUR="4" SRC="smilingMan.gif" ALT="Smiling Man">
<img CLASS="time" DUR="4" SRC="child.gif" ALT="Smiling Man">
</MARQUEE>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

A, ACRONYM, ADDRESS, t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, AREA, t:AUDIO, B, BIG, BLOCKQUOTE, BUTTON, CAPTION, CENTER, CITE, CODE, DD, DEL, DIR, DIV, DL, DT, EM, FIELDSET, FONT, FORM, hn, HR, I, IFRAME, IMG, t:IMG, INPUT type=button, INPUT type=checkbox, INPUT type=file, INPUT type=hidden, INPUT type=image, INPUT type=password, INPUT type=radio, INPUT type=reset, INPUT type=submit, INPUT type=text, INS, KBD, LEGEND, LI, LISTING, MARQUEE, t:MEDIA, MENU, OL, OPTION, P, PLAINTEXT, playItem, PRE, Q, t:REF, S, SAMP, t:SEQ, t:SET, SMALL, SPAN, STRIKE, STRONG, SUB, SUP, TABLE, TBODY, TD, TEXTAREA, TFOOT, TH, THEAD, time2, TR, TT, U, UL, VAR, t:VIDEO, XMP

See Also

Introduction to HTML+TIME, excl, par, seq


ITIMEMediaPlayerSite::timeElement Property

Used by the control to retrieve the time node

Syntax

HRESULT ITIMEMediaPlayerSite::get_timeElement(ITIMEElement **pElm);

Parameters

pElm
Address of a pointer to a variable of type ITIMEElement interface that receives the time node.

Return Value

Returns S_OK if successful, or an error value otherwise.

Remarks

This property is only relevant for people who are writing a custom player for HTML+TIME (Timed Interactive Multimedia Extensions).


timeParent Property (t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, ...)

timeParent Property

Retrieves the parent time container element of the current element.

Syntax

HTML | N/A
Scripting | [ oParent = ] object.timeParent

Possible Values

oParent Object that receives the parent time container element.

The property is read-only. The property has no default value.

Remarks

The timeParent property returns an ITIMEElement object which can be used to get timing properties and to navigate the Introduction to HTML+TIME object model. It does not return an IHTMLElement, which would be used to get HTML properties such as id, style and so on.

Example

This example demonstrates how to retrieve the parent time container element's duration (dur) and how to set the duration (dur) from indefinite to 30 seconds.

...
<SCRIPT>
window.onload = fnOnLoad;
function fnOnLoad()
{
// Set up a timer to watch the time values.
window.setInterval(fnUpdateTimes,100);
}
function fnUpdateTimes()
{
oParent = t1.timeParent;
span1.innerText = oParent.dur;
}
</SCRIPT>
...
<DIV id="div1" class="time"
style="position:relative;top:25px;left:100px;height:100px;width:100px;
background-color:blue;"></DIV>
<!-- t:EXCL is the parent time container for the t1 element. -->
<t:EXCL class="time" begin="0" dur="indefinite">
<!-- Child element of t:EXCL time container. -->
<t:ANIMATEMOTION id="t1" targetElement="div1" to="375,0" begin="0" dur="3"
autoReverse="true" repeatCount="indefinite"/>
</t:EXCL>
...
<BUTTON onclick="oParent.dur='30s';">Set parent duration</BUTTON>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:PAR, t:REF, t:SEQ, t:SET, time2, t:VIDEO

See Also

Introduction to HTML+TIME, timeAll, timeChildren


ITIMEMediaPlayerSite::timeState Property

Used by the control to retrieve the time state.

Syntax

HRESULT ITIMEMediaPlayerSite::get_timeState(ITIMEState **pState);

Parameters

pState
Address of a pointer to a variable of type ITIMEState interface that receives the time state.

Return Value

Returns S_OK if successful, or an error value otherwise.

Remarks

This property is only relevant for people who are writing a custom player for HTML+TIME (Timed Interactive Multimedia Extensions).


ITIMEMediaPlayer::title Property

Retrieves the title of the media file.

Syntax

HRESULT ITIMEMediaPlayer::get_title(BSTR *name);

Parameters

name
Pointer to a variable of type BSTR that receives the title of the media file.

Return Value

Returns S_OK if successful, or an error value otherwise.

Remarks

This property is only relevant for people who are writing a custom player for HTML+TIME (Timed Interactive Multimedia Extensions).


TO Attribute | to Property (t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, ...)

TO Attribute | to Property

Sets or retrieves the ending value of an animation.

Syntax

HTML | <ELEMENT TO = vValue... >
Scripting | object.to(val) [ = vValue ]

Possible Values

vValue Variant that specifies or receives the ending value of the animation. This value can include any of the following length unit designators: px, in, cm, mm, pt, pc. For more information about the supported length units, see the CSS Length Units Reference.

The property is read/write. The property has no default value.

Remarks

The by property cannot be used on the same element as the to property. If both properties are specified, the by value is ignored.

When writing script to dynamically change the properties of an active animation, developers should consider a couple of issues. Because results might be unpredictable or undefined when you change the properties of an active animation, restart the animation with beginElement after you have made the change. For example:

<SCRIPT>
object.endElement();
object.to='400';
object.beginElement();
</SCRIPT>

For the animate, animateMotion, and animateColor objects, the time2 behavior uses the following model to evaluate which properties to animate.

  • The path property overrides any setting for the values, from, to, or by properties.
  • The values property, if specified, overrides any setting for the from, to, or by properties.
  • The from property is used unless the values or path properties are specified.
  • The to property, if specified, overrides any setting for the by property.
  • The by property doesn't override any properties.
To change an active animation from a path to a to value through script:
<SCRIPT>
object.endElement();
object.path=null;
object.to='400';
object.beginElement();
</SCRIPT>

Example

This example demonstrates how to use the to attribute to set the ending value of an animation.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY>
<t:ANIMATE AUTOREVERSE="true" TARGETELEMENT="div1" ATTRIBUTENAME="left"
FROM="100" DUR="5" TO="300" FILL="hold"/>
<DIV id="div1" class="time"
style="position:absolute; top:170; background-color:#003399;color:#FFCC00">
Moving DIV</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, t:SET

See Also

Introduction to HTML+TIME


TO Attribute | to Property (t:TRANSITIONFILTER) (Internet Explorer - HTML+Time 2)

TO Attribute | to Property

Sets or retrieves a value that indicates the point in the transition's progress at which the transition ends.

Syntax

HTML | <t:TRANSITIONFILTER TO = sTo... >
Scripting | t:TRANSITIONFILTER.to(val) [ = sTo ]

Possible Values

sTo String that specifies or receives the ending progress value of the transition. Legal values are real numbers in the range 0.0-1.0.
1.0 Default. End transition at the end of the transition progress.

The property is read/write. The property has a default value of 1.0.

Remarks

The by property should not be used on the same element as the to property. If both properties are specified, the by value is ignored.

The transition can transition in or out depending on how the to and from properties are set. For example, if the from property had a value of 1.0 and the to property had a value of 0.0, the transition would appear to transition out. However, to set the transition to go out, you would typically use the mode property.

The value specified for the to property is ignored if the values attribute is specified.

When writing script to dynamically change the properties of an active animation, developers should consider a couple of issues. Because results might be unpredictable or undefined when you change the properties of an active animation, restart the animation with beginElement after you have made the change. For example:

<SCRIPT>
object.endElement();
object.to='0.8';
object.beginElement();
</SCRIPT>

For the animate, animateMotion, and animateColor objects, the time2 behavior uses the following model to evaluate which properties to animate.

  • The values property, if specified, overrides any setting for the from, to, or by properties.
  • The from property is used unless the values or path properties are specified.
  • The to property, if specified, overrides any setting for the by property.
  • The by property doesn't override any properties.

Example

This example shows how to use the to property to stop a transition part way through the transition.

<HTML XMLNS:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
<t:TRANSITIONFILTER FROM="0.3" TO="0.7"  TYPE="barWipe" DUR="3"
TARGETELEMENT="oDiv1" />
<DIV CLASS="time" ID="oDiv1" DUR="9"  STYLE=" font:bold x-large fantasy;
width:400px; height:100px; background:#CC3333;color:#FFFFFF;">
<SPAN STYLE="position:relative; top:20px;margin:160;">TRANSITION!</SPAN>
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

t:TRANSITIONFILTER

See Also

Introduction to HTML+TIME, Using HTML+TIME Transitions


TO Attribute | to Property (t:ANIMATECOLOR)

TO Attribute | to Property

Sets or retrieves the ending value of a color attribute or property animated by t:ANIMATECOLOR

Syntax

HTML | <t:ANIMATECOLOR TO = vValue... >
Scripting | t:ANIMATECOLOR.to(val) [ = vValue ]

Possible Values

vValue Variant that specifies or receives the ending value of the animation.

The property is read/write. The property has no default value.

Remarks

The by property cannot be used on the same element as the to property. If both properties are specified, the by value is ignored.

In the context of t:ANIMATECOLOR, valid attribute values are hexadecimal RGB values or the keywords that represent them (for example, #8A2BE2 or blueviolet). For more information about supported color values, see the Color Table.

Setting the to property without also setting the from property can affect values set for the additive property. For more information, see the additive reference.

When writing script to dynamically change the properties of an active animation, developers should consider a couple of issues. Because results might be unpredictable or undefined when you change the properties of an active animation, restart the animation with beginElement after you have made the change. For example:

<SCRIPT>
object.endElement();
object.to='#7FFFD4';
object.beginElement();
</SCRIPT>

For the animate, animateMotion, and animateColor objects, the time2 behavior uses the following model to evaluate which properties to animate.

  • The values property, if specified, overrides any setting for the from, to, or by properties.
  • The from property is used unless the values or path properties are specified.
  • The to property, if specified, overrides any setting for the by property.
  • The by property doesn't override any properties.

Example

The following example uses two t:ANIMATECOLOR elements to animate the backgroundColor of two DIV elements, outerDIV and innerDIV. The inner DIV begins with its backgroundColor set to yellow, which is animated to red over a five-second duration. The outer DIV is animated from red to yellow over the same duration.

The Show Me example provides several colored buttons; clicking one of them sets the from attribute of the inner DIV's animation element to that button's color value, and likewise sets the to attribute of the outer DIV's animation element.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time {behavior: url(#default#time2);}
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY>
<t:PAR id="p1" begin="0" dur="15" fill="hold">
<t:ANIMATECOLOR id="a1" attributeName="background-color" from="red" to="
yellow" targetElement="outerDIV" begin="0" dur="5" fill="hold"/>
<t:ANIMATECOLOR id="a2" attributeName="background-color" from="yellow"
to="red" targetElement="innerDIV" to="#0000FF" begin="0" dur="5"
fill="hold"/>
</t:PAR>
<DIV id="outerDIV" class="time" style="FONT-SIZE: 18px; LEFT: 118px;
BORDER: black 1px solid; WIDTH: 279px; POSITION: absolute; TOP: 240px;
HEIGHT: 217px; BACKGROUND-COLOR: red; TEXT-ALIGN: left; padding-left:3">
outerDIV</DIV>
<DIV id="innerDIV" class="time" style="FONT-SIZE: 18px; LEFT: 162px;
WIDTH: 188px; POSITION: absolute; TOP: 298px; HEIGHT: 98px;
BACKGROUND-COLOR: yellow; TEXT-ALIGN: left; padding-left:3">innerDIV</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

t:ANIMATECOLOR

See Also

Introduction to HTML+TIME, Color Table


transitionType Attribute (t:ANIMATION, t:AUDIO, t:IMG, ...)

transitionType Attribute

Sets or retrieves the type of Microsoft?DirectMusic?transition to use between segments.

Syntax

HTML | <ELEMENT TRANSITIONTYPE= ... >
Scripting | N/A

Possible Values

EndAndIntro | Play an end transition from the previously playing primary segment and then an introduction transition from this segment.
Break | Play a break transition from the previously playing primary segment.
End | Play an end transition from the previously playing primary segment.
Fill | Play a fill transition from the previously playing primary segment.
Intro | Play an introduction transition from this segment.
None | Start the segment without playing a transition.
Regular | Play a transition from the previously playing primary segment's regular pattern.

Remarks

On machines with Microsoft DirectX?version 6.1, transitions such as endings and introductions will be played only if another primary segment is currently playing and that segment contains a chord track. This is corrected in DirectX version 7.0 and later.

Standards Information

This attribute is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

t:ANIMATION, t:AUDIO, t:IMG, t:VIDEO, t:MEDIA, t:REF

See Also

Using HTML+TIME with DirectMusic, Introduction to HTML+TIME, time2


TYPE Attribute | type Property (t:ANIMATION, t:AUDIO, t:IMG, ...)

TYPE Attribute | type Property

Sets or retrieves the MIME type of the media object referenced by the SRC attribute.

Syntax

HTML | <ELEMENT TYPE = sType... >
Scripting | object.type [ = sType ]

Possible Values

sType String that specifies or receives the MIME type of the media associated with the element.

The property is read/write. The property has no default value.

Remarks

By default, the server should send the MIME type to the user agent. If that mechanism fails, the MIME type is obtained from this property.

This property cannot be modified in script after the onload event fires on the document body.

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, playItem, t:REF, t:VIDEO

See Also

Introduction to HTML+TIME


TYPE Attribute | type Property (t:TRANSITIONFILTER) (Internet Explorer - HTML+Time 2)

TYPE Attribute | type Property

Sets or retrieves the type of transition to be applied.

Syntax

HTML | <t:TRANSITIONFILTER TYPE = sType... >
Scripting | t:TRANSITIONFILTER.type [ = sType ]

Possible Values

sType String that specifies or receives the name of the transition type that will be applied to renderable content. See the table below for possible values.

The property is read/write. The property has no default value.

Remarks

This attribute is required and must be one of the transition families listed in the table below, or it must be an extended transition type provided by the user agent.

You can apply more than one transitionFilter to a given object. By doing this, you can apply more than one type of transition. This has the possible effect of multiple types of transitions occurring simultaneously to renderable content. See the example below.

If no subtype is specified, the default subtype associated with the transition type will be used. The type starWipe is an exception. It is required to explicitly include the subtype of "fivePoint" for this transition to work.

Type | Associated Subtype(s)
starWipe | fivePoint (this must be specified)
barWipe | leftToRight, topToBottom
barnDoorWipe | vertical, horizontal
irisWipe | rectangle, diamond
ellipseWipe | circle
clockWipe | clockwiseTwelve
fanWipe | centerTop
snakeWipe | topLeftHorizontal
spiralWipe | topLeftClockwise
pushWipe | fromLeft
slideWipe | fromLeft
fade | crossfade

Note You can also use Cascading Style Sheets (CSS) transitions as values for TYPE. See TYPE And SUBTYPE for more information.

Examples

This example demonstrates the different transition type values and the possible subtype values that can be used with those type values. In addition, the effects of changing various other attributes of the transitionFilter is also demonstrated.

This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This example shows three DIVs that have two different transitions applied to them simultaneously.

<HTML XMLNS:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time {behavior: url(#default#time2);}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
<t:transitionfilter type="barWipe" id="tran1" dur="3"
targetElement="firstDiv"/>
<t:transitionfilter type="fade" id="tran1b" dur="3"
targetElement="firstDiv"/>
<t:transitionfilter type="snakeWipe" id="tran2"  dur="3"
targetElement="secondDiv"/>
<t:transitionfilter type="barnDoorWipe" id="tran2b"  dur="3" targetElement="secondDiv"
from="0" to="1"  CalcMode="linear"   mode="in" />
<DIV STYLE="height:170px;">
<DIV CLASS="time"  ID="firstDiv" STYLE="position:absolute; top:150px;
left:20px; background-color:#3366CC; padding:10px; height:80; color:white;">
This div has fade and barwipe types applied.
</DIV>
<DIV CLASS="time" ID="secondDiv" STYLE="position:absolute; top:185px;
left:60px; background-color:#FFCC00; padding:10px; height:80;">
This div has snakeWipe and barnDoorWipe types applied.
</DIV>
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

t:TRANSITIONFILTER

See Also

Introduction to HTML+TIME, Using HTML+TIME Transitions


UPDATEMODE Attribute | updateMode Property (t:ANIMATION, t:AUDIO, t:IMG, ...)

UPDATEMODE Attribute | updateMode Property

Specifies or retrieves a value that indicates how the object is to be updated.

Syntax

HTML | <ELEMENT UPDATEMODE = sMode... >
Scripting | object.updateMode [ = sMode ]

Possible Values

sMode String that specifies or receives one of the following values.
Auto | Automatically assigns a new value to the property being set and updates the object. The property maintains the repeatCount and segmentTime values of the element and is similar to resetting followed by a seekTo for the object.
Reset | Default. Resets the node to its initial state after the change.

The property is read/write. The property has a default value of Reset.

Remarks

The beginElement method called on an object with updateMode set to Reset will be ignored.

The table below describes what attribute/property can be updated and the effects that the updateMode property has on it.

Attribute/Property | Behavior
dur | Recalculates (recalc) the entire timing and does a seek.
repeatCount | Recalculates (recalc) the entire timing and does a seek.
repeatDur | Recalculates (recalc) the entire timing and does a seek.
autoReverse | Recalculates (recalc) the entire timing and does a seek.
speed | Recalculates (recalc) the entire timing and does a seek.
end | Updates the end value as necessary.
begin | Does the equivalent of resetElement.
restart | No immediate effect. Any future begins or sync arc changes are affected.
fill | Updates the isOn property as appropriate.

Example

The following example demonstrates how the updateMode property is used. Choose the new speed, updateMode values, and click the "Change to new speed" button to implement the change for the MEDIA object.

<HTML xmlns:t= "urn:schemas-microsoft-com:time">
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{behavior:url(#default#time2)}
</STYLE>
<SCRIPT>
function doChange(){
oMedia.updateMode = oMode.options.value;
oMedia.speed = newspeed.options.value;
}
</SCRIPT>
</HEAD>
<BODY>
<CENTER>
<t:video updateMode="reset" style="width:175px; height:150px;"
id="oMedia" src="../../common/samples/author/behaviors/media/movie.avi"/>
...
<BR>
Select <B>updateMode</B> value: <SELECT name="oMode">
<OPTION value="auto">Auto</OPTION>
<OPTION value="reset" selected>Reset</OPTION>
</SELECT>
<BR>
Enter new speed <SELECT name="newspeed">
<OPTION value="0.25">25% Playback Speed</OPTION>
<OPTION value="0.5">50% Playback Speed</OPTION>
<OPTION value="0.75">75% Playback Speed</OPTION>
<OPTION value="1" selected>100% Playback Speed (Default)</OPTION>
<OPTION value="2">200% Playback Speed</OPTION>
</SELECT><BR>
<BUTTON onClick="doChange();">Click to change to new speed</BUTTON>&nbsp;
<BUTTON onClick="document.body.beginElement()">Restart</BUTTON>
</CENTER>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, t:REF, t:VIDEO

See Also

Introduction to HTML+TIME


URL Property (t:AUDIO, t:MEDIA, t:VIDEO)

URL Property

Retrieves the URL specified by the Advanced Streaming Format (ASF) file script command after the onURLFlip event is fired.

Syntax

HTML | N/A
Scripting | [ sURL = ] window.event.URL

Possible Values

sURL String that receives the URL specified by the ASF file script command after the onURLFlip event is fired.

The property is read-only. The property has no default value.

Applies To

t:AUDIO, t:MEDIA, t:VIDEO

See Also

Introduction to HTML+TIME


VALUES Attribute | values Property (t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION)

VALUES Attribute | values Property

Sets or retrieves a list of semicolon-separated values of an animation.

Syntax

HTML | <ELEMENT VALUES = vValues... >
Scripting | object.values(val) [ = vValues ]

Possible Values

vValues Variant that specifies or receives a list of semicolon-separated values. The values are applied over the course of the animation in the order they appear. This value can include any of the following length unit designators: px, in, cm, mm, pt, pc. For more information about the supported length units, see CSS Length Units Reference.

The property is read/write. The property has no default value.

Remarks

The animation values must be legal values for the specified attributeName property. The values property overrides any specified to, from, or by values set on the animation.

When writing script to dynamically change the properties of an active animation, developers should consider a couple of issues. Because results might be unpredictable or undefined when you change the properties of an active animation, restart the animation with beginElement after you have made the change. For example:

<SCRIPT>
object.endElement();
object.values="50,50;10,10";
object.beginElement();
</SCRIPT>

For the animate, animateMotion, and animateColor objects, the time2 behavior uses the following model to evaluate which properties to animate.

  • The path property overrides any setting for the values, from, to, or by properties.
  • The values property, if specified, overrides any setting for the from, to, or by properties.
  • The from property is used unless the values or path properties are specified.
  • The to property, if specified, overrides any setting for the by property.
  • The by property doesn't override any properties.
To change an active animation from a path to a values list through script:
<SCRIPT>
object.endElement();
object.path=null;
object.values="100,100;0,0";
object.beginElement();
</SCRIPT>

Standards Information

This property is defined in Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link.

Applies To

t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION

See Also

Introduction to HTML+TIME


VALUES Attribute | values Property (t:TRANSITIONFILTER) (Internet Explorer - HTML+Time 2)

VALUES Attribute | values Property

Sets or retrieves a semicolon-separated list of one or more values specifying the progress of the transition.

Syntax

HTML | <t:TRANSITIONFILTER VALUES = sValues... >
Scripting | t:TRANSITIONFILTER.values(val) [ = sValues ]

Possible Values

sValues Variant that specifies or receives a list of semicolon-separated values. The values are applied over the course of the transition in the order they appear. Legal values are real numbers in the range 0.0-1.0.

The property is read/write. The property has no default value.

Remarks

This attribute can provide more precise control over the progress than a combination of the from, to, and by attributes and overrides those attributes if they are specified.

When writing script to dynamically change the properties of an active animation, developers should consider a couple of issues. Because results might be unpredictable or undefined when you change the properties of an active animation, restart the animation with beginElement after you have made the change. For example:

<SCRIPT>
object.endElement();
object.values='.1;.17;.27;.37;.47;.56;.65;.71;.82;.92;1.0';
object.beginElement();
</SCRIPT>

For the animate, animateMotion, and animateColor objects, the time2 behavior uses the following model to evaluate which properties to animate.

  • The values property, if specified, overrides any setting for the from, to, or by properties.
  • The from property is used unless the values or path properties are specified.
  • The to property, if specified, overrides any setting for the by property.
  • The by property doesn't override any properties.

Example

This example shows how the values property effects the progress of the transition. The calcMode property determines how the values attribute is interpreted.

<HTML XMLNS:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
<t:TRANSITIONFILTER BEGIN="oDiv1.begin" TYPE="barWipe" DUR="5"
TARGETELEMENT="oDiv1" VALUES=".1;.17;.27;.37;.47;.56;.65;.71;.82;.92;1.0"
CALCMODE="discrete"/>
<t:TRANSITIONFILTER BEGIN="oDiv1.begin" TYPE="barWipe" DUR="5"
TARGETELEMENT="oDiv2" VALUES=".1;.17;.27;.37;.47;.56;.65;.71;.82;.92;1.0"
CALCMODE="linear"/>
<INPUT TYPE="button" ID="oStartButton" VALUE="Start Transition">
<P>
<DIV CLASS="time"  begin="oStartButton.click" ID="oDiv1" DUR="indefinite"
STYLE="position:relative; left:20px; width:420px; height:100px;
background-image:url(ART_time_progress.gif); background-repeat: no-repeat;">
</DIV>
<DIV CLASS="time"  begin="oStartButton.click" ID="oDiv2" DUR="indefinite"
STYLE="position:relative; left:20px; width:420px; height:100px;
background-image:url(ART_time_progress.gif); background-repeat: no-repeat;">
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

t:TRANSITIONFILTER

See Also

Introduction to HTML+TIME, Using HTML+TIME Transitions


VALUES Attribute | values Property (t:ANIMATECOLOR)

VALUES Attribute | values Property

Sets or retrieves a list of semicolon-delimited RGB color values for a t:ANIMATECOLOR element.

Syntax

HTML | <t:ANIMATECOLOR VALUES = vValues... >
Scripting | t:ANIMATECOLOR.values(val) [ = vValues ]

Possible Values

vValues Variant that specifies or receives a list of semicolon-delimited RGB color values. The values are applied over the course of the animation in the order they appear in the list.

The property is read/write. The property has no default value.

Remarks

The animation values must be legal values for the specified attributeName property. In the context of t:ANIMATECOLOR, valid attribute values are hexadecimal RGB values or the keywords that represent them (for example, #8A2BE2 or blueviolet). For more information about supported color values, see the Color Table.

The values property overrides any specified to, from, or by values set on the animation.

The calcMode property determines how the values attribute is interpreted. Depending on the calcMode setting, you can specify linear, discrete, paced, or splined interpolation between the values listed for the values attribute. These settings determine the rate of change from one value to another during the course of the animation—a paced interpolation provides an even color change, for instance, whereas a splined interpolation might provide accelerated or decelerated transitions.

When writing script to dynamically change the properties of an active animation, developers should consider a couple of issues. Because results might be unpredictable or undefined when you change the properties of an active animation, restart the animation with beginElement after you have made the change. For example:

<SCRIPT>
object.endElement();
object.values='cyan;#0000FF';
object.beginElement();
</SCRIPT>

For the animate, animateMotion, and animateColor objects, the time2 behavior uses the following model to evaluate which properties to animate.

  • The values property, if specified, overrides any setting for the from, to, or by properties.
  • The from property is used unless the values or path properties are specified.
  • The to property, if specified, overrides any setting for the by property.
  • The by property doesn't override any properties.

Example

This example demonstrates how you can set a semicolon-delimited series of values for the values attribute when using the t:ANIMATECOLOR element to animate color properties. The outer DIV element initially changes colors from blue (#0000FF) to cyan (#00FFFF) over a five-second duration; the inner DIV reverses this animation over the same duration. Click any button from the first group to set the first value for the t:ANIMATECOLOR element's values attribute (the animation for the inner DIV element). Click a button from the second group to set the second value in the series. The color value series you select for the inner DIV's animation will be played in reverse by the outer DIV element when you click the Restart button.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time {behavior: url(#default#time2);}
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY>
<t:PAR id="p1" begin="0" dur="10" fill="hold">
<t:ANIMATECOLOR id="a1" targetElement="outerDIV"
attributeName="background-color" values="#0000FF;cyan" begin="0"
dur="5" fill="hold"/>
<t:ANIMATECOLOR id="a2" targetElement="innerDIV"
attributeName="background-color" values="cyan;#0000FF" begin="0"
dur="5" fill="hold"/>
</t:PAR>
<DIV id="outerDIV" class="time" style="FONT-SIZE: 18pt; LEFT: 68px;
WIDTH: 279px; POSITION: absolute; TOP: 260px; HEIGHT: 217px;
BACKGROUND-COLOR: #0000FF; TEXT-ALIGN: left; padding-left:3;
border:1px solid black">outerDIV</DIV>
<DIV id="innerDIV" class="time" style="FONT-SIZE: 18pt; LEFT: 112px;
WIDTH: 188px; POSITION: absolute; TOP: 318px; HEIGHT: 98px;
BACKGROUND-COLOR: cyan; TEXT-ALIGN: left;padding-left:3">innerDIV</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Applies To

t:ANIMATECOLOR

See Also

Introduction to HTML+TIME, Color Table


ITIMEMediaPlayerAudio::volume Property

Sets or retrieves the volume of the media file.

Syntax

HRESULT ITIMEMediaPlayerAudio::put_volume(float f);

Parameters

f
int that specifies or receives the volume of the media file. Valid values range from 0 to 100.

Return Value

Returns S_OK if successful, or an error value otherwise.

Remarks

This property is only relevant for people who are writing a custom player for HTML+TIME (Timed Interactive Multimedia Extensions).


volume Property (currTimeState)

volume Property

Retrieves the playback volume of an element at run time.

Syntax

[ fcurrVolume = ] currTimeState.volume

Possible Values

fcurrVolume Floating-point that receives the run-time volume of an element.

The property is read-only. The property has no default value.

Applies To

currTimeState

See Also

Introduction to HTML+TIME


Web Workshop - Specs & Standards -- VML Overview

Introduction to Vector Markup Language (VML)

Internet Development Index

Updated: November 16, 1998

Vector Markup Language (VML) is an XML-based exchange, editing, and delivery format for high-quality vector graphics on the Web that meets the needs of both productivity users and graphic design professionals. XML is an emerging simple, flexible, and open text-based language that complements HTML. (See the XML section of the MSDN Library for detailed information on XML.)

VML is currently supported by Microsoft Internet Explorer 5 or greater for Windows® 95, Windows 98, and Window NT® 4.0 or greater. VML code is ignored by other browsers.

VML has been proposed to the W3C as a standard for vector graphics on the Web (see http://www.w3.org/TR/NOTE-VML Non-MS link). Microsoft is continuing to lead the charge in the development and implementation of XML-based technologies, working with leading industry partners (AutoDesk, Hewlett-Packard, Macromedia, Visio) and the W3C to advance Web-based standards. We expect to work with the W3C to ultimately drive to one standard format for vector graphics on the Web.

VML is also supported by Microsoft Office 2000 Beta 2 or greater. Microsoft Word, Microsoft Excel, and Microsoft PowerPoint can be used to create VML graphics.

For example, the following code defines an oval filled with red:

<v:oval style="width:100pt;height:50pt" fillcolor="red">
</v:oval>

If you're running Internet Explorer 5 or greater Non-MSDN Online link, you'll see the oval below:

Benefits of VML

  • VML makes authoring easier for productivity users and authors. It facilitates the exchange (via cut and paste) and subsequent editing of vector graphics between a wide variety of productivity and design applications.
  • VML provides faster graphic downloads and a better user experience. It allows the delivery of high-quality, fully integrated, scalable vector graphics to the Web, in an open text-based format. Rather than referencing graphics as external files, VML graphics are delivered inline with the HTML page, allowing them to interact and scale with user interaction.
  • VML is open and standards-based. It is an XML-based format. XML 1.0 is an open, simple, text-based language for describing structured data on the Web, and complements HTML for display. VML also supports other W3C standards, such as Cascading Style Sheets 2.0 (CSS), which specifies style information and 2-D positioning, as well as the Document Object Model (DOM), which allows developers to interact consistently with page elements as objects.

For additional information

See the links below:

* For answers to frequently asked questions about VML, see the VML FAQ.

* For a tutorial on using VML on Web pages, see How to Use VML on Web Pages, which complements the VML specification Non-MS link submitted to the W3C.

* For information on VML data types, see the Basic VML Types document.

* For the complete reference on VML, including information on how to use VML with tags as well as scripting, see the VML Reference.


AccentBar Attribute

Determines whether an accent bar will be used with the callout. Read/write VgTriState.

Applies To

Callout

Tag Syntax

<o: element accentbar="expression">

Remarks

If True, the callout will use an accent bar. The default value is False.

Microsoft Office Extensions Attribute


Adj Attribute

Specifies an adjustment value used to define values for a formula. Read/write String.

Applies To

Shape

Tag Syntax

<v:element adj="expression">

Script Syntax

element.adj="expression"

expression=element.adj

Remarks

Adj is used to provide adjustable points for a formula. If used in tags, Adj is a comma-delimited string of up to 8 values. Some values may be omitted. For example, "0,1,2,,4,5,,7" would be a valid string but the fourth and seventh items would not have values (items are counted starting from 0).

For scripting, Adj uses the IVgAdjustments data type.

VML Standard Attribute

See Also

Formula

Example

A simple square is created with adjustments. First the Adj string is created to define eight adjustment values. Then each adjustment value is referenced by one of the eight formulas, with each adjustment value preceeded by a number sign (# ) symbol. Finally a path is defined by a string that references the formulas, with each formula preceeded by the "at" sign (@) symbol.

   <v:shape id="rect01" type="#myshape"
   fillcolor="red" strokecolor="red"
   coordorigin="0 0" coordsize="200 200"
   style="position:relative;top:30;left:30;width:20;height:20"
   adj="1, 1, 1, 200, 200, 200, 200, 1">
   <v:path v="m @0,@1 l @2,@3, @4,@5, @6,@7 x e"/>
   <v:formulas>
   <v:f eqn="val #0"/>
   <v:f eqn="val #1"/>
   <v:f eqn="val #2"/>
   <v:f eqn="val #3"/>
   <v:f eqn="val #4"/>
   <v:f eqn="val #5"/>
   <v:f eqn="val #6"/>
   <v:f eqn="val #7"/>
   </v:formulas>
   </v:shape>

Adj Attribute Example (Requires Microsoft Internet Explorer 5 or greater.)


AdjustHandles Attribute

Determines whether the handles of a shape can be edited. Read/write VgTriState.

Applies To

Lock

Tag Syntax

<o: element adjusthandles="expression">

Remarks

If True, the adjust handles of a shape cannot be changed by a graphical editor. The default value is False.

Microsoft Office Extensions Attribute


AlignShape Attribute

Determines whether an image will align with a shape. Read/write VgTriState.

Applies To

Fill

Tag Syntax

<v: element alignshape="expression">

Script Syntax

element.alignshape="expression"

expression=element.alignshape

Remarks

If True, the image used to create the fill is aligned with the shape. If False, the image used to create the fill is aligned with the window. Default is True.

VML Standard Attribute

Example

The tiled fill image created from myimage.gif is aligned with the window, not the shape; even though the shape is rotated, the image is not.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:50;height:50;rotation:30"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:fill alignshape="False" type="tile" src="myimage.gif"/>
   </v:shape>


AllowInCell Attribute

Determines whether a shape can be placed in a table. Read/write VgTriState.

Applies To

Shape

Tag Syntax

<v:element o:allowincell="expression">

Remarks

Used by Microsoft Word. The default value is False.

Microsoft Office Extensions Attribute


AllowOverlap Attribute

Determines if a shape can overlap other shapes. Read/write VgTriState.

Applies To

Shape

Tag Syntax

<v:element o:allowoverlap="expression">

Remarks

If False, used by Microsoft Word to simulate the left and right values of the standard HTML Float style attribute. The default value is True .

Microsoft Office Extensions Attribute


Alt Attribute

Defines alternative text to be displayed instead of a graphic. Read/write String.

Applies To

Shape

Tag Syntax

<v:element alt="expression">

Script Syntax

element.alt="expression"

expression=element.alt

Remarks

The Alt attribute is similar to the standard HTML Alt attribute. This attribute provides a way for browsers that convert text to speech to describe graphical elements on a page.

VML Standard Attribute

See Also

Shape

Example

The Alt element below will display the phrase "Red rectangle" in browsers that convert Web pages to spoken phrases.

   <v:rect id=myrect fillcolor="red" alt="Red rectangle"
   style="position:relative;top:1;left:1;width:20;height:20">
   </v:rect>

Alt Atribute Example. (Requires Microsoft Internet Explorer 5 or greater.)


AltHRef Attribute

Specifies an alternate reference for an image. Read/write String.

Applies To

Stroke

Tag Syntax

<v:element o:althref="expression">

Script Syntax

element.althref="expression"

expression=element.althref

Remarks

Supports preservation of PICT data through HTML roundtripping. On HTML write, the alternate representation (i.e., the original PICT data if the file originated from the Macintosh) is saved. On HTML read, AltHRef is favored over Src.

Microsoft Office Extensions Attribute

Example

The stroke of the shape has an AltHRef that points to a file named myimage.gif.

   <v:shape id="rect01"
   strokecolor="red" fillcolor="red"
   style="top:20;left:20;width:30;height:30"
   path="m 1,1 l 1,200,200, 200, 200,1 x e">
   <v:stroke o:althref="myimage.gif"/>
   </v:shape>


AltHRef Attribute

Specifies an alternate reference for an image. Read/write String.

Applies To

ImageData

Tag Syntax

<v: element o:althref="expression">

Script Syntax

element.althref="expression"

expression=element.althref

Remarks

Supports preservation of PICT data through HTML roundtripping. On HTML write, the alternate representation (that is, the original PICT data if the file originated from the Macintosh) is saved. On an HTML read, AltHRef is favored over Src.

Microsoft Office Extensions Attribute


AltHRef Attribute

Defines an alternate reference for an image. Read/write String.

Applies To

Fill

Tag Syntax

<v: element o:althref="expression">

Script Syntax

element.althref="expression"

expression=element.althref

Remarks

Supports preservation of PICT data through HTML roundtripping. On HTML write, the alternate representation (the original PICT data if the file originated from the Apple Macintosh) is saved. On HTML read, AltHRef is favored over Src.

Microsoft Office Extensions Attribute

Example

The fill of the shape has an AltHRef that points to a file named myimage.gif.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:50;height:50"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:fill o:althref="myimage.gif"/>
   </v:shape>


Angle Attribute

Defines the angle that the callout makes with respect to the bounding box of the shape. Read/write String.

Applies To

Callout

Tag Syntax

<o: element angle="expression">

Remarks

Values include:

  • any
  • 30
  • 45
  • 60
  • 90

Microsoft Office Extensions Attribute


Angle Attribute

Defines the angle of a gradient fill. Read/write VgAngle.

Applies To

Fill

Tag Syntax

<v: element angle="expression">

Script Syntax

element.angle="expression"

expression=element.angle

Remarks

The vector of a gradient is perpendicular to the vector of the blend direction from one color to another. The default value is 0 (zero) degrees, which is a horizontal vector from left to right. Positive angles rotate the gradient in a counter-clockwise direction.

VML Standard Attribute

Example

The fill of the shape is composed of a gradient of two colors, running from blue to red at an angle of 45 degrees. Red will be in the top left corner and blue will be in the bottom right corner.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:50;height:50"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:fill type="gradient" color="blue" color2="red" angle="45"/>
   </v:shape>


ArrowOK Attribute

Determines whether arrowheads will be displayed. Read/write VgTriState.

Applies To

Path

Tag Syntax

<v: element arrowok="expression">

Script Syntax

element.arrowok="expression"

expression=element.arrowok

Remarks

If False, the path will not have arrowheads. The default is False. This attribute overrides all other arrowhead attributes in the parent or Stroke element.

VML Standard Attribute

Example

The path will not have an arrowhead.

   <v:line id="whatsmyline"
   style="position:relative"
   from="114pt,66pt" to="402pt,66pt"
   strokecolor="black">
   <v:stroke startarrow="block" endarrow="block"/>
   <v:path arrowok="False"/>
   </v:line>


Aspect Attribute

Specifies how the fill image aspect ratio will be preserved. Read/write String.

Applies To

Fill

Tag Syntax

<v: element aspect="expression">

Script Syntax

element.htmlect="expression"

expression=element.htmlect

Remarks

Values include:

Value | Description
ignore | Ignore aspect issues. Default.
atleast | Image is at least as big as Size.
atmost | Image is no bigger than Size.

VML Standard Attribute

Example

The image that makes up the fill is greater than or equal to a size of 10 points by 10 points.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:50;height:50"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:fill aspect="atleast" size="10pt,10pt" src="myimage.gif"/>
   </v:shape>


AspectRatio Attribute

Determines whether the aspect ratio of a shape can be changed by an editor. Read/write VgTriState.

Applies To

Locks

Tag Syntax

<o: element aspectratio="expression">

Remarks

If True, the aspect ratio of a shape cannot be changed by an editor. This has the effect of locking the corner resize handles so that shapes can only be resized isotropically. The default is False.

Microsoft Office Extensions Attribute


AutoRotationCenter Attribute

Determines whether the center of rotation will be the geometric center of the extrusion. Read/write VgTriState.

Applies To

Extrusion

Tag Syntax

<o: element autorotationcenter="expression">

Script Syntax

element.autorotationcenter="expression"

expression=element.autorotationcenter

Remarks

The geometric center of an extruded shape is 0,0,0. If the value of this attribute is False, the center of rotation is determined by the RotationCenter attribute. The default is False.

Microsoft Office Extensions Attribute


BackDepth Attribute

Defines the amount of backward extrusion. Read/write VgNumber.

Applies To

Extrusion

Tag Syntax

<o: element backdepth="expression">

Script Syntax

element.backdepth="expression"

expression=element.backdepth

Remarks

Backward extrusion is the amount of extrusion that appears to be behind the shape. The default units are in points and the default value is 36pt.

Microsoft Office Extensions Attribute


Bilevel Attribute

Determines whether an image will be displayed in black and white. Read/write VgTriState.

Applies To

ImageData

Tag Syntax

<v: element bilevel="expression">

Script Syntax

element.bilevel="expression"

expression=element.bilevel

Remarks

If True, the image will be displayed using two colors (black and white). The default is False. This creates an effect similar to posterization.

VML Standard Attribute

Example

The image will be displayed in black and white only.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:300;height:200"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:imagedata bilevel="True" src="kids.jpg"/>
   </v:shape>


BlackLevel Attribute

Defines the intensity of black in an image. Read/write VgNumber.

Applies To

ImageData

Tag Syntax

<v: element blacklevel="expression">

Script Syntax

element.blacklevel="expression"

expression=element.blacklevel

Remarks

Allows the color level to be modified so that blacks appear as true blacks, and all other colors are visible as shades above black. The default value is 0. While any number between positive and negative infinity is permitted, values less than -0.5 will display as all black and values greater than 0.5 will display as all white.

VML Standard Attribute

Example

The image will be displayed with very dark tones.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:300;height:200"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:imagedata blacklevel="-0.2" src="kids.jpg"/>
   </v:shape>


BorderBottomColor Attribute

Bottom border color of an inline shape. Read/write VgColor.

Applies To

Shape

Tag Syntax

<v:element o:borderbottomcolor="expression">

Remarks

Used by Microsoft Word.

Values include:

Value | Description
Null | No border color. Default.
color | Color used for border.
This | Indicates that Automatic was selected in the user interface of the application.

Microsoft Office Extensions Attribute


BorderLeftColor Attribute

Left border color of an inline shape. Read/write VgColor.

Applies To

Shape

Tag Syntax

<v:element borderleftcolor="expression">

Remarks

Used by Microsoft Word.

Values include:

Value | Description
Null | No border color. Default.
color | Color used for border.
This | Indicates that Automatic was selected in the user interface of the application.

Microsoft Office Extensions Attribute


BorderRightColor Attribute

Right border color of an inline shape. Read/write VgColor.

Applies To

Shape

Tag Syntax

<v:element borderrightcolor="expression">

Remarks

Used by Microsoft Word.

Values include:

Value | Description
Null | No border color. Default.
color | Color used for border.
This | Indicates that Automatic was selected in the user interface of the application.

Microsoft Office Extensions Attribute


BorderTopColor Attribute

Top border color of an inline shape. Read/write VgColor.

Applies To

Shape

Tag Syntax

<v:element o:bordertopcolor="expression">

Remarks

Used by Microsoft Word.

Values include:

Value | Description
Null | No border color. Default.
color | Color used for border.
This | Indicates that Automatic was selected in the user interface of the application.

Microsoft Office Extensions Attribute


Brightness Attribute

Specifies the overall brightness of a scene. Read/write VgNumber.

Applies To

Extrusion

Tag Syntax

<o: element brightness="expression">

Script Syntax

element.brightness="expression"

expression=element.brightness

Remarks

The default value is 20,000.

Microsoft Office Extensions Attribute


Bullet Attribute

Determines whether a shape is a graphical bullet. Read/write VgTriState.

Applies To

Shape

Tag Syntax

<v:element o:bullet="expression">

Remarks

The default is False. If True, the shape is a graphical bullet.

Microsoft Office Extensions Attribute

Example

The shape is a bullet.

   <v:rect id=myrect fillcolor="red" o:bullet="True"
   style="position:relative;top:1;left:1;width:20;height:20">
   </v:rect>


Button Attribute

Determines whether a shape will be processed as a button. Read/write VgTriState.

Applies To

Shape

Tag Syntax

<v:element o:button="expression">

Remarks

The default is False. If True, the shape is processed as a button.

Microsoft Office Extensions Attribute

Example

The shape is a button.

   <v:rect id=myrect fillcolor="red" o:button="True"
   style="position:relative;top:1;left:1;width:20;height:20">
   </v:rect>


BWMode Attribute

Determines how a shape will render for black-and-white output devices. Read/write VgBlackWhiteMode.

Applies To

Shape

Tag Syntax

<v:element o:bwmode="expression">

Remarks

When a shape is printed on a black-and-white printer or displayed in a black-and-white view in an application, several options are possible. For more information about the values of this attribute, see the VgBlackWhiteMode topic. The default value is auto.

If auto is specified, BWNormal is used to determine the behavior for normal black-and-white output, and BWPure is used to determine the behavior for pure black-and-white output.

Microsoft Office Extensions Attribute

Example

The black-and-white mode of the shape is auto.

   <v:rect id=myrect fillcolor="red" o:bwmode="auto"
   style="position:relative;top:1;left:1;width:20;height:20">
   </v:rect>


BWNormal Attribute

Defines the black-and-white mode for normal black-and-white output devices. Read/write VgBlackWhiteMode.

Applies To

Shape

Tag Syntax

<v:element o:bwnormal="expression">

Remarks

When BWMode is set to auto, this attribute is used to determine how to render the shape in normal black and white.

For more information about the values of this attribute, see the VgBlackWhiteMode topic. The default value is auto.

Microsoft Office Extensions Attribute

Example

The shape is processed as a grayscale image for normal black-and-white output.

   <v:rect id=myrect fillcolor="red" o:bwnormal="grayscale" o:bwmode="auto"
   style="position:relative;top:1;left:1;width:20;height:20">
   </v:rect>


BWPure Attribute

Defines the black-and-white mode for pure black-and-white output devices. Read/write VgBlackWhiteMode.

Applies To

Shape

Tag Syntax

<v:element o:bwpure="expression">

Remarks

When BWMode is set to auto, this attribute is used to determine how to render the shape in pure black and white.

For more information about the values of this attribute, see the VgBlackWhiteMode topic. The default is auto.

Microsoft Office Extensions Attribute

Example

The shape is processed as a high contrast image for pure black-and-white output.

   <v:rect id=myrect fillcolor="red" o:bwpure="highcontrast" o:bwmode="auto"
   style="position:relative;top:1;left:1;width:20;height:20">
   </v:rect>


Chromakey Attribute

Defines the color value of the image that will be treated as transparent. Read/write VgColor.

Applies To

ImageData

Tag Syntax

<v: element chromakey="expression">

Script Syntax

element.chromakey="expression"

expression=element.chromakey

Remarks

Use this attribute to make parts of an image transparent by keying the transparency to a specific color. For example, if you make the Chromakey value black, then any portion of the image that is black will be transparent, and the fill color will "show through" that portion of the image.

VML Standard Attribute

Example

The areas of the image that are solid black will become transparent, allowing the green fill color to show through those areas instead.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red" fillcolor="green"
   style="top:1;left:1;width:300;height:200"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:imagedata chromakey="black" src="kids.jpg"/>
   </v:shape>


Class Attribute

Refers to a definition of a CSS style. Read/write String.

Applies To

Shape

Tag Syntax

<v:element class="expression">

Script Syntax

element.classname="expression"

expression=element.classname

Remarks

The class attribute is similar to the standard HTML class attribute used with CSS style sheets.

Note that classname is used instead of class for scripting. Also note that for scripting, the classname can only be read; changing the value of classname will not change the rendering of the shape.

VML Standard Attribute

See Also

Shape

Example

A class for width is created with the style

   .narrowstyle {width:50;height:100}

Then the width is referenced by including the style. Note that the width and height is not defined in the style attribute, but will be defined by the style.

   <v:shape id="rect01" class="narrowstyle"
   fillcolor="red" strokecolor="red"
   coordorigin="0 0" coordsize="200 200"
   style="position:relative;top:1;left:1"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   </v:shape>

Note that Class only applies to CSS-type attributes.


Clip Attribute

Determines whether the clipping is on. Read/write VgTriState.

Applies To

VMLFrame

Tag Syntax

<v:element clip="expression">

Script Syntax

element.clip="expression"

expression=element.clip

Remarks

If Clip is False, the shape will scale to fit the frame. If True, any parts of the shape that are outside the frame will not be displayed.

Note that Origin and Size won't be used unless Clip is True.

VML Standard Attribute

Example

The image defined in the external file will be clipped.

   <v:vmlframe id="frame01" clip="True"
   origin="100pt,100pt" size="50pt,50pt"
   src="external.vml#shape01"
   style='position:relative;
   top:160pt; left:100pt; width:50pt; height:50pt'
   </v:vmlframe>


Color Attribute

Defines the color of a stroke. Read/write VgColor.

Applies To

Stroke

Tag Syntax

<v:element color="expression">

Script Syntax

element.color="expression"

expression=element.color

Remarks

Overrides the StrokeColor attribute of a shape. The default value is black.

VML Standard Attribute

Example

The shape has a stroke color of green, not red.

   <v:shape id="rect01"
   strokecolor="red" fillcolor="red"
   style="top:20;left:20;width:30;height:30"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:stroke color="green"/>
   </v:shape>


Color Attribute

Defines the color of the shadow. Read/write VgColor.

Applies To

Shadow

Tag Syntax

<v:element color="expression">

Script Syntax

element.color="expression"

expression=element.color

Remarks

Use the color attribute to set or get the color of a shadow.

VML Standard Attribute

Example

The shadow is green.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red" fillcolor="red"
   style="top:20;left:20;width:30;height:30"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:shadow on="True" color="green"/>
   </v:shape>


Color Attribute

Defines the color of a fill. Read/write VgColor.

Applies To

Fill

Tag Syntax

<v: element color="expression">

Script Syntax

element.color="expression"

expression=element.color

Remarks

Overrides the FillColor attribute of a shape. The default value is White.

VML Standard Attribute

Example

The fill color of the shape is green.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:50;height:50"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:fill color="green"/>
   </v:shape>


Color Attribute

Defines the color of the extrusion faces. Read/write VgColor.

Applies To

Extrusion

Tag Syntax

<o: element color="expression">

Script Syntax

element.color="expression"

expression=element.color

Remarks

This attribute is only used when the ColorMode value is custom.

Microsoft Office Extensions Attribute


Color2 Attribute

Defines a second color for strokes. Read/write String.

Applies To

Stroke

Tag Syntax

<v:element color2="expression">

Script Syntax

element.color2="expression"

expression=element.color2

Remarks

A second color is used when a stroke's fill type is a pattern.

VML Standard Attribute

Example

The shape's stroke is a pattern fill where the fill is defined by the source image but the transparent background is defined by the second color.

   <v:shape id="rect01"
   strokecolor="red" fillcolor="red"
   style="top:20;left:20;width:30;height:30"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:stroke filltype="pattern" width="5pt" src="cylinder.gif" color2="green"/>
   </v:shape>


Color2 Attribute

Defines the second color of a shadow. Read/write VgColor.

Applies To

Shadow

Tag Syntax

<v:element color2="expression">

Script Syntax

element.color2="expression"

expression=element.color2

Remarks

Use a second color to create special shadow effects. See the Type attribute for more information about second colors.

VML Standard Attribute

Example

The shadow has blue for a second color.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red" fillcolor="red"
   style="top:20;left:20;width:30;height:30"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:shadow on="True" color="green" color2="blue"/>
   </v:shape>


Color2 Attribute

Defines a second color for fills. Read/write VgColor.

Applies To

Fill

Tag Syntax

<v: element color2="expression">

Script Syntax

element.color2="expression"

expression=element.color2

Remarks

A second color is used when a fill type is a pattern or a gradient. The default value is White.

VML Standard Attribute

Example

The shape's fill type is a pattern where the foreground fill is defined by the source image but the transparent background is defined by the second color.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:50;height:50"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:fill type="pattern" color2="green" src="myimage.gif"/>
   </v:shape>


ColorMode Attribute

Determines the mode of extrusion color. Read/write VgTriState.

Applies To

Extrusion

Tag Syntax

<o: element colormode="expression">

Script Syntax

element.colormode="expression"

expression=element.colormode

Remarks

Values include:

Value | Description
auto | Specifies that the color of the extrusion is the same as the fill color of the shape. Default.
custom | Specifies that the extrusion will be the color of the Color attribute.

Microsoft Office Extensions Attribute


Colors Attribute

Defines multiple colors for a gradient fill. Read/write IVgGradientColorArray.

Applies To

Fill

Tag Syntax

<v: element colors="expression">

Script Syntax

element.colors="expression"

expression=element.colors

Remarks

Used to define an array consisting of paired values of percentages (VgFraction) and color (VgColor). The array creates a blended fill using each point in the array, starting at 0% (defined by Color ) and ending at 100% (defined by Color2). Intermediate colors along the way can be defined by assigning a color value to a percentage. The percent and color pair are not separated by a comma, but pairs are separated from each other by commas.

VML Standard Attribute

Example

The shape has a gradient fill consisting of four colors, starting with red, blending to yellow, then green, and finally blue.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:50;height:50"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:fill type="gradient" color="red" color2="blue"
   colors="30% yellow,70% green"/>
   </v:shape>


ConnectAngles Attribute

Specifies the angle that curves will connect to a shape's connection points. Read/write String.

Applies To

Path

Tag Syntax

<v: element o:connectangles="expression">

Remarks

The connection angles are defined by a string consisting of angle values delimited by commas. The default value is a Null string.

Microsoft Office Extensions Attribute


ConnectLocs Attribute

Defines the location of connection points on a path. Read/write String.

Applies To

Path

Tag Syntax

<v: element o:connectlocs="expression">

Remarks

The connection points are defined by a string consisting of pairs of x and y values, delimited by commas. The default value is a Null string.

Microsoft Office Extensions Attribute


ConnectorType Attribute

Indicates the type of connector used for joining shapes. Read/write String.

Applies To

Shape

Tag Syntax

<v:element o:connectortype="expression">

Remarks

Values include:

Value | Description
none | No connector.
straight | Default. A straight connector.
elbow | An elbow-shaped connector.
curved | A curved connector.

This attribute may also be used by a rules engine of a graphical editor.

Microsoft Office Extensions Attribute

Example

The shape uses a straight line as a connector.

   <v:rect id=myrect fillcolor="red" o:connectortype="straight"
   style="position:relative;top:1;left:1;width:20;height:20">
   </v:rect>


ConnectType Attribute

Defines the type of connection points used for attaching shapes to other shapes. Read/write String.

Applies To

Path

Tag Syntax

<v: element o:connecttype="expression">

Remarks

Values include:

Value | Description
none | No connection sites. Default.
rect | Standard four connection points at midpoints of top, bottom, left, and right sides.
segments | The edit points of the shape are used. Edit points are the black dots in a graphical editor that are used to select parts of a shape.
custom | A custom array of connection locations.

Microsoft Office Extensions Attribute


Control1 Attribute

Defines the first control point of a bezier curve. Read/write VgVector2D.

Applies To

Curve

Tag Syntax

<v: element control1="expression">

Script Syntax

element.control1="expression"

expression=element.control1

Remarks

Defines the first control point of a cubic bezier curve in the coordinate space of the parent element. If the parent is not a VML element, the default unit is a pixel (but in, cm, mm, pt, pc may also be specified). Default is 10,10.

VML Standard Attribute

Example

The curve is smiling. It starts at the left and ends at the right. The two control points are situated along the way so as to pull the curve down to give the appearance of a smile.

   <v:curve id="mycurve"
   from="10pt,10pt" to="100pt,10pt"
   control1="40pt,10pt" control2="70pt,10pt">
   </v:curve>


Control2 Attribute

Defines the second control point of a bezier curve. Read/write VgVector2D.

Applies To

Curve

Tag Syntax

<v: element control2="expression">

Script Syntax

element.control2="expression"

expression=element.control2

Remarks

Defines the second control point of a cubic bezier curve in the coordinate space of the parent element. If the parent is not a VML element, the default unit is a pixel (but in, cm, mm, pt, pc may also be specified). Default is 20.0.

VML Standard Attribute

Example

The curve is smiling. It starts at the left and ends at the right. The two control points are situated along the way so as to pull the curve down to give the appearance of a smile.

   <v:curve id="mycurve"
   from="10pt,10pt" to="100pt,10pt"
   control1="40pt,10pt" control2="70pt,10pt">
   </v:curve>


CoordOrigin Attribute

Specifies the coordinate unit origin of the rectangle that bounds a shape. Read/write IVgVector2D.

Applies To

Shape

Tag Syntax

<v:element coordorigin="expression">

Script Syntax

element.coordorigin="expression"

expression=element.coordorigin

Remarks

If not specified, the origin coordinates are (0,0) at the top left corner of the shape bounding box.

The x value of CoordSize is added to the x value of CoordOrigin to determine the range of the horizontal values. For example, if the x value of CoordOrigin is -100 and the x value of CoordSize is 200, the horizontal units will range from -100 to +100. If the x value of CoordOrigin is 100 and the x value of CoordSize is 200, the horizontal units will range from 100 to 300, all within the bounding box. The same is true for the y values.

Note that this attribute is a vector and that the units are the same type of unit as CoordSize.

In scripting, because this is a 2-D vector, you can access the x and y values separately, and can also determine the type of units expected.

VML Standard Attribute

Example

The center of the bounding box will be the origin (0,0) of the path for the shape. Because CoordOrigin is "-500 -500" and CoordSize is "1000 1000", the horizontal and vertical units will range from -500 to +500. The left and top corner of the path will be at the center of the bounding box defined by the left and top points as defined by Style.

   <v:shape id="rect01"
   fillcolor="red" strokecolor="red"
   coordorigin="-500 -500" coordsize="1000 1000"
   style="position:relative;top:0;left:0;width:100pt;height:100pt"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   </v:shape>

CoordOrigin Attribute Example. (Requires Microsoft Internet Explorer 5 or greater.)


CoordSize Attribute

Specifies the horizontal and vertical units of the rectangle that bounds a shape. Read/write IVgVector2D.

Applies To

Shape

Tag Syntax

<v:element coordsize="expression">

Script Syntax

element.coordsize="expression"

expression=element.coordsize

Remarks

If not specified, the coordinate size is the same as the bounding box of the shape.

Note that this attribute is a vector and that the units are relative to the length and width of the bounding rectangle.

Also note that mapping between coordsize and the bounding box can be made anisotropic. Make sure that the coordsize width and coordsize height is the same as the style width and height if you don't want to distort the shape.

In scripting, because this is a 2-D vector, you can access the x and y values separately, and can also determine the type of units expected.

VML Standard Attribute

Example

The shape is 100 points high and 100 points wide, but each horizontal and vertical unit in the coordinate space is 1/10 of a point.

   <v:shape id="rect01"
   fillcolor="red" strokecolor="red"
   coordorigin="0 0" coordsize="1000 1000"
   style="position:relative;top:0;left:0;width:100pt;height:100pt"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   </v:shape>

CoordSize Attribute Example. (Requires Microsoft Internet Explorer 5 or greater.)


CropBottom Attribute

Defines the percentage of picture removal from the bottom side. Read/write VgNumber.

Applies To

ImageData

Tag Syntax

<v: element cropbottom="expression">

Script Syntax

element.cropbottom="expression"

expression=element.cropbottom

Remarks

The amount of cropping can range from -1.0 to 1.0. The default value is 0. Note that a value of 1 will display no picture at all. Negative values will result in the picture being squeezed inward from the edge being cropped (the empty space between the picture and the cropped edge will be filled by the fill color of the shape). Positive values less than 1 will result in the remaining picture being stretched to fit the shape.

VML Standard Attribute

Example

No image will be displayed because the image is 100% cropped from the bottom.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:300;height:200"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:imagedata cropbottom="1" src="kids.jpg"/>
   </v:shape>


CropLeft Attribute

Defines the percentage of picture removal from the left side. Read/write VgNumber.

Applies To

ImageData

Tag Syntax

<v: element cropleft="expression">

Script Syntax

element.cropleft="expression"

expression=element.cropleft

Remarks

The amount of cropping can range from -1.0 to 1.0. The default value is 0. Note that a value of 1 will display no picture at all. Negative values will result in the picture being squeezed inward from the edge being cropped (the empty space between the picture and the cropped edge will be filled by the fill color of the shape). Positive values less than 1 will result in the remaining picture being stretched to fit the shape.

VML Standard Attribute

Example

20% of the picture will be removed on the left side and the remaining picture will be stretched to fit the shape.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:300;height:200"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:imagedata cropleft=".2" src="kids.jpg"/>
   </v:shape>


Cropping Attribute

Determines whether cropping will be allowed in an editor. Read/write VgTriState.

Applies To

Lock

Tag Syntax

<o: element cropping="expression">

Remarks

If True, cropping will not be allowed in a graphical editor. The default value is False.

Microsoft Office Extensions Attribute


CropRight Attribute

Defines the percentage of picture removal from the right side. Read/write VgNumber.

Applies To

ImageData

Tag Syntax

<v: element cropright="expression">

Script Syntax

element.cropright="expression"

expression=element.cropright

Remarks

The amount of cropping can range from -1.0 to 1.0. The default value is 0. Note that a value of 1 will display no picture at all. Negative values will result in the picture being squeezed inward from the edge being cropped (the empty space between the picture and the cropped edge will be filled by the fill color of the shape). Positive values less than 1 will result in the remaining picture being stretched to fit the shape.

VML Standard Attribute

Example

The picture will be squeezed from the right side by 20% of the width. The empty space between the picture and the right edge will be filled by the fill color of the shape.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red" fillcolor="blue"
   style="top:1;left:1;width:300;height:200"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:imagedata cropright="-.2" src="kids.jpg"/>
   </v:shape>


CropTop Attribute

Defines the percentage of picture removal from the top side. Read/write VgNumber.

Applies To

ImageData

Tag Syntax

<v: element croptop="expression">

Script Syntax

element.croptop="expression"

expression=element.croptop

Remarks

The amount of cropping can range from -1.0 to 1.0. The default value is 0. Note that a value of 1 will display no picture at all. Negative values will result in the picture being squeezed inward from the edge being cropped (the empty space between the picture and the cropped edge will be filled by the fill color of the shape). Positive values less than 1 will result in the remaining picture being stretched to fit the shape.

VML Standard Attribute

Example

The picture will be squeezed into a narrow sliver at the bottom of the shape.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:300;height:200"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:imagedata croptop="-.8" src="kids.jpg"/>
   </v:shape>


DashStyle Attribute

Specifies the dot and dash pattern for a stroke. Read/write VgLineDashStyle.

Applies To

Stroke

Tag Syntax

<v:element dashstyle="expression">

Script Syntax

element.dashstyle="expression"

expression=element.dashstyle

Remarks

Values include:

  • Solid (default)
  • ShortDash
  • ShortDot
  • ShortDashDot
  • ShortDashDotDot
  • Dot
  • Dash
  • LongDash
  • DashDot
  • LongDashDot
  • LongDashDotDot

The DashStyle attribute allows the user to specify a custom-defined dash pattern. This is done using a series of numbers. Dash styles are defined in terms of the length of the dash (the drawn part of the stroke) and the length of the space between the dashes. The lengths are relative to the line width: a length of "1" is equal to the line width. The EndCap style is applied to each dash, the arrow style is not. The string first defines the length of the dash then the length of the space. This may be repeated to form complex dash styles. The string should always contain a pair of numbers; if it contains an odd number of numbers the last may be disregarded.

The following table lists some typical values and a description of the intended effect. "0" implies a dot that should be fourfold symmetrical (with round end caps it should be a circle). If the line end cap is "flat," a viewer should choose a built-in operating system dash where possible (in other words. something that is fast to draw.). The following table shows some examples.

DashStyle | Description
"2 2" | Short-dashes. Each dash and the space between is twice the width of the line.
"0 2" | Dots. Space between is twice the width of the line.
"2 2 0 2" | Short dash dot.
"2 2 0 2 0 2" | Short dash dot dot.
"1 2" | Dot. Each dash is the width of the line, while each space is twice the width of the line.
"4 2" | Dash. Each dash is four times the width of the line while each space is twice the width of the line.
"8 2" | Long dash.
"4 2 1 2" | Dash dot.
"8 2 1 2" | Long dash dot.
"8 2 1 2 1 2" | Long dash dot dot.

VML Standard Attribute

Example

The shape has a dash style of alternating dashes and dots.

   <v:shape id="rect01"
   strokecolor="red" fillcolor="red"
   style="top:20;left:20;width:30;height:30"
   path="m 1,1 l 1,200,200,200, 200,1 x e">
   <v:stroke dashstyle="dashdot"/>
   </v:shape>


DetectMouseClick Attribute

Determines whether a mouse click will be detected. Read/write VgTriState.

Applies To

ImageData

Tag Syntax

<v: element o:detectmouseclick="expression">

Remarks

If False, a mouse click event is not detected. The default is True.

Microsoft Office Extensions Attribute


DetectMouseClick Attribute

Determines whether a mouse click is detected. Read/write VgTriState.

Applies To

Fill

Tag Syntax

<v: element o:detectmouseclick="expression">

Script Syntax

element.detectmouseclick="expression"

expression=element.detectmouseclick

Remarks

Used to store a mouse click detection on a fill when shapes are saved to HTML.

Microsoft Office Extensions Attribute


Diffusity Attribute

Defines the amount of diffusion of reflected light from an extruded shape. Read/write VgNumber.

Applies To

Extrusion

Tag Syntax

<o: element diffusity="expression">

Script Syntax

element.diffusity="expression"

expression=element.diffusity

Remarks

This value defines the ratio of incident light to diffused reflected light. Normal values range from 0 to 1. The default value is 0.

If values greater than 1 are specified, unusual effects can result.

Microsoft Office Extensions Attribute


Direction Attribute

Defines the direction of the text in the textbox. Read/write String.

Applies To

TextBox

Tag Syntax

<v: element style="direction:expression">

Remarks

Values include:

Value | Description
ltr | Text is displayed left-to-right. Default.
rtl | Text is displayed right-to-left.
context | Indicates that the MSO-Direction-Alt tag will be written out with the value "context".

Microsoft Office Extensions Attribute


Distance Attribute

Defines the drop distance of a callout. Read/write String.

Applies To

Callout

Tag Syntax

<o: element distance="expression">

Remarks

The drop distance of a callout is measured from the edge of the shape where the pointer line starts and continues the absolute length of the distance value.

Microsoft Office Extensions Attribute


DoubleClickNotify Attribute

Sends an event message when a shape is double-clicked. Read/write VgTriState.

Applies To

Shape

Tag Syntax

<v:element o:doubleclicknotify="expression">

Remarks

The default value is False, indicating that the event will not be fired.

Microsoft Office Extensions Attribute

Example

The shape will trigger a double-click event when double-clicked.

   <v:rect id=myrect fillcolor="red" o:doubleclicknotify="True"
   style="position:relative;top:1;left:1;width:20;height:20">
   </v:rect>


Drop Attribute

Determines where the drop of a callout will be placed. Read/write String.

Applies To

Callout

Tag Syntax

<o: element drop="expression">

Remarks

Values include:

  • top
  • center
  • bottom

Microsoft Office Extensions Attribute


DropAuto Attribute

Determines whether the callout will have an automatic drop. Read/write VgTriState.

Applies To

Callout

Tag Syntax

<o: element dropauto="expression">

Remarks

The default value is False.

Microsoft Office Extensions Attribute


Edge Attribute

Defines the apparent bevel of the extrusion edges. Read/write VgNumber.

Applies To

Extrusion

Tag Syntax

<o: element edge="expression">

Script Syntax

element.edge="expression"

expression=element.edge

Remarks

Sets the size of a simulated rounded beveled edge. The default value is 1 point.

Microsoft Office Extensions Attribute


EmbossColor Attribute

Defines the color for embossed color effects. Read/write VgPercent.

Applies To

ImageData

Tag Syntax

<v: element o:embosscolor="expression">

Script Syntax

element.embosscolor="expression"

expression=element.embosscolor

Remarks

The value is a percentage of the shadow color when working with fills.

Microsoft Office Extensions Attribute


EndAngle Attribute

Defines the endpoint of the arc. Read/write VgAngleInDegrees.

Applies To

Arc

Tag Syntax

<v: element endangle="expression">

Script Syntax

element.endAngle="expression"

expression=element.endAngle

Remarks

The arc is defined as a stroke drawn along an oval bounded by the Style attributes of a shape. The end of the stroke is defined by an angle measured from straight up (12 o'clock) clockwise. The default value is 90 degrees.

VML Standard Attribute

Example

The arc is smiling. The start point is at the 90-degree point of an oval inscribed inside the shape bounding box. The end point is at the 270-degree point of the oval.

   <v:arc id="myarc"
   style="position:relative;top:10;left:10;width:200;height:200"
   startangle="90" endangle="270">
   </v:arc>


EndArrow Attribute

Defines an arrowhead for the end of a line. Read/write String.

Applies To

Stroke

Tag Syntax

<v:element endarrow="expression">

Script Syntax

element.endarrow="expression"

expression=element.endarrow

Remarks

Values include:

  • None (default)
  • Block
  • Classic
  • Diamond
  • Oval
  • Open

VML Standard Attribute

Example

A line is drawn with a classic arrowhead on the end of the stroke.

   <v:line strokecolor="red"
   strokeweight="2pt" to="100pt,20pt" from="20pt,20pt">
   <v:stroke endarrow="classic"/>
   </v:line>


EndArrowLength Attribute

Defines an arrowhead length for the end of a line. Read/write VgArrowheadLength.

Applies To

Stroke

Tag Syntax

<v:element endarrowlength="expression">

Script Syntax

element.endarrowlength="expression"

expression=element.endarrowlength

Remarks

Values include:

  • Short
  • Medium (default)
  • Long

VML Standard Attribute

Example

A line is drawn with a short classic arrowhead on the end of the stroke.

   <v:line strokecolor="red"
   strokeweight="2pt" to="100pt,20pt" from="20pt,20pt">
   <v:stroke endarrow="classic" endarrowlength="short"/>
   </v:line>


EndArrowWidth Attribute

Defines an arrowhead width for the end of a line. Read/write VgArrowheadWidth.

Applies To

Stroke

Tag Syntax

<v:element endarrowwidth="expression">

Script Syntax

element.endarrowwidth="expression"

expression=element.endarrowwidth

Remarks

Values include:

  • Narrow
  • Medium (default)
  • Wide

VML Standard Attribute

Example

A line is drawn with a wide classic arrowhead on the end of the stroke.

   <v:line strokecolor="red"
   strokeweight="2pt" to="100pt,20pt" from="20pt,20pt">
   <v:stroke endarrow="classic" endarrowwidth="wide"/>
   </v:line>


EndCap Attribute

Defines the cap style for the end of a stroke. Read/write VgLineEndCapStyle.

Applies To

Stroke

Tag Syntax

<v:element endcap="expression">

Script Syntax

element.endcap="expression"

expression=element.endcap

Remarks

Values include:

  • Flat (default)
  • Square
  • Round

VML Standard Attribute

Example

A line is drawn with a flat cap on the end of the stroke.

   <v:line strokecolor="red"
   strokeweight="2pt" to="100pt,20pt" from="20pt,20pt">
   <v:stroke endcap="flat"/>
   </v:line>


Eqn Attribute

Defines the equation used by a formula. Read/write String.

Applies To

F (subelement of Formulas)

Tag Syntax

<v: element eqn="expression">

Script Syntax

element.eqn="expression"

expression=element.eqn

Remarks

Equations are defined by the evaluation of a text expression that has the general form of an operation followed by up to three arguments. Each argument may be of the following types:

  • adjustment (for example, #2)
  • another formula (for example, @2)
  • fixed numbers (for example, 2)
  • predefined values

The table below defines the formulas that can be used with the optional arguments given the names v , p1, and p2. The formula pattern is:

   <f eqn="operation [v] [p1] [p2]"/>

Operation | Params | Exact | Result | Description
val | 1 | yes | v | Defines a guide value from some other value.
sum | 3 | yes | v + p1 - p2 | Used for addition and subtraction.
product | 3 | rounds | v * p1 / p2 | Used for multiplication and division.
mid | 2 | (c) | (v + p1) / 2 | Average.
abs | 1 | yes | abs(v) | Absolute value.
min | 2 | yes | min(v,p1) | The lesser value of v and p1.
max | 2 | yes | max(v,p1) | The greater value of v and p1.
if | 3 | yes | v > 0 ? p1 : p2 | Conditional testing.
mod | 3 | no | sqrt(v^2 + p1^2 + p2^2) | Modulus value.
atan2 | 2 | no | atan2(p1,v) | Polar value in degrees * 2^16 (fd units).
sin | 2 | no | v * sin(p1) | Sin, argument in degrees * 2^16 (fd units).
cos | 2 | no | v * cos(p1) | Cos, argument in degrees * 2^16 (fd units).
cosatan2 | 3 | no | v * cos(atan2(p2,p1)) | Preserves full accuracy in intermediate calculation.
sinatan2 | 3 | no | v * sin(atan2(p2,p1)) | Preserves full accuracy in intermediate calculation.
sqrt | 1 | no | sqrt(v) | Result is positive and rounds down.
sumangle | 3 | yes | v + p1 * 2^16 + p2*2^16 | v scaled by 2^16; p1 and p2 are degrees.
ellipse | 3 | no | p2 * sqrt(1-(v/p1)^2) | Ellipse.
tan | 2 | no | v * tan(p1) | Tangent, argument in degrees * 2^16 (fd units).

Note that the equation only consists of operations and numbers; mathematical symbols are omitted. For example, the equation

eqn="sum 5 9 3"

would yield the equivalent of

5 + 9 - 3

for the returned value of 11. If operands are missing, the value is not used. For example,

eqn="sum 5 9"

would yield the equivalent of

5 + 9

and would ignore the missing operand.

VML Standard Attribute

Example

The following formula would yield a result of 6 (the sum of both numbers divided by 2), which, if this were the first formula, could be retrieved by the symbol @0.

   <v:f eqn="mid 5 7"/>


Ext Attribute

Defines the way a skew is displayed. Read/write String.

Applies To

Skew

Tag Syntax

<o: element v:ext="expression">

Script Syntax

element.ext="expression"

expression=element.ext

Remarks

This attribute is used to tell graphical editors how to process the Skew element. Values include:

  • edit
  • view (default)
  • backwardCompatible

If an extension is set to edit, it can be ignored by a software viewer. If set to view, the viewer must render the bitmap representation instead.

Microsoft Office Extensions Attribute


Ext Attribute

Defines the behavior of locking actions for a graphical editor. Read/write String.

Applies To

Lock

Tag Syntax

<o: element v:ext="expression">

Remarks

This attribute is used to tell graphical editors how to process the Lock element. The default value is edit. Other values can be defined for specific graphical editors.

Microsoft Office Extensions Attribute


Ext Attribute

Defines how a callout is processed. Read/write String.

Applies To

Callout

Tag Syntax

<o: element v:ext="expression">

Remarks

This attribute is used to tell graphical editors how to process the Callout element. The default value is edit. Other values can be defined for specific graphical editors.

Microsoft Office Extensions Attribute


Ext Attribute

Defines the default extrusion behavior for graphical editors. Read/write String.

Applies To

Extrusion

Tag Syntax

<o: element v:ext="expression">

Script Syntax

element.ext="expression"

expression=element.ext

Remarks

Instructs a graphical editor to render the element. If it can't render the element, the bitmap representation should be used instead. The default value is view.

VML Standard Attribute


ExtrusionOK Attribute

Determines whether an extrusion will be displayed. Read/write VgTriState.

Applies To

Path

Tag Syntax

<v: element o:extrusionok="expression">

Remarks

If False, the path cannot have an extrusion. The default is True. This attribute overrides all other extrusion attributes in the parent or Extrusion element.

Microsoft Office Extensions Attribute


Facet Attribute

Defines the number of facets used to describe curved surfaces of an extrusion. Read/write VgNumber.

Applies To

Extrusion

Tag Syntax

<o: element facet="expression">

Script Syntax

element.facet="expression"

expression=element.facet

Remarks

Defines the way that a rendering engine will approximate the extrusion. A lower number will indicate a lower rendering tolerance to the rendering engine and will yield more facets. Higher numbers will make the extrusion appear more faceted. The default value is 30,000.

Microsoft Office Extensions Attribute


FillColor Attribute

Defines the brush color that fills the closed path of a shape. Read/write IVgColor.

Applies To

Shape

Tag Syntax

<v:element fillcolor="expression">

Script Syntax

element.fillcolor="expression"

expression=element.fillcolor

Remarks

The FillColor value is duplicated from the Color attribute of the Fill element.

VML Standard Attribute

See Also

Shape, Fill, IVgColor

Example

The fill color of the rectangle is red.

   <v:rect id=myrect fillcolor="red"
   style="position:relative;top:1;left:1;width:20;height:20">
   </v:rect>

FillColor Attribute Example. (Requires Microsoft Internet Explorer 5 or greater.)


Filled Attribute

Determines whether the closed path will be filled. Read/write VgTriState.

Applies To

Shape

Tag Syntax

<v:element filled="expression">

Script Syntax

element.filled="expression"

expression=element.filled

Remarks

The value is duplicated from the On attribute of the Fill element.

VML Standard Attribute

Example

The shape path is filled.

   <v:shape id="rect01" filled="True"
   strokecolor="red" fillcolor="white"
   coordorigin="0 0" coordsize="200 200"
   style="position:relative;top:1;left:1;width:20;height:20"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   </v:shape>

Filled Attribute Example. (Requires Microsoft Internet Explorer 5 or greater.)


FillOK Attribute

Determines whether a fill will be displayed. Read/write VgTriState.

Applies To

Path

Tag Syntax

<v: element fillok="expression">

Script Syntax

element.fillok="expression"

expression=element.fillok

Remarks

If False, the path cannot be filled. The default is True. This attribute overrides all other fill attributes in the parent or Fill element.

VML Standard Attribute

Example

The path will not be filled.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red" fillcolor="red"
   style="top:1;left:1;width:50;height:50">
   <v:path id="myPath" fillok="False" v="m 1,1 l 1,200, 200,200, 200,1 x e"/>
   </v:shape>


FillType Attribute

Defines the type of fill used for the background of a stroke. Read/write VgFillType.

Applies To

Stroke

Tag Syntax

<v:element filltype="expression">

Script Syntax

element.filltype="expression"

expression=element.filltype

Remarks

Values include:

DashStyle | Description
Solid | The fill pattern is solid. Default value.
Tile | The fill image is tiled.
Pattern | The fill image is stretched to form a pattern.
Frame | The fill image becomes a border for the shape.

VML Standard Attribute

Example

The stroke of the shape has a tiled texture created from the cylinder.gif image.

   <v:shape id="rect01"
   strokecolor="red" fillcolor="red"
   style="top:20;left:20;width:30;height:30"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:stroke width="5pt" filltype="tile" src="cylinder.gif"/>
   </v:shape>


FitPath Attribute

Defines whether the text fits the path of a shape. Read/write VgTriState.

Applies To

TextPath

Tag Syntax

<v: element fitpath="expression">

Script Syntax

element.fitpath="expression"

expression=element.fitpath

Remarks

If True, sizes the text to fill the path it lies out on. The default is False.

VML Standard Attribute

Example

The text will fit the path.

   <v:line from="50 100" to="400 100">
   <v:fill on="True" color="red"/>
   <v:path textpathok="True"/>
   <v:textpath on="True" string="VML Text" fitpath="True"
   style="font:normal normal normal 36pt Arial"/>
   </v:line>


FitShape Attribute

Defines whether the text fits bounding box of a shape. Read/write VgTriState.

Applies To

TextPath

Tag Syntax

<v: element fitshape="expression">

Script Syntax

element.fitshape="expression"

expression=element.fitshape

Remarks

If True, stretches the text out to the edges of the box that defines the entire shape. The default is False.

VML Standard Attribute

Example

The text will stretch to fit the shape.

   <v:line from="50 100" to="400 100">
   <v:fill on="True" color="red"/>
   <v:path textpathok="True"/>
   <v:textpath on="True" string="VML Text" fitshape="True"
   style="font:normal normal normal 36pt Arial"/>
   </v:line>


Flip Attribute

Switches the orientation of a shape. Read/write String.

Applies To

Shape

Tag Syntax

<v:element style="flip: expression">

Script Syntax

element.style.flip="expression"

expression=element.style.flip

Remarks

Values include:

Value | Description
x | Flip along the y-axis, reversing the x-coordinates.
y | Flip along the x-axis, reversing the y-coordinates.
xy | Flip along both the y- and x-axis.
yx | Flip along both the x- and y-axis.

VML Standard Attribute

See Also

VgFlipOrientation

Example

The shape is flipped along the y-axis by reversing the x-coordinates.

   <v:rect id=myrect fillcolor="red"
   style="position:relative;top:1;left:1;width:20;height:20;flip:x">
   </v:rect>

Flip Attribute Example. (Requires Microsoft Internet Explorer 5 or greater.)


Focus Attribute

Defines the center of a linear gradient fill. Read/write VgFraction.

Applies To

Fill

Tag Syntax

<v: element focus="expression">

Script Syntax

element.focus="expression"

expression=element.focus

Remarks

Defines the center starting position of the blend. Values range from 100% to -100%. The default value is 0. A value of 100% (or -100%) will shift the focus so that the direction of the blend will reverse (in effect reversing Color and Color2). A value of 50% will change the blend so that Color is at both ends and Color2 is in the middle. A value of -50% will change the blend so that Color2 is at both ends and Color is in the middle.

VML Standard Attribute

Example

The gradient focus of the fill is shifted so that red (Color) will be a band in the center of the shape and that the top and bottom will be blue (Color2 ).

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:50;height:50"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:fill type="gradient" color="red" color2="blue"
   method="linear" focus="-50%"/>
   </v:shape>


FocusPosition Attribute

Defines the center of a radial gradient. Read/write VgVector2D.

Applies To

Fill

Tag Syntax

<v: element focusposition="expression">

Script Syntax

element.focusposition="expression"

expression=element.focusposition

Remarks

Specifies the center position for radial gradients. The vector is a fraction of the width and height of the shape. The first is a percentage of the fill to the left edge; the second is a percentage of the fill to the top. The default value is 0,0. To position a radial fill at the center of a shape, use the value of 50%,50%.

VML Standard Attribute

Example

The radial fill will be centered so that blue will start in the center and radiate outward, gradually changing to red by the time it reaches the outside edges and corners.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:50;height:50"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:fill type="GradientRadial" color="red" color2="blue"
   focusposition="50%,50%"/>
   </v:shape>


FocusSize Attribute

Defines the focus size for radial fills. Read/write VgVector2D.

Applies To

Fill

Tag Syntax

<v: element focussize="expression">

Script Syntax

element.focussize="expression"

expression=element.focussize

Remarks

The values are fractions of the width and height of the shape. The first is a percentage of the fill to the right edge of the shape and the second is a percentage of the fill to the bottom of the shape. The default value is 0,0. A FocusSize value of 100%,100% and a FocusPosition of 0,0 would make Color2 dominate the blend completely. Small values of around 10%,10% are recommended for balanced blends.

VML Standard Attribute

Example

The radial fill will create a blend starting in the center as blue and becoming red on all four edges. The center of the blend is defined by FocusPosition and the size of the inner starting color is determined by FocusSize.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:50;height:50"
   path="m 1,1 l1,200, 200,200, 200,1 x e">
   <v:fill type="gradientradial" color="red" color2="blue"
   focusposition=".5,.5" focussize=".1,.1"/>
   </v:shape>


Font Attribute

Specifies a compound value of font attributes. Read/write String.

Applies To

TextPath

Tag Syntax

<v: element style="font:expression">

Script Syntax

element.style.font="expression"

expression=element.style.font

Remarks

Defines the attributes of a font, including family, style, weight, size, and variant. The order of definitions in the string is: font-style, font-variant, font-weight, font-size, line-height, and font-family. The values are the same as the standard HTML style attributes.

VML Standard Attribute

Example

The font of the textpath text is italic, small-caps, bold, 36 point Arial.

   <v:line from="50 100" to="400 100">
   <v:fill on="True" color="red"/>
   <v:path textpathok="True"/>
   <v:textpath on="True" string="VML Text"
   style="font:italic small-caps bold 36pt Arial"/>
   </v:line>


Font-Family Attribute

Defines the family of the textpath font. Read/write String.

Applies To

TextPath

Tag Syntax

<v: element style="font-family:expression">

Script Syntax

element.style.fontfamily="expression"

expression=element.style.fontfamily

Remarks

Defines the font name. Specific names such as Arial can be used or generic types such as serif, sans-serif, cursive, fantasy, or monospace. The values are the same as the standard HTML style attributes.

VML Standard Attribute

Example

The font family of the text is Arial.

   <v:line from="50 100" to="400 100">
   <v:fill on="True" color="red"/>
   <v:path textpathok="True"/>
   <v:textpath on="True" string="VML Text"
   style="font:normal normal normal 36pt Arial"/>
   </v:line>


Font-Size Attribute

Defines the size of the font. Read/write String.

Applies To

TextPath

Tag Syntax

<v: element style="font-size:expression">

Script Syntax

element.style.fontsize="expression"

expression=element.style.fontsize

Remarks

The font size is defined in points. The values are the same as the standard HTML style attributes.

VML Standard Attribute

Example

The font size is 36 points.

   <v:line from="50 100" to="400 100">
   <v:fill on="True" color="red"/>
   <v:path textpathok="True"/>
   <v:textpath on="True" string="VML Text"
   style="font:normal normal normal 36pt Arial"/>
   </v:line>


Font-Style Attribute

Defines the amount of slant for a font. Read/write String.

Applies To

TextPath

Tag Syntax

<v: element style="font-style:expression">

Script Syntax

element.style.fontstyle="expression"

expression=element.style.fontstyle

Remarks

The values are:

  • normal (default)
  • oblique
  • italic

Most browsers render oblique as italic. The values are the same as the standard HTML style attributes.

VML Standard Attribute

Example

The font is italic (slanted).

   <v:line from="50 100" to="400 100">
   <v:fill on="True" color="red"/>
   <v:path textpathok="True"/>
   <v:textpath on="True" string="VML Text"
   style="font:italic normal normal 36pt Arial"/>
   </v:line>


Font-Variant Attribute

Defines the variant style of a font. Read/write String.

Applies To

TextPath

Tag Syntax

<v: element style="font-variant:expression">

Script Syntax

element.style.fontvariant="expression"

expression=element.style.fontvariant

Remarks

The values are:

  • normal (default)
  • small-caps

The values are the same as the standard HTML style attributes.

VML Standard Attribute

Example

The font is rendered as small capital letters.

   <v:line from="50 100" to="400 100">
   <v:fill on="True" color="red"/>
   <v:path textpathok="True"/>
   <v:textpath on="True" string="VML Text"
   style="font:normal small-caps normal 36pt Arial"/>
   </v:line>


Font-Weight Attribute

Defines the thickness of the letters of the font. Read/write String.

Applies To

TextPath

Tag Syntax

<v: element style="font-weight:expression">

Script Syntax

element.style.fontweight="expression"

expression=element.style.fontweight

Remarks

The values are the same as the standard HTML style attributes. Values include:

Value | Description
normal | Normal. Default.
bold | Bold.
bolder | Heavier than normal.
lighter | Lighter than normal.
100 | At least as light as the 200 weight.
200 | At least as bold as the 100 weight and at least as light as the 300 weight.
300 | At least as bold as the 200 weight and at least as light as the 400 weight.
400 | Normal.
500 | At least as bold as the 400 weight and at least as light as the 600 weight.
600 | At least as bold as the 500 weight and at least as light as the 700 weight.
700 | Bold.
800 | At least as bold as the 700 weight and at least as light as the 900 weight.
900 | At least as bold as the 800 weight.

VML Standard Attribute

Example

The font weight is bold.

   <v:line from="50 100" to="400 100">
   <v:fill on="True" color="red"/>
   <v:path textpathok="True"/>
   <v:textpath on="True" string="VML Text"
   style="font:normal normal bold 36pt Arial"/>
   </v:line>


ForceDash Attribute

Determines whether a dashed outline is used to draw a shape when a shape has no line or fill. Read/write VgTriState.

Applies To

Shape

Tag Syntax

<v:element o:forcedash="expression">

Remarks

Used by Microsoft PowerPoint placeholders to draw a dashed outline when there is no line and no fill for a shape. Default is False. If True, a dashed outline will be used to indicate a placeholder.

Microsoft Office Extensions Attribute

Example

A dashed line will be used to render the shape if there is no line or fill.

   <v:rect id=myrect fillcolor="red" o:forcedash="True"
   style="position:relative;top:1;left:1;width:20;height:20">
   </v:rect>


ForeDepth Attribute

Defines the amount of forward extrusion. Read/write VgNumber.

Applies To

Extrusion

Tag Syntax

<o: element foredepth="expression">

Script Syntax

element.foredepth="expression"

expression=element.foredepth

Remarks

Forward extrusion is the amount of extrusion that appears to be in front of the shape. The default units are in points and the default value is 0.

Microsoft Office Extensions Attribute


From Attribute

Defines the starting point of a curve. Read/write VgVector2D.

Applies To

Curve

Tag Syntax

<v: element from="expression">

Script Syntax

element.from="expression"

expression=element.from

Remarks

Defines the starting point of a cubic bezier curve in the coordinate space of the parent element. If the parent is not a VML element, the default unit is a pixel (but in, cm, mm, pt, pc may also be specified). Default is 0,0.

VML Standard Attribute

Example

The curve is smiling. It starts at the left and ends at the right. The two control points are situated along the way so as to pull the curve down to give the appearance of a smile.

   <v:curve id="mycurve"
   from="10pt,10pt" to="100pt,10pt"
   control1="40pt,10pt" control2="70pt,10pt">
   </v:curve>


Gain Attribute

Defines the intensity of all colors in an image. Read/write VgNumber.

Applies To

ImageData

Tag Syntax

<v: element gain="expression">

Script Syntax

element.gain="expression"

expression=element.gain

Remarks

This attribute defines how bright the color white is, affecting all other colors. Values range from 0 to infinity. The default value is 1.0. A value of 0 displays no image. Values greater than 1 lighten the picture and values less than 1 make the picture seem grayer.

This attribute can be used to create interesting effects.

VML Standard Attribute

Example

The image will be displayed with all the colors tending toward gray.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:300;height:200"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:imagedata gain=".5" src="kids.jpg"/>
   </v:shape>


Gamma Attribute

Defines the amount of contrast for an image. Read/write VgNumber.

Applies To

ImageData

Tag Syntax

<v: element gamma="expression">

Script Syntax

element.gamma="expression"

expression=element.gamma

Remarks

Decreasing the gamma below 1 modifies an image to make it more contrasty, while values greater than 1 decrease the contrast. Useful values are from 0.3 to about 3. The default value is 0.

VML Standard Attribute

Example

The image has a higher contrast than normal.
   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:300;height:200"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:imagedata gamma=".7" src="gamera.jpg"/>
   </v:shape>


Gap Attribute

Defines the distance of the callout from the bounding rectangle of the callout. Read/write VgNumber.

Applies To

Callout

Tag Syntax

<o: element gap="expression">

Remarks

The default value is one-twelfth of the number of emus in an inch.

Microsoft Office Extensions Attribute

See Also

Units


GradientShapeOK Attribute

Determines whether a gradient path will be made up of repeated concentric paths. Read/write VgTriState.

Applies To

Path

Tag Syntax

<v: element gradientshapeok="expression">

Script Syntax

element.gradientshapeok="expression"

expression=element.gradientshapeok

Remarks

If True, the path will be filled with a concentric gradient fill using the path as the repeated shape of the gradient. The default is False.

VML Standard Attribute

Example

The path will be filled with a concentric gradient fill made up of repeated rectangles.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:50;height:50"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:path gradientshapeok="True"/>
   </v:shape>


GrayScale Attribute

Determines whether a picture will be displayed in grayscale mode. Read/write VgTriState.

Applies To

ImageData

Tag Syntax

<v: element grayscale="expression">

Script Syntax

element.grayscale="expression"

expression=element.grayscale

Remarks

If True, the picture will be displayed in grayscale instead of color. The default is False.

The value is based according to CCIR recommendation 709, which favors more green weight and produces more pleasing results for natural color.

VML Standard Attribute

Example

The image will be displayed in grayscale instead of color.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:300;height:200"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:imagedata grayscale="True" src="kids.jpg"/>
   </v:shape>


Grouping Attribute

Determines whether shapes can be grouped in an editor. Read/write VgTriState.

Applies To

Lock

Tag Syntax

<o: element grouping="expression">

Remarks

If True, the grouping option in an editor will be dimmed, indicating that shapes may not be grouped. The default is False.

Microsoft Office Extensions Attribute


Height Attribute

Specifies the height of the shape. Read/write String.

Applies To

Shape

Tag Syntax

<v:element style="height: expression">

Script Syntax

element.style.height="expression"

expression=element.style.height

Remarks

The Height attribute is similar to the standard HTML Height attribute for styles.

Units may be mapped to the parent element or may be in absolute units.

Values include:

Value | Description
Auto | Default position of an element in the flow of the page.
units | A number with an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). If no units are given, pixels (px) is assumed.
percentage | Value expressed as a percentage of the parent object's height.

VML Standard Attribute

See Also

Units

Example

The height of the shape is set to 30.

   <v:rect id=myrect fillcolor="red"
   style="position:relative;top:1;left:1;width:20;height:30">
   </v:rect>

Height Attribute Example. (Requires Microsoft Internet Explorer 5 or greater.)


HR Attribute

Specifies that a shape is a horizontal rule. Read/write VgTriState.

Applies To

Shape

Tag Syntax

<v:element o:hr="expression">

Remarks

Default is False. If True, the shape is a horizontal rule.

Microsoft Office Extensions Attribute


HRAlign Attribute

Defines the alignment of a horizontal rule. Read/write String.

Applies To

Shape

Tag Syntax

<v:element o:hralign="expression">

Remarks

Values include:

Value | Description
Left | The rule is flush with the left margin. Default value.
Center | The rule is centered on the page.
Right | The rule is flush with the right margin.

Microsoft Office Extensions Attribute


HRef Attribute

Defines a URL for a shape. When the shape is clicked, the browser will load the URL. Read/write String.

Applies To

Shape

Tag Syntax

<v:element href="expression">

Script Syntax

element.href="expression"

expression=element.href

Remarks

The HRef attribute is similar to the standard HTML HRef attribute of anchors.

Using HRef makes it easy to create interesting buttons on a Web page.

VML Standard Attribute

Example

When the rectangle is clicked, the browser will load the Microsoft Corporation home page.

   <v:rect id=myrect fillcolor="red"
   href="http://www.microsoft.com"
   style="position:relative;top:1;left:1;width:20;height:20">
   </v:rect>

HRef Attribute Example. (Requires Microsoft Internet Explorer 5 or greater.)


HRef Attribute

Defines the URL to the original image file. Read/write String.

Applies To

Stroke

Tag Syntax

<v:element o:href="expression">

Script Syntax

element.href="expression"

expression=element.href

Remarks

Used only if the picture has been linked and embedded.

Microsoft Office Extensions Attribute


HRef Attribute

Defines a URL for an image. Read/write String.

Applies To

ImageData

Tag Syntax

<v: element o:href="expression">

Script Syntax

element.href="expression"

expression=element.href

Remarks

When the shape is clicked, the browser will load the URL. The HRef attribute is similar to the standard HTML HRef attribute of anchors.

Using this attribute makes it easy to create buttons with images on a Web page.

This attribute is used by Microsoft Office only if a picture has been linked and embedded. Microsoft Word has a user interface for inserting pictures this way.

Microsoft Offfice Extensions Attribute

Example

When the image is clicked, the browser will load the Microsoft Corporation home page.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:300;height:200"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:imagedata o:href="http://www.microsoft.com" src="kids.jpg"/>
   </v:shape>


HRef Attribute

Defines a URL to the original image file. Read/write String.

Applies To

Fill

Tag Syntax

<v: element o:href="expression">

Remarks

Used only if the picture has been linked and embedded.

Microsoft Office Extensions Attribute


HRHeight Attribute

Defines the thickness of a horizontal rule. Read/write VgLength.

Applies To

Shape

Tag Syntax

<v:element o:hrheight="expression">

Remarks

The default value is 0. The default units are points. The HRHeight attribute is similar to the standard HTML HR Size attribute.

Microsoft Office Extensions Attribute


HRNoShade Attribute

Determines whether a horizontal rule will be displayed with 3-D shading. Read/write VgTriState.

Applies To

Shape

Tag Syntax

<v:element o:hrnoshade="expression">

Remarks

Default is False. If True, the horizontal rule has 3-D shading.

Microsoft Office Extensions Attribute


HRPct Attribute

Defines the length of a horizontal rule as a percentage of page width. Read/write VgFraction.

Applies To

Shape

Tag Syntax

<v:element o:hrpct="expression">

Remarks

Default is 0.

Microsoft Office Extensions Attribute


HRStd Attribute

Determines whether a shape is a standard horizontal rule. Read/write VgTriState.

Applies To

Shape

Tag Syntax

<v:element o:hrstd="expression">

Remarks

Used if HR is already defined to be True. The default is False. If True, a standard horizontal rule is displayed.

Microsoft Office Extensions Attribute


HRWidth Attribute

Defines the length of a horizontal rule. Read/write VgLength.

Applies To

Shape

Tag Syntax

<v:element o:hrwidth="expression">

Remarks

The default value is 0. The default units are pixels. The HRWidth attribute is similar to the standard HTML HR Width attribute. If you want to express the width of a rule as a percentage of the page width, use the HRPct attribute.

Microsoft Office Extensions Attribute


ID Attribute

Provides a unique identifier for an element. Read/write String.

Applies To

All VML elements.Shape-->

Tag Syntax

<v:elementname id="idname">

Script Syntax

elementname.id="idname"

expression=elementname.id

Remarks

Use ID to refer to a specific element. Once you have created a shape and given it an ID, you can use the ID name when you want to manipulate the element.

ID is required to use the ShapeType element.

When VML is generated by Microsoft Office, if an object model name is assigned to the shape, then ID is set to this name. If the object model name is not set, then the name is generated using the Spid (internal shape ID) plus a prefix (S for shape, M for master shape, T for shapetype).

VML Standard Attribute.

Example

To change the attributes of a shape, you must first give the shape an ID; for example, "myrect".

   <v:rect id=myrect fillcolor="red"
   style="position:relative;top:1;left:1;width:20;height:20">
   </v:rect>
Then you can use the following VBScript code to change the size and color of the shape.
   myrect.style.width = 80
   myrect.style.height = 80
   myrect.fillColor = "green"

ID Attribute Example. (Requires Microsoft Internet Explorer 5 or greater.)


ID Attribute

Defines a unique identifier for the frame. Read/write String.

Applies To

VMLFrame

Tag Syntax

<v:element ID="expression">

Script Syntax

element.ID="expression"

expression=element.ID

Remarks

Use ID to reference a frame. For example, you can move the frame around on the page by changing the frame position referenced by the ID.

VML Standard Attribute

Example

The ID of the frame is "frame01".

   <v:vmlframe id="frame01" clip="True"
   origin="100pt,100pt" size="50pt,50pt"
   src="external.vml#shape01"
   style='position:relative;
   top:160pt; left:100pt; width:50pt; height:50pt'
   </v:vmlframe>


ID Attribute

A name that provides a unique identifier for a stroke. Read/write String.

Applies To

Stroke

Tag Syntax

<v:element id="expression">

Script Syntax

element.id="expression"

expression=element.id

Remarks

Use ID to refer to a specific stroke. Once you have created a stroke and given it an ID, you can use the ID name when you want to manipulate the stroke.

VML Standard Attribute

Example

The shape has a stroke ID called "mystroke".

   <v:shape id="rect01"
   strokecolor="red" fillcolor="red"
   style="top:20;left:20;width:30;height:30"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:stroke id="mystroke"/>
   </v:shape>


ID Attribute

Defines a name that provides a unique identifier for a skew. Read/write String.

Applies To

Skew

Tag Syntax

<o: element id="expression">

Script Syntax

element.id="expression"

expression=element.id

Remarks

Use ID to refer to a specific skew. Once you have created a skew and given it an ID, you can use the ID name when you want to manipulate the skew.

Microsoft Office Extensions Attribute


ID Attribute

Specifies a name that provides a unique identifier for a shadow. Read/write String.

Applies To

Shadow

Tag Syntax

<v:element id="expression">

Script Syntax

element.id="expression"

expression=element.id

Remarks

Use ID to refer to a specific shadow. Once you have created a shadow and given it an ID, you can use the ID name when you want to manipulate the shadow.

VML Standard Attribute

Example

The shape has a shadow ID called "myshadow".

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red" fillcolor="red"
   style="top:20;left:20;width:30;height:30"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:shadow id="myshadow" on="True"/>
   </v:shape>


ID Attribute

A name that provides a unique identifier for a path. Read/write String.

Applies To

Path

Tag Syntax

<v: element id="expression">

Script Syntax

element.id="expression"

expression=element.id

Remarks

Use ID to refer to a specific path. Once you have created a path and given it an ID, you can use the ID name when you want to manipulate the path.

VML Standard Attribute

Example

The shape has a path ID called "myPath".

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:50;height:50">
   <v:path id= "myPath" v="m 1,1 l 1,200, 200,200, 200,1 x e"/>
   </v:shape>


ID Attribute

Defines a name that provides a unique identifier for an image. Read/write String.

Applies To

ImageData

Tag Syntax

<v: element id="expression">

Script Syntax

element.id="expression"

expression=element.id

Remarks

Use ID to refer to a specific image. Once you have created an image and given it an ID, you can use the ID name when you want to manipulate the image.

VML Standard Attribute

Example

The shape has an ImageData ID called "myimage".

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:300;height:200"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:imagedata id="myimage" src="kids.jpg"/>
   </v:shape>


ID Attribute

A name that provides a unique identifier for a fill. Read/write String.

Applies To

Fill

Tag Syntax

<v: element id="expression">

Script Syntax

element.id="expression"

expression=element.id

Remarks

Use ID to refer to a specific fill. Once you have created a fill and given it an ID, you can use the ID name when you want to manipulate the fill.

VML Standard Attribute

Example

The shape has a fill ID called "myfill".

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:50;height:50"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:fill id="myfill"/>
   </v:shape>


ID Attribute

A name that provides a unique identifier for a textbox. Read/write String.

Applies To

TextBox

Tag Syntax

<v: element id="expression">

Script Syntax

element.id="expression"

expression=element.id

Remarks

Use ID to refer to a specific textbox. Once you have created a textbox and given it an ID, you can use the ID name when you want to manipulate the textbox.

VML Standard Attribute

Example

The shape has a textbox ID called "mytextbox".

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red" fillcolor="red"
   style="top:10pt;left:10pt;width:50pt;height:50pt"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:textbox id="mytextbox">
   VML
   </v:textbox/>
   </v:shape>


ImageAlignShape Attribute

Determines the alignment of the stroke image. Read/write VgTriState.

Applies To

Stroke

Tag Syntax

<v:element imagealignshape="expression">

Script Syntax

element.imagealignshape="expression"

expression=element.imagealignshape

Remarks

If True, align the image with the shape, else align the image with the window. The default is True.

VML Standard Attribute

Example

The image is aligned with the window.

   <v:shape id="rect01"
   strokecolor="red" fillcolor="red" strokeweight="20pt"
   style="top:20;left:20;width:300;height:300"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:stroke imagealignshape="false" width="5pt" filltype="tile" src="cylinder.gif"/>
   </v:shape>


ImageAspect Attribute

Defines how the stroke image aspect ratio will be preserved. Read/write String.

Applies To

Stroke

Tag Syntax

<v:element imageaspect="expression">

Script Syntax

element.imageaspect="expression"

expression=element.imageaspect

Remarks

Values include:

Value | Description
Ignore | Ignore aspect issues.
AtLeast | Image is at least as big as ImageSize.
AtMost | Image is no bigger than ImageSize.

In each case, the ImageSize attribute will be adjusted to preserve the aspect of the image.

VML Standard Attribute

Example

The stroke image will be at least as big as the image size.

   <v:shape id="rect01"
   strokecolor="red" fillcolor="red"
   style="top:20;left:20;width:30;height:30"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:stroke imageaspect="AtLeast"/>
   </v:shape>


ImageSize Attribute

Defines the size of the image for the stroke. Read/write VgVector2D.

Applies To

Stroke

Tag Syntax

<v:element imagesize="expression">

Script Syntax

element.imagesize="expression"

expression=element.imagesize

Remarks

Default is the size of the image.

VML Standard Attribute

Example

The stroke image will be a 10-by-10 point size.

   <v:shape id="rect01"
   strokecolor="red" fillcolor="red"
   style="top:20;left:20;width:30;height:30"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:stroke imagesize="10pt,10pt"/>
   </v:shape>


Inset Attribute

Specifies inner margin values for textbox text. Read/write String.

Applies To

TextBox

Tag Syntax

<v: element inset="expression">

Script Syntax

element.inset="expression"

expression=element.inset

Remarks

The internal text margin value is specified as a string containing four values, each separated by commas or spaces. The values measure inset from the left, top, right, and bottom edges of the box specified by the TextBoxRect attribute of Path. Missing values are set to the default, which is "0.1in, 0.05in, 0.1in, 0.05in".

For rotated shapes in browsers that do not support rotation, the bounding box will snap to the closest multiple of 90 degrees.

VML Standard Attribute

Example

The textbox will have an inset margin of 10 pixels.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red" fillcolor="red"
   style="top:10pt;left:10pt;width:50pt;height:50pt"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:textbox id="mytextbox" inset="10px, 10px, 10px, 10px">
   VML
   </v:textbox/>
   </v:shape>


InsetMode Attribute

Defines how the application will allow custom inset values. Read/write String.

Applies To

TextBox

Tag Syntax

<v: element o:insetmode="expression">

Remarks

Values include:

  • auto
  • custom (default)

If the value is auto, custom inset values are not allowed, and the application determines the inner text margin of a textbox.

Microsoft Office Extensions Attribute


InvX Attribute

Determines whether the x position of the handle is inverted. Read/write VgTriState.

Applies To

H (subelement of Handles)

Tag Syntax

<v: element invx="expression">

Remarks

If True, the x position of the handle is inverted by subtracting the x value from the x value of CoordOrigin added to the x value of CoordSize. The default value is False.

This attribute is the equivalent of

coordorigin.x + coordsize.x - h.position.x

VML Standard Attribute


InvY Attribute

Determines whether the y position of the handle is inverted. Read/write VgTriState.

Applies To

H (subelement of Handles)

Tag Syntax

<v: element invy="expression">

Remarks

If True, the y position of the handle is inverted by subtracting the y value from the y value of CoordOrigin added to the y value of CoordSize. The default value is False.

This attribute is the equivalent of

coordorigin.y + coordsize.y - h.position.y

VML Standard Attribute


JoinStyle Attribute

Defines the join style of a polyline. Read/write String.

Applies To

Stroke

Tag Syntax

<v:element joinstyle="expression">

Script Syntax

element.joinstyle="expression"

expression=element.joinstyle

Remarks

Values include:

  • round (default)
  • bevel
  • miter

VML Standard Attribute

Example

The joints on the polyline are beveled.

   <v:polyline
   strokecolor="red" strokeweight="2pt"
   points="18pt,54pt,90pt,-9pt,180pt,63pt,261pt,27pt">
   <v:stroke joinstyle="bevel"/>
   </v:polyline>


Layout-Flow Attribute

Determines the flow of the text layout in a textbox. Read/write String.

Applies To

TextBox

Tag Syntax

<v: element style="layout-flow:expression">

Remarks

Values include:

Value | Description
horizontal | Text is displayed horizontally. Default.
vertical | Text is displayed vertically.
vertical-ideographic | Ideographic text is displayed vertically.
horizontal-ideographic | Ideographic text is displayed horizontally.

VML Standard Attribute

Example

The text flow in the textbox will flow vertically.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red" fillcolor="red"
   style="top:1;left:1;width:50;height:50"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <textbox string="VML text" layout-flow="vertical"/>
   </v:shape>


Left Attribute

Determines the position of the shape relative to the element left of it in the document flow. Read/write String.

Applies To

Shape

Tag Syntax

<v:element style="left: expression">

Script Syntax

element.style.left="expression"

expression=element.style.left

Remarks

The Left attribute is similar to the standard HTML Left attribute for styles.

Units may be mapped to the parent element or may be in absolute units. This attribute will not be written out for shapes anchored inline.

Values include:

Value | Description
Auto | Default position of an element in the flow of the page.
units | A number with an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). If no units are given, pixels (px) is assumed.
percentage | Value expressed as a percentage of the parent object's width.

VML Standard Attribute

See Also

Units

Example

The left value of the shape is set to 1 in the example below.

   <v:rect id=myrect fillcolor="red"
   style="position:relative;top:1;left:1;width:20;height:20">
   </v:rect>

Left Attribute Example. (Requires Microsoft Internet Explorer 5 or greater.)


Length Attribute

Defines the length of the callout. Read/write VgNumber.

Applies To

Callout

Tag Syntax

<o: element length="expression">

Remarks

This attribute specifies the length of the first part of a multisegmented callout line. The default value is 0.

Microsoft Office Extensions Attribute


LengthSpecified Attribute

Determines whether the Length attribute will be used for the callout. Read/write VgTriState.

Applies To

Callout

Tag Syntax

<o: element lengthspecified="expression">

Remarks

The default value is False. If True, then the Length attribute will be used. If False, a "best fit" will be attempted.

Microsoft Office Extensions Attribute


LightFace Attribute

Determines whether the front face of the extrusion will respond to changes in the lighting. Read/write VgTriState.

Applies To

Extrusion

Tag Syntax

<o: element lightface="expression">

Script Syntax

element.lightface="expression"

expression=element.lightface

Remarks

If False, the front face will not respond when a lighting value changes. The default is True.

Microsoft Office Extensions Attribute


LightHarsh Attribute

Determines whether the primary light source will be harsh. Read/write VgTriState.

Applies To

Extrusion

Tag Syntax

<o: element lightharsh="expression">

Script Syntax

element.lightharsh="expression"

expression=element.lightharsh

Remarks

If False, the shadow boundaries are diffused. The default value is True.

Microsoft Office Extensions Attribute


LightHarsh2 Attribute

Determines whether the secondary light source will be harsh. Read/write VgTriState.

Applies To

Extrusion

Tag Syntax

<o: element lightharsh2="expression">

Script Syntax

element.lightharsh2="expression"

expression=element.lightharsh2

Remarks

If False, the shadow boundaries defined by the second light source are diffused. The default value is True.

Microsoft Office Extensions Attribute


LightLevel Attribute

Defines the intensity of the primary light source for the scene. Read/write VgNumber.

Applies To

Extrusion

Tag Syntax

<o: element lightlevel="expression">

Script Syntax

element.lightlevel="expression"

expression=element.lightlevel

Remarks

The default value is 38,000.

Microsoft Office Extensions Attribute


LightLevel2 Attribute

Defines the intensity of the secondary light source for the scene. Read/write VgNumber.

Applies To

Extrusion

Tag Syntax

<o: element lightlevel2="expression">

Script Syntax

element.lightlevel2="expression"

expression=element.lightlevel2

Remarks

The default value is 38,000.

Microsoft Office Extensions Attribute


LightPosition Attribute

Specifies the position of the primary light in a scene. Read/write VgVector3D.

Applies To

Extrusion

Tag Syntax

<o: element lightposition="expression">

Script Syntax

element.lightposition="expression"

expression=element.lightposition

Remarks

Use this value to move the light source for an extrusion. Different positions will lighten or darken each face of the extrusion. The default value is 50000,0,10000.

Microsoft Office Extensions Attribute


LightPosition2 Attribute

Specifies the position of the secondary light in a scene. Read/write VgVector3D.

Applies To

Extrusion

Tag Syntax

<o: element lightposition2="expression">

Script Syntax

element.lightposition2="expression"

expression=element.lightposition2

Remarks

Use this value to move the second light source for an extrusion. Different positions will lighten or darken each face of the extrusion. The default value is -50000, 0, 10000.

Microsoft Office Extensions Attribute


Limo Attribute

Defines a stretch point on the path. Read/write Vector2D.

Applies To

Path

Tag Syntax

<v: element limo="expression">

Script Syntax

element.limo="expression"

expression=element.limo

Remarks

The default value is "0 0". Limo stretches are points on a shape's edge that define where and how a shape may be stretched by a user in a graphical editor.

VML Standard Attribute

Example

A limo stretch point is defined halfway along the horizontal line.

   <v:line strokecolor="red"
   strokeweight="2pt" from="20pt,20pt" to="100pt,20pt">
   <v:path limo="60pt,20pt"/>
   </v:line>


LineStyle Attribute

Defines the line style of the stroke. Read/write String.

Applies To

Stroke

Tag Syntax

<v:element linestyle="expression">

Script Syntax

element.linestyle="expression"

expression=element.linestyle

Remarks

Values include:

  • Single (default)
  • ThinThin
  • ThinThick
  • ThickThin
  • ThickBetweenThin

VML Standard Attribute

Example

A double line is drawn with two thin strokes.

   <v:line strokecolor="red"
   strokeweight="2pt" to="100pt,20pt" from="20pt,20pt">
   <v:stroke linestyle="thinthin" />
   </v:line>


LockRotationCenter Attribute

Determines whether the rotation of the extruded object is specified by the RotationAngle attribute. Read/write VgTriState.

Applies To

Extrusion

Tag Syntax

<o: element lockrotationcenter="expression">

Script Syntax

element.lockrotationcenter="expression"

expression=element.lockrotationcenter

Remarks

If False, the rotation is specified by the Orientation attribute. The default is True.

Note that:

   <o:extrusion lockrotationcenter=false orientationangle=45 orientation=(0,1,0)/>

is the same as:

   <o:extrusion lockrotationcenter=true rotationangle=45/>

Microsoft Office Extensions Attribute


Map Attribute

Defines the mapping range of a handle. Read/write VgVector2D.

Applies To

H (subelement of Handles)

Tag Syntax

<v: element map="expression">

Remarks

The x and y positions of the handle are mapped from the CoordSize range into the range defined. The default value is 0,1000.

VML Standard Attribute


Margin-Bottom Attribute

Specifies the bottom edge of the shape's containing rectangle relative to the shape anchor. Read/write String.

Applies To

Shape

Tag Syntax

<v:element margin-bottom="expression">

Script Syntax

element.marginbottom="expression"

expression=element.marginbottom

Remarks

The Margin-Bottom attribute is similar to the standard HTML Margin-Bottom attribute used with style sheets.

Note that marginbottom is used instead of margin-bottom for scripting. Also note that if the position is absolute, the margin will not appear to change.

Values include:

Value | Description
Auto | Default position of an element in the flow of the page.
units | Default. A number with an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). If no units are given, pixels (px) is assumed. The default value is 0.
percentage | Value expressed as a percentage of the parent object's height.

VML Standard Attribute

See Also

Units

Example

The bottom margin is set to 25 pixels.

   <v:rect id=myrect fillcolor="red"
   style="position:relative;top:1;left:1;width:20;height:20;margin-bottom:25px">
   </v:rect>

Margin-Bottom Attribute Example. (Requires Microsoft Internet Explorer 5 or greater.)


Margin-Left Attribute

Specifies the left edge of the shape's containing rectangle relative to the shape anchor. Read/write String.

Applies To

Shape

Tag Syntax

<v:element style="margin-left: expression">

Script Syntax

element.style.marginleft="expression"

expression=element.style.marginleft

Remarks

The Margin-Left attribute is similar to the standard HTML Margin-Left attribute used with style sheets.

Note that marginleft is used instead of margin-left for scripting. Also note that if the position is absolute, the margin will not appear to change.

This property is used instead of Left for shapes in Microsoft Word and Microsoft Excel that are floating in a position relative to an anchor point.

Values include:

Value | Description
Auto | Default position of an element in the flow of the page.
units | Default. A number with an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). If no units are given, pixels (px) is assumed. The default value is 0.
percentage | Value expressed as a percentage of the parent object's height.

VML Standard Attribute

See Also

Units

Example

The left margin is set to 25 pixels.

   <v:rect id=myrect fillcolor="red"
   style="position:relative;top:1;left:1;width:20;height:20;margin-left:25px">
   </v:rect>

Margin-Left Attribute Example. (Requires Microsoft Internet Explorer 5 or greater.)


Margin-Right Attribute

Specifies the right edge of the shape's containing rectangle relative to the shape anchor. Read/write String.

Applies To

Shape

Tag Syntax

<v:element style="margin-right: expression">

Script Syntax

element.style.marginright="expression"

expression=element.style.marginright

Remarks

The Margin-Right attribute is similar to the standard HTML Margin-Right attribute used with style sheets.

Note that marginright is used instead of margin-right for scripting. Also note that if the position is absolute, the margin will not appear to change.

Values include:

Value | Description
Auto | Default position of an element in the flow of the page.
units | Default. A number with an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). If no units are given, pixels (px) is assumed. The default value is 0.
percentage | Value expressed as a percentage of the parent object's height.

VML Standard Attribute

See Also

Units

Example

The right margin is set to 25 pixels.

   <v:rect id=myrect fillcolor="red"
   style="position:relative;top:1;left:1;width:20;height:20;margin-right:25px">
   </v:rect>

Margin-Right Attribute Example. (Requires Microsoft Internet Explorer 5 or greater.)


Margin-Top Attribute

Specifies the top edge of the shape's containing rectangle relative to the shape anchor. Read/write String.

Applies To

Shape

Tag Syntax

<v:element margin-top="expression">

Script Syntax

element.margin-top="expression"

expression=element.margin-top

Remarks

The Margin-Top attribute is similar to the standard HTML Margin-Top attribute used with style sheets.

Note that margintop is used instead of margin-top for scripting. Also note that if the position is absolute, the margin will not appear to change.

This property is used instead of Top for shapes in Microsoft Word and Microsoft Excel that are floating in a position relative to an anchor point.

Values include:

Value | Description
Auto | Default position of an element in the flow of the page.
units | Default. A number with an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). If no units are given, pixels (px) is assumed. The default value is 0.
percentage | Value expressed as a percentage of the parent object's height.

VML Standard Attribute

See Also

Units

Example

The top margin is set to 25 pixels.

   <v:rect id=myrect fillcolor="red"
   style="position:relative;top:1;left:1;width:20;height:20;margin-top:25px">
   </v:rect>

Margin-Top Attribute Example. (Requires Microsoft Internet Explorer 5 or greater.)


Master Attribute

Determines whether a ShapeType element is a master element. Read/write VgTriState.

Applies To

ShapeType

Tag Syntax

<v: element o:master="expression">

Remarks

If True, the ShapeType shape is rendered by the rendering engine. The default value is False.

Microsoft Office Extensions Attribute

Example

The ShapeType element is a master shape.

   <v:shapetype id="laure"
   coordorigin= "0 0" coordsize="200 200"
   fillcolor= "red" o:master="True"
   style="top:1;left:1;width:50;height:50"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   </v:shapetype>


Matrix Attribute

Defines a perspective transform of a skew. Read/write String.

Applies To

Skew

Tag Syntax

<o: element matrix="expression">

Script Syntax

element.matrix="expression"

expression=element.matrix

Remarks

The matrix is a string in the form "sxx, sxy, syx, syy, px, py" where s is scale, p is perspective, and x and y are x and y values. If Offset is in absolute units, then px and py are in emu^-1 units (otherwise they are an inverse fraction of the shape size). The default value is "1,0,0,1,0,0".

Microsoft Office Extensions Attribute


Matrix Attribute

Defines a perspective transform for a shadow. Read/write String.

Applies To

Shadow

Tag Syntax

<v:element matrix="expression">

Script Syntax

element.matrix="expression"

expression=element.matrix

Remarks

A perspective transform matrix in the form "sxx, sxy, syx, syy, px, py" where s = scale and p = perspective. If offset is in absolute units then px, py are in 1/emu units; otherwise they are an inverse fraction of the shape size.

VML Standard Attribute


Metal Attribute

Determines whether the surface of the extruded shape will resemble metal. Read/write VgTriState.

Applies To

Extrusion

Tag Syntax

<o: element metal="expression">

Script Syntax

element.metal="expression"

expression=element.metal

Remarks

If set to True, this attribute causes the specularly reflected light to be the material color instead of the light source color, making the object seem more metallic. To further approximate a metallic material requires that specularity be relatively high (about 1.2) and diffusity be relatively low (about 0.6). The default value is False.

Microsoft Office Extensions Attribute


Method Attribute

Defines the method used to generate a gradient fill. Read/write VgSigmaType.

Applies To

Fill

Tag Syntax

<v: element method="expression">

Script Syntax

element.method="expression"

expression=element.method

Remarks

Values include:

Value | Description
None | No sigma fill.
Linear | Linear sigma fill.
Sigma | Sigma fill. Default.
Any | Any sigma fill.

VML Standard Attribute

Example

The shape will have a red linear gradient fill.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:50;height:50"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:fill color="red" type="gradient" method="linear"/>
   </v:shape>


MinusX Attribute

Determines whether the callout will flip along the x-axis. Read/write VgTriState.

Applies To

Callout

Tag Syntax

<o: element minusx="expression">

Remarks

If True, a callout will flip along the x-axis. The default value is False. When callouts are resized and moved, the callout will flip to the other side of the drop tip.

Microsoft Office Extensions Attribute


MinusY Attribute

Determines whether the callout will flip along the y-axis. Read/write VgTriState.

Applies To

Callout

Tag Syntax

<o: element minusy="expression">

Remarks

If True, a callout will flip along the y-axis. The default value is False. When callouts are resized and moved, the callout will flip to the other side of the drop tip.

Microsoft Office Extensions Attribute


MiterLimit Attribute

Defines the smoothness of the miter joint. Read/write VgNumber.

Applies To

Stroke

Tag Syntax

<v:element miterlimit="expression">

Script Syntax

element.miterlimit="expression"

expression=element.miterlimit

Remarks

The maximum distance between the inner point and outer point of a joint. This number is a multiple of the thickness of the line.

The default value is 8.

VML Standard Attribute

Example

The joints on the polyline are mitered with a limit of 10, that is, 5 times 2 points.

   <v:polyline
   strokecolor="red" strokeweight="2pt"
   points="18pt,54pt,90pt,-9pt,180pt,63pt,261pt,27pt">
   <v:stroke miterlimit="5" joinstyle="miter"/>
   </v:polyline>


Movie Attribute

Defines a pointer to a movie image. Read/write VgNumber.

Applies To

ImageData

Tag Syntax

<v: element o:movie="expression">

Remarks

Stores a Macintosh data block that contains a pointer to a pointer to movie data.

Microsoft Office Extensions Attribute


MSO-Direction-Alt Attribute

Defines alternate direction for text in textboxes. Read/write String.

Applies To

TextBox

Tag Syntax

<v: element style="mso-direction-alt:expression">

Remarks

When the value of the Direction attribute is context, the MSO-Direction-Alt attribute is used and its value will also be context.

Microsoft Office Extensions Attribute


MSO-Fit-Shape-To-Text Attribute

Defines whether the shape will stretch to fit the text in the textbox. Read/write VgTriState.

Applies To

TextBox

Tag Syntax

<v: element style="mso-fit-shape-to-text:expression">

Remarks

If True, the shape is stretched to fit the text. Default is False.

Microsoft Office Extensions Attribute


MSO-Fit-Text-To-Shape Attribute

Defines whether the text will stretch to fit the shape. Read/write VgTriState.

Applies To

TextBox

Tag Syntax

<v: element style="mso-fit-text-to-shape:expression">

Remarks

If True, the text will be stretched to fit the shape. Default is False.

Microsoft Office Extensions Attribute


MSO-Layout-Flow-Alt Attribute

Defines the alternate layout flow for text in textboxes. Read/write String.

Applies To

TextBox

Tag Syntax

<v: element style="mso-layout-flow-alt:expression">

Remarks

This attribute is used instead of the Layout-Flow attribute when the layout flow is from bottom to top for non-ideographic languages. When this attribute is used, the value is bottom-to-top.

Microsoft Office Extensions Attribute


MSO-Next-Textbox Attribute

ID of next textbox in a series. Read/write String.

Applies To

TextBox

Tag Syntax

<v: element style="mso-next-textbox:expression">

Remarks

Use this to keep track of a set of linked textboxes.

Microsoft Office Extensions Attribute


MSO-Position-Horizontal Attribute

Specifies the horizontal positioning data for objects in Microsoft Word. Read/write String.

Applies To

Shape

Tag Syntax

<v:element mso-position-horizontal="expression">

Remarks

Values are:

  • absolute
  • left
  • center
  • right
  • inside
  • outside

Microsoft Office Extensions Attribute


MSO-Position-Horizontal-Relative Attribute

Specifies relative horizontal position data for objects in Microsoft Word. Read/write String.

Applies To

Shape

Tag Syntax

<v:element o:mso-position-horizontal-relative="expression">

Remarks

Used to modify MSO-Position-Horizontal. Values are:

  • margin
  • page
  • text
  • char

Microsoft Office Extensions Attribute


MSO-Position-Vertical Attribute

Specifies the vertical position data for objects in Microsoft Word. Read/write String.

Applies To

Shape

Tag Syntax

<v:element mso-position-vertical="expression">

Remarks

Values are:

  • absolute
  • top
  • center
  • bottom
  • inside
  • outside

Microsoft Office Extensions Attribute


MSO-Position-Vertical-Relative Attribute

Specifies relative vertical position data for objects in Microsoft Word. Read/write String.

Applies To

Shape

Tag Syntax

<v:element mso-position-vertical-relative="expression">

Remarks

Used to modify MSO-Position-Vertical. Values are:

  • margin
  • page
  • text
  • line

Microsoft Office Extensions Attribute


MSO-Rotate Attribute

Defines a specific rotation value for text in a textbox. Read/write String.

Applies To

TextBox

Tag Syntax

<v: element style="mso-rotate:expression">

Remarks

Values (in degrees) include:

  • 0 (default)
  • 90
  • 180
  • -90

This attribute is used by Microsoft Office to store data in Web documents but does not render in Microsoft Internet Explorer 5 or greater.

Microsoft Office Extensions Attribute


MSO-Text-Scale Attribute

Defines the scaling factor for fitting text to shapes. Read/write VgNumber.

Applies To

TextBox

Tag Syntax

<v: element style="mso-text-scale:expression">

Remarks

You can use this attribute only if MSO-Fit-Text-To-Shape is set to True. Default is 0.

Microsoft Office Extensions Attribute


MSO-Text-Shadow Attribute

Defines whether a shadow is applied to the text on a text path. Read/write VgTriState.

Applies To

TextPath

Tag Syntax

<v: element style="mso-text-shadow:expression">

Remarks

The default value is False.

Microsoft Office Extensions Attribute


MSO-Wrap-Distance-Bottom Attribute

Defines the distance from the bottom side of the shape to the text that wraps around it. Read/write String.

Applies To

Shape

Tag Syntax

<v:element style="mso-wrap-distance-bottom: expression">

Remarks

Note that this attribute is different from the CSS Margin attribute. Margin changes the origin of the shape to include the margin areas, but the wrap distance in Microsoft Office does not change the origin of the shape.

Microsoft Office Extensions Attribute

Example

The shape has a bottom wrap distance of 10 points.

   <v:shape id="rect01"
   fillcolor="red" strokecolor="red"
   coordorigin="-500 -500" coordsize="1000 1000"
   style="position:relative;top:0;left:0;width:100pt;height:100pt;mso-wrap-distance-bottom:10pt"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   </v:shape>


MSO-Wrap-Distance-Left Attribute

Defines the distance from the left side of the shape to the text that wraps around it. Read/write String.

Applies To

Shape

Tag Syntax

<v:element style="mso-wrap-distance-left: expression">

Remarks

Note that this attribute is different from the CSS Margin attribute. Margin changes the origin of the shape to include the margin areas, but the wrap-distance in Microsoft Office does not change the origin of the shape.

Microsoft Office Extensions Attribute

Example

The shape has a left wrap-distance of 10 points.

   <v:shape id="rect01"
   fillcolor="red" strokecolor="red"
   coordorigin="-500 -500" coordsize="1000 1000"
   style="position:relative;top:0;left:0;width:100pt;height:100pt;mso-wrap-distance-left:10pt"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   </v:shape>


MSO-Wrap-Distance-Right Attribute

Defines the distance from the right side of the shape to the text that wraps around it. Read/write String.

Applies To

Shape

Tag Syntax

<v:element style="mso-wrap-distance-right: expression">

Remarks

Note that this attribute is different from the CSS Margin attribute. Margin changes the origin of the shape to include the margin areas, but the wrap-distance in Microsoft Office does not change the origin of the shape.

Microsoft Office Extensions Attribute

Example

The shape has a right wrap-distance of 10 points.

   <v:shape id="rect01"
   fillcolor="red" strokecolor="red"
   coordorigin="-500 -500" coordsize="1000 1000"
   style="position:relative;top:0;left:0;width:100pt;height:100pt;mso-wrap-distance-right:10pt"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   </v:shape>


MSO-Wrap-Distance-Top Attribute

Defines the distance from the shape top to the text that wraps around it. Read/write String.

Applies To

Shape

Tag Syntax

<v:element style="mso-wrap-distance-top: expression">

Remarks

Note that this attribute is different from the CSS Margin attribute. Margin changes the origin of the shape to include the margin areas, but the wrap-distance in Microsoft Office does not change the origin of the shape.

Microsoft Office Extensions Attribute

Example

The shape has a top wrap-distance of 10 points.

   <v:shape id="rect01"
   fillcolor="red" strokecolor="red"
   coordorigin="-500 -500" coordsize="1000 1000"
   style="position:relative;top:0;left:0;width:100pt;height:100pt;mso-wrap-distance-top:10pt"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   </v:shape>


MSO-Wrap-Edited Attribute

Determines whether the wrap coordinates were customized by the user. Read/write VgTriState.

Applies To

Shape

Tag Syntax

<v:element style="mso-wrap-edited: expression">

Remarks

If the wrap coordinates are generated by an editor, this attribute is True; otherwise they were customized by a user.

Microsoft Office Extensions Attribute

Example

The shape's wrap coordinates were generated by a shape editor.

   <v:shape id="rect01"
   fillcolor="red" strokecolor="red"
   coordorigin="-500 -500" coordsize="1000 1000"
   style="position:relative;top:0;left:0;width:100pt;height:100pt;mso-wrap-edited:True"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   </v:shape>


MSO-Wrap-Mode Attribute

Defines the wrapping mode for text. Read/write String.

Applies To

Shape

Tag Syntax

<v:element style="mso-wrap-mode: expression">

Remarks

Values include:

Value | Description
square | Wraps text around shape in a square.
tight | Text is wrapped close to the shape.
top-and-bottom | Text jumps from top to bottom.
through | Text displays through the shape.
none | Text doesn't wrap.

Used by Microsoft PowerPoint for saving to HTML to indicate whether word wrap inside an AutoShape is on (square) or off (none).

Microsoft Office Extensions Attribute

Example

The following code indicates that wordwrap inside an AutoShape is turned on in PowerPoint.

   <v:shape id="rect01"
   fillcolor="red" strokecolor="red"
   coordorigin="-500 -500" coordsize="1000 1000"
   style="position:relative;top:0;left:0;width:100pt;height:100pt;mso-wrap-mode:square"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   </v:shape>


Obscured Attribute

Determines whether a shadow is transparent. Read/write VgTriState.

Applies To

Shadow

Tag Syntax

<v:element obscured="expression">

Script Syntax

element.obscured="expression"

expression=element.obscured

Remarks

If True, lets you see through the shadow if there is no fill on the shape. Default is False.

VML Standard Attribute

Example

The background shows through the shadow.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:20;left:20;width:30;height:30"
   path="m1,1 l 1,200,200,200, 200,1 x e">
   <v:shadow on="True" obscured="True"/>
   </v:shape>


Offset Attribute

Defines the offset of the skew. Read/write VgVector2D.

Applies To

Skew

Tag Syntax

<o: element offset="expression">

Script Syntax

element.offset="expression"

expression=element.offset

Remarks

Determines the amount of x and y offset from the shape's original location. Values are defined in absolute measurement or fractional values of a shape (ranging from -0.5 to +0.5). Default is 0,0.

Microsoft Office Extensions Attribute


Offset Attribute

Defines how far the shadow extends past the shape. Read/write VgVector2D.

Applies To

Shadow

Tag Syntax

<v:element offset="expression">

Script Syntax

element.offset="expression"

expression=element.offset

Remarks

The default offset for the x value is 2pt and the default for the y value is 2pt. Values are either an absolute measurement, or a fractional value of shape. If fractional, they range from 50% to -50%.

VML Standard Attribute

Example

The shape has a shadow with an offset of 5 points down and 10 points to the right.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red" fillcolor="red"
   style="top:20;left:20;width:30;height:30"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:shadow on="True" offset="10pt,5pt"/>
   </v:shape>


Offset2 Attribute

Determines a second offset. Read/write VgVector2D.

Applies To

Shadow

Tag Syntax

<v:element offset2="expression">

Script Syntax

element.offset2="expression"

expression=element.offset2

Remarks

The default for a second offset for the x value is 0 and the default for the y value is 0. Values are either an absolute measurement, or a fractional value of shape. If fractional, the values range from 50% to -50%.

Use a second offset to create special shadow effects. See the Type attribute for more information about second offsets.

VML Standard Attribute

Example

A double shadow is created for the shape.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red" fillcolor="red"
   style="top:20;left:20;width:30;height:30"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:shadow on="True" color="red" color2="blue"
   offset="50%" offset2="-20%" type="double"/>
   </v:shape>


OLEIcon Attribute

Determines whether an OLE object will be displayed as an icon. Read/write VgTriState.

Applies To

Shape

Tag Syntax

<v:element o:oleicon="expression">

Remarks

Default is False. If True, the OLE object is displayed as an icon.

This attribute is used by Microsoft Office but is not used by Microsoft Internet Explorer.

Microsoft Office Extensions Attribute


OLEID Attribute

Stores the OLE ID of an image. Read/write VgNumber.

Applies To

ImageData

Tag Syntax

<v: element o:oleid="expression">

Remarks

Reserved for OLE ID values.

Microsoft Office Extensions Attribute


On Attribute

Defines whether the text is displayed. Read/write VgTriState.

Applies To

TextPath

Tag Syntax

<v: element on="expression">

Script Syntax

element.on="expression"

expression=element.on

Remarks

Default is False. This value must be set to True to display text on a text path.

VML Standard Attribute

Example

The text on the text path will be displayed.

   <v:line from="50 100" to="400 100">
   <v:fill on="True" color="red"/>
   <v:path textpathok="True"/>
   <v:textpath on="True" string="VML Text"
   style="font:normal normal normal 36pt Arial"/>
   </v:line>


On Attribute

Determines whether the stroke will be displayed. Read/write VgTriState.

Applies To

Stroke

Tag Syntax

<v:element on="expression">

Script Syntax

element.on="expression"

expression=element.on

Remarks

If False, the stroke is not displayed. The default is True.

VML Standard Attribute

Example

The stroke will not be displayed.

   <v:shape id="rect01"
   strokecolor="red" fillcolor="blue"
   style="top:20;left:20;width:30;height:30"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:stroke on="False"/>
   </v:shape>


On Attribute

Determines whether a skew will be displayed. Read/write VgTriState.

Applies To

Skew

Tag Syntax

<o: element on="expression">

Script Syntax

element.on="expression"

expression=element.on

Remarks

The default value is False. A skew will not be displayed unless the value is set to True.

Microsoft Office Extensions Attribute


On Attribute

Determines whether a shadow will be displayed. Read/write VgTriState.

Applies To

Shadow

Tag Syntax

<v:element on="expression">

Script Syntax

element.on="expression"

expression=element.on

Remarks

If True, the shadow will be displayed. The default value is False.

VML Standard Attribute

Example

The shadow will be displayed.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red" fillcolor="red"
   style="top:20;left:20;width:30;height:30"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:shadow on="True"/>
   </v:shape>


On Attribute

Determines whether the fill will be displayed. Read/write VgTriState.

Applies To

Fill

Tag Syntax

<v: element on="expression">

Script Syntax

element.on="expression"

expression=element.on

Remarks

If False, the fill is not displayed. The default is True.

VML Standard Attribute

Example

Even though the fill is defined to be red, it is not displayed.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:50;height:50"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:fill color="red" on="False"/>
   </v:shape>


On Attribute

Determines whether a shape is a callout. Read/write VgTriState.

Applies To

Callout

Tag Syntax

<o: element on="expression">

Remarks

The default value is False. A shape is a callout if the value is set to True.

Microsoft Office Extensions Attribute


On Attribute

Determines whether an extrusion will be displayed. Read/write VgTriState.

Applies To

Extrusion

Tag Syntax

<o: element on="expression">

Script Syntax

element.on="expression"

expression=element.on

Remarks

The default value is False. An extrusion will not be displayed unless the value is set to True.

Microsoft Office Extensions Attribute


OnEd Attribute

Determines whether the extra handles of a shape are hidden. Read/write VgTriState.

Applies To

Shape

Tag Syntax

<v:element o:oned="expression">

Remarks

Hides all shape handles except the top left and bottom right; that is, the same handles that are used for a straight line segment. The default is False.

Microsoft Office Extensions Attribute

Example

All but the top left and bottom right handles of the shape are hidden.

   <v:shape id="rect01" OnEd="True"
   fillcolor="red" strokecolor="red"
   coordorigin="-500 -500" coordsize="1000 1000"
   style="position:relative;top:0;left:0;width:100pt;height:100pt;mso-wrap-distance-top:10pt"
   path="m 5,5 l 5,195, 195,195, 195,5 x e">
   </v:shape>


OnMouseOver Attribute

Triggers a mouse event for a shape. Read/write String.

Applies To

Shape

Tag Syntax

<v:element onmouseover="expression">

Remarks

A "mouseover" event is generated when the mouse pointer is on the shape. The value is generated by using the keyword this (as a reference to the object) followed by the object model syntax. For example, to change the fill color to red, use the following:

onmouseover="this.fillcolor='red'"

Note the use of single and double quotation marks to set off the expression.

VML Standard Attribute

Example

When the mouse pointer is on the shape, the fill color will turn from red to green.

   <v:rect id=myrect fillcolor="red"
   style="position:relative;top:1;left:1;width:20;height:20"
   onmouseover='this.fillcolor="green"'>
   </v:rect>

OnMouseOver Attribute Example. (Requires Microsoft Internet Explorer 5 or greater.)


Opacity Attribute

Defines the amount of transparency of a stroke. Read/write VgFraction.

Applies To

Stroke

Tag Syntax

<v:element opacity="expression">

Script Syntax

element.opacity="expression"

expression=element.opacity

Remarks

The default value is 1.0.

VML Standard Attribute

Example

The stroke is 50% transparent.

   <v:shape id="rect01"
   strokecolor="red" fillcolor="red"
   style="top:20;left:20;width:30;height:30"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:stroke opacity="50%"/>
   </v:shape>


Opacity Attribute

Determines the transparency of a shadow. Read/write VgFraction.

Applies To

Shadow

Tag Syntax

<v:element opacity="expression">

Script Syntax

element.opacity="expression"

expression=element.opacity

Remarks

The default value is 1. A value of 0 will make a completely transparent shadow.

VML Standard Attribute

Example

The shape has a shadow that is 50% transparent.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor= "red" fillcolor="red"
   style="top:20;left:20;width:30;height:30"
   path="m  1,1 l 1,200,200,200, 200,1 x e">
   <v:shadow on="True" opacity="50%"/>
   </v:shape>


Opacity Attribute

Defines the transparency of a fill. Read/write VgFraction.

Applies To

Fill

Tag Syntax

<v: element opacity="expression">

Script Syntax

element.opacity="expression"

expression=element.opacity

Remarks

The default value is 1.0.

VML Standard Attribute

Example

The fill of the shape will be 50% transparent.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:50;height:50"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:fill opacity="50%" color="red"/>
   </v:shape>


Opacity2 Attribute

Defines the transparency of the second fill color. Read/write VgFraction.

Applies To

Fill

Tag Syntax

<v: element o:opacity2="expression">

Remarks

Used to define the transparency of the background color of a fill.

Microsoft Office Extensions Attribute


Orientation Attribute

Specifies the vector around which a shape can be rotated. Read/write VgVector3D.

Applies To

Extrusion

Tag Syntax

<o: element orientation="expression">

Script Syntax

element.orientation="expression"

expression=element.orientation

Remarks

Use the OrientationAngle attribute to specify the amount of rotation around this vector. Default value is 100,0,0.

Microsoft Office Extensions Attribute


OrientationAngle Attribute

Defines the angle that an extrusion rotates around the orientation. Read/write VgAngle.

Applies To

Extrusion

Tag Syntax

<o: element orientationangle="expression">

Script Syntax

element.orientationangle="expression"

expression=element.orientationangle

Remarks

Orientation is the vector around which an extruded shape rotates. Default value is 0 degrees.

Microsoft Office Extensions Attribute


Origin Attribute

Defines the origin of the clipping region of the frame. Read/write VgVector2D.

Applies To

VMLFrame

Tag Syntax

<v:element origin="expression">

Script Syntax

element.origin="expression"

expression=element.origin

Remarks

The default value is 0,0. Note that Origin only works if Clip is True. In this attribute, the origin is defined as the upper left corner of the frame.

VML Standard Attribute

Example

The origin of the clipping region is 100pt,100pt.

   <v:vmlframe id="frame01" clip="True"
   origin="100pt,100pt" size="50pt,50pt"
   src="external.vml#shape01"
   style='position:relative;
   top:160pt; left:100pt; width:50pt; height:50pt'
   </v:vmlframe>


Origin Attribute

Defines the origin of the skew. Read/write VgVector2D.

Applies To

Skew

Tag Syntax

<o: element origin="expression">

Script Syntax

element.origin="expression"

expression=element.origin

Remarks

Values are typically a percentage of the shape's size and range from -0.5 to +0.5. Larger values are allowed that give offsets as multiples of the shape's size. The default is 0,0.

Microsoft Office Extensions Attribute


Origin Attribute

Defines the center of the shadow. Read/write VgVector2D.

Applies To

Shadow

Tag Syntax

<v:element origin="expression">

Script Syntax

element.origin="expression"

expression=element.origin

Remarks

A pair of fractional values of the shape, ranging from 50% to -50%. The default value is 0,0.

VML Standard Attribute

Example

The shadow has an origin that is 20% down and 20% to the right of the shape's origin.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red" fillcolor="red"
   style="top:20;left:20;width:30;height:30"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:shadow on="True" origin="20%,20%"/>
   </v:shape>


Origin Attribute

Defines the center of a fill image. Read/write VgVector2D.

Applies To

Fill

Tag Syntax

<v: element origin="expression">

Script Syntax

element.origin="expression"

expression=element.origin

Remarks

Specifies a point relative to the upper left corner of the image; this point is treated as the origin of the image. Default is the center of the image. The vector is a fraction of the width and height of the image.

VML Standard Attribute

Example

The image of the fill is shifted left to a point 50% of the width of the shape .

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:50;height:50"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:fill type="pattern" origin="0.5,0" src="myimage.gif"/>
   </v:shape>


Path Attribute

Specifies the line that makes up the edges of a shape. Read/write String.

Applies To

Shape

Tag Syntax

<v:element path="expression">

Script Syntax

element.path="expression"

expression=element.path

Remarks

If a shape contains the Path element, the path commands of the Path element take precedence over the shape attribute value. See the Path element topic for details on the command set used for paths.

VML Standard Attribute

Example

A closed square path is defined in the string of the path attribute. An initial point is defined with m (used for the moveto command) at 1,1 and a line is drawn with l (the letter "L" used for the command lineto) from the starting position (1,1) to the other three points (in order): 1,200; 200,200; 200,1. The line is closed with x (close) and ended with e (end ). Note that coordinates are given in the relative coordinate space and that the real size is determined by the width and height.

   <v:shape id="rect01"
   fillcolor="red" strokecolor="red"
   coordorigin="0 0" coordsize="200 200"
   style="position:relative;top:1;left:1;width:20;height:20"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   </v:shape>

Path Attribute Example. (Requires Microsoft Internet Explorer 5 or greater.)


Plane Attribute

Specifies the plane that is at right angles to the extrusion. Read/write String.

Applies To

Extrusion

Tag Syntax

<o: element plane="expression">

Script Syntax

element.plane="expression"

expression=element.plane

Remarks

Values include:

Value | Description
xy | Extrusion is at right angles to the xy-plane. Default
zx | Extrusion is at right angles to the zx-plane.
yz | Extrusion is at right angles to the yz-plane.

Microsoft Office Extensions Attribute


Polar Attribute

Specifies the center position for polar handles. Read/write VgVector2D.

Applies To

H (subelement of Handles)

Tag Syntax

<v: element polar="expression">

Remarks

The default value is a null string. If values are specified, this indicates that the measurement is polar and that the Position attribute defines radius and angle values of the handle instead of x and y values.

VML Standard Attribute


Position Attribute

Defines the type of positioning used to place an element. Read/write String.

Applies To

Shape

Tag Syntax

<v:element style="position: expression">

Script Syntax

element.style.position="expression"

expression=element.style.position

Remarks

The Position attribute is similar to the standard HTML Position attribute used with style sheets.

Values include:

Value | Description
static | Default. The element is positioned according to the normal flow of the page. The Top and Left attributes are ignored. If the object is anchored inline, which only happens in Microsoft Word, this value is used.
absolute | The element is positioned relative to the parent, using the Top and Left attributes. This value is used by Microsoft Word and Microsoft Excel floating objects, and Microsoft PowerPoint slides.
relative | The element is positioned according to the normal flow of the page, but the Top and Left attributes are used. The overlap of overlapping elements is governed by the Z-Index attribute.

VML Standard Attribute

Example

The position of the rectangle is displayed using the relative style.

   <v:rect id=myrect fillcolor="red"
   style="position:relative;top:1;left:1;width:20;height:20">
   </v:rect>

Position Attribute Example. (Requires Microsoft Internet Explorer 5 or greater.)


Position Attribute

Determines whether the position of a shape is locked in an editor. Read/write VgTriState.

Applies To

Lock

Tag Syntax

<o: element position="expression">

Remarks

If True, the position of the shape is locked in the editor. The default value is False.

Microsoft Office Extensions Attribute


Position Attribute

Specifies the x and y values of the handle. Read/write VgVector2D.

Applies To

H (subelement of Handles)

Tag Syntax

<v: element position="expression">

Remarks

X and y values can be one of the following types:

  • constant
  • formula (for example, @2)
  • adjust (for example, #3)
  • center
  • topleft
  • bottomright

If any of the above types except adjust are specified, the handle position is fixed in that dimension. If an adjust handle is specified, the handle is free to move in that dimension and the adjust value is determined by the position of the handle.

If a Polar attribute is specified, the Position attribute represents the radius and angle values of the handle instead of x and y.

The default value is 0,0.

VML Standard Attribute


Position Attribute

Defines the position of fill image. Read/write VgVector2D.

Applies To

Fill

Tag Syntax

<v: element position="expression">

Script Syntax

element.position="expression"

expression=element.position

Remarks

Specifies a point in the shape to position the origin of the image. Default is the center of the container rectangle. The vector is a fraction of the width and height of the image.

VML Standard Attribute

Example

The image of the fill is shifted right to a point 50% of the width of the shape.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:50;height:50"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:fill type="pattern" position="0.5,0" src="myimage.gif"/>
   </v:shape>


PreferRelative Attribute

Determines whether the original size of an object is saved after reformatting. Read/write VgTriState.

Applies To

Shape

Tag Syntax

<v:element o:preferrelative="expression">

Remarks

The default is False. If True, the original size of the object will be stored and all resizing will be based on a percentage of that original size. Otherwise, each resizing will reset the scale to 100%.

Microsoft Office Extensions Attribute

Example

If the shape is resized, the original size will not be stored.

   <v:rect id=myrect fillcolor="red" preferrelative="False"
   style="position:relative;top:1;left:1;width:20;height:20">
   </v:rect>


Print Attribute

Determines whether the shape will be printed. Read/write VgTriState.

Applies To

Shape

Tag Syntax

<v:element print="expression">

Script Syntax

element.print="expression"

expression=element.print

Remarks

Provided as a way to specify whether shapes will be printed. Note that a shape can still be displayed on the screen, even if it is not printed as a result of this attribute being False. The default value is True.

This attribute is used by Microsoft Office but is not used by Microsoft Internet Explorer.

Microsoft Office Extensions Attribute


RadiusRange Attribute

Defines the range of a polar handle. Read/write VgVector2D.

Applies To

H (subelement of Handles)

Tag Syntax

<v: element radiusrange="expression">

Remarks

A minimum and maximum value is defined for a radial handle. Each value can be a constant or a formula. If a value is not defined, the handle can be moved without limit in the radial direction. This attribute applies only to polar adjust handles. The default value is 0,0.

VML Standard Attribute


ReGroupID Attribute

Defines a previous group for a shape. Read/write VgInteger.

Applies To

Shape

Tag Syntax

<v:element o:regroupid="expression">

Remarks

An ID number is used to identify groups of shapes that are no longer grouped. Allows shapes to be regrouped programmatically.

Microsoft Office Extensions Attribute

Example

The shape was part of a group denoted by the group ID 040754.

   <v:shape id="rect01" ReGroupID="040754"
   fillcolor="red" strokecolor="red"
   coordorigin="-500 -500" coordsize="1000 1000"
   style="position:relative;top:0;left:0;width:100pt;height:100pt;mso-wrap-distance-top:10pt"
   path="m 5,5 l 5,195, 195,195, 195,5 x e">
   </v:shape>


RelativePosition Attribute

Defines a relative position for an object. Read/write IVgVector2D.

Applies To

Shape

Tag Syntax

<v:element o:relativeposition="expression">

Remarks

Used for positioning of objects in Microsoft Word.

Microsoft Office Extensions Attribute


Render Attribute

Defines the rendering mode of the extrusion. Read/write String.

Applies To

Extrusion

Tag Syntax

<o: element render="expression">

Script Syntax

element.render="expression"

expression=element.render

Remarks

Values include:

Value | Description
solid | Rendering displays a solid shape. Default.
wireframe | Rendering displays a wireframe shape.
boundingcube | Rendering displays the bounding cube that contains the shape.

Microsoft Office Extensions Attribute


Rotation Attribute

Defines the angle that a shape is rotated. Read/write VgAngleInDegrees.

Applies To

Shape

Tag Syntax

<v:element style="rotation: expression">

Script Syntax

element.rotation="expression"

expression=element.rotation

Remarks

The value in degrees can be positive or negative, and values greater than 360 are modularized to a 360-degree circle. Positive angles are clockwise. The default value is 0.

Note that the shape is repositioned after the rotation to reflect the new bounding box coordinates.

Also note that for scripting, the style attribute is not used and that Rotation is treated as a direct attribute of the shape.

The Rotation attribute is similar to the standard HTML Rotation attribute for styles.

VML Standard Attribute

See Also

Example

The rectangle will be tilted 45 degrees.

   <v:rect id=myrect fillcolor="red"
   style="position:relative;top:1;left:1;width:20;height:20;rotation:45">
   </v:rect>

Rotation Attribute Example. (Requires Microsoft Internet Explorer 5 or greater.)


Rotation Attribute

Determines whether rotation of shapes will be allowed in an editor. Read/write VgTriState.

Applies To

Lock

Tag Syntax

<o: element rotation="expression">

Remarks

If True, rotation of shapes will not be allowed in an editor. The default value is False.

Microsoft Office Extensions Attribute


RotationAngle Attribute

Specifies the rotation of the object about the x and y-axes. Read/write VgVector2D.

Applies To

Extrusion

Tag Syntax

<o: element rotationangle="expression">

Script Syntax

element.rotationangle="expression"

expression=element.rotationangle

Remarks

The rotation of the object is defined by a rotation angle about the y-axis followed by the rotation angle about the x-axis. The z-axis angle is controlled by the value of the shape's standard HTML Style Rotation attribute. The default value is 0,0.

Microsoft Office Extensions Attribute


RotationCenter Attribute

Specifies the center of rotation for a shape. Read/write Vector3D.

Applies To

Extrusion

Tag Syntax

<o: element rotationcenter="expression">

Script Syntax

element.rotationcenter="expression"

expression=element.rotationcenter

Remarks

Defines the offset of the rotation in terms of fractions of the shape's size. The default value is 0,0,0.

Microsoft Office Extensions Attribute


RuleInitiator Attribute

Determines whether a rules engine will be used. Read/write VgTriState.

Applies To

Shape

Tag Syntax

<v:element o:ruleinitiator="expression">

Remarks

The default value is False. If the value is True, a rules engine is used.

Microsoft Office Extensions Attribute

Example

The shape will be processed by a rules engine.

   <v:rect id=myrect fillcolor="red" rulesinitiator="True"
   style="position:relative;top:1;left:1;width:20;height:20">
   </v:rect>


RuleProxy Attribute

Determines whether a proxy for the rules engine will be used. Read/write VgTriState.

Applies To

Shape

Tag Syntax

<v:element ruleproxy="expression">

Remarks

The default value is False. If True, a proxy is used.

Microsoft Office Extensions Attribute

Example

A proxy is used to process the shape.

   <v:rect id=myrect fillcolor="red" ruleproxy="True"
   style="position:relative;top:1;left:1;width:20;height:20">
   </v:rect>


Selection Attribute

Determines whether the shape is selectable in an editor. Read/write VgTriState.

Applies To

Lock

Tag Syntax

<o: element selection="expression">

Remarks

If True, the shape is unselectable. The default value is False.

Microsoft Office Extensions Attribute


ShadowOK Attribute

Determines whether a shadow will be displayed. Read/write VgTriState.

Applies To

Path

Tag Syntax

<v: element shadowok="expression">

Script Syntax

element.shadowok="expression"

expression=element.shadowok

Remarks

If False, the path cannot have a shadow. The default is True. This attribute overrides all other shadow attributes in the parent or Shadow element.

VML Standard Attribute

Example

The shape will not have a shadow.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red" fillcolor="green"
   style="top:1;left:1;width:50;height:50">
   <v:shadow on="True" offset="5pt,5pt" color="blue"/>
   <v:path id= "myPath" shadowok="False" v="m 1,1 l 1,200, 200,200, 200,1 x e"/>
   </v:shape>


ShapeType Attribute

Determines whether the AutoShape type can be changed by an editor. Read/write VgTriState.

Applies To

Lock

Tag Syntax

<o: element shapetype="expression">

Remarks

If True, the type of an AutoShape cannot be changed in a graphical editor. The default is False.

Microsoft Office Extensions Attribute


Shininess Attribute

Defines the concentration of the reflected light on an extrusion surface. Read/write VgNumber.

Applies To

Extrusion

Tag Syntax

<o: element shininess="expression">

Script Syntax

element.shininess="expression"

expression=element.shininess

Remarks

High values (8-10) would approximate the shininess of a mirror and low values (2-3) would approximate a speckled effect. Values of 4-7 are typical. Reflections do not mirror other objects; only pinpoint light sources are reflected. Default value is 5.

Microsoft Office Extensions Attribute


SingleClick Attribute

Defines whether text is selectable with a single click. Read/write VgTriState.

Applies To

TextBox

Tag Syntax

<v: element style="singleclick:expression">

Remarks

If True, text is selectable with a single click. The default is False.

Microsoft Office Extensions Attribute


Size Attribute

Defines the size of the clipping region of the frame. Read/write VgVector2D.

Applies To

VMLFrame

Tag Syntax

<v:element size="expression">

Script Syntax

element.size="expression"

expression=element.size

Remarks

The default value is 0,0. Note that Size only works if Clip is True. In this attribute, the size is defined as the width and height of the frame.

VML Standard Attribute

Example

The size of the clipping region will be 50pt,50pt.

   <v:vmlframe id="frame01" clip="True"
   origin="100pt,100pt" size="50pt,50pt"
   src="external.vml#shape01"
   style='position:relative;
   top:160pt; left:100pt; width:50pt; height:50pt'
   </v:vmlframe>


Size Attribute

Defines the size of the image for the fill. Read/write VgVector2D.

Applies To

Fill

Tag Syntax

<v: element size="expression">

Script Syntax

element.size="expression"

expression=element.size

Remarks

The default is the size of the original image. Sizes that are larger than the shape will display a magnified but clipped version of the image.

VML Standard Attribute

Example

Even though the original size of the image is 50-by-50 points, the image will be displayed as a 10-by-10 image in the center of the fill.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:50;height:50"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:fill src="myimage.gif" type="frame" size="10pt,10pt"/>
   </v:shape>


SkewAmt Attribute

Defines the amount of skew of an extrusion. Read/write VgPercent.

Applies To

Extrusion

Tag Syntax

<o: element skewamt="expression">

Script Syntax

element.skewamt="expression"

expression=element.skewamt

Remarks

Applies to an extrusion only if the extrusion Type attribute value is parallel. Default value is 50%.

Microsoft Office Extensions Attribute


SkewAngle Attribute

Defines the amount of skew of an extrusion. Read/write VgAngle.

Applies To

Extrusion

Tag Syntax

<o: element skewangle="expression">

Script Syntax

element.skewangle="expression"

expression=element.skewangle

Remarks

Applies to an extrusion only if the extrusion Type attribute value is parallel. Default value is 45 degrees.

Microsoft Office Extensions Attribute


Specularity Attribute

Defines the specularity of an extruded shape. Read/write VgNumber.

Applies To

Extrusion

Tag Syntax

<o: element specularity="expression">

Script Syntax

element.specularity="expression"

expression=element.specularity

Remarks

This value defines the ratio of incident light to specularly reflected light. Normal values range from 0 to 1. The default value is 0.

If values greater than 1 are specified, unusual effects can result.

Microsoft Office Extensions Attribute


Spt Attribute

Defines a number used internally by Microsoft Office to identify types of shapes. Read/write String.

Applies To

Shape

Tag Syntax

<v:element o:spt="expression">

Script Syntax

element.spt="expression"

expression=element.spt

Remarks

Reserved for internal use only.

Microsoft Office Extensions Attribute

Example

Use the following VBScript code to display the Spt attribute of a shape.

   msgbox myshape.spt

Spt Attribute Example. (Requires Microsoft Internet Explorer 5 or greater.)


Src Attribute

Defines the source of data for the frame. Read/write String.

Applies To

VMLFrame

Tag Syntax

<v:element src="expression">

Script Syntax

element.src="expression"

expression=element.src

Remarks

The Src attribute can involve the following syntaxes:

  • URL to external file. The file must be an XML file with the following format:
       <xml xmlns:v = "urn:schemas-microsoft-com:vml">
   .
   .
   .
   </xml>
  • Inside the file you must have one or more VML shapes with valid IDs that can be referenced by using this syntax:

       filename#shapename
  • In the following reference, external files have the .vml extension, but any extension can be used:

       external.vml#image01
  • You can reference a shape within the same file by using the following syntax:
       #shapename

If Clip is False, the shape will scale to fit the frame. If True, any parts of the shape that are outside the frame will not be displayed.

Note that Origin and Size won't be used unless Clip is True.

VML Standard Attribute

Example

The image defined in the external file will be clipped.

   <v:vmlframe id="frame01" clip="True"
   origin="100pt,100pt" size="50pt,50pt"
   src="external.vml#shape01"
   style='position:relative;
   top:160pt; left:100pt; width:50pt; height:50pt'
   </v:vmlframe>


Src Attribute

Defines the source image to load for a stroke fill. Read/write String.

Applies To

Stroke

Tag Syntax

<v:element src="expression">

Script Syntax

element.src="expression"

expression=element.src

Remarks

URL to an image to load for image and pattern fills. This attribute must always be present and point to valid image data for a picture to appear. If this attribute appears alone, that is, no HRef or Title, then the image is linked.

VML Standard Attribute

Example

The stroke is created with the image specified by the cylinder.gif file.

   <v:shape id="rect01"
   strokecolor="red" fillcolor="red"
   style="top:20;left:20;width:30;height:30"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:stroke src="cylinder.gif" filltype="tile" width="10pt"/>
   </v:shape>


Src Attribute

Defines a source for the image. Read/write String.

Applies To

ImageData

Tag Syntax

<v: element src="expression">

Script Syntax

element.src="expression"

expression=element.src

Remarks

This attribute must always be used with the ImageData element and point to valid image data for a picture to be displayed. If this attribute appears without HRef or Title, then the image is linked.

VML Standard Attribute

Example

The source of the image is a file named "kids.jpg".

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:300;height:200"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:imagedata src="kids.jpg"/>
   </v:shape>


Src Attribute

Defines the image to load for a fill. Read/write String.

Applies To

Fill

Tag Syntax

<v: element src="expression">

Script Syntax

element.src="expression"

expression=element.src

Remarks

URL to an image to load for image and pattern fills. This attribute must always be present and point to valid image data for a picture to appear. If this attribute appears alone (that is, no HRef or Title attribute), then the image is linked.

VML Standard Attribute

Example

A tiled image using the file myimage.gif as a source is displayed.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:50;height:50"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:fill type="tile" src="myimage.gif"/>
   </v:shape>


StartAngle Attribute

Defines the starting point of the arc. Read/write VgAngleInDegrees.

Applies To

Arc

Tag Syntax

<v: element endangle="expression">

Script Syntax

element.endAngle="expression"

expression=element.endAngle

Remarks

The arc is defined as a stroke drawn along an oval bounded by the Style attributes of a shape. The start of the stroke is defined by an angle measured from straight up (12 o'clock) clockwise. The default value is 0 degrees.

VML Standard Attribute

Example

The arc is smiling. The start point is at the 90-degree point of an oval inscribed inside the shape bounding box. The end point is at the 270-degree point of the oval.

   <v:arc id="myarc"
   style="position:relative;top:10;left:10;width:200;height:200"
   startangle="90" endangle="270">
   </v:arc>


StartArrow Attribute

Defines the arrowhead for the start of a line. Read/write String.

Applies To

Stroke

Tag Syntax

<v:element startarrow="expression">

Script Syntax

element.startarrow="expression"

expression=element.startarrow

Remarks

Values include:

  • None (default)
  • Block
  • Classic
  • Diamond
  • Oval
  • Open

VML Standard Attribute

Example

A line is drawn with a classic arrowhead on the start of the stroke.

   <v:line strokecolor="red"
   strokeweight="2pt" to="100pt,20pt" from="20pt,20pt">
   <v:stroke StartArrow="classic"/>
   </v:line>


StartArrowLength Attribute

Defines the arrowhead length for the start of a line. Read/write VgArrowheadLength.

Applies To

Stroke

Tag Syntax

<v:element startarrowlength="expression">

Script Syntax

element.startarrowlength="expression"

expression=element.startarrowlength

Remarks

Values include:

  • Short
  • Medium (default)
  • Long

VML Standard Attribute

Example

A line is drawn with a short classic arrowhead on the start of the stroke.

   <v:line strokecolor="red"
   strokeweight="2pt" to="100pt,20pt" from="20pt,20pt">
   <v:stroke startarrow="classic" startarrowlength="short"/>
   </v:line>


StartArrowWidth Attribute

Defines the arrowhead width for the start of a line. Read/write VgArrowheadWidth.

Applies To

Stroke

Tag Syntax

<v:element startarrowwidth="expression">

Script Syntax

element.startarrowwidth="expression"

expression=element.startarrowwidth

Remarks

Values include:

  • Narrow
  • Medium (default)
  • Wide

VML Standard Attribute

Example

A line is drawn with a wide classic arrowhead on the start of the stroke.

   <v:line strokecolor="red"
   strokeweight="2pt" to="100pt,20pt" from="20pt,20pt">
   <v:stroke startarrow="classic" startarrowwidth="wide"/>
   </v:line>


String Attribute

Defines the text of the text path. Read/write String.

Applies To

TextPath

Tag Syntax

<v: element string="expression">

Script Syntax

element.string="expression"

expression=element.string

Remarks

You must assign a text string to display text on a text path.

VML Standard Attribute

Example

The string that will be displayed is "VML Text".

   <v:line from="50 100" to="400 100">
   <v:fill on="True" color="red"/>
   <v:path textpathok="True"/>
   <v:textpath on="True" string="VML Text"
   style="font:normal normal normal 36pt Arial"/>
   </v:line>


StrokeColor Attribute

Defines the brush color that strokes the path of a shape. Read/write IVgColor.

Applies To

Shape

Tag Syntax

<v:element strokecolor="expression">

Script Syntax

element.strokecolor="expression"

expression=element.strokecolor

Remarks

The value is duplicated from the Color attribute of the Stroke element.

VML Standard Attribute

Example

The color of the stroke of the rectangle is red.

   <v:shape id="rect01"
   strokecolor="red" fillcolor="white"
   coordorigin="0 0" coordsize="200 200"
   style="position:relative;top:1;left:1;width:20;height:20"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   </v:shape>

StrokeColor Attribute Example. (Requires Microsoft Internet Explorer 5 or greater.)


Stroked Attribute

Defines whether the path will be stroked. Read/write VgTriState.

Applies To

Shape

Tag Syntax

<v:element stroked="expression">

Script Syntax

element.stroked="expression"

expression=element.stroked

Remarks

The value is duplicated from the On attribute of the Stroke element.

VML Standard Attribute

Example

The shape path is stroked.

   <v:shape id="rect01" stroked="True"
   strokecolor="red" fillcolor="white"
   coordorigin="0 0" coordsize="200 200"
   style="position:relative;top:1;left:1;width:20;height:20"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   </v:shape>

Stroked Attribute Example. (Requires Microsoft Internet Explorer 5 or greater.)


StrokeOK Attribute

Determines whether a stroke will be displayed. Read/write VgTriState.

Applies To

Path

Tag Syntax

<v: element strokeok="expression">

Script Syntax

element.strokeok="expression"

expression=element.strokeok

Remarks

If False, the path cannot be stroked. The default is True. This attribute overrides all other stroke attributes in the parent or Stroke element.

VML Standard Attribute

Example

The path will not be stroked.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:50;height:50">
   <v:path id="myPath" strokeok="False" v="m 1,1 l 1,200, 200,200, 200,1 x e"/>
   </v:shape>


StrokeWeight Attribute

Defines the brush thickness that strokes the path of a shape. Read/write VGLength.

Applies To

Shape

Tag Syntax

<v:element strokeweight="expression">

Script Syntax

element.strokeweight="expression"

expression=element.strokeweight

Remarks

The value is duplicated from the Weight attribute of the Stroke element. If a number is specified, but no units are added, the default unit of measurement is the Emu. If no value is specified, the default is 1 pixel (1px).

For scripting, however, the default unit of measurement is in points.

VML Standard Attribute

See Also

Stroke, IVgLength, Units

Example

The stroke weight of the shape is 1 point.

   <v:shape id="rect01" strokeweight="1pt"
   strokecolor="red" fillcolor="white"
   coordorigin="0 0" coordsize="200 200"
   style="position:relative;top:1;left:1;width:20;height:20"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   </v:shape>

StrokeWeight Attribute Example. (Requires Microsoft Internet Explorer 5 or greater.)


Style Attribute

Defines the style of the frame. Read/write String.

Applies To

VMLFrame

Tag Syntax

<v:element style="expression">

Script Syntax

element.style="expression"

expression=element.style

Remarks

This attribute uses the normal CSS style attributes for positioning.

VML Standard Attribute

Example

The style defines the actual position of the frame.

   <v:vmlframe id="frame01" clip="True"
   origin="100pt,100pt" size="50pt,50pt"
   src="external.vml#shape01"
   style='position:relative;
   top:160pt; left:100pt; width:50pt; height:50pt'
   </v:vmlframe>


Switch Attribute

Determines whether the handle directions are swapped. Read/write VgTriState.

Applies To

H (subelement of Handles)

Tag Syntax

<v: element switch="expression">

Remarks

If True, the handle is switched between the x and y directions if the shape is taller than it is wide. The default value is False.

This attribute is used for shapes with limo stretch behavior.

VML Standard Attribute


TableLimits Attribute

List of minimum height values for each row in a table. Read/write VgLengthArray.

Applies To

Shape

Tag Syntax

<v:element o:tablelimits="expression">

Remarks

Used by Microsoft PowerPoint for native tables. Default value is Null.

Even though the value is stored in a shape, the attribute is only useful when the table is made up of shapes that are grouped. When text is added to table cells, the row height may increase. The TableLimits attribute stores the original row height so that if text is deleted, the row height will not fall below the original value.

Microsoft Office Extensions Attribute


TableProperties Attribute

Determines table properties. Read/write Integer.

Applies To

Shape

Tag Syntax

<v:element o:tableproperties="expression">

Remarks

Used by Microsoft PowerPoint for native tables. Default value is 0. Only the first three bits of this integer are used.

Even though the value is stored in a shape, the attribute is only useful when the table is made up of shapes that are grouped. Bits may be combined.

The following bit values are included.

Bit | Description
1 | Set if the group of shapes is a table.
2 | Set if the shape is a placeholder.
3 | Set if the table text is bi-directional.

Microsoft Office Extensions Attribute


Target Attribute

Defines a frame or window that a URL is displayed in. Read/write String.

Applies To

Shape

Tag Syntax

<v:element target="expression">

Remarks

The Target attribute is similar to the standard HTML Target attribute of anchors.

Values include:

Value | Description
TargetName | String containing the name of the frame or window in which to load the document.
_blank | Specifies that the linked document is loaded into a new blank window. This window is not named.
_media | Specifies that the linked document is loaded into the Media Bar. Available in Microsoft® Internet Explorer 6 or later.
_parent | Specifies that the linked document is loaded into the immediate parent of the document containing the link.
_search | Specifies that the linked document is loaded into the browser's search pane. Available in Microsoft Internet Explorer 5 or greater.
_self | Specifies that the linked document is loaded into the window in which the link was clicked (the active window).
_top | Specifies that the linked document is loaded into the topmost window.

VML Standard Attribute

Example

When the rectangle is clicked, the browser loads the Microsoft Corporation home page in the same window.

   <v:rect id=myrect fillcolor="red"
   href="http://www.microsoft.com" target="_self"
   style="position:relative;top:1;left:1;width:20;height:20">
   </v:rect>

Target Attribute Example. (Requires Microsoft Internet Explorer 5 or greater.)


Text Attribute

Determines whether the text attached to a shape can be edited. Read/write VgTriState.

Applies To

Lock

Tag Syntax

<o: element text="expression">

Remarks

If True, the text attached to a shape cannot be changed by a graphical editor. The default value is False.

Microsoft Office Extensions Attribute


Text-Decoration Attribute

Defines the style of text decoration. Read/write String.

Applies To

TextPath

Tag Syntax

<v: element style="text-decoration:expression">

Script Syntax

element.style.textdecoration="expression"

expression=element.style.textdecoration

Remarks

Values include:

  • none (default)
  • underline
  • overline
  • line-through
  • blink

VML Standard Attribute

Example

The text will be underlined.

   <v:line from="50 100" to="400 100">
   <v:fill on="True" color="red"/>
   <v:path textpathok="True"/>
   <v:textpath on="True" string="VML Text"
   style="text-decoration:underline;font:normal normal normal 36pt Arial"/>
   </v:line>


TextBorder Attribute

Determines whether a callout will have a text border. Read/write VgTriState.

Applies To

Callout

Tag Syntax

<o: element textborder="expression">

Remarks

If False, a callout will not have a text border. The default is True.

Microsoft Office Extensions Attribute


TextBoxRect Attribute

Defines one or more text boxes inside a shape. Read/write String.

Applies To

Path

Tag Syntax

<v: element textboxrect="expression">

Script Syntax

element.textboxrect="expression"

expression=element.textboxrect

Remarks

A textbox is defined by one or more sets of numbers specifying (in order) the left, top, right, and bottom points of the rectangle. Multiple sets are delimited by a semicolon. The default value is the same dimension value as the containing rectangle. If more than one textbox is defined, the comma-delimited quadruple sets that define each textbox are separated by semicolons. Normally textboxes come in sets of 1, 2, 3, or 6 rectangles on a shape.

VML Standard Attribute

Example

A textbox of 95 units by 95 units is defined and placed 5 units inside the top left corner of the shape.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:50;height:50">
   <v:path id= "mypath" v="m 1,1 l 1,200, 200,200, 200,1 x e"
   textboxrect="5 5 100 100"/>
   </v:shape>


TextPathOK Attribute

Determines whether a text path will be displayed. Read/write VgTriState.

Applies To

Path

Tag Syntax

<v: element textpathok="expression">

Script Syntax

element. textpathok="expression"

expression=element. textpathok

Remarks

If False, the path cannot have a text path. The default is False. You must have this attribute set to True to display text on a path.

VML Standard Attribute

Example

The shape has a text path. The text "Hello VML" is displayed along a smile-shaped curve.

   <v:curve id="tc" style="position:relative"
   from="50px 100px" to="400px 100px"
   control1="200px 200px" control2="300px 200px">
   <v:stroke weight="1pt" color="blue"
   filltype="solid"/>
   <v:fill on="True" color="yellow" color2="green" type="gradient"/>
   <v:path textpathok="True"/>
   <v:textpath on="True" id="mytp"
   style="font:normal normal normal 36pt Arial"
   fitpath="True" string="Hello VML"/>
   </v:curve>


Title Attribute

Defines the text displayed when the mouse pointer moves over the shape. Read/write String.

Applies To

Shape

Tag Syntax

<v:element title="expression">

Script Syntax

element.title="expression"

expression=element.title

Remarks

The Title attribute is similar to the standard HTML Title attribute. The behavior of a title is similar to a Microsoft Windows ToolTip.

VML Standard Attribute

Example

The title of the shape is "ToolTip display" and will appear when the mouse pointer moves over the shape.

   <v:rect id=myrect fillcolor="red" title="ToolTip display"
   style="position:relative;top:1;left:1;width:20;height:20">
   </v:rect>

Title Attribute Example. (Requires Microsoft Internet Explorer 5 or greater.)


Title Attribute

Defines the title of a stroke image. Read/write String.

Applies To

Stroke

Tag Syntax

<v:element title="expression">

Script Syntax

element.title="expression"

expression=element.title

Remarks

If this attribute has a value, then the stroke image is embedded. The actual value of the attribute is the text to be displayed with the picture when the mouse pointer moves over the image.

If the HRef tag is used, then Title is ignored.

This attribute is used by Microsoft Office but is not used by Microsoft Internet Explorer.

Microsoft Office Extensions Attribute


Title Attribute

Defines the title of a fill image. Read/write String.

Applies To

ImageData

Tag Syntax

<v: element o:title="expression">

Script Syntax

element.title="expression"

expression=element.title

Remarks

If this attribute has a value, then the image is embedded. The actual value of the attribute is the text to be displayed with the picture when the mouse pointer passes over the image.

Microsoft Office Extensions Attribute


Title Attribute

Defines the title of a fill image. Read/write String.

Applies To

Fill

Tag Syntax

<v: element o:title="expression">

Remarks

If this attribute has a value, then the stroke image is embedded. The actual value of the attribute is the text to be displayed with the picture when the mouse pointer passes over the image.

Microsoft Office Extensions Attribute


To Attribute

Defines the ending point of a curve. Read/write VgVector2D.

Applies To

Curve

Tag Syntax

<v: element to="expression">

Script Syntax

element.to="expression"

expression=element.to

Remarks

Defines the ending point of a cubic bezier curve in the coordinate space of the parent element. If the parent is not a VML element, the default unit is a pixel (but in, cm, mm, pt, pc may also be specified). Default is 30,20.

VML Standard Attribute

Example

The curve is smiling. It starts at the left and ends at the right. The two control points are situated along the way so as to pull the curve down to give the appearance of a smile.

   <v:curve id="mycurve"
   from="10pt,10pt" to="100pt,10pt"
   control1="40pt,30pt" control2="70pt,30pt">
   </v:curve>


Top Attribute

Defines the position of the shape relative to the element above it in the flow of the page. Read/write String.

Applies To

Shape

Tag Syntax

<v:element style="top: expression">

Script Syntax

element.style.top="expression"

expression=element.style.top

Remarks

The Top attribute is similar to the standard HTML Top attribute for styles.

Units may be mapped to the parent element or may be in absolute units. This attribute may not be written out for shapes anchored inline.

Values include:

Value | Description
Auto | Default position of an element in the flow of the page.
units | A number with an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). If no units are given, pixels (px) is assumed.
percentage | Value expressed as a percentage of the parent object's height.

VML Standard Attribute

See Also

Units

Example

The top edge of the shape is 5 pixels below the object that precedes it in the flow of the page.

   <v:rect id=myrect fillcolor="red"
   style="position:relative;top:5;left:1;width:20;height:20">
   </v:rect>

Top Attribute Example. (Requires Microsoft Internet Explorer 5 or greater.)


Trim Attribute

Determines whether extra space is removed above and below the text. Read/write VgTriState.

Applies To

TextPath

Tag Syntax

<v: element style="trim:expression">

Script Syntax

element.style.trim="expression"

expression=element.style.trim

Remarks

If True, space reserved for ascenders and descenders is removed. The default value is False.

VML Standard Attribute

Example

The extra space above and below is trimmed.

   <v:line from="50 100" to="400 100">
   <v:fill on="True" color="red"/>
   <v:path textpathok="True"/>
   <v:textpath on="True" string="VML Text"
   style="trim:True;font:normal normal normal 36pt Arial"/>
   </v:line>


Type Attribute

Defines a reference to the ID of a ShapeType element. Read/write String.

Applies To

Shape

Tag Syntax

<v:element type="expression">

Script Syntax

element.type="#expression"

expression=element.type

Remarks

If the Type attribute references the ID of a ShapeType element, the fills, paths, and strokes of the ShapeType are used as templates to create the shape. Values derived from ShapeType can be overridden by individual shape values.

If used in tags, the string value must begin with a number sign (#) symbol.

VML Standard Attribute

Example

A ShapeType shape is created with the "mytype" as an ID.

   <v:shapetype id="mytype"
   fillcolor="red" strokecolor="blue"
   coordorigin="0 0" coordsize="200 200">
   <v:path v="m 0,0 l 0,200, 200,200, 200,0 x e"/>
   </v:shapetype>

Then if you create a shape using the ShapeType values, the shape will have the attributes of the "mytype" ShapeType; that is, "shape01" will have a red fill with a blue stroke.

   <v:shape id="shape01" type="#mytype"
   style="position:relative;top:1;left:1;width:20;height:20">
   </v:shape>

You can override the inherited values, for example, by changing the color to green.

   <v:shape id="shape02" type="#mytype"
   fillcolor="green"
   style="position:relative;top:1;left:1;width:20;height:20">
   </v:shape>

Type Attribute Example. (Requires Microsoft Internet Explorer 5 or greater.)


Type Attribute

Specifies the type of shadow. Read/write String.

Applies To

Shadow

Tag Syntax

<v:element type="expression">

Script Syntax

element.type="expression"

expression=element.type

Remarks

Values include:

Value | Description
single | Single shadow. Default.
double | A double shadow. Color2 is used for the color of the second shadow and Offset2 is used for the second shadow's offset.
perspective | A perspective shadow.
shapeRelative | The shadow is created relative to the shape.
drawingRelative | The shadow is created relative to the drawing.
emboss | The shadow has an embossed look.

VML Standard Attribute

Example

A double shadow is created with the second shadow green and offset 5 points down and to the right.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red" fillcolor="red"
   style="top:20;left:20;width:30;height:30"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:shadow on="True" type="double" color2="green" offset2="5pt,5pt"/>
   </v:shape>


Type Attribute

Determines the type of fill. Read/write VgFillType.

Applies To

Fill

Tag Syntax

<v: element type="expression">

Script Syntax

element.type="expression"

expression=element.type

Remarks

Values include:

Type | Description
solid | The fill pattern is solid. Default.
gradient | The fill colors blend together in a linear gradient from bottom to top.
gradientradial | The fill colors blend together in a radial gradient.
tile | The fill image is tiled.
pattern | The image is used to create a pattern using the fill colors.
frame | The image is stretched to fill the shape.

VML Standard Attribute

Example

A red foreground and blue background fill is created using the pattern of the image myimage.gif.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:50;height:50"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:fill color="red" color2="blue" type="pattern" src="myimage.gif"/>
   </v:shape>


Type Attribute

Defines the way that the shape is extruded. Read/write String.

Applies To

Extrusion

Tag Syntax

<o: element type="expression">

Script Syntax

element.type="expression"

expression=element.type

Remarks

Values include:

Value | Description
parallel | Extrusion is rendered so that the center of projection is infinitely far away; that is, the extrusion lines do not converge (unlike perspective projections). Default.
perspective | Extrusion is rendered to a center of projection, which is the same as the vanishing point for unrotated objects.

Microsoft Office Extensions Attribute


Type Attribute

Defines the type of callout. Read/write String.

Applies To

Callout

Tag Syntax

<o: element type="expression">

Remarks

Values include:

  • rectangle (default)
  • roundedrectangle
  • oval
  • cloud

Microsoft Office Extensions Attribute


UserDrawn Attribute

Determines whether the user has added the shape to a master slide. Read/write VgTriState.

Applies To

Shape

Tag Syntax

<v:element o:userdrawn="expression">

Remarks

Used by Microsoft PowerPoint. Default value is False.

Microsoft Office Extensions Attribute


UserHidden Attribute

Determines whether a script anchor is hidden. Read/write VgTriState.

Applies To

Shape

Tag Syntax

<v:element o:userhidden="expression">

Remarks

The default is False. If True, script anchors stay hidden even if the shape is otherwise visible.

Microsoft Office Extensions Attribute

Example

The script anchor of the shape is hidden.

   <v:rect id=myrect fillcolor="red" userhidden="True"
   style="position:relative;top:1;left:1;width:20;height:20">
   </v:rect>


V Attribute

Defines the commands that make up a path. Read/write String.

Applies To

Path

Tag Syntax

<v: element v="expression">

Script Syntax

element.v="expression"

expression=element.v

Remarks

Overrides the Path attribute of a shape. Coordinates can be fixed numbers, relative numbers, or references to formulas (by using the format of "@n" where n is a formula number; for example, "@2" refers to the second formula in the formula array).

VML Standard Attribute

Example

A rectangle is created using the V attribute. Note that a lowercase letter L (lineto command) is used after the first set of comma-delimited coordinates.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red"
   style="top:1;left:1;width:50;height:50">
   <v:path id= "myPath" v="m 1,1 l 1,200, 200,200, 200,1 x e"/>
   </v:shape>


V-Rotate-Letters Attribute

Determines whether the letters of the text are rotated. Read/write VgTriState.

Applies To

TextPath

Tag Syntax

<v: element style="v-rotate-letters:expression">

Script Syntax

element.style.v-rotate-letters="expression"

expression=element.style.v-rotate-letters

Remarks

If True, the letters of the text are rotated 90 degrees. The default value is False.

VML Standard Attribute

Example

The letters are rotated 90 degrees.

   <v:line from="50 100" to="400 100">
   <v:fill on="True" color="red"/>
   <v:path textpathok="True"/>
   <v:textpath on="True" string="VML Text"
   style="v-rotate-letters:True;font:normal normal normal 36pt Arial"/>
   </v:line>


V-Same-Letter-Heights Attribute

Determines whether all letters will be the same height regardless of initial case. Read/write VgTriState.

Applies To

TextPath

Tag Syntax

<v: element style="v-same-letter-heights:expression">

Script Syntax

element.style.v-same-letter-heights="expression"

expression=element.style.v-same-letter-heights

Remarks

If True, the lowercase letters are stretched to the height of the uppercase letters. The default value is False.

VML Standard Attribute

Example

All letters will be the same height, regardless of case.

   <v:line from="50 100" to="400 100">
   <v:fill on="True" color="red"/>
   <v:path textpathok="True"/>
   <v:textpath on="True" string="VML Text"
   style="v-same-letter-heights:True;font:normal normal normal 36pt Arial"/>
   </v:line>


V-Text-Align Attribute

Defines the alignment of text. Read/write String.

Applies To

TextPath

Tag Syntax

<v: element style="v-text-align:expression">

Script Syntax

element.style.v-text-align="expression"

expression=element.style.v-text-align

Remarks

Values include:

  • left (default)
  • right
  • center
  • justify
  • letter-justify
  • stretch-justify

VML Standard Attribute

Example

The text will be stretched out to fit the path, but the extra space will be put between each letter.

   <v:line from="50 100" to="400 100">
   <v:fill on="True" color="red"/>
   <v:path textpathok="True"/>
   <v:textpath on="True" string="VML Text"
   style="v-text-align:letter-justify;font:normal normal normal 36pt Arial"/>
   </v:line>


V-Text-Anchor Attribute

Defines the vertical anchoring of text in a textbox. Read/write String.

Applies To

TextBox

Tag Syntax

<v: element v-text-anchor="expression">

Remarks

Values include:

  • top (default)
  • middle
  • bottom
  • top-center
  • middle-center
  • bottom-center
  • top-baseline
  • bottom-baseline
  • top-center-baseline
  • bottom-center-baseline

The text will be anchored to a vertical position in the textbox as indicated by the attribute value. The alignment of a text anchor only becomes evident if MSO-Fit-Text-To-Shape is False. This attribute is different from the Vertical-Align Style attribute, which is used for ideographic languages.

This attribute is used by Microsoft Office to store data in Web documents but does not render in Microsoft Internet Explorer 5 or greater.

VML Standard Attribute

Example

The text is aligned to the bottom of the textbox.

   <v:shape id="rect01"
   coordorigin="0 0" coordsize="200 200"
   strokecolor="red" fillcolor="red"
   style="top:10pt;left:10pt;width:50pt;height:50pt"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:textbox style="v-text-anchor:bottom" id="mytextbox">
   VML
   </v:textbox/>
   </v:shape>


V-Text-Kern Attribute

Determines whether kerning is turned on. Read/write VgTriState.

Applies To

TextPath

Tag Syntax

<v: element style="v-text-kern:expression">

Script Syntax

element.style.v-text-kern="expression"

expression=element.style.v-text-kern

Remarks

If True, the kerning is turned on. The default is False. Kerning is the removal of space between certain letter pairs to compensate for uneven letterforms. For example, if kerning is turned on, extra space between a capital "T" and a lowercase "i" would be removed.

VML Standard Attribute

Example

Kerning is turned on.

   <v:line from="50 100" to="400 100">
   <v:fill on="True" color="red"/>
   <v:path textpathok="True"/>
   <v:textpath on="True" string="VML Text"
   style="v-text-kern:True;font:normal normal normal 36pt Arial"/>
   </v:line>


V-Text-Reverse Attribute

Determines whether the layout order of rows is reversed. Read/write VgTriState.

Applies To

TextPath

Tag Syntax

<v: element style="v-text-reverse:expression">

Script Syntax

element.style.v-text-reverse="expression"

expression=element.style.v-text-reverse

Remarks

If True, the layout order of rows is reversed. This attribute is used for vertical text layout. The default value is False.

VML Standard Attribute

Example

The layout order is reversed.

   <v:line from="50 100" to="400 100">
   <v:fill on="True" color="red"/>
   <v:path textpathok="True"/>
   <v:textpath on="True" string="VML Text"
   style="v-text-reverse:True;font:normal normal normal 36pt Arial"/>
   </v:line>


V-Text-Spacing Attribute

Defines the amount of spacing for text. Read/write VgNumber.

Applies To

TextPath

Tag Syntax

<v: element style="v-text-spacing:expression">

Script Syntax

element.style.v-text-spacing="expression"

expression=element.style.v-text-spacing

Remarks

The default value is 100. See the V-Text-Spacing-Mode attribute for more information about text spacing.

VML Standard Attribute

Example

The letterspacing between each letter is tightened by 200 units.

   <v:line from="50 100" to="400 100">
   <v:fill on="True" color="red"/>
   <v:path textpathok="True"/>
   <v:textpath on="True" string="VML Text"
   style="v-text-spacing:200;v-text-spacing-mode:tightening;font:normal normal normal 36pt Arial"/>
   </v:line>


V-Text-Spacing-Mode Attribute

Defines the mode for letterspacing. Read/write String.

Applies To

TextPath

Tag Syntax

<v: element style="v-text-spacing-mode:expression">

Script Syntax

element.style.v-text-spacing-mode="expression"

expression=element.style.v-text-spacing-mode

Remarks

Values include

  • tightening (default)
  • tracking

This attribute determines whether space will be removed between each letter (tightening) or added between each letter (tracking). The amount of letterspacing change is defined by the V-Text-Spacing attribute.

VML Standard Attribute

Example

The letterspacing between each letter is increased by 200 units.

   <v:line from="50 100" to="400 100">
   <v:fill on="True" color="red"/>
   <v:path textpathok="True"/>
   <v:textpath on="True" string="VML Text"
   style="v-text-spacing:200;v-text-spacing-mode:tracking;font:normal normal normal 36pt Arial"/>
   </v:line>


Vertices Attribute

Determines whether the vertices of a path can be changed by an editor. Read/write VgTriState.

Applies To

Lock

Tag Syntax

<o: element vertices="expression">

Remarks

If True, the edit points of the vertices of a path are locked. The default value is True for Microsoft Office AutoShapes, but otherwise is False.

Microsoft Office Extensions Attribute


Viewpoint Attribute

Defines the viewpoint of the observer. Read/write VgVector3D.

Applies To

Extrusion

Tag Syntax

<o: element viewpoint="expression">

Script Syntax

element.viewpoint="expression"

expression=element.viewpoint

Remarks

The default is 0,0,0.

Microsoft Office Extensions Attribute


ViewpointOrigin Attribute

Defines the origin of the viewpoint within the bounding box of the shape. Read/write VgVector2D.

Applies To

Extrusion

Tag Syntax

<o: element viewpointorigin="expression">

Script Syntax

element.viewpointorigin="expression"

expression=element.viewpointorigin

Remarks

Defines the viewpoint in terms of the x and y values of the original shape. The x and y values range from 0.5 to -0.5 (50% to -50% of the shape's coordinate origin). The default is 0,0.

Microsoft Office Extensions Attribute


Visibility Attribute

Determines whether a shape is displayed. Read/write String.

Applies To

Shape

Tag Syntax

<v:element style="visibility:expression">

Script Syntax

element.style.visibility="expression"

expression=element.style.visibility

Remarks

The Visibility attribute is similar to the standard HTML Visibility attribute for styles.

Values include:

Value | Description
visible | The shape is visible.
hidden | The shape is not visible, but is still part of the flow of the objects in the browser. Mouse events are not processed.
inherit | Default. The visibility state is inherited from the parent of the shape. Microsoft Office applications only use inherit and hidden; any other values are mapped to inherit.
collapse | Used for graphical editing applications that can collapse groups of shapes; for example, outliners.

VML Standard Attribute

Example

The following code creates a shape but makes it hidden. Other objects in the document will flow around it, leaving a space the same size as the shape.

   <v:rect id=myrect fillcolor="red"
   style="position:relative;top:1;left:1;width:20;height:20;visibility:hidden">
   </v:rect>

Visibility Attribute Example. (Requires Microsoft Internet Explorer 5 or greater.)


Weight Attribute

Defines the thickness of a stroke. Read/write String.

Applies To

Stroke

Tag Syntax

<v:element weight="expression">

Script Syntax

element.weight="expression"

expression=element.weight

Remarks

This attribute is the same as the StrokeWeight attribute of Shape and overrides it. The default value is 1 point.

VML Standard Attribute

Example

The stroke has a thickness of 5 points, not 2 points.

   <v:shape id="rect01"
   strokecolor="red" fillcolor="red" strokeweight="2pt"
   style="top:20;left:20;width:30;height:30"
   path="m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:stroke weight="5pt"/>
   </v:shape>


Width Attribute

Defines the width of the shape. Read/write String.

Applies To

Shape

Tag Syntax

<v:element style="width: expression">

Script Syntax

element.style.width="expression"

expression=element.style.width

Remarks

The Width attribute is similar to the standard HTML Width attribute for styles.

Units may be mapped to the parent element or may be in absolute units.

Values include:

Value | Description
Auto | Default position of an element in the flow of the page.
units | A number with an absolute units designator (cm, mm, in, pt, pc, or px) or a relative units designator (em or ex). If no units are given, pixels (px) is assumed.
percentage | Value expressed as a percentage of the parent object's width.

VML Standard Attribute

See Also

Units

Example

The width of the shape is 25.

   <v:rect id=myrect fillcolor="red"
   style="position:relative;top:1;left:1;width:25;height:20">
   </v:rect>

Width Attribute Example. (Requires Microsoft Internet Explorer 5 or greater.)


WrapCoords Attribute

Defines the bounding polygon that surrounds a shape. Read/write String.

Applies To

Shape

Tag Syntax

<v:element o:wrapcoords="expression">

Remarks

Describes a comma-delimited list of x and y coordinates; that is, "x1,y1,x2,y2,x3,y3,..." This is used when text is tightly wrapped around a shape. The default is NULL (an empty string) until the MSO-Wrap-Mode attribute is set to tight or through .

Microsoft Office Extensions Attribute

Example

The shape has a text wrap bounding box that is 5 units larger than the path.

   <v:shape id="rect01" WrapCoords="0,0 0,200, 200,200, 200,0"
   fillcolor="red" strokecolor="red"
   coordorigin="-500 -500" coordsize="1000 1000"
   style="position:relative;top:0;left:0;width:100pt;height:100pt;mso-wrap-distance-top:10pt"
   path="m 5,5 l 5,195, 195,195, 195,5 x e">
   </v:shape>


XRange Attribute

Defines the x range of a handle. Read/write VgVector2D.

Applies To

H (subelement of Handles)

Tag Syntax

<v: element xrange="expression">

Remarks

A minimum and maximum value is defined for the handle in the x direction. Each value can be a constant or a formula. If a value is not defined, the handle can be moved without limit in this direction. The default value is 0,0.

VML Standard Attribute


XScale Attribute

Determines whether a straight textpath will be used instead of the shape path. Read/write VgTriState.

Applies To

TextPath

Tag Syntax

<v: element style="xscale:expression">

Script Syntax

element.style.xscale="expression"

expression=element.style.xscale

Remarks

If True, the text runs along a path from left to right along the x value of the lower boundary of the shape. The default value is False.

VML Standard Attribute

Example

The text will appear as if it were drawn on a horizontal line, even though the shape path is a diagonal.

   <v:line from="100 100" to="400 400">
   <v:fill on="True" color="red"/>
   <v:path textpathok="True"/>
   <v:textpath on="True" string="VML Text"
   style="xscale:true;font:normal normal normal 36pt Arial"/>
   </v:line>


YRange Attribute

Defines the y range of a handle. Read/write VgVector2D.

Applies To

H (subelement of Handles)

Tag Syntax

<v: element yrange="expression">

Remarks

A minimum and maximum value is defined for the handle in the y direction. Each value can be a constant or a formula. If a value is not defined, the handle can be moved without limit in this direction. The default value is 0,0.

VML Standard Attribute


Z-Index Attribute

Determines the display order of overlapping shapes. Read/write String.

Applies To

Shape

Tag Syntax

<v:element style="z-index: expression">

Script Syntax

element.style.zindex="expression"

expression=element.style.zindex

Remarks

The Z-Index attribute is similar to the standard HTML Z-Index attribute for styles.

Values include:

Value | Description
Auto | The order that the shapes appear in the HTML page will be used, bottom to top.
order | A number that represents the stacking precedence. A shape with a a higher number will be displayed as if it were overlapping (in "front" of) a shape with a lower number. Negative numbers can be used.

VML Standard Attribute

Example

The red shape will be displayed in "front" of the blue shape, because it has a higher z-index.

   <v:rect id=bluerect fillcolor="blue"
   style="position:relative;top:1;left:1;width:20;height:20;z-index:1">
   </v:rect>

   <v:rect id=redrect fillcolor="red"
   style="position:relative;top:10;left:10;width:20;height:20;z-index:2">
   </v:rect>

Z-Index Attribute Example. (Requires Microsoft Internet Explorer 5 or greater.)


Arc Element

Predefined arc shape.

Arc uses the startangle and endangle attributes.

Remarks

The following is the minimum code needed to produce an image.

   <v:arc
   style="position:relative;top:10;left:10;width:200;height:200"
   startangle="90" endangle="270">
   </v:arc>

Examples

Click here to view a simple arc shape.


Callout Element

Defines a callout for a shape.

The following attributes modify a callout.

Attribute | Description
AccentBar | Determines whether an accent bar will be used with the callout.
Angle | Defines the angle that the callout makes with respect to the bounding box of the shape.
Distance | Defines the drop distance of a callout.
Drop | Determines where the drop of a callout will be placed.
DropAuto | Determines whether the callout will have an automatic drop.
Ext | Defines how a callout is processed.
Gap | Defines the distance fo the callout from its bounding rectangle.
Length | Defines the length of the callout.
LengthSpecified | Determines whether the Length attribute will be used for the callout.
MinusX | Determines whether the callout will flip along the x-axis.
MinusY | Determines whether the callout will flip along the y-axis.
On | Determines whether a shape is a callout.
TextBorder | Determines whether a callout will have a text border.
Type | Defines the type of callout.

Remarks

This element must be defined within a Shape element.

The Callout element is a Microsoft Office Extension to VML.


Curve Element

Predefined curve shape.

Curve uses the to, from, control1, and control2 attributes.

Remarks

The following is the minimum code needed to produce an image.

   <v:curve
   from="10pt,10pt" to="100pt,10pt"
   control1="40pt,30pt" control2="70pt,30pt">
   </v:curve>

Examples

Click here to view a simple curve shape.


Extrusion Element

Defines an extrusion for a shape.

The following attributes modify an extrusion.

Attribute | Description
AutoRotationCenter | Determines whether the center of rotation will be the geometric center of the extrusion.
BackDepth | Defines the amount of backward extrusion.
Brightness | Specifies the amount of brightness of a scene.
Color | Defines the color of the extrusion faces.
ColorMode | Determines the mode of extrusion color.
Diffusity | Defines the amount of diffusion of reflected light from an extruded shape.
Edge | Defines the apparent bevel of the extrusion edges.
Ext | Defines the default extrusion behavior for graphical editors.
Facet | Defines the number of facets used to describe curved surfaces of an extrusion.
ForeDepth | Defines the amount of forward extrusion.
LightFace | Determines whether the front face of the extrusion will respond to changes in the lighting.
LightHarsh | Determines whether the primary light source will be harsh.
LightHarsh2 | Determines whether the secondary light source will be harsh.
LightLevel | Defines the intensity of the primary light source for the scene.
LightLevel2 | Defines the intensity of the secondary light source for the scene.
LightPosition | Specifies the position of the primary light in a scene.
LightPosition2 | Specifies the position of the secondary light in a scene.
LockRotationCenter | Determines whether the rotation of the extruded object is specified by the RotationAngle attribute.
Metal | Determines whether the surface of the extruded shape will resemble metal.
On | Determines whether an extrusion will be displayed.
Orientation | Specifies the vector around which a shape will be rotated.
OrientationAngle | Defines the angle that an extrusion rotates around the orientation.
Plane | Specifies the plane that is at right angles to the extrusion.
Render | Defines the rendering mode of the extrusion.
RotationAngle | Specifies the rotation of the object about the x- and y-axes.
RotationCenter | Specifies the center of rotation for a shape.
Shininess | Defines the concentration of reflected light of an extrusion surface.
SkewAmt | Defines the amount of skew of an extrusion.
SkewAngle | Defines the angle of skew of an extrusion.
Specularity | Defines the specularity of an extruded shape.
Type | Defines the way that the shape is extruded.
Viewpoint | Defines the viewpoint of the observer.
ViewpointOrigin | Defines the origin of the viewpoint within the bounding box of the shape.

Remarks

This element must be defined within a Shape element.

In addition, the On attribute must be set to True.

The following is the minimum code needed to produce an extrusion.

   <v:rect
   fillcolor="green"
   style="position:relative;top:1;left:1;width:50;height:50">
   <v:extrusion on="True"/>
   </v:rect>

Examples

Click here to view a simple shape with an extrusion.

Click here to view a more complex sample.


F Element

Defines a formula for a shape.

The following attribute modifies a formula.

Attribute | Description
Eqn | Defines the equation used by a formula.

Remarks

This element must be defined within a Shape element.


Fill Element

Defines a fill for a shape.

The following attributes modify a fill.

Attribute | Description
AlignShape | Determines whether an image will align with a shape.
AltHRef | Specifies an alternate reference for an image.
Angle | Defines the angle of a gradient fill.
Aspect | Specifies how the fill image aspect will be preserved.
Color | Defines the color of a fill.
Color2 | Defines the second color for a fill.
Colors | Defines multiple colors for a gradient fill.
DetectMouseClick | Determines whether a mouse click is detected.
Focus | Defines the center of a linear gradient fill.
FocusPosition | Defines the center of a radial gradient fill.
FocusSize | Defines the focus size for a radial fill.
HRef | Defines a URL to the original image file.
ID | Defines a unique identifier for the fill.
Method | Defines the method used to generate a gradient fill.
On | Determines whether the fill wil be displayed.
Opacity | Defines the transparency of a fill.
Opacity2 | Defines the transparency of the second fill color.
Origin | Defines the center of an image.
Position | Defines the position of an image.
Size | Defines the size of an image.
Src | Defines the image to load for a fill.
Title | Defines the title of a fill.
Type | Defines the type of fill.

Remarks

This element must be defined within a Shape element.

The following code shows a simple gradient fill for a shape.

   <v:shape
   style="position:relative;top:1;left:1;width:400;height:400"
   path = "m 1,1 l 1,200, 200,200, 200,1 x e">
   <v:fill type=gradient color="blue" color2="yellow"/>
   </v:shape>

Examples

Click here to view a simple gradient fill.

Click here to view a more complex sample.


Formulas Element

Defines a collection of formulas for a shape.

This element has no properties. The following subelement applies to Formulas.

Element | Description
F | Determines a single formula of a shape.

Remarks

This element must be defined within a Shape element.


Group Element

Defines a group that can be used to collect shapes.

This element supports the same attributes as a shape, except for the following:

  • hidden
  • type
  • adj
  • path
  • spid
  • opacity
  • chromakey
  • stroked
  • strokecolor
  • strokeweight
  • filled
  • fillcolor
  • spt
  • ruleinitiator
  • ruleproxy
  • connectortype
  • bwmode
  • bwpure
  • bwnormal
  • forcedash
  • oleicon
  • preferrelative
  • ole

Only the following subelements can be used with Group.

  • Group
  • Shapetype
  • Shape
  • Lock

Click here to see an example of a group of shapes that are referenced by a single ID.


H Element

Defines a handle for a shape.

The following attributes modify a handle.

Attribute | Description
InvX | Determines whether the x position of the handle is inverted.
InvY | Determines whether the y position of the handle is inverted.
Map | Defines the mapping range of a handle.
Polar | Defines the center position for polar handles.
Position | Specifies the x and y values of the handle.
RadiusRange | Defines the range of a polar handle.
Switch | Determines whether the handle directions are swapped.
XRange | Defines the x range of a handle.
YRange | Defines the y range of a handle.

Remarks

This element must be defined within a Shape element.


Handles Element

Defines a collection of handles for a shape.

This element has no properties. The following subelement applies to Handle.

Element | Description
H | Determines a single handle of a shape.

Remarks

This element must be defined within a Shape element.


Image Element

Predefined image shape.

Remarks

The following is the minimum code needed to produce an image.

   <v:image
   src="..\art\zip.gif"
   style="position:relative;top:1;left:1;width:50;height:50">
   </v:image>

Examples

Click here to view a simple image shape.


Imagedata Element

Defines an image for a shape.

The following attributes modify an image.

Attribute | Description
AltHRef | Specifies an alternate reference for an image.
Bilevel | Determines whether an image will display in black and white.
BlackLevel | Determines the intensity of black in an image.
Chromakey | Defines the color in the palatte that will be treated as transparent.
CropBottom | Defines the percentage of picture removal from the bottom side.
CropLeft | Defines the percentage of picture removal from the left side.
CropRight | Defines the percentage of picture removal from the right side.
CropTop | Defines the percentage of picture removal from the top side.
DetectMouseClick | Determines whether a mouse click will be detected.
EmbossColor | Defines the color for embossed color effects.
Gain | Defines the intensity of all colors in an image.
Gamma | Defines the amount of contrast for an image.
GrayScale | Determines whether a picture will display in grayscale mode.
HRef | Defines a URL for an image.
ID | Defines a unique identifier for an image.
Movie | Defines a pointer to a movie image.
OLEID | Stores the OLE ID of an image.
Src | Defines a source for the image.
Title | Defines the title of an image.

Remarks

This element must be defined within a Shape element.

In addition, the Src attribute must point to an image.

The following is the minimum code needed to produce an image.

   <v:rect
   style="position:relative;top:1;left:1;width:50;height:50">
   <v:imagedata src="..\art\kids.jpg"/>
   </v:rect>
Note that in beta releases of VML, this element was called Image.

Examples

Click here to view a simple image.

Click here to view a more complex sample.


Line Element

Predefined line shape.

Line uses the from and to attributes.

Remarks

The following is the minimum code needed to produce a line.

   <v:line
   from="10,10" to="100,100">
   </v:line>

Examples

Click here to view a simple line shape.


From Attribute

Defines the starting point of a line. Read/write VgVector2D.

Applies To

Line

Tag Syntax

<v: element from="expression">

Script Syntax

element.from="expression"

expression=element.from

Remarks

Defines the starting point of the line in the coordinate space of the parent element. If the parent is not a VML element, the default unit is a pixel (but in, cm, mm, pt, pc may also be specified). Default is 0,0.

VML Standard Attribute

Example

The line starts at a location 10 points down and 10 points to the right of the top left corner of the parent space.

   <v:line id="myline"
   from="10pt,10pt" to="100pt,100pt">
   </v:line>

Photo Credits: PhotoDisc


Locks Element

Defines a lock for a shape.

The following attributes modify a lock.

Attribute | Description
AdjustHandles | Determines whether the handles of a shape can be edited.
AspectRatio | Determines whether the aspect ratio of a shape can be changed by an editor.
Cropping | Determines whether cropping will be allowed in an editor.
Ext | Defines the behavior of locking actions for a graphical editor.
Grouping | Determines whether shapes can be grouped in an editor.
Position | Determines whether the position of a shape is locked in an editor.
Rotation | Determines whether rotation of shapes will be allowed in an editor.
Selection | Determines whether the shape is selectable in an editor.
ShapeType | Determines whether the AutoShapes type can be changed by an editor.
Text | Determines whether the text attached to a shape can be edited.
Vertices | Determines whether the vertices of a path can be changed by an editor.

Remarks

This element must be defined within a Shape element.

The Locks element is a Microsoft Office Extension to VML.


Oval Element

Predefined oval shape.

Remarks

The following is the minimum code needed to produce an oval.

   <v:oval
   fillcolor="green"
   style="position:relative;top:1;left:1;width:50;height:50">
   </v:oval>

Examples

Click here to view a simple oval shape.


Polyline Element

Predefined polyline shape.

Polyline uses the points attribute.

Remarks

The following is the minimum code needed to produce a polyline.

   <v:polyline
   points="10pt,10pt 100pt,100pt">
   </v:polyline>

Examples

Click here to view a simple polyline shape.


Rect Element

Predefined rectangle shape.

Remarks

The following is the minimum code needed to produce a rect.

   <v:rect
   fillcolor="green"
   style="position:relative;top:1;left:1;width:50;height:50">
   </v:rect>

Examples

Click here to view a simple rect shape.


RoundRect Element

Predefined round rectangle shape.

RoundRect uses the ArcSize attribute.

Remarks

The following is the minimum code needed to produce a round rect.

   <v:roundrect
   fillcolor="green"
   style="position:relative;top:1;left:1;width:50;height:50">
   </v:roundrect>

Examples

Click here to view a simple round rect shape.


ArcSize Attribute

November 9, 1999

Defines the amount of roundness for a rounded rectangle. Read/write VgFraction.

Applies To

RoundRect

Tag Syntax

<v: element arcsize="expression">

Script Syntax

element.arcSize="expression"

expression=element.arcSize

Remarks

Defines the rounded corners of a rounded rectangle as a percentage of half the smaller dimension of the length and width of a rectangle. 0% would have square corners, and 100% would form circular corners. A square with an ArcSize value of 1.0 would be a circle. The default value is 0.2 (20%).

VML Standard Attribute

Example

The rounded rectangle is drawn with tight-but-rounded corners.

   <v:roundrect id=myrr
   style="height:100;left:100;top:100;width:200"
   fillcolor="red"
   arcsize="5%">
   </v:roundrect>

Photo Credits: PhotoDisc


Shadow Element

Defines a shadow for a shape.

The following attributes modify a shadow.

Attribute | Description
Color | Defines the color of a shadow.
Color2 | Defines the second color of a shadow.
ID | Specifies the unique identifier of a shadow.
Matrix | Defines the perspective transform of a shadow.
Obscured | Determines whether the shadow is transparent.
Offset | Defines how far the shadow extends past the shape.
Offset2 | Defines a second offset.
On | Determines whether a shadow is displayed.
Opacity | Determines the transparency of a shadow.
Origin | Defines the center of the shadow.
Type | Specifies the type of shadow.

Remarks

This element must be defined within a Shape element.

In addition, the On attribute must be set to True.

The following is the minimum code needed to produce a shadow.

   <v:rect
   fillcolor="green"
   style="position:relative;top:1;left:1;width:50;height:50">
   <v:shadow on="True"/>
   </v:rect>

You may not notice the shadow unless you increase the Offset values, since the default offset is 2pt,2pt.

Examples

Click here to view a simple shape with a shadow.

Click here to view a more complex sample.


Shape Element

Top level element used to describe a shape.

The following attributes modify a shape.

Attribute | Description
Adj | Specifies an adjustment value used to define values for a formula.
AllowInCell | Determines whether a shape can be placed in a table.
AllowOverlap | Determines if a shape can overlap other shapes.
Alt | Defines alternative text to be displayed instead of a graphic.
BorderBottomColor | Bottom border color of an inline shape.
BorderLeftColor | Left border color of an inline shape.
BorderRightColor | Right border color of an inline shape.
BorderTopColor | Top border color of an inline shape.
Bullet | Determines whether a shape is a graphical bullet.
Button | Determines whether a shape will be processed as a button.
BWMode | Determines how a shape will render for black-and-white output devices.
BWNormal | Defines the black-and-white mode for normal black-and-white output devices.
BWPure | Defines the black-and-white mode for pure black-and-white output devices.
Class | Refers to a definition of a CSS style.
ConnectorType | Indicates the type of connector used for joining shapes.
CoordOrig | Specifies the coordinate unit origin of the rectangle that bounds a shape.
CoordSize | Specifies the horizontal and vertical units of the rectangle that bounds a shape.
DoubleClickNotify | Sends an event message when a shape is double-clicked.
FillColor | Defines the brush color that fills the closed path of a shape.
Filled | Determines whether the closed path will be filled.
Flip | Switches the orientation of a shape.
ForceDash | Determines whether a dashed outline is used to draw a shape when a shape has no line or fill.
Height | Specifies the height of the shape.
HR | Specifies that a shape is a horizontal rule.
HRAlign | Defines the alignment of a horizontal rule.
HRef | Defines a URL for a shape. When the shape is clicked, the browser will load the URL.
HRHeight | Defines the thickness of a horizontal rule.
HRNoShade | Determines whether a horizontal rule will be displayed with 3-D shading.
HRPct | Defines the length of a horizontal rule as a percentage of page width.
HRStd | Determines whether a shape is a standard horizontal rule.
HRWidth | Defines the length of a horizontal rule.
ID | Provides a unique identifier for an element.
Left | Determines the position of the shape relative to the element left of it in the document flow.
Margin-Bottom | Specifies the bottom edge of the shape's containing rectangle relative to the shape anchor.
Margin-Left | Specifies the left edge of the shape's containing rectangle relative to the shape anchor.
Margin-Right | Specifies the right edge of the shape's containing rectangle relative to the shape anchor.
Margin-Top | Specifies the top edge of the shape's containing rectangle relative to the shape anchor.
MSO-Position-Horizontal | Specifies the horizontal positioning data for objects in Microsoft Word.
MSO-Position-Horizontal-Relative | Specifies relative horizontal position data for objects in Microsoft Word.
MSO-Position-Vertical | Specifies the vertical position data for objects in Microsoft Word.
MSO-Position-Vertical-Relative | Specifies relative vertical position data for objects in Microsoft Word.
MSO-Wrap-Distance-Bottom | Defines the distance from the bottom side of the shape to the text that wraps around it.
MSO-Wrap-Distance-Left | Defines the distance from the left side of the shape to the text that wraps around it.
MSO-Wrap-Distance-Right | Defines the distance from the right side of the shape to the text that wraps around it.
MSO-Wrap-Distance-Top | Defines the distance from the shape top to the text that wraps around it.
MSO-Wrap-Edited | Determines whether the wrap coordinates were customized by the user.
MSO-Wrap-Mode | Defines the wrapping mode for text.
OLEIcon | Determines whether an OLE object will be displayed as an icon.
OnEd | Determines whether the extra handles of a shape are hidden.
OnMouseOver | Triggers a mouse event for a shape.
Path | Specifies the line that makes up the edges of a shape.
Position | Defines the type of positioning used to place an element.
PreferRelative | Determines whether the original size of an object is saved after reformatting.
Print | Determines whether the shape will be printed.
ReGroupID | Defines a previous group for a shape.
RelativePosition | Defines a relative position for an object.
Rotation | Defines the angle that a shape is rotated.
RuleInitiator | Determines whether a rules engine will be used.
RuleProxy | Determines whether a proxy for the rules engine will be used.
Spt | Defines a number used internally by Microsoft Office to identify types of shapes.
StrokeColor | Defines the brush color that strokes the path of a shape.
Stroked | Defines whether the path will be stroked.
StrokeWeight | Defines the brush thickness that strokes the path of a shape.
TableLimits | List of minimum height values for each row in a table.
TableProperties | Determines table properties.
Target | Defines a frame or window that a URL will be displayed in.
Title | Defines the text displayed when the mouse pointer moves over the shape.
Top | Defines the position of the shape relative to the element above it in the flow of the page.
Type | Defines a reference to the ID of a ShapeType element.
UserDrawn | Determines whether the user has added the shape to a master slide.
UserHidden | Determines whether a script anchor is hidden.
Visibility | Determines whether a shape is displayed.
Width | Defines the width of the shape.
WrapCoords | Defines the bounding polygon that surrounds a shape.
Z-Index | Determines the display order of overlapping shapes.

Remarks

This element may appear by itself or within a Group element.

The following is the minimum code needed to produce a shape. You must define the FillColor, Position, Top, Left, Width, Height and Path attributes or the shape will not be rendered.

   <v:shape
   fillcolor="green"
   style="position:relative;top:1;left:1;width:200;height:200"
   path = "m 1,1 l 1,200, 200,200, 200,1 x e">
   </v:shape>

In addition, you must put the following code in your HTML element of your web page to obtain the correct schemas for VML and Microsoft Office Extensions. If you are not using Office Extensions, you can omit the second schema.

xmlns:v="urn:schemas-microsoft-com:vml"
xmlns:o="urn:schemas-microsoft-com:office:office"

You must also have the following in your STYLE element to register the behavior of VML and Microsoft Office Extensions. If you are not using Office Extensions, you can omit the second behavior definition.

v\:* { behavior: url(#default#VML); }
o\:* { behavior: url(#default#VML); }

Valid Subelements

The following are subelements of Shape.

Element | Description
Callout | Defines a callout for a shape.
Extrusion | Defines an extrusion for a shape.
Fill | Defines a fill for a shape.
Formulas | Defines formulas for a shape.
Handles | Defines handles for a shape.
Imagedata | Defines image data for a shape.
Locks | Defines a lock for a shape.
Path | Defines a path for a shape.
Shadow | Defines a shadow for a shape.
Skew | Defines a skew for a shape.
Stroke | Defines a stroke for a shape.
TextBox | Defines a textbox for a shape.
TextPath | Defines a text path for a shape.

Other Elements

The following top-level elements work with Shape.

Element | Description
Group | Defines a group of shapes.
ShapeType | Defines a template for shapes.
VMLFrame | Defines a frame for an external shape.

Predefined Shapes

Predefined shapes are the same as normal shapes except that some of them have additional attributes. The following shapes are predefined.

Element | Description
Rect | Defines a rectangle for a shape.
RoundRect | Defines a round rect for a shape.
Line | Defines a line for a shape.
Polyline | Defines a polyline for a shape.
Oval | Defines an oval for a shape.
Image | Defines an image for a shape.
Curve | Defines a curve for a shape.
Arc | Defines an arc for a shape.

See Also

Data Types

Example

The following code comprises a sample VML Web page:

<HTML xmlns:v="urn:schemas-microsoft-com:vml"
xmlns:o="urn:schemas-microsoft-com:office:office">
<HEAD>
<STYLE>
v\:* { behavior: url(#default#VML);}
o\:* { behavior: url(#default#VML);}
</STYLE>
<TITLE>VML Sample</TITLE>
</HEAD>
<BODY>
   <v:shape
   fillcolor="green"
   style="position:relative;top:1;left:1;width:200;height:200"
   path = "m 1,1 l 1,200, 200,200, 200,1 x e">
   </v:shape>
</BODY>
</HTML>

Click here to see VML demos.


ShapeType Element

Defines a shape that can be used to create other shapes.

The following attribute modifies a ShapeType.

Attribute | Description
Master | Determines whether a ShapeType is a master element.

Remarks

ShapeType is identical to the Shape element except it cannot reference another ShapeType element.

When a Shape element makes reference to a ShapeType, the Shape may duplicate some of the properties that have already been specified in the ShapeType. In these cases, the attributes in the Shape override those of the ShapeType.

The Type attribute may not be used with ShapeType.

CSS positioning attributes (such as Top, Left, etc.) are not passed to a Shape from a ShapeType.

To use this element, create a ShapeType with a specific ID attribute. Then create a Shape and reference the ShapeType with the Type attribute. See the Type attribute for more information.


Skew Element

Defines a skew for a shape.

The following attributes modify a skew.

Attribute | Description
Ext | Defines the way a skew is displayed.
ID | Defines a unique identifier for a skew.
Matrix | Defines a perspective transform for a skew.
Offset | Defines the offset of a skew.
On | Determines whether the skew will be displayed.
Origin | Determines the origin of a skew.

Remarks

This element must be defined within a Shape element.

In addition, the Matrix and On attributes must be set to True.

The following is the minimum code needed to produce a skew.

   <v:rect
   fillcolor="green"
   style="position:relative;top:1;left:1;width:50;height:50">
   <o:skew on="t" matrix="1,-0.5,0,0.75,0,0"/>
   </v:rect>

The Skew element is a Microsoft Office Extension to VML.

Examples

Click here to view a simple shape with a skew.

Click here to view a more complex sample.


Stroke Element

Defines a stroke for a shape.

The following attributes modify a stroke.

Attribute | Description
AltHRef | Specifies an alternate reference for a stroke.
Color | Defines the color of a stroke.
Color2 | Defines a second color for a stroke.
DashStyle | Specifies the dot and dash pattern for a stroke.
EndArrow | Defines an arrowhead style for the end of a stroke.
EndArrowLength | Defines an arrowhead length for the end of a stroke.
EndArrowWidth | Defines an arrowhead width for the end of a stroke.
EndCap | Defines the cap style for the end of a stroke.
FillType | Defines the type of fill used for the background of a stroke.
HRef | Defines the URL to the original image for the stroke.
ID | Defines a unique identifier for the stroke.
ImageAlignShape | Determines the alignment of a stroke image.
ImageAspect | Defines how the stroke image aspect ratio will be preserved.
ImageSize | Defines the size of the image for the stroke.
JoinStyle | Defines the join style of a polyline.
LineStyle | Defines the line style of a stroke.
MiterLimit | Defines the smoothness of a miter joint.
On | Determines whether the stroke will be displayed.
Opacity | Defines the amount of transparency of a stroke.
Src | Defines the source image to load for a stroke fill.
StartArrow | Defines the arrowhead for the start of a stroke.
StartArrowLength | Defines the arrowhead length for the start of a stroke.
StartArrowWidth | Defines the arrowhead width for the start of a stroke.
Title | Defines the title of a stroke.
Weight | Defines the thickness of a stroke.

Remarks

This element must be defined within a Shape element.

The following code shows how the Stroke element can be used to modify a line.

   <v:line
   to="300pt,50pt" from="50pt,50pt">
   <v:stroke weight="50pt" color="red" linestyle="ThickThin"/>
   </v:line>

Examples

Click here to view a thick-and-thin line stroke.

Click here to view a stroke generated with images.


TextBox Element

Defines a text box for a shape.

The following attributes modify a text box.

Attribute | Description
Direction | Defines the direction of the text.
ID | Defines a unique identifier for the textbox.
Inset | Specifies inner margin values for textbox text.
InsetMode | Defines how an application will allow custom inset values.
Layout-Flow | Determines the flow of the text in the textbox.
MSO-Direction-Alt | Defines alternate directions for text in textboxes.
MSO-Fit-Shape-To-Text | Determines whether a shape will stretch to fit text.
MSO-Fit-Text-To-Shape | Determines whether text will stretch to fit a shape.
MSO-Layout-Flow-Alt | Defines the alternate layout flow for text in a textbox.
MSO-Next-Textbox | Specifies the next textbox in a series.
MSO-Rotate | Determines whether text rotates with a rotated shape.
MSO-Text-Scale | Defines the scaling factor for fitting text to shapes.
SingleClick | Determines whether text is selectable with a single click.
V-Text-Anchor | Defines the vertical anchoring of text in a textbox.

Remarks

This element must be defined within a Shape element.

The following is the minimum code needed to produce a textbox.

   <v:oval strokecolor="red" fillcolor="yellow
   style="position:relative;top:50;left:50;width:75;height:50">
   <v:textbox>VML</v:textbox>
   </v:oval>

Note that the text displayed in the textbox is enclosed by the TextBox tags. The text inside the tags can be modified by ordinary HTML tags.

Example

Click here to view a simple textbox.


TextPath Element

Defines a text path for a shape.

The following attributes modify a text path.

Attribute | Description
FitPath | Defines whether the text fits the path of a shape.
FitShape | Defines whether the text fits the shape boundaries.
Font-Family | Specifies the font-family of text.
Font-Size | Specifies the font-size of text.
Font-Style | Specifies the font-style of text.
Font-Variant | Specifies the font-variant of text.
Font-Weight | Specifies the font-weight of text.
Font | Specifies the compound font value of text.
MSO-Text-Shadow | Defines whether a shadow is applied to the text.
On | Defines whether the text is displayed.
String | Defines the text string.
Text-Decoration | Defines the text-decoration of the text.
Trim | Defines whether extra space is removed above and below the text.
V-Rotate-Letters | Determines whether the letters of the text are rotated.
V-Same-Letter-Heights | Determines whether all letters will have the same height.
V-Text-Align | Defines the alignment of the text.
V-Text-Kern | Determines whether kerning is turned on.
V-Text-Reverse | Determines whether the layout order of rows is reversed.
V-Text-Spacing-Mode | Defines the mode for letterspacing.
V-Text-Spacing | Defines the amount of spacing for text.
XScale | Determines whether a straight textpath will be used instead of the shape path.

Remarks

This element must be defined within a Shape element.

In addition to the normal fill, string, and style attributes, the TextPathOK attribute of Path must be set to True and the On attribute of TextPath must be set to True to display text on a text path.

The following is the minimum code needed to display text on a path.

   <v:line from="50 200" to="400 100">
   <v:fill on="True" color="red"/>
   <v:path textpathok="True"/>
   <v:textpath on="True" string="VML Text"
   style="font:normal normal normal 36pt Arial"/>
   </v:line>

Examples

Click here to view text drawn along a straight line.

Click here to view text drawn along a dynamic curved line.

Click here to view different styles of text along a text path.


VMLFrame Element

Defines a frame for an external shape.

The following attributes modify a frame.

Attribute | Description
Clip | Determines whether the image will be clipped.
ID | Defines a unique identifier for the frame.
Origin | Specifies the origin of the frame.
Size | Specifies the size of the frame.
Src | Specifies the source of the data that will be displayed in the frame.
Style | Defines the normal CSS styles that can be used to position the frame.

Remarks

The source data to be displayed in the frame can be contained in the same Web page or be part of another page. Through scripting, the source can be changed dynamically and the display characteristics can be modified.

Objects inside the VMLFrame are “zoom scaled.? That is, they scale like metafiles, where line weights, shadow offsets, and text area are all scaled proportionally. This is different from a group, where object size and position are scaled proportionally, but line, shadow, etc. are not.

The following is the minimum code needed to load an image into a frame.

   <v:vmlframe
   style="position:relative;top:1;left:1;width:50;height:50">
   src="external.vml#rect01"/>
   </v:vmlframe>

If the file is external, it must be an XML file. The following code is the minimum code needed to specify an external source file that must contain an identifiable shape. This sample contains an image shape that displays a bitmap.

   <xml xmlns:v = "urn:schemas-microsoft-com:vml">
   <v:image id="rect01"
   style="height:100;width:100;top:50;left:50"
   src="kids.jpg">
   </v:rect>
   </xml>
Note that in beta releases of VML, this element was called VMLCanvas.

Examples

Click here to view a sample that sets up a frame and pulls in a simple shape from a separate file.

Click here to view a sample that sets up a frame and pulls in an image shape from a separate file. The image shape references a bitmap from yet another file.

Click here to view a more complex sample that shows VMLFrame clipping. Also, this example shows how to reference a shape in the same file as the frame.


commandids

命令标识符

命令标识符指定了要在给定对象上执行的操作。请和下列方法一起使用命令标识符：

  • execCommand
  • queryCommandEnabled
  • queryCommandIndeterm
  • queryCommandState
  • queryCommandSupported
  • queryCommandValue

命令标识符

2D-Position | 允许通过拖曳移动绝对定位的对象。
AbsolutePosition | 设定元素的 position 属性为“absolute”(绝对)。
BackColor | 设置或获取当前选中区的背景颜色。
BlockDirLTR | 目前尚未支持。
BlockDirRTL | 目前尚未支持。
Bold | 切换当前选中区的粗体显示与否。
BrowseMode | 目前尚未支持。
Copy | 将当前选中区复制到剪贴板。
CreateBookmark | 创建一个书签锚或获取当前选中区或插入点的书签锚的名称。
CreateLink | 在当前选中区上插入超级链接，或显示一个对话框允许用户指定要为当前选中区插入的超级链接的 URL。
Cut | 将当前选中区复制到剪贴板并删除之。
Delete | 删除当前选中区。
DirLTR | 目前尚未支持。
DirRTL | 目前尚未支持。
EditMode | 目前尚未支持。
FontName | 设置或获取当前选中区的字体。
FontSize | 设置或获取当前选中区的字体大小。
ForeColor | 设置或获取当前选中区的前景(文本)颜色。
FormatBlock | 设置当前块格式化标签。
Indent | 增加选中文本的缩进。
InlineDirLTR | 目前尚未支持。
InlineDirRTL | 目前尚未支持。
InsertButton | 用按钮控件覆盖当前选中区。
InsertFieldset | 用方框覆盖当前选中区。
InsertHorizontalRule | 用水平线覆盖当前选中区。
InsertIFrame | 用内嵌框架覆盖当前选中区。
InsertImage | 用图像覆盖当前选中区。
InsertInputButton | 用按钮控件覆盖当前选中区。
InsertInputCheckbox | 用复选框控件覆盖当前选中区。
InsertInputFileUpload | 用文件上载控件覆盖当前选中区。
InsertInputHidden | 插入隐藏控件覆盖当前选中区。
InsertInputImage | 用图像控件覆盖当前选中区。
InsertInputPassword | 用密码控件覆盖当前选中区。
InsertInputRadio | 用单选钮控件覆盖当前选中区。
InsertInputReset | 用重置控件覆盖当前选中区。
InsertInputSubmit | 用提交控件覆盖当前选中区。
InsertInputText | 用文本控件覆盖当前选中区。
InsertMarquee | 用空字幕覆盖当前选中区。
InsertOrderedList | 切换当前选中区是编号列表还是常规格式化块。
InsertParagraph | 用换行覆盖当前选中区。
InsertSelectDropdown | 用下拉框控件覆盖当前选中区。
InsertSelectListbox | 用列表框控件覆盖当前选中区。
InsertTextArea | 用多行文本输入控件覆盖当前选中区。
InsertUnorderedList | 切换当前选中区是项目符号列表还是常规格式化块。
Italic | 切换当前选中区斜体显示与否。
JustifyCenter | 将当前选中区在所在格式化块置中。
JustifyFull | 目前尚未支持。
JustifyLeft | 将当前选中区所在格式化块左对齐。
JustifyNone | 目前尚未支持。
JustifyRight | 将当前选中区所在格式化块右对齐。
LiveResize | 迫使 MSHTML 编辑器在缩放或移动过程中持续更新元素外观，而不是只在移动或缩放完成后更新。
MultipleSelection | 允许当用户按住 Shift 或 Ctrl 键时一次选中多于一个站点可选元素。
Open | 目前尚未支持。
Outdent | 减少选中区所在格式化块的缩进。
OverWrite | 切换文本状态的插入和覆盖。
Paste | 用剪贴板内容覆盖当前选中区。
PlayImage | 目前尚未支持。
Print | 打开打印对话框以便用户可以打印当前页。
Redo | 目前尚未支持。
Refresh | 刷新当前文档。
RemoveFormat | 从当前选中区中删除格式化标签。
RemoveParaFormat | 目前尚未支持。
SaveAs | 将当前 Web 页面保存为文件。
SelectAll | 选中整个文档。
SizeToControl | 目前尚未支持。
SizeToControlHeight | 目前尚未支持。
SizeToControlWidth | 目前尚未支持。
Stop | 目前尚未支持。
StopImage | 目前尚未支持。
StrikeThrough | 目前尚未支持。
Subscript | 目前尚未支持。
Superscript | 目前尚未支持。
UnBookmark | 从当前选中区中删除全部书签。
Underline | 切换当前选中区的下划线显示与否。
Undo | 目前尚未支持。
Unlink | 从当前选中区中删除全部超级链接。
Unselect | 清除当前选中区的选中状态。


2D-Position

2D-Position Command

Allows absolutely positioned elements to be moved by dragging.

Scripting Information

Command | 2D-Position
User interface | None. Set bUserInterface to false.
execCommand vValue | Required. Boolean specifying whether this feature is to be on or off.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 5.5 and later.

See Also

Using the MSHTML Editor's Extra Features


AbsolutePosition

AbsolutePosition Command

Sets an element's position property to "absolute."

Scripting Information

Command | AbsolutePosition
User interface | None. Set bUserInterface to false.
execCommand vValue | Required. Boolean specifying whether the element is to be absolutely positioned.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Remarks

This command only applies to site selectable elements. In addition, AbsolutePosition only affects inline styles. If the page defines absolute positioning for the element in a style block, AbsolutePosition will not be able to affect the element's positioning property.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 5.5 and later.

See Also

Modifying Documents in Edit Mode, Using the MSHTML Editor's Extra Features


BackColor

BackColor Command

Sets or retrieves the background color of the current selection.

Scripting Information

Command | BackColor
User interface | None. Set bUserInterface to false.
execCommand vValue | Required. String that specifies a color name or a six-digit hexadecimal RGB value, with or without a leading hash mark, as defined in the Color Table.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Remarks

The HTML generated by this command may vary depending on the version of Microsoft® Internet Explorer.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


BlockDirLTR

BlockDirLTR Command

Not currently supported.

Standards Information

There is no public standard that applies to this command.


BlockDirRTL

BlockDirRTL Command

Not currently supported.

Standards Information

There is no public standard that applies to this command.


Bold

Bold Command

Toggles the current selection between bold and nonbold.

Scripting Information

Command | Bold
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. Set to null or omit.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


BrowseMode

BrowseMode Command

Not currently supported.

Standards Information

There is no public standard that applies to this command.


ClearAuthenticationCache

ClearAuthenticationCache Command

Clears all authentication credentials from the cache. Applies only to execCommand.

Scripting Information

Command | ClearAuthenticationCache
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. Set to null or omit.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Minimum Availability

Internet Explorer 6 SP1 and later.


Command

Command Identifiers

Command identifiers specify an action to take on the given object. Use them with the following methods:

  • execCommand
  • queryCommandEnabled
  • queryCommandIndeterm
  • queryCommandState
  • queryCommandSupported
  • queryCommandValue

Command Identifiers

2D-Position

Allows absolutely positioned elements to be moved by dragging.

AbsolutePosition

Sets an element's position property to "absolute."

BackColor

Sets or retrieves the background color of the current selection.

BlockDirLTR

Not currently supported.

BlockDirRTL

Not currently supported.

Bold

Toggles the current selection between bold and nonbold.

BrowseMode

Not currently supported.

ClearAuthenticationCache

Clears all authentication credentials from the cache. Applies only to execCommand.

Copy

Copies the current selection to the clipboard.

CreateBookmark

Creates a bookmark anchor or retrieves the name of a bookmark anchor for the current selection or insertion point.

CreateLink

Inserts a hyperlink on the current selection, or displays a dialog box enabling the user to specify a URL to insert as a hyperlink on the current selection.

Cut

Copies the current selection to the clipboard and then deletes it.

Delete

Deletes the current selection.

DirLTR

Not currently supported.

DirRTL

Not currently supported.

EditMode

Not currently supported.

FontName

Sets or retrieves the font for the current selection.

FontSize

Sets or retrieves the font size for the current selection.

ForeColor

Sets or retrieves the foreground (text) color of the current selection.

FormatBlock

Sets the current block format tag.

Indent

Increases the indent of the selected text by one indentation increment.

InlineDirLTR

Not currently supported.

InlineDirRTL

Not currently supported.

InsertButton

Overwrites a button control on the text selection.

InsertFieldset

Overwrites a box on the text selection.

InsertHorizontalRule

Overwrites a horizontal line on the text selection.

InsertIFrame

Overwrites an inline frame on the text selection.

InsertImage

Overwrites an image on the text selection.

InsertInputButton

Overwrites a button control on the text selection.

InsertInputCheckbox

Overwrites a check box control on the text selection.

InsertInputFileUpload

Overwrites a file upload control on the text selection.

InsertInputHidden

Inserts a hidden control on the text selection.

InsertInputImage

Overwrites an image control on the text selection.

InsertInputPassword

Overwrites a password control on the text selection.

InsertInputRadio

Overwrites a radio control on the text selection.

InsertInputReset

Overwrites a reset control on the text selection.

InsertInputSubmit

Overwrites a submit control on the text selection.

InsertInputText

Overwrites a text control on the text selection.

InsertMarquee

Overwrites an empty marquee on the text selection.

InsertOrderedList

Toggles the text selection between an ordered list and a normal format block.

InsertParagraph

Overwrites a line break on the text selection.

InsertSelectDropdown

Overwrites a drop-down selection control on the text selection.

InsertSelectListbox

Overwrites a list box selection control on the text selection.

InsertTextArea

Overwrites a multiline text input control on the text selection.

InsertUnorderedList

Toggles the text selection between an ordered list and a normal format block.

Italic

Toggles the current selection between italic and nonitalic.

JustifyCenter

Centers the format block in which the current selection is located.

JustifyFull

Not currently supported.

JustifyLeft

Left-justifies the format block in which the current selection is located.

JustifyNone

Not currently supported.

JustifyRight

Right-justifies the format block in which the current selection is located.

LiveResize

Causes the MSHTML Editor to update an element's appearance continuously during a resizing or moving operation, rather than updating only at the completion of the move or resize.

MultipleSelection

Allows for the selection of more than one site selectable element at a time when the user holds down the SHIFT or CTRL keys.

Open

Not currently supported.

Outdent

Decreases by one increment the indentation of the format block in which the current selection is located.

OverWrite

Toggles the text-entry mode between insert and overwrite.

Paste

Overwrites the contents of the clipboard on the current selection.

PlayImage

Not currently supported.

Print

Opens the print dialog box so the user can print the current page.

Redo

Not currently supported.

Refresh

Refreshes the current document.

RemoveFormat

Removes the formatting tags from the current selection.

RemoveParaFormat

Not currently supported.

SaveAs

Saves the current Web page to a file.

SelectAll

Selects the entire document.

SizeToControl

Not currently supported.

SizeToControlHeight

Not currently supported.

SizeToControlWidth

Not currently supported.

Stop

Not currently supported.

StopImage

Not currently supported.

StrikeThrough

Not currently supported.

Subscript

Not currently supported.

Superscript

Not currently supported.

UnBookmark

Removes any bookmark from the current selection.

Underline

Toggles the current selection between underlined and not underlined.

Undo

Not currently supported.

Unlink

Removes any hyperlink from the current selection.

Unselect

Clears the current selection.


Copy

Copy Command

Copies the current selection to the clipboard.

Scripting Information

Command | Copy
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. Set to null or omit.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


CreateBookmark

CreateBookmark Command

Creates a bookmark anchor or retrieves the name of a bookmark anchor for the current selection or insertion point.

Scripting Information

Command | CreateBookmark
User interface | None. Set bUserInterface to false.
execCommand vValue | Required. String that specifies a valid anchor name. Providing an empty string will cause the command to fail.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Remarks

The HTML generated by this command may vary depending on the version of Microsoft® Internet Explorer.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


CreateLink

CreateLink Command

Inserts a hyperlink on the current selection, or displays a dialog box enabling the user to specify a URL to insert as a hyperlink on the current selection.

Scripting Information

Command | CreateLink
User interface | Optional. This command displays a dialogue box if the bUserInterface argument of execCommand is set to true or omitted. It does not display a dialogue box if the argument is set to false or null and the vValue parameter is present (even if it's null).
execCommand vValue | Optional. String that specifies a URL.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Remarks

vValue is only valid if the bUserInterface argument of execCommand is set to false or null. Providing an empty string will create the anchor tag but will leave the name attribute blank.

The HTML generated by this command may vary depending on the version of Microsoft® Internet Explorer.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


Cut

Cut Command

Copies the current selection to the clipboard and then deletes it.

Scripting Information

Command | Cut
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. Set to null or omit.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


Delete

Delete Command

Deletes the current selection.

Scripting Information

Command | Delete
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. Set to null or omit.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


DirLTR

DirLTR Command

Not currently supported.

Standards Information

There is no public standard that applies to this command.


DirRTL

DirRTL Command

Not currently supported.

Standards Information

There is no public standard that applies to this command.


EditMode

EditMode Command

Not currently supported.

Standards Information

There is no public standard that applies to this command.


FontName

FontName Command

Sets or retrieves the font for the current selection.

Scripting Information

Command | FontName
User interface | None. Set bUserInterface to false.
execCommand vValue | Required. String that specifies a font name or font list, as described by the font attribute.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Remarks

The HTML generated by this command may vary depending on the version of Microsoft® Internet Explorer.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


FontSize

FontSize Command

Sets or retrieves the font size for the current selection.

Scripting Information

Command | FontSize
User interface | None. Set bUserInterface to false.
execCommand vValue | Required. Integer or String that specifies the font size. This must be a value between 1 and 7, inclusive.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Remarks

The HTML generated by this command may vary depending on the version of Microsoft?Internet Explorer.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


ForeColor

ForeColor Command

Sets or retrieves the foreground (text) color of the current selection.

Scripting Information

Command | ForeColor
User interface | None. Set bUserInterface to false.
execCommand vValue | Required. String that specifies a color name or a six-digit hexadecimal RGB value, with or without a leading hash mark, as defined in the Color Table.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Remarks

The HTML generated by this command may vary depending on the version of Microsoft® Internet Explorer.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


FormatBlock

FormatBlock Command

Sets the current block format tag.

Scripting Information

Command | FormatBlock
User interface | None. Set bUserInterface to false.
execCommand vValue | Required. String that specifies a valid block format tag.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Remarks

The available block formatting strings may change in subsequent releases of the MSHTML component. Call IOleCommandTarget::Exec with the IDM_GETBLOCKFMTS Command ID to obtain the current list of available block formatting commands that can be passed with the FormatBlock Command ID.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


Indent

Indent Command

Increases the indent of the selected text by one indentation increment.

Scripting Information

Command | Indent
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. Set to null or omit.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


InlineDirLTR

InlineDirLTR Command

Not currently supported.

Standards Information

There is no public standard that applies to this command.


InlineDirRTL

InlineDirRTL Command

Not currently supported.

Standards Information

There is no public standard that applies to this command.


InsertButton

InsertButton Command

Overwrites a button control on the text selection.

Scripting Information

Command | InsertButton
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. String that specifies an id attribute for the button control.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


InsertFieldset

InsertFieldset Command

Overwrites a box on the text selection.

Scripting Information

Command | InsertFieldset
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. String that specifies an id attribute for the box. May be set to null or omitted.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


InsertHorizontalRule

InsertHorizontalRule Command

Overwrites a horizontal line on the text selection.

Scripting Information

Command | InsertHorizontalRule
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. String that specifies an id attribute for the horizontal line. May be set to null or omitted.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


InsertIFrame

InsertIFrame Command

Overwrites an inline frame on the text selection.

Scripting Information

Command | InsertIFrame
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. String that specifies an id attribute for the inline frame. May be set to null or omitted.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


InsertImage

InsertImage Command

Overwrites an image on the text selection.

Scripting Information

Command | InsertImage
User interface | Optional. This command displays a dialogue box if the bUserInterface argument of execCommand is set to true or omitted. It does not display a dialogue box if the argument is set to false or null and the vValue parameter is present (even if it's null).
execCommand vValue | Optional. String that specifies the path and file name of the image to be inserted. If the command displays a dialogue box, this parameter is ignored.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Remarks

If no path is provided for the image file, the path will default to the location of the current document.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 5 and later.


InsertInputButton

InsertInputButton Command

Overwrites a button control on the text selection.

Scripting Information

Command | InsertInputButton
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. String that specifies an id attribute for the button control. May be set to null or omitted.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


InsertInputCheckbox

InsertInputCheckbox Command

Overwrites a check box control on the text selection.

Scripting Information

Command | InsertInputCheckbox
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. String that specifies an id attribute for the check box control. May be set to null or omitted.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


InsertInputFileUpload

InsertInputFileUpload Command

Overwrites a file upload control on the text selection.

Scripting Information

Command | InsertInputFileUpload
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. String that specifies an id attribute for the file upload control. May be set to null or omitted.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


InsertInputHidden

InsertInputHidden Command

Inserts a hidden control on the text selection.

Scripting Information

Command | InsertInputHidden
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. String that specifies an id attribute for the hidden control. May be set to null or omitted.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


InsertInputImage

InsertInputImage Command

Overwrites an image control on the text selection.

Scripting Information

Command | InsertInputImage
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. String that specifies an id attribute for the image control. May be set to null or omitted.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


InsertInputPassword

InsertInputPassword Command

Overwrites a password control on the text selection.

Scripting Information

Command | InsertInputPassword
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. String that specifies an id attribute for the password control. May be set to null or omitted.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


InsertInputRadio

InsertInputRadio Command

Overwrites a radio control on the text selection.

Scripting Information

Command | InsertInputRadio
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. String that specifies an id attribute for the radio control. May be set to null or omitted.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


InsertInputReset

InsertInputReset Command

Overwrites a reset control on the text selection.

Scripting Information

Command | InsertInputReset
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. String that specifies an id attribute for the reset control. May be set to null or omitted.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


InsertInputSubmit

InsertInputSubmit Command

Overwrites a submit control on the text selection.

Scripting Information

Command | InsertInputSubmit
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. String that specifies an id attribute for the submit control. May be set to null or omitted.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


InsertInputText

InsertInputText Command

Overwrites a text control on the text selection.

Scripting Information

Command | InsertInputText
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. String that specifies an id attribute for the text control. May be set to null or omitted.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


InsertMarquee

InsertMarquee Command

Overwrites an empty marquee on the text selection.

Scripting Information

Command | InsertMarquee
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. String that specifies an id attribute for the marquee. May be set to null or omitted.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


InsertOrderedList

InsertOrderedList Command

Toggles the text selection between an ordered list and a normal format block.

Scripting Information

Command | InsertOrderedList
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. String that specifies an id attribute for the ordered list. May be set to null or omitted.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Remarks

If the previous format block is already an ordered list, this command identifier will append the current format block to that previous ordered list.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


InsertParagraph

InsertParagraph Command

Overwrites a line break on the text selection.

Scripting Information

Command | InsertParagraph
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. String that specifies an id attribute for the paragraph. May be set to null or omitted.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


InsertSelectDropdown

InsertSelectDropdown Command

Overwrites a drop-down selection control on the text selection.

Scripting Information

Command | InsertSelectDropdown
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. String that specifies an id attribute for the drop-down selection control. May be set to null or omitted.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


InsertSelectListbox

InsertSelectListbox Command

Overwrites a list box selection control on the text selection.

Scripting Information

Command | InsertSelectListbox
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. String that specifies an id attribute for the list box selection control. May be set to null or omitted.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


InsertTextArea

InsertTextArea Command

Overwrites a multiline text input control on the text selection.

Scripting Information

Command | InsertTextArea
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. String that specifies an id attribute for the text input control. May be set to null or omitted.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


InsertUnorderedList

InsertUnorderedList Command

Toggles the text selection between an ordered list and a normal format block.

Scripting Information

Command | InsertUnorderedList
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. String that specifies an id attribute for the unordered list. May be set to null or omitted.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Remarks

If the previous format block is already an ordered list, this command identifier will append the current format block to that previous ordered list.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


Italic

Italic Command

Toggles the current selection between italic and nonitalic.

Scripting Information

Command | Italic
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. Set to null or omit.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


JustifyCenter

JustifyCenter Command

Centers the format block in which the current selection is located.

Scripting Information

Command | JustifyCenter
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. Set to null or omit.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


JustifyFull

JustifyFull Command

Not currently supported.

Standards Information

There is no public standard that applies to this command.


JustifyLeft

JustifyLeft Command

Left-justifies the format block in which the current selection is located.

Scripting Information

Command | JustifyLeft
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. Set to null or omit.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


JustifyNone

JustifyNone Command

Not currently supported.

Standards Information

There is no public standard that applies to this command.


JustifyRight

JustifyRight Command

Right-justifies the format block in which the current selection is located.

Scripting Information

Command | JustifyRight
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. Set to null or omit.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


LiveResize

LiveResize Command

Causes the MSHTML Editor to update an element's appearance continuously during a resizing or moving operation, rather than updating only at the completion of the move or resize.

Scripting Information

Command | LiveResize
User interface | None. Set bUserInterface to false.
execCommand vValue | Required. Boolean specifying whether this feature is to be on or off.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Remarks

When this feature is off, an element's new position or size is indicated by a dashed rectangle until the mouse button is released.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 5.5 and later.

See Also

Using the MSHTML Editor's Extra Features


MultipleSelection

MultipleSelection Command

Allows for the selection of more than one site selectable element at a time when the user holds down the SHIFT or CTRL keys.

Scripting Information

Command | MultipleSelection
User interface | None. Set bUserInterface to false.
execCommand vValue | Required. Boolean specifying whether this feature is to be on or off.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Remarks

If multiple items are selected when the multiple selection feature is turned off, the items will remain selected.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 5.5 and later.

See Also

Using the MSHTML Editor's Extra Features


Open

Open Command

Not currently supported.

Standards Information

There is no public standard that applies to this command.


Outdent

Outdent Command

Decreases by one increment the indentation of the format block in which the current selection is located.

Scripting Information

Command | Outdent
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. Set to null or omit.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


OverWrite

OverWrite Command

Toggles the text-entry mode between insert and overwrite.

Scripting Information

Command | OverWrite
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. Boolean that specifies the text-entry mode. If this value is set to true or null, the text-entry mode is overwrite. If this value is set to false (the default), the text-entry mode is insert.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


Paste

Paste Command

Overwrites the contents of the clipboard on the current selection.

Scripting Information

Command | Paste
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. Set to null or omit.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


PlayImage

PlayImage Command

Not currently supported.

Standards Information

There is no public standard that applies to this command.


Print

Print Command

Opens the print dialog box so the user can print the current page.

Scripting Information

Command | Print
User interface | Yes. Set bUserInterface to true or omit.
execCommand vValue | Optional. Set to null or omit.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Minimum Availability

Internet Explorer 5.5 and later.


Redo

Redo Command

Not currently supported.

Standards Information

There is no public standard that applies to this command.


Refresh

Refresh Command

Refreshes the current document.

Scripting Information

Command | Refresh
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. Set to null or omit.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


RemoveFormat

RemoveFormat Command

Removes the formatting tags from the current selection.

Scripting Information

Command | RemoveFormat
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. Set to null or omit.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


RemoveParaFormat

RemoveParaFormat Command

Not currently supported.

Standards Information

There is no public standard that applies to this command.


SaveAs

SaveAs Command

Saves the current Web page to a file.

Scripting Information

Command | SaveAs
User interface | Optional. This command displays a dialogue box if the bUserInterface argument of execCommand is set to true or omitted. It does not display a dialogue box if the argument is set to false or null and the vValue parameter is present (even if it's null).
execCommand vValue | Optional. String that specifies the path and file name of the file to which to save the Web page. When the path contains more than one folder name, separate the folder names with two backward slashes (\\).
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


SelectAll

SelectAll Command

Selects the entire document.

Scripting Information

Command | SelectAll
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. Set to null or omit.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


SizeToControl

SizeToControl Command

Not currently supported.

Standards Information

There is no public standard that applies to this command.


SizeToControlHeight

SizeToControlHeight Command

Not currently supported.

Standards Information

There is no public standard that applies to this command.


SizeToControlWidth

SizeToControlWidth Command

Not currently supported.

Standards Information

There is no public standard that applies to this command.


Stop

Stop Command

Not currently supported.

Standards Information

There is no public standard that applies to this command.


StopImage

StopImage Command

Not currently supported.

Standards Information

There is no public standard that applies to this command.


StrikeThrough

StrikeThrough Command

Not currently supported.

Standards Information

There is no public standard that applies to this command.


Subscript

Subscript Command

Not currently supported.

Standards Information

There is no public standard that applies to this command.


Superscript

Superscript Command

Not currently supported.

Standards Information

There is no public standard that applies to this command.


UnBookmark

UnBookmark Command

Removes any bookmark from the current selection.

Scripting Information

Command | UnBookmark
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. Set to null or omit.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


Underline

Underline Command

Toggles the current selection between underlined and not underlined.

Scripting Information

Command | Underline
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. Set to null or omit.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


Undo

Undo Command

Not currently supported.

Standards Information

There is no public standard that applies to this command.


Unlink

Unlink Command

Removes any hyperlink from the current selection.

Scripting Information

Command | Unlink
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. Set to null or omit.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


Unselect

Unselect Command

Clears the current selection.

Scripting Information

Command | Unselect
User interface | None. Set bUserInterface to false or omit.
execCommand vValue | Optional. Set to null or omit.
Applies to | execCommand, queryCommandEnabled, queryCommandIndeterm, queryCommandState, queryCommandSupported, queryCommandValue.

Standards Information

There is no public standard that applies to this command.

Minimum Availability

Internet Explorer 4.0 and later.


CSS

CSS 长度单位参考

这里列出了 CSS 属性支持的长度单位。除非特别指出，长度单位都可在 Microsoft® Internet Explorer 3.0 及以后版本中使用。若标有星号(*)，则表明该长度单位可在 Internet Explorer 4.0 及以后版本中使用。

CSS 长度单位表格

相对长度单位
em | 元素字体的高度。
ex | 字母“x”的高度。
px | 像素。
% | 百分比
绝对长度单位
in | 英寸(1 英寸 = 2.54 厘米)。
cm | 厘米。
mm | 毫米。
pt | 磅(1 磅 = 1/72 英寸)。
pc | 皮卡(1 皮卡 = 12 磅)。

样式表属性中的度量和位置是以长度单位给出的。Internet Explorer 支持两种长度单位类型: 相对和绝对。

相对长度单位指定了相对于其它长度属性的长度。相对长度单位在不同的输出设备之间的比例较好，如监视器和打印机。

绝对长度单位指定了绝对的度量，如英寸或厘米。绝对长度单位在输出设备的物理属性未知的情况下非常有用。

当你使用 !DOCTYPE 声明来指定标准兼容模式时，Internet Explorer 6 及以后版本将忽略不遵从 CSS 级别 1(CSS1) 的样式表声明。根据 CSS 1，长度值必须指定单位类型标识符。较早版本的 Internet Explorer 允许你使用某种非法的声明，并将所有没有任何单位类型标识符的数字都假定为以像素为单位，即在字符串后面自动添加“px”后缀。

相关主题

  • CSS 属性参考


Tips and Tricks

As with any type of programming, writing bug-free, efficient scripts that meet your expectations takes a bit of work. The following sections provide some tips and hints to make that work take less time and go more smoothly.

  • Checking the Internet Explorer Version Number
  • Canceling a Button Click
  • Preventing a Document From Being Cached
  • Using Objects
  • Replacing Custom Controls with DHTML

Checking the Internet Explorer Version Number

You should always check for the type and version of the client browser, so that your content degrades gracefully if the client browser does not support features on your Web site.

The easiest way to identify a browser and its characteristics (browser code name, version number, language, etc.) in script is through the Dynamic HTML (DHTML)?A HREF="objects/obj_navigator.html">navigator object. You can also access this object and its properties in C++ applications through the IOmNavigator interface.

The userAgent property of the navigator object returns a string that includes the browser and browser version. The following example Microsoft® JScript® function runs on most browsers and returns the version number for any Microsoft Internet Explorer browser and zero for all other browsers.

function msieversion()
// Return Microsoft Internet Explorer (major) version number, or 0 for others.
// This function works by finding the "MSIE " string and extracting the version number
// following the space, up to the semicolon
{
var ua = window.navigator.userAgent
var msie = ua.indexOf ( "MSIE " )
if ( msie > 0 )        // is Microsoft Internet Explorer; return version number
return parseFloat ( ua.substring ( msie+5, ua.indexOf ( ";", msie ) ) )
else
return 0    // is other browser
}

When checking browser version numbers, always check for version numbers greater than or equal to a target version. In this way, your Web site will be be compatible with future versions of the browser. For example, if you have designed your content for the latest version of Internet Explorer, use that version number as a minimum version number.

Note Browsers often have several releases of a browser version. For example, 4.01, 5.0, 5.5 and 6.0b are all different versions of Internet Explorer. The 'b' in 6.0b represents a beta version of Internet Explorer 6.

As of Internet Explorer 5, conditional comments are available as an alternative technique for detecting browser versions. Conditional comments have the advantage of not using a script block, which means that it is not always necessary to use scripting and DHTML when working with conditional comments. When no scripting is used in a Web page, no scripting engine needs to be loaded. Conditional comments are processed during the downloading and parsing phase, so only the content that is targeted for the browser loading the Web page is actually downloaded. Conditional comments can be combined freely with other browser detection techniques. For more information, see About Conditional Comments.

Canceling a Button Click

The following HTML example shows a common scripting mistake related to event handling and canceling the default action.

<HTML>
<HEAD><TITLE>Canceling the Default Action</TITLE>
<SCRIPT LANGUAGE="JScript">
function askConfirm()
{ return window.confirm ("Choose OK to follow hyperlink, Cancel to
not.")
}
</SCRIPT>
<BODYonload="b3.onclick=askConfirm">
<!-- Try links with different hookups - should be canceled by "Cancel" to confirm dialog. -->
<BR><A NAME=b1 HREF="http://www.microsoft.com" onclick="askConfirm()">1 Without return (won't work)</A>
<BR><A NAME=b2 HREF="http://www.microsoft.com" onclick="return askConfirm()">2 With return (works)</A>
<BR><A NAME=b3 HREF="http://www.microsoft.com">3 Function pointer (works)</A>
</BODY>
</HTML>

The first a element in this example does not work properly. Without the return in the onclick燡Script expression, the browser interprets the function expression, throws away the resulting value, and leaves the default action unaffected.

The other a elements correctly bind the return value to the event, hence the default action can be canceled when false is returned.

Preventing a Document From Being Cached

You can prevent a document from being cached by adding the following meta tag to the document.

<META HTTP-EQUIV="Expires" CONTENT="0">

Preventing the document from being cached ensures that a fresh copy of the document will always be retrieved from the site, even during the user's current session, regardless of how the user has set the browser's caching options. This is useful if the content of the document changes frequently.

Using Objects

Objects are Microsoft® ActiveX® Controls or other similar components that provide custom capabilities and services for HTML documents. You can add a control to your document using the object element, and you can gain access to the capabilities and services of the control using its properties and methods from script.

When using objects, be aware that DHTML extends every object by providing these additional properties:

align | classid | code
codeBase | codeType
data | form
height | name
object | recordset
type | width

If a control has properties with these same names, you will not be able to access the properties unless you preface the name with the object property. For example, assume that an ActiveX control is added to the document using the following:

<OBJECT ID="MyControl" HEIGHT=100 WIDTH=200 CLASSID="clsid: ... ">
</PARAM NAME="width" VALUE="400">
</OBJECT>

In this example, there are two widths: an extended property set within the object element, and a property belonging to the control that is set using the param element. To access these from script, you use the following code.

alert(MyControl.width);   // this is Dynamic HTML's property; displays "200"
alert(MyControl.object.width);  // this is the object's property; displays "400"

Replacing Custom Controls with DHTML

DHTML provides everything you need to generate animated effects without resorting to custom controls. For example, consider the following script, which is a replacement for the Path control.

var tickDuration;
tickDuration = 50;
var activeObjectCount;
var activeObjects;
var itemDeactivated;
var tickGeneration;
activeObjects = new Array();
activeObjectCount = 0;
timerRefcount = 0;
itemDeactivated = false;
tickGeneration = 0;
function initializePath(e) {
e.waypointX = new Array();
e.waypointY = new Array();
e.duration = new Array();
}
function addWaypoint(e, number, x, y, duration) {
e.waypointX[number] = x;
e.waypointY[number] = y;
e.duration[number] = duration;
}
function compact() {
var i, n, c;
n = new Array();
c = 0;
itemDeactivated = false;
for (i=0; i<activeObjectCount; i++)  {
if (activeObjects[i].active == true) {
n[c] = activeObjects[i];
c++;
}
}
activeObjects = n;
activeObjectCount = c;
}
function tick(generation) {
if (generation < tickGeneration) {
// alert("Error "+generation);
return;
}
//alert("tick: "+generation);
if (itemDeactivated)
compact();
if (activeObjectCount == 0) {
return;
}
else {
for (i=0; i<activeObjectCount; i++) {
moveElement(activeObjects[i]);
}
window.setTimeout("tick("+generation+");", tickDuration);
}
}
function start(e) {
if (itemDeactivated)
compact();
activeObjects[activeObjectCount] = e;
activeObjectCount++;
if (activeObjectCount == 1) {
tickGeneration++;
tick(tickGeneration);
}
}
function runWaypoint(e, startPoint, endPoint) {
var startX, startY, endX, endY, duration;
if (e.waypointX == null)
return;
startX = e.waypointX[startPoint];
startY = e.waypointY[startPoint];
endX = e.waypointX[endPoint];
endY = e.waypointY[endPoint];
duration = e.duration[endPoint];
e.ticks = duration / tickDuration;
e.endPoint = endPoint;
e.active = true;
e.currTick = 0;
e.dx = (endX - startX) / e.ticks;
e.dy = (endY - startY) / e.ticks;
e.style.posLeft = startX;
e.style.posTop = startY;
start(e);
}
function moveElement(e) {
e.style.posLeft += e.dx;
e.style.posTop += e.dy;
e.currTick++;
if (e.currTick > e.ticks) {
e.active = false;
itemDeactivated = true;
if (e.onpathcomplete != null) {
window.pathElement = e;
e.onpathcomplete()
}
}
}

To use this script in your document, do the following:

  1. Load the script using the src attribute of the script element.
  2. Initialize the paths using the initializePath function.
  3. Set the way points using the addWaypoint function.
  4. Set the path-complete handlers using the runWaypoint function.

The following sample document shows how this works.

<html>
<body>
<div id=Item1 style="position: absolute; left: 0; top: 0;">Item1</div>
<div id=Item2 style="position: absolute; left: 0; top: 0;">Item2</div>
<div id=Item3 style="position: absolute; left: 0; top: 0;">Item3</div>
<div id=Item4 style="position: absolute; left: 0; top: 0;">Item4</div>
<div id=Item5 style="position: absolute; left: 0; top: 0;">Item5</div>
<div id=Item6 style="position: absolute; left: 0; top: 0;">Item6</div>
<input type=button value="Start" onclick="runWaypoint(Item1, 0, 1); runWaypoint(Item2, 0, 1);">
<div id=Debug>Generation</div>
<script src="htmlpath.js">
</script>
<script>
// need to call initializePath on all objects that will be moved with this mechanism
initializePath(Item1);
initializePath(Item2);
initializePath(Item3);
initializePath(Item4);
initializePath(Item5);
initializePath(Item6);
// the 0th waypoint is the initial position for waypoint #1
// syntax is item, waypoint, endx, endy, duration in msecs
addWaypoint(Item1, 0, 0, 0, 0);
addWaypoint(Item1, 1, 200, 200, 2000);
addWaypoint(Item2, 0, 100, 100, 0);
addWaypoint(Item2, 1, 400, 100, 4000);
addWaypoint(Item3, 0, 400, 400, 0);
addWaypoint(Item3, 1, 200, 100, 1000);
addWaypoint(Item4, 0, 0, 0, 0);
addWaypoint(Item4, 1, 200, 200, 2000);
addWaypoint(Item5, 0, 100, 100, 0);
addWaypoint(Item5, 1, 400, 100, 4000);
addWaypoint(Item6, 0, 400, 400, 0);
addWaypoint(Item6, 1, 200, 100, 1000);
function endfunction() {
// syntax for runWaypoint is Item, start point, end point
runWaypoint(Item3, 0, 1);
runWaypoint(Item4, 0, 1);
runWaypoint(Item5, 0, 1);
runWaypoint(Item6, 0, 1);
}
function endfunction2() {
runWaypoint(Item1, 0, 1);
}
Item1.onpathcomplete = endfunction;
Item6.onpathcomplete = endfunction2;
</script>
</body>
</html>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.


DHTML 参考手册 -

颜色表

在 HTML 页面中可以两种方式指定颜色──以颜色名称或者表示 RGB 颜色值的数字。一个 RGB 颜色值由三个两位十六进制数字组成，分别代表各自的颜色强度。

例如，颜色值 #FF0000 之所以被渲染为红色，是因为红色的值达到了最高值 FF (等于十进制的 255)。

当你使用 !DOCTYPE 声明指定为标准兼容模式时，Microsoft® Internet Explorer 6 和以后版本将忽略不遵从样式表(CSS)级别 1 的样式表声明。根据 CSS 1，以十六进制 RGB 值指定的颜色必须带有前导“#”字符。像“FFFFFF”这样的值将被忽略，而不会被理解为“#FFFFFF”(即白色)，但 Internet Explorer 的先前版本是这么理解的。这影响所有接受颜色值的属性。

注意 尽管这些颜色名称可能不被其它浏览器使用，但 RGB 颜色值应该可以在不同浏览器间正确显示。如果想要为跨越不同浏览器工作的 Web 页指定颜色值，那么应该使用 RGB 颜色值。

下表列出了 Internet Explorer 4.0 支持的颜色。

aliceblue (#F0F8FF) | antiquewhite (#FAEBD7) | aqua (#00FFFF) | aquamarine (#7FFFD4)
azure (#F0FFFF) | beige (#F5F5DC) | bisque (#FFE4C4) | black (#000000)
blanchedalmond (#FFEBCD) | blue (#0000FF) | blueviolet (#8A2BE2) | brown (#A52A2A)
burlywood (#DEB887) | cadetblue (#5F9EA0) | chartreuse (#7FFF00) | chocolate (#D2691E)
coral (#FF7F50) | cornflowerblue (#6495ED) | cornsilk (#FFF8DC) | crimson (#DC143C)
cyan (#00FFFF) | darkblue (#00008B) | darkcyan (#008B8B) | darkgoldenrod (#B8860B)
darkgray (#A9A9A9) | darkgreen (#006400) | darkkhaki (#BDB76B) | darkmagenta (#8B008B)
darkolivegreen (#556B2F) | darkorange (#FF8C00) | darkorchid (#9932CC) | darkred (#8B0000)
darksalmon (#E9967A) | darkseagreen (#8FBC8B) | darkslateblue (#483D8B) | darkslategray (#2F4F4F)
darkturquoise (#00CED1) | darkviolet (#9400D3) | deeppink (#FF1493) | deepskyblue (#00BFFF)
dimgray (#696969) | dodgerblue (#1E90FF) | firebrick (#B22222) | floralwhite (#FFFAF0)
forestgreen (#228B22) | fuchsia (#FF00FF) | gainsboro (#DCDCDC) | ghostwhite (#F8F8FF)
gold (#FFD700) | goldenrod (#DAA520) | gray (#808080) | green (#008000)
greenyellow (#ADFF2F) | honeydew (#F0FFF0) | hotpink (#FF69B4) | indianred (#CD5C5C)
indigo (#4B0082) | ivory (#FFFFF0) | khaki (#F0E68C) | lavender (#E6E6FA)
lavenderblush (#FFF0F5) | lawngreen (#7CFC00) | lemonchiffon (#FFFACD) | lightblue (#ADD8E6)
lightcoral (#F08080) | lightcyan (#E0FFFF) | lightgoldenrodyellow (#FAFAD2) | lightgreen (#90EE90)
lightgrey (#D3D3D3) | lightpink (#FFB6C1) | lightsalmon (#FFA07A) | lightseagreen (#20B2AA)
lightskyblue (#87CEFA) | lightslategray (#778899) | lightsteelblue (#B0C4DE) | lightyellow (#FFFFE0)
lime (#00FF00) | limegreen (#32CD32) | linen (#FAF0E6) | magenta (#FF00FF)
maroon (#800000) | mediumaquamarine (#66CDAA) | mediumblue (#0000CD) | mediumorchid (#BA55D3)
mediumpurple (#9370DB) | mediumseagreen (#3CB371) | mediumslateblue (#7B68EE) | mediumspringgreen (#00FA9A)
mediumturquoise (#48D1CC) | mediumvioletred (#C71585) | midnightblue (#191970) | mintcream (#F5FFFA)
mistyrose (#FFE4E1) | moccasin (#FFE4B5) | navajowhite (#FFDEAD) | navy (#000080)
oldlace (#FDF5E6) | olive (#808000) | olivedrab (#6B8E23) | orange (#FFA500)
orangered (#FF4500) | orchid (#DA70D6) | palegoldenrod (#EEE8AA) | palegreen (#98FB98)
paleturquoise (#AFEEEE) | palevioletred (#DB7093) | papayawhip (#FFEFD5) | peachpuff (#FFDAB9)
peru (#CD853F) | pink (#FFC0CB) | plum (#DDA0DD) | powderblue (#B0E0E6)
purple (#800080) | red (#FF0000) | rosybrown (#BC8F8F) | royalblue (#4169E1)
saddlebrown (#8B4513) | salmon (#FA8072) | sandybrown (#F4A460) | seagreen (#2E8B57)
seashell (#FFF5EE) | sienna (#A0522D) | silver (#C0C0C0) | skyblue (#87CEEB)
slateblue (#6A5ACD) | slategray (#708090) | snow (#FFFAFA) | springgreen (#00FF7F)
steelblue (#4682B4) | tan (#D2B48C) | teal (#008080) | thistle (#D8BFD8)
tomato (#FF6347) | turquoise (#40E0D0) | violet (#EE82EE) | wheat (#F5DEB3)
white (#FFFFFF) | whitesmoke (#F5F5F5) | yellow (#FFFF00) | yellowgreen (#9ACD32)

用户定义的系统颜色

Microsoft® Windows® 维护着一组用于绘制用户界面不同部分的系统颜色。除了定义在颜色表中的颜色，在 Internet Explorer 4.0 中也可正常显示以下系统颜色指定为颜色值的 Web 页。

用户可以使用 Windows 控制面板设置用于将来 Windows 会话的系统颜色。下表演示了定义在控制面板中的颜色名称的对应情况。

注意 不对应任何控制面板的颜色只可使用 Windows API 编程设置，用户无法定义。
activeborder | activecaption | appworkspace | background
buttonface | buttonhighlight | buttonshadow | buttontext
captiontext | graytext | highlight | highlighttext
inactiveborder | inactivecaption | inactivecaptiontext | infobackground
infotext | menu | menutext | scrollbar
threeddarkshadow | threedface | threedhighlight | threedlightshadow
threedshadow | window | windowframe | windowtext


language

语言代码

下面的表格中列出了所有可用于各种系统设置的语言代码。

语言代码

af 南非荷兰语 | sq 阿尔巴尼亚语
ar-sa 阿拉伯语(沙特阿拉伯) | ar-iq 阿拉伯语(伊拉克)
ar-eg 阿拉伯语(埃及) | ar-ly 阿拉伯语(利比亚)
ar-dz 阿拉伯语(阿尔及利亚) | ar-ma 阿拉伯语(摩洛哥)
ar-tn 阿拉伯语(突尼斯) | ar-om 阿拉伯语(阿曼)
ar-ye 阿拉伯语(也门) | ar-sy 阿拉伯语(叙利亚)
ar-jo 阿拉伯语(约旦) | ar-lb 阿拉伯语(黎巴嫩)
ar-kw 阿拉伯语(科威特) | ar-ae 阿拉伯语(阿拉伯联合酋长国)
ar-bh 阿拉伯语(巴林) | ar-qa 阿拉伯语(卡塔尔)
eu 巴斯克语 | bg 保加利亚语
be 贝劳语 | ca 加泰罗尼亚语
zh-tw 中文(中国台湾) | zh-cn 中文(中华人民共和国)
zh-hk 中文(中国香港特别行政区) | zh-sg 中文(新加坡)
hr 克罗地亚语 | cs 捷克语
da 丹麦语 | nl 荷兰语(标准)
nl-be 荷兰语(比利时) | en 英语
en-us 英语(美国) | en-gb 英语(英国)
en-au 英语(澳大利亚) | en-ca 英语(加拿大)
en-nz 英语(新西兰) | en-ie 英语(爱尔兰)
en-za 英语(南非) | en-jm 英语(牙买加)
en 英语(加勒比) | en-bz 英语(伯利兹)
en-tt 英语(特立尼达) | et 爱沙尼亚语
fo 法罗语 | fa 波斯语
fi 芬兰语 | fr 法语(标准)
fr-be 法语(比利时) | fr-ca 法语(加拿大)
fr-ch 法语(瑞士) | fr-lu 法语(卢森堡)
gd 盖尔语(苏格兰) | gd-ie 盖尔语(爱尔兰)
de 德语(标准) | de-ch 德语(瑞士)
de-at 德语(奥地利) | de-lu 德语(卢森堡)
de-li 德语(列支敦士登) | el 希腊语
he 希伯来语 | hi 北印度语
hu 匈牙利语 | is 冰岛语
in 印度尼西亚语 | it 意大利语(标准)
it-ch 意大利语(瑞士) | ja 日语
ko 朝鲜语 | ko 朝鲜语(韩国)
lv 拉脱维亚语 | lt 立陶宛语
mk FYRO 马其顿语 | ms 马来西亚语
mt 马耳他语 | no 挪威语(博克马尔)
no 挪威语(尼诺斯克) | pl 波兰语
pt-br 葡萄牙语(巴西) | pt 葡萄牙语(葡萄牙)
rm 拉丁语系 | ro 罗马尼亚语
ro-mo 罗马尼亚语(摩尔达维亚) | ru 俄语
ru-mo 俄语(摩尔达维亚) | sz 萨摩斯语(拉普兰)
sr 塞尔维亚语(西里尔) | sr 塞尔维亚语(拉丁)
sk 斯洛伐克语 | sl 斯洛文尼亚语
sb 索布语 | es 西班牙语(西班牙传统)
es-mx 西班牙语(墨西哥) | es 西班牙语(西班牙现代)
es-gt 西班牙语(危地马拉) | es-cr 西班牙语(哥斯达黎加)
es-pa 西班牙语(巴拿马) | es-do 西班牙语(多米尼加共和国)
es-ve 西班牙语(委内瑞拉) | es-co 西班牙语(哥伦比亚)
es-pe 西班牙语(秘鲁) | es-ar 西班牙语(阿根廷)
es-ec 西班牙语(厄瓜多尔) | es-cl 西班牙语(智利)
es-uy 西班牙语(乌拉圭) | es-py 西班牙语(巴拉圭)
es-bo 西班牙语(玻利维亚) | es-sv 西班牙语(萨尔瓦多)
es-hn 西班牙语(洪都拉斯) | es-ni 西班牙语(尼加拉瓜)
es-pr 西班牙语(波多黎各) | sx 苏图语
sv 瑞典语 | sv-fi 瑞典语(芬兰)
th 泰语 | ts 汤加语
tn 瓦纳语 | tr 土耳其语
uk 乌克兰语 | ur 乌尔都语
ve 文达语 | vi 越南语
xh 科萨语 | ji 依地语
zu 祖鲁语


字符集识别

Microsoft® Internet Explorer 使用文档中指定的字符集决定如何将文档中的字节翻译为在屏幕上或打印纸上可读的字符。缺省情况下，Internet Explorer 将使用服务器返回的 HTTP 内容类型中指定的字符集来决定此翻译。若此参数未给出，Internet Explorer 将使用文档中的 meta 元素指定的字符集。若未指定 meta 元素则使用用户参数。

你可以使用 meta 元素明确设定文档的字符集。在这种情况下，设置 HTTP-EQUIV 标签属性为 Content-Type 并在 CONTENT 标签属性中指定字符集标识符。例如，下面的 meta 元素将把文档的字符集标识为 windows-1251。

<META HTTP-EQUIV="Content-Type"
CONTENT="text/html; CHARSET=windows-1251">

要为整个文档应用字符集，你必须在 body 元素前插入 meta 元素。为明确器件，该元素应该是 head 之后的第一个元素，这样所有浏览器就都可以在文档处理前翻译 meta 元素。meta 元素应用到包含该元素的文档。这意味着，组合文档(由两个或更多文档组成框架的文档)可以在不同的框架中使用不同的字符集。

下面的标格包含了关于 Internet Explorer 5 支持的字符集的信息，以及下列信息。

  • 字符集友好名称 ─ 用于引用字符集的名称。
  • 首选字符集标签 ─ 在 Internet Explorer 中用于设置字符集的最普通标识符。例如，在上面的代码例子中字符集标签为 windows-1251。这些标识符用于外部数据。
  • 别名 ─ 可用于设置此字符集的其它标识符。这些标识符用于内部数据。
  • IE 版本 ─ 支持所列字符集的 Internet Explorer 版本。
  • 最低 OS ─ 支持所列字符集的最低操作系统版本。
  • 代码页 ─ 支持列出字符集的代码页。
  • 家族代码页 ─ 表明用于代表字符集中所有或大多数字符的 Microsoft Windows® 代码页。

Microsoft Internet Explorer 5 中的字符集

字符集友好名称 | 首选字符集标签 | 别名 | IE 版本 | 最低 OS | 代码页 | 家族代码页
阿拉伯 (ASMO 708) | ASMO-708 |  | IE5 | Win95 | 708 | 1256
阿拉伯 (DOS) | DOS-720 |  | IE5 | Win95 | 720 | 1256
阿拉伯 (ISO) | iso-8859-6 | arabic, csISOLatinArabic, ECMA-114, ISO_8859-6, ISO_8859-6:1987, iso-ir-127 | IE5, IE4 | Win95 | 28596 | 1256
阿拉伯 (Mac) | x-mac-arabic |  | IE5 | Win2000 | 10004 | 1256
阿拉伯 (Windows) | windows-1256 | cp1256 | IE5 | Win95 | 1256 | 1256
波罗的语 (DOS) | ibm775 | CP500 | IE5 | Win2000 | 775 | 1257
波罗的语 (ISO) | iso-8859-4 | csISOLatin4, ISO_8859-4, ISO_8859-4:1988, iso-ir-110, l4, latin4 | IE5 | Win95 | 28594 | 1257
波罗的语 (Windows) | windows-1257 |  | IE5 | Win95 | 1257 | 1257
中欧 (DOS) | ibm852 | cp852 | IE5, IE4 | Win95 | 852 | 1250
中欧 (ISO) | iso-8859-2 | csISOLatin2, iso_8859-2, iso_8859-2:1987, iso8859-2, iso-ir-101, l2, latin2 | IE5, IE4 | Win95 | 28592 | 1250
中欧 (Mac) | x-mac-ce |  | IE5 | Win2000 | 10029 | 1250
中欧 (Windows) | windows-1250 | x-cp1250 | IE5 | Win95 | 1250 | 1250
简体中文 (EUC) | EUC-CN | x-euc-cn | IE5 | Win2000 | 51936 | 936
简体中文 (GB2312) | gb2312 | chinese, CN-GB, csGB2312, csGB231280, csISO58GB231280, GB_2312-80, GB231280, GB2312-80, GBK, iso-ir-58 | IE5, IE4 | Win95 | 936 | 936
简体中文 (HZ) | hz-gb-2312 |  | IE5, IE4 | Win95 | 52936 | 936
简体中文 (Mac) | x-mac-chinesesimp |  | IE5 | Win2000 | 10008 | 936
繁体中文 (Big5) | big5 | cn-big5, csbig5, x-x-big5 | IE5, IE4 | Win95 | 950 | 950
繁体中文 (CNS) | x-Chinese-CNS |  | IE5 | Win2000 | 20000 | 950
繁体中文 (Eten) | x-Chinese-Eten |  | IE5 | Win2000 | 20002 | 950
繁体中文 (Mac) | x-mac-chinesetrad |  | IE5 | Win2000 | 10002 | 950
西里尔语 (DOS) | cp866 | ibm866 | IE5, IE4 | Win95 | 866 | 1251
西里尔语 (ISO) | iso-8859-5 | csISOLatin5, csISOLatinCyrillic, cyrillic, ISO_8859-5, ISO_8859-5:1988, iso-ir-144, l5 | IE5, IE4 | Win95 | 28595 | 1251
西里尔语 (KOI8-R) | koi8-r | csKOI8R, koi, koi8, koi8r | IE5, IE4 | Win95 | 20866 | 1251
西里尔语 (KOI8-U) | koi8-u | koi8-ru | IE5 | Win95 | 21866 | 1251
西里尔语 (Mac) | x-mac-cyrillic |  | IE5 | Win2000 | 10007 | 1251
西里尔语 (Windows) | windows-1251 | x-cp1251 | IE5 | Win95 | 1251 | 1251
欧罗巴 | x-Europa |  | IE5 | n.a. | 29001 | 1252
德语 (IA5) | x-IA5-German |  | IE5 | Win2000 | 20106 | 1252
希腊语 (DOS) | ibm737 |  | IE5 | Win2000 | 737 | 1253
希腊语 (ISO) | iso-8859-7 | csISOLatinGreek, ECMA-118, ELOT_928, greek, greek8, ISO_8859-7, ISO_8859-7:1987, iso-ir-126 | IE5, IE4 | Win95 | 28597 | 1253
希腊语 (Mac) | x-mac-greek |  | IE5 | Win2000 | 10006 | 1253
希腊语 (Windows) | windows-1253 |  | IE5 | Win95 | 1253 | 1253
希腊语, 现代 (DOS) | ibm869 |  | IE5 | Win2000 | 869 | 1253
希伯莱语 (DOS) | DOS-862 |  | IE5 | Win95 | 862 | 1255
希伯莱语 (ISO-Logical) | iso-8859-8-i | logical | IE5, IE4 | Win95 | 38598 | 1255
希伯莱语 (ISO-Visual) | iso-8859-8 | csISOLatinHebrew, hebrew, ISO_8859-8, ISO_8859-8:1988, ISO-8859-8, iso-ir-138, visual | IE5, IE4 | Win95 | 28598 | 1255
希伯莱语 (Mac) | x-mac-hebrew |  | IE5 | Win2000 | 10005 | 1255
希伯莱语 (Windows) | windows-1255 | ISO_8859-8-I, ISO-8859-8, visual | IE5 | Win95 | 1255 | 1255
IBM EBCDIC (阿拉伯) | x-EBCDIC-Arabic |  | IE5 | Win2000 | 20420 | 1256
IBM EBCDIC (西里尔俄语) | x-EBCDIC-CyrillicRussian |  | IE5 | Win2000 | 20880 | 1251
IBM EBCDIC (西里尔塞尔维亚-保加利亚) | x-EBCDIC-CyrillicSerbianBulgarian |  | IE5 | Win2000 | 21025 | 1251
IBM EBCDIC (丹麦-挪威) | x-EBCDIC-DenmarkNorway |  | IE5 | Win2000 | 20277 | 1252
IBM EBCDIC (丹麦-挪威-欧洲) | x-ebcdic-denmarknorway-euro |  | IE5 | Win2000 | 1142 | 1252
IBM EBCDIC (芬兰-瑞典) | x-EBCDIC-FinlandSweden |  | IE5 | Win2000 | 20278 | 1252
IBM EBCDIC (芬兰-瑞典-欧洲) | x-ebcdic-finlandsweden-euro |  | IE5 | Win2000 | 1143 | 1252
IBM EBCDIC (芬兰-瑞典-欧洲) | x-ebcdic-finlandsweden-euro | X-EBCDIC-France | IE5 | Win2000 | 1143 | 1252
IBM EBCDIC (法国-欧洲) | x-ebcdic-france-euro |  | IE5 | Win2000 | 1147 | 1252
IBM EBCDIC (德语) | x-EBCDIC-Germany |  | IE5 | Win2000 | 20273 | 1252
IBM EBCDIC (德语-欧洲) | x-ebcdic-germany-euro |  | IE5 | Win2000 | 1141 | 1252
IBM EBCDIC (希腊语现代) | x-EBCDIC-GreekModern |  | IE5 | Win2000 | 875 | 1253
IBM EBCDIC (希腊语) | x-EBCDIC-Greek |  | IE5 | Win2000 | 20423 | 1253
IBM EBCDIC (希伯莱语) | x-EBCDIC-Hebrew |  | IE5 | Win2000 | 20424 | 1255
IBM EBCDIC (冰岛) | x-EBCDIC-Icelandic |  | IE5 | Win2000 | 20871 | 1252
IBM EBCDIC (冰岛-欧洲) | x-ebcdic-icelandic-euro |  | IE5 | Win2000 | 1149 | 1252
IBM EBCDIC (国际-欧洲) | x-ebcdic-international-euro |  | IE5 | Win2000 | 1148 | 1252
IBM EBCDIC (意大利) | x-EBCDIC-Italy |  | IE5 | Win2000 | 20280 | 1252
IBM EBCDIC (意大利-欧洲) | x-ebcdic-italy-euro |  | IE5 | Win2000 | 1144 | 1252
IBM EBCDIC (日语和日语片假名) | x-EBCDIC-JapaneseAndKana |  | IE5 | Win2000 | 50930 | 932
IBM EBCDIC (日语和日本-拉丁) | x-EBCDIC-JapaneseAndJapaneseLatin |  | IE5 | Win2000 | 50939 | 932
IBM EBCDIC (日语和美国-加拿大) | x-EBCDIC-JapaneseAndUSCanada |  | IE5 | Win2000 | 50931 | 932
IBM EBCDIC (日语片假名) | x-EBCDIC-JapaneseKatakana |  | IE5 | Win2000 | 20290 | 932
IBM EBCDIC (朝鲜语和朝鲜语扩展) | x-EBCDIC-KoreanAndKoreanExtended |  | IE5 | Win2000 | 50933 | 949
IBM EBCDIC (朝鲜语扩展) | x-EBCDIC-KoreanExtended |  | IE5 | Win2000 | 20833 | 949
IBM EBCDIC (多语种拉丁-2) | CP870 |  | IE5 | Win2000 | 870 | 1250
IBM EBCDIC (简体中文) | x-EBCDIC-SimplifiedChinese |  | IE5 | Win2000 | 50935 | 936
IBM EBCDIC (西班牙) | X-EBCDIC-Spain |  | IE5 | Win2000 | 20284 | 1252
IBM EBCDIC (西班牙-欧洲) | x-ebcdic-spain-euro |  | IE5 | Win2000 | 1145 | 1252
IBM EBCDIC (泰语) | x-EBCDIC-Thai |  | IE5 | Win2000 | 20838 | 874
IBM EBCDIC (繁体中文) | x-EBCDIC-TraditionalChinese |  | IE5 | Win2000 | 50937 | 950
IBM EBCDIC (土耳其语拉丁-5) | CP1026 |  | IE5 | Win2000 | 1026 | 1254
IBM EBCDIC (土耳其语) | x-EBCDIC-Turkish |  | IE5 | Win2000 | 20905 | 1254
IBM EBCDIC (英国) | x-EBCDIC-UK |  | IE5 | Win2000 | 20285 | 1252
IBM EBCDIC (英国-欧洲) | x-ebcdic-uk-euro |  | IE5 | Win2000 | 1146 | 1252
IBM EBCDIC (美国-加拿大) | ebcdic-cp-us |  | IE5 | Win2000 | 37 | 1252
IBM EBCDIC (美国-加拿大-欧洲) | x-ebcdic-cp-us-euro |  | IE5 | Win2000 | 1140 | 1252
冰岛语 (DOS) | ibm861 |  | IE5 | Win2000 | 861 | 1252
冰岛语 (Mac) | x-mac-icelandic |  | IE5 | Win2000 | 10079 | 1252
ISCII 阿萨姆语 | x-iscii-as |  | IE5 | Win2000 | 57006 | 57006
ISCII 孟加拉语 | x-iscii-be |  | IE5 | Win2000 | 57003 | 57003
ISCII 梵文 | x-iscii-de |  | IE5 | Win2000 | 57002 | 57002
ISCII 瓜西拉 | x-iscii-gu |  | IE5 | Win2000 | 57010 | 57010
ISCII 埃纳德语 | x-iscii-ka |  | IE5 | Win2000 | 57008 | 57008
ISCII 马来西亚语 | x-iscii-ma |  | IE5 | Win2000 | 57009 | 57009
ISCII 奥里雅 | x-iscii-or |  | IE5 | Win2000 | 57007 | 57007
ISCII 旁遮普语 | x-iscii-pa |  | IE5 | Win2000 | 57011 | 57011
ISCII 泰米尔语 | x-iscii-ta |  | IE5 | Win2000 | 57004 | 57004
ISCII 泰卢固语 | x-iscii-te |  | IE5 | Win2000 | 57005 | 57005
日语 (EUC) | euc-jp | csEUCPkdFmtJapanese, Extended_UNIX_Code_Packed_Format_for_Japanese, x-euc, x-euc-jp | IE5, IE4 | Win95 | 51932 | 932
日语 (JIS) | iso-2022-jp |  | IE5, IE4 | Win95 | 50220 | 932
日语 (JIS-允许 1 字节假名 - SO/SI) | iso-2022-jp | _iso-2022-jp$SIO | IE5 | Win95 | 50222 | 932
日语 (JIS-允许 1 字节假名) | csISO2022JP | _iso-2022-jp | IE5 | Win95 | 50221 | 932
日语 (Mac) | x-mac-japanese |  | IE5 | Win2000 | 10001 | 932
日语 (Shift-JIS) | shift_jis | csShiftJIS, csWindows31J, ms_Kanji, shift-jis, x-ms-cp932, x-sjis | IE5, IE4 | Win95 | 932 | 932
朝鲜语 | ks_c_5601-1987 | csKSC56011987, euc-kr, iso-ir-149, korean, ks_c_5601, ks_c_5601_1987, ks_c_5601-1989, KSC_5601, KSC5601 | IE5 | Win95 | 949 | 949
朝鲜语 (EUC) | euc-kr | csEUCKR | IE5 | Win95 | 51949 | 949
朝鲜语 (ISO) | iso-2022-kr | csISO2022KR | IE5 | Win95 | 50225 | 949
朝鲜语 (Johab) | Johab |  | IE5 | Win2000 | 1361 | 1361
朝鲜语 (Mac) | x-mac-korean |  | IE5 | Win2000 | 10003 | 949
拉丁语 3 (ISO) | iso-8859-3 | csISO, Latin3, ISO_8859-3, ISO_8859-3:1988, iso-ir-109, l3, latin3 | IE5, IE4 | Win95 | 28593 | 1254
拉丁语 9 (ISO) | iso-8859-15 | csISO, Latin9, ISO_8859-15, l9, latin9 | IE5 | Win95 | 28605 | 1252
挪威语 (IA5) | x-IA5-Norwegian |  | IE5 | Win2000 | 20108 | 1252
OEM 美国 | IBM437 | 437, cp437, csPC8, CodePage437 | IE5 | Win2000 | 437 | 1252
瑞典语 (IA5) | x-IA5-Swedish |  | IE5 | Win2000 | 20107 | 1252
泰语 (Windows) | windows-874 | DOS-874, iso-8859-11, TIS-620 | IE5, IE4 | Win95 | 874 | 874
土耳其语 (DOS) | ibm857 |  | IE5 | Win2000 | 857 | 1254
土耳其语 (ISO) | iso-8859-9 | csISO, Latin5, ISO_8859-9, ISO_8859-9:1989, iso-ir-148, l5, latin5 | IE5 | Win95 | 28599 | 1254
土耳其语 (Mac) | x-mac-turkish |  | IE5 | Win2000 | 10081 | 1254
土耳其语 (Windows) | windows-1254 | ISO_8859-9, ISO_8859-9:1989, iso-8859-9, iso-ir-148, latin5 | IE5 | Win95 | 1254 | 1254
Unicode | unicode | utf-16 | IE5, IE4 | Win95 | 1200 | 1200
Unicode (Big-Endian) | unicodeFFFE |  | IE5, IE4 | Win95 | 1201 | 1200
Unicode (UTF-7) | utf-7 | csUnicode11UTF7, unicode-1-1-utf-7, x-unicode-2-0-utf-7 | IE5, IE4 | Win95 | 65000 | 1200
Unicode (UTF-8) | utf-8 | unicode-1-1-utf-8, unicode-2-0-utf-8, x-unicode-2-0-utf-8 | IE5, IE4 | Win95 | 65001 | 1200
US-ASCII | us-ascii | ANSI_X3.4-1968, ANSI_X3.4-1986, ascii, cp367, csASCII, IBM367, ISO_646.irv:1991, ISO646-US, iso-ir-6us | IE5 | Win95 | 20127 | 1252
越南语 (Windows) | windows-1258 |  | IE5, IE4 | Win95 | 1258 | 1258
西欧 (DOS) | ibm850 |  | IE5 | Win2000 | 850 | 1252
西欧 (IA5) | x-IA5 |  | IE5 | Win2000 | 20105 | 1252
西欧 (ISO) | iso-8859-1 | cp819, csISO, Latin1, ibm819, iso_8859-1, iso_8859-1:1987, iso8859-1, iso-ir-100, l1, latin1 | IE5 | Win95 | 28591 | 1252
西欧 (Mac) | macintosh |  | IE5 | Win2000 | 10000 | 1252
西欧 (Windows) | Windows-1252 | ANSI_X3.4-1968, ANSI_X3.4-1986, ascii, cp367, cp819, csASCII, IBM367, ibm819, ISO_646.irv:1991, iso_8859-1, iso_8859-1:1987, ISO646-US, iso8859-1, iso-8859-1, iso-ir-100, iso-ir-6, latin1, us, us-ascii, x-ansi | IE5 | Win95 | 1252 | 1252

不用于常规的内部字符集

下列字符集不用于常规用途，所以不要用它们标识文档。

字符集友好名称 | 首选字符集标签 | 别名 | IE 版本 | 最低 OS | 代码页 | 家族代码页
用户定义的 | x-user-defined |  | IE5, IE4 | Win95 | 50000 | 50000
日语 (自动选择) |  |  | IE5, IE4 | Win95 | 50932 | 932
自动选择 |  |  | IE5 | Win95 | 50001 | 50001
朝鲜语 (自动选择) |  |  | IE5, IE4 | Win95 | 50949 | 949


HTML 字符集

字符集决定了代表你的 HTML 文档文本的字节如何翻译成可读字符。Microsoft® Internet Explorer 将根据所应用的字符集翻译解释你的文档字节。它可以按照 ISO010646 代码点解释数字或十六进制字符引用("&#12345;" 或 "&#x1234;")，这与 Unicode 标准版本 2.0 相一致，并且独立于所选字符集。命名项目("&")也将独立与所选字符集显示。任意数字字符引用的现实都需要在用户的系统中安装了可显示特定字符的字体。从而，下面表格中第一列的内容可能不能在所有系统上渲染正确。

  • ISO Latin-1 字符集
  • HTML 额外的命名项目
  • 特殊符号和 BIDI 文本的字符项目
  • 字符集识别


Introduction to HTML

Introduction to HTML Applications (HTAs)

Internet Development Index

The power to build HTML Applications (HTAs) brings Microsoft® Internet Explorer 5 to the fore as a viable Microsoft Windows® development platform. HTAs are full-fledged applications. These applications are trusted and display only the menus, icons, toolbars, and title information that the Web developer creates. In short, HTAs pack all the power of Internet Explorer—its object model, performance, rendering power, protocol support, and channel-download technology—without enforcing the strict security model and user interface of the browser.

  • Why Use HTAs
  • Creating an HTA
  • The Power of Trust: HTAs and Security
  • Compatibility
  • HTA Deployment
  • Conclusion
  • Related Topics

Why Use HTAs

Historically, programming languages like C++ and Microsoft Visual Basic® have provided the object models and access to system resources that developers demand. With HTA it is now time to add Dynamic HTML (DHTML) with script to that list. HTAs not only support everything a Web page does—namely HTML, Cascading Style Sheets (CSS), scripting languages, and behaviors—but also HTA-specific functionality. This added functionality provides control over user interface design and access to the client system. Moreover, run as trusted applications, HTAs are not subject to the same security constraints as Web pages. As with any executable file, the user is asked once, before the HTA is downloaded, whether to save or run the application; if saved to the client machine, it simply runs on demand thereafter. The end result is that HTAs runs like any executable (.exe) written in C++ or Visual Basic.

HTAs are suited to many uses, whether you are prototyping, making wizards, or building full-scale applications. Whatever DHTML and script deliver now—forms, multimedia, Web applications, HTML editors, and browsers—so can HTAs...and then some. Best of all, HTAs make some tasks easier. The simplicity of generating prototypes using HTAs makes it possible for program managers and designers to script dialog boxes and alerts while the C++ or Visual Basic developers program the underlying functionality.

Creating an HTA

Create an HTA by writing an HTML page and saving it with the .hta extension. It is that simple!

This sample demonstrates the simplest possible HTA. It consists of the string, "Hello, World", and is saved with the .hta extension. Internet Explorer is so forgiving that even the missing html and body tags do not cause an error. The program can be closed by pressing alt+f4.

  Hello, World
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

To launch an HTA , double-click its program icon, run it from the Start menu, open it through a URL, or start it from the command line. Once running, the HTA renders everything within the paired body tag and displays the value set in the title tag as the window title.

HTA-Specific Functionality

Where the .hta extension tells the system how to handle the application, the new HTA:APPLICATION tag and attributes tell the window how to behave as an application. This tag exposes a limited set of attributes—attributes that control everything from border style to the program icon and its menu. The majority are read-only and have default values optimized for the average application. To comprise a valid HTA, this tag must appear within the paired head tags.

The HTA:APPLICATION tag in this example specifies application features not available in DHTML. As prescribed by the attributes, this application has neither border (border), nor title bar (caption), nor standard program icon (sysMenu). The application title appears in the Windows task list but not in the taskbar (showInTaskBar), and only one instance of the application is permitted to run at a time (singleInstance). When launched, the HTA is known to the system as "monster" (applicationName) and initially is sized to fill the screen (windowState). For a full list of attributes and properties, and links to more information about each, see HTML Applications Reference. The program can be closed by pressing alt+f4.

<HEAD>
<TITLE>My Monster Application</TITLE>
<HTA:APPLICATION ID="oMyApp"
APPLICATIONNAME="monster"
BORDER="none"
CAPTION="no"
ICON="/graphics/creature.ico"
SHOWINTASKBAR="no"
SINGLEINSTANCE="yes"
SYSMENU="no"
WINDOWSTATE="maximize">
</HEAD>

Many of the HTA-specific properties that affect the user interface of the window are interdependent. When sysMenu is set to no, not only the program icon, but also the Minimize and Maximize buttons are disabled. When border is set to none, neither the window border, program icon, title bar, nor Minimize and Maximize buttons display. Finally, when caption is set to no, the Minimize and Maximize buttons, the program icon, and the window border are disabled. These contingencies all make sense in the light of standard Windows graphical user interface design.

The Power of Trust: HTAs and Security

As fully trusted applications, HTAs carry out actions that Internet Explorer would never permit in a Web page. The result is an application that runs seamlessly, without interruption.

In HTAs, the restrictions against allowing script to manipulate the client machine are lifted. For example, all command codes are supported without scripting limitations (see command id). And HTAs have read/write access to the files and system registry on the client machine.

The trusted status of HTAs also extends to all operations subject to security zone options. In short, zone security is off. Consequently, HTAs run embedded Microsoft ActiveX® controls and Java applets irrespective of the zone security setting on the client machine. No warning displays before such objects are downloaded and run within an HTA.

HTA windows can extend the trust relationship to content in other domains. HTAs allow cross-domain script access between window objects and cookies. To address the security risks inherent in cross-domain scripting, HTA enables the APPLICATION attribute for frames and iframes. This HTA-only attribute is not the sole security precaution available. HTAs are designed such that frames and iframes, where the APPLICATION attribute is set to no />, have no script access to the HTA containing them. In this way, no unsecure content is allowed into an HTA through an untrusted window.

HTAs are designed such that untrusted HTML?B>frames and iframes have no script access to the HTA containing them. In the case of frames that are not HTA-enabled, the highest level frame comprises the top window for all frames it contains. For that frame, window.top and window.self are one and the same. In addition, unsafe frames and iframes receive neither a referrer nor an opener URL from the parent HTA. The end result is that they are unaware of the containing HTA as the parent window.

In applications where all content is safe, frames and iframes can safely be marked as trusted. Wizards and control panels are examples of safe content. The HTA-enabled status of the iframe in the example below permits it to pass information back to its parent window.

<IFRAME SRC="filename.htm" APPLICATION="yes">

By contrast, an iframe that allows browsing to unsecured content must be implemented as regular HTML. Content in the iframe example below is subject to the security setting for its zone. The following iframe can be used when embedding HTML.

<IFRAME SRC="filename.htm" APPLICATION="no">
Note The APPLICATION attribute is ignored if used in HTML rather than HTA.

When running HTAs, users should take the same precautions as with any executable: Only install HTAs produced by reliable sources. HTAs cannot be code-signed. However, they can be installed from signed cabinet (.cab) files or other signed installation formats. Either way, the most accountable sources will be corporate intranets and established software vendors.

Compatibility

The Microsoft implementation of HTA is limited to Windows 32-bit systems running Internet Explorer 5. HTAs do not support the HTML AutoComplete in forms feature, or the external object.

HTA Deployment

The HTA implementation supports multiple deployment methods: the Web model, the package model, and a hybrid of the two. Application developers should decide how best to meet their distribution needs.

The Web Model

The Web deployment model consists of an application that can be run and administered just like a Web page. In this scenario, the HTA is launched simply by browsing to its URL or by accessing it from the Internet Explorer Favorites list. Before launch, an Internet Explorer dialog box presents the user with the choice to open or save the application. After launch, ancillary application components are downloaded from the server as needed and then cached. Servers must have the MIME type "application:hta" registered for delivery through the http: protocol to work.

This model boasts some important strengths. It facilitates seamless updates: The intranet administrator need only post the new code or content for the client to receive the latest version. It provides ease of use: The user need never install or uninstall the application. Unused applications are automatically flushed from the cache. One important consideration when evaluating this deployment model is that server-based applications cannot be run offline or when the server goes down. One option is to anticipate this eventuality by implementing the advanced channel (CDF) features in Internet Explorer 4.0 and later. For more information, see the Introduction to Active Channel Technology.

The Package Model

In the package deployment model, the installation process for the HTA is the same as for traditional applications. Files are copied from disk or over a network, using any installer or self-extracting executable. The installer places the application in the Program Files directory or in the directory selected by the user. A link to the HTA is included in the Start menu. And the application's dependency on Internet Explorer 5 or greater is registered. This way the user is warned that uninstalling Internet Explorer will disable that application. Look to tools vendors for vehicles for packaging and delivering HTAs to your specifications.

Like the Web model, the package model has points in its favor. The user is prompted only during the initial installation about trusting the application; thereafter, the application runs as trusted code just as an .exe does. Also, the installed HTA is always available to users, whether they are connected to the server or not.

Hybrid Deployment Models

Any combination of Web and package deployment models is feasible. The method of delivery is transparent to the HTA. HTA components are always referenced as URLs, absolute or relative, so the applications simply work.

Examine Your Priorities

What are your distribution needs? The following list presents just a few scenarios.

  • If keeping the initial download time brief is paramount, then hybridize by installing the top window of the HTA onto the client machine, leaving the HTA to access the server for images and support files.
  • If your users run the application both at work and remotely, consider deploying HTAs over the local network using the Web model while also distributing it for remote use using the package model.
  • Perhaps your business requires a tool where the content is maintained by separate groups and is distributed across servers. The application will look and function like a unified whole if you create a single user interface and use Web deployment automatically to deliver the latest information.

Conclusion

No matter what the delivery model, using Internet Explorer as your development platform is a compelling way to build applications large and small.

Related Topics

  • HTML Applications Reference
  • DHTML Dude: HTML Applications


About Conditional

About Conditional Comments

One of the most common operations performed in a Web page is to detect the browser type and version. Browser detection is performed to ensure that the content presented to the browser is compatible and renders correctly. The browser type can be detected using many different techniques. Most methods of browser detection make use of either server- or client-side script, and each have advantages and disadvantages. This article focuses on conditional comments, which offer an alternative to scripted browser detection. Conditional comments offer certain advantages over scripted browser detection techniques and are also easier to use.

Conditional comments have been available since Microsoft® Internet Explorer 5, but their use is not restricted to Internet Explorer. Examples are given that show how conditional comments can be used to customize the content delivered to both uplevel and downlevel browsers. Conditional comments make it easy for developers to write pages that downgrade gracefully in less capable browsers, while making it easy to take advantage of the enhanced features and performance offered by Internet Explorer 5 and later versions.

The following topics are discussed in this document.

  • Terminology
  • Benefits of Using Conditional Comments
  • Syntax of Conditional Comments
  • Downlevel-hidden Conditional Comments
  • Downlevel-revealed Conditional Comments
  • Version Vectors
  • Related Topics

Terminology

The following terms are used frequently in this article.

Term | Description
uplevel browser | Internet Explorer 5 and later versions.
downlevel browser | Any browser except for Internet Explorer 5 and later versions.
downlevel-hidden conditional comment | A comment that can contain inner HTML, which is ignored in downlevel browsers. Internet Explorer 5 and later download and render the HTML content if the expression is evaluated as true.
downlevel-revealed conditional comment | A comment conditional comment block that can contain inner HTML, which is parsed and rendered in downlevel browsers. Internet Explorer 5 and later download and render the HTML content if the expression is evaluated as true.

Benefits of Using Conditional Comments

Conditional comments have certain advantages over scripting methods of browser detection. When a downlevel browser encounters a downlevel-hidden conditional comment, the browser does not see the inner HTML inside the comment, and the content elements are not downloaded and rendered. This saves both bandwidth and machine resources.

When using script to detect the browser type and version, a separate block of code is often written to implement each level of functionality and rendering being supported by the page. This is done because there are many differences in the scripting language and object models supported by different browsers. Using conditional comments, script logic can be separated into smaller and simpler segments of code, which are easier to maintain and understand.

It is not always necessary to use scripting and DHTML when working with conditional comments, and when no scripting is used in a Web page, no scripting engine needs to be loaded. Conditional comments are processed during the downloading and parsing phase, so only the content that is targeted for the browser loading the Web page is actually downloaded. Conditional comments can be combined freely with other browser detection techniques.

Syntax of Conditional Comments

The basic syntax of each type of comment is shown in the following table. The first comment shown is the basic HTML Comment, which is included for the purpose of comparison and to illustrate the different syntax used by each type of conditional comment.

Comment Type | Syntax or Possible Value
standard HTML comment | <!--燙omment content ?->
downlevel-hidden | <!--[if expression]> HTML <![endif]-->
downlevel-revealed | <![if expression]> HTML <![endif]>

The HTML Comment is recognized by practically every browser. With this type of comment, all the content inside the tag is completely ignored by the browser. The HTML shown inside the syntax block in each of the conditional comments denotes any block of HTML content, including script. Both types of conditional comment use a conditional expression, which is recognized in Internet Explorer 5 and later versions. If the expression is true, the content inside the comment block is parsed and rendered.

A combination of operators, values, and features can be used to form a conditional expression, as shown in the following table.

Item | Syntax | Comment
feature | IE | String. The only currently supported feature is the string "IE", corresponding to Internet Explorer.
version | number | An integer or floating point numeral, corresponding to the version of the browser. For more information, see Version Vectors.
operator | ! | The NOT operator. This is placed immediately in front of an value or expression or feature and reverses the Boolean value of the operand.
comparison | feature | Returns a Boolean value of true if the feature matches the browser type.
comparison | feature version | Returns a Boolean value of true if the feature matches the browser type and the version number matches the browser version.
comparison | lt | The less-than operator. Compares values or expresssions. Returns a Boolean value of true if the first argument is less than the second argument.
comparison | lte | The less-than or equal operator. Compares values or expresssions. Returns a Boolean value of true if the first argument is less than or equal to the second argument.
comparison | gt | The greater-than operator. Compares values or expresssions. Returns a Boolean value of true if the first argument is greater than the second argument.
comparison | gte | The greater-than or equal operator. Compares values or expresssions. Returns a Boolean value of true if the first argument is greater than or equal to the second argument.

Downlevel-hidden Conditional Comments

The following sample shows a downlevel-hidden conditional comment, which contains a short paragraph of text.

<!--[if IE 5]>
<p>Welcome to Internet Explorer 5.</p>
<![endif]-->

At first glance the comment appears to be quite similar to a basic HTML Comment, but upon further examination there are some significant differences. The downlevel-hidden conditional comment has an opening and closing block in the tag, allowing for the insertion of HTML markup inside the comment. A conditional block is shown in the opening portion of the tag, and an [endif] block is placed in the closing portion of the tag. The HTML content is placed inside the comment.

Because the first four characters and the last three characters of the comment are identical to a basic HTML Comment, all downlevel browsers fail to recognize the conditional comment block, including all its HTML content. Downlevel browsers treat this as a regular HTML Comment. Therefore, any content inside the comment block is effectively hidden from the downlevel browser, hence the term downlevel-hidden conditional comment.

In Internet Explorer 5 and later versions, the conditional expression is recognized and evaluated. If the result of the Boolean expression is true, then the content inside the comment block is parsed and rendered by the browser. This behavior makes the downlevel-hidden conditional comment particularly useful for including content that has been specifically designed for Internet Explorer 5 and later versions.

The following sample illustrates how a client-side script block can be placed inside a conditional comment; in this case, a message is displayed in Internet Explorer 5 and later.

<!--[if IE 5]>
<SCRIPT LANGUAGE="Javascript">
alert("Congratulations. You are running IE5 or later!");
</SCRIPT>
<P>Thank you for closing the message box.</P>
<![endif]-->
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

For the attentive reader, something might seem to be inconsistent with this example. On the first line there's a conditional statement, [if IE 5], and yet the message box states "IE5 or later". In fact, the sample behaves identically for all versions of Internet Explorer 5. This is because only the major digit of the browser version is being compared in the conditional expression; none of the minor browser version indices (5.xxxx) have been specified and, therefore, the expression does not distinguish between minor browser versions. However, minor version indices can be used in a conditional comment expressions, enabling a more precise evaluation of the browser version. For further explanation and examples on specifying the browser's version number, see Version Vectors. Clearly, Internet Explorer 6 will not display the message box or the text content because the major version number is different.

When the sample is opened in some version of Internet Explorer 5, the script block is downloaded, parsed, and the dialog message is displayed. When running the sample, the parsing and rendering of the page is halted until the message box is closed, after which the rest of the page is loaded. All downlevel browsers ignore the entire script block and treat the entire comment, including any HTML content, as a single HTML Comment.

From this section, it can be seen that the downlevel-hidden conditional comment is useful for hiding content from downlevel browsers and that it can also be used to deliver content in Internet Explorer 5 and later versions.

Downlevel-revealed Conditional Comments

The downlevel-revealed conditional comment enables you to include content in downlevel browsers. The conditional expression controls whether Internet Explorer 5 and later download and render the content. The downlevel-revealed conditional comment is the complement of the downlevel-hidden conditional comment.

The following snippet shows a typical downlevel-revealed conditional comment.

<![if !IE 5]>
<p>Please upgrade to Internet Explorer version 5.</p>
<![endif]>
Note When comparing this type of comment to the basic HTML Comment, notice that there are no "--" characters immediately after the opening "<!". Also, there aren't any "--" characters immediately before the closing bracket of the comment block either. Therefore, both <![if !IE 5]> and <![endif]> are unrecognized in downlevel browsers.

A downlevel browser does not recognize the downlevel-revealed conditional comment. Therefore, when it downloads this type of comment, it does nothing with it and then continues downloading and parsing the document. Downlevel browsers ignore this type of conditional comment, but they do not ignore the HTML content inside it, if any is present. In the preceding sample, the p tag is parsed and rendered by downlevel browsers.

In Internet Explorer 5 or later, the conditional comment is recognized and the expression is evaluated. If the conditional statement is evaluated as true then the content inside the conditional comment is parsed and rendered in Internet Explorer 5 and later. If the expression evaluates as false, the content inside of the comment is ignored.

Version Vectors

Conditional comment expressions are used to determine the type and version of the browser. Forming the right expression requires some care when using conditional comments, since the format of the version vector must be defined correctly in order to obtain the desired result.

The version vector syntax can be specified as an integer, in which case only the major browser version number is tested. In situations where an expression needs to check for a minor browser version, the version vector can be specified as an integer, followed by a decimal point, and then up to four more sequential digits. Therefore, a full length version vector appears to be identical to a floating point number with four decimal places, but it is not evaluated as a decimal. Clearly, this is important to keep in mind when forming expressions in conditional comments.

With decimal numbers the number 5.5 is equivalent to 5.5000. However, with a version vector each individual digit is compared separately. The version vector format supported in a conditional comments does not support the following format: 5.0.4.5.3. However, a version vector equal to 5.0453 would correspond to the preceding format, where each digit is compared separately.

When an expression is evaluated, a check is made against each numeral specified in the version vector. Therefore, the following sample evaluates as true for any version of Internet Explorer 5.

<!--[if IE 5]>
<p>Welcome to any incremental version of Internet Explorer 5!</p>
<![endif]-->

The reason for this evaluation is that only one digit, in this case the number 5, is specified. Since the major version number in both browsers is 5, the expression returns true. Applying the same logic, the following test returns the value false for Internet Explorer 5.5.

<!--[if IE 5.0]>
<p>Welcome to Internet Explorer 5.0!</p>
<![endif]-->

In conclusion, to check for a specific incremental version of a browser or if testing for a particular build of the browser, it can be necessary to define the full vector.

Note Internet Explorer 5, which shipped with Microsoft Windows® 2000, has a version vector equal to 5.0002. Therefore, the conditional expression [if IE lte 5.0000] returns false when evaluated in the release build of Internet Explorer 5. For the release build of Internet Explorer 5.5, the version vector is 5.5000.

Related Topics

  • HTML Comment
  • comment


About Dynamic

About Dynamic Content

Before Microsoft® Internet Explorer 4.0, once a Web page was loaded into a user's browser, changing the information displayed on the page required another round-trip to the server. The user interacted with the page (submitted a form, or clicked a link to another page), and the server delivered a new page to the client. Any customization of the information (such as building the page on the fly from a template) required that the server spend additional time processing a page request. Furthermore, the only way to maintain the context for the page's content was to use frame sets, where one frame's content stays constant and another frame changes its content based on the user's activity on the initial page.

Dynamic content is all about changing the content of the HTML document—inserting and deleting elements or the contents of an element before or after the document has been loaded.

Internet Explorer 4.0 gives you a rich set of properties and methods to dynamically construct and alter Web pages on the fly. For example, a script can insert a list of section titles at the beginning of the document, or replace that list with a list of links to the actual sections in the document.

The following topics show how to dynamically access and modify the content in your Web pages:

  • Changing HTML Content
  • Adding Document Content
  • Example: Building a Table of Contents
  • Which Elements Will This Work For?
  • Related Topics

Changing HTML Content

Internet Explorer 4.0 provides a set of properties and methods on each element that are designed to make it quite simple to change the document. There are four properties that provide the ability to see what's inside an element on the page and replace that content with new information: innerText, outerText, innerHTML, and outerHTML.

Assigning new text (also called a "string") to one of these properties replaces the contents of the element, including any elements contained by that element, with the new string. Consider the following HTML for an H1 heading.

<H1 id=myH1>Dynamic Content is Very Cool!</H1>

The content of the H1 can be changed with the innerText property.

document.all.myH1.innerText = "DHTML is Very Cool"

The H1 element remains in the document, while the content of the H1 changes to contain the new string "DHTML is Very Cool". The string assigned to innerText renders any HTML tags as text, and does not process the HTML. To insert HTML code into the contents of another element, you must use the innerHTML property.

document.all.myH1.innerHTML = "DHTML is <I>Very</I> Cool!"

The new string replaces the original content of the H1, and the word "Very" appears in italic.

The outerText and outerHTML properties represent the element itself, as well as the contents of the element. Assuming that the preceding example is contained by a body element, using an outerText property on the H1 replaces the entire element with the string attached. The following script causes the H1 to go away entirely, and the text string appears where the element was in the flow of the body's content.

document.all.myspan.outerText = "DHTML is VERY Cool!"

The outerHTML property replaces the element with rich HTML. Much like the example above where HTML was inserted in the H1, using the outerHTML property will do the same, except the H1 would also be removed.

document.all.myH1.outerHTML = "<SPAN STYLE='height:0;width:200;FILTER:Shadow(color=#00FF00)'>RICH HTML</SPAN>";
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Adding Document Content

The properties described above replace the entire contents of an element with a new string. What if you only want to insert new text or HTML and don't want to change what is already in the document? There are two helper methods on most elements that help you do just this.

These methods, insertAdjacentHTML and insertAdjacentText, place the new content at the beginning or end of the element, leaving the existing content intact. These methods all take a parameter that indicates one of four possible places the new content can be inserted with regard to the element: BeforeBegin, AfterBegin, BeforeEnd, and AfterEnd.

The following example appends a new paragraph to the end of the document when it loads.

<HTML>
<HEAD>
<TITLE>Dynamic Content: Inserting Elements</TITLE>
<SCRIPT LANGUAGE="JScript">
function fnAdd(){
document.body.insertAdjacentHTML("BeforeEnd", "<P>" +
oSelect.value + "</P>");
}
</SCRIPT>
</HEAD>
<BODY>
<P>
<SELECT ID=oSelect>
<OPTION VALUE="Add some <B>Bold</B> text">
Add some &lt;B&gt;Bold&lt;/B&gt; text</OPTION>
<OPTION VALUE="My Dog has the <span style='color:red;letter-spacing:5px'>longest</span> snout">
My Dog has the &lt;span style='color:red;text-spacing:2px'&gt;longest&lt;/span&gt; snout.</OPTION>
<OPTION VALUE="<span onclick=alert('Hello')>Click Me</span>">
&lt;span onclick=alert('Hello')&gt;Click Me&lt;/span&gt;</OPTION>
</SELECT>
<INPUT TYPE=button VALUE="Add" onclick="fnAdd()">
</P>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Example: Building a Table of Contents

Building a table of contents is a good example of dynamic content at its best. By using a relatively small amount of script, you can automatically generate a detailed list of the contents of any document.

This example consists of three functions: buildTOC, setAnchor, and setLink. The buildTOC function creates the table of contents, calling the other two functions to apply anchors and insert the links. The example depends on the document having an element, such as div or p, that has the identifier MyTOC. The setLink function inserts the links there. To build the table successfully, buildTOC cannot be called until the document is fully loaded.

Once buildTOC is called, it uses the all collection to check each element to see whether it is a header element: H1, H2, H3, or H4. It starts the search at the first element after the body element since no links are possible before this. When it finds a header, it sets the "level" variable and calls the setAnchor and setLink functions.

function buildTOC() {
var coll = document.all;
var level;
var id;
for (i=document.body.sourceIndex+1; i<coll.length; i++) {
switch (coll[i].tagName) {
case "H1":
level = 0;
break;
case "H2":
level = 1;
break;
case "H3":
level = 2;
break;
case "H4":
level = 3;
break;
default:
level = -1;
}
if (level!=-1) {
id = i;
setAnchor(coll[i], id);
i++;
setLink(coll[i], level, id);
i+=2;
}
}
}

Notice how the variable "i" is updated after the call to setAnchor and setLink. These functions insert new elements into the document, causing the all collection to be immediately updated and requiring a new index value for the heading. The setAnchor function inserts one element before the heading, so the index is increased by one; the setLink function inserts two elements at the top of the document, so the index is increased by two.

The setAnchor function adds an a element to the document, inserting the start and end tags for this element immediately before and after the header tag, and setting the NAME= attribute of the new element to be equal to the "id" parameter passed to the function.

function setAnchor(el, id) {
el.insertAdjacentHTML("BeforeBegin", "<A NAME=\"" + id + "\">");
el.insertAdjacentHTML("AfterEnd", "</A>");
}

The setLink function adds another a element to the document. This time the element is a link to the heading that setAnchor just created an anchor for. The HREF= attribute is set to the same "id" value as was set in the matching anchor. Notice that the setLink function places the link just before the end of the element having the identifier MyTOC, separating it from the previous link with a br element and inserting zero or more nonbreaking spaces for a very simple way to indicate the heading level.

function setLink(el, level, id) {
MyTOC.insertAdjacentHTML("BeforeEnd", "
");
var s = "&nbsp;";
for (j=0; j<level; j++)
s = s + s;
MyTOC.insertAdjacentHTML("BeforeEnd",
s + "<A HREF=\"#" + id + "\">" + el.innerText + "</A>");
}
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

There are a few things to keep in mind when you are dynamically changing content in your Web page.

Can't modify the content until after the document has been loaded: Keep in mind that you cannot assign a string to these properties until the document has been completely loaded, that is, until the onload event occurs. If you attempt to do so before loading, an error occurs.

Be careful! When you add an element to a document, the all and other element collections are automatically updated to reflect the change. This also affects the value of the sourceIndex for elements that follow the new elements. If you have saved the index value of an element, be careful to update that value or retrieve a new value whenever you add or delete elements in a document.

Can't put invalid HTML in the document: You cannot assign a string to innerHTML or outerHTML that contains invalid HTML. For example, trying to replace the content of the p element with another p will fail. A p element can only contain text and inline elements. However, replacing the entire p element with another p would work just fine.

Which Elements Will This Work For?

Here are a few guidelines for which elements you can expect these properties and methods to work.

Only elements that appear in the BODY of the document can be changed with these properties. You can replace the contents of the BODY, but you can't replace the BODY itself.

This should be obvious, but deserves mention anyway: you can't replace the contents of an element where the element type doesn't have any contents like the replaced elements, input and img.

The contents of a td can be changed (innerText and innerHTML) and the table element itself can be replaced (outerText and outerHTML), but no other table elements and their contents can be changed with these properties.

Related Topics

  • Using the TextRange Object
  • Finding Text in the Document


HTML and DHTML Overviews and

HTML and DHTML Overviews and Tutorials

This section contains overviews and tutorials for Dynamic HTML (DHTML).

Overviews/Tutorials

About Client Capabilities

Web developers are constantly searching for ways to design and implement sites that deliver the best user experience possible. One way to enhance user experience is to customize content based on capabilities that the client browser supports.

About Conditional Comments

One of the most common operations performed in a Web page is to detect the browser type and version. Browser detection is performed to ensure that the content presented to the browser is compatible and renders correctly. The browser type can be detected using many different techniques. Most methods of browser detection make use of either server- or client-side script, and each have advantages and disadvantages. This article focuses on conditional comments, which offer an alternative to scripted browser detection. Conditional comments offer certain advantages over scripted browser detection techniques and are also easier to use.

About Cross-Frame Scripting and Security

With DHTML, content in different windows and frames can interact in powerful ways by scripting with the object model. However, since a browser can simultaneously display unrelated documents in its various windows and frames, certain rules must be enforced to protect data integrity and privacy of information.

About DHTML Data Transfer

As of Microsoft® Internet Explorer 5, you have access to an extensive data transfer implementation. For Internet Explorer, data transfer involves writing information to and reading it from the clipboard through a data transfer object. The information transferred includes both the data format and the data itself.

About Dynamic Content

Internet Explorer 4.0 gives you a rich set of properties and methods to dynamically construct and alter Web pages on the fly. For example, a script can insert a list of section titles at the beginning of the document, or replace that list with a list of links to the actual sections in the document.

About Dynamic Properties

Internet Explorer 5 offers an easy-to-use new feature that enables Web authors and developers to vastly improve the appearance and rendering of their Web pages. Using the power of dynamic properties, it is now possible to declare property values not only as constants, but also as formulas. The formulas used in a dynamic property can reference property values from other elements, thereby allowing authors unique flexibility when designing their Web pages.

About Element Positioning

Internet Explorer 4.0 supports the ability to position HTML elements in x- and y-coordinates, as well as overlap elements in planes along the z-axis, which extends toward and away from the viewer in a Web document. This capability allows authors to place elements—images, controls, or text—exactly where they want on the page. By using scripts to manipulate the position coordinates and other dynamic styles, authors can move elements around a page, creating animated effects. The combination of dynamic styles, positioning, transparent Microsoft ActiveX® Controls, and transparent images presents authors with a rich set of animation options.

About Font Embedding

Font embedding has been a feature of Microsoft applications, such as Microsoft Word and Microsoft PowerPoint® for several years. It enables fonts used in the creation of a document to travel with that document, ensuring that a user sees the pages exactly as the author intended. Now, Internet Explorer 4.0 brings embedded font support to the Web. This technology gives site designers the confidence that Internet Explorer 4.0 users see their pages exactly as intended.

About Mouse Capture

Internet Explorer 5 enables Web authors to design pages that handle mouse events in the same way desktop applications do.

About the DHTML Object Model

The DHTML燚ocument Object Model (DOM) allows authors direct, programmable access to the individual components of their Web documents, from individual elements to containers. This access, combined with the event model, allows the browser to react to user input, execute scripts on the fly, and display the new content without downloading additional documents from a server. The DHTML燚OM puts sophisticated interactivity within easy reach of the average HTML author.

About the W3C Document Object Model

This document discusses the implementation of the World Wide Web Consortium (W3C) Document Object Model (DOM) interface available in Internet Explorer 5 and later.

Additional Named Entities for HTML

The following table contains additional named entities, their numeric character references, and a description of each. With the exception of the left and right-pointing brackets (&#9001; and &#9002;), the entities on this page are rendered using Lucida sans Unicode.

Building High Performance HTML Pages

The features delivered with Internet Explorer 4.0 and later have helped make the Web a compelling space in which to work and to play. The quantity and complexity of pages as well as the number of consumers of those pages has significantly increased the traffic on the Web. For all the merit that the Web brings to application developers, it introduces a host of problems.

Changing Element Styles

This document shows you how to change the SRC attribute on an iframe element so that the contents of iframe change on the fly. The same example also shows you how to change the background color of the body for the SRC= document of the iframe. The next set of examples shows how to change the class name of the element so that it is associated with a different style sheet.

Character Entities for Special Symbols and BIDI Text

This table lists the entities for special symbols and bidirectional (BIDI) text.

Character Set Recognition

Internet Explorer uses the character set specified for a document to determine how to translate the bytes in the document into characters on the screen or on paper. By default, Internet Explorer uses the character set specified in the HTTP content type returned by the server to determine this translation.

Color Table

Colors can be specified in HTML pages in two ways—by using a color name, or by using numbers to denote an RGB color value. An RGB color value consists of three two-digit hexadecimal numbers specifying the intensity of the corresponding color.

Compatibility in Internet Explorer 5.5

This document describes the features in Internet Explorer 5.5 that may not be compatible with applications you developed for earlier versions of Internet Explorer.

Controlling Presentation with Measurement and Location Properties

DHTML exposes measurement and location properties that you can use to change the size and position of HTML elements on your Web pages. When you understand what these properties are and how they affect elements on a Web page, you can achieve greater control over the appearance of your Web pages. For example, you can use these properties to design Web pages that are similar to documents in other applications, such as PowerPoint or Word.

Creating Accessible Web Pages With DHTML

This article explains how to create accessible Web pages using DHTML with Internet Explorer 4.0 and later.

Cross-Platform Functionality

With Internet Explorer 4.0, content authors can easily create pages that run on all platforms—the 32-bit Windows® platforms, Windows 3.1, Macintosh, and Unix. In particular, core DHTML and Active Channel functionality are cross-platform.

CSS Length Units Reference

This section defines the supported length units for CSS attributes.

Dialog Helper Character Sets

Return value from getCharset method.

Enhancing Table Presentation

Internet Explorer 5 gives the author more control over table presentation. Significantly faster rendering is now possible. Using this layout, authors can increase table rendering speeds by several orders of magnitude, particularly for longer, more complex tables.

Finding Text in the Document

You can search for a given string of text in a document by using the findText method on a TextRange object. This method starts the search at the beginning of the range and, if it finds the string, positions the range so that it entirely encloses the string.

How to Add a Shortcut Icon to a Web Page

Shortcut icons in Internet Explorer 5 are a new feature that you can use to display your logo or some other small graphic on the Favorites menu and Address bar. They have no special Web server requirements and are a great way to add brand recognition without requiring the user to download a custom version of Internet Explorer 5.

How to Animate a Sequence of Elements

Dynamic positioning, Cascading Style Sheets (CSS), and the DHTML燚OM, put together, bring animation to the Internet with very minimal code. The manner in which each element in the series appears on the page can vary, from being flown into the page to being gradually faded in using any one of the transition patterns exposed by the filter attribute, or simply made visible through the visibility property of the element.

How to Apply a Transition on an Image

This article demonstrates how to implement a simple transition on an image.

How to Build Tables Dynamically

This article discusses the structure of HTML tables and explains how to use the Table Object Model to create them. It also compares how the Table Object Model and the Document Object Model (DOM) are used to create tables.

How to Change Text Color Character by Character

This tutorial uses the table container to demonstrate color cycling effects for text.

How to Create a Dynamic Table of Contents

The example provided in this article demonstrates how to create an expandable table of contents, using code that you can reuse without modification.

How To Create a Mouse Capture Context Menu

In this sample, a context menu is created that opens when the user right-clicks a specific object on the Web page.

How To Create a Mouse Capture Drop-down Menu

DHTML menus can be tuned to better respond to mouse activity by coordinating the use of the mouse capture methods and events in Internet Explorer 5 and later. The mouse capture methods setCapture and releaseCapture and the onlosecapture event allow Web authors to create dynamic features that do not interfere with other content on the page.

How to Create an HTML Editor Application

This tutorial describes how to use features found in Internet Explorer 5.5 or later to create an HTML Editor Application. The application you create in this tutorial contains an editable region where users can type and format text using all of the standard formatting commands.

How to Fly Text in DHTML

This article demonstrates both ways to implement flying text through the marquee element and through CSS positioning.

How to Fly Text in Geometric Patterns

This article outlines the basics of how to animate text to move in geometric patterns. Achieving results might take more time at the onset, yet once you have a few routines for calculating different slopes, you can adapt them quickly to generate unique effects.

How to Manipulate Text Effects in Response to Mouse Events

Some DHTML effects require minimal scripting to attain. One such effect, activating text in response to mouse events, is achieved largely through the use of CSS rules and the className property. Creating text effects in this manner yields ease of maintenance and succinct code.

HTML Character Sets

Character sets determine how the bytes that represent the text of your HTML document are translated to readable characters. Internet Explorer interprets the bytes in your document according to the applied character set translations.

HTML Clipboard Format

This article discusses cutting and pasting fragments of an HTML document. The CF_HTML clipboard format allows a fragment of raw HTML text and its context to be stored on the clipboard as ASCII. This allows the context of the HTML fragment, which consists of all preceding and surrounding tags, to be examined by an application so that the surrounding tags can be noted with their attributes.

Introduction to Dynamic HTML

DHTML is a set of innovative features in Internet Explorer 4.0. By enabling authors to dynamically change the rendering and content of a document, DHTML gives authors the ability to create visually outstanding HTML documents that interact with the user, without the burden of relying on server-side programs or complicated sets of HTML pages to achieve special effects.

Introduction to Dynamic Styles

You can dynamically change the style of any HTML element in a document. You can change colors, fonts, spacing, indentation, position, and even the visibility of text. Because the DHTML燚OM makes every HTML element and attribute accessible, it is easy to use scripts to dynamically read and change styles.

Introduction to Filters and Transitions

With Internet Explorer 4.0 and above, you can apply various multimedia-style visual effects to your Web page. You can implement these effects in Web pages using CSS properties. By combining filters and transitions with basic scripting, you have a powerful tool for creating visually engaging and interactive documents. Internet Explorer 5.5 and above supports the richest variety of optimized filters. Most examples in this article require that you have Internet Explorer 5.5 installed.

Introduction to Forms

Forms provide an interface for collecting, displaying, and delivering information, and are a key component of HTML. By providing different controls such as text fields, buttons, and checkboxes, forms can enhance Web pages with a means to exchange information between a client and a server.

Introduction to Microsoft Script Debugger for Internet Explorer

Microsoft Script Debugger is a debugging environment that extends the functionality of Internet Explorer 4.0 and later and Microsoft Internet Information Server (IIS). You can use the Script Debugger to browse, edit, and debug .htm and .html files that contain Microsoft Visual Basic® Scripting Edition (VBScript) or Microsoft JScript®. You can also use it to combine HTML and script development and to test programs written in other languages. You can then use the Microsoft virtual machine (Microsoft VM) to run the programs and to debug scripts for any scripting language engine that supports ActiveX debugging interfaces.

Introduction to Persistence

Persistence enables authors to specify an object to persist on the client during the current and future sessions using DHTML behaviors. Persistence allows Internet Explorer 5 and later to retain Web page information, styles, variables, and state.

ISO Latin-1 Character Set

The following table contains the complete ISO Latin-1 character set, corresponding to the first 256 entries of the Unicode character repertoire in Internet Explorer 4.0 and later.

Language Codes

The following table lists all the possible language codes used to specify various system settings.

Managing Style Sheets

Dynamically changing CSS styles that are applied to documents is not limited to the inline styles (styles defined with the STYLE= attribute). Global style sheets defined with a link or style tag in the head section of the document can be manipulated through script. Manipulating the global style sheet is a powerful way to dynamically change the styles that apply to Web pages.

Measuring Element Dimension and Location

The following section is designed to help Web authors understand how to access the dimension and location of elements on the page through the DHTML Object Model.

Migrating from Internet Explorer 3.0 to Internet Explorer 4.0 and Later

Compatibility is a key priority for Internet Explorer 4.0 and later. As much as possible, we want to ensure that users who upgrade from Internet Explorer 3.0 will not be affected adversely.

Mitigating Cross-site Scripting With HTTP-only Cookies

Persisting Collapsible Table of Contents State

Web pages that employ a collapsible table of contents tend to share a single problem: when a user leaves the page, the table of contents reverts to its original state. For anyone trying to navigate through these nested references, it is frustrating to leave the page and return, only to have to wade through the table of contents again. Persistence behavior provides a solution to this problem.

Persisting Custom and Dynamic Styles

Dynamic and custom styles selected at run time by the user can be persisted when the page is saved as a favorite using the saveFavorite behavior.

Persisting Form Data

Using HTML to design forms comes with some drawbacks, namely the need for a server or client-side script to process the form data. The saveSnapshot behavior can be used to save a Web page and persist the form data directly within the page itself. This allows a larger audience to use Web forms for day-to-day activities without needing a special script to process and deliver the information.

Persisting Session Information

Session information is usually recorded for sites that use multiple pages to accomplish a task, such as virtual shopping carts and advanced search engines. Pages that employ these variables and files can easily swell to a very large size while they juggle delivering a Web page and processing the surrounding scripts. Persistence allows most of this information to be stored on the client, thus decreasing download time and the performance hit to the server's processor(s).

Printing and Style Sheets

The style and link elements support the MEDIA attribute, which defines the output device for the style sheet.

Scripting with Elements and Collections

Every HTML document consists of a combination of HTML tags and their attributes. These elements define the structure of the document and determine how the content is presented. Using the DHTML Object Model, you can examine and modify these elements and their modifying attributes.

Tips and Tricks

As with any type of programming, writing bug-free, efficient scripts that meet your expectations takes a bit of work. The following sections provide some tips and hints to make that work take less time and go more smoothly.

Understanding the Event Model

An event is a notification that occurs in response to an action, such as a change in state, or as a result of the user clicking the mouse or pressing a key while viewing the document. An event handler is code, typically a function or routine written in a scripting language, that receives control when the corresponding event occurs.

Using AutoComplete in HTML Forms

Internet Explorer 5 and later includes an integrated feature called AutoComplete, which helps users quickly enter information into form fields. The AutoComplete innovation in HTML forms safely stores information entered into INPUT_text and INPUT_password fields.

Using IFRAME Elements

With Internet Explorer 5.5, frames are now windowless, resulting in greatly improved performance. In addition, Internet Explorer 5.5 can now overlap IFRAME elements, also known as inline floating frames, and can make the content inside inline floating frames transparent.

Using the Popup Object

The popup object enables you to create window objects that take full advantage of DHTML.

Using the TextRange Object

Most users will only want to use the innerText/innerHTML and outerText/outerHTML properties and methods discussed previously. However, there is some more advanced text manipulation that can be done using a "text range" object.

Working with Windows, Frames, and Dialog Boxes

Internet Explorer creates a window object whenever it opens an HTML document. Because this object is the highest-level object in the object model, you use it to gain access to properties and subobjects in the object model that you need to dynamically access the document content. This article explains how to use the window object, create new window objects, and create special types of window objects.


About the DHTML Object

About the DHTML Object Model

The Dynamic HTML (DHTML)燚ocument Object Model (DOM) allows authors direct, programmable access to the individual components of their Web documents, from individual elements to containers. This access, combined with the event model, allows the browser to react to user input, execute scripts on the fly, and display the new content without downloading additional documents from a server. The DHTML燚OM puts sophisticated interactivity within easy reach of the average HTML author.

  • What Is the Object Model?
  • Accessing Elements with Script
  • Events: Bubbling, Canceling, and Handling
  • Handling Rollover Effects
  • Canceling Events
  • Special Considerations
  • Related Topics

What Is the Object Model?

The object model is the mechanism that makes DHTML programmable. It doesn't require that authors learn new HTML tags, and it doesn't involve any new authoring technologies. In fact, the object model builds on functionality that authors have used to create content for previous browsers. Remember setting the value for a form element in script, or adding mouseover events to links in Microsoft® Internet Explorer 3.0? If so, you've been using a limited form of the object model to access your HTML with script.

What's different in the current object model is that now every HTML element is programmable. This means every HTML element on the page can have script behind it that can be used to interact with user actions and change the page content dynamically. This event model lets a document react when the user has done something on the page, such as moving the mouse pointer over a particular element, pressing a key, or entering information into a form input. Each event can be linked to a script that tells the browser to modify the content on the fly, without having to go back to the server for a new file. The advantages to this are that authors will be able to create interactive Web sites with fewer pages, and users do not have to wait for new pages to download from Web servers, increasing the speed of their browsing and the performance of the Internet as a whole.

Accessing Elements with Script

Every HTML element is a scriptable object in the object model, with its own set of properties, methods, and events. However, to write script for each element object, the author must know how to get to an element.

The object model focuses on collections of elements, a hierarchy of groupings that the elements fall into. The most important of these collections are the all collection and the children collection. A DHTML document is a structured arrangement of elements, and in the following example, each element has a scope of influence that depends on where in the document the tags appear.

<HTML>
<BODY>
<DIV>
<P>Some text in a
<B>paragraph</B>
</P>
<IMG id=image1 src="mygif.gif">
</DIV>
<IMG id=image2 src="mygif.gif">
</BODY>
</HTML>

In the preceding example, the div object contains (and is the parent of) the p object and the img object called image1. Conversely, image1 and the p are children of the div. The img object called image2, however, is a child of the body object.

Each element object has an all collection that contains all the elements that are beneath that element in the hierarchy, and a children collection that contains only the elements that are direct descendants of that element. In the preceding example, the b would be in the div object's all collection, but would not appear in the div object's children collection. Similarly, the div is a member of the body object's children collection, but the p is not.

In addition to these collections for each element, the document itself (represented by the document object) has a number of element and nonelement collections. The most important collection is an all collection that contains all the elements on the Web page. This collection is the primary way to access elements through script. For more information about using collections, see Scripting with Elements and Collections.

Events: Bubbling, Canceling, and Handling

Clicking a button, moving the mouse pointer over part of the Web page, selecting some text on the page—these actions all fire events, and a DHTML author can write code to run in response to the event. This particular piece of code is generally known as an event handler, because that's what it does, it handles events.

Event handling is not unique to Internet Explorer 4.0 or even Internet Explorer 3.0; Netscape Navigator 3.x and Communicator also handle events. However, in Internet Explorer 4.0, the HTML elements on a Web page that are the source of the events, and the types of events that are generated, have been greatly expanded. Previously, only a small set of HTML elements could generate events, such as anchors, image maps, form elements, applications, and objects. With the Internet Explorer 4.0 event model, every HTML element on the page can be the source for a full set of mouse and keyboard events.

The following is a set of common events that every HTML element generates in Internet Explorer 4.0.

Mouse event | Generated when the user:
onmouseover | Moves the mouse pointer over (that is, enters) an element.
onmouseout | Moves the mouse pointer off (that is, exits) an element.
onmousedown | Presses any of the mouse buttons.
onmouseup | Releases any of the mouse buttons.
onmousemove | Moves the mouse pointer within an element.
onclick | Clicks the left mouse button on an element.
ondblclick | Double-clicks the left mouse button on an element.
Keyboard event | Generated when the user:
onkeypress | Presses and releases a key (full down-and-up cycle). However, if a key is held down, multiple onkeypress events are fired.
onkeydown | Presses a key. Only a single event is fired, even if the key is held down.
onkeyup | Releases a key.

To help authors build code that is compact, simpler, and easier to maintain, Internet Explorer 4.0 introduces event bubbling as a new way to handle events. Microsoft Windows®, OS/2, OSF Motif, and almost every other graphical user interface (GUI) platform uses this technique to process events in their user interfaces. However, event bubbling is new to HTML and provides an efficient model for incorporating event handling into Web documents.

Previously, if an HTML element generated an event, but no event handler was registered for it, the event would disappear, never to be seen again. Event bubbling simply passes these unhandled events to the parent element for handling. The event continues up ("bubbles up") the element hierarchy until it is handled, or until it reaches the topmost object, the document object.

Event bubbling is useful because it:

  • Allows multiple common actions to be handled centrally.
  • Reduces the amount of overall code in the Web page.
  • Reduces the number of code changes required to update a document.

The following is a simple example of event bubbling in action.

<HTML>
<BODY>
<DIV id=OuterDiv style="background-color: red" onmouseover="alert(window.event.srcElement.id);">
This is some text
<IMG id=InnerImg>
</DIV>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

On this page, when the user moves the mouse pointer over the text, the text "OuterDiv" appears in a dialog box. If the user moves the mouse pointer over the image, the text "InnerImg" appears in a dialog box.

Notice that the onmouseover event for the img object was handled even though it does not have an event handler. Why is this? The onmouseover event from the img object bubbles up to its parent element, which is the div object. Because the div object has an event handler registered for the onmouseover event, it fires and generates the specified dialog window.

Every time an event is fired, a special property on the window object is created. This special property contains the event object. The event object contains context information about the event that just fired, including mouse location, keyboard status, and, most importantly, the source element of the event.

The source element is the element that causes the event to fire, and is accessed using the srcElement property on the window.event object.

In the preceding example, the dialog box displays the id property of the event's srcElement.

Handling Rollover Effects

An author creates a rollover effect to make part of a page react when the user moves the mouse pointer over it. With Internet Explorer 4.0, the process of creating a rollover effect is greatly simplified.

<HTML>
<HEAD>
<STYLE>
.Item {
cursor: hand;
font-family: verdana;
font-size: 20;
font-style: normal;
background-color: blue;
color: white
}
.Highlight {
cursor: hand;
font-family: verdana;
font-size: 20;
font-style: italic;
background-color: white;
color: blue
}
</STYLE>
</HEAD>
<BODY>
<SPAN class=Item>Milk</SPAN>
<SPAN class=Item>Cookies</SPAN>
<SPAN class=Item>Eggs</SPAN>
<SPAN class=Item>Ham</SPAN>
<SPAN class=Item>Cheese</SPAN>
<SPAN class=Item>Pasta</SPAN>
<SPAN class=Item>Chicken</SPAN>
<SCRIPT>
function rollon() {
if (window.event.srcElement.className == "Item") {
window.event.srcElement.className = "Highlight";
}
}
document.onmouseover = rollon;
function rolloff() {
if (window.event.srcElement.className == "Highlight") {
window.event.srcElement.className = "Item";
}
}
document.onmouseout = rolloff;
</SCRIPT>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

In the preceding example, seven span objects are initially set to use the class Item. When the mouse pointer moves over any one of those elements, it will be changed to use the class Highlight.

Innovations in Internet Explorer 4.0 enable the following:

  • Events now can be generated from a span object. Previously, an author would have had to wrap each span in an anchor to get the right events.
  • With event bubbling, events can be captured at the document object level. You do not need to create separate event handlers for each element that participate in the effect. For example, should the author add HTML to the page, these additional elements will participate in the event model without changing a single line of script. Notice that the document object is the "super parent" for all elements in the document body.

Canceling Events

All events bubble to their parent element (and, recursively, all the way up to the document object) unless the event is canceled. To cancel an event, you must set the window.event.cancelBubble property to "true" in the event handler. Note that unless canceled, events will bubble up the hierarchy and be handled by all parent elements registered to the event, even if the event has already been handled.

Canceling event bubbling should not be confused with canceling the default action for the event. Some events (for example, the onclick event on an anchor) have a default action. When an anchor is clicked, its default action is to navigate the current window to the URL specified in the src property. Returning "false" from an event handler, or setting window.event.returnValue to "false", cancels the default action but does not cancel event bubbling unless window.event.cancelBubble is also set. Conversely, canceling an event's bubbling doesn't cancel its default action.

The last example shows how to use event bubbling to apply a common effect to a set of elements. If you want to exclude an element from that effect, simply change the following line of code, from:

<SPAN class=Item>Ham</SPAN>

to:

<SPAN class=Item onmouseover="window.event.cancelBubble = true;"
onmouseout="window.event.cancelBubble = true;">Ham</SPAN>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

No matter how many times the user moves the mouse pointer over the word Ham, it will not change style. This is because both the onmouseover and onmouseout events are canceled; they did not bubble through to the document, so the document was never given the opportunity to handle those events for the word Ham.

Special Considerations

At any one time, you can have an onmouseover event only on a single object. Consider the following case:

<DIV id=MyDiv>
<IMG id=MyImg>
</DIV>

If you were to move your mouse pointer over the img, the order of events would be as follows:

MyDiv:: onmouseover
MyDiv:: onmouseout
MyImg:: onmouseover

Moving your mouse pointer off the img fires the MyDiv::onmouseover event again.

At times, the author might want to detect when the mouse pointer moves outside a div to perform a special effect. It is not enough to simply trap the onmouseout event. To make this easier, Internet Explorer 4.0 indicates the source element (fromElement) and target element (toElement) for the onmouseover and onmouseout events. You can use these properties in combination with the contains method to tell when the mouse pointer moves outside a region.

The following example shows how to use these properties and methods.

<HTML>
<BODY id=Body>
<DIV id=OuterDiv style="width: 100px; height: 50px; background: red"
onmouseover="over();" onmouseout="out();">
<IMG id=Img1>
<IMG id=Img2>
<IMG id=Img3>
</DIV>
<SCRIPT>
function over() {
var s;
s = "onmouseover: "+window.event.srcElement.id+" from: "+
window.event.fromElement.id+" to: "+window.event.toElement.id;
alert(s);
}
function out() {
var s;
s = "onmouseout: "+window.event.srcElement.id+" from: "+
window.event.fromElement.id+" to: "+window.event.toElement.id;
alert(s);
if (!(OuterDiv.contains(window.event.toElement))) {
alert("Out Now");
}
}
</SCRIPT>
</BODY>
</HTML>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Related Topics

  • Working with Windows, Frames, and Dialog Boxes
  • Scripting with Elements and Collections
  • Understanding the Event Model
  • About Cross-Frame Scripting and Security


Introduction to

Introduction to Forms

Forms provide an interface for collecting, displaying, and delivering information, and are a key component of HTML. By providing different controls such as text fields, buttons, and checkboxes, forms can enhance Web pages with a means to exchange information between a client and a server. The various controls allow authors and users to perform actions, make choices, and quickly identify and enter information. When the form data is submitted to the server- or client-side script, the information either is parsed and cataloged, or redirected in response to the submission. Forms are prevalent throughout all graphics-based operating systems and Web pages.

Web-based forms are supported in most browsers, and including forms in a Web page is relatively straightforward. This overview introduces form controls, discusses form design and accessibility, and provides a first step to submitting and managing form data.

Note Handling form submissions requires knowledge of a programming language such as Perl, C++, or server-side scripting and Active Server Pages (ASP).
  • Advantages of Forms
  • Form Controls
  • Implementing Forms
  • Organizing and Enhancing Forms
  • Working with Text
  • Submitting Forms
  • Submission Issues
  • Related Topics

Advantages of Forms

Using forms is advantageous because they are:

  • Easy to implement. There are several controls that provide a means to exchange information with a user.
  • Extensible. Dynamic HTML (DHTML) allows an author to update and modify forms and controls as needed.
  • Accessible. Using the Cascading Style Sheets (CSS) attributes, supported as of Microsoft® Internet Explorer 4.0 and later, allows authors to tailor form controls with specific styles.

Forms provide a convenient interface for exchanging information between a server and a client, and allow an author to quickly create and distribute an HTML interface to a large audience. With DHTML, Web authors can enhance forms using CSS and client-side scripting languages, such as Microsoft JScript® and Microsoft Visual Basic® Scripting Edition (VBScript).

To enhance a form's visibility and make its controls easier to use, an author can apply CSS attributes, such as positioning and dynamic styles. Combined with robust client-side scripts, forms also can be enhanced to provide validation or masking, or even to perform calculations once reserved for the server.

Form Controls

Form controls allow authors to provide Web sites with benefits similar to other graphics-based programming languages. The following table provides a list of the supported form controls, when they were first available in Internet Explorer, what attributes are submitted, and a description.

Element/Control | Availability | Submitted | Description
button | 4.0 | NAME, VALUE | Rich button control that can include DHTML is rendered. When submitted, Internet Explorer 4.0 submits the innerText property, and Internet Explorer 5 and later submits the NAME/VALUE pair.
input type=button | 3.0 | NAME, VALUE | input element is rendered as a button. Events such as onclick can be included with the button to provide action when it is clicked.
input type=checkbox | 3.0 | NAME, VALUE | input element is rendered as a check box. The check box is useful for selecting multiple groups of topics (for example, selecting favorite magazines) and Boolean decisions (for example, adding your e-mail to the mailing list). Events such as onclick can be used in conjunction with the checked property to determine conditions (for example, displaying a hidden object).
input type=file | 4.0 | NAME, VALUE (encoded) | Nonscriptable text field and Browse button are rendered. The ENCTYPE attribute for a form must be set to multipart/form.data for this control to work properly. For security reasons, the VALUE attribute is not accessible in script on the client.
input type=hidden | 3.0 | NAME, VALUE | Hidden control is rendered, and is useful for submitting additional information that does not need to be displayed to the user.
input type=image | 3.0 | NAME | Submit control is rendered as an image. The image control is a useful alternative to using buttons. When the image control is clicked, it is the only image control submitted for the form. In addition, an image control is submitted only if the NAME attribute is specified.
input type=password | 3.0 | NAME, VALUE | Text field masked with asterisks is rendered. The password field is useful on the client for shielding private information from anyone looking at the same screen.
input type=radio | 3.0 | NAME, VALUE | Radio control is rendered, and is useful for selecting one item from a set. Selecting one radio control clears any other radio controls with the same NAME attribute value.
input type=reset | 3.0 |  | Button that resets all form values is rendered.
input type=submit | 3.0 | NAME, VALUE | Button that sends all the information for a particular form to the script or program specified in the ACTION attribute is rendered. The METHOD attribute specifies the way in which the form information is delivered. Submit controls are sent only if the NAME attribute is defined. If more than one submit control exists in a particular form, only the control that is clicked is sent.
input type=text | 3.0 | NAME, VALUE | Single-line text field is rendered.
select | 3.0 | NAME, option(selected) | Drop-down list box or list box is created, comprised of included option elements, or created dynamically using the options collection and add method. A list box is created by specifying a value greater than 1 for the SIZE attribute. Multiple options in a list box can be selected by including the MULTIPLE attribute. If the MULTIPLE attribute is included, a list box is created. If the SIZE and MULTIPLE attributes are not present, a drop-down list box is created.
textArea | 3.0 | NAME, VALUE | Text field with multiple lines is rendered. The VALUE attribute of the textArea element is equivalent to the innerText property, and is located between the opening and closing tags.

Implementing Forms

Before implementing forms on a Web site, the need for the form element must be determined. The form element is necessary for submitting form controls to a server. When a form is submitted, only the name/value pairs for the controls within the submitted form element are sent. The form element is not necessary if form controls are being used only for client-side scripting. However, other browsers may require the element before the controls are rendered.

When using the form element, the ACTION and METHOD attributes specify how and where the data in the form controls is delivered. The two methods used are get and post.

  • The get possible value specifies that the form data is appended to the URL specified in the ACTION attribute, and limits the amount of data to 256 characters. This method is deprecated due to the size limitation and visibility in the document location. However, it is useful for debugging transactions, because the submission string is visible as a part of the path.
  • The post possible value sends form data as a post transaction, is not limited in size, and is the preferred method for delivering data to the server.

A form action is any script designed to process the delivered information and reply to the HTTP server, so that results can be returned to the client. The following sample demonstrates the syntax of the form element that sends form data as a post transaction to an ASP.

<FORM ACTION = "process.html" METHOD = "post">
:
</FORM>

Form controls are added to Web pages as HTML elements. For example, adding two text fields for the first and last names of visitors only requires the input type=text control.

<FORM>
First Name: <INPUT TYPE = "text" NAME = "FirstName">
<BR>
Last Name: <INPUT TYPE = "text" NAME = "LastName">
</FORM>

When adding controls, it is important to understand the difference between the ID and NAME attributes. Both attributes are accessible through client-side scripting, but only the NAME is passed when the form is submitted. In addition, the ID can be referred to directly in script while the NAME must be referred to by including the NAME of the parent form, if the element is a child of a form element. For example, if a Web author wants to access the VALUE attributes of the FirstName text field on the client, the following considerations must be taken into account.

<FORM NAME = "Form1">
<INPUT TYPE = "text" ID = "oFirstName" NAME = "FirstName" >
</FORM>
  1. If the ID attribute is assigned, the element can be directly accessed within script. Keep in mind that the ID is not submitted.
    var sFirstName = oFirstName.value;
  2. If the text field is not a child of a form element, the NAME attribute can be used to identify the text field.
    var sFirstName = oFirstName.value;
  3. If the text field is a child of a form element and does not have an assigned ID attribute, then the NAME attribute of the form, or the ordinal position of the form in the forms collection, must be used to access the text field. In addition, the item method can be used to refer to a particular control of the form without specifying the NAME or ID.
    // Access the VALUE through the form NAME
var sFirstName = Form1.FirstName.value;
// Access the VALUE through the forms collection using the NAME attribute.
var sFirstName = document.forms[0].FirstName.value;
// Access the VALUE through the forms collection using the item method.
var sFirstName = document.forms[0].items[0].value;

The input type=text, input type=password, and textArea controls are useful for submitting name/value pairs. A Web author may want more specific information or a more controlled environment for entering information. Ensuring that the correct information is supplied is critical for databases that rely on specific values for queries. It is useful to provide preset values and choices that can be selected when particular information is required.

The select, input type=checkbox, and input type=radio controls are ideal for selecting preset information and making choices without requiring (though allowing) keyboard input. This makes it easier and faster for users to supply information, and it means that the Web author or system administrator knows the exact value combinations.

The select control is extremely useful for quickly selecting one or more items from a predefined or dynamically constructed list. Implementing the select control is straightforward, but doing something with the control can be difficult. The select control allows a Web author to choose from several implementations using the SIZE and MULTIPLE attributes.

The three primary implementations of the select control are illustrated in the following diagram, accompanied by the attribute settings used to achieve the rendered version.

Form Screenshot 2

The three different implementations of the select control are a drop-down list box, a list box, and a multi-select list box. The option object is used to populate the control. Referring to the selected values requires being able to identify the control and the selected option. To retrieve the selected value, the selectedIndex property is used with the options collection to identify the particular item. For example, the following code contains a sample select control and a few lines of script that use the alert method to display the selected value when the onchange event fires.

<SCRIPT>
function fnShowText(){
/* Use the selectedIndex property of the SELECT control
to retrieve the text from the options collection. */
var sText = oSel.options(oSel.selectedIndex).text;
alert(sText);
}
</SCRIPT>
<SELECT ID = "oSel" onchange = "fnShowText()">
<OPTION>Luna
<OPTION>Saturn
<OPTION>Europa
<OPTION>Io
<OPTION>Jupiter
<OPTION>Monolith
</SELECT>

A somewhat different approach is required to retrieve the selected values from a multi-select list. By iterating through all the options, the selected property can be queried to determine if the option is selected. If so, the current index of the iteration can be used to acquire the text or value of the item. The following sample code demonstrates how this is done.

<SCRIPT>
function fnShowText(){
/* Look through all the options to find selected items. */
for(var i = 0; i < oSel.options.length; i++){
/* Check to see if a particular option is selected */
if(oSel.options(i).selected){
/* Return the selected value */
alert(oSel.options(i).text);
}
}
}
</SCRIPT>
<SELECT ID = "oSel" MULTIPLE SIZE = "5" onchange = "fnShowText()">
<OPTION>Luna
<OPTION>Saturn
<OPTION>Europa
<OPTION>Io
<OPTION>Jupiter
<OPTION>Monolith
</SELECT>

When a multi-select list is submitted, the items are sent as a comma-delimited list. If a VALUE attribute is not provided as an option, the TEXT attribute is sent instead.

The input type=checkbox and input type=radio controls provide similar interfaces with different capabilities. When the NAME attributes for two or more input type=radio controls are the same, the controls act as a collection. As a collection, only one input type=radio control can be checked at a time. Selecting one option at a time makes this control ideal for Boolean choices, or options that only have one possible value.

For example, if an elementary school history teacher wants to design a multiple-choice exam, the choices could be comprised of radio controls. The following sample demonstrates how the input type=radio control is implemented. To provide label elements, each radio control receives a unique ID attribute, while the NAME attribute remains the same to allow the controls to function as a collection. An input type=button object is included to provide the correct answer, and an onclick event is used to verify the checked property of the controls.

<FORM NAME = "Form1">
The first President of the United States was:
<TABLE>
<tr>
<td>
<LABEL FOR = "oRadio1">George Washington</LABEL></td>
<td><INPUT TYPE = "radio" NAME = "radio1" ID = "oRadio1"></td>
</tr>
<!-- Place additional choices here -->
</TABLE>
<INPUT TYPE = "button" VALUE = "Check Answer" onclick = "fnGetAnswer()">
</FORM>

To determine which radio control is selected, the collection is accessed and the checked property is verified.

<SCRIPT>
var aRadio1Answers=new Array("Correct.","Incorrect","Incorrect,"Incorrect");
function fnGetAnswer(){
for(var i=0;i<Form1.radio1.length;i++){
if(Form1.radio1(i).checked){
alert(aRadio1Answers[i]);
}
}
}
</SCRIPT>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

On the other hand, if several choices from a group need to be made, then the input type=checkbox control can be used. For example, if a teacher wants to test a student's knowledge about a range of information, the input type=checkbox control is preferred for allowing a series of choices to be made. The syntax is the same as the radio control, only the TYPE attribute is different.

Select the inventions created before 1500 AD.
<FORM NAME="Form1">
<TABLE>
<TR>
<TD><LABEL FOR = "oInvention1">Crop Rotation (science)</LABEL></TD>
<TD><INPUT TYPE= "checkbox" NAME = "invention1" ID = "oInvention1"></td>
<!-- Place additional choices here -->
</TABLE>
<INPUT TYPE = "button" VALUE = "Check Answers" onclick = "fnCheck()">
</FORM>

In this example, the correct values are predetermined. In fact, checking for the correct values is easy. However, it gets a little tricky checking for incorrect values and handling the different cases.

// Preset binary markers for the correct answers.
var aAnswers=new Array(0,1,0,0,0,1,1,0,1,1);
// Total number of correct answers possible.
var iTotalCorrect=5;
// Number of attempts to submit answers.
var iTries=0;
function fnCheck(){
// Increment tries and set correct and incorrect answers to zero.
iTries++;
var iCorrect=0;
var iIncorrect=0;
// Use an array of preset binaries and see if the correct control
is checked.
for(var i=0;i<Form1.invention1.length;i++){
// If the check box is checked and the binary is 1, it is a
// correct answer.
if((Form1.invention1(i).checked)&&(aAnswers[i]==1)){
iCorrect++;
}
// If the check box is checked and the binary is 0, it is an
incorrect answer.
if((Form1.invention1(i).checked)&&(aAnswers[i]==0)){
iIncorrect++;
}
}
// If there are fewer correct answers than the total, or there
// are any incorrect answers, return the following message.
if((iCorrect<iTotalCorrect)||(iIncorrect>0)){
alert("You have some correct and " + iIncorrect +
" incorrect answers.");
}
// If there are no incorrect answers, and all the correct answers
// are chosen, continue.
if((iCorrect==iTotalCorrect)&&(iIncorrect==0)){
// Proceed based on number of attempts.
if(iTries==1){
alert("Congratulations, you got them all right on the
first try!");
}
else{
alert("Congratulations.  It took " + iTries + " tries.");
}
}
}
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Organizing and Enhancing Forms

Forms can quickly become large and difficult to organize and use. Internet Explorer 4.0 and later supports several features that help authors manage forms, and help users quickly jump to particular places on a form.

  • Visual enhancements provide authors with an effective way to organize how forms are positioned on a document.
      • The fieldSet element groups form controls into a bordered field. A legend element is used to specify the title of the field.
      • The label element provides authors with a means to identify the purpose of a form control, and gives users an easy way to set focus on that control by clicking on the label.
  • Keyboard enhancements provide users with a quick, logical way of accessing specific areas of a form.
      • The TABINDEX attribute allows authors to specify the cycle order of form controls when a user presses the tab key to move to the next control.
      • The ACCESSKEY attribute allows authors to specify a keyboard combination that sets focus on a specific form control.

The following image shows how the fieldSet and legend elements can be used to group input type=text and label elements together.

Form Screenshot 1

Using the enhancements just mentioned, a form can be organized to make it available to more users. The following code demonstrates how these enhancements are implemented.

<!-- The FIELDSET is a container for the controls. -->
<FORM>
<FIELDSET STYLE="width: 200;">
<!-- The LEGEND identifies the FIELDSET -->
<LEGEND>Accessibility Form</LEGEND>
<TABLE>
<TR>
<TD>
<!-- A TABINDEX of -1 specifies this object is skipped. -->
<LABEL TABINDEX = "-1" FOR= "oFirstName">
<!-- The acceleration key is underlined for easy identification -->
<SPAN STYLE = "text-decoration: underline;">F</SPAN>irst Name
</LABEL>
</TD>
<TD>
<!-- The ID is defined for the LABEL, the NAME is provided for form submission -->
<INPUT TABINDEX = "1" TYPE = "text" ID = "oFirstName" NAME = "FirstName" ACCESSKEY = "F">
</TD>
</TR>
</TABLE>
</FIELDSET>
</FORM>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The AutoComplete feature, available in Internet Explorer 5 and later, provides further enhancements to forms usability. For more information, see the Using AutoComplete in HTML Forms overview.

Working with Text

Text plays an important role in forms, particularly for messages, database queries, or updating content. In addition, managing text is a prerequisite for developing any sort of word processing or data organization, such as with spreadsheets. Since form controls primarily are designed to work with ASCII text, formatting the value within the control can be extremely difficult.

The form controls that permit direct user input are the input type=text and textArea elements. The textArea element is ideal for entering messages with multiple lines. The size of the textArea element is adjustable using the COLS and ROWS attributes. Wordwrap is specified using the WRAP attribute. The following sample code highlights the syntax for a textArea element using the COLS, ROWS, and WRAP attributes.

<TEXTAREA COLS = "50" ROWS = "10" WRAP = "hard">
...
</TEXTAREA>

Beyond simply entering text messages, the textArea element is useful for working with raw information provided by the user. For example, if a technical-support Web site wants to provide an automated feature that checks for temporary files that can be deleted, then a total list of files from a particular directory may be required from the user. An easy and security-conscious way to get this information from the user's hard drive to the Web site would be to simply have the user paste the file list into a textArea element. Once the file list is provided, the Web site can then proceed to analyze the files in client-side script.

A common character is all that is needed to convert the VALUE attribute of the textArea element into a functional list for analysis. In this case, a line return can be used to parse the VALUE and create an array. The following code demonstrates how this is done.

<SCRIPT>
function fnParseValue(){
var oFileArray = new Array();
oFileArray = oConvert.value.split("\n");
// This returns a script array that can now be sorted or altered.
}
</SCRIPT>
<TEXTAREA onpaste = "fnParseValue()" ID = "oConvert">
Past file list here.
</TEXTAREA>

Submitting Forms

When a form element is submitted, only the controls within that element are sent. There are many different reasons to use forms, but there are only a few locations to which the information can be sent. Form submissions can be sent to:

  • Client-side script, a Java applet, or an Microsoft ActiveX® control.
  • Server-side script, a servlet, or a control.
  • E-mail.

Form information can be processed on the client using JScript, VBScript, or any other supported scripting language. Processing form information on the client is useful for any Web-based utility or tool not requiring interaction with the server. If the form data needs to be written to a file or added to a database, then server interaction most likely is required.

The script or application handling the form submission is specified by the ACTION attribute. This script can be just about any script or application that is supported by the Web server or operating system, and that generates results the client can understand (typically HTML). The scripts that handle form submissions are referred to as Common Gateway Interface (CGI) scripts. Some languages that CGI scripts are written in are Perl, Visual Basic, Microsoft Visual C++®, and Java.

Web authors also can use server-side script embedded in the Web document, such as ASP. Server-side script is preprocessed by the Web server, and the results are generated in HTML. For example, ASP allows Web authors to use predefined scripting objects and implementations of client-side script to achieve the same results as other CGI-capable languages.

Whether it is designed to be processed on the client or on the server, a form can be submitted in one of the following ways:

  • Using the input type=submit control.
  • Using the input type=image control.
  • Using the button object with the TYPE attribute set to submit.
  • Using the submit method in script.

In addition to using a scripting language, a control, or an application, forms also can be submitted using the mailto protocol. It is recommended to set the METHOD attribute to post and the ENCTYPE attribute to text/plain on the form element when using mailto. To use this protocol, the e-mail message can be constructed within the mailto protocol, or using the e-mail form names. If no names are provided, the information simply is appended to the e-mail body. The following list provides e-mail form names and a description of each one.

  • Recipient specifies the primary address to where the e-mail is sent.
  • Subject specifies the subject of the e-mail document.
  • CC specifies the recipient of a carbon copy of the e-mail.
  • BCC specifies the recipient of a blind carbon copy of the e-mail. The carbon copy and primary recipients do not see addresses included in the BCC field.
  • Body specifies the body of the e-mail document.

Using these particular field names only is practical when the mail path is not constructed in script. The following sample outlines an e-mail form that constructs the form action when the onsubmit event fires.

  • The e-mail form is a basic form with four text fields, one textArea element, a Submit button, and a Reset button. The button object is used instead of the input type=submit and input type=reset controls, so that the value can reflect the ACCESSKEY accessibility.
    <FORM METHOD = "get" onsubmit = "fnSetAction()" NAME = "oMailForm">
<LABEL FOR = "oTo"><SPAN>A</SPAN>ddress:</LABEL>
<INPUT ACCESSKEY = "A" ID = "oTo" VALUE = "" TYPE = "text" NAME = "recipient">
<BR>
<LABEL FOR = "oSubject">
<SPAN>S</SPAN>ubject:</LABEL>
<INPUT ACCESSKEY = "S" VALUE = "" ID = "oSubject" TYPE=text name="subject">
<BR>
<!-- Repeat for additional fields -->
<LABEL FOR=oBody><SPAN>M</SPAN>essage Body:</label>
<TEXTAREA TYPE=text ACCESSKEY="M" COLS=40 ROWS=5 ID=oBody TYPE=text NAME="body">
</TEXTAREA>
<BR>
<BUTTON ACCESSKEY="E" TYPE=submit>
Send <SPAN>E</SPAN>mail
</BUTTON>
<BR>
<BUTTON ACCESSKEY="R" TYPE=reset>
<SPAN>R</SPAN>eset E-mail Form
</BUTTON>
</FORM>
  • The onsubmit handler demonstrates how the e-mail message is added to the mailto protocol. The mailto protocol is created from a string of values based on the form fields and appended to the ACTION attribute. This is not necessary if the form field names match the e-mail field names.
    <SCRIPT>
function fnSetAction(){
if(oMailForm.recipient.value!=""){
var sAction="mailto:" + oMailForm.recipient.value;
if(oMailForm.subject.value!=""){
sAction+=""&Subject=" + oMailForm.subject.value;
}
if(oMailForm.cc.value!=""){
sAction+="&cc=" + oMailForm.cc.value;
}
if(oMailForm.bcc.value!=""){
sAction+="&bcc=" + oMailForm.bcc.value;
}
if(oMailForm.body.value!=""){
sAction+="&body=" + oMailForm.body.value;
}
oMailForm.action=sAction;
}
else{
alert("Address required.");
}
}
</SCRIPT>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

When the form is submitted to the CGI script specified by the ACTION attribute, the location of the form data is specified by the METHOD attribute. If the possible value get (deprecated) is used, the form data is appended to the URL, and a 4K limit is imposed. However, if the possible value post is used, the form data is sent with the HTTP header without a size limit.

The get possible value is advantageous for debugging scripts or learning how the submission process works. When using the get possible value, the form data can be retrieved in client-side or server-side script by analyzing the href property on the location object. The following sample demonstrates how this information is accessed through script. Consider a form with controls named oFirstName, oLastName, and oPhrase.

var aData=new Array();
function fnInit(){
var sLocation=  location.href;
var sData = sLocation.substring(sLocation.indexOf("?") + 1,sLocation.length);
aData = sData.split("&");
for(var i = 0;i < aData.length;i++){
var sName = aData[i].substring(0,aData[i].indexOf("="));
var sValue = aData[i].substring(aData[i].indexOf("=")+1,aData[i].length);
alert(sName + ' = "' + unescape(sValue));
}
}
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

After a form is submitted, the form data is appended to the URL. For instance, after the file name extension of the CGI script specified by the ACTION attribute, the form data might have the following appearance:

?oFirstName=Gertrude&oLastName=Spencer&oPhrase=My%20favorite%20color%20is%20plaid.

The first character in the preceding form data is a question mark (?), and it specifies that information following it is form data. Each name/value pair is grouped with the form control name, an equal sign (=), and the value. The value is encoded so that spaces and special characters are converted to their ASCII equivalents. Each name/value pair is separated by an ampersand (&).

The steps to recover the form data from the URL are as follows:

  • Separate the name/value pairs from each other.
  • Split the name from the value.
  • Unencode the value.

After the values are unencoded, a Web author can continue using the form data through script.

When a form is submitted using the post possible value, and the form data is appended to the HTTP header, the CGI script specified in the ACTION attribute generally provides a means to recover the name/value pairs. Keep in mind that the submitted form information is available through client-side script when using the possible value get, but not when using post.

Submission Issues

Submitting forms sometimes requires some insight into data management and the ability to adapt to new technology. As the document object model in Internet Explorer grows, and objects are interwoven with one another, it is not always clear as to how information can be sent to the server from objects that are not submitted with a form. One of the best solutions is to use an existing form control.

For example, a new technological feature, available as of Internet Explorer 5, is DHTML technological behaviors. While behaviors provide a robust information-access solution to Web authors, they are not inherently submitted with the form element unless they are part of a form control. It is unnecessary, though, for a behavior to be submitted with other controls simply because the methodology exists to handle this case. Information supplied by the behavior can be easily transferred to the VALUE attribute of an input type=hidden control, or any other control that submits the VALUE attribute. If a Web author wants to send information gathered from the clientCaps behavior, that information can be moved to a form control for the submission process.

The following code outlines how information gathered from a DHTML behavior can be submitted using a form control.

Start with a textArea control, an object participating in the CLIENTCAPS behavior, and a button to copy the data.

<TEXTAREA ID = "oOutput" COLS = "50" ROWS = "10">
</TEXTAREA>
<DIV ID = "oClientCaps" STYLE = "url(#default#clientCaps)">
</DIV>
<INPUT TYPE = "button" VALUE = "Copy Data" onclick = "fnGetCaps()">

Next, prepare the information in a format that can be accessed and used on the server, or can be the target of the form submission. For this sample, the information is stored in a comma-delimited list.

<SCRIPT>
function fnGetCaps(){
try{
oClientCaps.style.behavior = "url(#default#clientCaps)";
var sClientData="";
for(var i=0;i<pClientCaps.length;i++){
sClientData+="|" + pClientCaps[i]
+ "|,|" + eval("oClientCaps."
+ pClientCaps[i]) + "|\n";
}
oOutput.value=sClientData;
}
catch(e){
alert("Exception Error:\n\n" + e.error);
}
}
</SCRIPT>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

With the growing popularity of DHTML, there are times when form controls are not needed, but information needs to be submitted. The input type=hidden control is an ideal solution, because the name/value pair is submitted, but the control itself is not rendered. Web authors also can use CSS attributes and DHTML behaviors to enhance form controls, because they allow the controls to be better integrated with other designs on a particular page.

Related Topics

  • Using AutoComplete in HTML Forms


使用 IFRAME

使用 IFRAME 元素

使用 Microsoft® Internet Explorer 5.5，框架现在不再是基于窗口的了，这可以显著提高执行效能。除此以外，Internet Explorer 5.5 现在还可以改善了 IFRAME 元素，即内嵌浮动框架，并可使内嵌浮动框架的内容透明。

Internet Explorer 5.5 中的内嵌浮动框架提供了下列特性。

  • 与先前版本的 Internet Explorer 相比，显著增强了性能。Internet Explorer 5.5 现已针对更加有效的处理内嵌浮动框架全面优化。这意味着渲染更快，内存占用更少，滚动更迅速。
  • 内嵌浮动框架可以覆盖在其它内嵌浮动框架之上。
  • 内嵌浮动框架可以包含透明的内容。

此文档主要讨论了下面的主题。

  • 创建内嵌浮动框架
  • 使用内嵌浮动框架的透明特性
  • 叠放内嵌浮动框架
  • 相关主题

创建内嵌浮动框架

要创建内嵌浮动框架，请使用 IFRAME 标签。

<IFRAME NAME="Frame1" SRC="frame.htm" >
</IFRAME>

IFRAME 标签将在其位于 HTML 文件的位置处创建浮动框架。Internet Explorer 将把该框架内嵌渲染。SRC 标签属性指定了要在该框架中显示的内容。

你还可以在上面的 IFRAME 标签中放置内容，方法是使用框架目标，如下所示：

<A HREF="http://www.microsoft.com" TARGET="Frame1">查看 Microsoft 的 Web 站点</A>

上面的例子创建了一个超级链接，该链接将把内嵌浮动框架引导到 Microsoft 的 Web 站点。这个例子使用了 TARGET 标签属性将 Web 页装入了 IFRAME。IFRAME 标签的 NAME 标签属性对应于 A 标签的 TARGET。

安全警告 安全警告 为了保护用户的隐私以及保卫你的应用程序，Internet Explorer 限制由来自不同域下的 Web 页所组成的框架间的某些交互操作。要获得关于 frame 和 iframe 对象所使用的动态 HTML(DHTML) 对象模型的更多信息，请参看关于跨框架脚本和安全性以及安全性考虑: 动态 HTML。

使用内嵌浮动框架的透明特性

尽管 Internet Explorer 自 4.0 版本起就支持透明元素，但是直到 Internet Explorer 5.5 才支持内嵌浮动框架的透明内容。

如果想要内嵌浮动框架的内容保持透明，则必须满足下列条件。

  • 与 IFRAME 元素一起使用的 ALLOWTRANSPARENCY 标签属性必须设置为 true。
  • 在 IFRAME 内容源文档，background-color 或 BODY 元素的 BGCOLOR 标签属性必须设置为 transparent。
注意 尽管 BGCOLOR 标签属性也可以应用于 BODY 元素，但 HTML 4.0 并不建议这么做。推荐你换用 background-color 样式属性。

下面的例子演示了如何为 IFRAME 内容源文件应用 background-color 样式属性。

<HTML>
<BODY STYLE="background-color:transparent">
<P>透明。
</BODY>
</HTML>

下面的例子演示了如何将 IFRAME 元素改为适应透明内容。

<IFRAME NAME="Frame1" SRC="frame.htm" ALLOWTRANSPARENCY="true">
</IFRAME>

叠放内嵌浮动框架

Internet Explorer 4.0 及以后版本支持 z-index 样式属性。但是，直到 Internet Explorer 5.5 和更高本才支持内嵌浮动框架的 z-index 样式属性。如果指定了浮动框架的 z-order，你就可以分层次叠放框架。

要指定内嵌浮动框架的位置，请使用 z-index 标签属性。

<IFRAME SRC="frame.htm" STYLE="z-index:1" >
</IFRAME>

对于项目的叠放次序而言，哪个 z-index 的值小，哪个就放在下面；哪个值大，哪个就放在上面。而且，z-index 还可以是负数。

此特性需要 Microsoft® Internet Explorer 5.5 或以后版本。请单击下面的图标安装最新版本。然后重新装入此页再查看示例。

相关主题

  • background-color
  • BGCOLOR
  • IFRAME
  • z-index
  • 安全考虑: 动态 HTML


Introduction to

Introduction to Persistence

Persistence enables authors to specify an object to persist on the client during the current and future sessions using Dynamic HTML (DHTML) behaviors. Persistence allows Microsoft® Internet Explorer 5 and later to retain Web page information, styles, variables, and state. For example, a collapsible list of links within a table of contents can remain expanded to the user's choice upon leaving and later returning to the page. Or, a search engine query form can retain the last-used search string.

Persistence is implemented as a behavior. The new persistence behaviors include:

  • saveFavorite—persists page state and information when the web page is saved as a favorite.
  • saveHistory—persists page state and information within the current session's memory.
  • saveSnapshot—persists page state and information directly in the page when users save the Web page to their hard disk.
  • userData—persists page state and information within an Extensible Markup Language (XML) store, a hierarchical data structure.

Persistence creates new opportunities for the author. Information that persists beyond a single page without support from the server, or within the finite scope of cookies, can increase the speed of navigation and content authoring.

These behaviors can be used to preserve information in the browser's history, in favorites, in an XML store, or directly within a Web page saved to disk. When a user returns to a persisted page, the state of the page can be restored. By allowing information to safely reside on the client, fewer server transactions are required. Custom start pages and Web applications prosper because information can continue to exist without the paternal support of the server, or repeated server queries. A Web page can remain interactive to a degree, after the connection with the host has been severed, by persisting required information on the client.

  • Benefits
  • Using Persistence
  • Example Uses of Persistence
  • Persisting Content in XML
  • Persistence How-Tos
  • Related Topics

Benefits

Use of persistence in Internet Explorer 5 breaks away from the tradition of using cookies and session files to store information. The Microsoft model for client-server relationships using persistence and Internet Explorer 5 is pragmatic; it maintains the same-domain security policy associated with cookies while increasing storage and management capabilities.

 | Server solutions | Persistence solutions
Start pages | Custom start pages often rely on cookies and server-side databases to preserve client-specific information. Storing information such as client capabilities, favorite styles, and favorite content requires additional queries to the server to retrieve the information. This results in increased download time for the client and increased processing demands on the server. | Persistence via DHTML behaviors allows a page author to store information on the client. This reduces the need to query a server database for client-specific information and increases the overall performance of the page. Persistence stores the data hierarchically, making it more accessible.
Web apps | Web-based applications have remained tied to the server for the back-end strength and processing power they require. A Web site that includes a basic form to be sent in e-mail uses a server to handle the request, or a script to process any e-mail beyond a conventional note. | A persistent Web page can be saved with its form values intact, making it easier to transfer or preserve an entire document. Persistence introduces a new paradigm for Web applications by giving authors the ability to produce complex Web-based applications that take advantage of the client's processing power.
Forms | Advanced search engines and information entry and retrieval forms often rely on session variables and files to preserve information across Web pages. The server must send and store the same information with each new visit to the Web page, taxing the Web server and the Internet line. | While there is some information that should remain on the server, the rest can be stored on the client. Client-side scripting within each Web page can perform the necessary validation routines, leaving the server to higher-level security concerns. Since persisted information maintains a similar same-domain security structure as cookies, the client can be assured that rogue Web sites will not glean such information from their computers.

Using Persistence

Persistence behaviors require certain conditions before they can be used. A meta tag directs the browser that the page is persistent. Persistent elements are identified with a CLASS and an ID property. The onsave and onload event handlers can be defined for nondefault handling.

Behavior Description
saveFavorite Persists an object across sessions when the page has been saved as a favorite.

The getAttribute and setAttribute methods are used to store information on a persistent object. The onload and onsave event handlers can be used to call the methods.

The saveFavorite behavior is ideal for persisting user-selected styles within a favorite or shortcut. The persisted information is stored within each favorite, allowing multiple favorites with different persisted information to exist.

saveHistory Persists an object during the current session.

The getAttribute and setAttribute methods can be used to store information on objects participating in persistence. The onload and onsave event handlers can be used to call the methods.

The saveHistory behavior is ideal for storing information only while the browser is open, such as page state for collapsible content, or dynamic styles.

saveSnapshot Persists an object across sessions when a page has been saved as Web Page, HTML Only.

Form elements persist automatically. Script blocks designated to persist can contain only variables. Script objects and comments are removed. Qualifying variables from external sources on persisting script blocks are inserted.

The saveSnapshot behavior is ideal for persisting Web application information to the client's disk for later retrieval.

userData Persists an object across sessions in a UserData store (an arbitrary storage facility) when the object has been explicitly saved.

Form elements, styles, and dynamic values can be persisted using the getAttribute and setAttribute methods, and then explicitly saved using the load and save methods.

The userData behavior is ideal for persisting information across sessions and storing information in a hierarchical structure. It provides a good alternative to using cookies. The capacity of the userData store is 64 KB per page, with a limit of 640 KB per domain, for restricted sites. For security reasons, a userData store is available only in the same directory and with the same protocol used to persist the store.

security note Security Alert Using these behavior incorrectly can compromise the security of your application. The saveFavorite, saveSnapshot, and userData behaviors persist data as plain text in a saved Web page. Text is not encrypted and therefore not secure. Any application that has access to the drive where the page is saved also has access to the data and can tamper with it. Therefore, it is recommended that you not persist sensitive data like credit card numbers. For more information, see Security Considerations: DHTML and Default Behaviors.

An ID is not required for the saveFavorite and saveHistory behaviors, but is recommended for performance. The style element also can be set inline on a persistent object.

Example Uses of Persistence

The following examples show how to use behaviors to implement persistence.

The following examples shows the saveFavorite behavior.

<!-- Tell the browser the page is persistent-->
<META NAME="save" CONTENT="favorite">
<!-- Define the class for the persistent object-->
<STYLE>
.saveFavorite {behavior:url(#default#savefavorite);}
</STYLE>
<SCRIPT>
// Record information to the persistent object as an attribute.
function fnSave(){
oPersistInput.setAttribute("sPersistAttr",oPersistInput.value);
}
// Retrieve information from a persistent object.
function fnLoad(){
oPersistInput.value=oPersistInput.getAttribute("sPersistAttr");
}
</SCRIPT>
:
<!-- The CLASS enables the object to persist, the event handlers
fire the scripted functions.-->
<INPUT
TYPE="text"
CLASS="saveFavorite"
ID="oPersistInput"
onload="fnLoad()"
onsave="fnSave()"
>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The following example shows the saveHistory behavior.

<!-- Tell the browser the page is persistent-->
<META NAME="save" CONTENT="history">
<!-- Define the class for the persistent object-->
<STYLE>
.saveHistory {behavior:url(#default#savehistory);}
</STYLE>
:
<!-- The default behavior is to persist form elements.
When the saveHistory behavior is defined, form elements
will not persist unless they have a class.
-->
This persists:
<INPUT TYPE="text" CLASS="saveHistory" ID="oPersistInput">
This does not persist:
<INPUT TYPE="text">
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The following example shows the saveSnapshot behavior.

<!-- Tell the browser the page is persistent-->
<META NAME="save" CONTENT="snapshot">
<!-- Define the class for the persistent object-->
<STYLE>
.saveSnapshot {behavior:url(#default#savesnapshot);}
</STYLE>
:
<!-- When the page is saved, the information entered in the
persistent form element will be inserted as the value
within the HTML file.-->
<INPUT TYPE=text CLASS=saveSnapshot ID=oPersistInput>
:
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The following example shows the userData behavior.

<!-- Define the class for the persistent object-->
<STYLE>
.userData {behavior:url(#default#userdata);}
</STYLE>
<SCRIPT>
function fnSaveInput(){
// Persistent information is stored as an attribute
// on the persistent object, and saved within a
// UserData store.
var oPersist=oPersistForm.oPersistInput;
oPersist.setAttribute("sPersist",oPersist.value);
oPersist.save("oXMLBranch");
}
function fnLoadInput(){
// Persistent information is loaded from a UserData store
// and the value is restored from the persisted attribute.
var oPersist=oPersistForm.oPersistInput;
oPersist.load("oXMLBranch");
oPersistInput.value=oPersistInput.getAttribute("sPersist");
}
</SCRIPT>
:
<FORM ID="oPersistForm">
<INPUT class=userData type=text id=oPersistInput>
<INPUT type=button value="Load" onclick="fnLoadInput()">
<INPUT type=button value="Save" onclick="fnSaveInput()">
</FORM>
This feature requires Microsoft® Internet Explorer 5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Persisting Content in XML

The XMLDocument property allows the saveFavorite, saveHistory, and userData behaviors to access the XML Document Object Model (DOM). Using the XML DOM, persistent objects have access to the objects, properties, and methods that allow the author to build hierarchical data structures.

var oXMLDocument=oPersistText.XMLDocument;
var oNode=oXMLDocument.createNode("element","MyElement", "");
oNode.nodeValue="The value of MyElement";
oXMLDocument.documentNode.insertNode("MyElement");

In XML, this would yield:

<MyElement>The value of MyElement</MyElement>

Persistence How-Tos

Persistence introduces a broad expanse of possibilities. The following how-to articles cover some of the more interesting, albeit easy-to-employ, uses of persistence.

  • saveFavorite
    • Persisting Custom and Dynamic Styles
  • saveHistory
    • Persisting Collapsible Table of Contents State
  • saveSnapshot
    • Persisting Form Data
  • userData
    • Persisting Session Information

Related Topics

  • Introduction to DHTML Behaviors
  • Client Capabilities
  • Default Behaviors Reference


About Client

About Client Capabilities

Web developers are constantly searching for ways to design and implement sites that deliver the best user experience possible. One way to enhance user experience is to customize content based on capabilities that the client browser supports. For example, when a client-side script detects a low-bandwidth modem connection to the server, it may choose to request low-resolution images from the server to minimize bandwidth consumption.

Client capabilities consists of information about the browsing environment, such as screen resolution, screen dimensions, color depth, CPU, or connection speed. Microsoft® Internet Explorer 4.0 exposed client capabilities as properties through the Dynamic HTML (DHTML) Object Model. Internet Explorer 5 enhanced this further to include a means to install browser components on demand. Beginning with Internet Explorer 5, all this information was encapsulated into DHTML behaviors and made available as one of the browser's default behaviors.

By making this information available on the client, pages can be cached, server roundtrips minimized, server resources freed up as content generation shifts back to the client, and overall performance improved.

This article outlines the benefits introduced by a client-side solution and discusses the details involved in obtaining client capabilities information from the client. Realizing that a client-side solution is not suited for every Web site or Web application, a solution for server-side developers is also provided.

  • Benefits of a Client-Side Solution
  • Obtaining Client Capabilities
  • The Server-Side Approach
  • Related Topics

Benefits of a Client-Side Solution

Before the release of Internet Explorer 4.0, the only means of obtaining client capability information was through cookies. Microsoft Internet Information Server (IIS) provided another mechanism through the Browser Capabilities component. However, these two methods have inherent limitations. By exposing client capabilities on the client side, Internet Explorer 4.0 provides a solution that attempts to overcome these limitations.

Using Cookies

The following diagram illustrates what occurs when the user types in the URL of a site that requires client capabilities.

Client Capabilities Illustration

1) The client sends a request to the server. | 1) The client sends a request to the server.
2) The server sends back a script to obtain the information. | 2) The server sends the page, including a client-side script, to obtain the information.
3) The client executes the script and stores the information in a cookie. | 3) The client executes the script and renders the page.
4) The client sends the cookie back to the server.
5) The server processes the information in the cookie and generates a custom page.
6) The server sends the custom page back and the client renders it.

The following table outlines the limitations to the server-side approach that uses cookies, and explains how these problems are addressed by a client-side solution that uses client capabilities.

Server-side limitation | Client-side solution
Every time new client capability information is sent in a cookie as part of the client's request, the server spends precious cycles generating content for that client request. | By providing client capabilities on the client side, no cookies have to be passed back and forth. All the processing takes place on the client computer, none takes place on the server. This provides the server with more time to service other clients' requests.
Because the server generates a custom page for every client request, the page cannot be cached. | Client capabilities provides a way to shift the content generation process from the server back to the client. Because the server sends the same page for every client request for the same URL, the page is cached. Every subsequent client request for the same URL, therefore, can be serviced directly by the cache, rather than by an expensive roundtrip back to the server.
In a multiuser environment, where Internet requests are routed through a proxy server, the limitation is even more apparent. Consider the same scenario with 1,000 users. If every one of those users request the same page at least two times, the server has to respond 2,000 times to service each of those requests, because the page uses cookies and therefore cannot be cached on the proxy. | Because the client-side solution allows the page to be cached, the only time the proxy hits the server is the very first time a user requests the page. Every subsequent request for the same page is serviced directly by the proxy's cache, instead of the server. Consider the same environment of 1,000 users. This means one request instead of 2,000 requests. This represents a significant reduction in the number of server hits and results in increased performance on both the client and the server.

Using the Browser Capabilities Component

The server-side Browser Capabilities component in IIS provides information about the capabilities supported by the browser by comparing the user-agent HTTP Header with the entries in the Browscap.ini file. Server-side scripts are then able to deliver customized content based on this information. However, this approach poses limitations as well. The following table outlines how client capabilities addresses these limitations.

Server-side limitation | Client-side solution
The component relies on a file called Browscap.ini, which contains a static list of client capabilities based on the version of the browser. Due to the static nature of this file, it is updated every time a new version of the browser becomes available. | Exposing client capabilities on the browser works around this by making the same information available dynamically as part of the object model and accessible through script.
The static list maintained in Browscap.ini fails to account for options that the client can turn on or off on demand, nor does it provide version-independent information, such as whether certain components currently are installed on the client's system. | Among the types of information client capabilities provides are screen resolution, screen dimensions, available bandwidth, cookies or Java support, color depth, language, as well as components currently installed on the client.

Obtaining Client Capabilities

As highlighted in the preceding section, the ideal way to obtain client capability information is from a client-side script. This method minimizes server roundtrips, frees up server resources, and, consequently, boosts performance.

Internet Explorer 4.0 introduced this type of information as a set of enhancements to the DHTML Object Model, making it easily accessible to client-side scripts. In most cases, this information has been exposed as properties of the navigator object, which contains information about the browser. In other cases, the information is available as properties of the screen object.

The following table outlines the client capabilities exposed since Internet Explorer 4.0.

Client capability | Description | Implementation
availHeight | Retrieves the height of the working area of the system's screen, excluding the Microsoft Windows® taskbar. | window.screen.availHeight
availWidth | Retrieves the width of the working area of the system's screen, excluding the Windows taskbar. | window.screen.availWidth
bufferDepth | Sets or retrieves the number of bits per pixel used for colors in the off-screen bitmap buffer. | window.screen.bufferDepth
colorDepth | Retrieves the number of bits per pixel used for colors on the destination device or buffer. | window.screen.colorDepth
cookieEnabled | Retrieves whether client-side cookies are enabled in the browser. | window.navigator.cookieEnabled
cpuClass | Retrieves a string denoting the CPU class. | window.navigator.cpuClass
height | Retrieves the vertical resolution of the screen. | window.screen.height
javaEnabled | Returns whether Java is enabled. | window.navigator.javaEnabled()
platform | Retrieves the name of the user's operating system. | window.navigator.platform
systemLanguage | Retrieves the default language used by the system. | window.navigator.systemLanguage
userLanguage | Retrieves the current user language. | window.navigator.userLanguage
width | Retrieves the horizontal resolution of the screen. | window.screen.width

Sample Code

The following example downloads the appropriate image based on the number of colors supported by the client screen. If it detects fewer than 256 colors (or 8 bits per pixel), it displays an image of 16 colors; otherwise, it displays a higher resolution image. As a result, the colors are more suited to the client screen, and overall user experience is improved.

<IMG ID="myImage" WIDTH=200 HEIGHT=200>
<SCRIPT>
{
if (window.screen.colorDepth >= 8)
myImage.src = "256color.bmp"
else
myImage.src = "16color.bmp";}
</SCRIPT>
This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

As of Internet Explorer 5, client capabilities information has been available as one of the browser's default behaviors. Encapsulated in this behavior are all the properties exposed in Internet Explorer 4.0, plus a set of new properties and methods that enable Web applications to install browser components on demand. For a complete list of properties and methods included in the clientCaps behavior, see clientCaps.

The following example shows how to use the clientCaps behavior to obtain some of the available client capabilities information. For more information about behaviors and using behaviors on a page, see Related Topics.

This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The Server-Side Approach

Note This requires IIS 5.0.

Although the benefits are clear, a client-side solution might not be viable for every Web application. In some cases, a Web developer might be locked into a server-side solution, and the disadvantage of using cookies might be negligible. For those cases, Internet Explorer 5 and IIS 5.0 introduce a way to access client capability information from a server-side script, using a combination of cookies and the IIS Browser Capabilities component. As of IIS 5.0, the Browser Capabilities component has been extended to include client capability information as properties of the component.

Because the information is available on the client, accessing the information from a server-side script requires a few more steps.

Implementation Details

Here are the steps required to obtain client capability information from a server-side script.

  1. Create a file that contains the client-side script to retrieve the client capability information on the server's behalf.
    1. Cut and paste the following code to your file.

      Notice how the property names and their corresponding values are constructed as an ampersand-delimited list of name=value pairs. Persisting information as name=value pairs is characteristic of cookies. For more information, see cookie.

    2. Add as many name=value pairs as the number of client capabilities you need. When specifying name=value pairs, the property names specified on the left side of the equal sign do not need to match the names of the actual property in the DHTML Object Model. This specified property name is then used in step 2.c. below when the property is accessed from the server-side script.
    3. The BrowsCap cookie is set to the resulting string of all the name=value pairs.
    4. Once the cookie is passed back to the server, the Browser Capabilities component parses the string to find the values of individual properties from the cookie. These values are then accessible to the server-side script as properties of the component.
  2. Create a new Active Server Pages (ASP) file or modify an existing one.
    1. Insert the following METADATA tag as the first line in your ASP file. Make sure you set the SRC attribute to the name of the file you created in step 1. This file contains the client-side script to execute.
      <!--METADATA TYPE="Cookie" NAME="BrowsCap" SRC="InsertNameHere.htm"-->
    2. Create an instance of the Browser Capabilities component.

      There are two ways to do this. One way is to insert this object tag into your page.

      <OBJECT ID=myBrowsCap PROGID="MSWC.BrowserType" RUNAT="Server"></OBJECT>

      Another way is to call the CreateObject method of the Server object in ASP, and assign it to the variable myBrowsCap.

      <% Set myBrowsCap = Server.CreateObject("MSWC.BrowserType") %>
    3. Once the Browser Capabilities component is created, all client capability information retrieved from the preceding client-side script is accessible as properties of the component.
      <%
Response.write("width= "         +myBrowsCap.width          + "<br>")
Response.write("height= "        +myBrowsCap.height         + "<br>")
Response.write("availHeight= "   +myBrowsCap.availHeight    + "<br>")
Response.write("availWidth= "    +myBrowsCap.availWidth     + "<br>")
Response.write("bufferDepth= "   +myBrowsCap.bufferDepth    + "<br>")
Response.write("colorDepth= "    +myBrowsCap.colorDepth     + "<br>")
Response.write("cookies= "       +myBrowsCap.cookies        + "<br>")
Response.write("javaapplets= "   +myBrowsCap.javaapplets    + "<br>")
Response.write("cpuClass= "      +myBrowsCap.cpuClass       + "<br>")
Response.write("platform= "      +myBrowsCap.platform       + "<br>")
Response.write("systemLanguage= "+myBrowsCap.systemLanguage + "<br>")
Response.write("userLanguage= "  +myBrowsCap.userLanguage   + "<br>")
%>

Related Topics

  • Default Behaviors Reference
  • Introduction to DHTML Behaviors
  • Using DHTML Behaviors


About Element

About Element Positioning

Microsoft® Internet Explorer 4.0 supports the ability to position HTML elements in x- and y-coordinates, as well as overlap elements in planes along the z-axis, which extends toward and away from the viewer in a Web document. This capability allows authors to place elements—images, controls, or text—exactly where they want on the page. By using scripts to manipulate the position coordinates and other dynamic styles, authors can move elements around a page, creating animated effects. The combination of dynamic styles, positioning, transparent Microsoft ActiveX® Controls, and transparent images presents authors with a rich set of animation options.

  • What Is Positioning?
  • Absolute Positioning
  • Relative Positioning
  • Positioning Considerations
  • Controlling Content Visibility
  • Element Visibility

What Is Positioning?

Cascading Style Sheets (CSS) Positioning defines the placement of elements on a page, and is an extension of cascading style sheets as specified in the W3C Working Draft Non-Microsoft link on Positioning HTML with CSS. By default, elements flow one after another in the same order as they appear in the HTML source, with each element having a size and position that depends on the type of element, the contents of the element, and the display context for the element as it will render on the page. This default "flow" model for HTML layout doesn't provide the author with a high level of control over the placement of elements on the page. By applying a small set of CSS attributes to the elements that are defined for the page, you can control the precise position of elements by giving exact coordinates, or specifying placement relative to the position of other objects on the page.

Just like any other HTML or CSS attribute, the CSS attributes used to control an element's position are available for scripting. The position of these elements on the page can thus be dynamically changed with script. This is very powerful! The position of these elements can be recalculated and redrawn after the document is loaded without needing to reload the page from the server.

Controlling the position of an element uses several other layout control techniques. These include controlling the display of the object—that is, whether or not the element is displayed on the page, and how much of the element can be viewed by the user.

There are two ways to position an element in x- and y-coordinates. The type of positioning to use depends on the layout of the content and the purpose of the document. Absolute positioning means that the element is precisely placed relative to the parent coordinate system, regardless of any other content. Relative positioning places the item with respect to other elements on the page. Relative positioning depends on the default flow of the document, and reflows content should the user resize the browser.

Absolute Positioning

An absolutely positioned element is always relative to either the next positioned parent or, if there isn't one, the body by default. Values for left and top are relative to the upper-left corner of the next positioned element in the hierarchy. For example, to place an image at the top left corner of the document, you set the attributes to 0 as follows:

<IMG SRC="sample.gif" STYLE="position:absolute; left:0px; top:0px">

This positions the image within the border of the body element. Remember, there is a default border on the body, so if no border is desired, set the border of the body to 0 to position the image at the 0,0 coordinates of the client area.

To see how a positioned parent affects the absolute position, consider the following example.

<DIV STYLE="position:relative;left:50px;top:30px;height:100px;width:100px">
Some text inside the DIV that will be hidden by the image because the image
will be positioned over this flowing text.
<IMG SRC="sample.gif" STYLE="position:absolute; left:0px; top:0px">
</DIV>

This example places the img element at the upper-left corner of the div element, which is itself positioned on the page.

Setting an absolute position pulls the element out of the "flow" of the document and positions it regardless of the layout of surrounding elements. If other elements already occupy the given position, they do not affect the positioned element, nor does the positioned element affect them. Instead, all elements are drawn at the same place, causing the objects to overlap. You can control this overlap by using the z-index attribute to specify the order in which elements are stacked at the same location.

The contents of a positioned element flow within the given dimensions as default HTML would flow. For instance, text would wrap normally based on the width of the element, and various inline elements contained within the positioned elements will be placed next to each other in source order according to the constraints of size and shape of the "container" (that is, the positioned element).

Relative Positioning

Setting the CSS?A HREF="../properties/position.html">position attribute to "relative" places the element in the natural HTML flow of the document but offsets the position of the element based on the preceding content. For example, placing a piece of text within a paragraph with "relative" positioning renders the text relative to the text in the paragraph that precedes it.

<P>The superscript in this name<SPAN STYLE="position: relative; top:-3px">xyz</SPAN> is "xyz".

Should the user resize the window, the "xyz" still appears three pixels above the natural baseline of the text. You can set the left attribute in a similar way to change the horizontal spacing between "name" and "xyz". If the contents of the span were absolutely positioned, the "xyz" would be placed relative to the body (or the next positioned element in the hierarchy), and the "xyz" would be barely visible at the upper corner of the client area—probably not the effect the author intended!

Text and elements that follow a relatively positioned element occupy their own space and do not overlap the natural space for the positioned element. Contrast this with an absolutely positioned element where subsequent text and elements occupy what would have been the natural space for the positioned element before the positioned element was pulled out of the flow.

It is quite possible that relatively positioned elements will overlap with other objects and elements on the page. As with absolute positioning, you can use the z-index attribute to set the z-index of the positioned element relative to other elements that might occupy the same area. By default, a positioned element always has a higher z-coordinate than its parent element so that it will always be on top of its parent element.

Positioning Considerations

The type of positioning to use depends on the layout of the content and the purpose of the document. Relative positioning depends on the default flow of the document and will reflow content should the user resize the browser. However, absolute positioning gives you the control to precisely place images and text no matter what the user does to the display.

Here is an example of nesting an absolutely positioned element within a relatively positioned element. The desired effect is to center text in a rectangle. In the past, you might build tables and use attributes to center the content inside a table cell. However, this layout restricts you to a static table. Using positioning, this content can be worked into a larger layout, and then you can add scripting that might, for instance, have each of these elements fall into place from somewhere outside the document as the user loads the page!

<HTML>
<HEAD><TITLE>Center the DIV</TITLE>
<SCRIPT LANGUAGE="JScript">
function doPosition() {
two.style.top = document.all.one.offsetHeight/2 -
two.offsetHeight/2;
two.style.left = document.all.one.offsetWidth/2 -
two.offsetWidth/2;
}
</SCRIPT>
</HEAD>
<BODY onload="doPosition()">
<P>Some text in the beginning.</P>
<DIV ID=one
STYLE="position:relative;top:10px;height:200px;width:200px;
background-color:green">Some text in the outer DIV
<DIV ID=two STYLE="position:absolute;left:50px;width:100px;color:red;
border:red 2px solid">text in the inner DIV - color should be red
</DIV>
</DIV>
</BODY>
</HTML>

This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

In the example above, the outer div flows with the contents of the document that precedes it, meaning it is positioned 10 pixels immediately after the first paragraph. The inner div has an initial absolute position, but this position is modified by the script function "doPosition" when the document is loaded. The offsetWidth and offsetHeight properties are used to calculate the new absolute position for an element. In the example above, you can also use the posLeft or pixelLeft property to center the images. These properties give alternate access to the left property, letting you set the position using a floating point number or an integer. There are similar properties that provide alternate access to the top, width, and height properties.

Combining Dynamic Positioning Techniques

The previous example can be expanded to manipulate multiple items on the page. Or, to animate this script, you might rework the scripting function on the onload of the document to have the inner piece of text "fly in" from offscreen. This function could be based on a timer that would move the inner div from an initial top and left coordinate somewhere off the visible portion of the page, and, over a given amount of time, move it to a position that would be in the center of the outer div.

The following example makes the div element visible and animates the content to glide across the screen. By setting an interval using the setInterval method on the window object, you can move one or more elements each time the interval elapses.

<HTML>
<HEAD><TITLE>Glide the DIV</TITLE>
<SCRIPT LANGUAGE="JScript">
var action;
function StartGlide() {
Banner.style.pixelLeft =
document.body.offsetWidth;
Banner.style.visibility = "visible";
action = window.setInterval("Glide()",50);
}
function Glide() {
document.all.Banner.style.pixelLeft -= 10;
if (Banner.style.pixelLeft<=0) {
Banner.style.pixelLeft=0;
window.clearInterval(action);
}
}
</SCRIPT>
</HEAD>
<BODY onload="StartGlide()">
<P>With dynamic positioning, you can move elements and their content
anywhere in the document even after the document has loaded!
<DIV ID="Banner" STYLE="visibility:hidden;position:absolute;top:0px; left:0px">
Welcome to Dynamic HTML!</DIV>
</BODY>
</HTML>

This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.
Note Only Internet Explorer 5 or later supports dynamically changing an element from nonpositioned to positioned.

For more ideas on how to integrate positioning with other Dynamic HTML (DHTML) techniques, see Introduction to Filters and Transitions to learn how to incorporate visual filter effects.

Controlling Content Visibility

In addition to controlling where on the page the element is positioned, the content of positioned elements can be restricted from the user's view in several ways. The display and visibility attributes control whether the element appears on the screen at all, and the clip and overflow attributes control how much of the content the user can see. As mentioned previously, authors can also control the visibility of overlapping elements by manipulating the z-index ordering.

Clipping Regions and Overflow

You can set a clipping region for a positioned element by using the clip attribute. The clipping region defines a rectangle within which the element is visible. Any portion of the element that extends outside the clipping region is clipped, that is, not displayed. The clipping region does not alter the HTML, but simply changes how the element is displayed.

For example, the following document uses clip to define a clipping region for the absolutely positioned div. The region, a 30-by-30 pixel square, displays only a portion of the text; the rest is clipped from view.

<HTML>
<HEAD><TITLE>Clip the DIV</TITLE>
</HEAD>
<BODY>
<DIV
STYLE="position:absolute;top:50px;left:50px;height:100px;width:100px;
clip:rect(0 30 30 0);background-color:green">
some content some content some content some content some content
some content some content some content some content some content
some content some content some content some content some content
some content some content
</DIV>
</BODY>
</HTML>

This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Be careful when you define a clipping region—the parameter order (top, right, bottom, left) is important. For example, setting clip:rect to (0 0 30 30) causes the region not to display because the top and right have been defined as zero. The correct definition for a 30-by-30 clipping region based off the top left corner of the positioned object is to set clip:rect to (0 30 30 0).

You can change the clipping region dynamically by using the clip property, as in the following example.

document.all.MyDiv.style.clip = "rect(0 50 75 0)";

Overflow occurs when there is more content in a positioned element than can fit within the area defined for it. By default, any extra content is displayed but flows beyond the end of the area and therefore may overlap other elements in the document. You can prevent this overflow by using the overflow attribute to either hide the overflow or enable scroll bars to let the user view it by scrolling.

For example, the following document uses the overflow attribute to apply scroll bars. Only the portion of the text that fits within the 100-by-100 area is initially displayed, but the user can scroll the rest into view by using the scroll bars.

<HTML>
<HEAD><TITLE>Scroll the Overflow</TITLE>
</HEAD>
<BODY>
<DIV STYLE="position:absolute;top:50px;left:50px;height:100px;width:100px;
overflow:scroll">
some content some content some content some content some content
some content some content some content some content some content
some content some content some content some content some content
some content some content
</DIV>
</BODY>
</HTML>

This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

You can hide any overflow by setting the overflow attribute to "hidden". Similarly, you can let the overflow flow beyond the end of the area by setting it to "visible".

You can change the overflow dynamically by using the overflow property, as in the following example:

if (document.all.MyDiv.style.overflow != "scroll")
document.all.MyDiv.style.overflow = "scroll";

Z-Index Ordering

The z-index specifies in what order elements should be drawn when two or more elements occupy the same area. Setting the z-index is useful whenever you have absolutely or relatively positioned elements that overlap other elements in the document.

You set the z-index by using the z-index attribute. Setting this to a positive value causes the element to be stacked on top of other elements; negative values cause it to be stacked below. The following document uses z-index to stack text on top of the image.

<HTML>
<HEAD><TITLE>Stack the Image</TITLE>
</HEAD>
<BODY>
<P STYLE="position:absolute;top:0px;left:0px">Text Over Image</P>
<IMG SRC="sample.jpg" STYLE="position:absolute;top:0px;left:0px;z-index:-1">
</BODY>
</HTML>

This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The element with the greatest z-index is always placed at the very top of the stack, and the element with the least z-index at the very bottom. If two elements have the same z-index, their source order determines the stacking—the last element is stacked highest.

You can change the z-index dynamically by setting the zIndex property, as in the following example.

MyImg.style.zIndex = 2;

In general, all elements are windowless and will participate in z-order overlapping. However, some objects are windowed. ActiveX Controls that have not been specifically written to be windowless will not overlap with other objects. iframe elements represent a window object, and window objects do not participate in z-order. Another exception in Internet Explorer 4.0 is the select element.

Element Visibility

The visibility of a positioned element determines whether the user can see the element. Visibility is useful for temporarily hiding an element, such as when time is needed to calculate its position or when carrying out simple transition effects. You can set the visibility by using the visibility attribute. The following example uses the attribute to make the div element invisible.

<P> A paragraph above the DIV element</P>
<DIV ID=MyDiv STYLE="position:absolute;top:50px;left:50px;height:100px;
width:100px;visibility:hidden">
<P> A paragraph below the DIV element</P>

You can set the visibility of an element from script by using the visibility property. For example, assume that the div in the previous example is loaded. Initially, it is invisible, but you can change this to visible by using the following:

MyDiv.style.visibility = "visible";

An element that is not visible continues to affect the document layout; that is, the space that the element would occupy remains in the document even though it is empty. This is unlike the display attribute, which does not reserve space. The following sample demonstrates the difference between visibility and display.

This feature requires Microsoft® Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Note Input from pointing devices, such as the mouse, does not penetrate through overlapping elements even if the elements are not visible. This is also true for positioned elements with a negative z-index unless:
  • The parent is a scrolling container (that is, its overflow property is set to auto or scroll).
  • The parent is positioned (that is, its position property is set to absolute or relative).


动态属性

Microsoft® Internet Explorer 5 提供了一种易于使用的新特性，该特性允许 Web 作者和开发者显著提高 Web 页的外观和渲染速度。使用动态属性所带来的无穷动力，现在不仅可以声明常量作为属性值，还可以使用公式。在动态属性中使用的公式可以引用其他元素的属性值，因此允许作者在设计他们的 Web 页时获得独一无二的灵活性。

你可以使用动态属性完成以下功能：

  • 创建电子表格外观的表格，用户在单元格中输入值后可自动重新计算总和。
  • 将元素按照移动的鼠标指针重新定位。
  • 根据定时器移动元素。

更具创新的 Web 作者当然可以很轻松的超越这里的几个简单的例子，使用动态属性的扩展性能创造出更具感染力和智能的 Web 页。

这篇文章包含如下几个方面的主题。

  • 动态属性的好处
  • 实现动态属性
  • 隐式依赖的说明

动态属性的好处

动态属性大大简化了文档中所需的代码，并使其维持在最小数量。使用动态属性，Web 作者可以用公式代替复杂的脚本来实现各种功能。这将把作者们从学习脚本语言的困扰中解脱出来，使他们专注于设计页面的高级特性。

动态属性与电子表格中公式的实现有些类似。在电子表格中，一个单元格的值可以是常量或者公式。公式中可以引用电子表格中任意数量的其它单元格。同样，动态属性也可以引用同一文档中的其它属性。

动态属性允许 Web 作者以函数的形式描述对象、属性和变量之间关系，而不是显式指定要执行的计算步骤。作者几乎只需要关心函数，而不需要监视文档的当前状态。

就事件的处理而言，在页面重绘过程中牵涉越多效率也会越低。在文档中，如果要实现一个涉及时不可能完全知晓的事件处理句柄(例如，由数据库驱动的 Web 页和带有数据绑定的页面)，那么唯一的办法是使用事件冒泡。造成的结果将是，作者经常不得不在事件链的顶端完成一个单独的全局处理程序来更新全部内容。相反，使用动态属性，作者可以自动决定属性重算的最小算法和优化算法，并且仅仅计算那些真的需要重算的表达式。

实现动态属性

动态属性的引入为 Internet Explorer 5 及更高版本带来了新的方法。本节中简要描述了这些方法。

  • getExpression 方法返回用于动态属性的公式。
  • recalc方法允许作者显式更新动态属性的值。
  • removeExpression 方法清除由 setExpression 方法设置的公式。
  • setExpression 方法为给定值指定公式。

动态属性公式是用 setExpression 方法在脚本中指定的。当然，也可以内嵌指定，方法是在 style 块或 style 属性中使用 expression 这个全局值。

例如，动态 HTML (DHTML) 可用于根据其它对象的位置和尺寸定位对象。下列公式可分别用于水平和垂直居中对象。

  • 水平居中对象：
    object.style.left=(document.body.clientWidth/2) - (object.offsetWidth/2);
  • 垂直居中对象：
    object.style.top=(document.body.clientHeight/2) - (object.offsetHeight/2);

在对象的位置被确定之后，如果客户区的内容或大小变更后，该对象在文档布局中的外观就会被迫更改。在上面的例子中，由于使用了动态属性，无论客户区被怎样重新缩放，作者都无需不停的更新对象位置。在 Internet Explorer 5 之前，Web 作者就不得不使用 onresize 事件的处理句柄来捕捉客户区的更改并手工重算位置。请注意，公式是相同的，但是它们是通过 setExpression 方法实现的。

下面的例子演示了表达式的设置方法。

<SCRIPT>
window.onload=fnInit;
function fnInit(){
oDiv.style.setExpression("left",
"document.body.clientWidth/2 - oDiv.offsetWidth/2"
);
oDiv.style.setExpression("top",
"document.body.clientHeight/2 - oDiv.offsetHeight/2"
);
}
</SCRIPT>
<DIV ID="oDiv"
STYLE="background-color: #CFCFCF; position: absolute; top: 0; left: 0;"
>
示例 DIV
</DIV>
此特性需要 Microsoft® Internet Explorer 4.0 或以后版本。请单击下面的图标安装最新版本。然后重新装入此页再查看示例。

在某些情况下，如果要将一个关键对象移动到新位置，则需要许多额外的脚本执行新的计算。如果该对象的位置与其它对象相关的话，则需要更多细心的考虑。

例如，如果有四个 DIV 元素定位于第五个 DIV 周围，而第五个位于屏幕中央并可由用户自动移动，那么更新环绕的四个 DIV 元素将是十分耗费时间的。此外，如果外围的 DIV 元素还包含可由用户更改的变量，那么 Web 就需要不停的监视变量的值然后更新相应的位置。这里的做法是，使用表达式可让所有这一切变得简单起来。

下面的示例代码演示了如何使用脚本变量根据其它对象的位置和尺寸设置表达式。

<STYLE>
.block {position: absolute; top: 100; left: 100; height: 75; width: 75;}
.block2 {position: absolute; top: 0; left: 0; height: 25; width: 25;}
</STYLE>
<SCRIPT>
window.onload=fnInit;
var iOffset=10;
function fnInit(){
oDiv.style.left=document.body.clientWidth/2 - oDiv.offsetWidth/2;
oDiv.style.top=document.body.clientHeight/2 - oDiv.offsetHeight/2;
oBlock1.style.setExpression("top","
(oDiv.style.pixelTop - iOffset
- oBlock1.style.pixelHeight)
");
oBlock1.style.setExpression("left","
(oDiv.style.pixelLeft +
(oDiv.style.pixelWidth/2 - oBlock1.style.pixelWidth/2))
");
}
</SCRIPT>
<DIV ID="oDiv" CLASS="block"></DIV>
<DIV ID="oBlock1" CLASS="block2"></DIV>
此特性需要 Microsoft® Internet Explorer 4.0 或以后版本。请单击下面的图标安装最新版本。然后重新装入此页再查看示例。

至于脚本，动态属性可以是任何合法的 Microsoft® JScript® 或 Microsoft® Visual Basic® 脚本版本(VBScript)语句。setExpression 的第三个参数就是用于表明第二个参数中所使用的脚本语言；而 JScript 是默认语言。对于内嵌实现来说，表达式就必须用 JScript 编写。在表达式重算的时候，字符串中的标识符会被解析为当前页面上的实际属性。

下面的示例代码演示了如何通过 setExpression 方法设置动态属性。

/* 设置对象的宽度为客户区宽度的一半。*/
// 用 setExpression 设置表达式：
object.style.setExpression("width","document.body.clientWidth/2");

动态属性可以使用 getExpression 和 removeExpression 方法获取或删除。getExpression 方法返回一个变体变量，其中包含用于计算动态属性的表达式。该表达式会在调用 getExpression 方法是重算。使用 removeExpression 方法可以清除表达式。如果想要清除用 setExpression 方法设置的动态属性值，removeExpression 是唯一的方法。如果清除了表达式，属性值会被设为表达式上次的计算结果，并且会返回一个 Boolean 值，表明表达式已经被删除了。

recalc 方法用于重算文档中的动态属性。此方法十分有用，因为动态属性只会更新在公式中声明的元素和属性。调用 recalc 方法并将参数设置为 false (默认值) 将重算当前文档中的所有表达式，只要该表达式所引用的属性自上次重算后发生了更改。调用 recalc(true) 将重算当前文档中的所有表达式，而不管所引用的属性是否发生了更改。在一个动态属性重算以后，所有对该属性的引用都会得到新计算的值。

下面的示例演示了 recalc 方法的用途，即显式更新页面上太阳系对象的动态属性。

此特性需要 Microsoft® Internet Explorer 4.0 或以后版本。请单击下面的图标安装最新版本。然后重新装入此页再查看示例。

隐式依赖的说明

某些属性可能会因为其它属性的变更引起更改，对这些属性的引用就构成了隐式依赖。例如，元素的 offsetWidth 依赖于 width，并且还可能依赖于样式表中的 height 值。

在大多数情况下，作者并不需要担心这些依赖；Internet Explorer 5 会自动处理绝大多数情况。处理的方法就是为了跟踪依赖性的目的，将特定属性映射到标准属性上。例如，所有 width 属性的标准属性就是 offsetWidth。例如 img 元素，对其 clientWidth, width, posWidth, pixelWidth, currentStyle.width 或 width 的依赖实际上都是对 offsetWidth 的依赖。

尽管 Internet Explorer 能够自动处理大多数情况下的隐式依赖，还是有一些情况下依赖并不十分明显。因为实际属性仍然会触发属性变更通知，重算引擎通常会知道是否需要重算表达式。但是，涉及这些属性的循环表达式只能在运行时刻被检测出(在将表达式被设置到属性上时无法预知)。可能最复杂的依赖情况就是 DIV 的 clientHeight。DIV 最终计算出的 clientHeight 依赖于 innerHTML，margin 属性，padding 属性，当然还有 width。


setData 和 getData

这个例子演示了如何通过快捷菜单与 clipboardData 对象一起使用 setData 和 getData 方法执行剪切或粘贴操作。

步骤
  1. 如果还没有被选中的话，请选中出现在上面文本框中的文字。避免选中额外的空格。
  2. 用鼠标右键单击选中区域，然后从快捷菜单中选择剪切选项。setData 方法将在页面下方的输入框中返回一个 true 或 false 的值。
  3. 选中文本“将文本粘贴在这里”。用鼠标右键单击选中区，然后从快捷菜单中选择粘贴选项。
选中并剪切此文本
将文本粘贴在这里

setData 结果:


例子

使用 COL

TABLE 元素的 RULES 属性设置为“group”，这在本例中没有效果。如果 RULES 起作用的话，应该在红色的两列和蓝色的一列之间出现表格内部分隔线。要使此属性起作用，你必须使用 COLSPAN 定义列组。
此列位于第一组。 | 此列位于第一组。 | 此列位于第二组。
此列位于第一组。 | 此列位于第一组。 | 此列位于第二组。

© 2001 Microsoft Corporation. 版权所有。


例子

使用 COLGROUP

本例使用 COLGROUP 元素为表格中的两个列组指定属性。请注意，在红色的两列和蓝色的一列之间出现了表格内部分隔线。

此列位于第一组。 | 此列位于第一组。 | 此列位于第二组。
此列位于第一组。 | 此列位于第一组。 | 此列位于第二组。

© 2001 Microsoft Corporation. 版权所有。


例子

使用 COLGROUP

如果在 COLGROUP 元素内嵌套使用 COL 元素，COL 元素的属性将覆盖 COLGROUP 元素的属性。

COLGROUP 元素指定了黑色背景。由于嵌套的 COL 元素没有指定背景，所以表格的背景仍然是黑色。但是，COLGROUP 元素指定的绿色字体颜色已经被由 COL 元素指定的红色所代替。请注意，最后一列没有任何格式，尽管 COLGROUP 跨越了所有的三列。这是因为嵌套的 COL 元素的 SPAN 属性只应用于前两列，这就取代了 COLGROUP SPAN 属性。

此列位于第一组。 | 此列位于第一组。 | 此列位于第二组。
此列位于第一组。 | 此列位于第一组。 | 此列位于第二组。

© 2001 Microsoft Corporation. 版权所有。


无标题

这是一个演示用的段落。嵌入的全局样式表中设置了一个叫做 myproperty 的扩展属性，并指定了 myvalue 作为属性值。嵌入的样式表使用 P 作为此属性的选择器。要获得此值，请单击下面的按钮。

[用鼠标右键单击窗口的空白区域可查看源代码。]

© 2001 Microsoft Corporation. 版权所有。


currentStyle

在这个例子中，文本的颜色已经设置为棕色。如果你单击已经着色的区域，并且背景颜色与文本颜色一样的话，checkColor 函数就会更改背景颜色以使得文本更具有可读性。此外，该函数不会完成任何功能。

比较实现的方法是比较对象 currentStyle.backgroundColor 和值“brown”。

这是 P 元素内的文本。 这是 P 中 SPAN 内的文本。 这是 SPAN 嵌套 SPAN 内的文本。

[用鼠标右键单击窗口的空白区域可查看源代码。]

© 2001 Microsoft Corporation. 版权所有。


无标题

表格将会试图在整个窗口内渲染不超出窗口，而不管窗口的尺寸大小。但是，TD 对象的 currentStyle.width 将返回设置的值 而不是渲染的值。

文本

[用鼠标右键单击窗口的空白区域可查看源代码。]

© 2001 Microsoft Corporation. 版权所有。


custom 元素 | custom

custom 元素 | custom 对象示例

此文本为红色，因为其包含在 CUSTOMTAG:RED 标签内。

此文本为绿色，因为其包含在 CUSTOMTAG:GREEN 标签内。

此文本为蓝色，因为其包含在 CUSTOMTAG:BLUE 标签内。


dataTransfer

dataTransfer 对象示例

这个例子演示了如何使用 dataTransfer 对象的 setData 和 getData 方法，以便能够启用链接 HREF 的拖曳。此功能使得将快捷方式拖曳到其他应用程序和桌面成为可能。

  • 要查看测试锚链接的 HREF，将其拖曳划过写有“将连接拖曳到这里”的文本区。
  • 要创建快捷方式，请将锚文本拖曳到其它应用程序或桌面。

测试锚

将链接拖曳到这里

© 2001 Microsoft Corporation. 版权所有。


图像映射示例

请单击图像中的星球查看较大图像。

太阳 水星 金星 地球 火星 木星 土星 天王星 海王星 冥王星

使用鼠标右键在图像外单击可以查看源代码。

© Microsoft Corporation. 版权所有。


accesskey

accessKey 属性

下面的例子使用了 label 对象和 accessKey 属性设置文本框的焦点。

[用鼠标右键单击空白区域可以从快捷菜单中选择查看源代码。]

© 2001 Microsoft Corporation. 版权所有。


动态属性示例

在这个例子中，DIV 元素将会定位在页面内容的水平垂直中心。一旦重新缩放窗口这个位置就不对了。使用表达式做为 top 和 left 属性的值，也就是位置等式将会在等式中任何一个被引用的属性发生变化后动态调整。单击“将位置变为动态”按钮可以用 setExpression 方法将 top 和 left 属性设置为表达式。再次重新缩放窗口，这次位置就会自动调整了。

示例 DIV

© 2002 Microsoft Corporation. 版权所有。


动态属性示例

表达式特别适用于几个对象都依赖于特定值的情况，例如脚本变量，而不是其它对象的测量值。在这个例子中，有四个 DIV 元素环绕第五个较大的 DIV 放置。四个较小的 DIV 元素使用中间的 DIV 和脚本变量 iOffset 作为基准进行定位。当中间的 DIV 在屏幕上飞来飞去的时候(只需拖曳)，四个较小的 DIV 元素也会跟着移动。 不用编写脚本来移动四个较小的元素，表达式就是根据第五个元素的位置编写的。 除了随着中间元素的位置进行更改，四个较小的元素同时要根据脚本变量的值来更改偏移量。 如果你更改了下面的文本框的值，无需重置位置偏移量就会自动更改。

注意：本例将只在 Internet Explorer 浏览器中工作正常。对于任何使用 Microsoft Web Browser ActiveX 控件来显示 HTML 文件的的第三方应用程序，将可能由于无法正确响应键盘事件，从而使得本例无法得到预期的效果。

© 2002 Microsoft Corporation. 版权所有。


动态属性:

日
水星
金星
地球
月球
火星
火卫一
火卫二
土星
土卫一
土卫二
土卫三
土卫四
土卫五
请单击行星查看对应的图片
Venus
金星
Mercury
水星
Earth
地球
Mars
火星
Jupiter
土星(演示中轨道不精确)

© 2002 Microsoft Corporation. 版权所有。


行为库:

使用 Z-Index 的无窗口框架
在 Internet Explorer 5 或更早版本中，iframes could not play in the world of z-index-positioned elements. While you could position an IFRAME on a page, you could not lay content from the host document over the iframe using a greater z-index value. In Internet Explorer 5.5, this feature is now supported. Internet Explorer version 5.5 also supports transparent frames. By declaring the background of the frame's document to be transparent and having the container declare that it allows transparency, you can enable the background of the containing document to show through.
By specifying the z-order of floating frames, you can stack one frame on top of another.Test
Drag these iframes around to Z-Index 1: 单击并拖曳此处。 Z-Index 2: 单击并拖曳此处。 Z-Index 3: 单击并拖曳此处。
© 2002 Microsoft Corporation. 版权所有。


无标题

 前往 www.microsoft.com


用 IE 5.5

创建动态弹出元素

Microsoft® Internet Explorer 5.5 中新的弹出特性提供了创建快捷菜单、对话框、弹出提示和词汇表的便捷方式。全部这些内容都可用 DHTML 创建。

用右键单击主文档的任何位置，都将显示一个使用弹出窗口的自定义快捷菜单。选择快捷菜单中的选项将把下面的 IFRAME 带到相关页面中。

单击下面段落中的加粗元素可以查看使用弹出窗口创建的词汇表。

使用 IE 5.5 创建动态的弹出元素现在变得前所未有的容易，Microsoft 的开发者已经将其实现于 Web 浏览器的最新版本中。要获得关于如何使用弹出对象和其它DHTML 特性的帮助，请看MSDN Web 工作室。

提示标题
去看看...
首页
搜索
Intenet Explorer
©2000 2001 Microsoft Corporation
© 2002 Microsoft Corporation. 版权所有。


RT 范例

RT 对象范例

下面的例子使用了 RT 对象指定一串文本(即基准文本)的发音指南。

基准文本。注音文本

© 2002 Microsoft Corporation. 版权所有。


RUBY 范例

RUBY 对象范例

下面的例子使用了 RUBY 对象指定了一串文本作为发音指南的基准。

基准文本。注音文本

© 2002 Microsoft Corporation. 版权所有。


runtimeStyle

runtimeStyle 对象范例

下面的例子演示了 runtimeStyle 对象的用法。runtimeStyle 对象允许作者使用特定的样式覆盖内嵌或在样式表中定义的已有样式。

在这个例子中，你可以选择不同值用于本文字段预配置属性。当你选择新值后，请注意 runtimeStyle 和 currentStyle 对象的值都发生了变化，而 style 对象则保持原状。 如果 runtimeStyle 对象的值被清除(从下拉菜单中选择“清除”)，则属性值将恢复为 style 的值，并且 currentStyle 值也反应了这一更改。

CSS 属性 style runtimeStyle currentStyle 选择一个值
backgroundColor
borderColor
color

© 2002 Microsoft Corporation. 版权所有。


TextRectangle

悄悄的我走了

悄悄的
我走了

  • 悄悄的我走了
  • 悄悄的
  • 悄悄的我走了
  • 悄悄的我走了, 正如
  • 悄悄的我走了, 正如我悄悄的来

请注意, 如果你更改窗口大小的话, 坐标也不会调整, 因为坐标是在 onload 的时候设置的。

用鼠标右键单击窗口的任何地方查看源代码。

© 2002 Microsoft Corporation. 版权所有


GetClientRects -

getBoundingClientRects 和 getClientRects 示例

下面的例子演示了 getClientRects 和 getBoundingClientRect 方法的用途。 单击《再别康桥》中的任意位置都将把第一行置为黄色。 getClientRects 方法用于获取矩形的集合以及要被突出显示的文本行的 top, left 和 right 坐标。 由于使用了定位值，会有一个 zIndex 属性值设置为 -1 的定位 DIV 移动到文本后面。

每单击一次，用于黄色突出显示的定位 DIV 都会被移动到下个矩形的位置。而用于突出显示后的土色定位 DIV 会被移动，其大小也会改为能够覆盖由 getClientRects 方法返回的位于黄色突出显示部分之上的全部矩形。 用于突出显示后的 DIV会根据由 getBoundingClientRect 方法返回的绑定矩形的大小改变其大小。

单击下面按钮可以模拟 几 次单击段落。

再别康桥

轻轻的我走了，正如我轻轻的来；
我轻轻的招手，作别西天的云彩。

那河畔的金柳，是夕阳中的新娘；
波光里的艳影，在我的心头荡漾。

软泥上的青荇，油油的在水底招摇；
在康河的柔波里，我甘心做一条水草！

那榆荫下的一潭，不是清泉，
是天上虹揉碎在浮藻间，沉淀着彩虹似的梦。

寻梦？撑一支长篙，向青草更青处漫溯，
满载一船星辉，在星辉斑斓里放歌。

但我不能放歌，悄悄是别离的笙箫；
夏虫也为我沉默，沉默是今晚的康桥。

悄悄的我走了，正如我悄悄的来；
我挥一挥衣袖，不带走一片云彩。

© 2002 Microsoft Corporation. 版权所有


Introduction to HTML+TIME (Internet Explorer - HTML+Time)

Introduction to HTML+TIME

HTML+TIME (Timed Interactive Multimedia Extensions), first released in Microsoft?Internet Explorer 5, adds timing and media synchronization support to HTML pages. Using a few Extensible Markup Language (XML)-based elements and attributes, you can add images, video, and sounds to an HTML page, and synchronize them with HTML text elements over a specified amount of time. In short, you can use HTML+TIME technology to quickly create multimedia-rich, interactive presentations, easily and with little or no scripting.

HTML+TIME 2.0 is based on the HTML+SMIL language profile Non-Microsoft link in the Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link working draft. SMIL 2.0 is the W3C successor to SMIL 1.0. HTML+TIME 2.0 is the successor to HTML+TIME 1.0.

Note HTML+TIME 2.0 is available in minimal installations of Internet Explorer 5.5 and Internet Explorer 6.

This article covers the following topics:

  • Benefits
  • HTML+TIME Behaviors and Elements
  • HTML+TIME Timing Model
  • Authoring HTML+TIME
  • Exclusive, Sequential and Parallel Time Container Elements
  • Compatibility
  • HTML+TIME Implementation Notes
  • HTML+TIME Newsgroup
  • Related Topics

Benefits

The following section contains information about the benefits of using HTML+TIME.

  • Dynamic Content
  • Ease of Use
  • Scripting Support

Dynamic Content

You can use HTML+TIME to add dynamic, interactive content to your Web pages. For example, you can create slide-show-style Web presentations with synchronized text, images, audio, video, and streaming media. You can create these presentations so that they are timed, interactive, or a combination of both.

Ease of Use

To add timing to an HTML document, all you have to do is add some new attributes to existing HTML elements. Thus, you can leverage your existing HTML knowledge when you add timing to your page. The HTML+TIME attributes specify when an element appears on a page, how long it remains displayed, and how the surrounding HTML elements are affected. In addition to the attributes, some new XML-based elements have been created to simplify incorporating media into Web pages. For example, you can use the excl element to specify when a sound file should start playing, when it should stop, and how many times it should repeat.

HTML elements can be grouped into hierarchical relationships to allow for easy manipulation of multiple HTML elements at once. Grouping is also used to specify whether HTML elements appear and disappear sequentially on the page, or use independent timing. Element grouping is specified either by using the t:PAR, t:SEQ, or t:EXCL elements in a document, or by setting the TIMECONTAINER attribute.

Scripting Support

With HTML+TIME, you can use persistent XML elements and attributes to add timing to your HTML page. This means you don't have to know how to program with scripting languages to make your pages more dynamic. However, for people who already know how to use scripting languages, HTML+TIME supports a complete object model that extends the existing DHTML Object Model. Thus, you can use HTML+TIME properties, methods, and events to add even more interactive features to your Web pages.

HTML+TIME Behaviors and Elements

HTML+TIME is implemented as a DHTML default behavior, one of the powerful new features introduced in Internet Explorer 5. For more information about behaviors, see the Related Topics section of this document.

You can use all the HTML+TIME attributes listed in the reference pages with any timed HTML element. For a list of HTML elements that can be timed, see the Applies To section of the time and time2 behavior reference pages.

Internet Explorer 5.5 Update

The HTML+TIME 2.0 Reference lists the features implemented by the time2 behavior and supported in Internet Explorer 5.5 and later.

The HTML+TIME 1.0 Reference lists the features implemented by the time behavior and supported in Internet Explorer 5 and later.

HTML+TIME Timing Model

Most traditional animation runtime systems use either rigid timelines or pure, event-based relationships to model time. The rigid timeline model makes it more difficult to create interactive content. In this environment, you must add "jumps" to another pseudo-timeline to introduce interactive elements. In event-based models, interaction is easier to define, but it is more difficult to create timeline behaviors, such as sequences and precise synchronization of media elements.

HTML+TIME unifies these two timing models, taking the best of each and simplifying the process of authoring timed, interactive content. In the HTML+TIME model, you can use timeline attributes to describe static, or determinate, timeline relationships. This makes it easy to place elements in time and to ensure synchronization among media elements. You can author interactive content using a simple variant on the timeline attributes, where the begin and/or end times are tied to an event. Therefore, the actual begin and/or end values are indeterminate when you author the document. In reality, these times are event-based, but they can be defined as though they had traditional timing. When the associated event occurs, such as a user clicking a button, the indeterminate timing relationship is defined by the time at which the event occurs. At this point, the element is added into the running timeline as though it had been defined from the beginning.

This unified model makes it easy to define an animation that has tightly synchronized media, and to add a number of interactive elements that start when the user does something. The interactive elements can have a duration and repeat count just like other timed elements, even though they begin in response to an event. You can apply a single set of tools for timing and synchronization to any element. This makes the model easier to learn and less complicated, without sacrificing any flexibility.

HTML+TIME defines a schedule, or timeline, for all the affected elements to follow. The document timeline starts as soon as the page loads and continues to progress as long as the browser renders the page. If timing is applied to media elements, such as audio or video files, you can specify that the timeline will be tightly synchronized with other elements or the entire document. By default, media files that are not ready to play when scheduled will slip along the timeline and begin playing as soon as they become available. You can pause and resume the document timeline using methods from the object model.

HTML elements behave differently when you add time attributes, depending on the HTML element type. Although other categories might exist for HTML elements, HTML+TIME primarily distinguishes between content and style elements. Content elements include all elements that describe content to be displayed on the page, including the media elements introduced with HTML+TIME (t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, and t:VIDEO. Commonly used content elements include p, div, span, and table-related elements. Adding HTML+TIME attributes to a content element causes the element to appear and disappear over time. Style elements describe the style to be applied to an element. Commonly used style elements include b, i, and em. Adding HTML+TIME attributes to a style element causes the style to be applied to and removed from the element over time. For more information about style elements, see the HTML+TIME Implementation Notes section of this document.

Authoring HTML+TIME

Use the following steps to add timing to an HTML element.

  • Create an XML Namespace
  • Reference the time2 Behavior
  • Specify Beginning and Ending Times
  • Include an Action

Create an XML Namespace

When using any of the HTML+TIME elements, such as the t:EXCL, t:SEQ or t:PAR elements, you must declare the XML namespace t: in the html tag, as shown in the following line of code:

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">

To use the namespace, preface HTML+TIME elements with t:. This string identifies the HTML+TIME elements as qualified XML namespace extensions. To establish t: as the namespace, import the time2 behavior into the namespace as shown in the following line of code:

<?IMPORT namespace="t" implementation="#default#time2">

Reference the time2 Behavior

You must associate the element with the time2 behavior, so that the element is affected by the document timeline. To accomplish this, you can add the inline STYLE attribute to the HTML element as follows:

<P STYLE="behavior:url(#default#time2)" ...>

However, you might find it easier to associate an element with the time2 behavior by creating a Cascading Style Sheets (CSS) class attribute, as shown in the following sample:

<HTML>
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY>
.
.
.
<P CLASS="time" ...>
.
.
.
</BODY>
</HTML>
Note It is not necessary to associate the time2 behavior with HTML+TIME elements, such as t:MEDIA, t:AUDIO, and t:VIDEO, because they are defined by the behavior itself.

Specify Beginning and Ending Times

You must specify when the HTML element should appear and for how long. This is accomplished by including the BEGIN and END attributes on the element. You can use the DUR attribute instead of END to specify an ending time relative to the element's BEGIN time. However, there is no functional difference between END and DUR, so you can use either one. If you do not set a BEGIN, END, or DUR time, the default value causes an element to begin displaying when the page loads, and the element remains displayed indefinitely. Therefore, the element appears static, as though you have not set any timing on that element.

The following sample shows lines of text that appear every two seconds and remain displayed for five seconds.

<HTML>
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY>
<P>This text appears right away. More lines to follow...</P>
<P CLASS="time" BEGIN="2" DUR="5" >This appears after 2 seconds.</P>
<P CLASS="time" BEGIN="4" DUR="5">This appears after 4 seconds.</P>
<P CLASS="time" BEGIN="6" DUR="5">This appears after 6 seconds.</P>
<P>This is the last line.</P>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Include an Action

Although including an action is optional, you might want to use the TIMEACTION attribute to specify the action that is taken while the element is active on the timeline. In the DHTML Object model, two properties are available on the style object for turning on and off the display of an element. HTML+TIME changes the value of these properties over time. With DHTML, you can set the visibility property to hidden or visible. This property reserves space in the layout of the rendered document, as though the element is always visible. Therefore, the document does not reflow its contents as elements are dynamically displayed or hidden.

The default behavior for using HTML+TIME on a content element is TIMEACTION="visibility". In contrast, when the DHTML display attribute is set to none it does not reserve space in the rendered document. Therefore, the document reflows every time the value of the display attribute changes. To reflow the document using HTML+TIME, set the TIMEACTION attribute to display.

As an alternative to displaying and hiding an element, you can set the TIMEACTION attribute to style to make an inline style active on an element. If you use this option, any style property included on the element using the STYLE attribute is applied only while the element is active on the timeline; otherwise, the inline style is ignored. As of Internet Explorer 5.5, you can also modify the style of an element by specifying one or more class names for the TIMEACTION attribute.

When using a time container, you can set the TIMEACTION attribute to none so that it performs no action. When this attribute is set to none, only the child elements of the time container are visually affected while the timeline is active. If an element supports a Boolean on property, you can use a TIMEACTION value of onOff to make the on property true while the timeline is active on the element, or false otherwise.

The following sample shows lines of text that appear every two seconds and remain displayed for five seconds. This is similar to the previous sample, but in this case the document reflows, as necessary, because the TIMEACTION attribute is set to display. The TIMEACTION attribute is set to style on the heading.

<HTML>
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY>
<H1 CLASS="time" BEGIN="0" DUR="11" TIMEACTION="style" STYLE="Color:Red;">timeAction</H1>
<P>This text appears right away. More lines to follow...</P>
<P CLASS="time" BEGIN="2" DUR="5" TIMEACTION="display">This appears after 2 seconds.</P>
<P CLASS="time" BEGIN="4" DUR="5" TIMEACTION="display">This appears after 4 seconds.</P>
<P CLASS="time" BEGIN="6" DUR="5" TIMEACTION="display">This appears after 6 seconds.</P>
<P>This is the last line.</P>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Exclusive, Sequential and Parallel Time Container Elements

You can use HTML+TIME to specify timing for individual elements displayed on the page. You can also use it to create a timeline that groups elements together and specifies their timing relative to each element's predecessor in the timeline. The following example uses the TIMECONTAINER attribute set to excl to create a time container that allows only one element to play at a time.

<HTML>
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY>
<DIV CLASS="time" TIMECONTAINER="excl">
<DIV CLASS="time" BEGIN="0" DUR="2" TIMEACTION="display">First line of text.</DIV>
<DIV CLASS="time" BEGIN="2" DUR="2" TIMEACTION="display">Second line of text.</DIV>
<DIV CLASS="time" BEGIN="4" DUR="2" TIMEACTION="display">Third line of text.</DIV>
<DIV CLASS="time" BEGIN="6" TIMEACTION="display">Fourth line of text.</DIV>
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

You can easily create slide-show-style presentations using timing sequences to display a series of images, one after the other, along with synchronized text. The following example uses the TIMECONTAINER attribute to create a sequential time container.

<HTML>
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY>
<DIV CLASS="time" TIMECONTAINER="seq">
<DIV CLASS="time" DUR="2" TIMEACTION="display">First line of text.</DIV>
<DIV CLASS="time" DUR="2" TIMEACTION="display">Second line of text.</DIV>
<DIV CLASS="time" DUR="2" TIMEACTION="display">Third line of text.</DIV>
<DIV CLASS="time" TIMEACTION="display">Fourth line of text.</DIV>
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

You must declare the duration of each element in the sequence. Since the duration is omitted on the last element, it remains displayed indefinitely. Grouping the elements in a sequence makes it easy to manipulate the entire group of elements at once, rather than individually. For example, you can add the BEGIN attribute to the sequence time container to make the entire sequence wait before it begins playing.

If you want to group elements without displaying them in a sequence, you can create a parallel timeline by setting the TIMECONTAINER attribute to par on the time container element. In contrast to a sequence, you can use parallel timelines to display and hide elements without any implicit dependencies on other elements. This allows more than one element to be active on the timeline, and you can have as few or as many elements active on the timeline as you want—there is no minimum or maximum requirement. The following sample shows how a parallel timeline is used for repeating a group of elements with overlapping timelines.

<HTML>
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY>
<DIV CLASS="time" REPEATCOUNT="5" DUR="10" TIMECONTAINER="par">
<DIV CLASS="time" BEGIN="0" DUR="4">First line of text.</DIV>
<DIV CLASS="time" BEGIN="2" DUR="4">Second line of text.</DIV>
<DIV CLASS="time" BEGIN="4" DUR="4">Third line of text.</DIV>
<DIV CLASS="time" BEGIN="6" DUR="4">Fourth line of text.</DIV>
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Instead of using the TIMECONTAINER attribute to group HTML elements on a timeline, you can use the t:PAR or t:SEQ elements. For example, in the previous sample that shows a sequence, you could have used the t:SEQ element instead of the div to yield the same results.

The following example declares the XML namespace t: in the html tag and imports the time2 behavior into that namespace because it uses the t:SEQ custom element.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY>
<t:SEQ>
<DIV CLASS="time" DUR="2">First line of text.</DIV>
<DIV CLASS="time" DUR="2">Second line of text.</DIV>
<DIV CLASS="time" DUR="2">Third line of text.</DIV>
<DIV CLASS="time">Fourth line of text.</DIV>
</t:SEQ>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Compatibility

HTML+TIME features are available as of Internet Explorer 5 and are not supported in earlier browser versions. If an earlier version of Internet Explorer or a non-Internet Explorer browser encounters a reference to a behavior, the style is ignored, and the element is rendered as normal on the page. However, scripting errors might occur in cases where the behavior being used exposes properties, methods, or events. To address these errors, you need to use some version-checking script.

Note HTML+TIME works only if Internet Explorer 5 is installed with the typical set of components. If the minimal installation is used, HTML+TIME content is rendered statically, as though no timing has been defined.

Internet Explorer 5.5 Update

All of the features of the time behavior are still available in Internet Explorer 5.5. However, we strongly recommend that you begin using the time2 behavior, which implements the HTML+SMIL language profile as defined in the working draft of the SMIL 2.0 specification.

HTML+TIME Implementation Notes

The following list contains information about the initial version of HTML+TIME in Internet Explorer 5, including differences between this implementation and the W3C submission.

  • Style elements, such as b, i, and em, are not fully supported in the initial version of HTML+TIME. Instead, style elements are controlled in the same way as content elements: by displaying and hiding their contents. However, you can set the timing on inline styles associated with an element. For information about how to apply timing to an element's inline style, see the TIMEACTION attribute.
  • When adding timing to an image, use the new HTML+TIME t:IMG element instead of the HTML img element.

HTML+TIME Newsgroup

The HTML+TIME newsgroup is a forum for users to share ideas, ask questions, and relay comments about HTML+TIME. The newsgroup is intended for user-to-user support; however, Microsoft does monitor it for product-feedback purposes. To access the newsgroup, use the following information with your favorite newsgroup reader.

  • News server: msnews.microsoft.com
  • Newsgroup name: microsoft.public.windows.inetexplorer.ie5.programming.html+time

Related Topics

  • A User's Guide to Style Sheets
  • Introduction to DHTML Behaviors
  • HTML+TIME 1.0 Reference
  • HTML+TIME 2.0 Reference
  • Spice Up Your Web Pages with HTML+TIME
  • Using DHTML Behaviors


Initiating Timed Elements with the begin Attribute

Authoring interactive Web pages without using script is now a reality with the HTML+TIME (Timed Interactive Multimedia Extensions)?A HREF="../time2/properties/begin.html">begin attribute. This attribute enables you to animate objects and manipulate graphics on your Web pages and empowers you to set timed events that initiate at a prescribed time. This overview provides you with the necessary syntax for the begin attribute and describes how to initiate timed interactive HTML+TIME elements using the time2 behavior implemented in Microsoft?Internet Explorer 5.5.?/p>

This overview contains the following sections.

  • Prerequisites
  • General Information for the begin Attribute
  • Set an Element to Initiate at a Simple Time Value
  • Set an Element to Initiate at a Wall Clock Value
  • Set an Element to Initiate Relative to another Timed Element
  • Set an Element to Initiate Relative to the Firing of an Event
  • Set an Element to Initiate using the beginElement Method Call
  • Set an Element to Initiate at an Offset Value
  • Specifying Multiple begin Values
  • Related Topics

Prerequisites

To use this overview most effectively you should have a basic knowledge of the time2 behavior of HTML+TIME and of Introduction to DHTML Behaviors. Specifically, this overview assumes that you know how to create an Extensible Markup Language (XML) namespace and import and reference the time2 behavior. For more information on how to declare an XML namespace and/or import and reference the time2 behavior, see HTML+TIME.

General Information for the begin Attribute

The default value for the begin attribute is 0 and the default metric for the begin attribute is seconds. You can append an h, min, s, or ms abbreviation to the begin value to specify hours, minutes, seconds, or milliseconds respectively. For example, begin="1" is the same as begin="1s"—both have a begin value of one second. Also, an element's begin attribute can include either a positive or negative value as well as fractional values. Below is a list of some possible values to which you can set an element's begin attribute.

Value | Description
7.5ms | 7.5 milliseconds
7.5 | 7.5 seconds
7.5s | 7.5 seconds
7.5min | 7.5 minutes
7.5h | 7.5 hours
15:07:25 | 15 hours, 7 minutes, 25 seconds
2000-11-15T19:20:30.45+01:00
  • "2000-11-15" - November 15, 2000
  • "T" - Separator between time and date
  • "19:20:30.45" - 7:20pm, and 30.45 seconds
  • "+01:00" - Coordinated universal time (UTC) plus one hour
object1.begin | Initiate when object1 initiates.
object1.click | Initiate when object1 is clicked.
indefinite | Initiate when the beginElement method is called.
object.click + 3s | Initiate 3 seconds after object1 is clicked.

Note For objects other than media objects, if the timeline has already started and an element is set to initiate at some negative value, the element initiates immediately. However, if you set a media object to initiate at a negative value, the media object adds the begin attribute's negative value to its own value (resulting in subtraction) and initiates at the new, decreased value. For example, a media object with a mediaDur of 20 seconds and a begin value of object1.click-3s, initiates 17 seconds into the file immediately after object1 is clicked.

Set an Element to Initiate at a Simple Time Value

You can assign a simple time value to the begin attribute to indicate when an element becomes active. For more detailed information on using clock-time values, see Time Formats.

The following example uses the begin attribute set to a simple time value for each animated element. For more information on how to use the animate syntax, see Basics of HTML+TIME Animation.

...
<DIV id="oDIV" class="oElement1"></DIV>
<t:ANIMATE targetElement="oDIV" attributeName="left" to="400" begin="1"
dur="3" accelerate="1" autoReverse="true"
repeatCount="indefinite"/>
<DIV id="oDIV2" class="oElement2"></DIV>
<t:ANIMATE targetElement="oDIV2" attributeName="left" to="400" begin="2"
dur="3" accelerate="1" autoReverse="true"
repeatCount="indefinite"/>
<DIV id="oDIV3" class="oElement3"></DIV>
<t:ANIMATE targetElement="oDIV3" attributeName="left" to="400" begin="3.5"
dur="3" accelerate="1" autoReverse="true"
repeatCount="indefinite"/>
...
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Set an Element to Initiate at a Wall Clock Value

You can also assign an element's begin attribute to a wall clock value. The wall clock value describes the element's begin time as real-world clock time. The World Wide Web Consortium (W3C) describes three ways of handling time zone offsets.

  1. With a special UTC designator ("Z"), times are expressed in UTC.
  2. Times are expressed in local time, together with a time zone offset in hours and minutes. A time zone offset of "+hh:mm" indicates that the date/time uses a local time zone which is "hh" hours and "mm" minutes ahead of UTC. A time zone offset of "-hh:mm" indicates that the date/time uses a local time zone which is "hh" hours and "mm" minutes behind UTC.
  3. Times are expressed in local time, as defined by your system settings. The local time zone of the end-user platform is used.

The following list shows various ways to specify an element to begin on April 1, 2001 UTC.

  • begin="wallclock( 2001-04-01Z )"
  • begin="wallclock( 2001-04-01T00:00Z )"
  • begin="wallclock( 2001-04-01T00:00:00Z )"
  • begin="wallclock( 2001-04-01T00:00:00.0Z )"
  • begin="wallclock( 2001-04-01T00:00:00.0-00:00 )"

In the following example, enter a begin time in the input boxes that is greater than the current time shown and click the 'Set begin time' button. Once set, a message, "Breaking News: This is some breaking news..." appears at the time you have specified and displays until you click within the object. By default, the message is set to initiate on April 1, 2005.

...
<DIV id="oAlert" class="oElement1" begin="wallclock(2005-04-01Z)"
end="60s; oAlert.click">
<DIV class="oAlertHead"
style="color:black; font-weight:bold; text-align:center;">
BREAKING NEWS!!!
</DIV>
<B><U>Breaking News:</U></B> This is some breaking news. This is some breaking news.
This is some breaking news. This is some breaking news. This is some breaking news.
This is some breaking news. This is some breaking news. This is some breaking news.
This is some breaking news. This is some breaking news. This is some breaking news.
<BR><BR>
Click anywhere within this news alert to close the pop-up window.
<DIV class="oAlertHead">**Note: This is not an actual news bulletin. It is for demonstration
purposes only.</DIV>
</DIV>
...
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Set an Element to Initiate Relative to another Timed Element

You can make elements initiate relative to other timed elements in the document. Elements can be assigned to initiate when another element has started or stopped.

  • Set an Element to Initiate Relative to another Timed Element's begin Value
  • Set an Element to Initiate Relative to another Timed Element's end Value

Set an Element to Initiate Relative to another Timed Element's begin Value

In the following example, the first paragraph with id paragraph1 has a begin time of 5 seconds and the second paragraph with id paragraph2 has a begin time of paragraph1.begin. The first paragraph appears 5 seconds after the page loads. The second paragraph appears when the first paragraph initiates. These settings cause both paragraphs to have a begin time value of 5 seconds.

...
<P id="paragraph1" class="time" style="color:red;font-size:20pt;" begin="5">
This is the first paragraph. It initiates at 5 seconds and is displayed
indefinitely.
</P>
<P id="paragraph2" class="time" style="color:green;font-size:20pt;"
begin="paragraph1.begin">
This is the second paragraph. It initiates the same time at which the first paragraph
initiates (at 5 seconds) and is displayed indefinitely.
</P>
...
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Set an Element to Initiate Relative to another Timed Element's end Value

You can assign elements to initiate after another element completes its simple duration. By using the preceding example and adding a simple duration attribute value (dur), which specifies the amount of time the element remains active in relation to the first paragraph, you can set the second paragraph to appear when the first paragraph disappears.

In the following example, the first paragraph has a begin time of 5 seconds (after the page loads) with a duration of 5 seconds. The second paragraph initiates as soon as the first paragraph has completed its simple duration. The second paragraph does not have a set duration and displays indefinitely.

...
<P id="paragraph1" class="time" style="color:red;font-size:20pt;" begin="5"
dur="5">
This is the first paragraph. It initiates at 5 seconds and has a duration
of 5 seconds.
</P>
<P id="paragraph2" class="time" style="color:green;font-size:20pt;"
begin="paragraph1.end">
This is the second paragraph. It initiates when the first paragraph stops
(10 seconds) and is displayed indefinitely.
</P>
...
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

You can stop a timed interactive element using the end attribute the same way you start a timed interactive element using the begin attribute. To do this, specify an element's end time using the end attribute. Unlike the dur attribute, the end attribute specifies the absolute end time of an element in relation to the active time of the document.

The duration of timed elements depends on which attribute is satisfied first on the timeline. For example, assuming that 15 seconds has not lapsed since the page loaded, a timed element with a duration of 10 seconds and an end value of 15 seconds stops after 10 seconds. However, if the values were reversed and the timed element had a duration of 15 seconds and an end value of 10 seconds, the timed element still stops at 10 seconds because the end attribute (with a value of 10 seconds) is satisfied first on the timeline.

In the following example, the first paragraph has a begin time of 5 seconds after the page loads and an end time of 10 seconds; therefore, it ends at 10 seconds after pageload. The second paragraph initiates as soon as the first paragraph completes its simple duration. The second paragraph does not have a set duration and displays indefinitely.

...
<P id="paragraph1" class="time" style="color:red;font-size:20pt;" begin="5"
end="10">
This is the first paragraph. It initiates at 5 seconds and ends at 10
seconds.
</P>
<P id="paragraph2" class="time" style="color:green;font-size:20pt;"
begin="paragraph1.end">
This is the second paragraph. It initiates when the first paragraph ends
(10 seconds) and is displayed indefinitely.
</P>
...
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Set an Element to Initiate Relative to the Firing of an Event

Timed elements can initiate upon the firing of any events. You can have an element initiate upon a user-fired event or upon an event fired by an element within the document.

  • Set an Element to be Initiated by a User-Interaction Event
  • Set an Element to Initiate at the Firing of another Element's Event

Set an Element to be Initiated by a User-Interaction Event

This example demonstrates how to make timed elements that start or stop in response to user-interaction events.

...
<t:ANIMATE id="oTA1" targetElement="oDIV" attributeName="left" to="400"
begin="oDIV2.click" end="oDIV3.click" dur="3" accelerate="1"
autoReverse="true" fill="hold"/>
<SPAN class="caption" style="left:150px;">To begin</SPAN>
<DIV id="oDIV2" class="header" style="left:25px;">Click anywhere within
this box to make the yellow DIV start its duration. The timeline
restarts if the yellow DIV is already active when you click here.
</DIV>
<SPAN class="caption" style="left:488px;">To end</SPAN>
<DIV id="oDIV3" class="header" style="left:338px;">If the element is active,
click anywhere within this box to end the element's timeline.
</DIV>
...
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Set an Element to Initiate at the Firing of another Element's Event

You can set timed elements to initiate when another element within the document fires an event. There is a wide variety of events that an element can fire. For more information on the possible events associated with elements, see HTML+TIME 2.0 Reference and DHTML Events.

For example, you can set a timed element associated with a media object to display on your Web page if the media object loads successfully and set an error message to display if the media object fails to load. To do this, assign an element's begin attribute to media_id.onmediacomplete and another element's begin attribute to media_id.onmediaerror. Whether or not the media loads successfully, a message appears for the user. This example demonstrates how to assign an element's begin value relative to the firing of an event within the document.

...
<!--
This sequence begins if the media object (m1) loads successfully.
-->
<t:seq id="parent" begin="m1.onmediacomplete" dur="21"
style="position:absolute;top:225px;left:305px;">
<SPAN class="time" dur="1">10...</SPAN>
<SPAN class="time" dur="2">For go... for main engine start...</SPAN>
<SPAN class="time" dur="1">7...</SPAN>
<SPAN class="time" dur="2.2">6...</SPAN>
<SPAN class="time" dur=".75">Start...</SPAN>
<SPAN class="time" dur="1.1">3...</SPAN>
<SPAN class="time" dur="1.1">2...</SPAN>
<SPAN class="time" dur="1.1">1...</SPAN>
<SPAN class="time" dur="1.1">0...</SPAN>
<SPAN class="time" dur="1.5">... and lift off...</SPAN>
<SPAN class="time" dur=".85">... lift off...</SPAN>
<SPAN class="time" dur="4.2">Americans return to space as Discovery
clears the tower...
</SPAN>
<SPAN class="time">Roger all Discovery.</SPAN>
</t:seq>
<!--
This sequence begins if the media object (m1) does not load
successfully.
-->
<t:seq id="parent" begin="m1.onmediaerror" dur="indefinite"
style="position:absolute;top:225px;left:305px;">
<SPAN class="time" dur="3">ERROR!</SPAN>
<SPAN class="time" dur="5">No file at the assigned location
(/...some_other_URL.../)...
</SPAN>
<SPAN class="time">Please check back soon!</SPAN>
</t:seq>
...
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Set an Element to Initiate using the beginElement Method Call

You can also assign timed elements to initiate using the beginElement method. To do this, call the beginElement method from an event handler function fired by an element or by user interaction on the Web page.

In this example, the sequential time container initiates at 0 seconds after the page loads. The beginElement method is invoked when the Restart Timeline button is pressed.

...
<t:seq ID="sequence">
<SPAN class="time" style="color:red; font-size:20pt;"
timeaction="display" dur="1">5...</SPAN>
<SPAN class="time" style="color:green; font-size:20pt;"
timeaction="display" dur="1">4...</SPAN>
<SPAN class="time" style="color:blue; font-size:20pt;"
timeaction="display" dur="1">3...</SPAN>
<SPAN class="time" style="color:orange; font-size:20pt;"
timeaction="display" dur="1">2...</SPAN>
<SPAN class="time" style="color:purple; font-size:20pt;"
timeaction="display" dur="1">1...</SPAN>
<BR>
<IMG class="time" dur="indefinite" src="../common/sun.gif"/>
</t:seq>
<BR>
<BUTTON ID="btn" onclick="sequence.beginElement();">Restart Timeline</BUTTON>
...
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Set an Element to Initiate at an Offset Value

Using an offset value with the begin attribute causes the timed element(s) to start at the specified begin value plus the offset time value. The following example demonstrates how you can create elements to initiate as an offset relative to the begin time of another element.

...
<DIV id="oDIV" class="oElement1"></DIV>
<t:ANIMATE targetElement="oDIV" attributeName="left" to="400" begin="0"
dur="3" accelerate="1" autoReverse="true"
repeatCount="indefinite"/>
<DIV id="oDIV2" class="oElement2"></DIV>
<t:ANIMATE targetElement="oDIV2" attributeName="left" to="400"
begin="oDIV.begin+1;" dur="3" accelerate="1"
autoReverse="true" repeatCount="indefinite" />
<DIV id="oDIV3" class="oElement3"></DIV>
<t:ANIMATE targetElement="oDIV3" attributeName="left" to="400"
begin="oDIV.begin+2;" dur="3" accelerate="1"
autoReverse="true" repeatCount="indefinite"/>
...
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Specifying Multiple begin Values

You can specify multiple values in the begin attribute of any timed element. Using the example above, you can declare an element's begin attribute with semicolon-separated values. In this example, each div's begin time consists of more than one value.

...
<DIV id="oDIV1" class="oElement1"></DIV>
<t:ANIMATE targetElement="oDIV1" attributeName="left" to="400"
begin="0; restartBtn.click+2" dur="3" accelerate="1" autoReverse="true"
repeatCount="indefinite"/>
<DIV id="oDIV2" class="oElement2"></DIV>
<t:ANIMATE targetElement="oDIV2" attributeName="left" to="400"
begin="oDIV1.begin+1; restartBtn.click+1" dur="3" accelerate="1" autoReverse="true"
repeatCount="indefinite" />
<DIV id="oDIV3" class="oElement3"></DIV>
<t:ANIMATE targetElement="oDIV3" attributeName="left" to="400"
begin="oDIV1.begin+2; restartBtn.click" dur="3" accelerate="1" autoReverse="true"
repeatCount="indefinite"/>
...
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Related Topics

  • Basics of HTML+TIME Animation
  • HTML+TIME: Animation
  • HTML+TIME: Media
  • HTML+TIME: Time Containers
  • HTML+TIME 2.0 Reference
  • HTML+TIME: Time Containers Overview
  • Getting Started with HTML+TIME
  • Other HTML+TIME Elements
  • Spice Up Your Web Pages with HTML+TIME
  • Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link


 Spice Up Your Web Pages with HTML+TIME (HTML+TIME Technical Articles) (HTML+TIME Technical Articles)

Spice Up Your Web Pages with HTML+TIME

Debbie Newman
Microsoft Corporation
May 2000

Summary: This article provides an introduction to HTML+TIME in Microsoft Internet Explorer 5.5.

Disclaimer: The inline samples in this article will not function correctly unless you are running Internet Explorer 5.5. In addition, the inline samples may not be compatible with the FrontPage HTML Editor.

Download Internet Explorer 5.5 Download Internet Explorer 5.5

Contents

HTML+TIME Attributes
Declaring HTML+TIME Behaviors
Basic Timing ExamplesBegin and Dur Attributes
Interactivity
HTML+TIME Containers
Media
Switch Element and Text Attributes
SMIL 2.0

In this "Internet age" with the proliferation of Web pages for every imaginable topic, it is becoming increasingly important to draw users into a page and keep them engaged with the topic at hand. Creating interesting and interactive pages encourages the user to remain on the page as long as possible and gives the Web page author more of a chance to get the point across.

HTML+TIME provides a declarative means to add multimedia and interactivity to Web pages. As the content creator, you don't need to know script to use HTML+TIME, so you can focus on creating the content instead of learning a programming language.

The basic concept behind HTML+TIME is that you control when items come and go on a page. Those items can be images, text, movie clips, sound, HTML elements, or styles. You can tell an item to show up on the page at a certain time, such as 10 seconds after the page loads, or to show up at the same time as another item or at a time relative to another item, or to come and go in response to user interaction such as a button click. In addition to the item's begin time, you can provide a duration, end, or repeat count.

HTML+TIME Attributes

HTML+TIME provides attributes you can use to specify an element's timing behavior. This section briefly introduces the begin, dur, repeatCount, repeatDur, and end attributes.

The begin attribute specifies the time or times at which an element begins, relative to its parent's timeline. For example, begin="4" means that the element begins 4 seconds after its parent begins. The body begins when the page loads (at time 0). You can specify multiple begin times by separating them with semicolons. In addition to specific times, an element can also begin in response to an event like a button click or in relation to the beginning or end of another element. The special value "indefinite" means that the begin time is some time in the future and has yet to be resolved.

Example begin times:

  • begin="18" begin 18 seconds after parent.

  • begin="5;10;15;20" begin at 5, 10, 15, and 20 seconds after parent.

  • begin="theButton.click" begin when the element with the ID "theButton" is clicked.

  • begin="theDiv.begin" begin when the element with the ID "theDiv" begins.

  • begin="theSpan.end" begin when the element with the ID "theSpan" ends.

  • begin="0;theButton.click" begin at 0 and when the element with the ID "theButton" is clicked.

Note the parent's timeline can cut short the timeline of its child. For example, if the parent ends at time 20, then its child cannot begin after that time. The child ends if it is active when its parent ends.

The dur attribute specifies the length of the simple duration, which is the basic duration of the presentation of the element. The presentation might include making the element appear or disappear, or it might include applying a style to the element. The dur attribute must be a single value greater than 0. The special value "indefinite" indicates that the duration should last forever. However, the duration can still be cut short by an explicit end (using the end attribute) or the end of the parent.

Example dur values:

  • dur="5"

  • dur="indefinite"

The repeatCount attribute specifies the number of times the element should repeat its simple duration. Fractional values (such as 2.5) are allowed and indicate a partial repeat of the last iteration. In the case of 2.5, the element will repeat two and a half times. The special value "indefinite" indicates that the repeat should last forever, subject to the duration of the parent.

The repeatDur attribute is similar to repeatCount but specifies the amount of time (rather than the number of times) to repeat the simple duration. For example, if dur specifies a simple duration of 5 and repeatDur is 12.5, then the simple duration will repeat two and a half times (12.5/5=2.5). The special value "indefinite" indicates that the repeat duration should last forever, subject to the duration of the parent.

The simple duration combined with the effect of any repeats defines the active duration.

The end attribute specifies the end of the active duration. As with begin, you can specify multiple end values separated by semicolons. The special value "indefinite" means the end is sometime in the future and has yet to be resolved. An end time overrides the duration and can cut short or extend the duration if both are specified on the same element.

In contrast to dur, which specifies a duration relative to the element's begin time, end is an absolute time in relation to the element's parent's timeline. For example, if begin="3" and dur="5" and end, repeatCount, and repeatDur are not specified, then the element will end 5 seconds after it begins, which is 8 seconds on the parent's timeline. However, if end="5", then the element will end at 5 seconds on the parent's timeline.

HTML+TIME provides a number of additional attributes that provide additional control over items on the page, but the attributes above give you the foundation to begin using HTML+TIME.

Declaring HTML+TIME Behaviors

Microsoft Internet Explorer 5.5 provides support for HTML+TIME through a series of element behaviors. To enable HTML+TIME content on your page, you need to add some declarations for the element behaviors to the top of the page.

First, make sure the <html> element includes the namespace declaration for HTML+TIME, as follows:

<html xmlns:t ="urn:schemas-microsoft-com:time">

Second, within your style block, declare the HTML+TIME version 2.0 (TIME2) behavior.

<style>
.time { behavior: url(#default#TIME2); }
</style>

Third, immediately following your style block, add the declaration to import the TIME2 behavior as an element behavior.

<?IMPORT namespace="t" implementation="#default#time2">

Here is a skeleton HTML page that includes the required declarations for HTML+TIME in Internet Explorer 5.5. You can copy the example as a basis for your own HTML+TIME pages.

<html xmlns:t ="urn:schemas-microsoft-com:time" >
<head>
<style>
.time { behavior: url(#default#time2) }
</style>
<?IMPORT namespace="t" implementation="#default#time2">
</head>
<body>
<!-- Replace this line with your content -->
</body>
</html>

Basic Timing Examples Begin and Dur Attributes

Once you've added the necessary declarations to the top of the page, you can begin adding timing within the page. Add class="time" to an element to attach the time behavior to that element. You can then use the HTML+TIME attributes such as begin and dur to cause HTML elements to appear and disappear from the page in response to the times you specify. The dur attribute indicates the length of time (duration) that the timing will be applied.

The following example (Example 1) illustrates several aspects of timing.

<p id=example1 class="time" begin="0; example1.end+2" dur="1">HTML+TIME allows you
to control when HTML elements come and go.</p>

The time class attaches to the paragraph and handles the time-specific attributes begin and dur.

The example has two begin times: 0 and example1.end+2. The first begin time (0) displays the paragraph beginning when the page begins (at 0 seconds). The second begin time (example1.end+2) is more complex and consists of several parts. The ID of this paragraph is "example1", and "example1.end" indicates the simple end of this paragraph. The "+2" is an offset indicating 2 seconds after the simple end of the paragraph. Therefore, the second begin means to begin again 2 seconds after the paragraph has ended.

The paragraph first displays at 0 seconds for 1 second and then ends its simple duration. When its simple duration ends, the paragraph disappears and then begins again 2 seconds after its previous end (example1.end+2). It displays again for its duration, ends its simple duration, and begins again 2 seconds later, repeating the pattern forever (or until its parent ends), since the second begin time is triggered every time the paragraph ends.

Below is a live version of the example illustrated above.

Example 1. In this example, the sentence "HTML+TIME allows you to control when HTML elements come and go" below will appear to blink.

HTML+TIME allows you to control when HTML elements come and go.

For a more straightforward example, you could specify one begin time (for example, 10), and the paragraph would begin at that time and disappear after the specified duration. It would not begin again, since that one time had already occurred.

The following HTML fragment shows the syntax for a paragraph that begins at time 10, displays for 5 seconds, and does not begin again.

<p class="time" begin="10" dur="5">text</p>

Example 1 uses a repeating pattern instead of the simple example above to make sure you have a chance to watch it come and go.

You can also specify a list of begin times (for example, "10;17;30;95") to cause the paragraph to begin at those times, display for the duration, and disappear again until the next begin time. Once all of the begin times have been exhausted, the paragraph will not display again.

The following HTML fragment shows the syntax for a paragraph with the list of begin times specified above. The paragraph displays beginning at each of the begin times in turn, displays for the 6-second duration, and disappears until the next begin time when it again displays for 6 seconds and then disappears until the next begin time. After it has completed the list of begin times, it does not begin again.

<p class="time" begin="10;17;30;95" dur="6">text</p>

The same syntax applies to other HTML elements besides <p>, such as <div>, <span>, <img>, <h1>, <h2>, and so on. You can apply timing to multiple elements on the page and synchronize their display or time them independently. Example 2 displays text and an image together. The text begins and ends in a repeating pattern, similar to the begin and end in Example 1, beginning again 2 seconds after it ends. The image begins 1.5 seconds after the text begins (example2.begin+1.5) and ends when the text ends (example2.end).

Example 2. In this example, the text "Introducing Seattle at night" will appear first, followed by a photograph of Seattle.

Introducing Seattle at night...

The following HTML fragment shows the syntax used to achieve the timing in Example 2.

<h3 id=example2 class="time" begin="0; example2.end+2" dur="5">
Introducing Seattle at night...
</h3>
<img class="time" begin="example2.begin+1.5" end="example2.end" src="Seattle.jpg"
style="height=150; width=300" />
The image source, height, and width are the same attributes that apply to an <img> element that does not include timing. The end attribute (end="example2.end") indicates an absolute end time for the image, in contrast to the dur used on the heading element (<h3>) in this example. The end attribute causes the image to end when the heading (<h3>) ends. The dur attribute is added to the begin time of the <h3> to determine when the heading ends, since an end time is not specified on the heading. Web pages probably use dur more often than end and do not typically use both dur and end at the same time. We will leave the discussion of the finer distinctions between the two for a later time.

You can time any number of elements on a page, making the page progressively more active.

Interactivity

You can add user interaction to your Web pages by allowing elements to begin or end in response to events, as in the following example.

Example 3. In this example, clicking the paragraph below will cause the photograph to appear.

Click this paragraph to display an image. The begin time for the image is startExample.click; startExample is the ID of this paragraph. The image appears when this paragraph is clicked and ends after the specified duration. Click this paragraph again to restart. The HTML fragment to accomplish this behavior follows:

<img class="time" begin="startExample.click" dur="5" src="Seattle.jpg"
style="height=150; width=300/>

HTML+TIME Containers

A time container is an element that enforces time relationships between its child elements. HTML+TIME provides three time containers that provide assistance in common scenarios:

  • <t:par> timed children run in parallel.

  • <t:seq> timed children run in sequence, one after another; only one child can be active at a time.

  • <t:excl> timed children run exclusively, in any order; the exclusive time container automatically stops all other children when one child is activated; as in a sequence, only one child can be active at a time.

The "t:" prefix on all the time containers matches the "t" namespace qualifier declared at the top of Web pages that use HTML+TIME.

<t:par> Time Container

The previous examples in this article are children of a <t:par> because they are children of the <body> element, and the body is implicitly a <t:par> time container.

The following example uses a parallel time container to wrap a timed paragraph and have it repeat forever, subject to the active time of the time container's parent. The paragraph uses class="time" and the begin and dur attributes, much like the examples already discussed in this article. The paragraph begins at 1 second, displays for 3 seconds, and then repeats because of the repeatCount on the <t:par>, beginning again 1 second later. The pattern repeats until the time container's parent ends.

<t:par repeatCount="indefinite">
<p class="time" begin="1" dur="3">Paragraph uses repeatCount to come and go.</p>
</t:par>

Example 4. In the example below, the sentence "Paragraph uses repeatCount to come and go" begins at 1 second and displays for 3 seconds. At that point the child ends and the parent repeats, beginning the child again 1 second later.

Paragraph uses repeatCount to come and go.

<t:seq> Time Container

Sequence time containers are designed to provide slideshow functionality. The following example uses the <t:seq> combined with <t:par> to provide a slideshow of several images. Each <t:par> groups an image together with a div that contains a corresponding caption. The sequence displays the image/caption pairs one after another to form the slideshow. The indefinite repeatCount causes the sequence to continue cycling through the slideshow.

This example also sets the timeAction attribute to "display" to prevent the page from reserving space in the layout for each image and caption. That means all the images and captions appear in the same location on the page, as is typical with a slideshow.

<t:seq repeatCount="indefinite">
<t:par>
<img class="time" begin="0" dur="3" timeAction="display" src="Seattle.jpg"
style="height=150; width=300" />
<div class="time" begin="0" dur="3" timeAction="display">Seattle</div>
</t:par>
<t:par>
<img class="time" dur="3" timeAction="display" src="OlympicMtns.jpg"
style="height=150; width=300" />
<div class="time" dur="3" timeAction="display">Olympic Mountains</div>
</t:par>
<t:par>
<img class="time" dur="3" timeAction="display" src="ferry.jpg"
style="height=150; width=300" />
<div class="time" dur="3" timeAction="display">Seattle Ferry</div>
</t:par>
<t:par>
<img class="time" dur="3" timeAction="display" src="ggbridge.jpg"
style="height=150; width=300" />
<div class="time" dur="3" timeAction="display">Golden Gate Bridge</div>
</t:par>
</t:seq>

Example 5. In the example below, a slideshow of four photographs will appear. When the final element in the sequence ends, the sequence repeats from the beginning. The sequence continues forever due to the "indefinite" repeatCount.

Seattle
Olympic Mountains
Seattle Ferry
Golden Gate Bridge

<t:excl> Time Container

The example below displays one of four images, depending on the button that is clicked. The <t:excl> time container takes care of turning off all of the other images when you select an image. Once again, timeAction="display" ensures that all of the images display in the same location.

<button id=seattle>Seattle</button>
<button id=ferry>Seattle Ferry</button>
<button id=olympics>Olympic Mountains</button>
<button id=bridge>Golden Gate Bridge</button>
<t:excl dur="indefinite">
<img class="time" begin="0;seattle.click" dur="indefinite" timeAction="display"
src="Seattle.jpg" style="height=150; width=300" />
<img class="time" begin="ferry.click" dur="indefinite" timeAction="display" src="ferry.jpg"
style="height=150; width=300" />
<img class="time" begin="olympics.click" dur="indefinite" timeAction="display"
src="OlympicMtns.jpg" style="height=150; width=300" />
<img class="time" begin="bridge.click" dur="indefinite" timeAction="display" src="ggbridge.jpg"
style="height=150; width=300" />
</t:excl>

Example 6. This example displays four buttons; when each button is clicked, a different image is displayed.

Media

HTML+TIME provides the following elements for playback of media, such as audio, video clips, and images:

  • <t:media>

  • <t:video>

  • <t:audio>

  • <t:img>

  • <t:animation>

  • <t:ref>

These elements are synonyms of one another, and their function is identical. The variety of media elements allows the author to provide self-documenting content. For example, you could use the <t:audio> element when playing a sound clip and the <t:video> element when playing a video clip. You could use the <t:animation> element for animated gifs and the <t:img> element for still images, similar to the traditional HTML <img> element. <t:media> is a generic element that could refer to all media, as is the <t:ref> element, because it stands for a reference to another file.

The media elements support the begin, dur, end, repeatCount, repeatDur, and timeAction attributes already discussed in this article, as well as attributes not yet covered. A few attributes specific to the media elements include the following:

  • src source media file to play, like the source used with <img>

  • clipBegin position in which to begin playback in a media clip

  • clipend position in which to end playback in a media clip

  • player player to use to play back the media. HTML+TIME includes a default player so you don't have to specify a player in most cases. You can specify the CLSID of a player or use the special values "dmusic" for DirectMusic playback or "dvd" for DVD playback.

<button id=startMedia>Play</button>
<button id=stopMedia>Stop</button>
<t:media begin="startMedia.click" end="stopMedia.click" src="clock.avi" mute="true"
timeAction="display" style="height=150; width=150" />

Example 7. The following example plays a video clip when you click the Play button and stops when you click the Stop button. The example also mutes the audio from the clip.

<button id=startMedia2>Play using clipBegin</button>
<button id=stopMedia2>Stop</button>
<t:media begin="startMedia2.click" end="stopMedia2.click" clipBegin="6" src="clock.avi"
mute="true" timeAction="display" style="height=150; width=150" />
Example 8. The following example uses clipBegin to begin playback 6 seconds into the movie. To see the effect, compare playback of this clip with playback to the same clip above that does not use clipBegin. Playback begins when you click the Play using clipBegin button and ends when you click the Stop button.

Switch Element and Test Attributes

Internet Explorer 5.5 introduces support for the <t:switch> element and the systemCaptions, systemBitrate, systemOverdubOrSubtitle, and systemLanguage test attributes. The <t:switch> element allows you to list several alternate choices and display content, depending on which choice is true on the user's machine.

Example 9. HTML+TIME Accessibility Switch on Captions. This example detects whether your system captions are on or off. Only the correct match (on or off) should be displayed. Check ShowSounds on the Sound tab in the Control Panel Accessibility applet to change your system settings to use captions. Refresh this page to see the result of the new setting.

The source for the example follows:

<t:switch id=switchID>
<p id=choice1 systemCaptions="on">on</p>
<p id=choice2 systemCaptions="off">off</p>
</t:switch>

Your caption settings are:

on

off
Example 10. HTML+TIME Language Switch on System Language Setting. This example detects the system language setting in the Regional Options in the Control Panel and displays a text fragment in Spanish, Portuguese, or English, depending on the system language setting.

The source for the example follows:

<t:switch>
<span class="time" systemLanguage="es" >Somos interdependientes (Espanol)</span>
<span class="time" systemLanguage="pt" >Ns somos interdependentes (Portuguese)</span>
<span class="time" systemLanguage="en" >We are interdependent (English)</span>
<span class="time">None of the above</span>
</t:switch>

Your language settings are:

Somos interdependientes (Espanol) Ns somos interdependentes (Portuguese) We are interdependent (English) None of the above

SMIL 2.0

HTML+TIME is the Microsoft implementation of the HTML+SMIL profile in SMIL 2.0. SMIL 2.0 is the next version of the Synchronized Multimedia Integration Language (SMIL) specification that many companies, including Microsoft, are working to define together at the Worldwide Web Consortium (W3C). The latest public working draft is available on the W3C site at http://www.w3.org/TR/smil20/ Non-MS link.

The HTML+SMIL Language profile defined by the latest SMIL 2.0 working draft specifies that HTML is used for layout in the HTML+SMIL profile rather than using the separate SMIL Language for layout.

Internet Explorer 5.5 includes support for the SMIL Timing and Synchronization module, SMIL 2.0 Animation module, SMIL Media Object module, and SMIL Integration module.

Summary

Internet Explorer 5.5 opens the world of rich, interactive, synchronized, accessible multimedia to the content developer. Many exciting new features abound, and we've only scratched the surface so far.

Additional Information

For more information, check out HTML+TIME.


Incorporate the time2 Behavior

This tutorial explains how to incorporate the time2 behavior in your Web pages so you can begin using timelines, multimedia, and animation with HTML elements.

Using the time2 Behavior

Because Microsoft?Internet Explorer 5.5 provides support for HTML+TIME (Timed Interactive Multimedia Extensions) through an element behavior, you must add declarations for the time2 behavior to your page. The time2 behavior is available as of Internet Explorer 5.5 in the Microsoft Win32?platform.

The prefix t: associates an element with an Extensible Markup Language (XML) namespace. You must declare the XML namespace in the html tag of your document when using the element.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">

You must then import the tag definitions from the time2 behavior by using the IMPORT processing instruction.

<?IMPORT namespace="t" implementation="#default#time2">

Finally, you need to associate your element or elements with the time2 behavior. You can do this inline on a given element:

<DIV STYLE="behavior:url(#default#time2)";}...

If you plan to use HTML+TIME features with more than a couple of elements on the page, you might find it less cumbersome to associate elements with the time2 behavior by creating a Cascading Style Sheets (CSS) class attribute.

<HTML>
<HEAD>
<STYLE>
.time {behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY>
<DIV CLASS="time"...
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The Show Me button provides a short page template you can use to get started. Just copy the HTML and paste it into your Web document.

Related Topics

  • Getting Started with HTML+TIME
  • Introduction to HTML+TIME
  • Spice Up Your Web Pages with HTML+TIME


Getting Started with HTML+TIME

HTML+TIME (Timed Interactive Multimedia Extensions) makes it fast and easy to support timed, animated, and multimedia content on your pages. Using a few Extensible Markup Language (XML)-based elements and attributes, you can synchronize media playback with text and other elements and animate your content without the need for script. Because HTML+TIME adds timing to a document through new attributes on existing HTML elements, you can leverage your existing HTML knowledge when you add timing to a page. For more complex pages, most of the functionality provided by the time2 behavior is also available for scripting.

What Can I Do With HTML+TIME?

Here's a quick list of ways you can create more dynamic and exciting page content with HTML+TIME.

  • Create a simple image viewer or slide show. You can find examples in Spice Up Your Web Pages with HTML+TIME.
  • Play a video or audio presentation accompanied by captions or subtitles.
  • Animate text and graphics to create a banner—check out the HTML+TIME Ad Banner sample.
  • Select among different media content depending on system settings.
  • Coordinate text and images to enhance a document.
  • Apply filters and transitions to timed elements—view a sample in Creating Animations for HTML+TIME. For further information, see Using HTML+TIME Transitions.

This overview summarizes how to implement the time2 behavior in your Web pages and provides quick explanations and examples concerning timelines, media elements, and animation.

  • How it Works: the Time2 Behavior
  • Easy Timeline Control
  • Support Multimedia Presentations
  • Animate Content With or Without Script

How it Works: the Time2 Behavior

Because Microsoft?Internet Explorer 5.5 provides support for HTML+TIME through an element behavior, you must add declarations for the time2 behavior to your page. The time2 behavior is available as of Internet Explorer 5.5 in the Microsoft Win32?platform.

The prefix t: associates an element with an XML namespace. You must declare the XML namespace in the html tag of your document when using the element.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">

You must then import the tag definitions from the time2 behavior by using the IMPORT processing instruction.

<?IMPORT namespace="t" implementation="#default#time2">

Finally, you need to associate your element or elements with the time2 behavior. You can do this inline on a given element:

<DIV STYLE="behavior:url(#default#time2)";}...

If you plan to use HTML+TIME features with more than a couple of elements on the page, you might find it less cumbersome to associate elements with the time2 behavior by creating a Cascading Style Sheets (CSS) class attribute.

<HTML>
<HEAD>
<STYLE>
.time {behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY>
<DIV CLASS="time"...
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The Show Me button provides a short page template you can use to get started. Just copy the HTML and paste it into your Web document.

For more information about referencing the time2 behavior, see Introduction to HTML+TIME.

Easy Timeline Control

The HTML+TIME model offers a combination of static and event-based timeline control. Timeline properties like dur (duration), end, and begin describe relationships along a static timeline, which makes it easy to define tightly synchronized timing for media playback. On the other hand, you can also define interactive, event-based timeline attributes. When your event fires on an element, that element's timeline is added to the running timeline as defined by the element's other attributes.

The time container elements available in HTML+TIME are t:PAR, t:SEQ, and t:EXCL. These container elements specify whether the timelines of the elements they contain can run concurrently (t:PAR), sequentially (t:SEQ), or exclusively (t:EXCL). For example, to ensure that a video file and accompanying audio track play at the same time, wrap the two media objects in a t:PAR container.

<t:PAR>
<t:VIDEO SRC="lion.mpg">
<t:AUDIO SRC="roar.aiff"/>
</t:PAR>

Alternatively, you might want several elements to play in succession. The t:SEQ container allows you to play multiple elements, relative to the container timeline, without setting a specific begin time for each one.

<t:SEQ ID="parent" BEGIN="0" DUR="indefinite" >
<DIV ID="div1" CLASS="time" DUR="3">Please...</DIV>
<DIV ID="div2" CLASS="time" DUR="3">...don't swim in the lake...</DIV>
<DIV ID="div3" CLASS="time" DUR="3">...late in the afternoon...</DIV>
<DIV ID="div4" CLASS="time" DUR="3" FILL="hold" >...when the crocodiles
come out for exercise.</DIV>
</t:SEQ>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Use the t:EXCL element to specify that only one child element can play at a time, even if overlapping begin and duration values are set for child elements. The following example uses a t:EXCL container instead of t:SEQ. Notice that div1 is interrupted by div4, even though div1 has a duration of 6. Because div3 has no begin time set, it is ignored by the parent t:EXCL container. You can use the t:PRIORITYCLASS element with t:EXCL to set rules for overlapping and interrupting child timelines.

<t:EXCL ID="parent" BEGIN="0" DUR="indefinite" >
<DIV ID="div1" CLASS="time" BEGIN="0" DUR="6">Please...</DIV>
<DIV ID="div2" CLASS="time" BEGIN="6" DUR="6">...don't swim in the
lake...</DIV>
<DIV ID="div3" CLASS="time" DUR="3">...late in the afternoon...</DIV>
<DIV ID="div4" CLASS="time" BEGIN=3 DUR="3" >...when the crocodiles
come out for exercise...</DIV>
</t:EXCL>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

HTML+TIME offers a number of properties and attributes to help you specify timing details, including begin, dur, fill, repeatCount, repeatDur, speed, accelerate, and restart. For more detailed information about the timing model, see the HTML+TIME Timing Model.

Support Multimedia Presentations

HTML+TIME provides some particularly useful features for supporting multimedia presentations on the page, beginning with a set of XML-defined media elements: audio, img, media, ref, and video. You can control the timeline of a media object by setting its dur, speed, end, and other attributes in the same way you would for another timed element, butHTML+TIME provides more media-specific properties as well.

For example, you can apply timing to sub-clips of a given video or audio file, as long as the file format supports clipping, by setting the clipEnd and clipBegin properties. If your media source will load over a network—and consequently might be delayed in loading—you can determine whether and how the media element's timeline can "slip" relative to the parent element timeline by setting the syncBehavior and syncTolerance properties. Conversely, you can specify that a time container synchronizes playback to a designated element by setting the syncMaster property on that element.

In some cases, you might want to present media files that are appropriate for particular users. If your page displays a video, for example, you might want your page to accompany the video with a soundtrack file in either Spanish or Japanese, depending on the user's language settings. Suppose further that for users who speak neither Spanish nor Japanese, you want your presentation to display a synchronized subtitles file in English and to play background music instead of narration. To accomplish all these distinctions, you can use system test attributes and the t:SWITCH element to play only those elements that match the appropriate system settings. Supported attributes include systemBitrate, systemCaptions, systemLanguage, and systemOverdubOrSubtitle. For more information about using the switch element and system test attributes, see About Content Selection: System Test Attributes and t:SWITCH.

Animate Content With or Without Script

As described in Basics of HTML+TIME Animation, you can add animation effects with HTML+TIME by changing the value of properties over time. Roughly speaking, you can set HTML+TIME attributes and properties on two kinds of elements. By setting timing attributes for content elements, like the familiar DIV element or the t:EXCL time container element, you make those elements appear or disappear over time. Adding timing to a style property, like height or position, causes the style to be applied or removed over time as the value of the property changes. In this way, you can animate elements' content, position, and appearance.

Four elements are available to animate other elements on the page: t:ANIMATE, t:ANIMATECOLOR, t:ANIMATEMOTION, and t:SET. t:ANIMATE is a generic element that can animate most properties of HTML elements. The t:ANIMATECOLOR element does just what you'd expect—changes the value of color properties—whereas t:ANIMATEMOTION animates the top and left properties of an element to change its position. Similarly, the t:SET element enables you to set an attribute or property value for a specified duration, though this setting expires when the duration ends.

The following example uses each of these animation elements to apply simple animation effects to some familiar text. Notice that it's necessary to set a property explicitly on a given DIV in order to animate that property. Furthermore, you must designate each property you want to animate by setting the attributeName property on each animation element. Because each t:ANIMATE, t:ANIMATECOLOR, or t:ANIMATEMOTION element is a child of the DIV it animates, the targetElement property is implied in each case, even though it's set for the animation elements in this example.

<t:PAR>
<DIV ID="div1" CLASS="time" BEGIN="0"
STYLE="background-color:yellow;text-align:center;width:25px;
position:relative">
Please...
<t:ANIMATE id="widen" begin="0" targetElement="div1"
attributeName="width" from="25" to="570" calcmode="paced" dur="5"
fill="hold"/>
</DIV>
<DIV ID="div2" CLASS="time" BEGIN="widen.end">
...don't swim in the lake...</DIV>
<DIV ID="div3" CLASS="time" BEGIN="widen.end + 2" STYLE="color:yellow">
...late in the afternoon...
<t:ANIMATECOLOR id="goblue" begin="widen.end + 2" targetElement="div3"
attributeName="color" to="blue" dur="3" fill="hold"/>
</DIV>
<DIV ID="div4" CLASS="time" BEGIN="goblue.end"
STYLE="position:absolute;top:230px;left:20px">
...when the crocodiles come out for exercise.
<t:ANIMATEMOTION id="upfromunder" begin="goblue.end"
targetElement="div4" attributeName="top" from="0, 200" to="0, 5"
calcmode="linear" accelerate="0.8" dur="4" fill="hold"/>
</DIV>
</t:PAR>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

In the example above, each successive child timeline is set to begin when the preceding animation ends—in other words, its BEGIN attribute is set relative to the ID of the preceding animation element. However, you could also set those child timelines relative to the parent t:PAR timeline if, for instance, you wanted to coordinate another time container with the animated text shown here.

For more information about using the HTML+TIME animation features, see Basics of HTML+TIME Animation and the HTML+TIME: Animation reference.

Related Topics

  • Introduction to HTML+TIME
  • Spice Up Your Web Pages with HTML+TIME
  • Basics of HTML+TIME Animation
  • Initiating Timed Elements with the begin Attribute
  • About Content Selection: System Test Attributes and t:SWITCH
  • About Element Behaviors


Introduction to HTML+TIME

HTML+TIME (Timed Interactive Multimedia Extensions), first released in Microsoft?Internet Explorer 5, adds timing and media synchronization support to HTML pages. Using a few Extensible Markup Language (XML)-based elements and attributes, you can add images, video, and sounds to an HTML page, and synchronize them with HTML text elements over a specified amount of time. In short, you can use HTML+TIME technology to quickly create multimedia-rich, interactive presentations, easily and with little or no scripting.

HTML+TIME 2.0 is based on the HTML+SMIL language profile Non-Microsoft link in the Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link working draft. SMIL 2.0 is the W3C successor to SMIL 1.0. HTML+TIME 2.0 is the successor to HTML+TIME 1.0.

Note HTML+TIME 2.0 is available in minimal installations of Internet Explorer 5.5 and Internet Explorer 6.

This article covers the following topics:

  • Benefits
  • HTML+TIME Behaviors and Elements
  • HTML+TIME Timing Model
  • Authoring HTML+TIME
  • Exclusive, Sequential and Parallel Time Container Elements
  • Compatibility
  • HTML+TIME Implementation Notes
  • HTML+TIME Newsgroup
  • Related Topics

Benefits

The following section contains information about the benefits of using HTML+TIME.

  • Dynamic Content
  • Ease of Use
  • Scripting Support

Dynamic Content

You can use HTML+TIME to add dynamic, interactive content to your Web pages. For example, you can create slide-show-style Web presentations with synchronized text, images, audio, video, and streaming media. You can create these presentations so that they are timed, interactive, or a combination of both.

Ease of Use

To add timing to an HTML document, all you have to do is add some new attributes to existing HTML elements. Thus, you can leverage your existing HTML knowledge when you add timing to your page. The HTML+TIME attributes specify when an element appears on a page, how long it remains displayed, and how the surrounding HTML elements are affected. In addition to the attributes, some new XML-based elements have been created to simplify incorporating media into Web pages. For example, you can use the excl element to specify when a sound file should start playing, when it should stop, and how many times it should repeat.

HTML elements can be grouped into hierarchical relationships to allow for easy manipulation of multiple HTML elements at once. Grouping is also used to specify whether HTML elements appear and disappear sequentially on the page, or use independent timing. Element grouping is specified either by using the t:PAR, t:SEQ, or t:EXCL elements in a document, or by setting the TIMECONTAINER attribute.

Scripting Support

With HTML+TIME, you can use persistent XML elements and attributes to add timing to your HTML page. This means you don't have to know how to program with scripting languages to make your pages more dynamic. However, for people who already know how to use scripting languages, HTML+TIME supports a complete object model that extends the existing DHTML Object Model. Thus, you can use HTML+TIME properties, methods, and events to add even more interactive features to your Web pages.

HTML+TIME Behaviors and Elements

HTML+TIME is implemented as a DHTML default behavior, one of the powerful new features introduced in Internet Explorer 5. For more information about behaviors, see the Related Topics section of this document.

You can use all the HTML+TIME attributes listed in the reference pages with any timed HTML element. For a list of HTML elements that can be timed, see the Applies To section of the time and time2 behavior reference pages.

Internet Explorer 5.5 Update

The HTML+TIME 2.0 Reference lists the features implemented by the time2 behavior and supported in Internet Explorer 5.5 and later.

The HTML+TIME 1.0 Reference lists the features implemented by the time behavior and supported in Internet Explorer 5 and later.

HTML+TIME Timing Model

Most traditional animation runtime systems use either rigid timelines or pure, event-based relationships to model time. The rigid timeline model makes it more difficult to create interactive content. In this environment, you must add "jumps" to another pseudo-timeline to introduce interactive elements. In event-based models, interaction is easier to define, but it is more difficult to create timeline behaviors, such as sequences and precise synchronization of media elements.

HTML+TIME unifies these two timing models, taking the best of each and simplifying the process of authoring timed, interactive content. In the HTML+TIME model, you can use timeline attributes to describe static, or determinate, timeline relationships. This makes it easy to place elements in time and to ensure synchronization among media elements. You can author interactive content using a simple variant on the timeline attributes, where the begin and/or end times are tied to an event. Therefore, the actual begin and/or end values are indeterminate when you author the document. In reality, these times are event-based, but they can be defined as though they had traditional timing. When the associated event occurs, such as a user clicking a button, the indeterminate timing relationship is defined by the time at which the event occurs. At this point, the element is added into the running timeline as though it had been defined from the beginning.

This unified model makes it easy to define an animation that has tightly synchronized media, and to add a number of interactive elements that start when the user does something. The interactive elements can have a duration and repeat count just like other timed elements, even though they begin in response to an event. You can apply a single set of tools for timing and synchronization to any element. This makes the model easier to learn and less complicated, without sacrificing any flexibility.

HTML+TIME defines a schedule, or timeline, for all the affected elements to follow. The document timeline starts as soon as the page loads and continues to progress as long as the browser renders the page. If timing is applied to media elements, such as audio or video files, you can specify that the timeline will be tightly synchronized with other elements or the entire document. By default, media files that are not ready to play when scheduled will slip along the timeline and begin playing as soon as they become available. You can pause and resume the document timeline using methods from the object model.

HTML elements behave differently when you add time attributes, depending on the HTML element type. Although other categories might exist for HTML elements, HTML+TIME primarily distinguishes between content and style elements. Content elements include all elements that describe content to be displayed on the page, including the media elements introduced with HTML+TIME (t:ANIMATION, t:AUDIO, t:IMG, t:MEDIA, and t:VIDEO. Commonly used content elements include p, div, span, and table-related elements. Adding HTML+TIME attributes to a content element causes the element to appear and disappear over time. Style elements describe the style to be applied to an element. Commonly used style elements include b, i, and em. Adding HTML+TIME attributes to a style element causes the style to be applied to and removed from the element over time. For more information about style elements, see the HTML+TIME Implementation Notes section of this document.

Authoring HTML+TIME

Use the following steps to add timing to an HTML element.

  • Create an XML Namespace
  • Reference the time2 Behavior
  • Specify Beginning and Ending Times
  • Include an Action

Create an XML Namespace

When using any of the HTML+TIME elements, such as the t:EXCL, t:SEQ or t:PAR elements, you must declare the XML namespace t: in the html tag, as shown in the following line of code:

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">

To use the namespace, preface HTML+TIME elements with t:. This string identifies the HTML+TIME elements as qualified XML namespace extensions. To establish t: as the namespace, import the time2 behavior into the namespace as shown in the following line of code:

<?IMPORT namespace="t" implementation="#default#time2">

Reference the time2 Behavior

You must associate the element with the time2 behavior, so that the element is affected by the document timeline. To accomplish this, you can add the inline STYLE attribute to the HTML element as follows:

<P STYLE="behavior:url(#default#time2)" ...>

However, you might find it easier to associate an element with the time2 behavior by creating a Cascading Style Sheets (CSS) class attribute, as shown in the following sample:

<HTML>
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY>
.
.
.
<P CLASS="time" ...>
.
.
.
</BODY>
</HTML>
Note It is not necessary to associate the time2 behavior with HTML+TIME elements, such as t:MEDIA, t:AUDIO, and t:VIDEO, because they are defined by the behavior itself.

Specify Beginning and Ending Times

You must specify when the HTML element should appear and for how long. This is accomplished by including the BEGIN and END attributes on the element. You can use the DUR attribute instead of END to specify an ending time relative to the element's BEGIN time. However, there is no functional difference between END and DUR, so you can use either one. If you do not set a BEGIN, END, or DUR time, the default value causes an element to begin displaying when the page loads, and the element remains displayed indefinitely. Therefore, the element appears static, as though you have not set any timing on that element.

The following sample shows lines of text that appear every two seconds and remain displayed for five seconds.

<HTML>
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY>
<P>This text appears right away. More lines to follow...</P>
<P CLASS="time" BEGIN="2" DUR="5" >This appears after 2 seconds.</P>
<P CLASS="time" BEGIN="4" DUR="5">This appears after 4 seconds.</P>
<P CLASS="time" BEGIN="6" DUR="5">This appears after 6 seconds.</P>
<P>This is the last line.</P>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Include an Action

Although including an action is optional, you might want to use the TIMEACTION attribute to specify the action that is taken while the element is active on the timeline. In the DHTML Object model, two properties are available on the style object for turning on and off the display of an element. HTML+TIME changes the value of these properties over time. With DHTML, you can set the visibility property to hidden or visible. This property reserves space in the layout of the rendered document, as though the element is always visible. Therefore, the document does not reflow its contents as elements are dynamically displayed or hidden.

The default behavior for using HTML+TIME on a content element is TIMEACTION="visibility". In contrast, when the DHTML display attribute is set to none it does not reserve space in the rendered document. Therefore, the document reflows every time the value of the display attribute changes. To reflow the document using HTML+TIME, set the TIMEACTION attribute to display.

As an alternative to displaying and hiding an element, you can set the TIMEACTION attribute to style to make an inline style active on an element. If you use this option, any style property included on the element using the STYLE attribute is applied only while the element is active on the timeline; otherwise, the inline style is ignored. As of Internet Explorer 5.5, you can also modify the style of an element by specifying one or more class names for the TIMEACTION attribute.

When using a time container, you can set the TIMEACTION attribute to none so that it performs no action. When this attribute is set to none, only the child elements of the time container are visually affected while the timeline is active. If an element supports a Boolean on property, you can use a TIMEACTION value of onOff to make the on property true while the timeline is active on the element, or false otherwise.

The following sample shows lines of text that appear every two seconds and remain displayed for five seconds. This is similar to the previous sample, but in this case the document reflows, as necessary, because the TIMEACTION attribute is set to display. The TIMEACTION attribute is set to style on the heading.

<HTML>
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY>
<H1 CLASS="time" BEGIN="0" DUR="11" TIMEACTION="style" STYLE="Color:Red;">timeAction</H1>
<P>This text appears right away. More lines to follow...</P>
<P CLASS="time" BEGIN="2" DUR="5" TIMEACTION="display">This appears after 2 seconds.</P>
<P CLASS="time" BEGIN="4" DUR="5" TIMEACTION="display">This appears after 4 seconds.</P>
<P CLASS="time" BEGIN="6" DUR="5" TIMEACTION="display">This appears after 6 seconds.</P>
<P>This is the last line.</P>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Exclusive, Sequential and Parallel Time Container Elements

You can use HTML+TIME to specify timing for individual elements displayed on the page. You can also use it to create a timeline that groups elements together and specifies their timing relative to each element's predecessor in the timeline. The following example uses the TIMECONTAINER attribute set to excl to create a time container that allows only one element to play at a time.

<HTML>
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY>
<DIV CLASS="time" TIMECONTAINER="excl">
<DIV CLASS="time" BEGIN="0" DUR="2" TIMEACTION="display">First line of text.</DIV>
<DIV CLASS="time" BEGIN="2" DUR="2" TIMEACTION="display">Second line of text.</DIV>
<DIV CLASS="time" BEGIN="4" DUR="2" TIMEACTION="display">Third line of text.</DIV>
<DIV CLASS="time" BEGIN="6" TIMEACTION="display">Fourth line of text.</DIV>
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

You can easily create slide-show-style presentations using timing sequences to display a series of images, one after the other, along with synchronized text. The following example uses the TIMECONTAINER attribute to create a sequential time container.

<HTML>
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY>
<DIV CLASS="time" TIMECONTAINER="seq">
<DIV CLASS="time" DUR="2" TIMEACTION="display">First line of text.</DIV>
<DIV CLASS="time" DUR="2" TIMEACTION="display">Second line of text.</DIV>
<DIV CLASS="time" DUR="2" TIMEACTION="display">Third line of text.</DIV>
<DIV CLASS="time" TIMEACTION="display">Fourth line of text.</DIV>
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

You must declare the duration of each element in the sequence. Since the duration is omitted on the last element, it remains displayed indefinitely. Grouping the elements in a sequence makes it easy to manipulate the entire group of elements at once, rather than individually. For example, you can add the BEGIN attribute to the sequence time container to make the entire sequence wait before it begins playing.

If you want to group elements without displaying them in a sequence, you can create a parallel timeline by setting the TIMECONTAINER attribute to par on the time container element. In contrast to a sequence, you can use parallel timelines to display and hide elements without any implicit dependencies on other elements. This allows more than one element to be active on the timeline, and you can have as few or as many elements active on the timeline as you want—there is no minimum or maximum requirement. The following sample shows how a parallel timeline is used for repeating a group of elements with overlapping timelines.

<HTML>
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY>
<DIV CLASS="time" REPEATCOUNT="5" DUR="10" TIMECONTAINER="par">
<DIV CLASS="time" BEGIN="0" DUR="4">First line of text.</DIV>
<DIV CLASS="time" BEGIN="2" DUR="4">Second line of text.</DIV>
<DIV CLASS="time" BEGIN="4" DUR="4">Third line of text.</DIV>
<DIV CLASS="time" BEGIN="6" DUR="4">Fourth line of text.</DIV>
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Instead of using the TIMECONTAINER attribute to group HTML elements on a timeline, you can use the t:PAR or t:SEQ elements. For example, in the previous sample that shows a sequence, you could have used the t:SEQ element instead of the div to yield the same results.

The following example declares the XML namespace t: in the html tag and imports the time2 behavior into that namespace because it uses the t:SEQ custom element.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY>
<t:SEQ>
<DIV CLASS="time" DUR="2">First line of text.</DIV>
<DIV CLASS="time" DUR="2">Second line of text.</DIV>
<DIV CLASS="time" DUR="2">Third line of text.</DIV>
<DIV CLASS="time">Fourth line of text.</DIV>
</t:SEQ>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 4.0 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Compatibility

HTML+TIME features are available as of Internet Explorer 5 and are not supported in earlier browser versions. If an earlier version of Internet Explorer or a non-Internet Explorer browser encounters a reference to a behavior, the style is ignored, and the element is rendered as normal on the page. However, scripting errors might occur in cases where the behavior being used exposes properties, methods, or events. To address these errors, you need to use some version-checking script.

Note HTML+TIME works only if Internet Explorer 5 is installed with the typical set of components. If the minimal installation is used, HTML+TIME content is rendered statically, as though no timing has been defined.

Internet Explorer 5.5 Update

All of the features of the time behavior are still available in Internet Explorer 5.5. However, we strongly recommend that you begin using the time2 behavior, which implements the HTML+SMIL language profile as defined in the working draft of the SMIL 2.0 specification.

HTML+TIME Implementation Notes

The following list contains information about the initial version of HTML+TIME in Internet Explorer 5, including differences between this implementation and the W3C submission.

  • Style elements, such as b, i, and em, are not fully supported in the initial version of HTML+TIME. Instead, style elements are controlled in the same way as content elements: by displaying and hiding their contents. However, you can set the timing on inline styles associated with an element. For information about how to apply timing to an element's inline style, see the TIMEACTION attribute.
  • When adding timing to an image, use the new HTML+TIME t:IMG element instead of the HTML img element.

HTML+TIME Newsgroup

The HTML+TIME newsgroup is a forum for users to share ideas, ask questions, and relay comments about HTML+TIME. The newsgroup is intended for user-to-user support; however, Microsoft does monitor it for product-feedback purposes. To access the newsgroup, use the following information with your favorite newsgroup reader.

  • News server: msnews.microsoft.com
  • Newsgroup name: microsoft.public.windows.inetexplorer.ie5.programming.html+time

Related Topics

  • A User's Guide to Style Sheets
  • Introduction to DHTML Behaviors
  • HTML+TIME 1.0 Reference
  • HTML+TIME 2.0 Reference
  • Spice Up Your Web Pages with HTML+TIME
  • Using DHTML Behaviors


Controlling Child Elements Using HTML+TIME: Time Containers

HTML+TIME (Timed Interactive Multimedia Extensions)?.0 comes equipped with three time containers that enable you to control how timed interactive child elements behave on your Web pages. These time containers enforce time relationships with their corresponding child elements, control the amount of time that children can be active, and define the relationships among a set of grouped child elements. The following table describes the three time containers.

Time container | Description
t:EXCL | Timed children run exclusively, in any order; the exclusive time container automatically stops all other children when one child is activated. As in a sequence, only one child can be active at a time.
t:PAR | Timed children run parallel to one another; unlike the exclusive and sequence time containers, more than one parallel child can be active at a time.
t:SEQ | Timed children run in sequence, one after another; only one child can be active at a time.

This article contains the following sections.

  • Prerequisites
  • Setting Groups of Timed Elements
  • t:EXCL Time Container
  • t:PAR Time Container
  • t:SEQ Time Container
  • Simple Duration
  • Active Duration
  • Time Container Constraints on Child Durations
  • Related Topics

Prerequisites

To use this overview most effectively, you should have some understanding of the time2 behavior of HTML+TIME and Introduction to DHTML Behaviors. Specifically, this overview assumes that you know how to create an Extensible Markup Language (XML) namespace and import and reference the time2 behavior. For more information on how to declare an XML namespace and/or import and reference the time2 behavior, see HTML+TIME .

Setting Groups of Timed Elements

The "t:" prefix on all the time containers matches the "t:" namespace qualifier declared at the top of Web pages that use HTML+TIME.

You can set groups of timed elements using the TIMECONTAINER attribute for any element by assigning it an excl, par or seq value. The following two snippets show you how to create an exclusive time container using either the t:EXCL element or by declaring the TIMECONTAINER attribute for an element.

...
<t:EXCL id="oExcl">
<DIV id="div1" class="time" begin="0">First line of text.</DIV>
<DIV id="div2" class="time" begin="2">Second line of text.</DIV>
<DIV id="div3" class="time" begin="4">Third line of text.</DIV>
</t:EXCL>
...

You can create the same exclusive time container by including the TIMECONTAINER attribute for a DIV object and assigning it a value of excl.

...
<DIV class="time" TIMECONTAINER="excl" id="oExcl">
<DIV id="div1" class="time" begin="0">First line of text.</DIV>
<DIV id="div2" class="time" begin="2">Second line of text.</DIV>
<DIV id="div3" class="time" begin="4">Third line of text.</DIV>
</t:DIV>
...

t:EXCL Time Container

To allow only one child element to play at any given time, use the t:EXCL (exclusive) time container. When you use this container, if an element starts playing while another element is active in the time container, the new element begins and the other element pauses or stops.

The default value of begin for children of excl is indefinite.

The following example demonstrates the behavior of child elements declared within a t:EXCL time container. Each element has a specified begin value. The first DIV begins at 0 seconds and remains displayed until it is interrupted and stopped by the second DIV at 2 seconds. At 4 seconds, the third DIV interrupts and stops the second DIV and appears until the next element interrupts it. The last element interrupts the third DIV at 6 seconds and appears indefinitely.

...
<t:EXCL id="oExcl">
<DIV id="div1" class="time" begin="0">First line of text.</DIV>
<DIV id="div2" class="time" begin="2">Second line of text.</DIV>
<DIV id="div3" class="time" begin="4">Third line of text.</DIV>
<SPAN id="span1" class="time" style="color:blue; font-weight:bold"
begin="6">End of t:EXCL element. Click the Show Me button to restart
the timeline.
</SPAN>
</t:EXCL>
...
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

t:PRIORITYCLASS Element

To define the pause/interrupt behavior of child elements within the t:EXCL time container, use the t:PRIORITYCLASS element. Note, however, that you cannot mix t:PRIORITYCLASS elements and timed children within a t:EXCL time container and a priorityClass element cannot contain other priorityClass elements.

The priority of each element within a t:EXCL time container is defined by the order in which the elements are declared. The first priorityClass element declared has highest priority and the last priorityClass element declared has lowest priority unless one of the three attributes (higher, lower, peers) associated with the priorityClass element is set. Setting one of these three attributes will override the default priority of the elements.

The three attributes linked to the t:PRIORITYCLASS element are described below.

Attribute/Property | Description
higher | Controls how elements with higher priority interrupt child elements of a priorityClass element.
lower | Controls how elements that are defined with lower priority interrupt child elements of a priorityClass element.
peers | Controls how child elements of a priorityClass element interrupt one another.

In the following example, the second t:PRIORITYCLASS element with its higher attribute set to pause contains one child element with a begin time of 0 seconds and a duration (dur) of 10 seconds. The first t:PRIORITYCLASS element contains one child element with a begin time of 7 seconds and a dur of 5 seconds. The higher attribute set for the second t:PRIORITYCLASS element will cause it to pause at 7 seconds (when the first t:PRIORITYCLASS element interrupts) and will resume for its remaining duration (3 seconds) once the first t:PRIORITYCLASS has completed its duration (5 seconds).

...
<t:EXCL id="t1" begin="0;indefinite">
<t:PRIORITYCLASS>
<SPAN id="s1" class="time" begin="7" dur="5">
<H3>Paragraph 1</H3>
<P>Paragraph 1 begins at 7 seconds with a duration of 5 seconds.</P>
</SPAN>
</t:PRIORITYCLASS>
<t:PRIORITYCLASS higher="pause">
<SPAN id="s2" class="time" begin="0" dur="10">
<H3>Paragraph 2</H3>
<P>Paragraph 2 is displayed until it is interrupted by a higher
priorityClass (at 7 seconds). Paragraph 2 pauses and is
added to a queue of pending elements. When Paragraph 1
completes its active duration, Paragraph 2 resumes and
completes its duration.
</P>
</SPAN>
</t:PRIORITYCLASS>
</t:EXCL>
...
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

t:PAR Time Container

To set the children of a time container to have independent or parallel timing, use the t:PAR (parallel) time container. This time container defines a simple time grouping in which multiple elements can play back at the same time.

Note The body element is implicitly a <t:PAR> time container.

In the following example, the parallel time container begins at 0 seconds and has a duration of 10 seconds. The first two children's durations begin immediately when their parent timeline begins (0 seconds) and remain displayed until completion of their parent's timeline (10 seconds). The third child has a begin time of 5 seconds with no assigned duration or end time. It will remain displayed until the time container completes its duration, giving the child element a total duration of 5 seconds.

...
<t:PAR id="t1" begin="0" dur="10" timeaction="display">
<H3>Paragraph 1</H3>
<P>This is paragraph number one. It appears for ten seconds.</P>
<SPAN class="time" begin="5">
<H3>Paragraph 2</H3>
<P>This is paragraph number two. It appears five seconds after the page is loaded, and
remains displayed until its parent element's timeline ends (10 seconds).</P>
</SPAN>
</t:PAR>
...
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

t:SEQ Time Container

To define the sequence in which elements play, one after the other, use the t:SEQ (sequence) time container. Be sure to include the dur attribute for each of its descendants to specify the duration of the timed element. If you don't declare the dur attribute for an element within the time container, subsequent elements might not display. The first child's begin attribute in a sequence time container is the begin value of the sequence time container.

The default begin value of a sequence time container is 0 seconds.

The following example shows how to create a slide show presentation. The sequence time container begins at 0 seconds (default) and has a duration set to indefinite. Each descendant has a duration of 3 seconds and becomes active when the preceding child ends.

...
<t:SEQ id="t1" dur="indefinite" fill="freeze">
<DIV id="div1" class="time" dur="3">
<IMG src="../common/earglobe.gif"/>
<BR>Earth
</DIV>
<DIV id="div1" class="time" dur="3">
<IMG src="../common/jupglobe.gif"/>
<BR>Jupiter
</DIV>
...
</t:SEQ>
...
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Simple Duration

Simple duration is the basic amount of time that a timed element will appear without any repeats attributed to it. To set an element to repeat its simple duration a number of times or for a specified amount of time, use the dur (duration) attribute.

  • You can set the simple duration of a t:EXCL time container by using the endSync="last" semantics. If the end attribute is specified for the time container, endSync is ignored.
  • You can set the simple duration of a t:PAR time container by using the endSync semantics, similar to the t:EXCL time container. When all children end their active durations, the simple duration ends. However, if the dur attribute is specified, the endSync attribute is ignored.
  • The simple duration of a t:SEQ time container is defined when the last child ends. The simple duration of the time container will be indefinite only if one of its child elements has an indefinite active duration.

The following snippet declares a parallel time container beginning at 0 seconds with a simple duration of 30 seconds and 4 DIV child elements. The first DIV begins at 1 second with a duration of 5 seconds. The second DIV begins at 6 seconds with a duration of 5 seconds. The third DIV begins at 11 seconds with a duration of 5 seconds. The last DIV begins at 16 seconds with a duration of 5 seconds and a repeatCount set to 2.

...
<t:PAR id="t1" begin="0" dur="30">
<DIV class="time" style="color:red;" begin="1" dur="5">First line of text.
Begins at 2 seconds, duration of 5 seconds.</DIV>
<DIV class="time" style="color:green;" begin="6" dur="5">Second line of text.
Begins at 8 seconds, duration of 6 seconds.</DIV>
<DIV class="time" style="color:blue;" begin="11" dur="5">Third line of text.
Begins at 15 seconds, duration of 5 seconds.</DIV>
<DIV class="time" style="font-weight:bold; color:magenta" begin="16"
dur="5" repeatCount="2" fill="freeze">Click the button below to restart the
timeline.</DIV>
</t:PAR>
...
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The following illustration shows the simple duration of the parallel time container and its descendants from the previous snippet.

Figure 1 : Simple Duration

Active Duration

The active duration is the total amount of time that an element remains active. It is derived by taking into consideration the simple duration, the end attribute, and any repeat effects assigned to the timeline defined by the repeatDur and repeatCount attributes.

The following example declares a parallel time container beginning at 0 seconds (default) with a duration of 12 seconds, repeatDur attribute set to 34 seconds and the fill attribute set to freeze. Within the parent time container, the t:VIDEO element is set to begin at 1 second with a duration of 5 seconds and the repeatCount attribute set to 1.8.

...
<t:PAR id="t1" dur="12" repeatDur="34" fill="freeze">
<t:VIDEO id="m1" begin="1" dur="5" repeatCount="1.8" onmediacomplete="doLoad();"
src="../common/samples/author/behaviors/media/shuttle3.wmv" fill="freeze"/>
</t:PAR>
...
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The following illustration shows the active and simple duration of each element of the previous example.

Figure 2 : Active Duration

Time Container Constraints on Child Durations

Time containers place certain overriding constraints on the child elements and can cut short the active duration of any child element. A child element cannot be active before the beginning or after the end of its parent's simple duration.

The following example demonstrates the constraints that are applied to child elements of a time container. In this example, a parallel time container (t:PAR) has a duration (dur) of 15s and repeatDur set to 30s. The time container has three child elements declared within it: t:VIDEO and 2 p (paragraph) elements.

The video plays once for 12 seconds, then plays a second time for 3 seconds—the remaining 9 seconds of the video is cut short at the end of the simple duration of the time container. The second child element begins at 2 seconds and its indefinite duration is cut short at the end of the time container's simple duration (15 seconds). The third child element will never become active—it is set to start at the end of the active duration of the previous element but the previous element ends when the time container ends. The timing behaviors remain the same when the time container repeats.

...
<t:PAR id="t1" dur="15s" repeatDur="30s" fill="remove">
<t:VIDEO class="videoClass" id="m1" dur="12s" repeatCount="2" onmediacomplete="doLoad();"
src="../common/samples/author/behaviors/media/shuttle3.wmv" />
<P class="pClass" id="p1" begin="2s" dur="indefinite">This paragraph begins at 2 seconds
and has its duration set to <I>indefinite</I>. It remains active until the end
of its parent's simple duration (15 seconds). <BR><BR>
<SPAN style="color:green">The paragraph reappears at 17 seconds and remains until
the end of its parent's second simple duration (30 seconds).</SPAN>
</P>
<P class="pClass" id="p2" begin="p1.end">This paragraph never begins.</P>
</t:PAR>
...
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Related Topics

  • Basics of HTML+TIME Animation
  • About Content Selection: System Test Attributes and t:SWITCH
  • HTML+TIME 2.0 Reference
  • Getting Started with HTML+TIME
  • Spice Up Your Web Pages with HTML+TIME
  • Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link
  • time2
  • Initiating Timed Elements with the begin Attribute


HTML+TIME: DirectMusic

Authors can add sophisticated musical content to Web pages by combining the timeline control and synchronization offered by Introduction to HTML+TIME with some of the attributes and properties provided by the Microsoft?DirectMusic® application programming interface (API). DirectMusic provides support for MIDI, downloadable sounds, and consistent playback on the Microsoft Windows?platform.

The following links provide access to the object model exposed by the time behavior.

Overviews

Seeking With HTML+TIME

In HTML+TIME (Timed Interactive Multimedia Extensions) various types of media, animation, and other time elements can be played over a period of time. It is often desirable to be able to jump to any point on this time line. This process of jumping to different points on a time element's time line is called seeking.

Using HTML+TIME with DirectMusic

This article briefly discusses some of the ways you can use HTML+TIME to add flexibility and control to DirectMusic content on the Web.

Using the HTML+TIME Document Object Model (DOM)

All HTML+TIME objects are accessible through script at run time. This article introduces you to the HTML+TIME objects, methods, events, and properties available to your Web pages.

Tutorials

Incorporate the time2 Behavior

This tutorial explains how to incorporate the time2 behavior in your Web pages so you can begin using timelines, multimedia, and animation with HTML elements.

DirectMusic Elements and Objects

currTimeState

Contains information about an HTML+TIME timeline.

Attributes and Properties

accelerate

Sets or retrieves a value that applies an acceleration to an element's timeline.

activeDur

Retrieves the total duration of the timeline.

activeTime

Retrieves the current point in time along the total active timeline, including repeats and time spent in reverse mode.

autoReverse

Sets or retrieves whether the timeline on an element begins playing in reverse immediately after completing in the forward direction.

begin

Sets or retrieves the delay time before the timeline begins playing on the element.

boundary

Sets when music should begin to play by using DirectMusic.

currentFrame

Retrieves a value that indicates the currentFrame of the object.

decelerate

Sets or retrieves a value that applies a deceleration to the end of a simple duration.

dur

Sets or retrieves a value indicating the amount of time the element remains active or displayed.

end

Sets or retrieves a value indicating the end time for the element, or the end of the simple duration when the element is set to repeat.

fill

Sets or retrieves the action an element takes if its timeline ends before the timeline on its parent element ends.

immediateEnd

Sets a value that indicates whether a DirectMusic segment ends immediately or plays a transition before ending.

isActive

Retrieves a value that indicates whether the element is currently active on the timeline.

isDirectMusicInstalled

Retrieves a Boolean value that indicates whether DirectMusic is installed on the machine.

isOn

Retrieves a value that specifies whether the element is active or holding on the timeline in its current state.

isPaused

Retrieves a value that specifies whether the element is paused on the timeline.

isStreamed

Retrieves a Boolean value that indicates if the source of the media object is streamed.

longTransition

Sets whether to allow introduction and ending transitions longer than one bar with DirectMusic.

modulate

Sets whether to attempt to modulate between keys when playing transitions with DirectMusic.

motifName

Sets the name of the DirectMusic motif to play.

parentTimeBegin

Retrieves the current element's begin time as an offset from the parent element's begin time.

parentTimeEnd

Retrieves the current element's end time as an offset from the parent element's begin time.

progress

Retrieves the current progress of the element's timeline.

repeatCount

Retrieves the current iteration in the repetition loop.

repeatCount

Sets or retrieves the number of times an element's timeline repeats.

repeatDur

Sets or retrieves the number of seconds that an element's timeline repeats.

restart

Sets or retrieves the conditions under which an element can be restarted on a timeline.

segmentDur

Retrieves the duration of an element on a timeline in seconds, including autoReverse.

segmentTime

Retrieves the current point in time along a segment of time.

segmentType

Sets whether to play a DirectMusic segment as a controlling or secondary segment.

simpleDur

Retrieves the duration of a repeat iteration.

simpleTime

Retrieves an object's current point along its timeline from zero to its dur value.

speed

Sets or retrieves the playback speed of an element relative to its parent time container.

speed

Retrieves the playback speed of an element at run time, which includes the cascading effect of the speed set for the parent time container.

state

Retrieves the current state of the element's timeline.

stateString

Retrieves the current state of the element's timeline.

syncBehavior

Sets or retrieves a value that indicates the synchronization rules for the element's timeline.

syncMaster

Sets or retrieves whether the time container must synchronize playback to this element.

syncTolerance

Sets or retrieves the time variance allowed on a timeline with locked synchronization.

timeAction

Sets or retrieves what action is taken on the element while the timeline is active.

timeContainer

Sets or retrieves the type of timeline associated with an element.

timeParent

Retrieves the parent time container element of the current element.

transitionType

Sets or retrieves the type of DirectMusic transition to use between segments.

volume

Sets or retrieves the volume of the media file.

volume

Retrieves the playback volume of an element at run time.

Methods

activeTimeToParentTime

Converts a value in the element's active timeline to the corresponding point in the parent timeline.

activeTimeToSegmentTime

Converts a value in the element's active timeline to the corresponding point in the segment timeline.

beginElement

Starts the element on the timeline.

beginElementAt

Starts an element's timeline at the specified time.

documentTimeToParentTime

Converts a value in the document timeline to the corresponding point in the element's parent timeline.

endElement

Stops the element on the timeline.

endElementAt

Ends an element's timeline at the specified time.

parentTimeToActiveTime

Converts a value in the parent timeline to the corresponding point in the element's active timeline.

parentTimeToDocumentTime

Converts a value in the element's parent timeline to the corresponding point in the document timeline.

pauseElement

Stops playing an element's timeline at the current point.

resetElement

Removes any changes made to the element and returns the element to its original state.

resumeElement

Restarts the element's timeline from a paused state.

seekActiveTime

Locates a specified point on the element's active timeline and begins playing from that point.

seekTo

Locates a specified point on the element's segment timeline, including repetitions, and begins playing from that point.

seekToFrame

Locates a specified frame in the object.

segmentTimeToActiveTime

Converts a value in the element's segment timeline to the corresponding point in the element's active timeline.

segmentTimeToSimpleTime

Converts a value in the element's segment timeline to the corresponding point in the element's simple timeline.

simpleTimeToSegmentTime

Converts a value in the element's simple timeline to the corresponding point in the element's segment timeline.

Events

onbegin

Fires when the timeline starts on an element.

onend

Fires when the timeline stops on an element.

onmediacomplete

Fires when the element's associated media finish loading.

onmediaerror

Fires when an element's media file causes any error.

onoutofsync

Fires when the element loses synchronization with its associated timeline.

onpause

Fires when the timeline on an element pauses.

onrepeat

Fires when the timeline repeats on an element, beginning with the second iteration.

onreset

Fires when the timeline reaches the value of the BEGIN attribute or when the resetElement method is called on the element.

onresume

Fires when an element's timeline resumes from a paused state.

onreverse

Fires when the timeline on an element begins to play backward.

onseek

Fires whenever a seek operation is performed on the element.

onsyncrestored

Fires when synchronization is resumed between the element and its associated timeline.

ontimeerror

Fires whenever a time-specific error occurs, usually as a result of setting a property to an invalid value.


Using HTML+TIME with DirectMusic (Internet Explorer)

Using HTML+TIME with DirectMusic

Microsoft?DirectMusic?is a component of Microsoft DirectX?that provides a medium over which music and sound effects can be played back. Music or sound effects composed for DirectMusic can be very flexible and can change dynamically over time or in response to a user event. This sound playback can be stored in relatively small files, which makes it very well suited for Web applications. DirectMusic's software synthesizer assures that MIDI files and DirectMusic segments sound identical on all hardware configurations rather than playing differently on different computers with different sound cards. HTML+TIME (Timed Interactive Multimedia Extensions) has many unique properties, methods, and events that allow you to control playback of DirectMusic in Web pages. This article briefly discusses some of the ways you can use HTML+TIME to add flexibility and control to DirectMusic content on the Web.

The following topics are discussed in this document.

  • Prerequisites
  • What Is DirectMusic?
  • How HTML+TIME Works With DirectMusic
  • DirectMusic Segments Types
  • Styles
  • Segment Transitions
  • Motif Segments
  • Other Properties of DirectMusic
  • Related Topics

Prerequisites

The typical way to create content for DirectMusic is to use the Microsoft?DirectMusic?Producer program. The way HTML+TIME affects DirectMusic material depends in large part on how this material is created. Because of this, at a minimum, you should be familiar with composing sound playback using the DirecMusic Producer. Although a comprehensive discussion of DirectMusic Producer is beyond the scope of this article, you can find more information about this program by using the Help documentation of DirectMusic Producer, which can be downloaded from DirectMusic Producer.

It is assumed you know how to use Introduction to DHTML Behaviors, specifically, the time2 behavior of HTML+TIME. This article does not go into detail on how to add a behavior to your page, nor does it cover how to declare a namespace and use custom tags, as required by the time2 behavior. These topics are covered in the HTML+TIME Overview and Spice Up Your Web Pages with HTML+TIME. You should have a basic working knowledge of Dynamic HTML (DHTML).

What Is DirectMusic?

DirectMusic is included with Microsoft Windows?98 Second Edition, Windows Millennium Edition (Windows Me), and Windows 2000 components. In combination, the DirectMusic components provide a computer running Windows with the enhanced potential for playing music accompaniment and sound effects with a variety of applications including computer games and Web pages. Because this article deals with HTML+TIME, the discussion of DirectMusic is limited to its use in Web pages. Some key benefits of using DirectMusic content in Web pages are the following:

  • DirectMusic content (music or sound effects) can be created such that it dynamically changes each time it is played.
  • DirectMusic content sounds the same on all computers regardless of the hardware used by the computer.
  • DirectMusic content can be contained in individual components called segments. These segments can be layered on top of one another, providing a flexible and powerful model for content composition. For more information, see DirectMusic Segments Types.

You can play MIDI and wave files using DirectMusic. Alternatively, you can use DirectMusic Producer to create sound files that take advantage of DirectMusic's interactive features. Rather than a static playback, this sound content can provide, if the music author chooses, a flexible and variable playback. For example, you could have a music segment that plays in a loop over and over. Each time it loops, the music would change such that a listener would never hear the music the same way twice. In addition, HTML+TIME DirectMusic player allows the music composer to choose from one to 80 pchannels (channels) rather than the one through 16 channels offered by the MIDI format. Some of the main run-time files created by DirectMusic Producer are the .sgt, .sty, or .dls extensions. These files correspond to certain components that can be created in DirectMusic Producer.

  • The .sgt files correspond to segments; for information about them, see DirectMusic Segments Types. Segments are the controlling components of the music, coordinating the way the music is played.
  • The .sty files correspond to styles; for information about them, see Styles. Styles can be used by segments to introduce content and variability to playback.
  • A downloadable sound (DLS) is a self-contained, synthesized instrument sound that you design using the Microsoft DLS Designer in DirectMusic Producer. DLS files are not discussed in this article. For more information about DLS files, see DirectMusic Producer?B>Help.

The .sty (styles) and dls files are essentially support files for .sgt (segment) files that are used to enhance DirectMusic content. When working with content created by DirectMusic Producer, HTML+TIME elements only directly access .sgt (segment) files as source files for DirectMusic playback. Because of this, much of the discussion and samples of this article revolves around segments. However, the components of the supporting .sty files determine what transitions and motifs are available to HTML+TIME. Transitions and motifs are discussed later in this article.

How HTML+TIME Works With DirectMusic

Composing music using DirectMusic Producer enables a great deal of flexibility when creating the audio material and HTML+TIME can be used to control various aspects of playback directly from the Web page. Here is a list of examples of things that HTML+TIME can control when playing DirectMusic content.

  • Control the timing, duration, and activation/ending of DirectMusic segments.
  • Create transitions between the playback of segments.
  • Control the volume, speed, and mute during playback.

In Web pages, control like this can be accomplished by playing the DirectMusic content inside of a t:AUDIO element and applying various HTML+TIME methods, properties, and events to the t:AUDIO element. Some of these HTML+TIME components are available to all types of media that use HTML+TIME. Examples include the following:

  • Attributes/Properties like t:DUR, BEGIN, and END.
  • Methods like beginElement and endElement
  • Events like onbegin, onend, and onmediacomplete.

The following sample shows how to play a DirectMusic segment, use some HTML+TIME components to control playback, and determine whether the user has DirectMusic installed.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time {behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY>
<!-- This SPAN displays if the user has DirectMusic installed. -->
Is DirectMusic Installed? <SPAN STYLE="color:red" id="oDisplay" ></SPAN>
<BR><BR>
<!-- The BEGIN attribute specifies that the content will be played when
the button is clicked. However, the button is disabled until the content
is completely downloaded (the onmediacomplete event is fired). -->
<t:AUDIO ID="oSegment1" SRC="basicBeat.sgt" PLAYER="dmusic" BEGIN="oButton.click"
onmediacomplete="oButton.innerText = 'Start Music';oButton.disabled = false;
oDisplay.innerText = oSegment1.playerObject.isDirectMusicInstalled;"/>
<BUTTON DISABLED ID="oButton">Loading Music</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.
Note If there is no .sgt file at the specified path, the onmediaerror event fires. However, if there are any other run-time files such as .sty or .dls files that the .sgt (segment) file is dependent on that are not in the same directory as the .sgt file, the content does not play and the onmediaerror event does not fire.

There are a few things to note about the preceeding example. First, it is always required to include the PLAYER attribute and set it to a value of dmusic in order for DirectMusic to play. Second, in this example, the BEGIN attribute is used to specify that the content is played when the button is clicked. Notice that the isDirectMusicInstalled property is used to display in the SPAN element whether the user looking at the Web page has DirectMusic installed. The isDirectMusicInstalled property is an example of a property that is only available when working with DirectMusic content. While common HTML+TIME components are useful for basic control of timing and playback of DirectMusic content, other unique HTML+TIME attributes that are only applicable to DirectMusic content are useful for more control over the specific components of content created in DirectMusic Producer. The following table lists some of these attributes.

Component Name | Description
isDirectMusicInstalled | Property that retrieves a Boolean value that indicates whether DirectMusic is installed on the machine.
segmentType | Attribute that sets a value that indicates whether to play a DirectMusic segment as a controlling or secondary segment.
boundary | Attribute that sets a value that determines when one segment should begin to play in relation to another segment.
TRANSITIONTYPE | Attribute that sets or retrieves the type of DirectMusic transition to use between segments.
modulate | Attribute that sets a value that indicates whether to attempt to modulate between keys when playing transitions with DirectMusic.
motifName | Attribute that sets the name of the DirectMusic motif to play.

The effect of some of these attributes on DirectMusic content depends on what components make up the content and how those components were created in DirectMusic Producer. The following sections explore in more detail the structural components of DirectMusic such as segments and styles and how these components can be manipulated using many of the attributes in the preceding table.

DirectMusic Segments Types

The segment is the fundamental building block of DirectMusic content. A segment functions as a holder for multiple musical elements. These elements provide the notes, rests, rhythms, chords, and instrument choices for a performance. As you create a segment in DirectMusic Producer, you can specify the tempo, length, number of repeats, and other parameters for how the segment plays.

Segments can be played by themselves, one after the other, or simultaneously with other segments. The way the segments play together can be specified using HTML+TIME code. Beyond basic timing and duration control of the segments, you can specify what the segment type is. This is done using the segmentType attribute. This attribute can have the value of primary, secondary, or control, which correspond to specifying that the segment is a primary, secondary, or control segment, respectively. How a segment behaves when played with other segments (its relationship with other segments) depends on what type of segment it is. The following three sections discuss the different segment types and their behavior.

Primary Segments

The primary segment can be considered the base segment of the musical composition. Other segments can play over a primary segment to enhance it; for further information about these other segments, see Secondary Segments segments. No more than one primary segment can play at a time. Therefore, if you are playing a primary segment and then start up another one, the first segment stops and the new one begins playing from its beginning.

The following example shows what happens when a new primary sample begins one second after the first one begins. The first primary segment is the same as the segment used in the preceding examples. Here is what the second primary segment looks like in the segment editor of DirectMusic Producer.

Sequence Editor in DirectMusic Producer

The musical note content is defined in a sequence track. It consists of musical notes going up and down in scale and lasts two measures.

Note segmentType has a default value of primary, and if the attribute is omitted, the segment will be a primary segment. (In this article, the attribute is included in primary segments for clarity.)
...
<t:AUDIO ID="oSegment1" SEGMENTTYPE="primary" SRC="basicBeat.sgt"
PLAYER="dmusic" BEGIN="oButton.click"/>
<t:AUDIO ID="oSegment2" SEGMENTTYPE="primary" SRC="scale.sgt"
PLAYER="dmusic" BOUNDARY="immediate" BEGIN="oSegment1.begin+1"/>
<BUTTON ID="oButton">Start Music</BUTTON>
...
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

In the previous example, notice that the second primary segment begins playing immediately when it starts on the time line. This is because the boundary attribute was set to immediate. The boundary attribute determines when one segment begins relative to another. Here is the same example again, except this time the boundary attribute is set to measure.

...
<t:AUDIO ID="oSegment1" SEGMENTTYPE="primary" SRC="basicBeat.sgt"
PLAYER="dmusic" BEGIN="oButton.click"/>
<t:AUDIO ID="oSegment2" SEGMENTTYPE="primary" SRC="scale.sgt"
PLAYER="dmusic" BOUNDARY="measure" BEGIN="oSegment1.begin+1"/>
<BUTTON ID="oButton">Start Music</BUTTON>
...
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.
Note If the boundary attribute is omitted, the behavior depends on the default boundary specified when the segment was created in DirectMusic Producer.

Secondary Segments

The DirectMusic is capable of playing any number of segment files simultaneously. In this way, a developer of an application or Web page can combine multiple events and music elements with as much layering as desired. As an example, these segments could correspond to different musical parts such as percussion or melody. These segments can be played at any time, for any period, and in any order.

As already mentioned, there can only be one primary segment; therefore, all other segments that are to play at the same time must be secondary. You specify that a segment is secondary by setting the segmentType attribute to a value of secondary. The following example is identical to the preceding one with one difference: the segmentType attribute is set to secondary on the segment that begins while the primary one is playing. Rather than stop the primary segment, the secondary segment plays on top of it.

...
<t:AUDIO ID="oSegment1"  SRC="basicBeat.sgt" PLAYER="dmusic"
BEGIN="oButton.click"/>
<t:AUDIO ID="oSegment2" SEGMENTTYPE="secondary" SRC="scale.sgt" PLAYER="dmusic"
BEGIN="oSegment1.begin+1"/>
<BUTTON ID="oButton">Start Music</BUTTON>
...
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

In the preceding example, the secondary segment begins immediately after the segment begins on the time line. Just like primary segments, you can use the boundary attribute to control when the secondary segment begins playing.

Controlling Secondary Segments

You can designate a secondary segment as a controlling secondary segment so that elements of the secondary segment change the behavior of the primary segment. When you play a primary segment and a controlling secondary segment simultaneously, some tracks in the controlling segment affect and essentially replace the corresponding tracks of the primary segment. When playback of the secondary segment stops, playback of the primary segment reverts to its original state.

For example, a controlling secondary segment might contain a chord track and a groove track. If you play a primary segment and then start playback of the controlling segment while the primary segment is playing, the secondary segment's chord and groove tracks temporarily replace the chords and the grooves of the primary segment. When playback of the secondary segment stops, playback of the primary segment reverts to using information in its own chord and groove tracks.

A controlling segment can affect the playback behavior of all other segments that are playing simultaneously, including the primary segment and all other secondary segments. The following tracks in a controlling secondary segment, called controlling tracks, override the contents of tracks in other segments.

  • Chord track
  • Groove track
  • Mute track
  • Tempo track

The following sample shows how to have a secondary segment change the tempo of the primary segment when it plays. The control segment is a segment with no musical note content. It only has a tempo track. Here is what the segment looks like in the DirectMusic Producer segment editor.

Sequence Editor in DirectMusic Producer

Notice that the tempo track is set for 300. This is much higher than the tempo track in the primary sequence of 70.

Sequence Editor in DirectMusic Producer

After the controlling secondary segment ends (after one measure), the primary segment's tempo resumes control.

...
<t:AUDIO ID="oSegment1" SEGMENTTYPE="primary" SRC="basicBeat.sgt" PLAYER="dmusic"
BEGIN="oButton.click"/>
<t:AUDIO ID="oSegment2" SEGMENTTYPE="control" SRC="tempoSegment.sgt"
PLAYER="dmusic" BEGIN="oSegment1.begin+1"/>
<BUTTON ID="oButton">Start Music</BUTTON>
...
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Styles

So far, the samples shown have only used sequence tracks to provide musical notes. Sequence tracks are satisfactory when you do not want the sound content to vary much each time it is played. For greater variability, it is better to get the musical content from styles. Styles are created in DirectMusic Producer. The musical notes of styles are specified in components called patterns and motifs. The following two sections illustrate how HTML+TIME can be used with patterns and motifs.

Segment Transitions

The phrases of a style are usually divided into separate patterns. How patterns are played in a segment is specified when the segment is created. Although you cannot access the patterns directly from HTML+TIME during the active period of the segment, you can have a specific pattern play as a beginning transition and ending transition. You do this by creating patterns with embellishments in DirectMusic Producer. Embellishments correspond to different parts of a musical performance. Examples of embellishments are intro, fill, end, or break. For information on creating embellishments, see the Help documentation of DirectMusic Producer. Once a pattern has an embellishment, you can specify that pattern as the pattern to play on a single segment or to play as one primary segment transitions to another primary segment. For example, the segment heartland.sgt plays a style in its style track called heartland.

Sequence Editor in DirectMusic Producer

Note The heartland segment can be found in the tutorial project that comes with DirectMusic Producer.

The style called heartland has patterns called intro and end. These patterns are shown here.

Sequence Editor in DirectMusic Producer

Note As seen in the preceding screen shot, DirectMusic Producer uses .sgp files to edit segments and .stp files to edit styles. When these files are converted to run-time files, (files that can be used by DirectMusic), they become .sgt and .sty files respectively.

The pattern called intro has the intro embellishment associated with it, and the pattern called end has the end embellishment associated with it. When the heartland segment is played in HTML+TIME, the default behavior is to play the intro pattern first and the end pattern last. The following example shows this default behavior.

...
<t:AUDIO ID="oSegment1" DUR="8" SEGMENTTYPE="primary" SRC="heartland.sgt"
PLAYER="dmusic" BEGIN="oButton.click"/>
<BUTTON ID="oButton">Start Music</BUTTON>
...
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.
Note If you pause DirectMusic content while it is playing a transition, the transition is skipped when playback resumes.

You can alter the transitions played by an individual segment or the transitions between primary segments by using the TRANSITIONTYPE attribute. There are a number of possible values for this attribute that allow this control. The following sample shows how you can specify that no transition is played on a segment by setting the TRANSITIONTYPE attribute to a value of none.

<t:AUDIO ID="oSegment1" DUR="8" TRANSITIONTYPE="none"  SEGMENTTYPE="primary"
SRC="heartland.sgt" PLAYER="dmusic" BEGIN="oButton.click"/>
<BUTTON ID="oButton">Start Music</BUTTON>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Motif Segments

A motif is a melodic or rhythmic figure, usually brief, or a sound you design to layer over other music. A motif can be played at any time during a performance and can be thought of as an explicitly defined sound or set of sounds/music that plays without interrupting the content playing by the various segments involved in a composition. A motif is created inside of a style. However, a motif cannot be played by segments like style patterns can, rather, they must be played explicitly from code. HTML+TIME uses the motifName attribute to specify what motif to play. In order to use the motifName, the t:AUDIO element must be playing a segment that includes the style containing the motif. For example, using the same segment as the previous sample, the style called heartland, which is played by the heartland segment, has a motif called fiddle.

Sequence Editor in DirectMusic Producer

To play the "fiddle" motif using HTML+TIME, you could use the following code.

...
<t:AUDIO ID="oSegment1" DUR="8" SEGMENTTYPE="primary" SRC="basicBeat.sgt"
PLAYER="dmusic" BEGIN="oButton.click"/>
<t:AUDIO ID="oSegment2" DUR="8" MOTIFNAME="fiddle" SRC="heartland.sgt"
PLAYER="dmusic" BEGIN="oSegment1.begin+1"/>
<BUTTON ID="oButton">Start Music</BUTTON>
...

Notice that the rest of the music of hearland does not play—only the motif.

This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Other Properties of DirectMusic

As already mentioned, it is important to remember that DirectMusic content is treated like other types of media that is played by HTML+TIME, and these media types all share many properties, methods, and so forth. The following example shows how to control various properties of DirectMusic playback.

...
<STYLE>
.time {behavior: url(#default#time2);}
@media all
{
control\:slider {behavior:url(slider.htc);}
}
</STYLE>
...
<t:AUDIO ID="oSegment1" TRANSITIONTYPE="NONE" BOUNDARY="IMMEDIATE" DUR="8"
BEGIN="indefinite" SEGMENTTYPE="primary" SRC="heartland.sgt" PLAYER="dmusic"
/>
<!-- HTML+TIME methods are used to enable begin, stop, pause, and resume
functionality. -->
<BUTTON ID="oStart" onclick="oSegment1.beginElement();">Start</BUTTON>
<BUTTON DISABLED ID="oStop" onclick="oSegment1.endElement();">Stop</BUTTON>
<BUTTON DISABLED ID="oPause" onclick="oSegment1.pauseElement();">Pause</BUTTON>
<BUTTON DISABLED ID="oResume" onclick="oSegment1.resumeElement();">Resume</BUTTON>
Volume:
<!-- Volume controler. This uses the slider control behavior. -->
<control:slider style="sl--tick-style : none; " VALUE = "100" ID="oSliderVolume"
MIN="0" MAX="100" TICKINTERVAL="1" TICKNUMBER="100"
onchange="oSegment1.volume = oSliderVolume.value;">
</control:slider>
Speed:
<!-- Speed controller. This uses the slider control behavior. -->
<control:slider style="sl--tick-style : none; " VALUE = "1" ID="oSliderSpeed"
MIN=".5" MAX="2" TICKINTERVAL=".1" TICKNUMBER="15"
onchange="oSegment1.speed = oSliderSpeed.value;">
</control:slider>
Mute:
<input id="oMuteControl" type="Checkbox"
onclick="if(oMuteControl.checked){oSegment1.mute = true;}else{oSegment1.mute = false;}">
...
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Related Topics

  • Introduction to HTML+TIME
  • HTML+TIME 2.0 Reference


Using the HTML+TIME Document Object Model (DOM) (Internet Explorer)

Using the HTML+TIME Document Object Model (DOM)

Internet Development Index

With HTML+TIME (Timed Interactive Multimedia Extensions), you can use persistent Extensible Markup Language (XML) elements and attributes to add timing to your HTML page. This means you don't have to know how to program with scripting languages to make your pages more dynamic. However, for people who already know how to use scripting languages, HTML+TIME supports a complete object model that extends the existing Dynamic HTML (DHTML) Object Model. Thus, you can use HTML+TIME properties, methods, and events to add even more interactive features to your Web pages. All HTML+TIME objects are accessible through script at run time. This article introduces you to the HTML+TIME objects, methods, events, and properties available to your Web pages.

The following topics are discussed in this document.

  • Prerequisites
  • Accessing Elements as Objects
  • HTML+TIME Scripting Components
  • Methods
  • Properties
  • Events
  • Collections
  • playList Collection
  • Where to Go from Here
  • Related Topics

Prerequisites

This article assumes you know how to use Introduction to DHTML Behaviors, specifically, the time2 behavior of HTML+TIME. This article does not go into great detail on how to add a behavior to your page nor does it cover how to declare a namespace and use custom tags as required by the time2 behavior. These topics are covered in the HTML+TIME Overview and Spice Up Your Web Pages with HTML+TIME. You should be familiar with the Microsoft?JScript?programming language and have a basic working knowledge of DHTML.

Accessing Elements as Objects

Just like using the Introduction to Dynamic HTML Document Object Model (DOM), you can expose HTML+TIME objects to script by setting the ID attribute.

<t:media ID="oSoundFile" ... />

Once you've set the ID attribute, you can access the element through script, just like any other HTML object.

oSoundFile.beginElement();
Note Another useful way to access time objects is through collections. For further information, see Collections.

Just like other HTML objects, time objects expose a number of methods, properties, events, and collections that allow your script to manipulate the objects.

HTML+TIME Scripting Components

Because HTML+TIME can be applied to regular HTML elements, you still have access to all of the DHTML methods, properties, events, and collections of an element from script. You also have access to the components specific to HTML+TIME. For example, if you apply the time behavior to a span element, you can manipulate the span using standard DHTML applicable to span elements and all HTML+TIME components available. The following example shows how a SPAN element with the time behavior applied to it uses the conventional DHTML property innerText to change the text of the span.

Note Much of this article consists of samples. The rendered code that comes before the showme buttons sometimes omits some of the code that is in the sample when you click the showme button. This is done so the instructional intent of the rendered code is not obscured. To see the complete sample code, open the sample from the showme button and view the source of the sample.
<HTML xmlns:t= "urn:schemas-microsoft-com:time" xmlns:control>
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
@media all
{
control\:slider {behavior:url(slider.htc);}
}
.time{behavior:url(#default#time2)}
</STYLE>
<SCRIPT>
var nCounter = 1;
// Although the SPAN has the time behavior applied to it, all of the standard
// properties, methods, events etc. of the SPAN are available to script,
// such as the innerText property used to change the text inside the SPAN every
// second.
function fnChangeSpan()
{
switch (nCounter)
{
case 1: oSpan.innerText = "one";
break;
case 2: oSpan.innerText = "two";
break;
case 3: oSpan.innerText = "three";
break;
case 4: oSpan.innerText = "four";
break;
case 5: oSpan.innerText = "five";
break;
case 6: nCounter = 0;
break;
}
nCounter++;
}
</SCRIPT>
</HEAD>
<BODY>
<!-- The HTML+TIME "onrepeat" event is used by the SPAN to fire the
"fnChangeSpan()" function every second. This event is an example of an
event only available to time elements.-->
<SPAN id="oSpan" CLASS="time" DUR="1" REPEATCOUNT="indefinite"
onrepeat="fnChangeSpan()"></SPAN>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Methods

HTML+TIME exposes many unique methods. Although there are a variety of these methods, all of them allow you to control the time line or playback of time elements in some way. Some of these methods are exposed by almost all HTML+TIME objects, while other methods are only exposed by select time objects. Among the most commonly used methods are the beginElement and endElement methods that allow you to begin and end time elements through script. The following is a simple example that uses the beginElement and endElement methods to allow the user to begin and end media on the time line with the push of a button. In addition, the pauseElement and resumeElement methods are used to allow the media to pause and resume.

...
<t:MEDIA id="oMedia" timeAction="visibility" src="countlead.wmv" begin="indefinite"/>
<BUTTON onclick="oMedia.beginElement();">Start</BUTTON>
<BUTTON onclick="oMedia.endElement();">Stop</BUTTON>
<BUTTON onclick="oMedia.pauseElement();">Pause</BUTTON>
<BUTTON onclick="oMedia.resumeElement();">Resume</BUTTON>
...
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.
Note When a time element is ended using the endElement method, it cannot be resumed on its time line using the resumeElement method.

Another example of a method that allows significant control over the time line of an object is the seekTo method. The following example shows how to use the seekTo method, one of several methods that enable seeking, to jump to any time in the time line of a time element.

Note This example uses the slider behavior to provide the slide bar. Later in this article, you will learn how to make the slider move as a progress bar. See Putting it together.
<HTML xmlns:t= "urn:schemas-microsoft-com:time" xmlns:control>
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
<!-- The slider htc file must be at the given path in order for the slider
to work. Note that the slider only provides a user interface component;
it is not specifically needed for seeking. -->
@media all
{
control\:slider {behavior:url(slider.htc);}
}
.time{behavior:url(#default#time2)}
</STYLE>
</HEAD>
<BODY>
<t:video style="width:175px; height:150px;" id="oMedia" src="movie.avi" />
<!-- The "seekTo" method uses the value of the slide bar as the time
in seconds to seek to in the active time of the media. -->
<!-- The media element is checked to see if it is active
using the "isActive" property, which is exposed by the HTML+TIME object
"currTimeState". This is necessary because if the media is not active and the
"seekTo" method is fired on the media, an error occurs. The currTimeState
object is explored later in this article. -->
<control:slider ID="oSlider" TICKINTERVAL="1" TICKNUMBER="19"
onchange="oMedia.seekTo(1, oSlider.value);">
</control:slider>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.
Note Not all media types support seeking. In cases where seeking is not supported by the player, calls to seek methods are ignored.

Many methods are only exposed on specific time objects. The following sample shows how to use the prevElement and nextElement methods, which are only exposed by the seq object, to move from one slide to the next.

...
<t:SEQ ID="oSeq" REPEATCOUNT="indefinite">
<t:PAR>
<DIV CLASS="time" DUR="5" TIMEACTION="display">First</DIV>
<IMG CLASS="time" DUR="5" TIMEACTION="display"
SRC="\workshop\samples\author\behaviors\media\newyork.jpg"
STYLE="height=150; width=300" />
</t:PAR>
<t:PAR>
<DIV CLASS="time" DUR="5" TIMEACTION="display">Second</DIV>
<IMG CLASS="time" DUR="5" TIMEACTION="display"
SRC="\workshop\samples\author\behaviors\media\moscow.jpg"
STYLE="height=150; width=300" />
</t:PAR>
<t:PAR>
<DIV CLASS="time" DUR="5" TIMEACTION="display">Third</DIV>
<IMG CLASS="time" DUR="5" TIMEACTION="display"
SRC="\workshop\samples\author\behaviors\media\london.jpg"
STYLE="height=150; width=300" />
</t:PAR>
<t:PAR>
<DIV CLASS="time" DUR="5" TIMEACTION="display">Fourth</DIV>
<IMG CLASS="time" DUR="5" TIMEACTION="display"
SRC="\workshop\samples\author\behaviors\media\hongkong.jpg"
STYLE="height=150; width=300" />
</t:PAR>
</t:SEQ>
<BUTTON onclick="oSeq.prevElement()">Previous Slide</BUTTON>
<BUTTON onclick="oSeq.nextElement()">Next Slide</BUTTON>
...
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Properties

Since HTML+TIME is dynamic by nature, why would you want to access HTML+TIME properties through script? Aren't they supposed to change by themselves over time? Isn't that what HTML+TIME enables?

Well, yes, but perhaps you'd want to change these properties in response to user-generated events. For instance, you could change the speed of an animation by allowing the user to adjust its dur property. If you were creating a portal page, you could allow the user to choose between different themes; this can result in different animations or media, like sound effects, to be loaded on the page. The following sample shows how to change the background animation of a slide show by changing the to and from properties of an animation object.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time {behavior: url(#default#time2);}
</STYLE>
<SCRIPT>
var sNewColor = "#99CCFF";
function fnChangeColor()
{
// The last color animated "to" is now what is animated "from".
oAnimate.from = oAnimate.to;
// The "fnSetTo" function assigns a random color to "sNewColor" variable
sNewColor = fnSetTo();
// The "to" property is assigned a new value.
oAnimate.to = sNewColor;
oAnimate.beginElement();
}
// This function is just used to return a random color.
function fnSetTo()
{
// Create a random value between 1 and 4
var randomNumber = (Math.random() * 4);
randomNumber = Math.ceil(randomNumber);
switch(randomNumber)
{
case 1:
sNewColor = "#666666"
break;
case 2:
sNewColor = "#00CC33"
break;
case 3:
sNewColor = "#FF0033"
break;
case 4:
sNewColor = "#FFCC00"
break;
}
return sNewColor;
}
</SCRIPT>
</HEAD>
<BODY>
<!-- This element is used to animate the color change. -->
<t:ANIMATECOLOR ID="oAnimate" TARGETELEMENT="oContainerDiv" BEGIN="indefinite"
ATTRIBUTENAME="backgroundColor" TO="#FFCC00" START="2" DUR="1" FILL="hold"/>
<DIV ID="oContainerDiv" STYLE="background-color:#99CCFF;width:400px;height:200px;">
<DIV STYLE="text-align:center">
<t:SEQ ID="oSeq" REPEATCOUNT="indefinite">
<!-- The "onbegin" HTML+TIME event is used to initiate the color animation when
any "t:PAR" element begins on the time line. We will discuss HTML+TIME events
in more detail later in this article. -->
<t:PAR onbegin="fnChangeColor();">
<DIV CLASS="time" DUR="5" TIMEACTION="display">One</DIV>
<IMG CLASS="time" DUR="5" TIMEACTION="display"
SRC="\workshop\samples\author\behaviors\media\newyork.jpg"
STYLE="height=150; width=300" />
</t:PAR>
<t:PAR onbegin="fnChangeColor();">
<DIV CLASS="time" DUR="5" TIMEACTION="display">Two</DIV>
<IMG CLASS="time" DUR="5" TIMEACTION="display"
SRC="\workshop\samples\author\behaviors\media\moscow.jpg"
STYLE="height=150; width=300" />
</t:PAR>
<t:PAR onbegin="fnChangeColor();">
<DIV CLASS="time" DUR="5" TIMEACTION="display">Three</DIV>
<IMG CLASS="time" DUR="5" TIMEACTION="display"
SRC="\workshop\samples\author\behaviors\media\london.jpg"
STYLE="height=150; width=300" />
</t:PAR>
<t:PAR onbegin="fnChangeColor();">
<DIV CLASS="time" DUR="5" TIMEACTION="display">Four</DIV>
<IMG CLASS="time" DUR="5" TIMEACTION="display"
SRC="\workshop\samples\author\behaviors\media\hongkong.jpg"
STYLE="height=150; width=300" />
</t:PAR>
</t:SEQ>
<BR>
<BUTTON onclick="oSeq.prevElement()">Previous Slide</BUTTON>
<BUTTON onclick="oSeq.nextElement()">Next Slide</BUTTON>
</DIV>
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

In the previous example, the to property was changed on an element and then the element was restarted on the time line. Another option, manipulating properties while media is playing, should be done with caution. Changing properties on time elements while they are playing media or animating objects can have unpredictable or undefined results. When you want to change a property on such an element, the preferred process is to stop the time object, change the property, and then restart the element with the beginElement method. For example, to change the path attribute on an animate object, you could do the following:

<SCRIPT>
animateObject.endElement();
animateObject.path="M 0 0 L 100 100";
animateObject.beginElement();
</SCRIPT>

That said, there are some properties that are well suited for manipulation on active elements, such as speed, mute, and volume. The following example shows how to change the volume or mute media while it is playing using the volume and mute properties.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
<SCRIPT LANGUAGE="JScript">
var nCurVolume = 100;
function fnVolAdjust(sDirection)
{
if(sDirection == "up" && nCurVolume < 100)
{
nCurVolume = nCurVolume + 20;
}
else if(sDirection == "down" && nCurVolume > 0)
{
nCurVolume = nCurVolume - 20;
}
oMedia.volume = nCurVolume;
}
</SCRIPT>
</HEAD>
<BODY >
<t:MEDIA id="oMedia" timeAction="visibility" src="shuttle3.wmv"/>
<b>Volume:</b>
<BUTTON onclick="fnVolAdjust('down');">
Down
</BUTTON>
<BUTTON onclick="fnVolAdjust('up');">
Up
</BUTTON>
<b>Mute:</b>
on
<INPUT TYPE="radio" NAME="mute" onclick="oMedia.mute = true;"/>
off
<INPUT TYPE="radio" NAME="mute" CHECKED onclick="oMedia.mute = false;"/>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Events

HTML+TIME events are similar to DHTML Events except that they only apply to elements with the time2 behavior applied to them. These events typically are used to detect events that occur on a time element's time line. The following example shows how to use several different HTML+TIME events to determine which media control buttons should be active in response to whether the media is active or paused.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
</HEAD>
<BODY >
<t:MEDIA id="oMedia" timeAction="visibility" src="countlead.wmv" begin="indefinite"
onend="btnStart.disabled=false;
btnStop.disabled=true;
btnPause.disabled=true;
btnResume.disabled=true;"
onbegin="btnStart.disabled=true;
btnStop.disabled=false;
btnPause.disabled=false;
btnResume.disabled=true;"
onpause="btnPause.disabled=true;
btnResume.disabled=false;"
onresume="btnPause.disabled=false;
btnResume.disabled=true;"
/>
<BUTTON ID="btnStart"
onclick="oMedia.beginElement();">
Start
</BUTTON>
<BUTTON DISABLED="true" ID="btnStop"
onclick="oMedia.endElement();">
Stop
</BUTTON>
<BUTTON DISABLED="true" ID="btnPause"
onclick="oMedia.pauseElement();">
Pause
</BUTTON>
<BUTTON DISABLED="true" ID="btnResume"
onclick="oMedia.resumeElement();">
Resume
</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Repeat and Looping Events

One particularly useful event is the onrepeat event. Loops are quite common in scripting. Now with the onrepeat event, you can create loops that depend on time. You can attach an event handler to this event that is fired at regular intervals. There are a number of examples in this article that do just that. The following example shows how to use the onrepeat event to create a simple timer.

<B>Media Timer:</B>
<!-- This SPAN repeats itself on its time line once every second (dur="1").
Every time it repeats, the "onrepeat" event is fired and updates its inner
text with the current active time of the media. The "currTimeState" object
is used to retrieve information about time elements at run time. This object
is discussed in more detail later in this article. -->
<SPAN id="Timer" class="time" dur="1" repeatCount="indefinite" fill="hold"
onrepeat="innerText=oMedia.currTimeState.activeTime;">0</SPAN>
<t:MEDIA id="oMedia" timeAction="visibility" src="countlead.wmv"/>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

You could have a time element that has no other purpose but to execute a segment of code at regularly timed intervals. This could be useful when you want to run a script in the background that checks for certain conditions on the page or updates the page. You can change the timing interval of the loop by changing the dur property of the time element that fires the event. The following example shows how to change the precision of the previous timer by changing the duration of the timer's repetitions.

...
<BUTTON onclick = "Timer.dur = '.01'">More Precise Timer</BUTTON>
<BUTTON onclick = "Timer.dur = '1'">Less Precise Timer</BUTTON>
<B>Media Timer:</B>
<SPAN STYLE="color:red" id="Timer" class="time" dur="1"
repeatCount="indefinite" fill="hold"
onrepeat="innerText=oMedia.currTimeState.activeTime;">0</SPAN>
<t:MEDIA id="oMedia" timeAction="visibility" src="countlead.wmv"/>
...
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Special Objects

As already mentioned, all time elements in a document are exposed as objects. Most of the time objects that you access through script will be actual elements on your page, and you have already seen a number of examples of that in this article. There are a few time elements that do not correspond to document time elements. Two of these objects are currTimeState and playItem. The currTimeState object exposes a large number of unique properties, and the playItem object exposes properties and methods. The next two sections explore these objects in more detail.

currTimeState Object

The currTimeState object is available to you at run time. It provides access to the current values of time parameters as they are changing. This is similar to the currentStyle and runtimeStyle objects. The currTimeState object has its own run-time copy of all the properties associated with an element. These are read-only properties that you can use to determine the state of an element.

Using the properties available on the currTimeState object at run time, you can determine things such as:

  • The playback speed of a media element
  • Whether the element is currently active on the time line by using the isActive property.
  • Whether the element is paused by using the isPaused property.
  • The current volume of the media.
For all of the available properties, see currTimeState.

The following example demonstrates how to use the currTimeState object's isActive and isPaused properties to determine which media control buttons should be active. The activeTime property is used to obtain a timer for the media element. This example is very similar to the previous one that used events to detect which media control buttons should be active and which should be disabled.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
<SCRIPT LANGUAGE="JScript">
function fnUpdate()
{
// Check to see if the media is currently active, then update button status.
if (oMedia.currTimeState.isActive) {
btnStart.disabled=true;
btnStop.disabled=false;
btnPause.disabled=false;
btnResume.disabled=true;
// If the media is paused then update button status.
if (oMedia.currTimeState.isPaused){
btnPause.disabled=true;
btnResume.disabled=false;
}
}
// If the media is not active, then update button status apropriately.
else {
btnStart.disabled=false;
btnStop.disabled=true;
btnPause.disabled=true;
btnResume.disabled=true;
}
}
</SCRIPT>
</HEAD>
<BODY>
<!-- The HTML+TIME onrepeat event is used to update the timer value every
time the SPAN repeats (once every tenth of a second). The current active
time of the media is retrieved using the activeTime property of the
currTimeState object. -->
<B>Media Timer:</B>
<SPAN ID="Timer" CLASS="time" DUR=".01" repeatCount="indefinite" FILL="hold"
onrepeat="innerText=oMedia.currTimeState.activeTime;">0</SPAN><BR><BR>
<!-- The HTML+TIME onend event is used to update the buttons when the media
ends. -->
<t:MEDIA id="oMedia" timeAction="visibility" src="bee.wmv" begin="indefinite"
onend="fnUpdate();"/>
<!-- Whenever a button is pressed, the appropriate method is carried out
on the media and the fnUpdate() function is called to update the buttons. -->
<BUTTON ID="btnStart"
onclick="oMedia.beginElement(); fnUpdate();">
Start
</BUTTON>
<BUTTON ID="btnStop"
onclick="oMedia.endElement(); fnUpdate();">
Stop
</BUTTON>
<BUTTON ID="btnPause"
onclick="oMedia.pauseElement(); fnUpdate();">
Pause
</BUTTON>
<BUTTON ID="btnResume"
onclick="oMedia.resumeElement(); fnUpdate();">
Resume
</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

playItem Object

A playItem is an object that represents an individual entry (also known as a track) in an Advanced Stream Redirector (ASX) file. An ASX file is an intermediary file that can link to a number of media files that can be used as a play list. The following is a example of a simple ASX file.

<ASX Version="1.0" >
<Entry>
<Title>Bee at Work</TITLE>
<Author>Busy Bee</Author>
<Copyright>Unknown</Copyright>
<Abstract>Look how busy the bee is!</Abstract>
<Ref HREF="http://msdn.microsoft.com../common/samples/author/behaviors/media/bee.wmv"/>
</Entry>
<Entry>
<Title>Cashregister</TITLE>
<Author>The Hand</Author>
<Copyright>1950</Copyright>
<Abstract>A good day at the shop.</Abstract>
<Ref HREF="http://msdn.microsoft.com../common/samples/author/behaviors/media/cashregister.wmv"/>
</Entry>
<Entry>
<Title>Subway</TITLE>
<Author>Urban Dweller</Author>
<Copyright>1973</Copyright>
<Abstract>Riding the subway is easier than walking.</Abstract>
<Ref HREF="http://msdn.microsoft.com../common/samples/author/behaviors/media/subway.wmv"/>
</Entry>
</ASX>

The ASX file is in an XML format with each <ENTRY> element corresponding to a playItem object. All of the entries of the ASX file collectively make up the playList collection. For further information, see playList Collection. When you play back an ASX file, the default action is to play the media corresponding to each entry in order from top to bottom, one after the other. As you can see, each <ENTRY> element has several child elements. The <Ref> element is required to specify the path to the respective media file. All of these child elements are exposed as read-only properties on the playItem object. You could retrieve the given author of a playItem object like this.

<t:MEDIA id="oMedia" src="short_3tracks.asx" begin="indefinite"
onend="updateBtns();" ontrackchange="updateFields();"/>
<SCRIPT>
alert(oMedia.playList.activeTrack.author);
</SCRIPT>

It is important to note that you only access individual playItem objects using the playList collection. In the preceding case, the oMedia.playList.activeTrack retrieves the currently active (playing) playItem object. Assuming that the previous sample is using the ASX file shown, oMedia.playList.activeTrack.author would retrieve either "Busy Bee," "The Hand," or "Urban Dweller," depending on what playItem is active when the alert method is called.

The following example plays the previously shown ASX file. The nextTrack and prevTrack methods, which are exposed by the playList collection, provide the functionality for the user to play different playItem objects (tracks) using buttons. In addition, information about the currently playing track is displayed using properties exposed by the playItem object.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
</STYLE>
<SCRIPT LANGUAGE="JScript">
// This function displays information about the currently active playItem
// object. Notice that the playItem object must be accessed through the
// playItem collection.
function updateFields()
{
oTitle.innerText = oMedia.playList.activeTrack.title;
oAuthor.innerText = oMedia.playList.activeTrack.author;
oAbstract.innerText = oMedia.playList.activeTrack.abstract;
oCopyright.innerText = oMedia.playList.activeTrack.copyright;
oFilename.innerText = oMedia.playList.activeTrack.src;
}
</SCRIPT>
</HEAD>
<BODY>
<!-- The "ontrackchange" event is used to update the track information
every time the active track changed in the play list. -->
<t:MEDIA id="oMedia" src="short_3tracks.asx" begin="indefinite"
ontrackchange="updateFields();"/>
<SPAN>Title:<SPAN STYLE="color:red" id="oTitle"></SPAN></SPAN><BR>
<SPAN>Author:<SPAN STYLE="color:red" id="oAuthor"></SPAN></SPAN><BR>
<SPAN>Abstract:<SPAN STYLE="color:red" id="oAbstract"></SPAN></SPAN><BR>
<SPAN>Copyright:<SPAN STYLE="color:red" id="oCopyright"></SPAN></SPAN><BR>
<SPAN>Filename:<SPAN STYLE="color:red" id="oFilename"></SPAN></SPAN><BR><BR>
<BUTTON id="btnStart"
onclick="oMedia.beginElement();">
Start
</BUTTON>
<!-- The "prevTrack" and "nextTrack" methods are exposed by the "playList"
collection. This allows you to move to the next track defined in the asx file
or the last track relative to the currently active track. -->
<BUTTON id="btnPrev"
onclick="oMedia.playList.prevTrack();">
Previous Track
</BUTTON>
<BUTTON id="btnNext"
onclick="oMedia.playList.nextTrack();">
Next Track
</BUTTON>
<BUTTON id="btnStop"
onclick="oMedia.endElement();">
Stop
</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Putting it together

The next two examples show examples of scripting with HTML+TIME methods, properties, and events together. The first sample shows how to use all of these components to make a simple progress bar that can be used to jump around in the media.

<HTML xmlns:t= "urn:schemas-microsoft-com:time" xmlns:control>
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
@media all{
control\:slider {behavior:url(slider.htc);}
}
.time{behavior:url(#default#time2)}
</STYLE>
<SCRIPT>
// This function is fired whenever the slide bar changes value.
function fnChangeBar()
{
// If the media is not active, then make it active. This makes it
// possible to start the media back up again by just dragging the
// slide bar to some value.
if(!oMedia.currTimeState.isActive)
{
oMedia.beginElement()
}
// If the slider value is being moved by the user, the media will seek
// to the user-specified value.
if(oSlider.value!=Math.round(oMedia.currTimeState.activeTime))
{
oMedia.seekTo(1, oSlider.value)
}
Timer.innerText=parseInt(oMedia.currTimeState.activeTime);
}
</SCRIPT>
</HEAD>
<BODY>
<!-- The following SPAN element serves two purposes. First, it displays where on
its time line the media is. Second, it changes the value of the slide bar every
second to show the progression of the media on the slide bar. -->
<B>Media timer:</B>
<SPAN id="Timer" class="time" BEGIN="oMedia.begin" END="oMedia.end" DUR="1"
REPEATCOUNT="indefinite" FILL="hold"
onrepeat="oSlider.value=Math.round(oMedia.currTimeState.activeTime);">0</SPAN>
<BR><BR>
<t:video style="width:175px; height:150px;" id="oMedia"
src="../common/samples/author/behaviors/media/movie.avi" />
<BR>
<control:slider ID="oSlider" TICKINTERVAL="1" TICKNUMBER="19"
onchange="fnChangeBar();">
</control:slider>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This next example is a context menu that moves to the location where the user right-clicks the mouse. The beginElement method is used to initiate the animation, the to and from properties are changed dynamically so that the animation moves along the correct path depending on the location of the user clicking the mouse, and the onend event is used to coordinate when the from property should be changed.

<!-- The vml behavior is used in this example to allow oval shaped menu boxes.
Notice in the following the namespace declaration for the vml behavior. -->
<HTML  xmlns:t ="urn:schemas-microsoft-com:time"
xmlns:v = "urn:schemas-microsoft-com:vml"  >
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
v\:* {BEHAVIOR: url(#DEFAULT#VML)}
BODY {font-family:arial; margin:0; font-size:80%}
.time {behavior: url(#default#time2)}
.box {position:absolute;top:100;left:100;width:150px;height:22px;
padding:5px;padding-left:15px;display:none;cursor:hand;
font-family:arial;}
</STYLE>
<SCRIPT>
// Function is used to animate the menu box movement.
function moveBox(){
var mouseLeft = null;
var mouseTop = null;
// Make the menu boxes visible
oBox.style.display='block';
oBox2.style.display='block';
oBox3.style.display='block';
// Retrieve x and y coordinates of the mouse click
mouseLeft=event.clientX;
mouseTop=event.clientY;
////////////////////////////////////////////////////////////////////////////
// Two t:ANIMATE elements are used for each menu box to control the
// movement of each box. One t:ANIMATE element controls the x-coordinate
// animation and the other controls the y-coordinate animation. The "to"
// properties of the t:ANIMATE elements are set to a value relative to
// the respective x and y coordinates of the mouse click. This ensures
// that the menu boxes animate to the correct location. To begin the
// animation, the t:ANIMATE elements are started on the time line using
// the "beginElement()" method.
///////////////////////////////////////////////////////////////////////////
// Code for top menu box animation.
leftMove.to=mouseLeft;
topMove.to=mouseTop;
leftMove.beginElement();
topMove.beginElement();
// Code for middle menu box animation.
leftMove2.to=mouseLeft;
topMove2.to=mouseTop + 29; // notice that y-coordinate is offset
leftMove2.beginElement();
topMove2.beginElement();
// Code for bottom menu box animation.
leftMove3.to=mouseLeft;
topMove3.to=mouseTop + 58;
leftMove3.beginElement();
topMove3.beginElement();
}
// Function is used to hide the menu when clicked.
function closeMenu(){
oBox.style.display='none';
oBox2.style.display='none';
oBox3.style.display='none';
}
</SCRIPT>
</HEAD>
<!-- The "oncontextmenu" event is used to make the menu become visible and animate. -->
<BODY oncontextmenu="moveBox(); return false; ">
<!-- The following are the menu blocks. Notice that the vml behavior is attached to them,
which enables the rounded corners of the menu blocks. -->
<v:ROUNDRECT ID="oBox" CLASS="box" ARCSIZE="90923f" STROKEWEIGHT="2"
articles.style.display='none'; contacts.style.display='none'; closeMenu()">
Home</v:ROUNDRECT >
<v:ROUNDRECT ID="oBox2" CLASS="box" ARCSIZE="90923f" STROKEWEIGHT="2"
contacts.style.display='none'; closeMenu()">
Articles</v:ROUNDRECT >
<v:ROUNDRECT  ID="oBox3" CLASS="box" ARCSIZE="90923f" STROKEWEIGHT="2"
contacts.style.display='block'; closeMenu()">
Contact</v:ROUNDRECT >
<!--------------------------------------------------------------------------
The following are the t:ANIMATE elements that control the animation of the
menu blocks. Notice that the "DUR" attribute values are different for each
pair of elements. This causes the blocks to move at different rates and follow
one another.
Note that when each t:ANIMATE element ends, its "from" property is
updated to the coordinate that the animation ends at. Thus, upon the next
animation, the menu starts its animation from the new location.
--------------------------------------------------------------------------->
<t:ANIMATE
ID="leftMove"
TARGETELEMENT="oBox"
ATTRIBUTENAME='left'
BEGIN="indefinite"
DUR=".15"
DECELERATE="1"
FILL="freeze"
onend="this.from=this.to"/>
<t:ANIMATE
ID="topMove"
TARGETELEMENT="oBox"
ATTRIBUTENAME='top'
BEGIN="indefinite"
DUR=".15"
DECELERATE="1"
FILL="freeze"
onend="this.from=this.to"/>
<t:ANIMATE
ID="leftMove2"
TARGETELEMENT="oBox2"
ATTRIBUTENAME='left'
BEGIN="indefinite"
DUR=".3"
DECELERATE="1"
FILL="freeze"
onend="this.from=this.to"/>
<t:ANIMATE
ID="topMove2"
TARGETELEMENT="oBox2"
ATTRIBUTENAME='top'
BEGIN="indefinite"
DUR=".3"
DECELERATE="1"
FILL="freeze"
onend="this.from=this.to"/>
<t:ANIMATE
ID="leftMove3"
TARGETELEMENT="oBox3"
ATTRIBUTENAME='left'
BEGIN="indefinite"
DUR=".6"
DECELERATE="1"
FILL="freeze"
onend="this.from=this.to"/>
<t:ANIMATE
ID="topMove3"
TARGETELEMENT="oBox3"
ATTRIBUTENAME='top'
BEGIN="indefinite"
DUR=".6"
DECELERATE="1"
FILL="freeze"
onend="this.from=this.to"/>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Collections

The samples so far have only accessed time objects using their id values. Using collections allows an alternative way to access objects in a document. Just like normal HTML elements, time elements are available to standard collections. For example, all time elements are available to the all collection. In addition, there are a number of unique collections that are available to most time objects. These collections are listed in the table that follows:

activeElements | Returns a reference to the collection of all top-level child elements of the object that are currently active on the time line.
timeAll | Retrieves a reference to the collection of all timed elements.
timeChildren | Retrieves a reference to the collection of all top-level time container child elements.

Another HTML+TIME collection, the playList collection, is applicable only when ASX files are being used. For more information, see playList Collection. To demonstrate the collections in the table, let's start by taking a look at the following example. It is a simple menu application.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time {behavior: url(#default#time2);}
.block
{
margin-left:10px;
color:red;
font-weight:normal;
font-size:18px;
position:absolute;
top:115px;
left:12px;
cursor:hand;
}
#oDiv
{
cursor:hand;
color:#003399;
font-weight:bold;
font-size:15pt;
position:absolute;
top:85px;
left:10px;
border:2px solid #cccccc;
background:#eeeeee;
padding:10px;
height:160px;
width:200px;
padding-top:5px;
}
</STYLE>
</HEAD>
<BODY>
<DIV ID="oDiv" onclick="oContainer.beginElement();">Click Me!</DIV>
<t:PAR ID="oContainer" BEGIN="indefinite" DUR="indefinite">
<t:PAR BEGIN=".25">
<DIV CLASS="time block">Menu Item 1
<t:ANIMATE BY="5px" ATTRIBUTENAME="top" FILL="FREEZE" DUR="1" />
</DIV>
</t:PAR>
<t:PAR BEGIN=".5">
<DIV CLASS="time block">Menu Item 2
<t:ANIMATE BY="35px" ATTRIBUTENAME="top" FILL="FREEZE" DUR="1" />
</DIV>
</t:PAR>
<t:PAR BEGIN=".75">
<DIV CLASS="time block">Menu Item 3
<t:ANIMATE BY="65px" ATTRIBUTENAME="top" FILL="FREEZE" DUR="1" />
</DIV >
</t:PAR>
<t:PAR BEGIN="1">
<DIV CLASS="time block">Menu Item 4
<t:ANIMATE BY="95px" ATTRIBUTENAME="top" FILL="FREEZE" DUR="1" />
</DIV>
</t:PAR>
</t:PAR>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

As you can see, the container t:PAR (oContainer), has child t:PAR elements nested inside and these child t:PAR elements in turn have child time elements.

...
// This is the container element
<t:PAR ID="oContainer" BEGIN="indefinite" DUR="indefinite">
// The container element has direct child and grandchild time elements.
<t:PAR BEGIN=".25">
<DIV CLASS="time block">Menu Item 1
<t:ANIMATE BY="5px" ATTRIBUTENAME="top" FILL="FREEZE" DUR="1" />
</DIV>
</t:PAR>
...

The collections are used just like typical DHTML collections. Here is a simple example that uses the timeAll collection to retrieve all of the children of the container element and then loops though each member of the collection and displays the member's tag name.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time {behavior: url(#default#time2);}
.block
{
color:red;
width:130px;
font-size:13pt;
position:absolute;
top:200px;
left:22px;
cursor:hand;
}
#oDiv
{
padding:10px;
padding-top:7px;
height:20px;
background-color:#eeeeee;
border:2px solid #cccccc;
color:#003399;
font-weight:bold;
font-size:13pt;
position:absolute;
top:175px;
left:10px;
cursor:hand;
width:150px;
height:160px;
}
</STYLE>
<SCRIPT>
function fnSeeAllChildren()
{
// All of the time child elements are retrieved.
var aAllTimeChildren = oContainer.timeAll;
// Loop through all of the members of the collection and display their
// tag names.
for(i=0;i<aAllTimeChildren.length;i++)
{
alert(aAllTimeChildren[i].tagName);
}
}
</SCRIPT>
</HEAD>
<BODY>
<BUTTON onclick="fnSeeAllChildren();">Loop Through Collection</BUTTON>
<DIV ID="oDiv" onclick="oContainer.beginElement();">Click me!</DIV>
<t:PAR ID="oContainer" BEGIN="indefinite" DUR="indefinite">
<t:PAR BEGIN=".25">
<DIV CLASS="time block">Menu Item 1
<t:ANIMATE BY="5px" ATTRIBUTENAME="top" FILL="FREEZE" DUR="1" />
</DIV>
</t:PAR>
<t:PAR BEGIN=".5">
<DIV CLASS="time block">Menu Item 2
<t:ANIMATE BY="35px" ATTRIBUTENAME="top" FILL="FREEZE" DUR="1" />
</DIV>
</t:PAR>
<t:PAR BEGIN=".75">
<DIV CLASS="time block">Menu Item 3
<t:ANIMATE BY="65px" ATTRIBUTENAME="top" FILL="FREEZE" DUR="1" />
</DIV >
</t:PAR>
<t:PAR BEGIN="1">
<DIV CLASS="time block">Menu Item 4
<t:ANIMATE BY="95px" ATTRIBUTENAME="top" FILL="FREEZE" DUR="1" />
</DIV>
</t:PAR>
</t:PAR>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Similar to the last example, this example shows the members of the timeAll, timeChildren, and activeElements collections. This example uses a repeating time element (oRepeater) to run script every tenth of a second, which displays what elements are active.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time {behavior: url(#default#time2);}
.block
{
margin-left:10px;
color:red;
font-weight:normal;
font-size:18px;
position:absolute;
top:260px;
left:12px;
cursor:hand;
}
#oDiv
{
cursor:hand;
color:#003399;
font-weight:bold;
font-size:15pt;
position:absolute;
top:230px;
left:10px;
border:2px solid #cccccc;
background:#eeeeee;
padding:10px;
height:160px;
width:200px;
padding-top:5px;
}
</STYLE>
</STYLE>
<SCRIPT>
// This function displays the members of the collections in their
// respective display SPAN elements.
function fnGetCollection(Col)
{
var sDisplayString = ""
if(Col == "all")
{
var aCol = oContainer.timeAll;
var oDisplayer = oTimeAllDisplay;
}
else if(Col == "child")
{
var aCol = oContainer.timeChildren;
var oDisplayer = oTimeChildrenDisplay;
}
else if(Col == "active")
{
var aCol = oContainer.activeElements;
var oDisplayer = oTimeActiveDisplay;
}
// Loop through the collection specified in the "if" block above and
// create a string of the tag names of each object in the collection.
for(i=0;i<aCol.length;i++)
{
if(i==0)
sDisplayString = aCol.item(i).tagName;
else
sDisplayString = sDisplayString + ", " + aCol.item(i).tagName;
}
// The string populates the appropriate display SPAN.
oDisplayer.innerText = sDisplayString;
}
</SCRIPT>
</HEAD>
<!-- When the document loads, the members of the "timeAll" and "timeChildren"
collection are displayed. -->
<BODY ONLOAD="fnGetCollection('all');fnGetCollection('child');">
<!-- This is a time element that fires the fnGetCollection() function every
tenth of a second to display the members of the "oCollection.aciveElements"
collection. -->
<SPAN ID="repeat_span" CLASS="time" dur=".1" REPEATCOUNT="indefinite" onrepeat="fnGetCollection('active');"></SPAN>
<DIV STYLE="position:absolute; top:130px">
<B>The tag names of all time elements in the following collections:</B>
<DIV><I>containerElement</I>.timeAll (all children):</DIV>
<SPAN STYLE="color:red" ID="oTimeAllDisplay"></SPAN>
<DIV><I>containerElement</I>.timeChildren (top-level children):
<SPAN STYLE="color:red" ID="oTimeChildrenDisplay"></SPAN>
</DIV>
<DIV><I>containerElement</I>.activeChildren (top-level active children):
<SPAN STYLE="color:red" ID="oTimeActiveDisplay"></SPAN>
</DIV>
</DIV>
<DIV ID="oDiv" onclick="oContainer.beginElement();">Click me!</DIV>
<t:PAR ID="oContainer" BEGIN="indefinite" DUR="indefinite">
<t:PAR BEGIN=".25">
<DIV CLASS="time block">Menu Item 1
<t:ANIMATE BY="5px" ATTRIBUTENAME="top" FILL="FREEZE" DUR="1" />
</DIV>
</t:PAR>
<t:PAR BEGIN=".5">
<DIV CLASS="time block">Menu Item 2
<t:ANIMATE BY="35px" ATTRIBUTENAME="top" FILL="FREEZE" DUR="1" />
</DIV>
</t:PAR>
<t:PAR BEGIN=".75">
<DIV CLASS="time block">Menu Item 3
<t:ANIMATE BY="65px" ATTRIBUTENAME="top" FILL="FREEZE" DUR="1" />
</DIV >
</t:PAR>
<t:PAR BEGIN="1">
<DIV CLASS="time block">Menu Item 4
<t:ANIMATE BY="95px" ATTRIBUTENAME="top" FILL="FREEZE" DUR="1" />
</DIV>
</t:PAR>
</t:PAR>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

At this point, it is useful to explore what scenarios are appropriate for the use of collections. Collections are often useful when you don't know how many time elements there will be. Let's say that you wanted to make a menu application similar to the preceding one but you don't know how many items will be in your menu. In the case of the preceding sample, we might want to access the timed menu items in such a way that we don't care how many menu items there are. You simply add an item and it works. This makes the application more reusable and generic. The following example shows how you can achieve the same time element timing as the preceding sample with the menu item looking like this.

...
<t:PAR>
<DIV CLASS="time bullet">Menu Item 1
<t:ANIMATE />
</DIV>
</t:PAR>
...

Notice that all of the attributes are absent from the t:ANIMATE element. All of the properties of the t:ANIMATE elements are applied in script to the collection. Therefore, you could add another item to the menu by simply changing the inner text of the div. The timing and animation of the menu items of this sample are accessed through the HTML+TIME?B>timeAll and timeChildren collections, and the properties of these collection items are changed using script.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time {behavior: url(#default#time2);}
.bullet
{
margin-left:10px;
color:red;
font-weight:normal;
font-size:18px;
position:absolute;
top:180px;
left:12px;
cursor:hand;
}
#oDiv
{
cursor:hand;
color:#003399;
font-weight:bold;
font-size:15pt;
position:absolute;
top:150px;
left:10px;
border:2px solid #cccccc;
background:#eeeeee;
padding:10px;
height:160px;
width:200px;
padding-top:5px;
}
</STYLE>
<SCRIPT>
// This function is called when the page is loaded. It applies values to
// "begin" property of the "t:PAR" menu item container elements and values
// to the properties of the "t:ANIMATE" objects, which are needed for the
// animation of the menu items.
function fnInit()
{
// Create a collection of the top-level element time containers.
var aParChildren = oContainer.timeChildren;
var nBeginTime = 0;
for(i=0;i<aParChildren.length;i++)
{
// Stagger the begin times of all of the menu items.
aParChildren[i].begin = nBeginTime;
nBeginTime = nBeginTime + .25
}
var aAllTimeElements = oContainer.timeAll;
var multiplier = 0;
for(i=0;i<aAllTimeElements.length;i++)
{
if(aAllTimeElements[i].tagName == "ANIMATE")
{
// Stagger the values of the "by" properties of the "t:ANIMATE"
// objects so the menu items cascade down to different positions.
if(multiplier==0)
{
aAllTimeElements[i].by = 10;
}
else
{
aAllTimeElements[i].by = (multiplier*30) + 10;
}
// Assign appropriate values to other properties of the "t:ANIMATE"
// objects.
aAllTimeElements[i].fill = "freeze";
aAllTimeElements[i].dur = 1;
aAllTimeElements[i].attributeName = "top";
multiplier ++;
}
}
}
</SCRIPT>
</HEAD>
<!-- The properties of the time elements are set when the page loads. -->
<BODY onload="fnInit();" >
<DIV ID="oDiv" onclick="oContainer.beginElement();">Click me!
</DIV>
<t:PAR ID="oContainer" BEGIN="indefinite" DUR="indefinite">
<!-- Notice how these entries are so generic now. Adding a new entry is
as simple as altering the inner text of the DIV time elements. The rest
of the details are taken care of by script. -->
<t:PAR>
<DIV CLASS="time bullet">Menu item 1
<t:ANIMATE />
</DIV>
</t:PAR>
<t:PAR>
<DIV CLASS="time bullet">Menu item 2
<t:ANIMATE />
</DIV>
</t:PAR>
<t:PAR>
<DIV CLASS="time bullet">Menu item 3
<t:ANIMATE />
</DIV >
</t:PAR>
<t:PAR>
<DIV CLASS="time bullet">Menu item 4
<t:ANIMATE />
</DIV>
</t:PAR>
</t:PAR>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Here is the same example again with more menu entries. In addition, a background div element grows in height as the menu items move down. How far the div expands depends on the number of items in the menu (the collection size).

This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Because we use a collection and change the properties of the collection members through script, it is easy to change how the application behaves with little modification of the script. The following example shows what happens to the previous example when you change the begin times of the collection items.

...
var aParChildren = oContainer.timeChildren;
var nBeginTime = 0;
for(i=0;i<aParChildren.length;i++)
{
// Stagger the begin times of all of the menu items.
aParChildren[i].begin = nBeginTime;
// This used to be "nBeginTime = nBeginTime + .25" by changing the
// behavior of the time elements changes dramatically.
nBeginTime = nBeginTime + .1
}
...
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

playList Collection

As already mentioned, the playList collection is only available when an ASX file is being used as the source of the media object. The playList collection consists of all of the playItem objects (tracks), defined in the ASX file. The ASX file essentially supplies a playList that is analogous to programming a jukebox to play a list of songs in a given order. The following example shows how to use the playList collection to display the play list supplied by an ASX file and allow the user to click on the play list items to skip directly to a media selection.

<HTML XMLNS:t="urn:schemas-microsoft-com:time">
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{ behavior: url(#default#time2);}
.trackDisplay {cursor:hand;}
</STYLE>
<SCRIPT LANGUAGE="JScript">
var bPlayListMade = false;
// This function is called when the media is started. The function creates
// a set of SPAN elements that map to the members of the play list collection (tracks).
function fnCreatePlayList()
{
var playCollection = oMedia.playList;
for(i=0;i<playCollection.length;i++)
{
var sElement = "<SPAN onclick='fnGoToTrack()'" +
"CLASS = 'trackDisplay'>" + playCollection(i).title + "</SPAN>"
var oDisplaySpan = document.createElement(sElement);
oDisplaySpan.innerText = playCollection(i).title;
oShowPlayList.insertBefore(oDisplaySpan);
var oBr = document.createElement("BR");
oShowPlayList.insertBefore(oBr);
}
}
// The following function is called every time the media track changes. The
// function is used to highlight the SPAN inside the play list that corresponds
// to the currently playing track.
function updateFields()
{
// Retrieve collection of SPAN elements in display DIV
var aSpans = oShowPlayList.childNodes;
for (i=0; i<aSpans.length; i++)
{
aSpans(i).style.color = "blue";
if(aSpans(i).innerText == oMedia.playList.activeTrack.title)
{
// Only the SPAN that maps to the currently active track is highlighted.
aSpans(i).style.color = "red";
}
}
}
// This function is called when the user clicks on one of the items in the
// play list. The function is used to activate the corresponding track.
function fnGoToTrack()
{
var playCollection = oMedia.playList;
for(i=0;i<playCollection.length;i++)
{
// Find which member of the collection corresponds to the clicked item.
if(event.srcElement.innerText == playCollection(i).title)
{
// When the correct track is retrieved, play the track.
playCollection(i).setActive();
}
}
}
</SCRIPT>
</HEAD>
<BODY>
<!-- Note that the media has an ASX file as its source. -->
<t:MEDIA ID="oMedia" SRC="short_3tracks.asx"
BEGIN="indefinite" ontrackchange="updateFields();"/>
<!-- The following DIV contains all of the dynamically created SPAN elements
map to playList collection items (tracks). -->
<DIV ID="oShowPlayList"></DIV>
<BUTTON ID="btnStart"
onclick="oMedia.beginElement();fnCreatePlayList(); updateFields();">
Start
</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Because this sample used the playList collection to dynamically find the number of tracks in the ASX file, you could use any ASX file with this sample and it would work (assuming that the tracks had titles!). Here is a slightly larger sample that displays the information about the currently playing track.

This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Where to Go from Here

This article provides a starting point for using scripting on time elements. We have shown only a small subset of the HTML+TIME methods, properties, and events available. For a complete list, see HTML+TIME 2.0 Reference. We have strived to show that HTML+TIME scripting components are used in a very similar way to other DHTML components. With this in mind, HTML+TIME is not only an extension to HTML but an extension to DHTML as well.

Related Topics

  • Introduction to HTML+TIME
  • HTML+TIME 2.0 Reference


Seeking With HTML+TIME (Internet Explorer)

Seeking With HTML+TIME

In HTML+TIME (Timed Interactive Multimedia Extensions) various types of media, animation, and other time elements can be played over a period of time. It is often desirable to be able to jump to any point on this time line. This process of jumping to different points on a time element's time line is called seeking. Click the following button to see examples of seeking within a video clip and an animation.

This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

This article introduces what types of media can have seeking applied and different ways to apply seeking.

The following topics are discussed in this document.

  • Prerequisites
  • Seekable Media
  • Tools for Seeking
  • Related Topics

Prerequisites

It is assumed you know how to use Introduction to DHTML Behaviors, specifically, the time2 behavior of HTML+TIME. This article does not go into detail on how to add a behavior to your page, nor does it cover how to declare a namespace and use custom tags as required by the time2 behavior. These topics are covered in the HTML+TIME Overview and Spice Up Your Web Pages with HTML+TIME. You should have a basic working knowledge of Dynamic HTML (DHTML).

Seekable Media

Not all media types support seeking. In cases where seeking is not supported by the player, calls to seek methods are ignored. Seekable media can be broken up into two broad categories.

  • Time elements that play audio or video files
  • All other time elements

Audio and Video Time Elements

Time elements that play audio or video files are only seekable if the audio or video files they play are seekable. The following list shows the video and audio files that are NOT seekable.

  • Advanced Streaming Format (ASF) files
  • .wm files
  • .wmv files
  • Microsoft?Windows Media?Author files
  • Microsoft DirectMusic?files
  • Any media referenced using an Advanced Stream Redirector (ASX) file

You can use the canSeek property to determine if media is seekable. For example, a time element like the following one, should not have any seeking methods applied to it.

Is the media seekable?
<!-- The inner text of this SPAN displays if the media is seekable or not.
This is determined by the "canSeek" property that is retrieved when the
media completes loading. In this case, "false" will be displayed. -->
<SPAN ID="oIsSeekableDisplay"></SPAN>
<!-- Because this t:MEDIA time element plays a wmv file, unpredictable
behavior will result from seeking on it.  -->
<t:MEDIA begin="indefinite" ID="oBeePlayer"
SRC="../common/samples/author/behaviors/media/bee.wmv"
onmediacomplete = "oIsSeekableDisplay.innerText = this.canSeek;"
/>

The best way to indicate whether the media file is capable of locating a specific time in the media's duration is to use the canSeek property.

Other Time Elements

All time elements that do not play audio or video files are seekable. Such time elements could be used for a variety of purposes such as animation and slide show presentations. You can seek on individual time elements directly or on time elements that have child time elements such as time containers. The following example shows how to seek on the time line of a t:ANIMATE element that animates the motion of a DIV element. By doing this, you can seek to different points in the progress of the animation.

Note This example uses the slider behavior to provide the slide bar.
<!-- The slider control namespace is declared here. -->
<HTML XMLNS:t ="urn:schemas-microsoft-com:time" xmlns:control>
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
<!-- The slider htc is imported here. -->
@media all
{
control\:slider {behavior:url(slider.htc);}
}
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
<SCRIPT LANGUAGE="JScript">
// This function is fired whenever the seekActiveTime slide bar changes value.
function fnChangeActiveBar()
{
// If the media is not active then make it active. This makes it
// possible to start the media back up again by just dragging the
// slide bar to some value.
if(!oAnim.currTimeState.isActive)
{
oAnim.beginElement()
}
// The "seekActiveTime" method specifies the time in seconds to seek to
// on the time line of the t:ANIMATE element.
oAnim.seekActiveTime(oActiveTimeSlider.value);
}
</SCRIPT>
</HEAD>
<BODY>
<IMG ID="oDiv" SRC="../common/ART_time_progress.gif"
STYLE="position:absolute; left:50px; top:200px;z-index:0;">
<!-- This DIV is the red bar that moves across the table showing the progress
of the animation. -->
<DIV CLASS="time"
STYLE="width:4px;height:55px;background-color:red;position:absolute;top:200px;left:50px;z-index:2;">
<t:ANIMATE ID="oAnim" BEGIN="indefinite" dur="8" FILL="hold" ATTRIBUTENAME="left"
FROM="50px" TO="450px"/>
</DIV>
<!-- This is the slider. -->
<control:slider style="width:450px;sl--tick-style:none;" MIN="0" ID="oActiveTimeSlider"
TICKINTERVAL=".1" TICKNUMBER="80" onchange="fnChangeActiveBar();">
</control:slider>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Time container elements such as t:SEQ, t:EXCL, and t:PAR define an encapsulated time line for any number of child time elements of the container. When you seek on a time container, you are jumping to any point on that time line. In the following example, a t:seq container element contains several time elements that act as an animated slide show. By seeking on the t:SEQ element, the user is able to jump to any point on the time line of this slide show.

<HTML xmlns:t= "urn:schemas-microsoft-com:time" xmlns:control>
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
@media all
{
control\:slider {behavior:url(slider.htc);}
}
.time{behavior:url(#default#time2)}
.label1{font-size:10pt;color:#99CCFF;position:absolute; top:110px;left:10px;}
.label2{font-size:10pt;color:white;position:absolute; top:160px;left:10px;}
.label3{font-size:16pt;width:20px;color:red;position:absolute;writing-mode:tb-rl;top:60px;left:10px;}
.label4{font-size:24pt;color:black;position:absolute; top:90px;left:10px;}
</STYLE>
<SCRIPT>
// This function is fired whenever the slide bar changes value.
function fnChangeBar()
{
// If the media is not active then make it active. This makes it
// possible to start the media back up again by just dragging the
// slide bar to some value.
if(!oSeq.currTimeState.isActive)
{
oSeq.beginElement()
}
// If the slider value is being moved by the user, the media will seek
// to the user specified value.
if(Math.round(oSlider.value)!=Math.round(oSeq.currTimeState.segmentTime))
{
oSeq.seekSegmentTime(oSlider.value)
}
}
</SCRIPT>
</HEAD>
<BODY>
<B>Media timer:</B>
<!-- The SPAN element below serves two purposes. First, it displays where on
its time line the media is. Second, it changes the value of the slide bar every
second to show the progression of the animation on the slide bar. -->
<SPAN ID="Timer" CLASS="time" BEGIN="oSeq.begin" END="oSeq.end" DUR="1"
REPEATCOUNT="indefinite" FILL="hold"
onrepeat="this.innerText=oSeq.currTimeState.segmentTime;oSlider.value=oSeq.currTimeState.segmentTime;">0</SPAN>
<BR><BR>
<DIV STYLE="height:300px;">
<t:SEQ ID="oSeq" REPEATCOUNT="indefinite" DUR="18" BEGIN="indefinite">
<t:PAR TIMEACTION="display" DUR="4">
<SPAN ID="oSpan" CLASS="time label1">
...so I left my Home,
<t:ANIMATE DUR="3" ATTRIBUTENAME="fontSize" FROM="10px" FILL="hold" TO="20pt"/>
</SPAN>
<t:IMG ID="one" SRC="../common/samples/author/behaviors/media/home.gif"/>
</t:PAR>
<t:PAR TIMEACTION="display" DUR="4">
<SPAN ID="oSpan" CLASS="time label2">
took the road less travelled,
<t:ANIMATE DUR="3" ATTRIBUTENAME="fontSize" FROM="10px" FILL="hold" TO="20pt"/>
</SPAN>
<t:IMG ID="two" SRC="../common/samples/author/behaviors/media/country_road.gif"/>
</t:PAR>
<t:PAR TIMEACTION="display" DUR="4">
<SPAN ID="oSpan" CLASS="time label3">
to the end of the world,
<t:ANIMATE DUR="3" ATTRIBUTENAME="left" FROM="10px" FILL="hold" TO="380px"/>
</SPAN>
<t:IMG ID="four" SRC="../common/samples/author/behaviors/media/shore.gif"/>
</t:PAR>
<t:PAR TIMEACTION="display" DUR="6" >
<SPAN ID="oSpan" CLASS="time label4">
and past the edge of my memory.
<t:ANIMATECOLOR BEGIN="1" DUR="3" ATTRIBUTENAME="color" FROM="black" FILL="hold" TO="white"/>
</SPAN>
<t:IMG ID="three" SRC="../common/samples/author/behaviors/media/greece.gif"/>
</t:PAR>
</t:SEQ>
</DIV>
<control:slider style="width:200px" ID="oSlider" VALUE="0" MIN="0" TICKINTERVAL="1"
TICKNUMBER="18" onchange="fnChangeBar();">
</control:slider>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Tools for Seeking

There are a number of HTML+TIME components that can be used in markup or in script to facilitate seeking on time elements. The following table lists some of these components.

Component Name | Description
seekSegmentTime | A method that locates the specified point on the element's segment time line and begins playing from that point. The segment consists of one repetition of the time line including reverse play using the AUTOREVERSE attribute.
seekTo | A method similar to the seekSegmentTime method except that if there are multiple repetitions of the active time, you can specify which repetition of the time line to use.
seekActiveTime | A method that locates a specified point on the element's active time line and begins playing from that point. This active time line includes all segment repetitions.
seekToFrame | A method that locates a specified frame in the object. This only applies to media types that have frames such as video files.
onseek | An event that fires whenever a seek operation is performed on the element.
canSeek | A property that retrieves a value that indicates whether the media file is capable of locating a specific time in the media's duration.

The seekSegmentTime, seekTo, and seekActiveTime methods all use seconds as the parameter to determine when in a time element's time line to seek to. The differences among the methods lie in how they handle repetitions of the time line. The following example shows a simple animation that repeats five times with an AUTOREVERSE attribute value of true. Three slider bars are provided to allow you to use the seekSegmentTime, seekTo, or seekActiveTime method to seek on the animation of a time element.

This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Rather than using time in seconds as the parameter to determine where in the time line to seek to, the seekToFrame method uses the number of frames to determine where to jump to. While the first group of methods can be used on all seekable media, the seekToFrame method can only be used on media types that have frames such as video files. The following shows an example of using the seekToFrame method to seek within the time line of video playback.

<HTML xmlns:t= "urn:schemas-microsoft-com:time">
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time{behavior:url(#default#time2)}
</STYLE>
<SCRIPT>
function doSeekToFrame(){
//If you attempt to seek to a time on an object that is not currently
//active, an error is generated. To prevent this, check the object's
//status using the isActive property.
//Is media object active?
//Yes, continue and do seek.
//No, restart element using the beginElement method.
if(!oMedia.currTimeState.isActive){
oMedia.beginElement();
}
//Is user input valid and within the media's duration boundaries?
//Video has a total of 597 frames.
if(isFinite(seekFrame.value) && seekFrame.value >= 1 && seekFrame.value < 598){
oMedia.seekToFrame(seekFrame.value);
}
else
{
//Input is not valid, alert user to re-enter choice.
alert("Please enter a valid integer. Possible values are 1 to 597 inclusive.");
seekFrame.value = "";
seekFrame.focus();
}
}
</SCRIPT>
</HEAD>
<BODY>
<B>Media timer:</B>
<SPAN id="Timer2" class="time" dur=".01" repeatCount="indefinite" fill="hold" onrepeat="innerText=parseInt(oMedia.currTimeState.activeTime);">0</SPAN>
<t:video style="width:175px; height:150px;" id="oMedia" src="movie.avi"/>
Current frame:
<SPAN id="oCurrFrame" class="time" dur="0.01" repeatCount="indefinite"
fill="hold" onrepeat="innerText=parseInt(oMedia.currentFrame);"></SPAN>
<BR><BR>
<B>Frame to seek to</B>:
<INPUT type="text" value="" name="seekFrame" size="3"/>&nbsp;seconds
<BR><BR>
<BUTTON id="seekBtn" onClick="doSeekToFrame();">Click to seek</BUTTON>&nbsp;
<BUTTON onClick="oMedia.beginElement()">Restart</BUTTON>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.
Note If you attempt to seek to a time on an object that is not currently active, an error is generated. To prevent this, check the object's status using the isActive property, which is demonstrated in the preceding example.

Related Topics

  • Introduction to HTML+TIME
  • HTML+TIME 2.0 Reference


Basics of HTML+TIME Animation

Mark Hopkins
Microsoft Corporation

December 2000

Summary: This article introduces you to the basics of HTML+TIME animation, so that you can create an exciting Web experience for your users. (10 printed pages)

Contents

Introduction
Prerequisites
Declarative Animation
Animating Properties
Animation Elements
Specifying Animation Values
keyTimes and keySplines Attributes
For More Information

Introduction

Adding animation to Web pages was one of the great promises of Web-based programming languages like Microsoft® Visual Basic® Scripting Edition (VBScript) and Microsoft® JScript®. However, unless you were already familiar with programming languages like Visual Basic, C++, or Java, you probably had a steep learning curve ahead of you.

Well, here's some good news—adding animation to a Web page has never been easier. Microsoft® Internet Explorer 5.5 implements the W3C SMIL 2.0 Working Draft animation module through the time2 behavior of HTML+TIME. This article introduces you to the basics of HTML+TIME animation so that you can create an exciting Web experience for your users.

Prerequisites

This article assumes you know how to use DHTML behaviors, specifically, the time2 behavior of HTML+TIME. This article doesn't go into great detail on how to add a behavior to your page. Nor does it cover how to declare a namespace and use custom tags, as required by the time2 behavior. These topics are covered in the HTML+TIME Overview and Spice Up Your Web Pages with HTML+TIME.

Declarative Animation

The beauty of HTML+TIME animation is that it uses simple attribute values on elements. Anyone who is comfortable using HTML elements to create Web pages should be able to use these animation features. The best part is that you won't need to use a programming or scripting language. However, most aspects of HTML+TIME are scriptable if you would like to use script to make a more elaborate page.

This ad banner is a simple example of some of the things you can do with HTML+TIME animation. The code in this sample will be used to demonstrate some of the elements and attributes covered in this article.

Of course, animation can be much more complicated than this. Here is a list of some of the basic things you can do with HTML+TIME animation.

  • Gradually, or immediately, change the color of an element.
  • Move an element along a specific path or make it jump to a location.
  • Change the pace of an animation over time.
  • Run an animation forward and in reverse.

When you start combining these activities, you can create some sophisticated animation sequences. Have a look at the HTML+TIME Animations page for more examples of what you can do with animation.

Animating Properties

The key to understanding HTML+TIME animation is to realize that you are actually changing the value of properties over time. For instance, changing the height of a DIV from 70 pixels to 200 pixels over a period of half a second makes the DIV look like it is "growing." This exact technique was used in the ad banner to make it look like the banner was expanding downward.

First Things First

In order to animate a property, you must first explicitly set that property. For instance, if you want to animate the height property on a DIV element, you need to set it. You can use the inline STYLE attribute for this.

<DIV STYLE="height:70;" ?gt;
Animated DIV!
</DIV>

Another way to set the property is to create a style class with the CSS height property set and apply it to the element.

<STYLE>
.clsAnimatedDIV { height:70; …}
</STYLE>
?
<DIV class="clsAnimatedDIV" ?gt;  </DIV>

It is very important to explicitly set the value of any property you want to animate, or your animation code will not work.

When animating the position of an element, you must set the position property to either absolute or relative, in addition to setting the top and left properties.

The reason for this requirement is that, by default, elements on a Web page are part of the flow of HTML data and do not have explicit values for all their properties. Imagine the performance hit and memory overhead it would take to maintain a separate value for every property on every element on a given Web page.

Animation Elements

There are four elements used to animate other elements on a Web page.

  1. t:animate
  2. t:animateColor
  3. t:animateMotion
  4. t:set

t:animate

The t:animate element is a generic element used to animate most properties of HTML elements. Animating a property means to change its value over time. For instance, you can change the value of the top property of a DIV from 10 to 100 over 5 seconds to make it slide down the page.

<DIV ID="myDiv" ?gt;Some text in the DIV.</DIV>
<t:animate targetElement="myDiv" attributeName="top" from="10" to="100"
begin="2" dur="5" ?>

Use the targetElement attribute to specify which element to animate, in this case, myDiv. Set this attribute to the ID of the element you'd like to animate. Use the attributeName attribute to specify which property you'd like to animate on the element you specified with the targetElement attribute, in this case, top. The attributeName and targetElement attributes apply to all four of the animation elements.

In the ad banner sample, the t:animate element is used to resize the ad banner and move the Internet Explorer logo back and forth. See the Sample code for the declarations of the adBanner and ieLogo elements.

<!-- These three tags animate the ad banner and its contents. -->
<t:animate id="openBanner" targetElement="adBanner" attributeName="height"
begin="startButton.click" to="200" dur="0.5" fill="hold"/>
<t:animate id="animateLogo" targetElement="ieLogo" attributeName="left"
begin="openBanner.end + 0.25" to="195" dur="1" autoReverse="true"
repeatCount="3"/>
<t:animate id="closeBanner" targetElement="adBanner" attributeName="height"
begin="animateLogo.end + 0.25" to="70" dur="0.5" fill="hold"/>

t:animateColor

The t:animateColor element is used to change the color of an object. It uses values specific to color properties. Specify color values using the predefined color names or hexadecimal RGB values. For more information on color values, see Specifying Animation Values.

In the ad banner sample, the background color oscillates between white and navy, while the text color oscillates in the opposite direction. The sample previously set the background color to white and the color navy before applying these color animations.

<!-- These tags animate the background and text colors. -->
<t:animateColor targetElement="adBanner" attributeName="backgroundColor"
to="navy" dur="4" autoReverse="true" repeatCount="indefinite" begin="0"
end="startButton.click"/>
<t:animateColor targetElement="adBanner" attributeName="color" to="white"
dur="4" autoReverse="true" repeatCount="indefinite" begin="0"
end="startButton.click"/>

Use the calcMode attribute to set the interpolation mode for an animated element. The default value for calcMode is linear, which causes an element to animate smoothly from the beginning value to the end value. In the ad banner example, the color oscillates smoothly from navy to white because calcMode is set to the default value of linear. Other values for calcMode include discrete (jumps), paced (set pace), and spline (spline curve). The calcMode attribute applies to the t:animate and t:animateMotion elements, in addition to t:animateColor. The default value for t:animateMotion is paced.

t:animateMotion

Use the t:animateMotion element to animate the position (top and left) of an element. This element is specifically for animating the top and left properties, so there is no need to use the attributeName attribute. Instead, specify the from, to, or values attribute in top/left pairs. The ad banner sample can be written with the t:animateMotion element instead of the t:animate element.

<t:animateMotion id="animateLogo" targetElement="ieLogo"
begin="openBanner.end + 0.25" to="195,0" dur="1" autoReverse="true"
repeatCount="3"/>

When using t:animateMotion, you must set the position property to either absolute or relative on the element you want to animate, in addition to the top and left properties.

Use the path attribute to specify a path for an element to follow. The path attribute uses a subset of the Scalable Vector Graphics (SVG) path syntax. The following example uses the path attribute to "bounce" a graphic file across the page.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY>
<t:img id="ieLogo" src="elogohalf.gif" style="position:absolute;
left:10; top:150; cursor:hand;"/>
<t:animateMotion targetElement="ieLogo"
path="m 0 0 c 25 -150 75 -150 100 25" dur="2" repeatCount="3"
accumulate="sum" fill="freeze"/>
</BODY>
</HTML>

Click here to run the sample.

t:set

Use the t:set element to set a property directly to a specific value. For example, you can set the top property to 200.

<t:set targetElement="myDiv" attributeName="top" to="200" ?>

This is similar to using a calcMode value of discrete, but only to change to a single value.

Sample

Now that you've seen most of the active code for the ad banner, here is the entire sample.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time        { behavior: url(#default#time2); }
.clsAdBanner    { border:thin solid black;
height:70;
width:300;
text-align:center;
font-family:Arial;
font-size:10pt;
font-weight:bold;
color:navy;
background-color:white;
}
</STYLE>
</HEAD>
<BODY>
<DIV id="adBanner" class="clsAdBanner">
<SPAN id="startButton" class="time" style="cursor:hand"
end="openBanner.end" timeAction="display">
Add some excitement to your Web pages without writing a bunch of
script!<BR><BR>Click here to find out how...
</SPAN>
<DIV id="adContent" class="time" begin="openBanner.end + 0.25"
end="closeBanner.begin" timeAction="display">
Microsoft&reg; Internet Explorer 5.5 with<BR>
HTML+TIME 2.0 makes animation easier<BR>
than ever. No scripting required!
<t:img id="ieLogo" style="position:absolute; left:15; top:90;"
src="elogo.gif"/>
</DIV>
<DIV class="time" begin="closeBanner.end" timeAction="display">
<A HREF="http://www.microsoft.com/windows/ie/default.htm">
Click here to get it!<BR>
<t:IMG id="downloadLogo" src="msielogo.gif"/>
</A>
</DIV>
</DIV>
<DIV class="time" begin="closeBanner.end" timeAction="display">
<BR><BR>
<A HREF="animation.doc">Back to Animation Article</A>
</DIV>
<!-- The following tags do the animation. -->
<!-- These three tags animate the ad banner and its contents. -->
<t:animate id="openBanner" targetElement="adBanner" attributeName="height"
begin="startButton.click" to="200" dur="0.5" fill="hold"/>
<t:animate id="animateLogo" targetElement="ieLogo" attributeName="left"
begin="openBanner.end + 0.25" to="195" dur="1" autoReverse="true"
repeatCount="3"/>
<t:animate id="closeBanner" targetElement="adBanner" attributeName="height"
begin="animateLogo.end + 0.25" to="70" dur="0.5" fill="hold"/>
<!-- These tags animate the background and text colors. -->
<t:animateColor targetElement="adBanner" attributeName="backgroundColor"
to="navy" dur="4" autoReverse="true" repeatCount="indefinite" begin="0"
end="startButton.click"/>
<t:animateColor targetElement="adBanner" attributeName="color" to="white"
dur="4" autoReverse="true" repeatCount="indefinite" begin="0"
end="startButton.click"/>
</BODY>
</HTML>

Click here to run the sample.

Specifying Animation Values

Use the values attribute to specify a list of animation values. For t:animateMotion, specify the values in top/left pairs separated by semicolons.

values="0,0;200,0;200,200;0,200;100,100;0,0"

For height or width on the t:animate tag, specify values in pixels.

values="100;200;300;400"

Specify color values on the t:animateColor tag using predefined color names or hexadecimal RGB notation.

values="yellow;black;red;green;cyan"
values="#FF0000;#F88F08"

Animation Values Shorthand

In addition to the values attribute, you can specify individual values using the shorthand attributes from, to, and by.

Using from, to, and by

Use the from and to attributes like a values list with two values.

from="100" to="400"

Use the by attribute to specify how a value changes by a given amount. In the following example, the property will change by 300 at a time. It will start at 100, increment to 400, 700, 1000, and so on.

from="100" by="300"

keyTimes and keySplines Attributes

The keyTimes and keySplines attributes are always used together. You must also set the calcMode attribute to spline. Use these attributes to specify the pacing of an animated element along a spline curve. The keyTimes and keySplines attributes are similar to the accelerate and decelerate attributes except that they provide much finer control.

keyTimes

Use the keyTimes attribute to specify a list of time values to control the pace of animation. The values are a semicolon-separated list of time values, representing a proportional offset into the simple duration of the animation element. Each successive time value in the list must be greater than or equal to the preceding time value. Valid time values are floating-point numbers between 0 and 1, inclusive.

keySplines

Use the keySplines attribute to specify Bezier control points associated with keyTimes. Each control point is a set of four floating-point values describing the Bezier control points for one time segment. The keySplines attribute describes the time between the keyTimes values. Consequently, keySplines values always have one set less than keyTimes.

Here is an example that uses keyTimes and keySplines to define how a DIV element moves across the page. The DIV appears to slow down as it reaches its destination, like a car coming to a stoplight.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<?IMPORT namespace="t" implementation="#default#time2">
<STYLE>
.time    { behavior: url(#default#time2); }
</STYLE>
</HEAD>
<BODY ID="oBody">
<DIV ID="oDiv" style="position:absolute; top:50; left:20; background-color:yellowgreen;">
Animated DIV with pace<BR>
that changes over time.
<t:animateMotion begin="1" dur="3" calcMode="spline"
keySplines="0 .75 .5 1"  keyTimes="0;1" values="20,0;300,0"
fill="hold"/>
</DIV>
</BODY>
</HTML>

Click here to run the sample.

For More Information

  • Spice Up Your Web Pages with HTML+TIME
  • HTML+TIME Overview
  • The W3C SMIL 2.0 Working Draft Animation Module
  • DHTML Behaviors
  • The W3C Scalable Vector Graphics (SVG) 1.0 Paths Section


HTML+TIME: Animation

Introduction to HTML+TIME enables Web authors to animate content on the page by changing the value of particular attributes and properties over time. Without using script, you can animate an element's color; move an element along a specific path or between intervals; cause elements to appear or disappear over time or in response to events; or accelerate, reverse, or loop an animation. Although this animation functionality is available without script, most aspects of Introduction to HTML+TIME are also scriptable.

The following links provide access to the object model exposed by the time2 behavior.

Overviews

Animating with keyTimes and keySplines

Using the keyTimes and keySplines attributes, you can divide an animation element's simple duration into multiple segments, speed up or slow down the animation at multiple rates during a single duration, and specify values for the animation to reach at particular points in its duration.

Seeking With HTML+TIME

In HTML+TIME (Timed Interactive Multimedia Extensions) various types of media, animation, and other time elements can be played over a period of time. It is often desirable to be able to jump to any point on this time line. This process of jumping to different points on a time element's time line is called seeking.

Tutorials

Incorporate the time2 Behavior

This tutorial explains how to incorporate the time2 behavior in your Web pages so you can begin using timelines, multimedia, and animation with HTML elements.

Animation Elements and Objects

animate

Animates a specified attribute of an object.

animateColor

Changes the color of an object over time.

animateMotion

Animates the position of an element over time.

currTimeState

Contains information about an HTML+TIME timeline.

set

Sets the value of an object's attribute for a specified duration.

Attributes and Properties

accelerate

Sets or retrieves a value that applies an acceleration to an element's timeline.

accumulate

Sets or retrieves a value that indicates whether the animation is cumulative.

activeDur

Retrieves the total duration of the timeline.

activeTime

Retrieves the current point in time along the total active timeline, including repeats and time spent in reverse mode.

additive

Sets or retrieves a value that indicates whether the animation is additive with other animations.

attributeName

Sets or retrieves the name of the element's attribute to be animated.

autoReverse

Sets or retrieves whether the timeline on an element begins playing in reverse immediately after completing in the forward direction.

begin

Sets or retrieves the delay time before the timeline begins playing on the element.

by

Sets or retrieves a relative offset value for an animation.

by

Sets or retrieves a relative offset value by which to animate a color attribute or property with the t:ANIMATECOLOR element.

calcMode

Sets or retrieves the interpolation mode for the animation.

calcMode

Sets or retrieves the interpolation mode for the animateMotion object.

calcMode

Sets or retrieves the interpolation mode for a t:ANIMATECOLOR element.

decelerate

Sets or retrieves a value that applies a deceleration to the end of a simple duration.

dur

Sets or retrieves a value indicating the amount of time the element remains active or displayed.

end

Sets or retrieves a value indicating the end time for the element, or the end of the simple duration when the element is set to repeat.

fill

Sets or retrieves the action an element takes if its timeline ends before the timeline on its parent element ends.

from

Sets or retrieves the starting value of an animation.

from

Sets or retrieves the starting value of a color attribute or property animated by t:ANIMATECOLOR.

isActive

Retrieves a value that indicates whether the element is currently active on the timeline.

isOn

Retrieves a value that specifies whether the element is active or holding on the timeline in its current state.

isPaused

Retrieves a value that specifies whether the element is paused on the timeline.

keySplines

Sets or retrieves a set of Bezier control points that define the interval pacing of an animation.

keyTimes

Sets or retrieves a list of time values used to control the pacing of an animation.

origin

Sets or retrieves the origin of motion for the animation.

parentTimeBegin

Retrieves the current element's begin time as an offset from the parent element's begin time.

parentTimeEnd

Retrieves the current element's end time as an offset from the parent element's begin time.

path

Sets or retrieves a set of values that describe a path as a function of time.

progress

Retrieves the current progress of the element's timeline.

repeatCount

Retrieves the current iteration in the repetition loop.

repeatCount

Sets or retrieves the number of times an element's timeline repeats.

repeatDur

Sets or retrieves the number of seconds that an element's timeline repeats.

restart

Sets or retrieves the conditions under which an element can be restarted on a timeline.

segmentDur

Retrieves the duration of an element on a timeline in seconds, including autoReverse.

segmentTime

Retrieves the current point in time along a segment of time.

simpleDur

Retrieves the duration of a repeat iteration.

simpleTime

Retrieves an object's current point along its timeline from zero to its dur value.

speed

Sets or retrieves the playback speed of an element relative to its parent time container.

speed

Retrieves the playback speed of an element at run time, which includes the cascading effect of the speed set for the parent time container.

state

Retrieves the current state of the element's timeline.

stateString

Retrieves the current state of the element's timeline.

syncBehavior

Sets or retrieves a value that indicates the synchronization rules for the element's timeline.

syncMaster

Sets or retrieves whether the time container must synchronize playback to this element.

syncTolerance

Sets or retrieves the time variance allowed on a timeline with locked synchronization.

targetElement

Sets or retrieves the target element to be animated.

timeAction

Sets or retrieves what action is taken on the element while the timeline is active.

timeContainer

Sets or retrieves the type of timeline associated with an element.

timeParent

Retrieves the parent time container element of the current element.

to

Sets or retrieves the ending value of an animation.

to

Sets or retrieves the ending value of a color attribute or property animated by t:ANIMATECOLOR

values

Sets or retrieves a list of semicolon-separated values of an animation.

values

Sets or retrieves a list of semicolon-delimited RGB color values for a t:ANIMATECOLOR element.

volume

Sets or retrieves the volume of the media file.

Methods

activeTimeToParentTime

Converts a value in the element's active timeline to the corresponding point in the parent timeline.

activeTimeToSegmentTime

Converts a value in the element's active timeline to the corresponding point in the segment timeline.

beginElement

Starts the element on the timeline.

beginElementAt

Starts an element's timeline at the specified time.

documentTimeToParentTime

Converts a value in the document timeline to the corresponding point in the element's parent timeline.

endElement

Stops the element on the timeline.

endElementAt

Ends an element's timeline at the specified time.

parentTimeToActiveTime

Converts a value in the parent timeline to the corresponding point in the element's active timeline.

parentTimeToDocumentTime

Converts a value in the element's parent timeline to the corresponding point in the document timeline.

pauseElement

Stops playing an element's timeline at the current point.

resetElement

Removes any changes made to the element and returns the element to its original state.

resumeElement

Restarts the element's timeline from a paused state.

seekActiveTime

Locates a specified point on the element's active timeline and begins playing from that point.

seekTo

Locates a specified point on the element's segment timeline, including repetitions, and begins playing from that point.

seekToFrame

Locates a specified frame in the object.

segmentTimeToActiveTime

Converts a value in the element's segment timeline to the corresponding point in the element's active timeline.

segmentTimeToSimpleTime

Converts a value in the element's segment timeline to the corresponding point in the element's simple timeline.

simpleTimeToSegmentTime

Converts a value in the element's simple timeline to the corresponding point in the element's segment timeline.

Events

onbegin

Fires when the timeline starts on an element.

onend

Fires when the timeline stops on an element.

onmediacomplete

Fires when the element's associated media finish loading.

onmediaerror

Fires when an element's media file causes any error.

onoutofsync

Fires when the element loses synchronization with its associated timeline.

onpause

Fires when the timeline on an element pauses.

onrepeat

Fires when the timeline repeats on an element, beginning with the second iteration.

onreset

Fires when the timeline reaches the value of the BEGIN attribute or when the resetElement method is called on the element.

onresume

Fires when an element's timeline resumes from a paused state.

onreverse

Fires when the timeline on an element begins to play backward.

onseek

Fires whenever a seek operation is performed on the element.

onsyncrestored

Fires when synchronization is resumed between the element and its associated timeline.

ontimeerror

Fires whenever a time-specific error occurs, usually as a result of setting a property to an invalid value.


HTML+TIME: Time Containers

By providing a timing model that unifies a rigid timeline with event-based timing relationships, Introduction to HTML+TIME makes it easy to synchronize media elements, control animations, and add interactive timed content to a Web page without using script. For example, authors can apply and remove styles to elements over time, synchronize user-fired elements with the document timeline, and handle delays in media file playback.

The following links provide access to the object model exposed by the time2 behavior.

Overviews

Seeking With HTML+TIME

In HTML+TIME (Timed Interactive Multimedia Extensions) various types of media, animation, and other time elements can be played over a period of time. It is often desirable to be able to jump to any point on this time line. This process of jumping to different points on a time element's time line is called seeking.

Using the HTML+TIME Document Object Model (DOM)

All HTML+TIME objects are accessible through script at run time. This article introduces you to the HTML+TIME objects, methods, events, and properties available to your Web pages.

Tutorials

Incorporate the time2 Behavior

This tutorial explains how to incorporate the time2 behavior in your Web pages so you can begin using timelines, multimedia, and animation with HTML elements.

Time Containers and Objects

currTimeState

Contains information about an HTML+TIME timeline.

excl

Defines a time container that allows only one child element to play at any given time.

par

Defines a new timeline container in an HTML document for independently timed elements.

priorityClass

Defines a group of excl children and the pause/interrupt behavior of the children.

seq

Defines a new timeline container in an HTML document for sequentially timed elements.

Attributes and Properties

accelerate

Sets or retrieves a value that applies an acceleration to an element's timeline.

activeDur

Retrieves the total duration of the timeline.

activeTime

Retrieves the current point in time along the total active timeline, including repeats and time spent in reverse mode.

autoReverse

Sets or retrieves whether the timeline on an element begins playing in reverse immediately after completing in the forward direction.

begin

Sets or retrieves the delay time before the timeline begins playing on the element.

decelerate

Sets or retrieves a value that applies a deceleration to the end of a simple duration.

dur

Sets or retrieves a value indicating the amount of time the element remains active or displayed.

end

Sets or retrieves a value indicating the end time for the element, or the end of the simple duration when the element is set to repeat.

endSync

Sets or retrieves the synchronization rule that specifies which child element is used to determine when the time container will end.

fill

Sets or retrieves the action an element takes if its timeline ends before the timeline on its parent element ends.

isActive

Retrieves a value that indicates whether the element is currently active on the timeline.

isOn

Retrieves a value that specifies whether the element is active or holding on the timeline in its current state.

isPaused

Retrieves a value that specifies whether the element is paused on the timeline.

length

Retrieves the number of objects in a collection.

parentTimeBegin

Retrieves the current element's begin time as an offset from the parent element's begin time.

parentTimeEnd

Retrieves the current element's end time as an offset from the parent element's begin time.

progress

Retrieves the current progress of the element's timeline.

repeatCount

Retrieves the current iteration in the repetition loop.

repeatCount

Sets or retrieves the number of times an element's timeline repeats.

repeatDur

Sets or retrieves the number of seconds that an element's timeline repeats.

restart

Sets or retrieves the conditions under which an element can be restarted on a timeline.

segmentDur

Retrieves the duration of an element on a timeline in seconds, including autoReverse.

segmentTime

Retrieves the current point in time along a segment of time.

simpleDur

Retrieves the duration of a repeat iteration.

simpleTime

Retrieves an object's current point along its timeline from zero to its dur value.

speed

Sets or retrieves the playback speed of an element relative to its parent time container.

speed

Retrieves the playback speed of an element at run time, which includes the cascading effect of the speed set for the parent time container.

state

Retrieves the current state of the element's timeline.

stateString

Retrieves the current state of the element's timeline.

syncBehavior

Sets or retrieves a value that indicates the synchronization rules for the element's timeline.

syncMaster

Sets or retrieves whether the time container must synchronize playback to this element.

syncTolerance

Sets or retrieves the time variance allowed on a timeline with locked synchronization.

timeAction

Sets or retrieves what action is taken on the element while the timeline is active.

timeContainer

Sets or retrieves the type of timeline associated with an element.

timeParent

Retrieves the parent time container element of the current element.

volume

Sets or retrieves the volume of the media file.

Methods

activeTimeToParentTime

Converts a value in the element's active timeline to the corresponding point in the parent timeline.

activeTimeToSegmentTime

Converts a value in the element's active timeline to the corresponding point in the segment timeline.

beginElement

Starts the element on the timeline.

beginElementAt

Starts an element's timeline at the specified time.

documentTimeToParentTime

Converts a value in the document timeline to the corresponding point in the element's parent timeline.

endElement

Stops the element on the timeline.

endElementAt

Ends an element's timeline at the specified time.

item

Retrieves an object from the specified collection.

nextElement

Advances the timeline so that the next element in the sequence begins playing.

nextTrack

Advances the media-playing container to the next track, or playItem object, in the playList collection, and begins playing that track.

parentTimeToActiveTime

Converts a value in the parent timeline to the corresponding point in the element's active timeline.

parentTimeToDocumentTime

Converts a value in the element's parent timeline to the corresponding point in the document timeline.

pauseElement

Stops playing an element's timeline at the current point.

prevElement

Resets the timeline so that the previous element in the sequence begins playing.

prevTrack

Sets the media-playing container to the previous track, or playItem object, in the playList collection and begins playing that track.

resetElement

Removes any changes made to the element and returns the element to its original state.

resumeElement

Restarts the element's timeline from a paused state.

seekActiveTime

Locates a specified point on the element's active timeline and begins playing from that point.

seekTo

Locates a specified point on the element's segment timeline, including repetitions, and begins playing from that point.

seekToFrame

Locates a specified frame in the object.

segmentTimeToActiveTime

Converts a value in the element's segment timeline to the corresponding point in the element's active timeline.

segmentTimeToSimpleTime

Converts a value in the element's segment timeline to the corresponding point in the element's simple timeline.

setActive

Sets the playItem object as the active track in the playList collection, which causes the track to play.

simpleTimeToSegmentTime

Converts a value in the element's simple timeline to the corresponding point in the element's segment timeline.

Events

onbegin

Fires when the timeline starts on an element.

onend

Fires when the timeline stops on an element.

onmediacomplete

Fires when the element's associated media finish loading.

onmediaerror

Fires when an element's media file causes any error.

onoutofsync

Fires when the element loses synchronization with its associated timeline.

onpause

Fires when the timeline on an element pauses.

onrepeat

Fires when the timeline repeats on an element, beginning with the second iteration.

onreset

Fires when the timeline reaches the value of the BEGIN attribute or when the resetElement method is called on the element.

onresume

Fires when an element's timeline resumes from a paused state.

onreverse

Fires when the timeline on an element begins to play backward.

onseek

Fires whenever a seek operation is performed on the element.

onsyncrestored

Fires when synchronization is resumed between the element and its associated timeline.

ontimeerror

Fires whenever a time-specific error occurs, usually as a result of setting a property to an invalid value.

Collections

activeElements

Returns a reference to the collection of all top-level child elements of the object that are currently active on the timeline.

timeAll

Retrieves a reference to the collection of all timed elements.

timeChildren

Retrieves a reference to the collection of all timed, top-level children elements.


HTML+TIME: Media

Introduction to HTML+TIME provides extensive support for media playback through media container elements, a unified timeline model, a variety of media-specific attributes and properties, and system test attributes. These features make it easy for Web authors to provide tightly synchronized multimedia presentations, and to coordinate media with animation, without using script.

The following links provide access to the object model exposed by the time2 behavior.

Overviews

About Content Selection: System Test Attributes and t:SWITCH

HTML+TIME 2.0 provides authors with the option to display different elements based on system settings.

Seeking With HTML+TIME

In HTML+TIME (Timed Interactive Multimedia Extensions) various types of media, animation, and other time elements can be played over a period of time. It is often desirable to be able to jump to any point on this time line. This process of jumping to different points on a time element's time line is called seeking.

Using the HTML+TIME Document Object Model (DOM)

All HTML+TIME objects are accessible through script at run time. This article introduces you to the HTML+TIME objects, methods, events, and properties available to your Web pages.

Tutorials

Incorporate the time2 Behavior

This tutorial explains how to incorporate the time2 behavior in your Web pages so you can begin using timelines, multimedia, and animation with HTML elements.

Media Elements and Objects

animation

Defines a timed animation element in an HTML document.

audio

Defines a timed audio element in an HTML document.

currTimeState

Contains information about an HTML+TIME timeline.

img

Defines a timed image element in an HTML document.

media

Defines a generic, timed media element in an HTML document.

playItem

Represents an individual media file in a playList collection.

ref

Defines a reference to a generic timed element in an HTML document.

video

Defines a timed video element in an HTML document.

Attributes and Properties

abstract

Retrieves a description of the media file.

Abstract

Retrieves the Abstract content of the entry banner in an Advanced Stream Redirector (ASX) file using the event object.

accelerate

Sets or retrieves a value that applies an acceleration to an element's timeline.

activeDur

Retrieves the total duration of the timeline.

activeTime

Retrieves the current point in time along the total active timeline, including repeats and time spent in reverse mode.

activeTrack

Sets or retrieves the track, or playItem object, that is currently active in the playList collection.

author

Retrieves the name of the media file's author.

autoReverse

Sets or retrieves whether the timeline on an element begins playing in reverse immediately after completing in the forward direction.

Banner

Retrieves the Banner content of an entry in an ASX file using the event object.

Banner

Retrieves the Banner content of an entry in an ASX file.

BannerAbstract

Retrieves the BannerAbstract content of an entry in an ASX file.

BannerMoreInfo

Retrieves the BannerMoreInfo content of an entry in an ASX file.

begin

Sets or retrieves the delay time before the timeline begins playing on the element.

bufferingProgress

Retrieves a value that indicates the current percentage of buffering completed.

canPause

Retrieves a value that indicates whether the media file can be paused.

canSeek

Retrieves a value that indicates whether the media file is capable of locating a specific time in the media's duration.

clipBegin

Sets or retrieves the beginning point of a sub-clip of a continuous media object.

clipEnd

Sets or retrieves the end point of a sub-clip of a continuous media object.

copyright

Retrieves the copyright information associated with a media file.

currentFrame

Retrieves a value that indicates the currentFrame of the object.

decelerate

Sets or retrieves a value that applies a deceleration to the end of a simple duration.

downloadCurrent

Retrieves a value that indicates the current number of bytes downloaded from streaming content.

downloadTotal

Retrieves a value that indicates the total size of the file (in bytes) downloaded.

dur

Sets or retrieves a value indicating the amount of time the element remains active or displayed.

end

Sets or retrieves a value indicating the end time for the element, or the end of the simple duration when the element is set to repeat.

fill

Sets or retrieves the action an element takes if its timeline ends before the timeline on its parent element ends.

hasAudio

Retrieves a Boolean value that indicates whether the media contains audio.

hasDownloadProgress

Retrieves a Boolean value that indicates whether a media file has begun to download.

hasMedia

Retrieves a Boolean value that indicates whether the element is an Introduction to HTML+TIME media element.

hasPlayList

Retrieves a Boolean value that indicates whether the element has a playList collection.

hasVisual

Retrieves a Boolean value that indicates whether the element can draw on the screen.

index

Retrieves the index value of the playItem object in the playList collection.

isActive

Retrieves a value that indicates whether the element is currently active on the timeline.

isMuted

Retrieves a value indicating whether the element's audio is currently muted.

isOn

Retrieves a value that specifies whether the element is active or holding on the timeline in its current state.

isPaused

Retrieves a value that specifies whether the element is paused on the timeline.

latestMediaTime

Retrieves a value that indicates the amount of time it takes for a media object to begin playing.

mediaDur

Retrieves the duration of the element's media file.

mediaHeight

Retrieves the height of the element.

mediaWidth

Retrieves the width of the element.

mimeType

Retrieves the MIME content-type of the object.

MoreInfo

Retrieves the MoreInfo content of an entry banner in an ASX file through the event object.

mute

Sets or retrieves a value that indicates whether the audio is turned on or off.

parentTimeBegin

Retrieves the current element's begin time as an offset from the parent element's begin time.

parentTimeEnd

Retrieves the current element's end time as an offset from the parent element's begin time.

player

Sets or retrieves the object used to render the media associated with this element.

playerObject

Retrieves the object that plays media files.

progress

Retrieves the current progress of the element's timeline.

rating

Retrieves the rating of the media file.

repeatCount

Retrieves the current iteration in the repetition loop.

repeatCount

Sets or retrieves the number of times an element's timeline repeats.

repeatDur

Sets or retrieves the number of seconds that an element's timeline repeats.

restart

Sets or retrieves the conditions under which an element can be restarted on a timeline.

segmentDur

Retrieves the duration of an element on a timeline in seconds, including autoReverse.

segmentTime

Retrieves the current point in time along a segment of time.

simpleDur

Retrieves the duration of a repeat iteration.

simpleTime

Retrieves an object's current point along its timeline from zero to its dur value.

speed

Sets or retrieves the playback speed of an element relative to its parent time container.

speed

Retrieves the playback speed of an element at run time, which includes the cascading effect of the speed set for the parent time container.

src

Sets or retrieves the source URL of the media.

state

Retrieves the current state of the element's timeline.

stateString

Retrieves the current state of the element's timeline.

syncBehavior

Sets or retrieves a value that indicates the synchronization rules for the element's timeline.

syncMaster

Sets or retrieves whether the time container must synchronize playback to this element.

syncTolerance

Sets or retrieves the time variance allowed on a timeline with locked synchronization.

timeAction

Sets or retrieves what action is taken on the element while the timeline is active.

timeContainer

Sets or retrieves the type of timeline associated with an element.

timeParent

Retrieves the parent time container element of the current element.

title

Retrieves the title of the media file.

type

Sets or retrieves the MIME type of the media object referenced by the SRC attribute.

updateMode

Specifies or retrieves a value that indicates how the object is to be updated.

URL

Retrieves the URL specified by the Advanced Streaming Format (ASF) file script command after the onURLFlip event is fired.

volume

Sets or retrieves the volume of the media file.

volume

Retrieves the playback volume of an element at run time.

Methods

activeTimeToParentTime

Converts a value in the element's active timeline to the corresponding point in the parent timeline.

activeTimeToSegmentTime

Converts a value in the element's active timeline to the corresponding point in the segment timeline.

beginElement

Starts the element on the timeline.

beginElementAt

Starts an element's timeline at the specified time.

documentTimeToParentTime

Converts a value in the document timeline to the corresponding point in the element's parent timeline.

endElement

Stops the element on the timeline.

endElementAt

Ends an element's timeline at the specified time.

parentTimeToActiveTime

Converts a value in the parent timeline to the corresponding point in the element's active timeline.

parentTimeToDocumentTime

Converts a value in the element's parent timeline to the corresponding point in the document timeline.

pauseElement

Stops playing an element's timeline at the current point.

resetElement

Removes any changes made to the element and returns the element to its original state.

resumeElement

Restarts the element's timeline from a paused state.

seekActiveTime

Locates a specified point on the element's active timeline and begins playing from that point.

seekTo

Locates a specified point on the element's segment timeline, including repetitions, and begins playing from that point.

seekToFrame

Locates a specified frame in the object.

segmentTimeToActiveTime

Converts a value in the element's segment timeline to the corresponding point in the element's active timeline.

segmentTimeToSimpleTime

Converts a value in the element's segment timeline to the corresponding point in the element's simple timeline.

simpleTimeToSegmentTime

Converts a value in the element's simple timeline to the corresponding point in the element's segment timeline.

Events

onbegin

Fires when the timeline starts on an element.

onend

Fires when the timeline stops on an element.

onmediacomplete

Fires when the element's associated media finish loading.

onmediaerror

Fires when an element's media file causes any error.

onoutofsync

Fires when the element loses synchronization with its associated timeline.

onpause

Fires when the timeline on an element pauses.

onrepeat

Fires when the timeline repeats on an element, beginning with the second iteration.

onreset

Fires when the timeline reaches the value of the BEGIN attribute or when the resetElement method is called on the element.

onresume

Fires when an element's timeline resumes from a paused state.

onreverse

Fires when the timeline on an element begins to play backward.

onseek

Fires whenever a seek operation is performed on the element.

onsyncrestored

Fires when synchronization is resumed between the element and its associated timeline.

ontimeerror

Fires whenever a time-specific error occurs, usually as a result of setting a property to an invalid value.

ontrackchange

The event fires when a track changes in a playList defined in an ASX file.

onURLFlip

This event fires when an ASF file, played by a HTML+TIME?A HREF="../time2/elements/media.html">media tag, processes script commands embedded in the ASF file.

Collections

playList

Retrieves a collection of playItem objects.


Other HTML+TIME Elements

This section contains reference information on additional features of the object model exposed by the time2 behavior, including content control elements, system test attributes, timing attributes and properties, and several overviews on Introduction to HTML+TIME functionality.

Overviews

About Content Selection: System Test Attributes and t:SWITCH

HTML+TIME 2.0 provides authors with the option to display different elements based on system settings.

Animating with keyTimes and keySplines

Using the keyTimes and keySplines attributes, you can divide an animation element's simple duration into multiple segments, speed up or slow down the animation at multiple rates during a single duration, and specify values for the animation to reach at particular points in its duration.

Getting Started with HTML+TIME

HTML+TIME (Timed Interactive Multimedia Extensions) makes it fast and easy to support timed, animated, and multimedia content on your pages.

Seeking With HTML+TIME

In HTML+TIME various types of media, animation, and other time elements can be played over a period of time. It is often desirable to be able to jump to any point on this time line. This process of jumping to different points on a time element's time line is called seeking.

Using HTML+TIME with DirectMusic

This article briefly discusses some of the ways you can use HTML+TIME to add flexibility and control to Microsoft?DirectMusic?content on the Web.

Using the HTML+TIME Document Object Model (DOM)

All HTML+TIME objects are accessible through script at run time. This article introduces you to the HTML+TIME objects, methods, events, and properties available to your Web pages.

Tutorials

Incorporate the time2 Behavior

This tutorial explains how to incorporate the time2 behavior in your Web pages so you can begin using timelines, multimedia, and animation with HTML elements.

Elements and Objects

currTimeState

Contains information about an HTML+TIME timeline.

switch

Enables you to provide several choices and display content depending on which choice is true on the user's computer.

Attributes and Properties

accelerate

Sets or retrieves a value that applies an acceleration to an element's timeline.

activeDur

Retrieves the total duration of the timeline.

activeTime

Retrieves the current point in time along the total active timeline, including repeats and time spent in reverse mode.

activeTrack

Sets or retrieves the track, or playItem object, that is currently active in the playList collection.

autoReverse

Sets or retrieves whether the timeline on an element begins playing in reverse immediately after completing in the forward direction.

begin

Sets or retrieves the delay time before the timeline begins playing on the element.

decelerate

Sets or retrieves a value that applies a deceleration to the end of a simple duration.

dur

Sets or retrieves a value indicating the amount of time the element remains active or displayed.

end

Sets or retrieves a value indicating the end time for the element, or the end of the simple duration when the element is set to repeat.

fill

Sets or retrieves the action an element takes if its timeline ends before the timeline on its parent element ends.

higher

Controls how elements with higher priority interrupt child elements of a priorityClass element.

isActive

Retrieves a value that indicates whether the element is currently active on the timeline.

isOn

Retrieves a value that specifies whether the element is active or holding on the timeline in its current state.

isPaused

Retrieves a value that specifies whether the element is paused on the timeline.

lower

Controls how elements that are defined with lower priority interrupt child elements of a priorityClass element.

parentTimeBegin

Retrieves the current element's begin time as an offset from the parent element's begin time.

parentTimeEnd

Retrieves the current element's end time as an offset from the parent element's begin time.

peers

Controls how child elements of a priorityClass element interrupt one another.

progress

Retrieves the current progress of the element's timeline.

repeatCount

Retrieves the current iteration in the repetition loop.

repeatCount

Sets or retrieves the number of times an element's timeline repeats.

repeatDur

Sets or retrieves the number of seconds that an element's timeline repeats.

restart

Sets or retrieves the conditions under which an element can be restarted on a timeline.

segmentDur

Retrieves the duration of an element on a timeline in seconds, including autoReverse.

segmentTime

Retrieves the current point in time along a segment of time.

simpleDur

Retrieves the duration of a repeat iteration.

simpleTime

Retrieves an object's current point along its timeline from zero to its dur value.

speed

Sets or retrieves the playback speed of an element relative to its parent time container.

speed

Retrieves the playback speed of an element at run time, which includes the cascading effect of the speed set for the parent time container.

state

Retrieves the current state of the element's timeline.

stateString

Retrieves the current state of the element's timeline.

syncBehavior

Sets or retrieves a value that indicates the synchronization rules for the element's timeline.

syncMaster

Sets or retrieves whether the time container must synchronize playback to this element.

syncTolerance

Sets or retrieves the time variance allowed on a timeline with locked synchronization.

systemBitrate

Retrieves the approximate bandwidth available to the system in bits-per-second.

systemCaptions

Indicates whether or not to display a text equivalent of the audio portion of the presentation.

systemLanguage

Indicates whether a given language is selected in a user's system preferences.

systemOverdubOrSubtitle

Specifies whether overdubs or subtitles render during a presentation.

timeAction

Sets or retrieves what action is taken on the element while the timeline is active.

timeContainer

Sets or retrieves the type of timeline associated with an element.

timeParent

Retrieves the parent time container element of the current element.

volume

Sets or retrieves the volume of the media file.

Methods

activeTimeToParentTime

Converts a value in the element's active timeline to the corresponding point in the parent timeline.

activeTimeToSegmentTime

Converts a value in the element's active timeline to the corresponding point in the segment timeline.

beginElement

Starts the element on the timeline.

beginElementAt

Starts an element's timeline at the specified time.

documentTimeToParentTime

Converts a value in the document timeline to the corresponding point in the element's parent timeline.

endElement

Stops the element on the timeline.

endElementAt

Ends an element's timeline at the specified time.

parentTimeToActiveTime

Converts a value in the parent timeline to the corresponding point in the element's active timeline.

parentTimeToDocumentTime

Converts a value in the element's parent timeline to the corresponding point in the document timeline.

pauseElement

Stops playing an element's timeline at the current point.

resetElement

Removes any changes made to the element and returns the element to its original state.

resumeElement

Restarts the element's timeline from a paused state.

seekActiveTime

Locates a specified point on the element's active timeline and begins playing from that point.

seekTo

Locates a specified point on the element's segment timeline, including repetitions, and begins playing from that point.

seekToFrame

Locates a specified frame in the object.

segmentTimeToActiveTime

Converts a value in the element's segment timeline to the corresponding point in the element's active timeline.

segmentTimeToSimpleTime

Converts a value in the element's segment timeline to the corresponding point in the element's simple timeline.

simpleTimeToSegmentTime

Converts a value in the element's simple timeline to the corresponding point in the element's segment timeline.

Events

onbegin

Fires when the timeline starts on an element.

onend

Fires when the timeline stops on an element.

onmediacomplete

Fires when the element's associated media finish loading.

onmediaerror

Fires when an element's media file causes any error.

onoutofsync

Fires when the element loses synchronization with its associated timeline.

onpause

Fires when the timeline on an element pauses.

onrepeat

Fires when the timeline repeats on an element, beginning with the second iteration.

onreset

Fires when the timeline reaches the value of the BEGIN attribute or when the resetElement method is called on the element.

onresume

Fires when an element's timeline resumes from a paused state.

onreverse

Fires when the timeline on an element begins to play backward.

onseek

Fires whenever a seek operation is performed on the element.

onsyncrestored

Fires when synchronization is resumed between the element and its associated timeline.

ontimeerror

Fires whenever a time-specific error occurs, usually as a result of setting a property to an invalid value.


Animating with keyTimes and keySplines

The timing and animation features provided by HTML+TIME (Timed Interactive Multimedia Extensions) make it easier to add basic animations to Web pages—just set values for a particular property of a target element over a simple duration, and you've created an animation. What's not immediately obvious is that HTML+TIME also incorporates some of the vector-drawing capabilities of the Scalable Vector Graphics (SVG) Non-Microsoft link syntax to provide Web authors with more sophisticated control over timing intervals and paths. Using the keyTimes and keySplines attributes, you can divide an animation element's simple duration into multiple segments, speed up or slow down the animation at multiple rates during a single duration, and specify values for the animation to reach at particular points in its duration. Even better, HTML+TIME makes it possible to use these features without writing script. Animating with keyTimes and keySplines enables you to do the following:

  • Apply spline interpolation to timing segments of an animation. In other words, you can vary the rate at which the animation function calculates the values that drive the animation. This provides much closer control over timing and positioning during animations, but keeps your code remarkably simple.
  • Match time values with Bézier control points to include multiple smooth changes in element motion over the course of a single animation.
  • Use splines to set varied rates of change when animating colors.

Although you can accomplish some of these effects by using script or separate animateMotion elements with the accelerate and decelerate attributes, it quickly becomes difficult to coordinate the timing of the various animation elements. The keyTimes and keySplines attributes provide a more flexible, immediate way to control your animation's interpolation.

  • Prerequisites
  • Terms
  • A Quick Look at Paths and Splines
  • Manage Animation Intervals with keyTimes
  • Use keyTimes with a Values List
  • What is a keySpline?
  • Use keyTimes and keySplines with animateColor
  • Multiple Animations with Multiple Timing Segments
  • Related Topics

Prerequisites

To use this overview most effectively, you should have some understanding of the HTML+TIME?A HREF="../time2/behaviors/time2.html">time2 behavior and Introduction to DHTML Behaviors. Specifically, this overview assumes that you know how to create an Extensible Markup Language (XML) namespace and import and reference the time2 behavior. For more information about how to do this, see Incorporate the time2 Behavior and Authoring HTML+TIME.

Terms

Bézier curve. A curve defined by cubic equations using the coordinates of two endpoints and two control points. Bézier curves are named after mathematician Pierre Bézier. If you've used software with vector-drawing capabilities, like Microsoft?Visio? you've probably used Bézier curves.

Interpolation. An operation that estimates a value of a series or function between two known values. In the context of HTML+TIME, an animation interpolates between given coordinates or color values over a duration.

Scalable Vector Graphics (SVG). A language for describing vector graphics in XML. SVG is currently a World Wide Web Consortium Non-Microsoft link candidate. HTML+TIME's path attribute uses a subset of the SVG path syntax.

Simple duration. The duration of an animation element or time container, as set by the dur property, which distinguishes simple time from individual timing segments within an animation.

Spline. Another term for a curve drawn with Bézier equations. In the context of HTML+TIME, spline might also mean the set of Bézier control points, corresponding to a values list, that define the interval pacing of an animation. A more detailed description of HTML+TIME's implementation of splines follows this section.

Vector Markup Language (VML). An XML-based markup language, supported in Microsoft?Windows?and Microsoft Office 2000, that uses the Cascading Style Sheets (CSS), Level 2 (CSS2) Non-Microsoft link to determine layout. Some of the examples in this overview animate a simple Vector Markup Language (VML) shape for demonstration purposes.

A Quick Look at Paths and Splines

If you know all about splines and are familiar with HTML+TIME's implementation of the Scalable Vector Graphics (SVG) path and spline syntax, you might prefer to skip to the Manage Animation Intervals with keyTimes section, which describes how to use splines for timing intervals with keyTimes and keySplines. If you'd like a quick explanation of splines as they apply to paths and motion, continue reading this section.

To help clarify HTML+TIME's implementation of the keyTimes and keySplines attributes, it's useful to first discuss splines in the context of animating motion and using the path attribute. HTML+TIME implements SVG syntax for paths. The following example animates a DIV element along a line between two points. Remember that any property you animate with HTML+TIME must be explicitly set on the element. You can set the property with a style class, but the examples that follow use inline style settings for simplicity's sake.

<HTML XMLNS:t ="urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time {behavior: url(#default#time2);}
</STYLE>
<?IMPORT namespace="t" implementation="#default#time2">
</HEAD>
<BODY>
<t:ANIMATEMOTION begin="1" dur="3" fill="hold" targetElement="oDiv"
path="M 0 0 L 200 200" />
<DIV id="oDiv" class="time" style="background-color:#FFCC00;
position:absolute;height:40;width:120;top:110;left:10;text-align:center;
font-size:18;border-style:solid">
Moving DIV</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The path attribute starts a new subpath at (0,0) with the absolute "move to" command M, and draws a line to (200,200) with the L command. In much the same way, you could set vertical or horizontal paths, specify multiple values in order to draw polylines, or specify Bézier curves. For detailed information about the PATH attribute, its possible values, and related elements and properties, see HTML+TIME: Animation.

The following example animates the same DIV element along a curved path.

Note For the following examples, the namespace declarations, import statements, and behavior implementations for HTML+TIME and VML are omitted for brevity. If you paste code from the HTML+TIME examples into your document, you must import the namespace and associate it with the time2 behavior.
<t:ANIMATEMOTION begin="1" dur="3" fill="hold" targetElement="oDiv"
path="M 0 0 C 150 0 250 150 250 250" />
<DIV id="oDiv" class="time" style="background-color:#FFCC00;position:absolute;
height:40;width:120;top:110;left:10;text-align:center;font-size:18;
border-style:solid">
Moving DIV</DIV>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

In this case, the PATH attribute draws a cubic Bézier curve from (0,0) to (250,250) using two control points at (150,0) and (250,150). Because the DIV is offset from the top and left by 10 pixels, it finishes the animation's duration at (260,260). Here's a diagram that shows a similar curve with the control points.

Basic arc spline with two endpoints and two control points

In much the same way, you can change the control points to produce a recurved path.

<t:ANIMATEMOTION begin="1" dur="3" fill="hold" targetElement="oDiv"
path="M 0 0 C 0 300 250 0 250 300" />
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Here's the same idea in a diagram showing the control points.

Basic recurve spline with two endpoints and two control points

You can create a similar path by using two curve segments and the corresponding control points. As your curves become more complex, this becomes a more useful strategy. In the following example, the animation begins at (0,0) as before, and animates the DIV along a curve to the endpoint (150,150) using the control points (250,50) and (250,100). The first segment's endpoint becomes the start point of the next segment, which draws another curve between (150,150) and (250,300) using two more control points, (0,200) and (0,250).

<t:ANIMATEMOTION begin="1" dur="3" fill="hold" targetElement="oDiv"
path="M 0 0 C 250 50 250 100 150 150 0 200 0 250 250 300" />
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Manage Animation Intervals with keyTimes

Now that you've acquainted yourself with the basic ideas that govern cubic Bézier curves, you can apply those ideas to timing intervals. In the same way that a spline describes a curve by specifying change in the path between two endpoints over a given range of coordinate values, the keyTimes and keySplines attributes can help you specify change in other values that you want to animate over time—color, speed, position, style, and so on. The following discussion concerns some ways to use keyTimes and keySplines.

Use keyTimes with a Values List

The keyTimes attribute enables you to designate intervals, or timing segments, that subdivide an animation's simple duration. The keyTimes attribute specifies a semicolon-delimited list of time values. These values represent a proportional offset into the simple duration of the animation. When used with calcMode settings of linear or spline, use the following restrictions with keyTimes settings. The first value must be 0; subsequent values must be greater than 0 and less than 1; and the last value must be 1. Each successive time value in the series must be greater than or equal to the preceding time value.

If you use the keyTimes attribute with calcMode set to discrete, the rules are slightly different. The first keyTimes value must be 0; subsequent values must be greater than 0 and less than 1. The last value, however, must be greater than the preceding value, but can be less than 1. This is because the discrete setting for the calcMode attribute specifies that the animation reflects each value in a values list exactly at the corresponding keyTimes value. If you set the last keyTimes value to 1, your animation will only attain the last value in the values list at the time the animation's duration ends—the viewer won't see it.

Keep in mind that if the values you specify for keyTimes do not meet these requirements, the animation either will not work as expected or will not work at all. Similarly, if you use keyTimes with the values attribute, you must specify the same number of values in keyTimes as in the values list. Otherwise, the animation will not work.

Suppose you want to animate the width of a simple vector-drawn shape. Use the values attribute to set a list of values for the shape's width; use the keyTimes list to specify the length of the time segments for each interval between width values during the course of the animation. How the animation interpolates the shape's width during those intervals depends on the value set for the animation's calcMode attribute, which can be set to linear, discrete, or spline. Note that setting calcmode to paced overrides any keyTimes list, since the paced value specifies that the animation interpolate the width at an even pace through the animation's duration.

Note The following example animates a VML shape. Much like HTML+TIME elements, VML elements are defined with an XML namespace that must be declared in your page. For more information about VML, see Vector Markup Language (VML), the Vector Markup Language (VML) Specification Non-Microsoft link, and Introduction to DHTML Behaviors.
<t:ANIMATE id="oAnim" begin="1" dur="5" fill="hold" targetElement="oOval"
attributeName="width" calcMode="linear" values="100; 300; 500"
keyTimes="0;.7; 1" />
<v:oval id="oOval" class="time" fillcolor="red" style="position:absolute;
top:200;left:50;width:100;height:100" />
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

In this example, the keyTimes list divides the animation's duration into two sections: the first, from the start of the animation to 3.5 seconds (or .7 of the duration); the second, from 3.5 seconds to the end at 5 seconds. Notice that the oval widens more quickly toward the end of the duration. Because calcMode is set to linear, the animation uses a linear interpolation to calculate the oval's width during each time segment. During the first segment, the width increases by 200 pixels in 3.5 seconds, but during the second segment, the width increases by 200 pixels in 1.5 seconds, requiring a faster rate of change.

There are several ways to use keyTimes. You might set calcMode to discrete and use the keyTimes list to set specific timing for many quick changes to a particular property during an animation. In this case, keyTimes lets you specify all the timing changes for a single property with a single animation element, helping simplify your markup if you have other complex timelines involved with the same animation. The keyTimes attribute is also useful when you want to begin or end other animation timelines when the property you're animating reaches a certain value. You can associate a value in the values list with a value in the keyTimes list and organize the timing of other animation elements accordingly.

What is a keySpline?

To understand the keySplines property, it's helpful to keep in mind the preceding discussion of Bézier curves and control points. The keySplines property enables you to determine how an animation is interpolated during a time segment. With keySplines, instead of the location coordinates you specify with the PATH attribute, you specify timing coordinates for the pacing of an animation's simple duration. In other words, the values you set for keySplines are the Bézier "control points" for a curve. The curve represents the rate of change in the animation's target attribute over the time segment.

The values you set with keyTimes represent the anchor points of this curve. Because each successive keyTimes value represents a proportional offset into the simple duration of the animation, the key times begin at 0 and end at 1, with 1 representing the whole duration. For this reason, the coordinates of the control points you specify with keySplines must be greater or equal to 0 and less than or equal to 1. Each interval between keyTimes values defines a time segment for which you can set keySplines values, so you'll always have one fewer set of keySplines values than keyTimes values.

Though keyTimes and keySplines determine the interval pacing of the animation, there's one more set of values to keep in mind: the values for the property you want to animate. In the case of an animateMotion element, you could provide these values with the path attribute or with coordinates in a values list. For other animation elements, the values to be interpolated by the animation element appear in the values list. To put it still another way: the values list is the set of "hoops" through which you want the animation to jump. It can jump according to whatever interpolation you set—setting keyTimes and keySplines ensures that your interpolation takes on a certain "shape" (rate of change) between hoops.

Note If you set keySplines on an element without also setting keyTimes, or if you set invalid values for either property, your animation either will not appear or will not reflect your settings.

In the following example, the keySplines settings for a simple straight-line animateMotion element specify that the animation moves quickly at the start of its duration and decelerates toward the end. You can also compare the animation using keySplines to the same animation with calcMode set to linear or discrete.

<t:ANIMATEMOTION id="oAnim" begin="1" dur="5" fill="hold" targetElement="oOval"
calcMode="spline" path="M 0 0 L 500 0" keyTimes="0;1"
keySplines="0 .75 .25 1" />
<v:oval id="oOval" class="time" fillcolor="red"
style="position:absolute;top:180;left:50;width:30;height:30" />
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

In looking at the diagrams that follow, think of the horizontal axis as the pace with which the interpolation proceeds along the timing interval. The vertical axis is the resulting value for the animation's progress, yielded by the function that underlies the keySplines property. Another way of describing this is that the horizontal axis is the input unit time for the interval, and the vertical axis is the output unit time.

Note The following diagrams are reproduced from the World Wide Web Consortium?A HREF="http://www.w3.org/tr/smil20/" TARGET="_top">Synchronized Multimedia Integration Language (SMIL) 2.0 Non-Microsoft link specification.
Example keySplines01 - keySplines of 0 0 1 1 (the default) | Example keySplines02 - keySplines of .5 0 .5 1
keySplines="0???" (the default) | keySplines=".5??5?"
Example keySplines03 - keySplines of 0 .75 .25 1 | Example keySplines04 - keySplines of 1 0 .25 .25
keySplines="0?75?25?" | keySplines="1??25?25"

To see how these values for keySplines affect an animation, click the appropriate buttons in the following example.

This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Use keyTimes and keySplines with animateColor

You can control the interpolation of an animated color property with keyTimes and keySplines just as you can control interpolation with motion animations. Ordinarily, you might use the to, from, or by attributes of animateColor to change the target element's color attribute from one color value to another. The animation then proceeds using linear, discrete, or paced interpolation, depending on the setting you specify for the animateColor element's calcMode attribute. However, you might want to smoothly vary the rate at which the target element's color value is interpolated across the animation's duration. To accomplish this, set one or a combination of several attributes on the animateColor element: either values and keyTimes, or keyTimes and keySplines. The following example uses animateColor to animate a shape's fill color through a series of color values.

Note When you set the values, to, from, or by attributes on an animateColor element, valid attribute values are hexadecimal RGB values or the keywords that represent them (for example, #8A2BE2 or blueviolet).
<v:oval id="oOval" class="time" fillcolor="red"
style="position:absolute;top:120;left:70;width:200;height:200" />
<t:ANIMATECOLOR id="aColor" targetElement="oOval" begin="1" dur="10"
fill="hold" attributeName="fillcolor" calcMode="linear"
values="red;#00FF00;#0000FF" />
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

By setting the keyTimes attribute on aColor, you gain finer control over the timing of the oval's color changes. To make the oval's color change slowly from red to green, and quickly from green to blue, set a shorter timing segment between the values #00FF00 and #0000FF in the keyTimes list.

<v:oval id="oOval" class="time" fillcolor="red"
style="position:absolute;top:120;left:70;width:200;height:200" />
<t:ANIMATECOLOR id="aColor" targetElement="oOval" begin="1" dur="10"
fill="hold" attributeName="fillcolor" calcMode="linear"
values="red;#00FF00;#0000FF" keyTimes="0;.7;1"/>

By adding keySplines to this example, you can change the rate of interpolation for each segment as well as its length. In the following example, the first time segment animates the oval's fill color from red to #00FF00 (lime) over the first seven-tenths of the simple duration; it uses the keySplines values (.75 0 1 .25) to specify that the color change happens slowly at first, then gradually speeds up. At the second segment, from seven-tenths of the duration to the end, the animation uses the keySplines values (0 0 1 1) to animate the fill color from #00FF00 (lime) to #0000FF (blue). Because these values describe a straight line from (0,0) to (1,1), you see a linear interpolation from #00FF00 to #0000FF at the end of the animation. Click the Show Me button to compare the animation using keyTimes and keySplines to discrete and paced animation settings.

<v:oval id="oOval" class="time" fillcolor="red"
style="position:absolute;top:70;left:100;width:200;height:200"/>
<t:ANIMATECOLOR id="aColor" targetElement="oOval" begin="1" dur="10"
fill="hold" attributeName="fillcolor" calcMode="linear"
values="red;#00FF00;#0000FF" keyTimes="0;.7;1"
keySplines=".75 0 1 .25;0 0 1 1"/>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Multiple Animations with Multiple Timing Segments

It's fairly straightforward to make a basic animation more complex by adding further animation elements and timelines. Here's a VML shape animated along a curved path. In this case, keyTimes and keySplines allow smooth acceleration and deceleration of the object to suggest inertia.

<t:ANIMATEMOTION id="o1" begin="0" dur="2.7" targetElement="vm1"
path="M 200 500 C 212.5 200 225 6 287.5 0 325 2 337.5 37 350 125"
calcMode="spline" keyTimes="0;.55;1"
keySplines="0 0.7 0.5 0.9;0.8 0.2 0.7 0.2">
<v:oval id="vm1" class="time" fillcolor="yellow"
style="position:absolute;top:50;left:50;width:10;height:10"/>
</t:ANIMATEMOTION>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

To make this more interesting, add a couple of short animation blocks to change the object's shape and color.

<!-- bang animation for vm1 object -->
<t:ANIMATE id="c1" begin="2.3" dur=".2" calcmode="spline"
targetElement="vm1" attributeName="height" values="5;50" keyTimes="0;1"
keySplines="0 0.6 0.7 1"/>
<t:ANIMATE id="c2" begin="2.3" dur=".2" calcmode="spline"
targetElement="vm1" attributeName="width" values="5;50" keyTimes="0;1"
keySplines="0 0.6 0.7 1"/>
<t:ANIMATECOLOR id="c3" begin="2.3" dur=".2" calcmode="spline"
targetElement="vm1" attributeName="fillcolor" values="yellow;orange"
keyTimes="0;1" keySplines="0 0.6 0.7 1"/>
<t:ANIMATE id="c4" begin="2.5" dur=".2" calcmode="spline"
targetElement="vm1" attributeName="height" values="5;70" keyTimes="0;1"
keySplines="0 0.6 0.7 1"/>
<t:ANIMATE id="c5" begin="2.5" dur=".2" calcmode="spline"
targetElement="vm1" attributeName="width" values="5;70" keyTimes="0;1"
keySplines="0 0.6 0.7 1"/>
<t:ANIMATECOLOR id="c6" begin="2.5" dur=".2" calcmode="spline"
targetElement="vm1" attributeName="fillcolor" values="#FF4500;#FF1493"
keyTimes="0;1" keySplines="0 0.6 0.7 1"/>
This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

After animating the first arc, it's easier to add subsidiary shapes and animations. Though the elements in the example that follow are all grouped in a basic t:PAR time container and use specific begin times, you could also set some of the animation elements to begin relative to other elements, or relative to other events on the page. For example, you might want to play a short animation when the user moves the mouse pointer over part of your table of contents, or when the user clicks a particular part of the page. For more information, see Initiating Timed Elements with the begin Attribute.

Here's a more elaborate version of the preceding examples, with some additional shapes in motion.

This feature requires Microsoft?Internet Explorer 5.5 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Related Topics

  • Introduction to HTML+TIME
  • Spice Up Your Web Pages with HTML+TIME
  • Basics of HTML+TIME Animation


HTML+TIME: Transitions

Introduction to HTML+TIME provides support for Introduction to Filters and Transitions, which enable you to apply multimedia-style effects to your Web pages. Visual filters are extensions to CSS properties that change the display of an object's contents. Transitions are time-varying filters; they affect the way content changes in an object are displayed. You can apply visual filters and transitions to standard HTML controls, such as text containers, images, and other windowless objects. Although filters and transitions can be implemented as script, Introduction to HTML+TIME allows Web authors—without using script—to combine filters and transitions with timeline control and animation.

The following links provide access to the object model exposed by the time2 behavior.

Overviews

Seeking With HTML+TIME

In HTML+TIME (Timed Interactive Multimedia Extensions) various types of media, animation, and other time elements can be played over a period of time. It is often desirable to be able to jump to any point on this time line. This process of jumping to different points on a time element's time line is called seeking.

Using HTML+TIME Transitions

It is now possible to create visual transitions with HTML+TIME easily without any knowledge of scripting.

Using the HTML+TIME Document Object Model (DOM)

All HTML+TIME objects are accessible through script at run time. This article introduces you to the HTML+TIME objects, methods, events, and properties available to your Web pages.

Tutorials

How to Create a Basic HTML+TIME Transition

This tutorial shows you how to use HTML+TIME transitions to allow an element to transition into view and then transition the element out of view. This is an example of using HTML+TIME transitions at a very basic level.

How to Create An Animated Presentation Using HTML+TIME Transitions

This tutorial shows you how to use HTML+TIME transitions to make an animated presentation. This presentation consists of several elements transitioning in and out of view. This is an example of using HTML+TIME transitions to coordinate the transitioning of several elements with one another. No scripting is used.

How to Make a Slide Show Using HTML+TIME Transitions

This tutorial shows you how to create a slide show where each slide transitions into view when the user clicks a "back" or "forward" button. Some scripting is used to transition the appropriate slide into view when the user clicks a button. This is an example of integrating scripting with HTML+TIME transitions to make applications utilizing transitions more dynamic.

How to Make An Animated Menu Using HTML+TIME Transitions

This tutorial shows you how to transition a menu in and out of view using a randomly selected type of HTML+TIME transition. Some scripting is used to enable the user to activate the transition by opening and closing the menu and dynamically changing the type of transition applied to the menu. This is an example of integrating scripting with HTML+TIME transitions to make applications that utilize more dynamic transitions.

Incorporate the time2 Behavior

This tutorial explains how to incorporate the time2 behavior in your Web pages so you can begin using timelines, multimedia, and animation with HTML elements.

Transition Elements and Objects

currTimeState

Contains information about an HTML+TIME timeline.

transitionFilter

Animates the progress of a transition on an element or elements with renderable content.

Attributes and Properties

accelerate

Sets or retrieves a value that applies an acceleration to an element's timeline.

activeDur

Retrieves the total duration of the timeline.

activeTime

Retrieves the current point in time along the total active timeline, including repeats and time spent in reverse mode.

autoReverse

Sets or retrieves whether the timeline on an element begins playing in reverse immediately after completing in the forward direction.

begin

Sets or retrieves the delay time before the timeline begins playing on the element.

by

Specifies a relative offset value for the progress of the transitionFilter.

calcMode

Sets or retrieves the interpolation mode for the progress of the transitionFilter.

decelerate

Sets or retrieves a value that applies a deceleration to the end of a simple duration.

dur

Sets or retrieves a value indicating the amount of time the element remains active or displayed.

dur

Sets or retrieves a value indicating the amount of time a transition is applied to an element.

end

Sets or retrieves a value indicating the end time for the element, or the end of the simple duration when the element is set to repeat.

fill

Sets or retrieves the action an element takes if its timeline ends before the timeline on its parent element ends.

from

Sets or retrieves a progress value indicating the point from which to begin the transition.

isActive

Retrieves a value that indicates whether the element is currently active on the timeline.

isOn

Retrieves a value that specifies whether the element is active or holding on the timeline in its current state.

isPaused

Retrieves a value that specifies whether the element is paused on the timeline.

mode

Sets or retrieves a variable that indicates whether an element transitions in or out.

parentTimeBegin

Retrieves the current element's begin time as an offset from the parent element's begin time.

parentTimeEnd

Retrieves the current element's end time as an offset from the parent element's begin time.

progress

Retrieves the current progress of the element's timeline.

repeatCount

Retrieves the current iteration in the repetition loop.

repeatCount

Sets or retrieves the number of times an element's timeline repeats.

repeatDur

Sets or retrieves the number of seconds that an element's timeline repeats.

restart

Sets or retrieves the conditions under which an element can be restarted on a timeline.

segmentDur

Retrieves the duration of an element on a timeline in seconds, including autoReverse.

segmentTime

Retrieves the current point in time along a segment of time.

simpleDur

Retrieves the duration of a repeat iteration.

simpleTime

Retrieves an object's current point along its timeline from zero to its dur value.

speed

Sets or retrieves the playback speed of an element relative to its parent time container.

speed

Retrieves the playback speed of an element at run time, which includes the cascading effect of the speed set for the parent time container.

state

Retrieves the current state of the element's timeline.

stateString

Retrieves the current state of the element's timeline.

subtype

Sets or retrieves the name of the subtype that will be applied to the transition.

syncBehavior

Sets or retrieves a value that indicates the synchronization rules for the element's timeline.

syncMaster

Sets or retrieves whether the time container must synchronize playback to this element.

syncTolerance

Sets or retrieves the time variance allowed on a timeline with locked synchronization.

timeAction

Sets or retrieves what action is taken on the element while the timeline is active.

timeContainer

Sets or retrieves the type of timeline associated with an element.

timeParent

Retrieves the parent time container element of the current element.

to

Sets or retrieves a value that indicates the point in the transition's progress at which the transition ends.

type

Sets or retrieves the type of transition to be applied.

values

Sets or retrieves a semicolon-separated list of one or more values specifying the progress of the transition.

volume

Sets or retrieves the volume of the media file.

Methods

activeTimeToParentTime

Converts a value in the element's active timeline to the corresponding point in the parent timeline.

activeTimeToSegmentTime

Converts a value in the element's active timeline to the corresponding point in the segment timeline.

beginElement

Starts the element on the timeline.

beginElementAt

Starts an element's timeline at the specified time.

documentTimeToParentTime

Converts a value in the document timeline to the corresponding point in the element's parent timeline.

endElement

Stops the element on the timeline.

endElementAt

Ends an element's timeline at the specified time.

parentTimeToActiveTime

Converts a value in the parent timeline to the corresponding point in the element's active timeline.

parentTimeToDocumentTime

Converts a value in the element's parent timeline to the corresponding point in the document timeline.

pauseElement

Stops playing an element's timeline at the current point.

resetElement

Removes any changes made to the element and returns the element to its original state.

resumeElement

Restarts the element's timeline from a paused state.

seekActiveTime

Locates a specified point on the element's active timeline and begins playing from that point.

seekTo

Locates a specified point on the element's segment timeline, including repetitions, and begins playing from that point.

seekToFrame

Locates a specified frame in the object.

segmentTimeToActiveTime

Converts a value in the element's segment timeline to the corresponding point in the element's active timeline.

segmentTimeToSimpleTime

Converts a value in the element's segment timeline to the corresponding point in the element's simple timeline.

simpleTimeToSegmentTime

Converts a value in the element's simple timeline to the corresponding point in the element's segment timeline.

Events

onbegin

Fires when the timeline starts on an element.

onend

Fires when the timeline stops on an element.

onmediacomplete

Fires when the element's associated media finish loading.

onmediaerror

Fires when an element's media file causes any error.

onoutofsync

Fires when the element loses synchronization with its associated timeline.

onpause

Fires when the timeline on an element pauses.

onrepeat

Fires when the timeline repeats on an element, beginning with the second iteration.

onreset

Fires when the timeline reaches the value of the BEGIN attribute or when the resetElement method is called on the element.

onresume

Fires when an element's timeline resumes from a paused state.

onreverse

Fires when the timeline on an element begins to play backward.

onseek

Fires whenever a seek operation is performed on the element.

onsyncrestored

Fires when synchronization is resumed between the element and its associated timeline.

ontimeerror

Fires whenever a time-specific error occurs, usually as a result of setting a property to an invalid value.


How to Create a Basic HTML+TIME Transition (Internet Explorer - HTML+Time 2)

How to Create a Basic HTML+TIME Transition

This tutorial shows you how to use HTML+TIME (Timed Interactive Multimedia Extensions) transitions to allow an element to transition into view and then transition the element out of view. This is an example of using HTML+TIME transitions at a very basic level. Click the following Show Me button to see the sample you can create.

This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

  • Prerequisites
  • A Quick Look At the Code
  • Setting the Stage
  • Transition into View
  • Transition out of View
  • Related Topics

Prerequisites

This article assumes you know how to use Introduction to DHTML Behaviors, specifically, the time2 behavior of HTML+TIME. This article does not go into great detail on how to add a behavior to your page nor does it cover how to declare a namespace and use custom tags, as required by the time2 behavior. These topics are covered in the HTML+TIME Overview and Spice Up Your Web Pages with HTML+TIME.

A Quick Look At the Code

To start, have a quick look at the code of the entire sample. Later on, this code is explained in greater detail, but for now, it might be useful to have a preview of what is needed to make the sample.

<HTML XMLNS:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
#oDiv
{
border:2px solid black;
font:18pt arial;
padding:20;
color:#000000;
background-color:#FFCC00;
width:270px;
height:270px;
}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
<DIV ID="oDiv" BEGIN="1" CLASS="time" DUR="8">
<t:TRANSITIONFILTER BEGIN="oDiv.begin" DUR="3" TYPE="fade"/>
<t:TRANSITIONFILTER BEGIN="oDiv.end - 3" DUR="3" MODE="out" TYPE="pushWipe"/>
This DIV Transitions In, Stays For Two Seconds, And<br> Then Transitions Out.
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

As you can see, the code is relatively short. Besides the DIV element, there are only two t:TRANSITIONFILTER elements inside of the body of the document. It is these t:TRANSITIONFILTER elements and the attributes inside of them that control the timing and characteristics of the transition that is applied to the DIV element. This tutorial walks through each of the following steps to create the sample.

  1. Write the miscellaneous code needed for the sample to work properly.
    • Write the code that is needed to instantiate the HTML+TIME behavior.
    • Write the formatting code that will be needed by the menu in a STYLE tag.
    • Create the time element that is to be transitioned.
  2. Create the t:TRANSITIONFILTER element that transitions the time element into view.
  3. Create the t:TRANSITIONFILTER element that transitions the time element out of view.

Setting the Stage

  1. To use HTML+TIME elements and use the time2 behavior, the following code is needed.

    <HTML XMLNS:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
</BODY>
</HTML>

    For more information about creating an XML namespace and referencing the time2 behavior, see Authoring HTML+TIME.

  2. Next, we add the formatting code inside of the STYLE tags. The DIV element in this sample derives its formatting from here. By separating formatting code from rendered elements, the functional code is simplified.

    <STYLE>
.time    {behavior: url(#default#time2);}
#oDiv
{
border:2px solid black;
font:18pt arial;
padding:20;
color:#000000;
background-color:#FFCC00;
width:270px;
height:270px;
}
</STYLE>

  3. You must then create an element that you want to transition. For this sample, we use a DIV.

    <DIV id="oDiv" STYLE="width:270" CLASS="time" BEGIN="3" DUR="8">
This DIV Transitions In, Stays For Two Seconds, And Then Transitions Out.
</DIV>

    Let's take a closer look at this DIV. There are a number of features worth mentioning.

    First, the element must have layout in order to have an HTML+TIME transition applied to it. The DIV in this tutorial gains layout by having the width and height specified inside the STYLE tag that you included.
    <STYLE>
#oDiv
{
.
.
width:270px;
height:270px;
.
.
}
</STYLE>

    For more information about what is needed to gain layout, see What Can Be Transitioned?.

    The CLASS attribute is set to time, which applies the time2 behavior to the DIV. This, too, is needed allows the DIV to have the transition applied to it.

    The BEGIN attribute had a value of 3. This means that the element appears three seconds after the page loads.

    The DUR attribute is set to a value of 8 (eight seconds). Because we want to transition the DIV out of view, it must have a finite duration that it is visible. The period of time that the element is visible is known as the active period of the element.

Let's take a look at the sample so far.

<HTML XMLNS:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
#oDiv
{
border:2px solid black;
font:18pt arial;
padding:20;
color:#000000;
background-color:#FFCC00;
width:270px;
height:270px;
}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
<DIV ID="oDiv" BEGIN="1" CLASS="time" DUR="8">
This DIV Transitions In, Stays For Two Seconds, And<br> Then Transitions Out.
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

As you can see, the DIV appears and disappears, but no transitions take place yet. Next, we see how to transition the DIV into view.

Transition into View

The first t:TRANSITIONFILTER in the example controls the DIV transitioning into view.

<DIV id="oDiv" STYLE="width:270" CLASS="time" BEGIN="3" DUR="8" >
<t:TRANSITIONFILTER BEGIN="oDiv.begin" DUR="3" TYPE="fade"/>
This DIV Transitions In, Stays For Two Seconds, And Then Transitions Out.
</DIV>

The BEGIN attribute is set to oDiv.begin. This specifies that the transition element is to begin at the same time as the DIV on the time line. It is important to realize that t:TRANSITIONFILTER elements have a beginning, duration of activity, and end that correspond to the state of the transition. Because the DIV appears to transition from invisible to visible, the t:TRANSITIONFILTER begins at the same time as the DIV. Of course, the t:TRANSITIONFILTER could be started at any time during the active period of the DIV but the results would probably be undesirable.

The DUR attribute specifies how long the t:TRANSITIONFILTER is active. This specifies how long the transition takes to complete. The transition finishes after three seconds; therefore, the DIV becomes fully visible after three seconds. At this point, three seconds of the DIV's total active duration of eight seconds has already expired.

The TYPE attribute specifies the kind of transition that takes place. In this case, the transition fades into view.

Here is the sample so far.

<HTML XMLNS:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
#oDiv
{
border:2px solid black;
font:18pt arial;
padding:20;
color:#000000;
background-color:#FFCC00;
width:270px;
height:270px;
}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
<DIV ID="oDiv" BEGIN="1" CLASS="time" DUR="8">
<t:TRANSITIONFILTER BEGIN="oDiv.begin" DUR="3" TYPE="fade"/>
This DIV Transitions In, Stays For Two Seconds, And<br> Then Transitions Out.
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Transition out of View

The second t:TRANSITIONFILTER in the example controls the DIV transitioning out of view.

<DIV id="oDiv" STYLE="width:270" CLASS="time" BEGIN="3" DUR="8" >
<t:TRANSITIONFILTER BEGIN="oDiv.begin" DUR="3" TYPE="fade"/>
<t:TRANSITIONFILTER BEGIN="oDiv.end - 3" DUR="3" MODE="out" TYPE="pushWipe"/>
This DIV Transitions In, Stays For Two Seconds, And Then Transitions Out.
</DIV>

The MODE attribute is set to out. This attribute specifies whether the DIV becomes more or less visible as the transition proceeds. The value of out specifies that the DIV becomes less visible. A value of in would specify that it becomes more visible. Because in is the default value, the mode attribute did not need to be included in the first t:TRANSITIONFILTER element.

The BEGIN attribute is set to oDiv.begin - 3. This t:TRANSITIONFILTER element begins three seconds before the DIV ends on the time line. The DUR value of this t:TRANSITIONFILTER is three seconds, so the transition ends at the exact same time as the DIV ends. Like the first transition, it is important to get this timing right. For instance, if the t:TRANSITIONFILTER begins too early, the DIV would transition out for a moment, appear again, and then disappear when the active period of the DIV elapsed. If the t:TRANSITIONFILTER starts too late, the DIV would transition out part of the way and then suddenly disappear because the t:TRANSITIONFILTER cannot extend the duration of the DIV. As expected, if the active periods of the t:TRANSITIONFILTER and the DIV do not overlap at all, no transition occurs on the DIV.

Here is the completed sample.

<HTML XMLNS:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
#oDiv
{
border:2px solid black;
font:18pt arial;
padding:20;
color:#000000;
background-color:#FFCC00;
width:270px;
height:270px;
}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
<DIV ID="oDiv" BEGIN="1" CLASS="time" DUR="8">
<t:TRANSITIONFILTER BEGIN="oDiv.begin" DUR="3" TYPE="fade"/>
<t:TRANSITIONFILTER BEGIN="oDiv.begin+5" DUR="3" MODE="out" TYPE="pushWipe"/>
This DIV Transitions In, Stays For Two Seconds, And<br> Then Transitions Out.
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Related Topics

  • Introduction to DHTML Behaviors
  • Introduction to HTML+TIME
  • Spice Up Your Web Pages with HTML+TIME
  • Using HTML+TIME Transitions
  • How to Create An Animated Presentation Using HTML+TIME Transitions
  • How to Make An Animated Menu Using HTML+TIME Transitions
  • How to Make a Slide Show Using HTML+TIME Transitions


How to Create An Animated Presentation Using HTML+TIME Transitions (Internet Explorer - HTML+Time 2)

How to Create An Animated Presentation Using HTML+TIME Transitions

Internet Development Index

This tutorial shows you how to use HTML+TIME (Timed Interactive Multimedia Extensions) transitions to make an animated presentation. This presentation consists of several elements transitioning in and out of view. This is an example of using HTML+TIME transitions to coordinate the transitioning of several elements with one another. No scripting is used. Click the following Show Me button to see the presentation that will be created in this tutorial.

This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

One of the greatest advantages of using HTML+TIME transitions for an application like the preceding is the simplicity of the code. By working through this tutorial, you can discover some basic techniques that enable you to create your own presentations using HTML+TIME transitions.

  • Prerequisites
  • A Quick Look At the Code
  • Setting the Stage
  • Step-by-Step Transitions
  • Notes About This Sample
  • Related Topics

Prerequisites

This article assumes you know how to use Introduction to DHTML Behaviors, specifically, the time2 behavior of HTML+TIME. This article does not go into great detail on how to add a behavior to your page nor does it cover how to declare a namespace and use custom tags, as required by the time2 behavior. These topics are covered in the HTML+TIME Overview and Spice Up Your Web Pages with HTML+TIME. You should have some understanding of HTML+TIME transitions; for an overview, see Using HTML+TIME Transitions.

A Quick Look At the Code

To start, have a quick look at the code of the entire sample. Later on, this code is explained in greater detail, but for now, it might be useful to have a preview of what is needed to make the tutorial sample.

<HTML xmlns:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
.caption
{
font-size:large;
width:300px;
margin-top:20;
margin-bottom:15;
color:gold;
font-weight:bold;
background:#3366CC
}
.showOff
{
width:180px;
height:160px;
padding:10;
background-color:white;
font-size:small;
color:blue;
border-width:3px;
border-style:solid;
border-color:gold;
}
#oContainer
{
background:#3366CC;
border:6px ridge #FFCC99;
padding:10px;
font-family:arial;
color:white;
font-size:x-large;
width:500px;
height:450px;
text-align:center;
}
#oSpan1 {color:gold; width:30px; font-weight:bold; font-size:52pt; background:#3366CC}
#oSpan2 {font-size:large;width:450px; background:#3366CC}
#oSpan3 {text-align:center;color:white;font-size:large;width:450px; background:#3366CC}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
<!-- The oContainer DIV contains all of the content. -->
<DIV ID="oContainer" CLASS="time" DUR="29">
<t:TRANSITIONFILTER ID="oContainerTranIn" MODE="in" BEGIN="oContainer.begin" TYPE="ellipseWipe" DUR="1"/>
<t:TRANSITIONFILTER MODE="out" BEGIN="oContainer.end - 2" TYPE="barnDoorWipe" DUR="2"/>
<!-- When the container DIV transitions out, all of the child elements
transition out with it. -->
Introducing HTML+TIME<BR>
<!-- The transitioning elements appear in the order they appear on the time
line. This SPAN is the first thing to transition in.  -->
<SPAN  ID="oSpan1" BEGIN="oContainerTranIn.end + 1" CLASS="time"  DUR="indefinite">
<t:TRANSITIONFILTER MODE="in" BEGIN="oSpan1.begin" TYPE="barWipe" DUR="2" />
Transitions
</SPAN>
<P><P>
<!-- Next, this SPAN fades in and then fades out -->
<SPAN  ID="oSpan2" BEGIN="oSpan1.begin+3" TIMEACTION="display" CLASS="time" DUR="4">
<t:TRANSITIONFILTER MODE="in" BEGIN="oSpan2.begin" TYPE="fade" DUR="2"  />
<t:TRANSITIONFILTER ID="oSpan2TranOut" MODE="out" BEGIN="oSpan2.end - 1" TYPE="fade" DUR="1"/>
A Fast and Simple way to add visual transitions to your media elements.
</SPAN>
<!-- This SPAN transitions into the same area that oSpan2 was. -->
<SPAN ID="oSpan3" BEGIN="oSpan2TranOut.end" CLASS="time" DUR="indefinite">
<t:TRANSITIONFILTER ID="oSpan2Tran" MODE="in" BEGIN="oSpan3.begin" TYPE="pushWipe" DUR="2" />
All Types of Media Can Be Transitioned Using HTML+TIME Transitions
</SPAN>
<!-- This is the caption to appear over the image. -->
<DIV TIMEACTION="display" CLASS="caption time" DUR="8" ID="oCaption1"
BEGIN="oSpan2Tran.end+1">
<t:TRANSITIONFILTER ID="oCaption1TranIn" MODE="in" BEGIN="oCaption1.begin" TYPE="fade" DUR="2" />
<t:TRANSITIONFILTER MODE="out" BEGIN="oCaption1.end - 2" TYPE="fade" DUR="2" />
Images
</DIV>
<!-- This is the image. It begins at the same time as the caption above it.-->
<t:IMG TIMEACTION="display" CLASS="showOff" DUR="indefinite" ID="oImage" SRC="../common/samples/author/behaviors/media/ART_fruit_2.gif"
BEGIN="oCaption1TranIn.end" END="oCaption1.end">
<t:TRANSITIONFILTER MODE="in" BEGIN="oImage.begin" TYPE="clockWipe" DUR="2" />
<t:TRANSITIONFILTER MODE="out" BEGIN="oImage.end - 2" TYPE="clockWipe" DUR="2" />
</t:img>
<!-- This is the caption to appear over a DIV -->
<DIV timeAction="display" CLASS="caption time" DUR="indefinite" ID="oCaption2"
BEGIN="oCaption1.end + .5">
<t:TRANSITIONFILTER MODE="in" BEGIN="oCaption2.begin" TYPE="fade" DUR="2" />
And More...
</DIV>
<!-- This is the last DIV to transition in. -->
<DIV TIMEACTION="display" CLASS="time showOff" DUR="indefinite" ID="oDiv"
begin="oCaption2.begin + 2">
<t:TRANSITIONFILTER MODE="in" BEGIN="oDiv.begin" TYPE="ellipseWipe" DUR="2" />
<button>Renderable Elements</button>
</DIV>
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Much of the preceding code is inside of the STYLE block. This code is important for this sample to render correctly; it is stored away from the functional elements for clarity. The rest of the code is mostly a collection of DIV and STYLE elements contained inside one DIV. Many of these elements have t:TRANSITIONFILTER elements applied to them. These elements and their corresponding t:TRANSITIONFILTER elements are timed to transition the elements in and out of view one after the other, giving an appearance of a presentation. Notice that no scripting is involved. This tutorial walks through each of the following steps to create the sample.

  1. Write the miscellaneous code needed for the sample to work properly.
    • Write the code that is needed to instantiate the HTML+TIME behavior.
    • Write the formatting code that will be needed by the menu in a STYLE tag.
  2. Build the presentation step by step by demonstrating and discussing the code needed for each transition that occurs on the individual time elements.

Setting the Stage

To use HTML+TIME elements and use the time2 behavior, the following code is needed.

<HTML XMLNS:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
.
.
.
</BODY>
</HTML>

For more information about creating an XML namespace and referencing the time2 behavior, see Authoring HTML+TIME.

Next, add the formatting code inside of the STYLE tags. All of the elements in this sample derive their formatting from here. By separating formatting code from rendered elements, the functional code is simplified.

<STYLE>
.time    {behavior: url(#default#time2);}
.caption
{
font-size:large;
width:300px;
margin-top:20;
margin-bottom:15;
color:gold;
font-weight:bold;
background:#3366CC
}
.showOff
{
width:180px;
height:160px;
padding:10;
background-color:white;
font-size:small;
color:blue;
border-width:3px;
border-style:solid;
border-color:gold;
}
#oContainer
{
background:#3366CC;
border:6px ridge #FFCC99;
padding:10px;
font-family:arial;
color:white;
font-size:x-large;
width:500px;
height:450px;
text-align:center;
}
#oSpan1 {color:gold; width:30px; font-weight:bold; font-size:52pt; background:#3366CC}
#oSpan2 {font-size:large;width:450px; background:#3366CC}
#oSpan3 {text-align:center;color:white;font-size:large;width:450px; background:#3366CC}
</STYLE>

Step-by-Step Transitions

Now I will walk you through each step of building this document. After each step, you can render the code and see the effect.

Make a Container DIV

This sample consists of a larger container DIV (looks like a green chalkboard) that is the background for the display. Inside of this container DIV are several inner timed elements with t:TRANSITIONFILTER elements applied to them that create the display. When the display is over, the container DIV transitions out and ends its active period. All of the inner elements transition out with their parent. Let's first make this container DIV.

<DIV ID="oContainer" CLASS="time" DUR="29">
</DIV>

The DUR attribute is set to 29 seconds; this is the total duration of the presentation.

The DIV must have layout in order to have an HTML+TIME transition applied to it. This DIV gains layout by having its width and height specified from the upper STYLE tag.

#oContainer
{
.
.
width:500px;
height:450;
.
.
}

All of the elements that are transitioned in this sample gain layout in this way. For more information about what is needed to gain layout, see What Can Be Transitioned?.

To transition this element into view, we apply a t:TRANSITIONFILTER to the DIV with a MODE attribute value of in. Note that the value of in did not have to be included because this is the default value. It is included merely for clarity.

<!-- The oContainer DIV contains all of the content. -->
<DIV ID="oContainer" CLASS="time" DUR="29">
<t:TRANSITIONFILTER ID="oContainerTranIn" MODE="in" BEGIN="oContainer.begin"
TYPE="ellipseWipe" DUR="1"/>
<!-- When the container DIV transitions out, all of the child elements
transition out with it. -->
</DIV>

Notice that the BEGIN attribute for the t:TRANSITIONFILTER directly specifies the beginning time of the element that the t:TRANSITIONFILTER is applied to.

<!-- The oContainer DIV contains all of the content. -->
<DIV ID="oContainer" CLASS="time" DUR="29">
<t:TRANSITIONFILTER ID="oContainerTranIn" MODE="in" BEGIN="oContainer.begin"
TYPE="ellipseWipe" DUR="1"/>
<!-- When the container DIV transitions out, all of the child elements
transition out with it. -->
</DIV>

This is a clear and simple way to coordinate the beginning of a t:TRANSITIONFILTER to the beginning of the transition element that is being transitioned into view and is used throughout the sample.

To transition this element out of view, we apply a second t:TRANSITIONFILTER to the DIV with a MODE attribute value of out.

<!-- The oContainer DIV contains all of the content. -->
<DIV ID="oContainer" CLASS="time" DUR="29">
<t:TRANSITIONFILTER ID="oContainerTranIn" MODE="in" BEGIN="oContainer.begin"
TYPE="ellipseWipe" DUR="1"/>
<t:TRANSITIONFILTER MODE="out" BEGIN="oContainer.end - 2" TYPE="barnDoorWipe"
DUR="2"/>
<!-- When the container DIV transitions out, all of the child elements
transition out with it. -->
</DIV>

This t:TRANSITIONFILTER begins 2 seconds before the container ends.

BEGIN="oContainer.end - 2"

We do this because the duration for the t:TRANSITIONFILTER as specified by the DUR attribute is set to a value of two. This facilitates a complete transition out that ends exactly when the active period of the container DIV ends. By timing the elements this way, the transition out appears as a smooth transition from visible to invisible. This same type of timing is done on all of the elements that transition out of view in this sample.

Let's take a look at the sample so far.

Note Code that corresponds to the last step in the tutorial is surrounded by comments in bold.
<HTML xmlns:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
.caption
{
font-size:large;
width:300px;
margin-top:20;
margin-bottom:15;
color:gold;
font-weight:bold;
background:#3366CC
}
.showOff
{
width:180px;
height:160px;
padding:10;
background-color:white;
font-size:small;
color:blue;
border-width:3px;
border-style:solid;
border-color:gold;
}
#oContainer
{
background:#3366CC;
border:6px ridge #FFCC99;
padding:10px;
font-family:arial;
color:white;
font-size:x-large;
width:500px;
height:450px;
text-align:center;
}
#oSpan1 {color:gold; width:30px; font-weight:bold; font-size:52pt; background:#3366CC}
#oSpan2 {font-size:large;width:450px; background:#3366CC}
#oSpan3 {text-align:center;color:white;font-size:large;width:450px; background:#3366CC}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
<!-- Here is the code of the last step -->
<!-- The oContainer DIV contains all of the content. -->
<DIV ID="oContainer" CLASS="time" DUR="29">
<t:TRANSITIONFILTER ID="oContainerTranIn" MODE="in" BEGIN="oContainer.begin"
TYPE="ellipseWipe" DUR="1"/>
<t:TRANSITIONFILTER MODE="out" BEGIN="oContainer.end - 2" TYPE="barnDoorWipe"
DUR="2"/>
<!-- When the container DIV transitions out, all of the child elements
transition out with it. -->
</DIV>
<!-- End of the code of the last step -->
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Make the Heading Text

Next, add the elements inside of the container DIV that display initially.

Introducing HTML+TIME<BR>
<!-- The transitioning elements appear in the order they appear on the time
line. This SPAN is the first thing to transition in.  -->
<SPAN  ID="oSpan1" BEGIN="oContainerTranIn.end + 1" CLASS="time"
DUR="indefinite">
<t:TRANSITIONFILTER MODE="in" BEGIN="oSpan1.begin" TYPE="barWipe" DUR="2" />
Transitions
</SPAN>

The HTML code stays visible throughout the display so no t:TRANSITIONFILTER with a MODE value of out is needed. Notice that the BEGIN attribute for the t:TRANSITIONFILTER references the end of the t:TRANSITIONFILTER that transitions the previous element into view.

<DIV ID="oContainer" CLASS="time" DUR="29">
<t:TRANSITIONFILTER ID="oContainerTranIn" MODE="in" BEGIN="oContainer.begin"
TYPE="ellipseWipe" DUR="1"/>
<t:TRANSITIONFILTER MODE="out" BEGIN="oContainer.end - 2" TYPE="barnDoorWipe"
DUR="2"/>
Introducing HTML+TIME<BR>
<!-- The transitioning elements appear in the order they appear on the time
line. This SPAN is the first thing to transition in.  -->
<SPAN  ID="oSpan1" BEGIN="oContainerTranIn.end + 1" CLASS="time"
DUR="indefinite">
<t:TRANSITIONFILTER MODE="in" BEGIN="oSpan1.begin" TYPE="barWipe" DUR="2" />
Transitions
</SPAN>

This is a convenient way to time an element's begin time in relation to the active period of a t:TRANSITIONFILTER element, rather than just the active periods of rendered timed elements. In this case, the next element begins just as the previous element finishes transitioning into view.

Let's take a look at the sample after the step.

<HTML xmlns:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
.caption
{
font-size:large;
width:300px;
margin-top:20;
margin-bottom:15;
color:gold;
font-weight:bold;
background:#3366CC
}
.showOff
{
width:180px;
height:160px;
padding:10;
background-color:white;
font-size:small;
color:blue;
border-width:3px;
border-style:solid;
border-color:gold;
}
#oContainer
{
background:#3366CC;
border:6px ridge #FFCC99;
padding:10px;
font-family:arial;
color:white;
font-size:x-large;
width:500px;
height:450px;
text-align:center;
}
#oSpan1 {color:gold; width:30px; font-weight:bold; font-size:52pt; background:#3366CC}
#oSpan2 {font-size:large;width:450px; background:#3366CC}
#oSpan3 {text-align:center;color:white;font-size:large;width:450px; background:#3366CC}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
<!-- The oContainer DIV contains all of the content. -->
<DIV ID="oContainer" CLASS="time" DUR="29">
<t:TRANSITIONFILTER ID="oContainerTranIn" MODE="in" BEGIN="oContainer.begin"
TYPE="ellipseWipe" DUR="1"/>
<t:TRANSITIONFILTER MODE="out" BEGIN="oContainer.end - 2" TYPE="barnDoorWipe"
DUR="2"/>
<!-- When the container DIV transitions out, all of the child elements
transition out with it. -->
<!-- Here is the code of the last step -->
Introducing HTML+TIME<BR>
<!-- The transitioning elements appear in the order they appear on the time
line. This SPAN is the first thing to transition in.  -->
<SPAN  ID="oSpan1" BEGIN="oContainerTranIn.end + 1" CLASS="time"
DUR="indefinite">
<t:TRANSITIONFILTER MODE="in" BEGIN="oSpan1.begin" TYPE="barWipe" DUR="2" />
Transitions
</SPAN>
<!-- End of the code of the last step -->
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Make the ''A Fast and Simple way...'' SPAN

Next, a span with some text is displayed. The span displays only for a moment and then transitions out of view.

<P><P>
<!-- Next, this SPAN fades in and then fades out -->
<SPAN  ID="oSpan2" BEGIN="oSpan1.begin+3" TIMEACTION="display" CLASS="time"
DUR="4">
<t:TRANSITIONFILTER MODE="in" BEGIN="oSpan2.begin" TYPE="fade" DUR="2"/>
<t:TRANSITIONFILTER ID="oSpan2TranOut" MODE="out" BEGIN="oSpan2.end - 1"
TYPE="fade" DUR="1"/>
A Fast and Simple way to add visual transitions to your media elements.
</SPAN>

Let's take a look at the sample after the step.

<HTML xmlns:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
.caption
{
font-size:large;
width:300px;
margin-top:20;
margin-bottom:15;
color:gold;
font-weight:bold;
background:#3366CC
}
.showOff
{
width:180px;
height:160px;
padding:10;
background-color:white;
font-size:small;
color:blue;
border-width:3px;
border-style:solid;
border-color:gold;
}
#oContainer
{
background:#3366CC;
border:6px ridge #FFCC99;
padding:10px;
font-family:arial;
color:white;
font-size:x-large;
width:500px;
height:450px;
text-align:center;
}
#oSpan1 {color:gold; width:30px; font-weight:bold; font-size:52pt; background:#3366CC}
#oSpan2 {font-size:large;width:450px; background:#3366CC}
#oSpan3 {text-align:center;color:white;font-size:large;width:450px; background:#3366CC}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
<!-- The oContainer DIV contains all of the content. -->
<DIV ID="oContainer" CLASS="time" DUR="29">
<t:TRANSITIONFILTER ID="oContainerTranIn" MODE="in" BEGIN="oContainer.begin"
TYPE="ellipseWipe" DUR="1"/>
<t:TRANSITIONFILTER MODE="out" BEGIN="oContainer.end - 2" TYPE="barnDoorWipe"
DUR="2"/>
<!-- When the container DIV transitions out, all of the child elements
transition out with it. -->
<DIV ALIGN="center">
Introducing HTML+TIME<BR>
<!-- The transitioning elements appear in the order they appear on the time
line. This SPAN is the first thing to transition in.  -->
<SPAN  ID="oSpan1" BEGIN="oContainerTranIn.end + 1" CLASS="time"
DUR="indefinite">
<t:TRANSITIONFILTER MODE="in" BEGIN="oSpan1.begin" TYPE="barWipe" DUR="2" />
Transitions
</SPAN>
<!-- Here is the code of the last step -->
<P><P>
<!-- Next, this SPAN fades in and then fades out -->
<SPAN  ID="oSpan2" BEGIN="oSpan1.begin+3" TIMEACTION="display" CLASS="time"
DUR="4">
<t:TRANSITIONFILTER MODE="in" BEGIN="oSpan2.begin" TYPE="fade" DUR="2"/>
<t:TRANSITIONFILTER ID="oSpan2TranOut" MODE="out" BEGIN="oSpan2.end - 1"
TYPE="fade" DUR="1"/>
A Fast and Simple way to add visual transitions to your media elements.
</SPAN>
<!-- End of the code of the last step -->
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Make the ''All Types of Media...'' SPAN

Once the oSpan2?A HREF="../objects/span.html">SPAN transitions out, another SPAN transitions into the same place as oSpan2 was.

<!-- This SPAN transitions into the same area that oSpan2 was. -->
<SPAN ID="oSpan3" BEGIN="oSpan2TranOut.end" CLASS="time" DUR="indefinite">
<t:TRANSITIONFILTER ID="oSpan2Tran" MODE="in" BEGIN="oSpan3.begin"
TYPE="pushWipe" DUR="2" />
All Types of Media Can Be Transitioned Using HTML+TIME Transitions
</SPAN>

Let's take a look at the sample after the step.

<HTML xmlns:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
.caption
{
font-size:large;
width:300px;
margin-top:20;
margin-bottom:15;
color:gold;
font-weight:bold;
background:#3366CC
}
.showOff
{
width:180px;
height:160px;
padding:10;
background-color:white;
font-size:small;
color:blue;
border-width:3px;
border-style:solid;
border-color:gold;
}
#oContainer
{
background:#3366CC;
border:6px ridge #FFCC99;
padding:10px;
font-family:arial;
color:white;
font-size:x-large;
width:500px;
height:450px;
text-align:center;
}
#oSpan1 {color:gold; width:30px; font-weight:bold; font-size:52pt; background:#3366CC}
#oSpan2 {font-size:large;width:450px; background:#3366CC}
#oSpan3 {text-align:center;color:white;font-size:large;width:450px; background:#3366CC}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
<!-- The oContainer DIV contains all of the content. -->
<DIV ID="oContainer" CLASS="time" DUR="29">
<t:TRANSITIONFILTER ID="oContainerTranIn" MODE="in" BEGIN="oContainer.begin"
TYPE="ellipseWipe" DUR="1"/>
<t:TRANSITIONFILTER MODE="out" BEGIN="oContainer.end - 2" TYPE="barnDoorWipe"
DUR="2"/>
<!-- When the container DIV transitions out, all of the child elements
transition out with it. -->
Introducing HTML+TIME<BR>
<!-- The transitioning elements appear in the order they appear on the time
line. This SPAN is the first thing to transition in.  -->
<SPAN  ID="oSpan1" BEGIN="oContainerTranIn.end + 1" CLASS="time"
DUR="indefinite">
<t:TRANSITIONFILTER MODE="in" BEGIN="oSpan1.begin" TYPE="barWipe" DUR="2" />
Transitions
</SPAN>
<P><P>
<!-- Next, this SPAN fades in and then fades out -->
<SPAN  ID="oSpan2" BEGIN="oSpan1.begin+3" TIMEACTION="display" CLASS="time"
DUR="4">
<t:TRANSITIONFILTER MODE="in" BEGIN="oSpan2.begin" TYPE="fade" DUR="2"/>
<t:TRANSITIONFILTER ID="oSpan2TranOut" MODE="out" BEGIN="oSpan2.end - 1"
TYPE="fade" DUR="1"/>
A Fast and Simple way to add visual transitions to your media elements.
</SPAN>
<!-- Here is the code of the last step -->
<!-- This SPAN transitions into the same area that oSpan2 was. -->
<SPAN ID="oSpan3" BEGIN="oSpan2TranOut.end" CLASS="time" DUR="indefinite">
<t:TRANSITIONFILTER ID="oSpan2Tran" MODE="in" BEGIN="oSpan3.begin" TYPE="pushWipe" DUR="2" />
All Types of Media Can Be Transitioned Using HTML+TIME Transitions
</SPAN>
<!-- End of the code of the last step  -->
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Create the image and its Caption

An image with a caption above it is displayed next. Other elements appear in the same space as these elements, so these elements each have t:TRANSITIONFILTER elements assigned to them to transition the elements out of view.

<!-- This is the caption to appear over the image. -->
<DIV TIMEACTION="display" CLASS="caption time" DUR="8" ID="oCaption1"
BEGIN="oSpan2Tran.end+1">
<t:TRANSITIONFILTER ID="oCaption1TranIn" MODE="in" BEGIN="oCaption1.begin"
TYPE="fade" DUR="2" />
<t:TRANSITIONFILTER MODE="out" BEGIN="oCaption1.end - 2" TYPE="fade" DUR="2"/>
Images
</DIV>
<!-- This is the image. It begins at the same time as the caption above
it. -->
<t:IMG TIMEACTION="display" CLASS="showOff" DUR="indefinite" ID="oImage" SRC="../common/samples/author/behaviors/media/ART_fruit_2.gif"
BEGIN="oCaption1TranIn.end" END="oCaption1.end">
<t:TRANSITIONFILTER MODE="in" BEGIN="oImage.begin" TYPE="clockWipe" DUR="2"/>
<t:TRANSITIONFILTER MODE="out" BEGIN="oImage.end - 2" TYPE="clockWipe" DUR="2"/>
</t:img>

Let's take a look at the sample after the step.

<HTML xmlns:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
.caption
{
font-size:large;
width:300px;
margin-top:20;
margin-bottom:15;
color:gold;
font-weight:bold;
background:#3366CC
}
.showOff
{
width:180px;
height:160px;
padding:10;
background-color:white;
font-size:small;
color:blue;
border-width:3px;
border-style:solid;
border-color:gold;
}
#oContainer
{
background:#3366CC;
border:6px ridge #FFCC99;
padding:10px;
font-family:arial;
color:white;
font-size:x-large;
width:500px;
height:450px;
text-align:center;
}
#oSpan1 {color:gold; width:30px; font-weight:bold; font-size:52pt; background:#3366CC}
#oSpan2 {font-size:large;width:450px; background:#3366CC}
#oSpan3 {text-align:center;color:white;font-size:large;width:450px; background:#3366CC}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
<!-- The oContainer DIV contains all of the content. -->
<DIV ID="oContainer" CLASS="time" DUR="29">
<t:TRANSITIONFILTER ID="oContainerTranIn" MODE="in" BEGIN="oContainer.begin"
TYPE="ellipseWipe" DUR="1"/>
<t:TRANSITIONFILTER MODE="out" BEGIN="oContainer.end - 2" TYPE="barnDoorWipe"
DUR="2"/>
<!-- When the container DIV transitions out, all of the child elements
transition out with it. -->
<CENTER>Introducing HTML+TIME<BR>
<!-- The transitioning elements appear in the order they appear on the time
line. This SPAN is the first thing to transition in.  -->
<SPAN  ID="oSpan1" BEGIN="oContainerTranIn.end + 1" CLASS="time"
DUR="indefinite">
<t:TRANSITIONFILTER MODE="in" BEGIN="oSpan1.begin" TYPE="barWipe" DUR="2" />
Transitions
</SPAN>
<P><P>
<!-- Next, this SPAN fades in and then fades out -->
<SPAN  ID="oSpan2" BEGIN="oSpan1.begin+3" TIMEACTION="display" CLASS="time"
DUR="4">
<t:TRANSITIONFILTER MODE="in" BEGIN="oSpan2.begin" TYPE="fade" DUR="2"/>
<t:TRANSITIONFILTER ID="oSpan2TranOut" MODE="out" BEGIN="oSpan2.end - 1"
TYPE="fade" DUR="1"/>
A Fast and Simple way to add visual transitions to your media elements.
</SPAN>
<!-- This SPAN transitions into the same area that oSpan2 was. -->
<SPAN ID="oSpan3" BEGIN="oSpan2TranOut.end" CLASS="time" DUR="indefinite">
<t:TRANSITIONFILTER ID="oSpan2Tran" MODE="in" BEGIN="oSpan3.begin"
TYPE="pushWipe" DUR="2" />
All Types of Media Can Be Transitioned Using HTML+TIME Transitions
</SPAN>
<!-- Here is the code of the last step -->
<!-- This is the caption to appear over the image. -->
<DIV TIMEACTION="display" CLASS="caption time" DUR="8" ID="oCaption1"
BEGIN="oSpan2Tran.end+1">
<t:TRANSITIONFILTER ID="oCaption1TranIn" MODE="in" BEGIN="oCaption1.begin"
TYPE="fade" DUR="2" />
<t:TRANSITIONFILTER MODE="out" BEGIN="oCaption1.end - 2" TYPE="fade" DUR="2"/>
Images
</DIV>
<!-- This is the image. It begins at the same time as the caption above
it. -->
<t:IMG TIMEACTION="display" CLASS="showOff" DUR="indefinite" ID="oImage" SRC="../common/samples/author/behaviors/media/ART_fruit_2.gif"
BEGIN="oCaption1TranIn.end" END="oCaption1.end">
<t:TRANSITIONFILTER MODE="in" BEGIN="oImage.begin" TYPE="clockWipe" DUR="2"/>
<t:TRANSITIONFILTER MODE="out" BEGIN="oImage.end - 2" TYPE="clockWipe" DUR="2"/>
</t:img>
<!-- End of the code of the last step -->
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Create the Display DIV with its Caption

A display DIV with a caption over it transitions into the same place as the last elements. Shortly after these elements transition in, the container DIV transitions out and ends its time line. Naturally, all inner elements still visible transition out with their parent.

<!-- This is the caption to appear over a DIV -->
<DIV timeAction="display" CLASS="caption time" DUR="indefinite" ID="oCaption2"
BEGIN="oCaption1.end + .5">
<t:TRANSITIONFILTER MODE="in" BEGIN="oCaption2.begin" TYPE="fade" DUR="2"/>
And More...
</DIV>
<!-- This is the last DIV to transition in. -->
<DIV TIMEACTION="display" CLASS="time showOff" DUR="indefinite" ID="oDiv"
begin="oCaption2.begin + 2" />
<t:TRANSITIONFILTER MODE="in" BEGIN="oDiv.begin" TYPE="ellipseWipe" DUR="2"/>
Renderable Elements
</DIV>
</CENTER>

Let's take a look at the completed sample.

<HTML xmlns:t = "urn:schemas-microsoft-com:time">
<HEAD>
<HTML xmlns:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
.caption
{
font-size:large;
width:300px;
margin-top:20;
margin-bottom:15;
color:gold;
font-weight:bold;
background:#3366CC
}
.showOff
{
width:180px;
height:160px;
padding:10;
background-color:white;
font-size:small;
color:blue;
border-width:3px;
border-style:solid;
border-color:gold;
}
#oContainer
{
background:#3366CC;
border:6px ridge #FFCC99;
padding:10px;
font-family:arial;
color:white;
font-size:x-large;
width:500px;
height:450px;
text-align:center;
}
#oSpan1 {color:gold; width:30px; font-weight:bold; font-size:52pt; background:#3366CC}
#oSpan2 {font-size:large;width:450px; background:#3366CC}
#oSpan3 {text-align:center;color:white;font-size:large;width:450px; background:#3366CC}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
<!-- The oContainer DIV contains all of the content. -->
<DIV ID="oContainer" CLASS="time" DUR="29">
<t:TRANSITIONFILTER ID="oContainerTranIn" MODE="in" BEGIN="oContainer.begin"
TYPE="ellipseWipe" DUR="1"/>
<t:TRANSITIONFILTER MODE="out" BEGIN="oContainer.end - 2" TYPE="barnDoorWipe"
DUR="2"/>
<!-- When the container DIV transitions out, all of the child elements
transition out with it. -->
Introducing HTML+TIME<BR>
<!-- The transitioning elements appear in the order they appear on the time
line. This SPAN is the first thing to transition in.  -->
<SPAN  ID="oSpan1" BEGIN="oContainerTranIn.end + 1" CLASS="time"
DUR="indefinite">
<t:TRANSITIONFILTER MODE="in" BEGIN="oSpan1.begin" TYPE="barWipe" DUR="2" />
Transitions
</SPAN>
<P><P>
<!-- Next, this SPAN fades in and then fades out -->
<SPAN  ID="oSpan2" BEGIN="oSpan1.begin+3" TIMEACTION="display" CLASS="time"
DUR="4">
<t:TRANSITIONFILTER MODE="in" BEGIN="oSpan2.begin" TYPE="fade" DUR="2"/>
<t:TRANSITIONFILTER ID="oSpan2TranOut" MODE="out" BEGIN="oSpan2.end - 1"
TYPE="fade" DUR="1"/>
A Fast and Simple way to add visual transitions to your media elements.
</SPAN>
<!-- This SPAN transitions into the same area that oSpan2 was. -->
<SPAN ID="oSpan3" BEGIN="oSpan2TranOut.end" CLASS="time" DUR="indefinite">
<t:TRANSITIONFILTER ID="oSpan2Tran" MODE="in" BEGIN="oSpan3.begin"
TYPE="pushWipe" DUR="2" />
All Types of Media Can Be Transitioned Using HTML+TIME Transitions
</SPAN>
<!-- This is the caption to appear over the image. -->
<DIV TIMEACTION="display" CLASS="caption time" DUR="8" ID="oCaption1"
BEGIN="oSpan2Tran.end+1">
<t:TRANSITIONFILTER ID="oCaption1TranIn" MODE="in" BEGIN="oCaption1.begin"
TYPE="fade" DUR="2" />
<t:TRANSITIONFILTER MODE="out" BEGIN="oCaption1.end - 2" TYPE="fade" DUR="2"/>
Images
</DIV>
<!-- This is the image. It begins at the same time as the caption above
it. -->
<t:IMG TIMEACTION="display" CLASS="showOff" DUR="indefinite" ID="oImage" SRC="../common/samples/author/behaviors/media/ART_fruit_2.gif"
BEGIN="oCaption1TranIn.end" END="oCaption1.end">
<t:TRANSITIONFILTER MODE="in" BEGIN="oImage.begin" TYPE="clockWipe" DUR="2"/>
<t:TRANSITIONFILTER MODE="out" BEGIN="oImage.end - 2" TYPE="clockWipe" DUR="2"/>
</t:img>
<!-- Here is the code of the last step -->
<!-- This is the caption to appear over a DIV -->
<DIV timeAction="display" CLASS="caption time" DUR="indefinite" ID="oCaption2"
BEGIN="oCaption1.end + .5">
<t:TRANSITIONFILTER MODE="in" BEGIN="oCaption2.begin" TYPE="fade" DUR="2"/>
And More...
</DIV>
<!-- This is the last DIV to transition in. -->
<DIV TIMEACTION="display" CLASS="time showOff" DUR="indefinite" ID="oDiv"
begin="oCaption2.begin + 2">
<t:TRANSITIONFILTER MODE="in" BEGIN="oDiv.begin" TYPE="ellipseWipe" DUR="2" />
<button>Renderable Elements</button>
</DIV>
<!-- End of the code of the last step -->
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Notes About This Sample

There are two important notes to make about this sample.

First, as already mentioned, all the elements of this sample gain their layout by having their widths and/or heights specified. Alternatively, these elements could have had layout by giving their position property a value of absolute or relative. Doing this can be a convenient way to position elements exactly where you want them. However, there is a trade-off by doing this. Positioning elements in this way takes them out of the flow of the document, and these elements no longer transition with their parent elements. For this sample, this would mean that each inner positioned element would have to be transitioned out independently of the parent. Rather than have these extra transition elements, this sample used other formatting attributes and elements to provide proper positioning such as margins, padding, P tags, and so forth.

Secondly, you may have noticed the following attribute in some of the elements.

TIMEACTION="display"

The timeAction property determines what action is taken on the element while the time line is active. This attribute was included in elements that transitioned out of view and would have another element transition into the same area. A value of display specifies that as the element changes between active and inactive states, the surrounding HTML elements dynamically reflow within the page. Without this, the new element would render as though the inactive element were still there and would not transition into the same area.

Related Topics

  • Introduction to DHTML Behaviors
  • Introduction to HTML+TIME
  • Spice Up Your Web Pages with HTML+TIME
  • Using HTML+TIME Transitions
  • How to Create a Basic HTML+TIME Transition
  • How to Make An Animated Menu Using HTML+TIME Transitions
  • How to Make a Slide Show Using HTML+TIME Transitions


How to Make An Animated Menu Using HTML+TIME Transitions (Internet Explorer - HTML+Time 2)

How to Make An Animated Menu Using HTML+TIME Transitions

This tutorial shows you how to transition a menu in and out of view using a randomly selected type of HTML+TIME (Timed Interactive Multimedia Extensions) transition. Some scripting is used to enable the user to activate the transition by opening and closing the menu and dynamically changing the type of transition applied to the menu. This is an example of integrating scripting with HTML+TIME transitions to make applications that utilize more dynamic transitions. Click the following Show Me button to see the application that is created in this tutorial.

This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The following topics are discussed in this document.

  • Prerequisites
  • A Quick Look at the Code and Tutorial Outline
  • Setting the Stage
  • Setting Up the Menu
  • Setting Up the BODY tag
  • Opening the Menu
  • Closing the Menu
  • Summary
  • Related Topics

Prerequisites

This article assumes you know how to use Introduction to DHTML Behaviors, specifically, the time2 behavior of HTML+TIME. This article does not go into great detail on how to add a behavior to your page nor does it cover how to declare a namespace and use custom tags, as required by the time2 behavior. These topics are covered in the HTML+TIME Overview and Spice Up Your Web Pages with HTML+TIME. For some understanding of HTML+TIME transitions, see Using HTML+TIME Transitions. In addition, you are expected to be familiar with Dynamic HTML (DHTML).

A Quick Look at the Code and Tutorial Outline

To start, have a quick look at the code of the entire sample. Later on, this code is explained in greater detail, but for now, it might be useful to have a preview of what is needed to make the tutorial sample.

<HTML xmlns:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time {behavior: url(#default#time2);}
.menu {height:45;font-size:14pt;}
.inner {padding:10;padding-left:30;}
#oContainer
{
background:threedface;
cursor:hand;
border-style:outset;
width:200;
height:180;
position:absolute;
}
#oButton
{
position:absolute;
top:40;
left:40;
width:200;
height:30;
text-align:center;
}
</STYLE>
<SCRIPT>
// Function applies transition types to menu as well as begin the menu
// and transitionFilters associated with it on the time line.
function fnShowMenu()
{
// Set x and y coordinates of the absolutely positioned menu DIV.
oContainer.style.left = event.x;
oContainer.style.top = event.y;
// The code inside this if block is used to display the menu.
if (oContainer.currTimeState.isActive == false)
{
// The oTransitionInfo object is created, which has random values
// for properties created by the fnSetType function.
var oTransitionInfo = fnSetType();
// Assign values to TYPE and SUBTYPE properties of "in" TRANSITIONFILTER.
oTran.type = oTransitionInfo.type;
oTran.subType = oTransitionInfo.SubType
// Begins Menu container DIV on the time line.
oContainer.beginElement();
}
return false;
}
// The purpose of this function is to apply a new TYPE and SUBTYPE to the
// TRANSITIONFILTER element that transitions the menu out of view.
function fnHideMenu()
{
if (oContainer.currTimeState.isActive == true)
{
var oTransitionInfo = fnSetType();
oTranOut.type = oTransitionInfo.type;
oTranOut.subType = oTransitionInfo.subType;
}
}
// This function returns random values to assign to the TYPE and SUBTYPE
// properties.
function fnSetType()
{
// Create a random value between 1 and 10
var randomNumber = (Math.random() * 10);
randomNumber = Math.ceil(randomNumber);
var sType, sSubType;
switch(randomNumber)
{
case 1:
sType = "barWipe";
sSubType = "topToBottom";
break;
case 2:
sType = "barnDoorWipe";
sSubType = "horizontal";
break;
case 3:
sType = "barnDoorWipe";
break;
case 4:
sType = "snakeWipe";
break;
case 5:
sType = "irisWipe";
break;
case 6:
sType = "pushWipe";
break;
case 7:
sType = "ellipseWipe";
break;
case 8:
sType = "fanWipe";
break;
case 9:
sType = "fade";
break;
case 10:
sType = "clockWipe";
break;
}
// Create the object that will store the values that will be returned.
var oTransitionInfo = new Object();
oTransitionInfo.type = sType;
oTransitionInfo.subType = sSubType;
return oTransitionInfo;
}
// Hilite function is only used to hilite menu selections on mousover.
function Hilite(obj)
{
obj.style.color = "highlighttext";
obj.style.background = 'highlight';
obj.style.border = '1px solid threedhighlight';
obj.style.borderTop = '1px solid threedshadow';
obj.style.borderLeft = '1px solid threedshadow';
}
// Restore function is only used to undo the effects of the Hilite function
// on mouseleave.
function Restore(obj)
{
obj.style.color  = '';
obj.style.background  = 'threedface';
obj.style.border = '1px solid threedface';
}
</SCRIPT>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY onclick="fnHideMenu();" oncontextmenu="return fnShowMenu()" style="background-color:slategray" ID="oBody">
<!-- This DIV (the menu) ends .3 seconds after the document body is clicked.
as specified by the END attribute.  -->
<DIV ID="oContainer" CLASS="time" BEGIN="indefinite" END="oBody.click+.3"">
<t:TRANSITIONFILTER ID="oTran" BEGIN="oContainer.begin" DUR=".3"/>
<t:TRANSITIONFILTER ID="oTranOut" MODE="out"  BEGIN="oContainer.end - .3" DUR=".3"/>
<DIV onmouseover="Hilite(this);" onmouseout="Restore(this);" CLASS="menu" >
<DIV CLASS="inner">Selection 1</DIV>
</DIV>
<DIV onmouseover="Hilite(this);" onmouseout="Restore(this);"  CLASS="menu" >
<DIV CLASS="inner">Selection 2</DIV>
</DIV>
<div onmouseover="Hilite(this);" onmouseout="Restore(this);" CLASS="menu" >
<DIV CLASS="inner">Selection 3</DIV>
</DIV>
<div onmouseover="Hilite(this);" onmouseout="Restore(this);" CLASS="menu" >
<DIV class="inner">Selection 4</DIV>
</DIV>
</DIV>
</BODY>
</HTML>

Much of the preceding code is inside of the STYLE block. This formatting code is important for this sample to render correctly but is separated from the functional elements for clarity. The rest of the code consists of the elements that make up the menu and the script that provides the menu functionality. This tutorial walks through each of the following steps to create the sample.

  1. Write the miscellaneous code needed for the sample to work properly.
    • Write the code that is needed to instantiate the HTML+TIME behavior.
    • Write the formatting code that will be needed by the menu in a STYLE tag.
    • Create a function that facilitates the menu mouseover effects.
    • Create a function that returns randomly chosen values for a transition type. This function is used by other functions of the sample to apply random transitions to the menu as it transitions in and out of view.
  2. Create the menu.
  3. Create the function to facilitate the opening of the menu with a transition.
  4. Create the function to facilitate the closing of the menu with a transition.

Setting the Stage

There is a substantial amount of miscellaneous code needed to support the functional elements and script of the sample. The code presented in this section allows the code in subsequent sections to work correctly and for element formatting.

  1. Allow HTML+TIME behavior.

    To use HTML+TIME elements and the time2 behavior, the following code is needed.

    <HTML XMLNS:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
.
.
.
</BODY>
</HTML>

    For more information about creating an Extensible Markup Language (XML) namespace and referencing the time2 behavior, see Authoring HTML+TIME.

  2. Format the elements.

    Next, we add the formatting code inside of the STYLE tags. All of the elements in this sample derive their formatting from here. By separating formatting code from rendered elements, the functional code is simplified.

    <STYLE>
.time {behavior: url(#default#time2);}
.menu {height:45;font-size:14pt;}
.inner {padding:10;padding-left:30;}
#oContainer
{
background:threedface;
cursor:hand;
border-style:outset;
width:200;
height:180;
position:absolute;
}
#oButton
{
position:absolute;
top:40;
left:40;
width:200;
height:30;
text-align:center;
}
</STYLE>
  3. Highlight the menu selection buttons.

    A few functions are used to handle the onmouseover and onmouseout events bound to the selection DIVs of the menu that is shown later. This makes the selection buttons highlight and return to normal as the cursor moves over them.

    <SCRIPT>
// fnHilite function is only used to hilite menu selections on mousover.
function fnHilite(obj)
{
obj.style.color = "highlighttext";
obj.style.background = 'highlight';
obj.style.border = '1px solid threedhighlight';
obj.style.borderTop = '1px solid threedshadow';
obj.style.borderLeft = '1px solid threedshadow';
}
// Restore function is only used to undo the effects of the fnHilite function
// on mouseleave.
function fnRestore(obj)
{
obj.style.color  = '';
obj.style.background  = 'threedface';
obj.style.border = '1px solid threedface';
}
</SCRIPT>
  4. Generate random values.

    One function is used to generate random values that are returned for assignment to the type and subtype properties of the t:TRANSITIONFILTER elements. This function is called by the fnShowMenu() and fnHideMenu() functions, created later in this tutorial.

    // This function returns random values to assign to the TYPE and SUBTYPE
// properties.
function fnSetType()
{
// Create a random value between 1 and 10
var randomNumber = (Math.random() * 10);
randomNumber = Math.ceil(randomNumber);
var sType, sSubType;
switch(randomNumber)
{
case 1:
sType = "barWipe";
sSubType = "topToBottom";
break;
case 2:
sType = "barnDoorWipe";
sSubType = "horizontal";
break;
case 3:
sType = "barnDoorWipe";
break;
case 4:
sType = "snakeWipe";
break;
case 5:
sType = "irisWipe";
break;
case 6:
sType = "pushWipe";
break;
case 7:
sType = "ellipseWipe";
break;
case 8:
sType = "fanWipe";
break;
case 9:
sType = "fade";
break;
case 10:
sType = "clockWipe";
break;
}
// Create the object that stores the values that are returned.
var oTransitionInfo = new Object();
oTransitionInfo.type = sType;
oTransitionInfo.subType = sSubType;
return oTransitionInfo;
}

Setting Up the Menu

The menu consists of a container DIV with several inner DIVs. The inner DIVs are the selection buttons of the menu. The container DIV has the t:TRANSITIONFILTER elements applied to it. The inner DIVs transition in and out of view with the container DIV.

<DIV ID="oContainer" CLASS="time" BEGIN="indefinite" END="oBody.click+1"">
<t:TRANSITIONFILTER ID="oTran" BEGIN="oContainer.begin" DUR="1"/>
<t:TRANSITIONFILTER ID="oTranOut" MODE="out"  BEGIN="oContainer.end - 1" DUR="1"/>
<DIV onmouseover="fnHilite(this);" onmouseout="fnRestore(this);" CLASS="menu" >
<DIV CLASS="inner">Selection 1</DIV>
</DIV>
<DIV onmouseover="fnHilite(this);" onmouseout="fnRestore(this);"  CLASS="menu" >
<DIV CLASS="inner">Selection 2</DIV>
</DIV>
<div onmouseover="fnHilite(this);" onmouseout="fnRestore(this);" CLASS="menu" >
<DIV CLASS="inner">Selection 3</DIV>
</DIV>
<DIV onmouseover="fnHilite(this);" onmouseout="fnRestore(this);" CLASS="menu" >
<DIV class="inner">Selection 4</DIV>
</DIV>
</DIV>

The container DIV makes up the body of the menu. It is the element that has the t:TRANSITIONFILTER elements applied to it and transitions in and out of view.

<DIV ID="oContainer" CLASS="time" BEGIN="indefinite" END="oBody.click + .3">
<t:TRANSITIONFILTER ID="oTran" BEGIN="oContainer.begin" DUR=".3"/>
<t:TRANSITIONFILTER ID="oTranOut" MODE="out"  BEGIN="oContainer.end - .3" DUR=".3"/>
</DIV>

The BEGIN attribute is set to indefinite value for the container DIV. This is because the container DIV is started on the time line through script, see the Opening the Menu section found later in this tutorial. The t:TRANSITIONFILTER with an ID attribute value oTran transitions the menu into view. It has a BEGIN attribute value of oContainer.begin, which ties the beginning of this t:TRANSITIONFILTER to the beginning time of the container DIV. The END attribute of the container DIV is set to oBody.click + .3. This is the mechanism by which the menu closes. This means that the menu container DIV ends on the time line .3 seconds after the body of the document is clicked on. The .3 second delay is important to allows the t:TRANSITIONFILTER element with a MODE attribute value of out time to transition the menu out. Notice that the t:TRANSITIONFILTER has a DUR value of .3 seconds.

The inner DIVs make up the selection buttons of the menu. The DIVs change style properties as the mouse pointer moves over and off of them using the fnHilite() and fnRestore() functions that were shown earlier. These DIVs transition in and out of view with the container DIV. Here are the inner DIVs inside of the container DIV.

<DIV ID="oContainer" CLASS="time" BEGIN="indefinite" END="oBody.click+1"">
<t:TRANSITIONFILTER ID="oTran" BEGIN="oContainer.begin" DUR="1"/>
<t:TRANSITIONFILTER ID="oTranOut" MODE="out" BEGIN="oContainer.end - 1" DUR="1"/>
<DIV onmouseover="fnHilite(this);" onmouseout="fnRestore(this);" CLASS="menu" >
<DIV CLASS="inner">Selection 1</DIV>
</DIV>
<DIV onmouseover="fnHilite(this);" onmouseout="fnRestore(this);"  CLASS="menu" >
<DIV CLASS="inner">Selection 2</DIV>
</DIV>
<div onmouseover="fnHilite(this);" onmouseout="fnRestore(this);" CLASS="menu" >
<DIV CLASS="inner">Selection 3</DIV>
</DIV>
<DIV onmouseover="fnHilite(this);" onmouseout="fnRestore(this);" CLASS="menu" >
<DIV class="inner">Selection 4</DIV>
</DIV>
</DIV>

Setting Up the BODY tag

The user opens the menu when the user right-clicks the BODY of the document and closes the menu when the user left-clicks the document BODY. Events bound to the BODY tag accomplish this.

<BODY ID="oBody" oncontextmenu="return fnShowMenu()" onclick="fnHideMenu();"
STYLE="background-color:slategray">

As you can see, two different functions are called, depending on whether the user left-clicks or right-clicks the BODY. These functions control the way the menu transitions in and out of view. Next, we see how these functions work.

Opening the Menu

The fnShowMenu() function starts the container DIV (the menu) on the time line. In addition, randomly determined transition type and subtype property values are assigned to the oTran?B>t:TRANSITIONFILTER element, which is responsible for transitioning the container DIV into view. This function is called when the user right-clicks the BODY of the document.

// Function applies transition types to menu as well as begin the menu
// and "in" TRANSITIONFILTER associated with it on the time line.
function fnShowMenu()
{
// Updates the x and y coordinates of the absolutely positioned menu DIV.
oContainer.style.left = event.x;
oContainer.style.top = event.y;
// Check to see if the menu is not active on the time line.
if (oContainer.currTimeState.isActive == false)
{
// The oTransitionInfo object is created, which has random values
// for properties created by the fnSetType function.
var oTransitionInfo = fnSetType();
// Assign values to TYPE and SUBTYPE properties of "in" TRANSITIONFILTER.
oTran.type = oTransitionInfo.type;
oTran.subType = oTransitionInfo.SubType
// Begins Menu container DIV on the time line.
oContainer.beginElement();
}
return false;
}

  1. First, the x and y coordinates where the menu will be displayed is set to the location of the mouse pointer, relative to the document when the user right-clicks.

    function fnShowMenu()
{
// Updates the x and y coordinates of the absolutely positioned menu DIV.
oContainer.style.left = event.x;
oContainer.style.top = event.y;
}

  2. Next, a check is made to make sure that the menu is not currently active on the time line. This, in effect, checks to see if the menu is currently visible. If it is not visible, then the code that opens the menu is executed.

    function fnShowMenu()
{
// Updates the x and y coordinates of the absolutely positioned menu DIV.
oContainer.style.left = event.x;
oContainer.style.top = event.y;
// Check to see if the menu is not active on the time line.
if (oContainer.currTimeState.isActive == false)
{
// Code that will open the menu
}
}

  3. The oTransitionInfo object is assigned random values from the fnSetType() function, shown earlier.

    function fnShowMenu()
{
// Updates the x and y coordinates of the absolutely positioned menu DIV.
oContainer.style.left = event.x;
oContainer.style.top = event.y;
// Check to see if the menu is not active on the time line.
if (oContainer.currTimeState.isActive == false)
{
// The oTransitionInfo object is created, which has random values
// for properties created by the fnSetType function.
var oTransitionInfo = fnSetType();
.
.
}
}

  4. Random values are assigned to the "in" t:TRANSITIONFILTER (oTran) type and subtype properties.

    function fnShowMenu()
{
// Updates the x and y coordinates of the absolutely positioned menu DIV.
oContainer.style.left = event.x;
oContainer.style.top = event.y;
// Check to see if the menu is not active on the time line.
if (oContainer.currTimeState.isActive == false)
{
// The oTransitionInfo object is created, which has random values
// for properties created by the fnSetType function.
var oTransitionInfo = fnSetType();
// Assign values to TYPE and SUBTYPE properties of "in" TRANSITIONFILTER.
oTran.type = oTransitionInfo.type;
oTran.subType = oTransitionInfo.SubType;
.
.
}
}

  5. The container DIV is started on the time line using the beginElement method. Recall that the "in" t:TRANSITIONFILTER begins when the container DIV begins on the time line; for more about this, see the Setting Up the Menu section. In addition, this t:TRANSITIONFILTER has new, randomly generated values for its type and subtype properties. This makes the menu transition into view in a random way each time it is opened.

    function fnShowMenu()
{
// Updates the x and y coordinates of the absolutely positioned menu DIV.
oContainer.style.left = event.x;
oContainer.style.top = event.y;
// Check to see if the menu is not active on the time line.
if (oContainer.currTimeState.isActive == false)
{
// The oTransitionInfo object is created, which has random values
// for properties created by the fnSetType function.
var oTransitionInfo = fnSetType();
// Assign values to TYPE and SUBTYPE properties of "in" TRANSITIONFILTER.
oTran.type = oTransitionInfo.type;
oTran.subType = oTransitionInfo.SubType
// Begins Menu container DIV on the time line.
oContainer.beginElement();
}
return false;
}
    Note The function refurns false so that the default context menu for Internet Explorer is not shown.

Closing the Menu

Closing the menu is accomplished by clicking anywhere on the body of the document including on the menu itself. As you remember, the container DIV ends .3 seconds after the body is clicked.

<DIV ID="oContainer" END="oBody.click + .3" . . .>

In addition, the t:TRANSITIONFILTER associated with the container DIV with a MODE value of out, begins .3 seconds before the DIV ends.

<t:TRANSITIONFILTER ID="oTranOut" MODE="out"  BEGIN="oContainer.end - .3" DUR=".3"/>

This would be enough to close the menu with a transition. However, this sample has the menu transition out with a random transition. For this, it is necessary to have one more function. This function is called when the body of the document is clicked on.

<BODY ID="oBody" oncontextmenu="return fnShowMenu()" onclick="fnHideMenu();"
STYLE="background-color:slategray">

The fnHideMenu() function is very similar to the fnShowMenu() function, except that it is the t:TRANSITIONFILTER with MODE set to out that is having its type and subtype properties changed.

// The purpose of this function is to apply a new TYPE and SUBTYPE to the
// TRANSITIONFILTER element that transitions the menu out of view.
function fnHideMenu()
{
if (oContainer.currTimeState.isActive == true)
{
var oTransitionInfo = fnSetType();
oTranOut.type = oTransitionInfo.type;
oTranOut.subType = oTransitionInfo.subType;
}
}

Summary

You should now have created something similar to the application shown in the introduction of this tutorial. As you have seen, control of the HTML+TIME transitions was specified in both the attributes of the t:TRANSITIONFILTER elements themselves and through scripting. This is only one example of how integrating scripting with HTML+TIME can extend the ability of your Web pages.

Related Topics

  • Introduction to DHTML Behaviors
  • Introduction to HTML+TIME
  • Spice Up Your Web Pages with HTML+TIME
  • Using HTML+TIME Transitions
  • How to Create a Basic HTML+TIME Transition
  • How to Create An Animated Presentation Using HTML+TIME Transitions
  • How to Make a Slide Show Using HTML+TIME Transitions


Using HTML+TIME Transitions (Internet Explorer - HTML+Time 2)

Using HTML+TIME Transitions

It is now possible to create visual transitions with HTML+TIME (Timed Interactive Multimedia Extensions) easily without any knowledge of scripting. Click the Show Me button to see an example of HTML+TIME transitions.

This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Internet Explorer 6 implements the inline transitions module of the SMIL 2.0 Transition Effects Modules Non-Microsoft link through the time2 behavior of HTML+TIME. You only have to learn one new HTML+TIME element called t:TRANSITIONFILTER and a few of the t:TRANSITIONFILTER attributes to get started. This article introduces you to these necessary components, and you will be adding exciting transitions to your Web pages in no time.

  • Prerequisites
  • What Can Use Transitions?
  • What Is Needed To Apply a Transition
  • TRANSITIONFILTER Element
  • TYPE and SUBTYPE
  • BEGIN
  • DUR
  • MODE
  • Progress Control Attributes
  • Summary
  • Related Topics

Prerequisites

This article assumes you know how to use Introduction to DHTML Behaviors, specifically, the time2 behavior of HTML+TIME. This article does not go into great detail on how to add a behavior to your page nor does it cover how to declare a namespace and use custom tags as required by the time2 behavior. These topics are covered in the HTML+TIME Overview and Spice Up Your Web Pages with HTML+TIME.

What Can Use Transitions?

As seen in the Show Me earlier, many different types of media can have transitions applied to them including images, video, and other elements such as the DIV element. As long as the element has renderable content, it can have a transition applied to it. HTML+TIME media elements, such as t:MEDIA and t:IMG, are automatically available for HTML+TIME transitions to be applied. All other elements must have layout for the transition to work on the element. Put simply, "having layout" means that an object has a defined height and width. Some objects, like form controls and the table and td elements, have layout by default. All other objects that can use transitions gain layout by setting the height or width property, setting the position property to absolute, specifying a value for the zoom property, or setting the contentEditable property to true.

Specific elements that cannot have HTML+TIME transitions applied to them include:

  • The object, embed, and applet elements
  • The select and option form elements
  • The tr, tHead, tBody, and tFoot table elements

Now that it is clear what kind of content can use transitions, the next step is to learn about how to transition this content.

What Is Needed To Apply a Transition

The t:TRANSITIONFILTER element applies a transition to renderable content. Several associated attributes of the t:TRANSITIONFILTER specify the characteristics of the transition. The following example shows how to use several attributes of the t:TRANSITIONFILTER and their effects. Experiment with the attribute values in this example. An introduction to the t:TRANSITIONFILTER element and important attributes of the t:TRANSITIONFILTER follows in the sections ahead.

This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

TRANSITIONFILTER Element

As already stated, the t:TRANSITIONFILTER is the element that applies a transition to renderable content. The t:TRANSITIONFILTER can apply to content in one of two ways.

  • The t:TRANSITIONFILTER is a child of the element that is to have the transition applied.
    <t:MEDIA ... >
<t:TRANSITIONFILTER ... >
</t:MEDIA>
  • The t:TRANSITIONFILTER is applied through the TARGETELEMENT attribute that specifies the ID of the element that is to have the transition applied.
    <t:TRANSITIONFILTER TARGETELEMENT="oDiv" ... />
.
.
.
<t:MEDIA ID="oDiv" ... />

The only difference between these two techniques is organization. If you use the TARGETELEMENT, you can place the t:TRANSITIONFILTER anywhere in the document and all of the t:TRANSITIONFILTER elements in the document can be grouped together. Placing the t:TRANSITIONFILTER inside of the element that is to use a transition makes it clearer what t:TRANSITIONFILTER applies to what content.

A t:TRANSITIONFILTER cannot apply to more than one element. However, children of that element can transition along with the parent.

It is important to note that in order for a child element to transition along with the parent, the child element must have the default value of static for the position property. A value of absolute or relative, on the other hand, takes the child element out of flow from the parent and it does not transition with the parent. For example, the inner DIV in the following snippet does not transition with the parent.

<DIV CLASS="TIME" STYLE="width:200px" ... >
<t:TRANSITIONFILTER ... >
<DIV STYLE="position:relative; top:30px">Inner DIV</DIV>
</t:DIV>

Many attributes of the t:TRANSITIONFILTER enable you to specify the characteristics of the transition. The following sections introduce these attributes and show how they influence the transition.

TYPE and SUBTYPE

The TYPE attributes specifies what kind of transition will occur. The TYPE attribute can either specify a transition value specific to HTML+TIME or a CSS transition. In the case of using a value specific to HTML+TIME, the TYPE attribute specifies the family of transitions to apply. For each HTML+TIME defined TYPE value, one or more values of the SUBTYPE attribute is available. This SUBTYPE value modifies the effect of the basic transition type specified by the TYPE value. For example, if you specify the transition to be of type barWipe, there are two subtypes available: leftToRight and topToBottom. If leftToRight is specified, then the transition progresses from the left to the right. If topToBottom is specified, then the media element transitions from the top of the element to the bottom. The following example demonstrates this.

<HTML XMLNS:t = "urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>Using Different SUBTYPE Attribute Values</TITLE>
<STYLE>
.time    {behavior: url(#default#time2);}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
<DIV CLASS="time" ID="oDiv1" STYLE="padding:20; width:370; background-color:#ffffcc;
font-family:arial; font-size:18pt; border:4px solid gold">
<t:TRANSITIONFILTER BEGIN="oDiv1.begin;" DUR="3" TYPE="barWipe"
SUBTYPE = "leftToRight"/>
SUBTYPE = "leftToRight"
</DIV>
<BR><BR>
<DIV CLASS="time" ID="oDiv2" STYLE="padding:20; width:370; background-color:#ffffcc;
font-family:arial; font-size:18pt; border:4px solid gold">
<t:TRANSITIONFILTER BEGIN="oDiv2.begin;" DUR="3" TYPE="barWipe"
SUBTYPE = "topToBottom"/>
SUBTYPE = "topToBottom"
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The default value for the TYPE attribute is barWipe. Generally, the SUBTYPE attribute does not need to be included, in which case, a default value is used.

Note The TYPE value of starWipe is an exception. It is required to explicitly include the SUBTYPE value of fivePoint for this transition to work.

To find what SUBTYPE values are available for the given TYPE values, see the TYPE reference. In addition, the example in the What Is Needed To Apply a Transition section also demonstrates the different transition type values and the possible subtype values that are specifically defined for HTML+TIME.

As already mentioned, Cascading Style Sheets (CSS) transitions can also be specified as values for the TYPE attribute in t:TRANSITIONFILTER elements. The following example shows how to use a CSS transition to create a wheel transition.

<HTML XMLNS:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
<DIV CLASS="time" ID="oDiv1" STYLE="padding:20; width:700px; height:100px;
background-color:#ffffcc; font-family:arial; font-size:14pt; border:4px solid gold">
<t:TRANSITIONFILTER BEGIN="oDiv1.begin;" DUR="3"
TYPE="progid:DXImageTransform.Microsoft.Wheel(spokes=8)"/>
TYPE="progid:DXImageTransform.Microsoft.Wheel(spokes=8)"
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

In the preceding example, there are a number of HTML+TIME attributes, such as BEGIN and DUR, that control the progression and timing of the transition. These properties are examples of attributes that are common to all HTML+TIME transitions. These attributes and others will be explored in greater detail in later sections of this article. Notice that the CSS transition has a property of spokes that is set to a value of 8. This is an example of a property that is specific to the CSS transition being used. For a complete list of CSS transitions, see Visual Filters and Transitions Reference and for an overview on CSS transitions in general see Introduction to Filters and Transitions. In addition, the example shown in the What Is Needed To Apply a Transition section demonstrates many of the CSS transitions being used with HTML+TIME. The examples in this article only use HTML+TIME specific transitions. However, it is important to note that the code used in this article to control HTML+TIME specific transitions can also be used with CSS transitions.

You can apply more than one t:TRANSITIONFILTER and, therefore, more than one type of transition, to a given object. The following example shows how to apply multiple transitions simultaneously to renderable content.

<HTML XMLNS:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time {behavior: url(#default#time2);}
</STYLE>
<LINK REL="stylesheet" HREF="../common/samples/samples.css" TYPE="text/css">
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
<t:TRANSITIONFILTER BEGIN="oDiv.begin" TYPE="barWipe" DUR="5"
TARGETELEMENT="oDiv"/>
<t:TRANSITIONFILTER BEGIN="oDiv.begin" TYPE="fade" DUR="5"
TARGETELEMENT="oDiv"/>
<DIV CLASS="time" DUR="8" ID="oDiv"
STYLE="width:535px;">This div has fade and barwipe types applied.</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

The two t:TRANSITIONFILTER elements in the preceding example both apply to the same media element (in this case a DIV) at the same time. Of course, these t:TRANSITIONFILTER elements could have been started on the time line at any time relative to one another, which could cause a variety of visual effects. In addition to the TYPE attribute, the t:TRANSITIONFILTER elements each have the BEGIN and DUR attributes. These are among many important attributes that are discussed in the sections ahead.

BEGIN

The BEGIN element determines when to begin the active period of the t:TRANSITIONFILTER. The duration of this active period is set by the DUR property (see DUR later in this article). Because the active period of the t:TRANSITIONFILTER element is finite, it is important to coordinate the active period of the t:TRANSITIONFILTER with the active period of the element that has the t:TRANSITIONFILTER applied to it. For example, the following code snippets show a t:TRANSITIONFILTER beginning at the same time as the element that it is applied to.

Begin relative to the element.

<t:MEDIA ID="oMedia" ...>
<t:TRANSITIONFILTER BEGIN="oMedia.begin" ... />
</t:MEDIA>

Begin at the same absolute time.

<t:MEDIA BEGIN="3" ... >
<t:TRANSITIONFILTER BEGIN="3" ... />
</t:MEDIA>

Begin relative to an event.

<t:MEDIA BEGIN="oButton.click" ... >
<t:TRANSITIONFILTER BEGIN="oButton.click" ... />
</t:MEDIA>

For a complete list of possible values for the BEGIN attribute, see the BEGIN documentation.

If the active periods of the t:TRANSITIONFILTER and the applied content do not overlap, then no transition occurs. For example, no transition would be visible in the following example.

<t:MEDIA BEGIN="O" DUR="3" ... >
<t:TRANSITIONFILTER BEGIN="4" ... />
</t:MEDIA>

In the preceding example, the media element begins at zero seconds and is active for three seconds. The t:TRANSITIONFILTER that is applied to the media element does not begin until four seconds so no transition would occur.

It is common to begin a t:TRANSITIONFILTER element at the beginning or close to the end of the active period of a transition element in order to transition the media in or out. However, if the t:TRANSITIONFILTER begins in the middle of the active period of a timed element or the active periods of the t:TRANSITIONFILTER element and timed element partially overlap, a variety of generally undesirable results can occur. For more information, see MODE later in this article. One way to ensure that the transition begins at the correct time is to have the parent element that is to be transitioned have a TIMECONTAINER attribute value of par. An example of this would be the following:

<t:MEDIA TIMECONTAINER="par" BEGIN="4" DUR="indefinite" ... >
<t:TRANSITIONFILTER ... />
</t:MEDIA>

As you can see, the t:TRANSITIONFILTER element does not even need to include the BEGIN attribute because it is on its parent time line and starts as soon as its parent.

Note By default, time container elements end as soon as their child elements end on the time line. If you desire the parent element to persist beyond this time, you must specify a DUR attribute value for the parent.

DUR

The DUR attribute determines the duration of the t:TRANSITIONFILTER element. The longer the duration of the t:TRANSITIONFILTER element, the slower the transition proceeds. The default value for the DUR attribute is 1s (1 second). The following example shows how to make two identical DIV elements transition in when a button is clicked. The first DIV has a t:TRANSITIONFILTER applied to it with a DUR equal to one second, while the next DIV has a t:TRANSITIONFILTER applied to it with a DUR equal to three seconds. Because of this, the first DIV transitions three times as fast as the second one.

<HTML XMLNS:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
<INPUT TYPE="button" ID="oBeginRace" VALUE="Begin Race">
<DIV BEGIN="oBeginRace.click" DUR="8" CLASS="time" ID="oDiv1"
STYLE="width:600px;height:100px;background-color:gray">
First DIV
<t:TRANSITIONFILTER BEGIN="oBeginRace.click" TYPE="barWipe" DUR="1"/>
</DIV>
<DIV BEGIN="oBeginRace.click" DUR="8" CLASS="time" ID="oDiv2"
STYLE="width:600px;height:100px;background-color:gray">
Second DIV
<t:TRANSITIONFILTER BEGIN="oBeginRace.click" TYPE="barWipe" DUR="3"/>
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.
Note The t:TRANSITIONFILTER cannot extend the active period of the transition content. The transition content disappears when the transition content active period has expired regardless of the duration of the t:TRANSITIONFILTER active period.

MODE

The MODE attribute specifies whether the transition element transitions in or out. The legal value of in indicates that the transition content becomes more visible as the transition progress increases, and out indicates that the transition content becomes less visible as the transition progress increases.

Usually when the MODE attribute is set to the value of in, which is the default, the transition is tied to the beginning of a content element's active period. In this way, the media element appears to transition into view. Typically a t:TRANSITIONFILTER with a MODE value of out is applied to the end of an element's active period. This makes the media transition out of view. The following example shows a DIV element that transitions in, stays visible for two seconds, and then transitions out.

<HTML XMLNS:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
<DIV STYLE="width:270px" CLASS="time" DUR="8" ID="oDiv">
<t:TRANSITIONFILTER BEGIN="oDiv.begin" DUR="3" TYPE="clockWipe"/>
<t:TRANSITIONFILTER BEGIN="oDiv.end-3" DUR="3" MODE="out" TYPE="fade"/>
This DIV Transitions In, Stays For Two Seconds, And Then Transitions Out.
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

As can be seen from the previous example, the MODE attribute does not automatically tie the transitionFilter to the beginning or end of the media. Authors can use the begin attribute on the transitionFilter to indicate the begin time for the transitionFilter.

You can apply a transition to a media element at any time during its active period. If MODE is set to in and the t:TRANSITIONFILTER is applied to the timed element in the middle of its active period, then the timed element disappears for a moment and transitions in. If MODE is set to out, then the media element transitions out, be not visible for a moment, and then immediately reappear. If MODE is set to in and the t:TRANSITIONFILTER is applied to the timed element in the middle of its active period, then the timed element disappears for a moment and then transitions in. If MODE is set to out, then the media element transitions out, is not visible for a moment, and then immediately reappears. The following example shows the effect of transitioning out a media element in the middle of the media element active period.

<HTML XMLNS:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
</STYLE>
<LINK REL="stylesheet" HREF="../common/samples/samples.css" TYPE="text/css">
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
<DIV STYLE="width:270px" CLASS="time" DUR="8" ID="oDiv">
<t:TRANSITIONFILTER BEGIN= "oDiv.begin" DUR="3" TYPE="clockWipe"/>
<!-- The out TRANSITIONFILTER begins immediately -->
<t:TRANSITIONFILTER BEGIN="oDiv.begin" DUR="3" MODE="out" TYPE="fade"/>
This DIV transitions out in the middle of its active period.
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Progress Control Attributes

There are a number of attributes that enable control over the progress of the transition using the t:TRANSITIONFILTER. These include the FROM, TO, BY, CALCMODE, and VALUES attributes. All of these attributes are optional. They are covered in the sections that follow.

FROM, TO, and BY

The FROM attribute specifies the starting progress value of the transition. Legal values are real numbers in the range of 0.0-1.0. For example, to begin a transition with the destination content to make a transition in by 30%, you would specify a value for FROM of 0.3.

The TO and BY attributes specify the amount of progress through the transition at which to end progress of the transition. Both of these attributes have legal values in the range of 0.0-1.0. The by attribute specifies the relative offset value of the progress from the value of the from attribute. For example, if from has a value of 0.2 and by has a value of 0.5, then the transition starts at a progress of 20% and ends at a progress of 70%. In contrast, the TO attribute specifies the end of progress directly. If the from attribute is set to a value of 0.2 and the to attribute is set to a value of 0.5, then the transition starts at a progress of 20% and ends at a progress of 50%.

The following example shows how to use the FROM and TO attributes to begin a transition 50% through its progress and end progress at 80%.

<HTML XMLNS:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
</STYLE>
<LINK REL="stylesheet" HREF="../common/samples/samples.css" TYPE="text/css">
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
<DIV STYLE="width:270px;height:200px;" CLASS="time" DUR="8" ID="oDiv">
<t:TRANSITIONFILTER BEGIN="oDiv.begin" DUR="5" TYPE="ellipseWipe" FROM="0.6"
TO="0.8"/>
This transition begins at 50% progress and ends at 80% because FROM is set to
0.5 and TO is set to 0.8
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.
Note In the preceding example the transition still takes five seconds even though the progress of the transition begins at 50% and ends at 80%.

As the previous sample shows, once the transition finishes, the transitioning element rapidly displays. In order to lock the appearance of the element at the value specified by the TO attribute, set the FILL attribute to a value of freeze inside of the t:TRANSITIONFILTER element. The following example is similar to the preceding one except that the FILL attribute is set inside of the t:TRANSITIONFILTER element.

<HTML XMLNS:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
</STYLE>
<LINK REL="stylesheet" HREF="../common/samples/samples.css" TYPE="text/css">
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
<DIV STYLE="width:270px;height:200px;" CLASS="time" DUR="8" ID="oDiv">
<t:TRANSITIONFILTER BEGIN="oDiv.begin" FILL="freeze" DUR="5" TYPE="ellipseWipe" FROM="0.6"
TO="0.8"/>
This transition begins at 50% progress and ends at 80% because FROM is set to
0.5 and TO is set to 0.8
</DIV>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

VALUES and CALCMODE

The VALUES attribute specifies a semicolon-delimited list of one or more values indicating the progress of the transition. This attribute can provide more precise control over the progress of a transition than a combination of the from, to, and by attributes and overrides those attributes if they are specified.

The transition effects of FROM, TO, BY, and VALUES can be modified with the CALCMODE attribute. The CALCMODE attribute specifies the interpolation mode for the progress of the t:TRANSITIONFILTER. There are two possible values for CALCMODE: discrete and linear. When the discrete value is specified, the progress of the transition jumps from one value to the next without any interpolation. This gives the transition a progress that appears to shake. The default value of linear and the transition progresses smoothly from one value to the next. The following is an example that shows two identical time elements that have the same VALUES attribute but one has a CALCMODE value of linear and the other has discrete.

<HTML XMLNS:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
<t:TRANSITIONFILTER BEGIN="oImage1.begin" TYPE="barWipe" DUR="5"
TARGETELEMENT="oImage1" VALUES=".1;.17;.27;.37;.47;.56;.65;.71;.82;.92;1.0"
CALCMODE="discrete"/>
<t:TRANSITIONFILTER BEGIN="oImage2.begin" TYPE="barWipe" DUR="5"
TARGETELEMENT="oImage2" VALUES=".1;.17;.27;.37;.47;.56;.65;.71;.82;.92;1.0"
CALCMODE="linear"/>
<INPUT TYPE="button" ID="oStartButton" VALUE="Start Transition">
<P>
<IMG SRC="img.gif" CLASS="time" begin="oStartButton.click" ID="oImage1"
STYLE="width:400px;">
<P>
<IMG SRC="img.gif" CLASS="time" begin="oStartButton.click" ID="oImage2"
STYLE="width:400px;">
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

REPEATCOUNT and REPEATDUR

The repeatCount and REPEATDUR attributes enable the transition to repeat itself a specified number of times. The repeatCount attribute specifies a number of times that the transition repeats. This number does not have to be a whole number, and if it is not, the transition progresses a fractional amount, as in the following example. The REPEATDUR attribute specifies the amount of time in which the transition repeats. Therefore, the number of times the media element repeats is equal to the time specified by REPEATDUR divided by the value of the DUR attribute of the t:TRANSITIONFILTER. Any remainder is expressed as a partial transition. It is important to note that neither repeatCount nor REPEATDUR can extend the active duration of a media element. When the duration of the media element expires, the media element disappears even if the repeatCount or REPEATDUR attributes specify more repetitions.

The following example shows how to use the REPEATCOUNT attribute to repeat a transition on a time element. The REPEATCOUNT attribute inside the t:TRANSITIONFILTER element is set to indefinite. However, the time element that follows only repeats for the duration of its active period (in this case, seven seconds).

.
.
.
<!-- The FOR and TO attributes used to make only outer DIV transition. -->
<t:TRANSITIONFILTER REPEATCOUNT="indefinite" TYPE="ellipseWipe" DUR="3"
FROM="0.28" TO="1.0" TARGETELEMENT="oDiv1"/>
<IMG SRC="img.gif" CLASS="time" ID="oDiv1" DUR="7"
STYLE="width:400px;">
.
.
.
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Summary

By using the components outlined in this article, you are ready to use transitions in your Web pages. However, this is only the starting point. You can make your transitions even more interactive using scripting. The t:TRANSITIONFILTER, along with all of its associated attributes, is accessible through the Document Object Model (DOM). Combining scripting with all of the other features of HTML+TIME provides even more flexibility than the examples in this article. Of course, there are other ways to create transitions, but perhaps the greatest power of this specific technology is its simplicity and compact nature. This makes HTML+TIME transitions a good choice for simple transition applications.

Related Topics

  • How to Create a Basic HTML+TIME Transition
  • How to Create An Animated Presentation Using HTML+TIME Transitions
  • How to Make An Animated Menu Using HTML+TIME Transitions
  • How to Make a Slide Show Using HTML+TIME Transitions
  • Spice Up Your Web Pages with HTML+TIME
  • Introduction to HTML+TIME
  • The SMIL 2.0 Transition Effects Module Non-Microsoft link
  • Introduction to DHTML Behaviors


How to Make a Slide Show Using HTML+TIME Transitions (Internet Explorer - HTML+Time 2)

How to Make a Slide Show Using HTML+TIME Transitions

This tutorial shows you how to create a slide show where each slide transitions into view when the user clicks a "back" or "forward" button. Some scripting is used to transition the appropriate slide into view when the user clicks a button. This is an example of integrating scripting with HTML+TIME (Timed Interactive Multimedia Extensions) transitions to make applications utilizing transitions more dynamic. Click the following Show Me button to see the slide show that we create in this tutorial.

This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.
  • Prerequisites
  • A Quick Look At The Code
  • Setting the Stage
  • Setting Up the Slides
  • Setting Up the Buttons
  • Setting Up the Function
  • Related Topics

Prerequisites

This article assumes you know how to use Introduction to DHTML Behaviors, specifically, the time2 behavior of HTML+TIME. This article does not go into great detail on how to add a behavior to your page nor does it cover how to declare a namespace and use custom tags, as required by the time2 behavior. These topics are covered in the HTML+TIME Overview and Spice Up Your Web Pages with HTML+TIME. It is advisable to have some understanding of HTML+TIME transitions; for an overview, see Using HTML+TIME Transitions. In addition, you are expected to be familiar with Dynamic HTML (DHTML).

A Quick Look At The Code

To start, have a quick look at the code of the entire sample. Later on, we explain this code in greater detail, but for now, it might be useful to have a preview of what is needed to make the tutorial sample.

<HTML xmlns:t = "urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>Slide Show Using HTML+TIME Transitions</TITLE>
<STYLE>
.time    {behavior: url(#default#time2);}
#oDiv1
{
font-size:28pt;
font-family: arial;
font-weight:bold;
color: #000000;
background-color: #ffffcc;
border:3px solid gold;
position:absolute;
top:20px;
left:20px;
height:300px;
width:400px;
padding:20px
}
#oDiv2
{
font-family: arial;
font-weight:bold;
font-size: 28pt;
background-color: #e4e4e4;
border:3px solid #666666;
position:absolute;
top:20px;
left:20px;
height:300px;
width:400px;
padding:20px;
color:red
}
#oDiv3
{
color: white;
font-family: arial;
font-weight:bold;
font-size: 28pt;
background-color: #3366CC;
border:3px solid #666666;
padding: 20;
position:absolute;
top:20px;
left:20px;
height:300px;
width:400px;
}
</STYLE>
<SCRIPT>
function fnGo(direction)
{
// divCollection holds the collection of DIVS in the slide show.
var divCollection = oWrapperDiv.childNodes;
var ColLength = divCollection.length;
for(i=0; i<ColLength; i++)
{
if (divCollection(i).style.zIndex == 2)
{
if (direction == "forward" && i!=2)
{
var next = i + 1;
}
else if (direction == "back" && i!=0)
{
var next = i - 1;
}
else
break;
// Loop below sets all DIVS to low z-index.
for(j=0; j<ColLength; j++)
{
divCollection(j).style.zIndex = 0;
}
// Last DIV is set to next highest z-index.
divCollection(i).style.zIndex = 1;
// The DIV that is to transition in is set to highest z-index.
divCollection(next).style.zIndex = 2;
var transitionFilterCol = divCollection(next).childNodes;
var nextTransitionFilter = new Object();
// Create a reference to the next TRANSITIONFILTER.
nextTransitionFilter = transitionFilterCol(0);
var nextDiv = new Object();
// Create a reference to the next DIV.
nextDiv = divCollection(next);
// Begin the next transitionFilter.
nextTransitionFilter.beginElement();
// Begin the next DIV
nextDiv.beginElement();
break;
}
}
}
</SCRIPT>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" LINK="#000000" VLINK="#808080" ALINK="#000000">
<BLOCKQUOTE CLASS="body">
<BODY>
<DIV ID="oWrapperDiv">
<DIV ID="oDiv1" CLASS="time" STYLE="z-index:2">
<t:TRANSITIONFILTER ID="oTran1" BEGIN="indefinite" TYPE="ellipseWipe" DUR="1"/>
The First One
</DIV>
<DIV ID="oDiv2" CLASS="time" BEGIN="indefinite" STYLE="z-index:1">
<t:TRANSITIONFILTER id="oTran2" BEGIN="indefinite" TYPE="fanWipe" DUR="1"/>
The Second One
</DIV>
<DIV ID="oDiv3" CLASS="time" BEGIN="indefinite" STYLE="z-index:0">
<t:TRANSITIONFILTER ID="oTran3" BEGIN="indefinite" TYPE="pushWipe" DUR="2"/>
The Last One
</DIV>
</DIV>
<BUTTON ID="oForward" onclick="fnGo('forward');" STYLE="position:absolute; top:460;left:100;">Forward</BUTTON><br>
<BUTTON ID="oForward" onclick="fnGo('back');" STYLE="position:absolute; top:460;">Back</BUTTON><br>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Much of the preceding code is inside of the STYLE block. This formatting code is important for this sample to render correctly but is separated from the functional elements for clarity. The rest of the code consists of the elements that are part of the slide show and one Microsoft JScript?function that provides the slideshow functionality. This tutorial walks through each of the following steps to create the sample.

  1. Write the miscellaneous code needed for the sample to work properly.
    • Write the code that is needed to instantiate the HTML+TIME behavior.
    • Write the formatting code that will be needed by the menu in a STYLE tag.
  2. Create the DIV elements that are the slides in the sample.
  3. Create the buttons that control when to transition from one slide to the next.
  4. Create the function that facilitates the transition from one slide to the next.

Setting the Stage

To use HTML+TIME elements and use the time2 behavior, the following code is needed.

<HTML XMLNS:t = "urn:schemas-microsoft-com:time">
<HEAD>
<STYLE>
.time    {behavior: url(#default#time2);}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY>
.
.
.
</BODY>
</HTML>

For more information about creating an XML namespace and referencing the time2 behavior, see Authoring HTML+TIME.

Next, we add the formatting code inside of the STYLE tags. All of the elements in this sample derive their formatting from here. By separating formatting code from rendered elements, the functional code is simplified.

<STYLE>
.time    {behavior: url(#default#time2);}
#oDiv1
{
font-size:28pt;
font-family: arial;
font-weight:bold;
color: #000000;
background-color: #ffffcc;
border:3px solid gold;
position:absolute;
top:20px;
left:20px;
height:300px;
width:400px;
padding:20px
}
#oDiv2
{
font-family: arial;
font-weight:bold;
font-size: 28pt;
background-color: #e4e4e4;
border:3px solid #666666;
position:absolute;
top:20px;
left:20px;
height:300px;
width:400px;
padding:20px;
color:red
}
#oDiv3
{
color: white;
font-family: arial;
font-weight:bold;
font-size: 28pt;
background-color: #3366CC;
border:3px solid #666666;
padding: 20;
position:absolute;
top:20px;
left:20px;
height:300px;
width:400px;
}
</STYLE>

Setting Up the Slides

The slides of this sample consist of three DIV elements that are absolutely positioned over one another. Each of these DIV elements have t:TRANSITIONFILTER elements applied to them to transition the DIV elements into view. All of these DIVs are contained within the oWrapperDiv?B>DIV element.

<DIV ID="oWrapperDiv">
<DIV ID="oDiv1" CLASS="time" STYLE="z-index:2">
<t:TRANSITIONFILTER ID="oTran1" BEGIN="indefinite" TYPE="ellipseWipe" DUR="1"/>
The first one
</DIV>
<DIV ID="oDiv2" CLASS="time" BEGIN="indefinite" STYLE="z-index:1">
<t:TRANSITIONFILTER id="oTran2" BEGIN="indefinite" TYPE="fanWipe" DUR="1"/>
The Second One
</DIV>
<DIV ID="oDiv3" CLASS="time" BEGIN="indefinite" STYLE="z-index:0">
<t:TRANSITIONFILTER ID="oTran3" BEGIN="indefinite" TYPE="pushWipe" DUR="2"/>
The last one
</DIV>
</DIV>

Since the elements are activated dynamically, the BEGIN attributes are set to indefinite. All of these DIVs have an assigned zIndex such that the first DIV is rendered on top of the other two.

Setting Up the Buttons

The buttons control which slide is displayed by activating the fnGo() function.

<BUTTON ID="oForward" onclick="fnGo('forward');" STYLE="position:absolute; top:460;left:100;">Forward</BUTTON><br>
<BUTTON ID="oForward" onclick="fnGo('back');" STYLE="position:absolute; top:460;">Back</BUTTON><br>

Let's take a look at the sample so far. Right now, the layered DIV elements inside of the container DIV are rendered with the first DIV on top of the other two. The slide show control buttons are rendered also. However, clicking the buttons causes an error because the buttons call the fnGo() function that you have not created yet. This function provides the functionality of the slide show. The next section walks you through the creation of this function.

<HTML xmlns:t = "urn:schemas-microsoft-com:time">
<HEAD>
<TITLE>Sample</TITLE>
<STYLE>
.time    {behavior: url(#default#time2);}
#oDiv1
{
font-size:28pt;
font-family: arial;
font-weight:bold;
color: #000000;
background-color: #ffffcc;
border:3px solid gold;
position:absolute;
top:20px;
left:20px;
height:300px;
width:400px;
padding:20px
}
#oDiv2
{
font-family: arial;
font-weight:bold;
font-size: 28pt;
background-color: #e4e4e4;
border:3px solid #666666;
position:absolute;
top:20px;
left:20px;
height:300px;
width:400px;
padding:20px;
color:red
}
#oDiv3
{
color: white;
font-family: arial;
font-weight:bold;
font-size: 28pt;
background-color: #3366CC;
border:3px solid #666666;
padding: 20;
position:absolute;
top:20px;
left:20px;
height:300px;
width:400px;
}
</STYLE>
<?import namespace = t urn = "urn:schemas-microsoft-com:time"
implementation = "#default#time2" />
</HEAD>
<BODY TOPMARGIN=0 LEFTMARGIN=0 BGPROPERTIES="FIXED" LINK="#000000" VLINK="#808080" ALINK="#000000">
<BLOCKQUOTE CLASS="body">
<BODY>
<DIV ID="oWrapperDiv">
<DIV ID="oDiv1" CLASS="time" STYLE="z-index:2">
<t:TRANSITIONFILTER ID="oTran1" BEGIN="indefinite" TYPE="ellipseWipe" DUR="1"/>
The First One
</DIV>
<DIV ID="oDiv2" CLASS="time" BEGIN="indefinite" STYLE="z-index:1">
<t:TRANSITIONFILTER id="oTran2" BEGIN="indefinite" TYPE="fanWipe" DUR="1"/>
The Second One
</DIV>
<DIV ID="oDiv3" CLASS="time" BEGIN="indefinite" STYLE="z-index:0">
<t:TRANSITIONFILTER ID="oTran3" BEGIN="indefinite" TYPE="pushWipe" DUR="2"/>
The Last One
</DIV>
</DIV>
<BUTTON ID="oForward" onclick="fnGo('forward');" STYLE="position:absolute; top:460;left:100;">Forward</BUTTON><br>
<BUTTON ID="oForward" onclick="fnGo('back');" STYLE="position:absolute; top:460;">Back</BUTTON><br>
</BODY>
</HTML>
This feature requires Microsoft?Internet Explorer 6 or later. Click the following icon to install the latest version. Then reload this page to view the sample.

Setting Up the Function

This function assesses which DIV is currently on top and causes the next DIV to transition in. There is only one parameter for the function that indicates if the next DIV to transition in appears before or after the DIV currently on top.

<script>
function fnGo(direction)
{
// divCollection holds the collection of DIVS in the slide show.
var divCollection = oWrapperDiv.childNodes;
var ColLength = divCollection.length;
for(i=0; i<ColLength; i++)
{
if (divCollection(i).style.zIndex == 2)
{
if (direction == "forward" && i!=2)
{
var next = i + 1;
}
else if (direction == "back" && i!=0)
{
var next = i - 1;
}
else
break;
// Loop below sets all DIVS to low z-index.
for(j=0; j<ColLength; j++)
{
divCollection(j).style.zIndex = 0;
}
// The DIV that is to transition in is set to highest z-index.
divCollection(next).style.zIndex = 2;
// Last DIV is set to next highest z-index.
divCollection(i).style.zIndex = 1;
var transitionFilterCol = divCollection(next).childNodes;
var nextTransitionFilter = new Object();
// Create a reference to the next TRANSITIONFILTER.
nextTransitionFilter = transitionFilterCol(0);
// Begin the next transitionFilter.
nextTransitionFilter.beginElement();
var nextDiv = new Object();
// Create a reference to the next DIV.
nextDiv = divCollection(next);
// Begin the next DIV
nextDiv.beginElement();
break;
}
}
}
</script>

Stepping Through the Function

  1. First, a collection of the slide show DIV elements are created by accessing the direct child nodes of the container DIV (oWrapperDiv), the length of the collection is determined, and a loop is used to go through each member of the collection

    function fnGo(direction)
{
// divCollection holds the collection of DIVS in the slide show.
var divCollection = oWrapperDiv.childNodes;
var ColLength = divCollection.length;
for(i=0; i<ColLength; i++)
{
.
.
.
}
}

  2. An IF statement checks to see if the collection object (divCollection(i)) is the DIV that is currently rendered on top of the other slides.

    function fnGo(direction)
{
// divCollection holds the collection of DIVS in the slide show.
var divCollection = oWrapperDiv.childNodes;
var ColLength = divCollection.length;
for(i=0; i<ColLength; i++)
{
if (divCollection(i).style.zIndex == 2)
{
.
.
.
}
}
}

  3. The direction variable passed as a parameter from the button determines if the variable next is incremented or decremented. This in turn determines if the next higher or next lower member of the collection is the next slide show DIV to transition in.

    function fnGo(direction)
{
// divCollection holds the collection of DIVS in the slide show.
var divCollection = oWrapperDiv.childNodes;
var ColLength = divCollection.length;
for(i=0; i<ColLength; i++)
{
if (divCollection(i).style.zIndex == 2)
{
if (direction == "forward" && i!=2)
{
var next = i + 1;
}
else if (direction == "back" && i!=0)
{
var next = i - 1;
}
else
break;
.
.
.
}
}
}

  4. All of the slide show DIVs are set to a zIndex value of 0, the DIV that is next to transition in is set to the highest zIndex (two) of the slide show DIVs, and the last DIV is assigned the second highest zIndex value (one) of the DIVs. The reason why the last DIV is assigned a zIndex of one is so that this DIV is visible as the next DIV transitions in.

    function fnGo(direction)
{
// divCollection holds the collection of DIVS in the slide show.
var divCollection = oWrapperDiv.childNodes;
var ColLength = divCollection.length;
for(i=0; i<ColLength; i++)
{
if (divCollection(i).style.zIndex == 2)
{
if (direction == "forward" && i!=2)
{
var next = i + 1;
}
else if (direction == "back" && i!=0)
{
var next = i - 1;
}
else
break;
// Loop below sets all DIVS to low z-index.
for(j=0; j<ColLength; j++)
{
divCollection(j).style.zIndex = 0;
}
// The DIV that is to transition in is set to highest z-index.
divCollection(next).style.zIndex = 2;
// Last DIV is set to next highest z-index.
divCollection(i).style.zIndex = 1;
.
.
.
}
}
}

  5. Both the next DIV to transition in and the t:TRANSITIONFILTER that applies to it are begun on the time line using the beginElement method. This is when the transition starts. Note that a reference to the correct t:TRANSITIONFILTER element is retrieved by using the first member of the childNodes collection of that DIV.

    function fnGo(direction)
{
var divCollection = oWrapperDiv.childNodes;
var ColLength = divCollection.length;
for(i=0; i<ColLength; i++)
{
if (divCollection(i).style.zIndex == 2)
{
if (direction == "forward" && i!=2)
{
var next = i + 1;
}
else if (direction == "back" && i!=0)
{
var next = i - 1;
}
else
break;
for(j=0; j<ColLength; j++)
{
divCollection(j).style.zIndex = 0;
}
divCollection(next).style.zIndex = 2;
divCollection(i).style.zIndex = 1;
// Create a collection of the child nodes of the next element
// to transition in.
var transitionFilterCol = divCollection(next).childNodes;
var nextTransitionFilter = new Object();
// Create a reference to the next TRANSITIONFILTER. This
// assumes that the TRANSITIONFILTER is the first child element.
nextTransitionFilter = transitionFilterCol(0);
// Begin the next transitionFilter.
nextTransitionFilter.beginElement();
var nextDiv = new Object();
// Create a reference to the next DIV.
nextDiv = divCollection(next);
// Begin the next DIV
nextDiv.beginElement();
break;
}
}
}

Related Topics

  • Introduction to DHTML Behaviors
  • Introduction to HTML+TIME
  • Spice Up Your Web Pages with HTML+TIME
  • Using HTML+TIME Transitions
  • How to Create a Basic HTML+TIME Transition
  • How to Create An Animated Presentation Using HTML+TIME Transitions
  • How to Make An Animated Menu Using HTML+TIME Transitions


playItem Object (playList)

playItem Object

Represents an individual media file in a playList collection.

Members Table

The following table lists the members exposed by the playItem object. Click a tab on the left to choose the type of member you want to view.

Attributes/Properties

Attribute | Property | Description
abstract | Retrieves a description of the media file.
author | Retrieves the name of the media file's author.
BEGIN | begin | Sets or retrieves the delay time before the timeline begins playing on the element.
copyright | Retrieves the copyright information associated with a media file.
DUR | dur | Sets or retrieves a value indicating the amount of time the element remains active or displayed.
END | end | Sets or retrieves a value indicating the end time for the element, or the end of the simple duration when the element is set to repeat.
hasMedia | Retrieves a Boolean value that indicates whether the element is an Introduction to HTML+TIME media element.
index | Retrieves the index value of the playItem object in the playList collection.
rating | Retrieves the rating of the media file.
SRC | src | Sets or retrieves the source URL of the media.
systemBitrate | Retrieves the approximate bandwidth available to the system in bits-per-second.
systemCaptions | Indicates whether or not to display a text equivalent of the audio portion of the presentation.
systemLanguage | Indicates whether a given language is selected in a user's system preferences.
systemOverdubOrSubtitle | Specifies whether overdubs or subtitles render during a presentation.
TIMECONTAINER | timeContainer | Sets or retrieves the type of timeline associated with an element.
title | Retrieves the title of the media file.
TYPE | type | Sets or retrieves the MIME type of the media object referenced by the SRC attribute.

Methods

Method | Description
setActive | Sets the playItem object as the active track in the playList collection, which causes the track to play.

Standards Information

This object is a Microsoft extension to Synchronized Multimedia Integration Language (SMIL) Non-Microsoft link.

Applies To

playList

See Also

Introduction to HTML+TIME


VgAngleInDegrees Data Type

Positive or negative number that defines an angle.


Introduction

VML Reference

This document gives a complete detailed reference to the implementation of the Vector Markup Language (VML) that is shipped with Microsoft Office 2000. Other implementations may vary. Consult the VML specification Non-MS link for more information about VML as a standard.

VML is defined as a set of XML elements and the corresponding attributes for each element. Since the Shape element is the basic building block of VML, click here to begin the reference.

Note that this reference contains several examples and demos. You must have Microsoft Internet Explorer 5 or greater.0 installed to view the live VML.

In addition to the information about using elements and attributes as XML tags that extend HTML, this reference contains syntax and examples that show how to use the scripting and the Document Object Model features of Internet Explorer 5 or greater. Using script with VML enables you to create elements "on the fly" and manipulate attributes in real time.

This reference uses VBScript for all scripting examples. If you use JavaScript, you must match the case of all element and attribute names. The reference gives scripting syntax that is correct for case-sensitive languages such as JavaScript. If in doubt about the correct case, you can use an object browser (such as OLEView) on the VGX.DLL to determine the exact case of an element or attribute. Note that when VML is used as XML tags, the elements and attributes are not case-sensitive.

The VML Reference


MSDN Online-VML IVgPoints Data Type

IVgPoints Data Type

November 9, 1999

Array of points that define a shape.

Attributes
Value
String. Text representation of array.
Length
Integer. Number of points in this array.
Item
IVgVector2D. The point at the specified index.

Photo Credits: PhotoDisc


MSDN Online-Vector Markup Language Object Model Reference

Vector Markup Language
Object Model Reference

Internet Development Index

Introduction

Vector Markup Language (VML) Non-MS link is a text-based language that uses XML Non-MS link to extend HTML for the purpose of displaying vector graphic information. The VML Document Object Model (DOM) defines a programmatic interface for the manipulation of the document elements. This enables the user to dynamically create and modify vector graphics through a platform- and language-neutral interface. The VML DOM conforms to the Document Object Model Non-MS link specification.

VML uses the Shape element as the basic building block for vector graphic images. Once a shape is created, you can modify the shape through attributes or by attached subelements. For example, to change the color of a shape, assign a color value to the FillColor attribute.

myshape.fillcolor = "red"

Several of the attributes of a shape are also subelements and have their own attributes, including the following:

  • Background
  • Extrusion
  • Fill
  • Group
  • Imagedata
  • Path
  • Shadow
  • Skew
  • Stroke
  • TextPath

The VML OM uses several data types to define parameters. Datatypes prefixed with Vg are enumerations and those prefixed with IVg are objects. Click here for a list. Minor datatypes are listed with specific parameters.

Example

The following VBScript code shows how to create a simple shape:

Set MyRect = Document.CreateElement("v:Rect")
Set R = MyDiv.AppendChild(MyRect)
R.Style.Position = "absolute"
R.Style.Width = 20
R.Style.Height = 20
R.Style.Top = 50
R.Style.Left = 50
R.FillColor = "red"

In the above example, a shape is created by using the Document Object Model method CreateElement. The shape is a VML predefined Rect shape. Even though the object exists, it cannot be part of the document until it is attached to the document. Using the AppendChild method, the Rect is made a child of a DIV element called MyDiv. A few minimum style attributes (Position, Width, Height, Top, Left) are set to give the shape a specific size. Finally, a color is assigned with the FillColor attribute. Note that any scripting language or any language that can work with Document Object Model interfaces can be used.

Setting up VML

One implementation of VML is through Microsoft Internet Explorer 5 or greater.0 or higher. To set up the rendering object correctly in a Web page, the following additions must be made:

  1. The schema must be set up in the initial <HTML> tag as follows:
    <HTML xmlns:v="urn:schemas-microsoft-com:vml">
  2. The rendering behavior must be part of the document's style:
    <STYLE>
v\:* { behavior: url(#default#vml); }
</STYLE>

The following shows a sample HTML Web page set up correctly for VML showing the dynamic creation of a shape.

<HTML xmlns:v="urn:schemas-microsoft-com:vml">
<HEAD>
<STYLE>
v\:* { behavior: url(#default#vml); }
</STYLE>
<TITLE>VML Sample</TITLE>
</HEAD>
<BODY>
<DIV id="MyDiv"></DIV>
<SCRIPT ID="MYSCRIPT" LANGUAGE="VBScript">
<!--
Set MyRect = Document.CreateElement("v:Rect")
Set R = MyDiv.AppendChild(MyRect)
R.Style.Position = "absolute"
R.Style.Width = 20
R.Style.Height = 20
R.Style.Top = 50
R.Style.Left = 50
R.FillColor = "red"
-->
</SCRIPT>
</BODY>
</HTML>

Note that in beta versions, an ActiveX object tag and a different behavior style was required.

VML OM Reference

This reference defines the Shape element, subelements, and data types that are used by the object model of VML.

Shape element

Shapes are the building blocks of graphical images defined by Vector Markup Language (VML). The shape is the top-level element and several subelements help define the nature of each shape.

VML provides predefined shapes:

  • Arc
  • Curve
  • Line
  • PolyLine
  • Rect
  • RoundRect
Shape attributes
Adj
IVgAdjustments. A comma-delimited list of numbers that are the parameters for the guide formulas that define the path of the shape. Values may be omitted to allow for using defaults. There can be up to 8 adjustment values.
Alt
String. Alternative text associated with shape. Used for non-graphical browsing.
Button
VgTriState. Displays button behavior on click.
BWMode
VgBlackWhiteMode. Determines how shape will render in black-and-white view in apps or when printed to black-and-white printers. Values include: Color, Auto, GrayScale, LightGrayScale, InverseGray, GrayOutline, BlackTextAndLines, HighContrast, Black, White, Undrawn. Default: Auto.
BWNormal
VgBlackWhiteMode. When BWMode is Auto, this property is consulted for how to render the shape in normal black and white. Values include: Color, Auto, GrayScale, LightGrayScale, InverseGray, GrayOutline, BlackTextAndLines, HighContrast, Black, White, Undrawn. Default: Auto.
BWPure
VgBlackWhiteMode. When BWMode is Auto, this property is consulted for how to render the shape in pure B/W. Values include: Color, Auto, GrayScale, LightGrayScale, InverseGray, GrayOutline, BlackTextAndLines, HighContrast, Black, White, Undrawn. Default: Auto.
ChildShapes
IVgGroupShapes. A collection of other shapes in this group. This collection supports the standard Length and Item methods.
Chromakey
IVgColor. A color value that will be transparent and show anything behind the shape.
Control1
Vector2D. Control point for curve.
Control2
Vector2D. Control point for curve.
CoordOrigin
Vector2D The coordinates at the top left corner of the container rectangle. Range from 0 to infinity.
CoordSize
Vector2D. The width and height of the coordinate space inside the reference rectangle of this shape. If it is not specified, it is the same as the width and height of the rectangle. Range from 0 to infinity. Default: "1000,1000".
EndAngle
VgAngleInDegrees. End angle of shape.
Extrusion
IVgExtrusion. Specifies the Extrusion object value for this shape. See the Extrusion element for details.
Fill
VgFillFormat. Specifies the fill value for this shape. See the Fill element for more details.
FillColor
IVgColor. The primary color of the brush to use to fill the path of this shape.
Filled
VgTriState. If True, the path defining the shape will be filled. By default, it will be filled using a solid color unless there is a Fill subelement that specifies more complex fill properties. If False, the fill is transparent.
Flip
VgFlipOrientation. Values are:
  • X
  • Y
  • XY
  • YX
ForceDash
VgTriState. Indication that a dashed outline should be rendered when there is no line and no fill for a shape. This behavior is generally useful for making invisible shapes visible in editing applications so they can be selected and operated on, such as in an image map.
Formulas
IVgFormulas. An array of formulas that defines a shape.
From
Vector2D. Starting point of line.
HRef
String. The URL to jump to if this shape is clicked.
ImageData
IVgImageData. Image information if the shape is a picture. See the ImageData element for more information.
OnEd
VgTriState. Hides all handles except the top left and bottom right, as in the handles for a straight line segment.
Opacity
VgFraction. The opacity of the entire shape. A number between 0.0 and 1.0.
Path
IVgPath. A string containing the commands that define the path.
Points
IVgPoints. A collection of points defining a shape.
Print
VgTriState. If True, this shape is meant to be printed.
Rotation
VgAngleInDegrees. Sets rotation of shape. Value is propagated to the shape style.
Scale
Vector2D. Scale of shape.
Shadow
IVgShadow. Specifies the shadow for this shape. See the Shadow element for details.
Spt
Reserved.
StartAngle
VgAngleInDegrees. Start angle of shape.
Stroke
VgStrokeFormat. See Stroke element for details.
StrokeColor
IVgColor. The primary color of the brush to use to stroke the path of this shape.
Stroked
VgTriState. If True, the path defining the shape will be stroked.
StrokeWeight
VGLength. The width of the brush to use to stroke the path. Ranges between 0 and 1584.
TextPath
IVgTextPath. Specifies the TextPath object of the shape. See the TextPath element for more information.
To
Vector2D. End point of line.
Type
String. Type of shape.

Subelements of the Shape Element

The following subelements are part of the VML object model.

  • Background
  • Extrusion
  • Fill
  • Group
  • Imagedata
  • Path
  • Shadow
  • Skew
  • Stroke
  • TextPath

Background element

Describes the fill of the background of a page using VML fills.

Attributes
BWMode
VgBlackWhiteMode. Determines how shape will render in black-and-white view in applications or when printed.
BWNormal
VgBlackWhiteMode. When BWMode is Auto, this property is consulted for how to render the shape in normal black and white.
BWPure
VgBlackWhiteMode. When BWMode is Auto, this property is consulted for how to render the shape in pure black and white.
Fill
VgFillFormat. Specifies the fill for this shape. See Fill element for more information.
FillColor
IVgColor. The primary color of the brush to use to fill the path of this shape. Duplicate of the Color value in the Fill element. The default is white.

Extrusion element

Describes a 3-D extrusion of the shape.

Attributes
AutoRotationCenter
VgTriState. If True, the center of rotation of the group of 3-D objects (in fact there is only ever one object in the group) is determined automatically to be the center of the group; otherwise it is determined by the RotationCenter parameters, which are a fraction of the shape with 0,0,0 being the center.
BackDepth
VgLength. Amount of backward extrusion. Ranges from 0 to 32767.
Brightness
VgPositiveNumber. Overall brightness of the scene. Default is "20,000".
Color
IVgColor. The color of the extrusion. Only used if ColorMode is Custom. Otherwise, Auto sets the extrusion effect color to the same as FillColor.
ColorMode
Vg3DColorMode. Values are:
  • Auto (default)
  • Custom
Diffusity
VgPositiveNumber. The ratio of incident to diffusely reflected light. Values less than 1.0 are normal but values higher than one can generate interesting effects.
Edge
VgLength. Sets the size of a simulated rounded beveled edge. Ranges from 0 to 32767 in floating point pts. Default is "1pt".
Facet
VgPositiveNumber. Sets the facet of the scene. Default is "30,000".
ForeDepth
VgLength. Amount of forward extrusion. Ranges from 0 to 32767.
LightFace
VgTriState. Determimes whether the front face of the object will respond to changes in the 3-D lighting, e.g., when an object rotates.
LightHarsh
VgTriState. Harsh lighting for the primary light source. Default is False.
LightHarsh2
VgTriState. Harsh lighting for the secondary light source. Default is False.
LightLevel
VgNumber. Intensity of the primary light source. Default is "38000".
LightLevel2
VgNumber. Intensity of the secondary light source. Default is "38000".
LightPosition
Vector3D. Position of the primary light source. Default is "50000,0,10000".
LightPosition2
Vector3D. Position of the secondary light source. Default is "-50000,0,10000".
LockRotationCenter
VgTriState. "Lockrotationcenter" means that the rotation of the group is defined to be by rotation-angle[1] degrees about the y-axis on the page followed by rotation-angle[0] degrees about the x-axis. When LockRotationCenter is False, the rotation is defined to be by orientation-angle degrees about the vector defined by orientation. So, for example, lockrotationcenter=false orientationangle=45 orientation=(0,1,0) is equivalent to lockrotationcenter=true rotationangle=(0,45).
Metal
VgTriState. Causes specularly reflected light to be the material color instead of the light source color, making the object seem more metallic.
On
VgTriState. Turns the display of the extrusion effect on and off.
Orientation
Vector3D. Orientation of the camera.
OrientationAngle
VgAngleInDegrees. Angle between the orientation of the camera and the xy plane.
Plane
Vg3DExtrudePlane. Allows extrusion from planes orthogonal to the screen plane. Requires ForeDepth and BackDepth to be specified in drawing units instead of emus. Values are:
  • XY
  • ZX
  • YZ
Render
Vg3DRenderMode. Values are:
  • Solid (default)
  • WireFrame
  • BoundingCube
RotationAngle
Vector2D. AngleX, AngleY, or AngleZ is controlled by the ShapeRotation attribute.
RotationCenter
Vector3D. Center of rotation.
Shininess
VgPositiveNumber. Determines how concentrated or spread out specular reflection is. A high value would be 8 to 10 and would approximate a mirror, and a low value would be 2 to 3 and would approximate sequined clothing. Values of 3 to 7 are recommended. High values will reflect pinpoint light sources.
SkewAmt
VgPercentage. If Type is Parallel, attribute determines the amount of skew. Ranges from 0 to 100.
SkewAngle
VgAngleInDegrees. If Type is Parallel, attribute determines the degree of skew. Default is "-45".
Specularity
VgPositiveNumber. The ratio of incident to specularly reflected light. Values less than 1.0 are normal but values higher than one can generate interesting effects.
Type
VgExtrusionType. Values are:
  • Parallel (default)
  • Perspective
Viewpoint
Vector3D. The point where the scene is being viewed from.
ViewpointOrigin
Vector2D. Can have values from 0.5 to -0.5 to position the origin of the viewpoint within the shape bounding box.

Fill element

Describes how a path should be filled for fills more complex than a solid color.

Attributes
AlignShape
VgTriState. Align the image with the shape. If False, align image with window.
Angle
VgAngleInDegrees. The angle along which the gradient goes. 0 degrees is along the horizontal axis from left to right.
Aspect
VgAspectType. ImageSize attribute will be adjusted to preserve the aspect of the image. Values include:
Ignore
Ignore aspect issues.
AtLeast
Image is at least as big as the image size.
AtMost
Image is no bigger than image size.
Color
IVgColor The main fill color. Same as FillColor attribute in shape.
Color2
IVgColor. The secondary color for a fill when image type is Pattern or a gradient fill.
Colors
IVgGradientColorArray. Intermediate colors in the gradient and their relative positions along the gradient, e.g., ?0% red, 70% blue, 90% green? Primary color (Color attribute in shape) is 0% and secondary color (Color2 attribute) is 100%.
Focus
VgSignedPercentage. Focal point for linear gradient fill. Values go from -100 to +100.
FocusPosition
Vector2D. Position of the innermost rectangle for radial gradients. The vector is a fraction (0.0 - 1.0) of the shape's width and height.
FocusSize
Vector2D Size of the innermost rectangle for radial gradients. The vector is a fraction (0.0 to 1.0) of the shape's width and height.
Method
VgSigmaType. Values include:
  • None
  • Linear
  • Sigma
  • Any
Default is Sigma.
On
VgTriState. Turns fill display on. Same as Fill attribute in shape.
Opacity
VgFraction. Opacity of the fill.
Opacity2
VgFraction. The secondary opacity for gradients.
Origin
Vector2D. Point relative to upper left corner of the image that is treated as the origin of the image. Default is the center of the image. The vector is a fraction (from 0.0 to 1.0) of the image's width and height.
Position
Vector2D. Point in the reference rectangle of the shape to position the origin of the image. Default is the center of the container rectangle. The vector is a fraction (0.0 - 1.0) of the image's width and height.
Size
Vector2D. The size of the image. Default is pixel size of the image. May be specified in absolute coordinates or percentage.
Src
String. URL to an image to load for image and pattern fills. This attribute must always be present and point to valid image data for a picture to appear.
Type
VgFillType. May be one of the following types:
  • Background
  • Frame
  • Gradient
  • GradientCenter
  • GradientRadial
  • GradientTitle
  • GradientUnscaled
  • Pattern
  • Solid
  • Tile Tile, Pattern, and Frame require the image attributes to be supplied. Gradient and GradientRadial require the gradient attributes to be supplied.

    • Group element

    A group is a collection of individual shapes that can be positioned and transformed as a unit.

    Attributes
    Item
    IVgShape. Specified item in the array of shapes.
    Length
    Integer. Number of shapes in this group.

    Imagedata element

    Describes a picture to be rendered on top of a shape.

    Attributes
    BiLevel
    VgTriState. Display picture in only two colors (usually black and white).
    BlackLevel
    VgFraction. Allows adjustment to set the level so that blacks appear as true blacks, and all other colors are visible as shades above black.
    Chromakey
    IvgColor. Transparent color of picture.
    CropBottom
    VgNumber. Crop distance from bottom of picture expressed as a percentage of picture size.
    CropLeft
    VgNumber. Crop distance from left edge of picture expressed as a fraction of picture size (from 0.0 to 1.0). However, "out-cropping" is supported and thus values of less than 0 and greater than 1 are supported; e.g., -5, 20 would out-crop the bounds 25X the picture size with 4/5 on one side of the picture.
    CropRight
    VgNumber. Crop distance from right of picture expressed as a percentage of picture size.
    CropTop
    VgNumber. Crop distance from top of picture expressed as a percentage of picture size.
    EmbossColor
    IVgColor. This is set to a percentage of the shadow color to create an embossed picture effect.
    Gain
    VgPositiveNumber. Adjusts the intensity of all colors. Essentially sets how bright white will be. Ranges from 0 to 32767.
    Gamma
    VgFraction. Gamma correction. Increasing it gives an image more contrast.
    GrayScale
    VgTriState. Display picture in grayscale colors.
    Src
    String. URL to an image to load for image and pattern fills. This attribute must always be present and point to valid image data for a picture to appear.

    Path element

    Defines the path that makes up the shape, using a string that contains a rich set of "pen movement" commands.

    Attributes
    Limo
    IVgVector2D. Defines the point where the shape is stretched; e.g., for a giraffe shape, the limo point would be on the neck so when the shape is resized, the neck will stretch and the rest of the shape will maintain its dimensions.
    TextBoxRect
    IVgFixedRectangleArray. Array containing the rectangles that define where text should go.
    V
    String. Matches the v attribute on the Path tag. Note that path may correspond to Path attribute or element.
    Value
    String. A text representation of the commands that define the path. X or y-coordinate values can be a reference to a formula in the form "@#" where # is the formula's ordinal number, e.g., "@2". This attribute string is made up of a rich set of commands including the following:
    Commands
    ae (angleellipseto)
    center(x,y) size(w,h) start-angle, end-angle
    Draw a segment of an ellipse. A straight line is drawn from the current point to the start point of the segment.
    al (angleelipse)
    Same as ae except that there is an implied m to the starting point of the segment.
    ar (arc)
    Same as at. However, a new subpath is started by an implied m to the start point of the arc.
    at (arcto)
    left, top, right, bottom, start(x,y) end(x,y)
    The first four values define the bounding box of an ellipse. The last four define two radial vectors. A segment of the ellipse is drawn that starts at the angle defined by the start radius vector and ends at the angle defined by the end vector. A straight line is drawn from the current point to the start of the arc. The arc is always drawn in a counterclockwise direction.
    c (curveto)
    control1(x,y) control2(x,y) to (x,y)
    Draw a cubic bezier curve from the current point to the coordinate given by the final two parameters, the control points given by the first four parameters. The current point becomes the endpoint of the bezier.
    e (end)
    End the current set of subpaths. A given set of subpaths (as delimited by end) are filled using eofill. Subsequent sets of subpaths are filled independently and superimposed on existing ones.
    l (lineto)
    x,y
    Draw a line from the current point to the given x,y-coordinate, which becomes the new current point. Additional coordinate pairs may be specified to form a polyline, e.g., "l 10,13,45,27,89,-12".
    m (moveto)
    x,y
    Start a new subpath at the given x,y-coordinate.
    nf (nofill)
    The current set of subpaths (delimited by end) will not be filled.
    ns (nostroke)
    The current set of subpaths (delimited by end) will not be stroked.
    qb (quadraticbezier)
    (controlpoint(x,y))*,end(x,y)
    Defines one or more quadratic bezier curves by means of control points and an endpoint. Intermediate (on-curve) points are obtained by interpolation between successive control points similar to TrueType fonts. The subpath need not be a start, in which case the subpath is closed and the last point defines the start point.
    qx (ellipticalquadrantx)
    end(x,y)
    A quarter ellipse is drawn from the current point to the given endpoint. The elliptical segment is initially tangential to a line parallel to the x-axis; i.e., the segment starts out horizontal.
    qy (ellipticalquadranty)
    end(x,y)
    Same as qx except that the elliptical segment is initially tangential to a line parallel to the y-axis; i.e., the segment starts out vertical.
    r (rlineto)
    x,y
    Draw a line from the current point to the relative coordinate (cpx + x, cpy + y). If additional coordinate pairs are given, each new point is computed relative to the last one.
    t (rmoveto)
    x,y
    Start a new subpath at the relative coordinates (cpx + x, cpy + y) where cpx, cpy is the current position.
    v (curveto)
    control1(x,y) control2(x,y) to (x,y)
    Cubic bezier curve using the given coordinates relative to the current point. All the points are computed relative to the same starting point.
    wa (clockwisearcto)
    Same as at but the arc is drawn in a clockwise direction.
    wr (clockwisearc)
    Same as ar but is drawn in a clockwise direction.
    x (close)
    Close the current subpath by drawing a straight line from the current point to the original moveto point.

    Shadow element

    Describes a shadow effect on a shape.

    Attributes
    Color
    IVgColor. Color of the primary shadow. Default is RGB(128,128,128)
    Color2
    IVgColor. Color of the second shadow, or highlight in an embossed or engraved shadow. Default is RGB(203,203,203).
    Matrix
    IvgSkewMatrix. A perspective transform matrix in the form, ?I>sxx,sxy,syx,syy,px,py?[s=scale, p=perspective]. The s items specify how the shadow should scale with respect to the shape, and the p items specify how the shadow should skew with respect to the shape. For example, the following matrix resizes the shape by a factor of 2 and skews it by a factor of 4 in all directions:
    ?,2,2,2,4,4?br> This matrix is only used if the type of the shadow is set to perspective.
    Obscured
    VgTriState. The shadow can be seen through if there is no fill on the shape. Default is False.
    Offset
    IVgSkewOffset. Amount of x,y offset from the shape's location. Default is "2pt,2pt".
    Offset2
    Vector2D. Amount of x,y second offset from the shape’s location. Values are either an absolute measurement, or a fractional value of shape (-0.5 to +0.5).
    On
    VgTriState. Turns the display of the shadow on and off.
    Opacity
    VgFraction. Opacity of the shadow effect.
    Origin
    Vector2D A pair of fractional values of shape from -0.5 to +0.5.
    Type
    VgShadowType. Values are:
    • Single (default)
    • Double
    • Perspective
    • ShapeRelative
    • DrawingRelative
    • Emboss

    Skew element

    Describes a perspective skew effect on a shape. The skew is applied to vector graphic data, not image data.

    Attributes
    Matrix
    IVgSkewMatrix. A perspective transform matrix in the form, ?I>sxx,sxy,syx,syy,px,py?[s=scale, p=perspective]. If offset is in absolute units then px,py are in emu ^ -1 units; otherwise they are an inverse fraction of shape size.
    Offset
    IvgSkewOffset. Amount of x,y offset from the shape's location. Default is "2pt,2pt".
    On
    VgTriState. Turns the display of the skew on or off.
    Origin
    Vector2D. A pair of fractional values of shape from -0.5 to +0.5.

    Stroke element

    Describes how to draw the path if something beyond a solid line with a solid color is desired.

    Atributes
    Color
    VgTriState. The color of the line. Same as StrokeColor attribute in Shape but overrides it.
    Color2
    IVgColor. Secondary color. Used when FillType is Pattern.
    DashStyle
    VgLineDashStyle. Dash style format. May be a specific value or a sequence of numbers with a user-defined dash pattern. Values are:
    • Solid (default)
    • ShortDash
    • ShortDot
    • ShortDashDot
    • ShortDashDotDot
    • Dot
    • Dash
    • DashDot
    • LongDash
    • LongDashDot
    • LongDashDotDot
    EndArrow
    VgArrowheadStyle. Arrowhead for the end of the line. Values are:
    • None (default)
    • Block
    • Classic
    • Diamond
    • Oval
    • Open
    • Chevron
    • DoubleChevron
    EndArrowLength
    VgArrowHeadLength. Arrowhead length for the end of the line. Values are:
    • Short
    • Medium (default)
    • Long
    EndArrowWidth
    VgArrowheadWidth. Arrowhead width for the end of the line. Values are:
    • Narrow
    • Medium (default)
    • Wide
    EndCap
    VgLineEndCapStyle. Values are:
    • Flat
    • Square
    • Round
    FillType
    VgLineFillType. Values are:
    • Solid (default)
    • Tile
    • Pattern
    • Frame
    ImageAlignShape
    VgTriState. Align the image with the shape. If False, align image with window.
    ImageAspect
    VgAspectType. ImageSize attribute will be adjusted to preserve the aspect of the image. Values include:
    Ignore
    Ignore aspect issues.
    AtLeast
    Image is at least as big as the image size.
    AtMost
    Image is no bigger than image size.
    ImageSize
    Vector2D. Size of the image to form the brush with. Default is the size of the image.
    JoinStyle
    VgLineJoinStyle. Values are:
    • Round (rounded joint)
    • Bevel (beveled joint)
    • Miter (miter joint)
    LineStyle
    VgLineStyle. Values are:
    • Single
    • ThinThin (1:1:1)
    • ThinThick (1:1:2)
    • ThickThin (2:1:1)
    • ThickBetweenThin (1:1:2:1:1)
    MiterLimit
    Length. The maximum distance between the inner point and outer point of a joint. This number is a multiple of the thickness of the line. Ranges from 0 to 32,767.
    On
    VgTriState. Turns the display of the line on and off. Same as Stroke attribute in Shape but overrides it.
    Opacity
    VgFraction. Opacity of the stroke.
    Src
    String. URL to an image to load for image and pattern fills. This attribute must always be present and point to valid image data for a picture to appear.
    StartArrow
    VgArrowheadStyle. Arrowhead for the start of the line. Values are:
    • None (default)
    • Block
    • Classic
    • Diamond
    • Oval
    • Open
    • Chevron
    • DoubleChevron
    StartArrowLength
    VgArrowHeadLength. Arrowhead length for the start of the line. Values are:
    • Short
    • Medium (default)
    • Long
    StartArrowWidth
    VgArrowheadWidth. Arrowhead width for the start of the line. Values are:
    • Narrow
    • Medium (default)
    • Wide
    Weight
    VgLength. Width of line. Ranges from 0 to 1584.

    Note: The DashStyle attribute allows the user to specify a custom-defined dash pattern. This is done using a series of numbers. Dash styles are defined in terms of the length of the dash (the drawn part of the stroke) and the length of the space between the dashes. The lengths are relative to the line width; a length of "1" is equal to the line width. The EndCap style is applied to each dash, arrow styles are not. The string first defines the length of the dash then the length of the space. This may be repeated to form complex dash styles. The string should always contain a pair of numbers; if it contains an odd number of numbers the last may be disregarded. The following table lists some typical values and a description of the intended effect. "0" implies a dot that should be fourfold symmetrical (with round endcaps it should be a circle). If the line endcap is Flat, a viewer should choose a built-in operating system dash where possible (i.e., something that is fast to draw). The following shows some examples.

    ? 2?
    short-dashes (each dash and the space in between is twice the width of the line)
    ? 2?
    dot (each dash is the width of the line while each space is twice the width of the line)
    ? 2?
    dash (each dash is four times the width of the line while each space is twice the width of the line)
    ? 2?
    long-dash
    ? 2 1 2?
    dash dot
    ? 2 1 2?
    long-dash dot
    ? 2 1 2 1 2?
    long-dash dot dot

    TextPath element

    Describes a vector path based on the text data, font, and styles supplied. The text path is warped to conform to a Path element if supplied.

    Attributes
    FitPath
    VgTriState. Sizes the text to fill the path it lies out on.
    FitShape
    VgTriState. Stretches the text path out to the edges of the shape box.
    On
    VgTriState. Determines whether the character paths are displayed or not.
    String
    String. The text to render as a text path.
    Trim
    VgTriState. Removes any additional space reserved for ascenders and descenders if not used.
    XScale
    VgTriState. Use straight x measurement instead of measuring along the path.

    Data Types Used in the VML Object Model

    The following data types are used by the VML Object Model.

    • Double
    • Fixed
    • Integer
    • IVgAdjustments
    • IVgColor
    • IVgEquation
    • IVgFixedRectangle
    • IVgFixedRectangleArray
    • IVgFormula
    • IVgFormulas
    • IVgGradientColorArray
    • IVgPoints
    • IVgSkewMatrix
    • IVgSkewOffset
    • IVgVector2D
    • IVgVector3D
    • Length
    • Measure
    • String
    • VgBlackWhiteMode
    • VgFraction
    • VgTriState

    Double data type

    A double precision integer with range from -infinity to infinity.

    Fixed data type

    Floating point number with range from -32,766.0 to 32,766.0.

    Integer data type

    An integer with a range from -infinity to infinity.

    IVgAdjustments data type

    Collection of adjustments to a shape that can be used to change the dimensions of a shape. Adjustments can be used as temporary placeholders or for any reason you would use variables. There are only 8 adjustments in the collection.

    Attributes
    Exists
    IVgTriState. Determines whether a specified adjustment exists. Note that an index must be used; that is, exists(item) must be used to retrieve the existence of an item.
    Item
    Long. Array of adjustments indexed from 0 to 7. Note that adjustments may be sparcely specified; that is, intermediate array values may not always be filled. For example, item 1, 3, and 5 could have values for a length of 3, with item(0), item(2), and item(4) specified. To see if an item exists, use the Exists attribute.
    Length
    Integer. Number of adjustments. Can be no greater than 8.
    Value
    String. Text representation of numeric values, with commas between each number.

    IVgColor

    Specifies a color.

    Attributes
    RGB
    VgRGBType. RGB value (Long) of the color. Only valid if Type is RGB.
    R
    Integer. Red component of the color. Can range between 0 and 255.
    G
    Integer. Green component of the color. Can range between 0 and 255.
    B
    Integer. Blue component of the color. Can range between 0 and 255.
    String
    String. Text representation of the color.
    The following named color types are supported:
    • Black (#000000)
    • Silver (#C0C0C0)
    • Gray (#808080)
    • White (#FFFFFF)
    • Maroon (#800000)
    • Red (#FF0000)
    • Purple (#800080)
    • Fuchsia (#FF00FF)
    • Green (#008000)
    • Lime (#00FF00)
    • Olive (#808000)
    • Yellow (#FFFF00)
    • Navy (#000080)
    • Blue (#0000FF)
    • Teal (#008080)
    • Aqua (#00FFFF)
    Type
    VgColorType. Type of color. One of the following types:
    • Mixed
    • Named
    • RGB
    • Scheme

    IVgEquation

    Equations used for formulas.

    Attributes
    Operation
    VgEquationOperationType Name of operation to perform on the parameters. The following operations can be used in an equation:
    Operation
    Abs
    Absolute value.
    abs(v)
    Atan2
    Polar arithmetic--results in fd units (degrees multiplied by 65536).
    atan2(p1,v)
    Cos
    Cosine, argument in fd units (degrees multiplied by 65536).
    v * cos(p1)
    Cosatan2
    Preserves full accuracy in intermediate calculation.
    v * cos(atan2(p2,p1))
    Ellipse
    Ellipse
    If
    Condition test.
    v > 0 ? p1 : p2
    Max
    The greater of two values.
    max(v,p1)
    Mid
    Average
    (v + p1)/2
    Min
    The lesser of two values.
    min(v,p1)
    Mod
    Modulus.
    Product
    Used for multiplication and division.
    v * p1 / p2
    Sin
    Sine, argument in fd units (degrees multiplied by 65536).
    v * sin(p1)
    Sinatan2
    Preserves full accuracy in intermediate calculation.
    v * sin(atan2(p2,p1))
    Sqrt
    Result is positive and rounds down.
    sqrt(v)
    Sum
    Used for addition and subtraction.
    v + p1 p2
    Sumangle
    Existing angle (scaled by 65536), where p1 and p2 are in degrees.
    v + p1 * 65536 + p2 * 65536
    Tan
    Tangent, argument is in fd units (degrees multiplied by 65536).
    v * tan(p1)
    Val
    Defines a guide value from some other value.
    Param1
    Integer. The first parameter.
    Paramtype1
    VgFormulaParamType. The type of the first parameter. The following values are supported:
    Types
    Value
    Parameter is simple value.
    AdjustmentReference
    Parameter is a reference to an adjustment. For example, if the first parameter is 1, then the value of the first adjustment will be used.
    FormulaReference
    Parameter is the result of a reference to the result of a previous formula. For example, if the first parameter is 2, then the result of formula 2 will be used.
    Param2
    Integer. The second parameter.
    Paramtype2
    VgFormulaParamType The type of parameter 2.
    Val
    Integer. The result.
    Valtype2
    VgFormulaParamType. The type of the result.

    IVgFixedRectangle

    Specifies a fixed rectangle.

    Attributes
    Value
    String. Text value specifying the path.
    Left
    Double. Leftmost coordinate of the rectangle.
    Top
    Double. Topmost coordinate of the rectangle.
    Right
    Double. Rightmost coordinate of the rectangle.
    Bottom
    Double. Bottommost coordinate of the rectangle.

    IVgFixedRectangleArray

    Array of fixed rectangles.

    Attributes
    Value
    String. Text representation of array.
    Length
    Integer. Number of rectangles in this array.
    Item
    IVgFixedRectangle. The rectangle object at the specified index.

    IVgFormula data type

    Definitions for formulas that can vary the path of a shape or be used for other calculation purposes. Formulas can be based on the Adj attribute of a shape, which can change. Formulas can reference other formulas as well.

    Attributes
    Eqn
    IVgEquation. Each formula defines a single value as the result of the evaluation of the expression. The expression is defined by this attribute and has the general form of an operation followed by up to three arguments, which may be adjustment values (e.g., #2), the results of earlier formulas (e.g., @2), fixed numbers, or predefined values.

    IVgFormulas data type

    A collection of formula objects.

    Attributes
    Length
    Integer. Number of formula objects in collection.
    Item
    IVgFormula. A specific formula. Note that the formula array may be inherited fom the shape type.

    IVgGradientColorArray

    An array of colors that define a gradient (blended range of colors).

    Attributes
    Value
    String. Specifies the array of colors; for example, "red .2; green .4; black .7"
    Length
    Integer. Number of colors in the array.
    Methods
    AddColor
    VgFraction. Adds new color at endpoint specified by fraction. The new color is white by default and is the return value. The color can then be changed by reference.
    RemoveColor
    VgFraction. Removes a color at endpoint specified by fraction. Note: if 0.0 or 1.0 does not exist, it is implied and the color white is used at that point.

    IVgPoints datatype

    Array of points that define a shape.

    Attributes
    Value
    String. Text representation of array.
    Length
    Integer. Number of points in this array.
    Item
    IVgVector2D. The point at the specified index.

    IVgSkewMatrix datatype

    A matrix used for skewing shapes, a perspective transform matrix in the form, "sxx,sxy,syx,syy,px,py" [s=scale, p=perspective]. If offset is in absolute units, then px,py are in emu ^-1 units; otherwise they are an inverse fraction of shape size.

    Attributes
    XtoX
    Double.
    YtoX
    Double.
    XtoY
    Double.
    YtoY
    Double.
    PerspectiveX
    Double.
    PerspectiveY
    Double.

    IVgSkewOffset

    Specifies the offset of the skew.

    Attributes
    Value
    String. Text representation of offset.
    X
    Double. X component. Percentage or measure. If no units, then ShapeRelative type is implied; otherwise Absolute type is implied.
    Y
    Double. Y component.
    Type
    VgSkewTransformType. Specifies the type of transformation. Valid values are integer points ranging between -infinity and infinity.
    Type
    ShapeRelative
    The values of the offset are percentages (ratios) of the original shape's size; e.g., a value of 0.5 means an offset half the size of the shape.
    Absolute
    The values are absolute units.

    IVgVector2D data type

    Specifies a two-dimensional vector consisting of two Double numbers.

    Attributes
    Value
    String. Text representation of both vector numbers separated by a space.
    X
    Double. X component of this vector.
    Y
    Double. Y component of this vector.
    Type
    VgVectorType. Expected units for this vector. Values are:
    • Measure
    • Length
    • AngleInDegrees
    • Fraction
    • Number
    • Percentage
    • Integer

    IVgVector3D data type

    Specifies a three-dimensional vector consisting of three Double numbers.

    Attributes
    Value
    String. Text representation of three vector numbers separated by a space.
    X
    Double. X component of this vector.
    Y
    Double. Y component of this vector.
    Z
    Double. Z component of this vector.
    Type
    VgVectorType. Expected units for this vector. Values are:
    • Measure
    • Length
    • AngleInDegrees
    • Fraction
    • Number
    • Percentage
    • Integer

    Length data type

    A floating point number with a range from 0 to infinity.

    Measure data type

    A floating point number from -infinity to infinity.

    String data type

    Character data of any length.

    VgBlackWhiteMode

    Rendering mode for black and white. Possible values are:

    • Color
    • Auto
    • GrayScale
    • LightGrayScale
    • InverseGray
    • GrayOutline
    • BlackTextAndLines
    • HighContrast
    • Black
    • White
    • Undrawn

    VgFraction data type

    Floating point number with range from 0.0 to 1.0. Fractions can also be specified as a percentage; e.g., "50%".

    VgTriState datatype

    Enumeration used for values that can be one of three states:

    • TRUE
    • FALSE
    • MIXED


Adj Attribute Example

Adj Example

A rectangle is created with a path that is defined by formulas that in turn are defined by adjustment values. Click the button to change the starting x value of the path from 0 to 100, creating a trapezoid.

Return to Adj attribute.


CoordSize Attribute Example

CoordSize Example

Click the first button to change the CoordSize from "200 200" to "100 100". When the path is dynamically redrawn, each unit is twice as large as before. Click the second button to display the x unit value.

Return to CoordSize attribute.